GNU bug report logs - #67515
[PATCH 00/91] Add Mission Center and its dependencies

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Sergio Pastor Pérez <sergio.pastorperez@HIDDEN>; Keywords: patch; dated Tue, 28 Nov 2023 21:00:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Dec 2023 12:32:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 28 07:32:46 2023
Received: from localhost ([127.0.0.1]:38680 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rIpZ8-0008A3-9A
	for submit <at> debbugs.gnu.org; Thu, 28 Dec 2023 07:32:46 -0500
Received: from mail-am0eur02olkn2017.outbound.protection.outlook.com
 ([40.92.49.17]:15776 helo=EUR02-AM0-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1rIpZ6-00089q-4b
 for 67515 <at> debbugs.gnu.org; Thu, 28 Dec 2023 07:32:45 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=gg6i5G2PoCjqxf9Vmu048O72be1hA+5c9G9f5mNqpGQd/IaMqTIQt0tJx0IMI/d4dlBdr1z0YambK6tE3qeWxcYd95x5SrWmzwE/XtSINybtSjhbl493tIJh2Y2lEokWfYDEoRD3oUHUi2wHs0QBxsvArkMSvkeQ8/0r2QZrQ0+xqDNa32fCXtydAD+aYSDd++XyNJxcdeqHGzvJOedCAvfYNTUXkg5LIu3NQZzeggTW5oDCSjAjRqaB9n2uUd/ZFoKGAVzFxRBCH+99FOSBx90sk5lqWHbg26rmtcF4upJbCdWE5f2CnQte+p6+daocbcYucGLRiTOedB2vLI8CHg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=GHAOsfGjZXVKIpB1QeRHSgabV+ELxdjYe5K9OyGC3V0=;
 b=lFVZzkwYMyLhPas3B6GR24UvCgDYvAmsSNTnZQ/22Rg619gXT8bQnGYwRoGMpGbGJfEsxyfh7cT6Ci2PUAE+vdBu6lmzrwwdOemK+Gg5WZy3J3IlPUywD0dCo/XVNQzo5dWM1lZkCBI2urIsoSz96SOrgb5pODmnnDEkA4HcyBi31am7ONWMCBefl61UCGHMsMIBM4cHpBhKWG/54LqI/lCL6i1iPPgkOGLPAtVhqpeKyCAw0ny3cPRUh3bd0xzTs0ABTb+/bJ7c7sZEDfHP9NJUhVSpMkhJi3IKUCLqf228yaeaVy4i7/V+KoSo2saKjXUS36RjArH7OPCDiTHRyQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 DB9P193MB1402.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2a0::8) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7135.19; Thu, 28 Dec 2023 12:32:38 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7113.027; Thu, 28 Dec 2023
 12:32:38 +0000
From: Sergio Pastor =?utf-8?Q?P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: Efraim Flashner <efraim@HIDDEN>
Subject: Re: [bug#67515] [PATCH 91/91] gnu: Add mission-center.
In-Reply-To: <ZYq8XdAHqXOPQzfw@3900XT>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
 <DU2P193MB2132AF6AC65D68ED3B3B51F7F3BCA@HIDDEN>
 <ZYq8XdAHqXOPQzfw@3900XT>
Date: Thu, 28 Dec 2023 13:32:36 +0100
Message-ID: <DU2P193MB21322D00F1695E9C70729A68F39EA@HIDDEN>
Content-Type: text/plain
X-TMN: [do3fMwLV8ALH8NGMHb6eZLIVXcu/7PG2]
X-ClientProxiedBy: MRXP264CA0031.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:14::19) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <87mstu8q3f.fsf@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|DB9P193MB1402:EE_
X-MS-Office365-Filtering-Correlation-Id: f65460e0-5263-451f-cf05-08dc07a113a7
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: nutuiT+CPP7JSYDyPHU6BpMsQX6PFis/yeTYJTBwST9s1rqH2SnJYVyWxbOt1NlZfzC2A5AHRB99sMdLo2ALLj8gq3yxZglYZFlBkBcLZHSky3mTaAFt9+v+4XaR3sOxqRMoG5xhINxay5i7Zk7/rAWaULaDHj2l3qldzw3TqhiMWXp/EsHKg5rk35VArAlBSZfiPWkwBJPGPBMTp+MWSxN9UhC1yiEDboiLOxvpr6dLYNf/VbFtxs2ScErenPqyN86wldUPnPITWNyBlEtvU/OoKrCPlu2cnVsRuiw/P3RDkYPW4czZT2hagLiqRoumKOoSzCVx7IRqCa6HVdxib9L/juaA5heC9WEmXq17BE9Vn7Te820WDk2xPM8WsZGDTrS7oeLGCSyqC2swSqUnwDoVKFAjXqpVKn7f72hEAIjfuGGODSc5XmqN5JIZD0+cH0j24yJGIW+C3kWPHOwTeWSl9ejSnB42t0iGTU8KYm1ZqwQlKQB0ZfdopfIvN14HZRcjoLAOIx11nQINaWsplPBPpmJramYpXVs2XPzzIoLS5Z9RBf9RWtzvnNLVkhaW
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?QteIQ6PngXsX7dA+F09a/c2gJ2uXXmrQ4cWvj0+f/NVERU1SH24NA/uczPkz?=
 =?us-ascii?Q?h6L1JasOJ8C6Z+3FqKNSy4QmWbvFDZUO3HIXDfejkqZiGmdp8biQ595BOpA/?=
 =?us-ascii?Q?qTqOXT1pqAseDX+lbba8b3DHrWtuvys1YC/3+oPz9UkQJ8pSOrstUcy51WmJ?=
 =?us-ascii?Q?1Z+3drxzkibWlPU6MpJiTZQgaemERoGVpMF7AT6wx5xsPj+xDzEX/27NOLdF?=
 =?us-ascii?Q?SEvx1nPQmL6ShLVCNv205iBI9qNnd/0ihrwoEJNxCUBCaLCxm86bXl9ys7BM?=
 =?us-ascii?Q?mybQynEBYl+vVQ2NqW78C9Z8khGaQePzDc49px0X3utffrifSgKvYMvMscfV?=
 =?us-ascii?Q?Y6YREW4s70+I/PiFij+sM4Q6KFN5OGsN+Rb7EcUx0eJOpPTd8CdlPM+PlkT6?=
 =?us-ascii?Q?qPW1xAiHr4lvbcBEf457rRQmdpeI5bUmtPwSWfcL58WE4ZRCHbVEQ8pQd5XP?=
 =?us-ascii?Q?3iespoZd25lU0OHx/qWaGXQV98LkS3LqjHvwS4SjctSFln0terzzorRvSkO+?=
 =?us-ascii?Q?wwkPdunpKpgMnR7QYdYyyzz92c4rcXxgKm7rccLRDkb2KazyjsbGCCm60lkr?=
 =?us-ascii?Q?+fNCzEcGSXsSBYC7CqTIroQ7CmoTGOwW7o8+AuWtdNhR4JveLliN5LllyYwL?=
 =?us-ascii?Q?RmBizaehxsLfhvyNB9dcOVaMsDUxiMFg/0C5sQNcPvpD4QjWpYGf7+HVVVxD?=
 =?us-ascii?Q?uzW23+oZH5QnDC9XSH3ScvajyPhoAJun+CCbBkS4bJCh6vMy4dFoP50xxmPL?=
 =?us-ascii?Q?/xtKV/XuyJNF383LL4yyJsqpA3yT+l7p/IGxmRPOcTqsBZ+VsVh6Uj0YE30K?=
 =?us-ascii?Q?26gWHh5v53TzXtLiphIWDGTGOK28VRTw+vFZJoAVmW2DXdVvdAvT64ghwi+/?=
 =?us-ascii?Q?1zRk2+fCwaDcfGr30j07sotj/JU6MYLMSz4sFihldsZbfiw1DysPU+7osvQ7?=
 =?us-ascii?Q?yTxaULs9c3T4DthEiO3t9tYUOAh35ZuoJmuoXkJZIxCvOGsHbg+tkyrqMQjJ?=
 =?us-ascii?Q?yC+8GPqeOOVp1bHlCM65zM2mm6oTWHrDbXm9Z0OzEQ6nzxF2aXnPx983JtRN?=
 =?us-ascii?Q?BSdSgAsPKqQcGTUyIsrQ4Qf8iURU5qcDOEK0nOxbBI4XXk8djt2LIvCXCdnd?=
 =?us-ascii?Q?tN74IzVG5u1zXpOg4XIHDKT/BbSazw1kk7Q6wmcJYTdYaUB84Z2czCN872Te?=
 =?us-ascii?Q?zB6qzSR+oHhjv3fLpuF88qbQVNYCQB2F4aZJGaQ4M6IHftWJrBIUG7+ZFDU?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: f65460e0-5263-451f-cf05-08dc07a113a7
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Dec 2023 12:32:38.4661 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DB9P193MB1402
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: 67515 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi.

> I've applied a bunch of the patches to the rust-team branch, but I think
> we're going to need to wait for the gnome branch to be merged first.
Thanks for taking your time to look at the patch serie.

> Plus since I'd really rather not merge really old packages like libc-0.1
> I think we should actually package a newer version, once the gnome
> branch gets merged.
That makes sense. Maybe we could consider cutting of the dependency
graph using `#:skip-build? #t` so we avoid packaging this old
dependencies? I think it would be nice to at least have `mission-center`
packaged.

Greetings,
Sergio.




Information forwarded to guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 26 Dec 2023 11:43:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 26 06:43:48 2023
Received: from localhost ([127.0.0.1]:55893 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rI5qd-000391-Oh
	for submit <at> debbugs.gnu.org; Tue, 26 Dec 2023 06:43:48 -0500
Received: from mail-wm1-x330.google.com ([2a00:1450:4864:20::330]:53694)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim.flashner@HIDDEN>) id 1rI5qX-00038c-Cl
 for 67515 <at> debbugs.gnu.org; Tue, 26 Dec 2023 06:43:46 -0500
Received: by mail-wm1-x330.google.com with SMTP id
 5b1f17b1804b1-40d4103aed7so52882305e9.3
 for <67515 <at> debbugs.gnu.org>; Tue, 26 Dec 2023 03:43:34 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1703591008; x=1704195808; darn=debbugs.gnu.org;
 h=in-reply-to:content-disposition:mime-version:references
 :mail-followup-to:message-id:subject:cc:to:from:date:sender:from:to
 :cc:subject:date:message-id:reply-to;
 bh=O/49gFctoNIEeFz7wZp8FFWuTSP/VspplHkogKkX9YU=;
 b=dyDmQuAy3GfQe9TqBfoJUcaN9sCgB+OVMCQsOvRG+YVXkYGNVlhxQ2VU7PF/3BcNSH
 DR6vh2s33ThXgE4VBkRqhLgcNJkjS6JVF48I0BBF/UiRU/lpsvBXZ+e8eUz9ML6MmK8L
 perxSxYOl55bjr5aoKwWUiWH2gj/XibW57wTeG9FzkOtkyGy6gPbKFd6kkChBhq2Yd1B
 bEmrUp/SF1qkMhr0wMXELBu2rkULK7jw7ga/FEXn/wgitVM2Vtn6ODUzFyHDTNvQ1Kpl
 mpfR35MzShchVyCMDPsIDvCMZVITsNjihXTLkjDCO70lvhu9AdUeGd8o8cqDX8I58g/F
 EPFA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1703591008; x=1704195808;
 h=in-reply-to:content-disposition:mime-version:references
 :mail-followup-to:message-id:subject:cc:to:from:date:sender
 :x-gm-message-state:from:to:cc:subject:date:message-id:reply-to;
 bh=O/49gFctoNIEeFz7wZp8FFWuTSP/VspplHkogKkX9YU=;
 b=NN6E+QkkaaRQnyDKAhvrCeNF5ZQ/yRp1oyF+Hd1wB4knk3hAMJnuH5rNfOsnrgXaCf
 ZbGcBPTXDTLTQ/xxoLrkQhIwlIRUY/DjSJYDxhIU5B8FqZaPwerLU0dFsiedR0Vzvh1A
 eNbn7C1B8hN2jlQo7hcmvhL6tg748EhuEyj3Tch+jr7E+nngOHlqHMVBt8l4EcCsX1gl
 DsxvmtIsxG+MNMK/5fuymAunRjNJzi7sW47/mYbuw5B44ph4mRIxrxq8TCrKOVW3LcI9
 EvAwvgvBdf//6+Nrh9mVungTRfmdfYPB+uy8goKccSwIqzX80gn0iRi5mfMlycqW4Hm+
 98sw==
X-Gm-Message-State: AOJu0Yx38rlfkhqBwMsBSqMA+CpRjHFr0uFg6iUZ9oV3nkqOGSk7MDZt
 yKDgc2npD/o6lowYgw7zEM4=
X-Google-Smtp-Source: AGHT+IHXWPcAhLxxd3RjzWGe/Bwnx2cBPy496bljss8qrOI1ats43zmwJTpA+QuSNPeBkGKJSxll0g==
X-Received: by 2002:a05:600c:4f4e:b0:40d:5b7a:aa6f with SMTP id
 m14-20020a05600c4f4e00b0040d5b7aaa6fmr278315wmq.91.1703591008064; 
 Tue, 26 Dec 2023 03:43:28 -0800 (PST)
Received: from localhost ([141.226.15.142]) by smtp.gmail.com with ESMTPSA id
 fj8-20020a05600c0c8800b004094e565e71sm20569998wmb.23.2023.12.26.03.43.26
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 26 Dec 2023 03:43:26 -0800 (PST)
Date: Tue, 26 Dec 2023 13:43:25 +0200
From: Efraim Flashner <efraim@HIDDEN>
To: Sergio Pastor =?utf-8?B?UMOpcmV6?= <sergio.pastorperez@HIDDEN>
Subject: Re: [bug#67515] [PATCH 91/91] gnu: Add mission-center.
Message-ID: <ZYq8XdAHqXOPQzfw@3900XT>
Mail-Followup-To: Efraim Flashner <efraim@HIDDEN>,
 Sergio Pastor =?utf-8?B?UMOpcmV6?= <sergio.pastorperez@HIDDEN>,
 67515 <at> debbugs.gnu.org
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
 <DU2P193MB2132AF6AC65D68ED3B3B51F7F3BCA@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="jr6IU6f2RdgvEbEH"
Content-Disposition: inline
In-Reply-To: <DU2P193MB2132AF6AC65D68ED3B3B51F7F3BCA@HIDDEN>
X-PGP-Key-ID: 0x41AAE7DCCA3D8351
X-PGP-Key: https://flashner.co.il/~efraim/efraim_flashner.asc
X-PGP-Fingerprint: A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 67515
Cc: 67515 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)


--jr6IU6f2RdgvEbEH
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

I've applied a bunch of the patches to the rust-team branch, but I think
we're going to need to wait for the gnome branch to be merged first.
Plus since I'd really rather not merge really old packages like libc-0.1
I think we should actually package a newer version, once the gnome
branch gets merged.

--=20
Efraim Flashner   <efraim@HIDDEN>   =D7=A8=D7=A0=D7=A9=D7=9C=D7=A4 =
=D7=9D=D7=99=D7=A8=D7=A4=D7=90
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

--jr6IU6f2RdgvEbEH
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEEoov0DD5VE3JmLRT3Qarn3Mo9g1EFAmWKvFkACgkQQarn3Mo9
g1EG5A//Ra+HP9tNFssCRncU7ytbBaOvQ3FZASseEKLPgOCO+lBn79zDjIpp4Q08
AUeTJrGMenwCe5lpkIFFVvWUoWYXa4u1lNoq7mQh0TtsFRl//EJ09iYbfMevevVW
dUKHK1YtGwCoGFDKIOpbCBF5g1/NkeFs7Ni4V1Ir+ge1xd+1oZl/Iw9Wz2BthVHv
pmLropum4mnqDm88PjBnht4rk+0sDSo1vVl5bYaEsIihshD5GWzoOhXSsZV0Qmp+
dvTKXDgDzv8EDj6wu2OZf45sRfV1T3WBvLDJZsxMubpSoa+AXH+8zmcPBksQ2k0e
7Ubzb16CTRYUVAg8gFOHGrp4FVSLppkoATgcalBroNBEDMPapQuBo0b1FaPLKMfF
K6QcEQLDJhX4btf3fT+jedU9pQJJy+E9ayIOAtDmaH6aw2zzN89IL4v7OgdOgKJ2
kjIUQ7v9MVjHaZEGkGiPS5BRnVcbTg4Mb+iTJPelNsGqHY1bwud3M0dGDgl55nig
bA6+AjcXi1GhnEX4/82hXOcVYLfD8ac120sTsyU4hAeAO6j05835Y6+Ok1uK6sHO
yTc3gkM51uN8iHpvKEndBG17HQf/MGhnI/4ToEZdG09bLZNIdw8EkRmR3c+ksusJ
nYFLIuuhGM0ffIeOzoCOSGPXLz1INI7zMR+/ZmLTTBPnQiEkdvc=
=vIca
-----END PGP SIGNATURE-----

--jr6IU6f2RdgvEbEH--




Information forwarded to guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:31:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:31:28 2023
Received: from localhost ([127.0.0.1]:48356 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85g0-00069m-40
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:31:28 -0500
Received: from mail-vi1eur04olkn2047.outbound.protection.outlook.com
 ([40.92.75.47]:29248 helo=EUR04-VI1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85RD-0005P3-EN
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:16:12 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=f07MW433FBJh0jtKrGsiB60OE0ZxK72YXKyO3MfrS/CEQLpIloWt2v5H+NMmJ7Jxe3+FMp339cOY1UfTTAfE40+IzlFRbbZihycx9Htd930myipqVThd+aNK68gaMv164f7tu7tipiMX5b289841qC3Yah/a1AZz9hb9KHTrdpJ83ogiTCnM9DX4KisOS8m9em1D+/hai8GPxQvmQnoNG1vLCJCSOhMnICFLVNzM1KgrM9C1xVF4zsOXbZzVDVC2lXa+HeqQ35khBVSWhBcL38mZ0Rmy76TB4fUHRJY6NCDsmeIDZya8RIMVNa6uuS8sBRdx2VnY/3dA8mrs8DcOYw==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=AY3d+OyA+Wa9vKldEFqFtjfkQGrGsFSExDDcp/V31vs=;
 b=DKB9Qm2TgpPbfBXmb+yr8z5xzA5P0ZaYvkd1o/4gbw3By6Yd7Uzagb5fBJDyj1+g45BuydDDPdhfgxYA7jPB8kXX7TOTt6AzaYk62P9QQZIaH17Er+NuqbPObiiOEfAiAfoGezxB9aJFnlXmEsJA/TJPF4lYPCiJwEdIevWiUI9/UvA3eYm3tFU1JOhFQaO6V2WeAJaeMDs5PocUxuAkuxqvmcmJmxUfmn8igNY0Q2WDwEkHTUO7NjJIn3dH8AdB3bIThnyCnS7wX3uMjY84PDboY4x8ye3sojWI9fJGFJRUixYSM/zfE3uZBkLHgZkd+NlKpMFDmoko8GhEVzeQRg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AS8P193MB1970.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:3b3::23) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.27; Tue, 28 Nov 2023 21:15:55 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:55 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 88/91] gnu: Add rust-gtk4-0.7.
Date: Tue, 28 Nov 2023 22:13:06 +0100
Message-ID: <DU2P193MB21322D6F1ECB9266DD08EF4FF3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [HfwT31Y1DORttB1h4UMxP8JQ4K5P0IlS]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <c83fa687c1050890d943dd73669bd32044c5b5fa.1701202947.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AS8P193MB1970:EE_
X-MS-Office365-Filtering-Correlation-Id: 84f9eede-0bd9-487a-56cf-08dbf0571cc9
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: IMvUz26Q7N3n7lUCGtH8QksxExCweWjoQ7pO/Nb8QKhevDW88trdemt1s14NM9ncfFhZ2fXs8gBnPhIS5xlcr6onRoUZ1t/LRgXXgM3CleapBFcX5B3x/rm1tPkuCn72FJzYmi5tdJj0M0HcllIvbqkmIRSNkD0wC26BuLHHTehLe0vfJpTbE4STYXmoaM2u6E3Ml8yGfGNuDKLMF7gIThvoOUptX3Rh2bJcAeuaJywXu78Y2299AvOuF1z8CkoRFHYV7lCKIoSVVHn0SluVb83bz6oMtdhZleO4vvHjMFntyCvs57SpoUGsP3jz3hd82v+T5k4fUenH6bamR+thRqacFWlxPXoiIUt2FKsWY0eVpK201WcxMG5BAesSN/ta0S0UWj75bJ0+Zm9IrePQEiiq2PaA0m/0woKzpM0K87EzfpSzc0Q9V6v2ERPgRpWEGZgJxg2c5BP0jWVlglLaRiEG39+sDo9MtN3CtcsF8o0jPGLxwrX6z5bLn94sR9iVbOWQTpF3Wn51hFN9DniMUhU05XJU2epSprlaK25bai8G5MEgA1XeSrh2GB5sbX1kivjYDfCp3iXBEArPSYIl4OvAGKt/bgF2fvvsCpVI9Mo=
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?PmLKxuU9hpiEiIv69ausBCMG39Z75t/axo3z6CXlas02p0w+bPHODVKQ04bk?=
 =?us-ascii?Q?PTfdXkzD1qIIoZBrZBvxWEzr2Qhrch/OuY3qLkqn2pngUkrLjeC8HdJCY7cd?=
 =?us-ascii?Q?zXTLbdyT/Cu3kROf2YNwIdo/RSRumJn8dJsfIh4Gcj7C0/kMTLCdzCkuhlhu?=
 =?us-ascii?Q?PoWOeuWr6cIMxsPHotmK9kCLxM0hq+Dl/QakhHvHx97h9ICykALBvLJHdsnd?=
 =?us-ascii?Q?HDvK40rLGSB8P70D4NzK5YKFklz0Tz1H8j4KfKQ+zZV0mvFhzH+D9YD79u6V?=
 =?us-ascii?Q?yL8G7+lw1TrfizQ3Me34HwgOZe8IOYdc6siJGxSsc1PSMipKOfp0l4VYYQfJ?=
 =?us-ascii?Q?3bQCTDztVZy6fvkoYr6/5Paou3D3NY2xmiwWOs57nO39fWbKK1deXnjD3XBa?=
 =?us-ascii?Q?Wzs4A6va4Yom15BDJi4W6tY6SiBzO+egXM1yed1D8ifWt+4fYYtmTaFn2oK9?=
 =?us-ascii?Q?CXY19Rm4BYA1x1xf71ZM08kmu9dgyBONqmD6bWQxw34GQrc2aFiRDt4OBAY3?=
 =?us-ascii?Q?WFRKaMZ1TxqrSYd+Y9gBqB09s9qRKm5ymPP8pdGxIQdEbevvuve/HXKbVNWA?=
 =?us-ascii?Q?UpBxY4Mike1f18Fxsq14RG+Z+KDOiKm26iCQqJ7FjQEFnt56mHP/XIZROJ9C?=
 =?us-ascii?Q?3Iq2orjfyrEzsSRsLPVoqtP3XCK87QZE++qu8TJ6pAZP7oR8/mGL17vpy0Gr?=
 =?us-ascii?Q?9KJH+M7i5NSnQEmsLwxceEgY6jTfkhxx1Btbc/e3PsqArz4+p+9duWGjJdpq?=
 =?us-ascii?Q?DQk7PNfxvpNrcivlHV9gtIIMTatZyNuREZJZx6dCF47n8bThgMzHnBGMH840?=
 =?us-ascii?Q?YIoSEL6vBDB6HN58Eqinx/2nE0Bj/X1mNUvimtclQqOdsOIFAK00X1gDkpS3?=
 =?us-ascii?Q?3FBrrHKiiLqtOirXdIexL8tP8zm4vr2gKE3GD5MO6XBUpOWq90g0Mb7oCJ0y?=
 =?us-ascii?Q?2fbq8hJerCP8tXVXOEAhMf4CxIxXBf6V/wqzzFAleVWTgQAHoOlavNE7+qsU?=
 =?us-ascii?Q?GRtND3LzDy2US01FoVibgxpBA4IMBfuxTuFecAyTx4uqjpAAOkacgwZiwCzU?=
 =?us-ascii?Q?WpJOPEzBt5B+zyJ0FWo+2KvKzjjSMHDl0ZB0Mw5Sv/rlT6tb3B2wQ67mK8zH?=
 =?us-ascii?Q?tQ4dQ7iul1Pwz6I2urQuS7873KRlQCcNxAWNTnX1Bg5vImqNmPwteighhyig?=
 =?us-ascii?Q?2vVKcAOhKw3R7twS2Fa3gHdXVG86iE7UmLcAMog+JMyGr9greM+FLIh0LrM?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 84f9eede-0bd9-487a-56cf-08dbf0571cc9
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:15:14.1475 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AS8P193MB1970
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-gtk.scm (rust-gtk4-0.7): New variable.

Change-Id: I66d02cdc3c3ba14cca03859d39c2c09cdf071622
---
 gnu/packages/crates-gtk.scm | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

diff --git a/gnu/packages/crates-gtk.scm b/gnu/packages/crates-gtk.scm
index 1b8ddc7f6a..dbb118dca1 100644
--- a/gnu/packages/crates-gtk.scm
+++ b/gnu/packages/crates-gtk.scm
@@ -2436,6 +2436,39 @@ (define-public rust-gsk4-sys-0.7
     (description "FFI bindings of GSK 4")
     (license license:expat)))
 
+(define-public rust-gtk4-0.7
+  (package
+    (name "rust-gtk4")
+    (version "0.7.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "gtk4" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0hh8nzglmz94v1m1h6vy8z12m6fr7ia467ry0md5fa4p7sm53sss"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:tests? #f ; `Errors` doesn't implement `std::fmt::Display`
+       #:cargo-inputs (("rust-cairo-rs" ,rust-cairo-rs-0.18)
+                       ("rust-field-offset" ,rust-field-offset-0.3)
+                       ("rust-futures-channel" ,rust-futures-channel-0.3)
+                       ("rust-gdk-pixbuf" ,rust-gdk-pixbuf-0.18)
+                       ("rust-gdk4" ,rust-gdk4-0.7)
+                       ("rust-gio" ,rust-gio-0.18)
+                       ("rust-glib" ,rust-glib-0.18)
+                       ("rust-graphene-rs" ,rust-graphene-rs-0.18)
+                       ("rust-gsk4" ,rust-gsk4-0.7)
+                       ("rust-gtk4-macros" ,rust-gtk4-macros-0.7)
+                       ("rust-gtk4-sys" ,rust-gtk4-sys-0.7)
+                       ("rust-libc" ,rust-libc-0.2)
+                       ("rust-pango" ,rust-pango-0.18))))
+    (native-inputs (list pkg-config glib gtk))
+    (home-page "https://gtk-rs.org/")
+    (synopsis "Rust bindings of the GTK 4 library")
+    (description "Rust bindings of the GTK 4 library")
+    (license license:expat)))
+
 (define-public rust-gtk4-macros-0.7
   (package
     (name "rust-gtk4-macros")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:31:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:31:28 2023
Received: from localhost ([127.0.0.1]:48354 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85fz-00069g-Mo
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:31:28 -0500
Received: from mail-db8eur05olkn2015.outbound.protection.outlook.com
 ([40.92.89.15]:24096 helo=EUR05-DB8-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85Pm-0005B8-Aa
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:14:43 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=WPJe1oSXRSOCjlpzp8Uh7A2xLLN8g8FwkBTBIkNqonoaH5+VzX0vOiER3LurvG1L87Jqtz1l2ylGa3OZkvrA8c4HP4auTq13rIcgQLllfOwlz8ZOHmX+kvT0GQuPWqvWA9J9VvdsNaXWlAYbKwcE1+/Kvzju5C1BuUAl8ULT9vU6SGc1PUjHWDqudx8RgqhqDnbvPHZ/pBLAqQa4oGEM4qxtkUhmLuaISgEPySE4SztlIVFum/SJDnN0DhN0uosiS9bkhpiEiwlSZszTVdmnKynXa35b52Z+8mBk2ufe2MbizJ6BowKKIYBeI4fG4Gg6Vju1od6441fJW+ya/p2lFQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=yZPuma3TL7FFd/W8+7FXJydw7wOwaBWBD4TV5n/incI=;
 b=VVeZ8HS0IoLPhs2ePSiE1KnZDiXoUmon51JANwTMJoEDmaDfTHQm7oIP2p3LswPt112tqfB+R3P4uKCkMrB3rwiniMfaCOEf7BOgbK4vuFrFIUaWwvDnggXeRbLIo1dIBkj/yVUauJwYpZgZpDFC62PRUutueWvpE+iyHWgoqbpAMVy6RrS5UQmIfhXMUBgNKFIoIJyPaMDotyyowjXR3ZvVVODXaa+OaL4NmFe6UKAjYOQaVJGKsEAqLPkJLMtps/mU8WWoo4YkEbfs/q39N1O0LWa29PmPMlxZyQZxkTImBVQkFW1NzW99VXgdcfM1TXcaFTlEapP+wZgJM0Ekww==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AM8P193MB0867.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:1ea::9) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.28; Tue, 28 Nov 2023 21:14:27 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:14:27 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 25/91] gnu: Add rust-minimad-0.12.
Date: Tue, 28 Nov 2023 22:12:03 +0100
Message-ID: <DU2P193MB21328AFDA5633F0B27A26065F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [jrkjkjMnS/LpAWIgQme3Pi0Av2pOrtpS]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <d13e2dcff89cd4780012d04a5ea6847683d1694b.1701202945.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AM8P193MB0867:EE_
X-MS-Office365-Filtering-Correlation-Id: e33c9c2b-f4e4-480b-0008-08dbf0570120
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: WEyMMGBR7hKVOGvf6zlUCloQWASn7GkmsiJ7dp2Zi1ysVicDpOPKXCeS3YYUXhbtsbkzwfNIn0f4slkI+3yLD7AqYltcELa/jcY+5oew1O5PtreQaKbnzmij/W0o16FdXR/EshbUUBhnJAhZ2w9zsvyuVcr98wbGNchFlrnH15SEVxyOUI3cu1dfSqGH9iKVflQzCb6hqjIDAc0G8gcwHveMYsbJJiO404DrWDtYUx3hEWVaXqtxa6ekK70zNpceLGvS97SuDcz8HsucWOefhU1O17M1X0kiOXoizB+p+iJb/ARITkPqswnS/jMAco8VbpgVsu11WxLHeOAJksjpb3tUT+3dfQLptt6QAXlMdWchVQt3dlg7QwP60q0rjUhPFZgnpuuEB+uhg7suvkwbOLK4AXVCQo2iSUPmNs4gFyxWBGjZL0uiC5pnqNlTSU6pGMpbcwtRcnMgjUiLCuJl61zvfY9Gn8fKcqfSiGwgGGbiLYDwKU3iWZ0XSIYzHUxJn9nZ6OjWrGZStgynUjgs9QQdIDWvxSXa2eycHbPugl40DE2T0j7/z000XhotOWS/sFaATE5Is9ZrCTiysS6UANZeDP5X3ZPmONgiSAByBb5Z1eWAXxG9jUR6bByveQ50
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?8QF1vfSQHHZ0a8z1s/LOpEdJ1EwhrKJ0xEK8IrTWim75+PpnB9hhrIxLpBjd?=
 =?us-ascii?Q?73ciVXJOoul+YsAq7Ty+5uOpIYYo0zmeNOgfOzcc6MvWLaTq2UTkE6zKuhOZ?=
 =?us-ascii?Q?BHuxmXDHba/e5BcKSDwRCJufk/Jc51aXT71q78kiQbxSW7u5ODKIqZlWdWtY?=
 =?us-ascii?Q?qDOwhWoVcsB5BVFN3EiCVMu9Q8Cbp5f/f8K4ErdNwxL0IuNFY50xLtF6AfvH?=
 =?us-ascii?Q?fvKaB+1MJHfPBfmt+NVHmOJkFxYqZMEoVcqVF9LAsR0yCf14p/XfXAv9YiEo?=
 =?us-ascii?Q?FjGshlkcfoMFB+bFCTwSGX56xwQpJHuFoRNsozafylygSZ0hP4Cu4gkFnzrc?=
 =?us-ascii?Q?EVnptSN7tVbJnXjWNVTdR55fGwPk9WPmWZkWae9S2/k2vU2alP3F6yG7nZQe?=
 =?us-ascii?Q?b7Hqk3nmBX+9ep4U0oDyBmvE1VS0/hJMvEL6gUg46lBlC29YwRj9JaZX5+3p?=
 =?us-ascii?Q?uY2IcP+Yecj9FiGm1epfUjB3b+lTTEL/E4BiuaxFfXIf2QKqmCcufHp7h+K0?=
 =?us-ascii?Q?kn/mor8P+mjTv42WftY+V1Tdq/LBhTgwd9J5FIvqBH1PoJbvksg8SzId1CVR?=
 =?us-ascii?Q?3svzUOvpFBPY7CfY51eGCpPUaCpptLF0I4HFYJSX6JLSSKY31/OTPFheSoD6?=
 =?us-ascii?Q?Wg7aZ9r+hla33HPda4sWNrHlmEY44+0wuhh3Qdt13DOlV5u+e+qK1zPzES1x?=
 =?us-ascii?Q?9IwZ8Day+xy9Y75osOL3mAEaz5y+f5R4Wzg6hdtrN7UkkMVOI8cVWe2LTpdR?=
 =?us-ascii?Q?4lDal3OgAjdC9FwzrfCgsXbIgBNR96yXSv2WKdKdjTxFneTtWU7Wku4+DvsY?=
 =?us-ascii?Q?ZG++5QkZI4/dgxv74sOixo8H9r+HV4o05DBhyZVsMT7YL9zofGj85oDHkPQc?=
 =?us-ascii?Q?ebEMQ4MuTnA9GOd4mxXlRYTGJRQR3k57dlLn35D6pJ8HxxD5npR8wf7Khxie?=
 =?us-ascii?Q?UgzlhU/7hRO9kRFTNBWHba7P4BHOwhQewzO8qHm4hbzk9XhkoH+JiW7JwSOj?=
 =?us-ascii?Q?2doegIg7JbZV/yIc79eixJAMvWs7w7oSBCMGa80C9L2pusG/sMU3mmZEFvCY?=
 =?us-ascii?Q?Aj3AWqV5pjFeKg6ci8YSsXsxmW+6qmXi2+gn2QgP1AdrIK1miNNnKLsLtG08?=
 =?us-ascii?Q?7e06jFFYzv3byezy168PA0z0DRc0bxJxcjHjoxzfJbmO1OzkXNDFz7pUKIw6?=
 =?us-ascii?Q?Rb0pJWLP+ANU+ntSvpXLgbbbqqO48qJ41fqJULwyo9jYJhcVCshDZeZMYx0?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: e33c9c2b-f4e4-480b-0008-08dbf0570120
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:27.7058 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM8P193MB0867
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-minimad-0.12): New variable.

Change-Id: I2992976351cae043913ee03dac3f97ce031458df
---
 gnu/packages/crates-io.scm | 29 +++++++++++++++++++++--------
 1 file changed, 21 insertions(+), 8 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 2d3c3cf4f0..288c32b132 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -41511,8 +41511,28 @@ (define-public rust-minijinja-0.34
     (description "This package provides a template engine for Rust.")
     (license license:asl2.0)))
 
+(define-public rust-minimad-0.12
+  (package
+    (name "rust-minimad")
+    (version "0.12.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "minimad" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1vzglb05pqghc8l6d10vqkal0nqhgkh94jawwlhd1r14952kdc9q"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-once-cell" ,rust-once-cell-1))))
+    (home-page "https://github.com/Canop/minimad")
+    (synopsis "Light markdown parser")
+    (description "Light markdown parser.")
+    (license license:expat)))
+
 (define-public rust-minimad-0.9
   (package
+    (inherit rust-minimad-0.12)
     (name "rust-minimad")
     (version "0.9.1")
     (source (origin
@@ -41521,14 +41541,7 @@ (define-public rust-minimad-0.9
               (file-name (string-append name "-" version ".tar.gz"))
               (sha256
                (base32
-                "0d2qnjwdrb3ngb0sayzj2b56pjb75ajqiaz4iw7zfs4537q3jxi7"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:cargo-inputs (("rust-once-cell" ,rust-once-cell-1))))
-    (home-page "https://github.com/Canop/minimad")
-    (synopsis "Light markdown parser")
-    (description "Light markdown parser.")
-    (license license:expat)))
+                "0d2qnjwdrb3ngb0sayzj2b56pjb75ajqiaz4iw7zfs4537q3jxi7"))))))
 
 (define-public rust-minimal-lexical-0.2
   (package
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:31:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:31:27 2023
Received: from localhost ([127.0.0.1]:48352 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85fx-00069V-MN
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:31:27 -0500
Received: from mail-vi1eur04olkn2047.outbound.protection.outlook.com
 ([40.92.75.47]:29248 helo=EUR04-VI1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85RE-0005P3-Ot
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:16:13 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=bvVmAzHvL1UKbEva7JUY1dyMzAWXiEbcw27K2CVh7KBQSS1Jwp9GJ+QLhxZrRxOn1xxEkOUIit+Sdr1RmL7qHWSYk0hjDLTDuSVBcCXguHcmnKvvpdV85iYlcprjX6Ioaa9Cuvy8x+XRj75hc2QWWL2DuiS39cO3bh7hiTIlgidb8MSKnK/VaHfypkLP3wd36U/DqshSs5tn7SJq4qhA552f0CCP8GdTnO02CZVzCsnlMgPSo0eFh41ipiqxUU+dqMWnAKy25PbyvqASiYQ0u5jnGD+VGVN0UObq+wM4bIJoIMeenW2uAMG2HPtWUBNd4QSJEJmgLmZw6DNDkq1Zgw==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=xvYJMOvOnZlceNHwq/IfieckAQmeC68VBB94N8VKO6I=;
 b=EiEt6Oaqmw67lDIJZrkfzV4RGnrUwp7LgwymxPL1rRw/zh2MQc4WP9X1qDW5cpynqERS64gBG3wmB6XMiNv1cixg3Ja6usHOo4S8sDd7tHpqAwInw7zq90X0yfbRBqMdqStYXh4K4echaeCqN/ubw2c4FQ9WrW4mYmkfnAI4txus6HqJPx4KdLuqvKg9lHmI8uNrEvAH0Kt57+dPWs8li39ur4A7qzSURfC/mF9PZ8RjejbWuzF/EO1MshIRBK9sv9QQMsj3DMNTJtS/TxGz9/cr5e8LOfIEgYa8pyxNh/rRT2vewK9kTBudSjstqGUPoYDNz9GDXchGA9+YvwR37g==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AS8P193MB1970.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:3b3::23) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.27; Tue, 28 Nov 2023 21:15:56 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:56 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 90/91] gnu: Add rust-libadwaita-0.5.
Date: Tue, 28 Nov 2023 22:13:08 +0100
Message-ID: <DU2P193MB213222FE4542A2E6643E3356F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [nQC2gUrz0i/F85rPV9qBHIliO53jcnkD]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <6bdb6cfc4b31d1f4b5a1db3e5a140cc174bde9eb.1701202947.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AS8P193MB1970:EE_
X-MS-Office365-Filtering-Correlation-Id: 5c3af9db-1112-4a47-0cca-08dbf0571d95
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: I8ZswYlnz/0wV76nPHmD+HTYqGU9798CEzTdp7AiHZWIqRi2HL4uFpE3qHgU7myqi4qaKDa8VwFaGYIXm+SB9ibD0kfQ/dAZFYrxUhxqqZwhyi52PJvspNJ1n28rrryvlZtU43XGKY1cKmJFyt6Kppr3XkRa/soCxZxPq7v5Rjhf6UOLNE4jUbjPvOexO2rQ5qYNsFvRobrFVYm7i1q2a4JYn2FSAM8lDXjwVCJz16SNvx3L9KN8/PbK+c4k7+WhhZvXnz8ZO85096rT9RexTxIL16fGGTM+gDWZhPc63lv5UX1ekt1ovDXG1gmo6pyXbKEQ/MRcPkaZPGv+jnS5jPzIDYOISpluc2RY5bpNQBSNW3FSsgNqRqE7ZBuX+wOTs+o1GtkSD929F8v00SBVXViIzyYW8roP1gEqe8fj0ajdDHAM54KxXwgutx9v5qK3JIpkCmXAOEuiQRZNJeQH0baJSEAdVcAkiclLi9BGJl3MUaNv9pBCvXn58CofZ/w1f9dLq8y1NZvCesZibgJKG7HD6lYiT+OmvTCAy2JsnjUyF/h4PQ/ouTuTf7rhiasm5jjA5pT023S01mRsvuDda76bbI9d4CC62vhSbgVAedhQN/yeOuIMFpFKTcanjUXb
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?jw/KDDyabEFkOHm9KTp82B8JEWeBHpYXBra9iiRg4MJtdu30cLZcphLsastM?=
 =?us-ascii?Q?H1cWIthIzNUNY7Dtp2MCBxFRxTG5IaZjha+vYGUmryxo3vkv8HNKMZODUc+C?=
 =?us-ascii?Q?fiVmh6T3pr8Tgr3exUOoeAZJyk7k40m7rYa15ukbYsFnBcob1EyGSv8pJS3E?=
 =?us-ascii?Q?MajpXa2sYPpHWc7ToIOf7R+Akb/MxTJUo25M23o8xzJU6yB1OKlawwzszTLn?=
 =?us-ascii?Q?0TkqT4K1Q/qWDvQULOX+SN+ueJFBhaipz8b0gDNkGAwIvLpQFZUAT16jcmjZ?=
 =?us-ascii?Q?uoxaRyX3rcRc2XULL3QB5na23bdI1Y4GsSHPLN4RVAINZB67IpvKO4a8lc9A?=
 =?us-ascii?Q?vpsE0loCh/9VhSh0hJNuaLdPKcccTrHV8RvtNbijk60T1ekirbaH8JkekaeC?=
 =?us-ascii?Q?rEZSzTeVstuAYGj73KIjC4Z9jKGhIBQGG48UvI+/7Bk3LV9Ipx5qHXX7Zfl/?=
 =?us-ascii?Q?RyyEwRZWmZMQ37PgznQeIR5HofPnMPqh8JvDJqAH1xkOWhwltlHvYR7+//Qx?=
 =?us-ascii?Q?nEQ77f4ThfPr32VMUHvj3LsEIeGxtjm3L1HcrCuXueJiU2CRzU54J3nTeUu1?=
 =?us-ascii?Q?u0YzEfrJorIGcrWc6pO4yT++Yh6KojWjM7OsaFZXr80VxQl/WokGHtO1w4Cf?=
 =?us-ascii?Q?gEU5p2fCz4jee66YhTpZe90Pk1ZnIptjiLTj+Q5LmkOhLjwMrAY3zeY/zeA+?=
 =?us-ascii?Q?UHZJNEAbu3w1jSNY8n/qeKM1VTrlQnJdsnJd8uR+fmeWS3AcoiKqd0Yy8fqH?=
 =?us-ascii?Q?Kl5m9nRtlwEcH8eDgAX15fGEsdpTVnhibTlAZ4jjPT6LckVR+Bx0fMLctYL5?=
 =?us-ascii?Q?OBdylDk7lA/ayn3zhzJLJMfGza+cXCn3nN+isHNw3y4c5RBFmu8LP48FwPZ5?=
 =?us-ascii?Q?TvBrMQ12afoDVpR5zMoWUQFf1ezWHl83d+lu/Xq5gYBqkTPIcpZ0zMqSFtsw?=
 =?us-ascii?Q?gQgobiNhGySe0A3Q9oQpZFW9UPNQ2UhWfjSBFoyO1Fh/GaZ+Ev1pF/337W1H?=
 =?us-ascii?Q?2xroK0gbWoIhFeWNllsU9u34eqj9qVin4Aya7vlhSX48AdhhItpKDL0cdPlH?=
 =?us-ascii?Q?u0SKIyNaLJO7J5kudHsK7QfkR4d82a+6VLqSjH7Z+je69PvpAEDqhrAiIjrn?=
 =?us-ascii?Q?E0HLIx7BWvm6YxeWmQ5/+yqQVS9DuOSLzxRjCQDkZga/N769uFz1LRVUZ+Lt?=
 =?us-ascii?Q?oQc1yMeEaF7icQkReqdRnFSUysjVmPOJBoI/foHcsdnkzjy3pCReqxIkI/k?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 5c3af9db-1112-4a47-0cca-08dbf0571d95
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:15:15.4643 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AS8P193MB1970
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-gtk.scm (rust-libadwaita-0.5): New variable.

Change-Id: I48533d87282268a46e66b9235c6a86b52b5d82ec
---
 gnu/packages/crates-gtk.scm | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/gnu/packages/crates-gtk.scm b/gnu/packages/crates-gtk.scm
index 1bd8ea4f11..adc6671bd1 100644
--- a/gnu/packages/crates-gtk.scm
+++ b/gnu/packages/crates-gtk.scm
@@ -2352,6 +2352,33 @@ (define-public rust-gtk-sys-0.9
        (("rust-shell-words" ,rust-shell-words-0.1)
         ("rust-tempfile" ,rust-tempfile-3))))))
 
+(define-public rust-libadwaita-0.5
+  (package
+    (name "rust-libadwaita")
+    (version "0.5.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "libadwaita" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "174pzn9dwsk8ikvrhx13vkh0zrpvb3rhg9yd2q5d2zjh0q6fgrrg"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-gdk-pixbuf" ,rust-gdk-pixbuf-0.18)
+                       ("rust-gdk4" ,rust-gdk4-0.7)
+                       ("rust-gio" ,rust-gio-0.18)
+                       ("rust-glib" ,rust-glib-0.18)
+                       ("rust-gtk4" ,rust-gtk4-0.7)
+                       ("rust-libadwaita-sys" ,rust-libadwaita-sys-0.5)
+                       ("rust-libc" ,rust-libc-0.2)
+                       ("rust-pango" ,rust-pango-0.18))))
+    (native-inputs (list pkg-config pango gdk-pixbuf gtk libadwaita))
+    (home-page "https://world.pages.gitlab.gnome.org/Rust/libadwaita-rs")
+    (synopsis "Rust bindings for libadwaita")
+    (description "Rust bindings for libadwaita")
+    (license license:expat)))
+
 (define-public rust-libadwaita-sys-0.5
   (package
     (name "rust-libadwaita-sys")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:31:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:31:25 2023
Received: from localhost ([127.0.0.1]:48350 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85fx-00069O-A7
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:31:25 -0500
Received: from mail-db8eur05olkn2015.outbound.protection.outlook.com
 ([40.92.89.15]:24096 helo=EUR05-DB8-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85Pn-0005B8-F3
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:14:44 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=kXCsEUK8kkzDaVpDZHesOc/BYRWwOcWI6NsJR1qZJdqa0ex9YX1A1mcjJESJ3iMJJqxQsq8oryvpoF3X0N6pFZTTI1oKT41fCIDkraFsLSkCSPsycoPcntcTB+bcvIgcuNlImcv2noQxCCsohub9x31+yMvzhj9oE9vYEXu3kfxvX3MCZ+a+tAFzA84k0iP+wmZnMW2yocV06ArhcFqmwy4fBitnDOtOO0FZWbjg0pZWMeEKsEmDpb9eYfvNqY+bbPETt8eacjZCoEUa4ruSSolzTV/OAoX4ZlAv79b6hVL40DNfL0xyA/O085iTsEoOKtLwhbIrIjtWxWCr2el4uw==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=ZaFROBJG1ORmRjWPuRczt83Y1HmJuEgM5LtXg22m9kI=;
 b=DQ0NtW74UIoDdAhM4v6xgkyGZTecetuLJqHdciQww7EaUVPmXkIdKKWIm8AadAE6AeEF+9i25x+RXB0x6AT7sB0M2vyijBm8r22HeT9ekPtPR0s+u3KsBtND15T7NskFWWRcXGlgdtHpbAAQxrABas45iDa3kRYPRxcmyUwQZTWp5VHJVIKvYcOVpygf7JN/kcGNXlV6YzRAICxf+X7Noa+6ejILmjk3lIte7AQATgPeR/e4Xyj5wc5jGa6qaMb05VyUfo5YFlBd8j56YYqtjCq5QnyxUCnPcTBsvrZVUmaJ9nK6MdE65DYh/mqmHE2FwCF+kZ30LK6OmKffO3n5tw==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AM8P193MB0867.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:1ea::9) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.28; Tue, 28 Nov 2023 21:14:30 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:14:30 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 28/91] gnu: Add rust-byte-slice-cast-0.3.
Date: Tue, 28 Nov 2023 22:12:06 +0100
Message-ID: <DU2P193MB2132CCB6723CAC8CACD45F33F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [sXUkVveDY5tK2dQzYvKALYS4A2S5KFfX]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <4711f52271862d1398c21795e5f1351e9ec48ea1.1701202945.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AM8P193MB0867:EE_
X-MS-Office365-Filtering-Correlation-Id: 6acc8467-42b0-40b3-640f-08dbf0570265
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: qqd2JXKGYfT9sEERw/YPqewc+V9XTPX7k8myoRkKULggE/VOj0SybuSngCs/H26nZB09BV+m0KAJwVRtpAByvpMxTE1MohVhKXPFOSKn/ExiQTCb1flOIA+FA9lXCqsItGGJIq2vWZL03nq13Lkgh0fx9tB/ZGsy/TqOTY6Wc+ZYdYPUJlqhEnlcZZ7jfqWa4hdgUtCSGMGoWzVEePjclOE3tYBBiAfHzIfZq2EnT9B5s5/6JfPUbQRjZsd+JVAW4qEVnZ/zQAGY/SCfTZXjzDzDpdkKot4i6Fe6zENq318vEBO0f6yCjBWB6xxZ7+7AulrievKu5QBkaZv3YFZNT0nLqv75N78na//o1LH8exfiRC4381b7ddJWwECQNZeXNdeE4zPyda/E3zZQbYes0eV4o0Budcd5casAjBn+45CA9XFwVAHycL/Kjf47eQ8ioneCANhS0kCg/H9hAj1RPa7pBCKYcX/aSDfGzAFUi31hxr6/+u+N663/RtpsKLFxq9hNxYDYYeWNWfEzKQz51z/D0bY73sbdhJf2UIJTMYXAOhp7uHlj+sCgZnHvgr8Y3g4zGUV+1+asRsxZyN5t14OqNtZqcwLElqUqIHbCMpLoIUXrszAUj8L406/nkmNW
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?j5AiOXIPf+0zCc6HMzHOvFtD5xDikgtXPcaeewCi3ZZmd2+9QKLrZr7taNb6?=
 =?us-ascii?Q?0WNjZfF6dcjL4r4C/+HzOjbA7GxNOBI5AzuGXHp09UedkRDD/a3bVPAmix0+?=
 =?us-ascii?Q?3S6ffalTnHO9AMWrCZKqYhDBx/XxC8TQS4sJ6cAymiv7ln1eZEtF3NPfcNlu?=
 =?us-ascii?Q?78GpbJmrOjcIVka0BWbUYPnqdRgnAX8hjrn8U1Bim3nTiNwyEMn3RUvwzLyy?=
 =?us-ascii?Q?ca2exdKrNrsKD8Y1+jJ32sLiojCxEI2WqvugmuIMsw0KMxVd8tDug3XZkNz+?=
 =?us-ascii?Q?joAHAMU8R5lEk3Va9LuCFBlF4P1cjwSS2tyAhRbEiEswb5ucTxwPi3dmM9qk?=
 =?us-ascii?Q?gkHaTsHTgURtg/rHYBA9PsWEcBFprYzRyrXs9hVprt8u5XYCs3q2xTfSh97E?=
 =?us-ascii?Q?CeiZjBWQ+1Kvghfjk4aDo0mAQ8z8oGLrKNBhS/UQ3H4dXvbocCsciS4dh6Cu?=
 =?us-ascii?Q?cyd2mtoj8GftnHYqVyCf6o7jbCxNknAzJcrLQtaJX3StL2fo4Seesdi2ilOv?=
 =?us-ascii?Q?PqkyYjVnsiEhDOqxut+WXgK4SSddjZSNAuyuewObZzoV1olKxb6SL4NVLjOW?=
 =?us-ascii?Q?P39fkGezcSHFTU1sktcUPJRgWVoEJJzFFDK5bmX6KKG8qJ9Q3RkYMGlgKoBW?=
 =?us-ascii?Q?5mlgKyDAi0DKE4O7IP2Ln2EY5TgtgvFqvrp7Z4ToYetQJe11MyRXsyB+viYT?=
 =?us-ascii?Q?gqp82QvdkqvTnVxFsyWHCmPBN9nhnxBD/k8OX/spcfyaWZWBLdlpg76VzRUn?=
 =?us-ascii?Q?PjDd4Zz/DW2ZPmvvETQQyHMUfuL24ASu5qN4xKrWOcZWdTlPO1QwZ15faXOD?=
 =?us-ascii?Q?RsdD0iA/zg3ebbwhy8uTirPraiGJCjSzOOJ6y5NJ3kLNfDPLrtPZdmzmAM99?=
 =?us-ascii?Q?0PnDkjkOdvpGYwxKSgweZhUnwumvyNidJep1iVo7lD7v3uJ3dmG9340bJd3F?=
 =?us-ascii?Q?x2hoF9JtqgBFD/BkXse65vLdulHuStQ44U1LrWrCurPuRGscFqSetc72+Ep6?=
 =?us-ascii?Q?B6AMtEODGQl7Lxp3dJLnXwf6C83TnTooqFWlIuieTR4bgORqCSvO0AUp+vXD?=
 =?us-ascii?Q?4KKCr6NRj/QAl2Rx8RhqcQ+ap01dODFnta6vS/pf66ozH+dOXN3gYfjmMfbw?=
 =?us-ascii?Q?QWOy6Dud8zEo2GnggN5NiZpbP+zZn0rbfhSPO6I1eCKMpW9TYjCyLZEaJnK7?=
 =?us-ascii?Q?1L0cBeDVKtojTtv1Te2wAW4VL1Kj5uz02wF6OVO1Mo8muaZNHDbT3UHOoac?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 6acc8467-42b0-40b3-640f-08dbf0570265
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:29.8965 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM8P193MB0867
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-byte-slice-cast-0.3): New variable.

Change-Id: I4cfc358e17e52e65e4f93da86cd33faac71822f7
---
 gnu/packages/crates-io.scm | 13 +++++++++++++
 1 file changed, 13 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 2e972cdd06..c2d899ae67 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -10112,6 +10112,19 @@ (define-public rust-byte-slice-cast-1
 of built-in fundamental numeric types.")
     (license license:expat)))
 
+(define-public rust-byte-slice-cast-0.3
+  (package
+    (inherit rust-byte-slice-cast-1)
+    (name "rust-byte-slice-cast")
+    (version "0.3.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "byte-slice-cast" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1wgaigq4xzrpaaik1ja828zi4v2qn4md64c01yglzyz07z3fxmil"))))))
+
 (define-public rust-byte-tools-0.3
   (package
     (name "rust-byte-tools")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:31:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:31:25 2023
Received: from localhost ([127.0.0.1]:48348 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85fv-00069G-Vs
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:31:25 -0500
Received: from mail-db8eur05olkn2015.outbound.protection.outlook.com
 ([40.92.89.15]:24096 helo=EUR05-DB8-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85Po-0005B8-RP
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:14:45 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=jxvNRAkHqcKAD5E3TInKaxFhVtvF2jyFGqvjv6mgjFmvGyOJ13katSFfuQBse9Dh5k2zN8xmIPe9K/jX4unr1YgavlssO/R3HWDYY1WucTIEKaCpyABf9djDedc6MmSL78cb1+6uB2MHJoypm0nPpxqCjKz4ZesNaBxoE+YXNhyGu36EjIkJLGHHj4m/0Ii7+epES1acCjt53BNl0V8s4ABuhRvVrzWC94gHdY0vnIwJK3/KWvcNIoVZvviGcWE1I3S8gzy1vjFt3P2058lMBxkiNXix2z2vrzaJj3Qcstdxpze+yix6Kf7F+BVL/rrBgjUm5yDXc5OOfvrNQWFroQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=9oaeVsxwY1fpj3uLmVHd0u826cLbVkYRzYECI1D9Ihg=;
 b=bucb7q9/DiFf1Fo9MC55Nx8gQc40P+AMwr36KZV9VquHEVdL6XfymNtJaA9jHRSpVuNDo046NHTZEQMMDA+KB409tT9GYv4S7+RixRwBzZ4h4IEavnxzTMjgcFvHO5egGnySdy+gWZsD+1/lzNWjayvUj4dDT8Ct30mJU26T9yBA+P5eSZDmPxSdx/7oI8G8wPhm/Z9VkVYX8cAD7dM2q82GItaiHEvftcbE2wbYJAFZUfoJcqgOEdvt9UvTMCGZkZT+vf74Ii/9NSJhNOzLtgIjtr8h33a29388KfMkXIcW8Cyct3BiaklLo5sceSrFmcQHfC1b7yQy7xcvuoDzew==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AM8P193MB0867.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:1ea::9) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.28; Tue, 28 Nov 2023 21:14:31 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:14:31 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 30/91] gnu: Add rust-assert2-macros-0.3.
Date: Tue, 28 Nov 2023 22:12:08 +0100
Message-ID: <DU2P193MB21320418E56163B09BF6761BF3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [ZVc8AAdNrm90iU1/Eil3ktZ3pZbOeKU8]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <052c438ab29a6710e279d3181de667eefb09edd9.1701202945.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AM8P193MB0867:EE_
X-MS-Office365-Filtering-Correlation-Id: 1ad4a869-093f-4b3b-84ef-08dbf0570353
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: Q+ejmUivGXvZvXDiKD49ddyzO0MIJvASyM2adEYft+iHUbjZteNzjnc5yAA7GcQdTaQiPVmjUsljo44vdK9DqhW/FJH0DJD/P104kTR0dcKxwbnmB8gLFlT6VYih5CD9OTxNdh2Ylbq6xVqRvTY6deXkRdAGTW5i35ev9hZVvcI/ElP/fek2NGWuIMzWwsyu5t36AdGWOatSicNAsr1oa+PzcHPFpWvnEpt+bkrx5nGVAOvIRa0UTXz9lsQ4ffT90z4GDTfi1bEMKciTwL4nXqrz6ym1KuzLYU3HrHgcbYjVr+/ZO4RGMTXdhziVlsPdA319G5LUGpvGQ6YIs3koLz2YeFFpLVcmelWADrGaovCFBtSMGZzKJFLLdhKoeMPP8JoDA4S6Ym6WZppdh2+YVm5omrJK6I3vsG7KoCzWLr2uKi7EWrdpZ0S7Xu8DY5PasbEiGa+1MOomAvp2iqBqMPot5Y/Hl9y3Vyf9kB5LjjqRR0T+K+yG+UkXGxtXCpbQXVcMd/uaoocfmVrpKRd2aJpnQqFYP8fuG/kR3U8llZUwHF3N/01AUy37VQ3z28gVj/7VLOeZZUhkUMkYSVHanXa5NGlY/yjhmqusC9ctky+oufcfI9R4ufvcrMQRHrNU
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?0Tk9wezSsuhMupcclu7BqcLEUryIZsKhWGbob4TuNR7yXHdejr6HULhdVe0B?=
 =?us-ascii?Q?evW8lXIzaVYgQrtBpbaCRET07Di0EmjzoVUJeuXqwpEpk6BUtvgmeQce68ha?=
 =?us-ascii?Q?TZf+njMRdzVYiiiA5C7oGHVeUOHJ/xSQSHoCEAbj2jY2QdBAY3/ngneaWgSA?=
 =?us-ascii?Q?QtZbO9G4Ew+VBP7cicByZs1baTHZWIGWcvYpiBuWSc44ReuE5zOi2Z8P6XTY?=
 =?us-ascii?Q?K+7tdq8fZmAe6w2bzt74t5YxSxUis9JrEDeVPdkKxJDeehMevo9jycW4xI4b?=
 =?us-ascii?Q?bFxLIZnPbVSpoyQk4I3owtnMrk1qfEzpMTLW8Bb/xTsJnyOsBr8E9DpHRl5F?=
 =?us-ascii?Q?0ntvShErdeK2WhT0NG78J5DrGssMJQtn6J86uGPWcciD58vSdlWhTsh7bNtI?=
 =?us-ascii?Q?ZjKU8EAKUxO3Hqt6ilhpDVshDZZdMAFw4CVcFiTh9RhGBj8nE7YSbU+qjZSg?=
 =?us-ascii?Q?D88nZyJ6De0kRcKxS+nP3yJa8vm2bnqbAgYvl1ax0CRP/tnAXR9qFzLPcrvI?=
 =?us-ascii?Q?PMngRoS4MF+eNMbLwLbwa2ZtwDsFAeZcza2HL0FM27GtU0OE9yPxciHZJy8L?=
 =?us-ascii?Q?cZw3+NpUCYS1O4QmmvJUrXBht/i9owc51kRBRmmOgABjoqF1AxiTpJejMXre?=
 =?us-ascii?Q?D+StSmpsDsa6VO1WfikfBGFOX9hKnnSFRp+b5jcK2Ckb+O7SrhoH6G1AtHog?=
 =?us-ascii?Q?GwaJqd3Ignj9/1ZrgciNG8IAV6KSE+VTdekZiz6UIzWPPx09uZnHWyxezy4r?=
 =?us-ascii?Q?qO2dx6iPHGNVhSd0aBgSrfT9MMQQNMRw6VxmbL4mdYw96JF6sPlYEWm4mFgh?=
 =?us-ascii?Q?G/pZr3JxuneW7D+SVzC23KqleHPsm319NTPUtzh5ss08L7yNj7ZScjJ3goFR?=
 =?us-ascii?Q?0it8t+ALSFpYFzs6zd19kj20oxnm50TUprydU/kt050RHLZNfilL89NK1M5v?=
 =?us-ascii?Q?ZdHU5kDVg33Q46d1DSV/xonIRdgEtR/3FFJsVXZDKViA3XPCVMds9JG+3fSq?=
 =?us-ascii?Q?Odussrw+V6ksC44xLLth3iRwwHAWVHmJFB4jqgSxQNE4X2BYXKjccw44cPau?=
 =?us-ascii?Q?xx+RQvwbXRIsZao9R/yeIGzo5F0zgG/z6Xs9ygJ3jq34mhMQJ9RFr3/Q+0DH?=
 =?us-ascii?Q?aYhvAOtoADzOfh6I8L0ff4GZfI5RT7YOMV28CBS67rvlz5a4N/ncark6xPKR?=
 =?us-ascii?Q?nrUDGtivviS7YuEKozhxS7qI49lvaDNJfnIiYds9GPn5odCcM/CsK4YHuRY?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 1ad4a869-093f-4b3b-84ef-08dbf0570353
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:31.4753 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM8P193MB0867
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-assert2-macros-0.3): New variable.

Change-Id: I270c282016581010508fbe7ba9542720e6cc324b
---
 gnu/packages/crates-io.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 9d47e9c03c..b9a2f17a23 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -4922,6 +4922,28 @@ (define-public rust-ascii-utils-0.9
      "This library provides utilities to handle ASCII characters.")
     (license license:mpl2.0)))
 
+(define-public rust-assert2-macros-0.3
+  (package
+    (name "rust-assert2-macros")
+    (version "0.3.11")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "assert2-macros" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0dcjbac962smxr6pmnsd6mdglh6any36ifshqzqzi4ppwvrvsmbc"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-proc-macro2" ,rust-proc-macro2-1)
+                       ("rust-quote" ,rust-quote-1)
+                       ("rust-rustc-version" ,rust-rustc-version-0.4)
+                       ("rust-syn" ,rust-syn-1))))
+    (home-page "https://github.com/de-vri-es/assert2-rs")
+    (synopsis "procedural macros for assert2")
+    (description "procedural macros for assert2")
+    (license license:bsd-2)))
+
 (define-public rust-assert-0.7
   (package
     (name "rust-assert")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:31:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:31:23 2023
Received: from localhost ([127.0.0.1]:48346 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85fu-000698-To
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:31:23 -0500
Received: from mail-am6eur05olkn2041.outbound.protection.outlook.com
 ([40.92.91.41]:35001 helo=EUR05-AM6-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85R5-0005Ol-HF
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:16:04 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=kWew3W4P3wE55q1uyg5G0gNK+/iZYa0QFFk4M3Jp1a5zuwlCOo5bok0PFxjJ0LEqsNFDUX/pkfya7/k80MJN2EQ/hMAe9ratN41pdB/bmGh5FdI/ryk/N9CZBUzxcgISSoWUjG6H52+GR/Bhn3+B3W/ZOhBTzShQ8ZR8vuDd2DJoHKDs/siuXde8RJBQc0ucp2+rAxzaZuOEy2Aym3gjBJJjsdx3Sl0s8GZ4xjZHstoFhkRThOe2sX9hB1TSW38xn5I5ZjOEUgxCoCKo4w7oUB6K4zkttoaLSFgHXZP5DstpjOLXNrpQGEvO3QRpwItLsC21Sl6YgI6NS+zCZoF+SQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=u2ODLhTMZCkF/E/ix7AobTHR7+Skevwc2Fa6WmQr4+k=;
 b=RmJtkwti9EhKUeZpG243zwFgS03B8Aj1TEXG509wUEpYBDBQTwHtRlJ8TrrGSoY/+qgEKOEtZjKxsxa1Vk0pNY2uw8D7PpNeBqJ4IjTyGFA39Ru2zfbVRlcU+fJNjNT96kKb+0Qj4VasI3v1q/h7oBrTGfHfxArmNNxna2kSWtYjN2EH7kX+0a5KpahyNVRvjhtsN1R7sD4+HdrZJ5HKm3r7OfKDhPy6qVqag0LS5mWDOJA+lprKxgrxFH5+c3IaKfqeepQB4OeHYd5ULnvvKLn1WppocT3FxvEgxFSzzxSUiN2yp79BbT1OGy6PO85MJTzWAFhZF+iAGxozBPTq4g==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AM8P193MB1251.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:36a::12) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.28; Tue, 28 Nov 2023 21:15:48 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:48 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 74/91] gnu: Add rust-windows-0.34.
Date: Tue, 28 Nov 2023 22:12:52 +0100
Message-ID: <DU2P193MB21326A180C0B69AE0363D63CF3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [ljttfbLd8P9HlpN7i+vV9a/n7+ay7nP5]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <52703f0b52a7e3cbfacbc2d313209a6b0e1e6637.1701202947.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AM8P193MB1251:EE_
X-MS-Office365-Filtering-Correlation-Id: 2fa7adfe-73d2-48c9-1655-08dbf057169c
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: 2Bb54/MPnBiFdyTEbKoAnk2kAdMeTxsewVJIYEYv2dsOg032VBAOhAUs+Bkdm/uD+U/UNj3g5nuWVqPgHP5sbAVx9tYAnm4O+SEPLAUkEB9a3ZfCo4kr4x/QRHm6o1tx3w+jppmyRqO7b+Np6YdMf8Q+g0S2Wkbm9cTUBxtDJ0zJstlrVo7RoNG4cgnyhKCKZ1AjOE/D4zoWc6vTAzooQnKa++oJjdr4YxfWxGsJ/xd5XnKRrfhKyNwoq8W1/l4CC8sdC568NiXbZsqYuPTDtjcBVK6fMxh3UIQaZVoari/OgbzYyJrEoqruARwBwxHk0pQV284wjBSTJ2BntxXxsHdn2bI3do09ylB/bRNGA7+K1s2Pz46QafeAIfVytK2D6ARCPBlgORgfLZIA7PHrnnd/j6Ug0Gu0jribk3gMfjfA+FDugXKaWs0t615dObB3DAvy2hEb6qq7gzH3DD/j8YAbaH3qfcNul5uldiYdodiYFUEGDnz77Sc9YOPbCsXM9ZrqIY/XrABrNrX9myjITCpt6D8iKIpSNH6+yQ5woc95VuNV8XX8xcY4wLtYqZqTSTaCD+ALHUhBA2nokIgTKBgKdU6Q0A2Vvtf3OgC8LMMWDnJuwPTJbrcOPZr8em9U
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?YwPaz3Ck+yc+xaaXt0/1PpdBw0TVCyKtWuHcwnsGSgcLvpm2qnPSCNthvo3y?=
 =?us-ascii?Q?f5e/HRbQ9eimut27HyMGm4h3642yScyJNxPbML3iC7HCdDtOEIEhRGDob/wi?=
 =?us-ascii?Q?+myPt48Lw+3n0lQTuch4z8KLuQLKrAVfGqsI9JvRAszW/VGAo2UKytm8P19J?=
 =?us-ascii?Q?1MvlwOZZSIw5N5fd3FuChHFy7zUDNwPJghUo767fcXJ1MwDNPvELhG5udHdW?=
 =?us-ascii?Q?L1L+cBArm4C60OVRz9KgMA0ok7+dKCAeEWJGEzm6T4OncykWGLFEB1cnNYxM?=
 =?us-ascii?Q?uRwkzulPqQw+LscHpJE1CexVH4/1OEp0xdO9avWBzvNQTEQEZ/rG7jCvDYS2?=
 =?us-ascii?Q?yNYIkLwJZxoH3pHya4/cpgiSLfyJvObs89mcVBfPwjIG7xsksEC7CmsFI9t0?=
 =?us-ascii?Q?+oj7wg4WZxfl73XeGvtcivbfjh3eBLScPzdc8njRbt4cURdQYuTCMOdrchob?=
 =?us-ascii?Q?IcCjZP0ZGLnd5HHEYvv5X3A6MOrU9YnGa4lOn2coaSA2sJo6KqU1EPdT0mw3?=
 =?us-ascii?Q?nTUNqflitGrPDHodt9I4caz7tVQ7Q1YlcxwRlSAjcYcYVwJwk1p2kpUvyd9Y?=
 =?us-ascii?Q?rXEnBT3z4wqWa2FrVO9Z7RCk4862YoWmIj6eC6EPIYYePt6pim8SM5mAOpw4?=
 =?us-ascii?Q?rLZ1R7fzejzNUc7rGjE98ZIZcosSP6rBZg+yh3yY94kL8xMD8l42HuqGWh4W?=
 =?us-ascii?Q?muvIS6Y3mW5V8BVtvv8ZpxXcZ93/iEh5v8GHEOt4Qa20xm8cuBmQV3/kkeLB?=
 =?us-ascii?Q?jbXR7fWT4xxC6qbgCv20PeyePASFRke9PYxsStiBzesYc8rzHiFm5SWH/r0L?=
 =?us-ascii?Q?YOmcjjbHvE150Y3Aje1vEoxMKd9ku4TKCcjZqFeNVCymlTbbyDamvW2mWUpG?=
 =?us-ascii?Q?Crzj/sgrBvnp5Bf30piJ4OVaMV+zEEpgiHoFbLy5mP302YgWBBGD4zSYrXMs?=
 =?us-ascii?Q?NIRT2044DcbMtencpIyXmsGkfPXKCdOg7HeskDWI46ErMDQ4CMQhyDreyHn8?=
 =?us-ascii?Q?ZtZjH4iwbkfHLmSSYLhSv99ccTir75QrxOyleHprPQ/YU9YOxewG53Y1WlZ1?=
 =?us-ascii?Q?HyQDrpCbkZQiVFtkh0pxEflUDf2jskOBN4sUwsZgKJ3MiHzdvskW1QIKwpsc?=
 =?us-ascii?Q?HEkXktvnPuXhOD2nthDJS82lLvp0h/eCVb1RlSR2mPqveJZDTrNtlXvUHXtv?=
 =?us-ascii?Q?GHrJkp7ePvzrZip7+MoyXQZVmHXMCqsxqOayBHEhGeG2ZdIweeGS7C0zkQY?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 2fa7adfe-73d2-48c9-1655-08dbf057169c
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:15:03.8008 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM8P193MB1251
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-windows-0.34): New variable.

Change-Id: Ib625b56d942ae619fb6258f0d2a0c30e893c7bff
---
 gnu/packages/crates-io.scm | 25 ++++++++++++++++++++++++-
 1 file changed, 24 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 7bcbe69be0..620c2a9d0a 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -83941,10 +83941,33 @@ (define-public rust-windows-0.46
 if they were just another Rust module.")
     (license (list license:expat license:asl2.0))))
 
-(define-public rust-windows-0.32
+(define-public rust-windows-0.34
   (package
     (inherit rust-windows-0.46)
     (name "rust-windows")
+    (version "0.34.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "windows" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "17w2wygxjzi06njamyjdws7bjdn2lkplqqgjvdpn29s241j6naa5"))))
+    (arguments
+     `(#:skip-build? #t ; windows namespace is not availeable
+       #:cargo-inputs
+       (("rust-windows-implement" ,rust-windows-implement-0.34)
+        ("rust-windows-interface" ,rust-windows-interface-0.34)
+        ("rust-windows-aarch64-msvc" ,rust-windows-aarch64-msvc-0.34)
+        ("rust-windows-i686-gnu" ,rust-windows-i686-gnu-0.34)
+        ("rust-windows-i686-msvc" ,rust-windows-i686-msvc-0.34)
+        ("rust-windows-x86-64-gnu" ,rust-windows-x86-64-gnu-0.34)
+        ("rust-windows-x86-64-msvc" ,rust-windows-x86-64-msvc-0.34))))))
+
+(define-public rust-windows-0.32
+  (package
+    (inherit rust-windows-0.34)
+    (name "rust-windows")
     (version "0.32.0")
     (source (origin
               (method url-fetch)
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:31:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:31:22 2023
Received: from localhost ([127.0.0.1]:48344 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85fr-000695-QS
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:31:22 -0500
Received: from mail-dbaeur03olkn2098.outbound.protection.outlook.com
 ([40.92.58.98]:44800 helo=EUR03-DBA-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85QO-0005Is-PQ
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:21 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=VqFx4qQruLly7jwu9JqMG3HJI2UwzXQwydA1xw/klUtz0IVUpy0O9ljefeNWhHFnI6dc3ddaRPfgvPyXHC5cb7f4rji6C+LXL570PLCe42AC+8FEDE01kVmrcCKadc+JhVVnSQEuhdqxDJm7mkdTD4RTh96YXPiZ2ov512KvVfX+SqclPOATudm9Wq5FZLqj+SlNQchKHA4UpTmkBJjOwZXwUcIj2aFwMJ44ydVKmc8wLw00TERTLy9SYsRq8oqklpYHx9H8xY8HMGSx2uWaWD0ncH6iYzHkI7sLW9pyVX780AX2coMzVbQwWoxUxuBMghzqFCpMS5wTPIigh6gmpA==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=wpcRtBXQgqM47Zh86r0fzTV9lpJgntmERLQsACByGPo=;
 b=aI8yGkwVVn7z7tksSJxlrUQirQsVgaBW/z/Gs8JXn8/gmN0TZa39njl2EdnRPt7hdtL2sLsVr4xU10sE/FfEYU2xbtvgloPAilibnMQC7zUyCV8cMtwB45i+TTeDQ5w5nF/puF7y2igRSULIcNknFrQ0mK0ERCvyp8pDWRrnHOQd+fc+JjUplnaWINb6h14QszUvtmB3JRDgBWF5KQKpM6dIWUzUMqspWFXFjSX9WmO3wHUAa3NBTJqOcA70rZUcbLuttfp9jfrs1byvFtuoSw3vc88/+nZnw7blS29VRdCqSsWbhsnFKMzAxGWU79gRB47r6MzOohcC/kg4K/3OsQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 DB9P193MB1913.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:25f::6) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7046.22; Tue, 28 Nov 2023 21:15:07 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:07 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 45/91] gnu: Add rust-rust-ini-0.19.
Date: Tue, 28 Nov 2023 22:12:23 +0100
Message-ID: <DU2P193MB2132F8A59E60F18E61D1C25AF3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [TQ+iqd7KCWIoqX7XngPV0WTFQlSizo5v]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <619f01a9d1ed546172c5b346d5b4a20855052e19.1701202945.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|DB9P193MB1913:EE_
X-MS-Office365-Filtering-Correlation-Id: 32d84cfa-09b4-4521-ea0b-08dbf0570a40
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: ldbfm2cZ+Jod5/jzMRExnTPSo82ygs3StXuhToCQZWk8qX779jK5XM2aluyWcbwAJ9ZylCR+uIreU980b/BZW+WrtY1Y2X8a1V3zkpRubHIKWFELwCdsm32uSX4R7N28aqlhwFvyz4eW9usANcksjyEihYIKwNzvDvPe1zM9huIAzBwD8PABey+GxQnsJ67Jkd2+NFYo48zZa5X64Mtx7nXcqdVE/wkf6L0R4+jUVR2uWkIYjNkN50FnGIrEs/1ilIMqFB9mO0kJmFZImKxnwTX6OLiEdEAEYeHqnVNgw39SJAyVFClixQ1Sq0fOIq2zt3nD6sKMNzhYbgmc8ytMkbya9vCdDJJgdOzwq9KC9V1UgBWjIEI1hgLCYXtplLHq/H9F0FdBdqd4IuohQQJF7f+kDF9m+Y5XUldt6q+Qw2T4+eLiMTmis5nEpS9TWGEfJ/biOkcJaGJ9b4qFlqJopcx+TjiKPtlitijVHY1z2MILnw8fJg6oYSZMUoxYAzeRhJ6jBkAlYkW4Kda1palu7Tevo3EgDf7PfrWnTe8NOjHSKW4nHueBVMS9KsTAVmcH+mgUiMiWTlY2sOsalfSmIroJUP5kfqTuVgNwTLJDsXkOpJPNwnIQQWNorul5YAsk
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?KnsW4CC+eQehsranq+qu5JtkriYs+kwkpXNbBKjX6iS0xDu9FJbnnbqeu8Ld?=
 =?us-ascii?Q?lsJ2a2DHDKMAsmAPNYvk2GOaY8zDRPpHy0/lGmQmXAF2sdn8MUQiJKdjuAeq?=
 =?us-ascii?Q?T/Vl3yCmXj4FTq+DNDMpphqUJtS6Tox5HFXHKIwYgPAqQJlvR9+rav1Qw8Ta?=
 =?us-ascii?Q?Bq0bwx/eyVP+B0jLx0snIv1fWFQfiUP1ESoo/6WJ68NWguG0aOZOIDShP0vs?=
 =?us-ascii?Q?1C+E2i+R+0Lux+jIRwgrNmYinbooGJrVfTnyUoo6LLc0/25cMG+RLmbzbW92?=
 =?us-ascii?Q?JqZRKiwc6mL3tcxa6A/v7qVtzI1LGN2GgCEhmI4QeDprCFxNJsrohmoS4Td3?=
 =?us-ascii?Q?+j2F5kc3dfpTLjiH9pQQEIvXU/4eGTq+g8LxC70qvQ3As5mSQhjw+cUm6LvQ?=
 =?us-ascii?Q?IC5SUlcu8ew2RPKqPB+Ov9TEO/262PbhJhDqfpzAWfbjqsw5HAHl/RjW0K+x?=
 =?us-ascii?Q?ChFm5NXQaMsABOgf9/G7WBTtlChAQRj/hsrDJTA4hqE98abyp69czevFmtYs?=
 =?us-ascii?Q?pixp2JxzTn982tII1I0c8fac5eDbEG7X+Xar0/9IVMLKhe9Wd99r5R63SfHq?=
 =?us-ascii?Q?Lm9pMqo9HRw13aT0xqUq86PrkSrP2Uhs6xQDnG2+HZOBoafdciZ/BDeeakjI?=
 =?us-ascii?Q?DKxRJcz/pyCnGrByOnuzu2nL03Ee7RCW8BN4JZXvB7ncfD/Zwr0WpHL/nN/T?=
 =?us-ascii?Q?pifrA+dMYoiivpLhkLlJ1Pg98mk1es6zsTvgvdZpwk5f4iS/18/eAenygu2U?=
 =?us-ascii?Q?LTNw/vLW8jDp0TZkNpnIBL7aybrXpCzlI+1Aakv4UIVGitC+ZefkY9puyaDs?=
 =?us-ascii?Q?2RnKNwdkDsmk7cNyfpCgJXoiVeXqaAmz+kcjuTJeu6dMhRYirANnGjwqZW6l?=
 =?us-ascii?Q?o5rm/VC+M4hOH9mF8cl/zEBBhA420mDsUvkaLjSevwZKBdFdKKlLAU36zvFb?=
 =?us-ascii?Q?jJ1r95/qHOnoUTLgGOawMiXMK8NrynfG/BYKdZhyIYKiFqTrXvBVdWj0m9Ym?=
 =?us-ascii?Q?c4SzHwJiz2vEzruiBwjh6loRU1DqfQgso7yaSvmdb96CiZu2FjTB1fUxBDFl?=
 =?us-ascii?Q?8tRt8bQx0EkeTJ/6da36u064kBlqu5dHzIdNeVtwr6q1BHCnvrLYgIZupcBD?=
 =?us-ascii?Q?LH0k1k/Xq1i1D+azHk5TVIUwsG+am4ZAmz112RgiKXaaSfhGj5lEPIGS/wzN?=
 =?us-ascii?Q?KobmjxF4fbb21fi+Xl7zqS5qmzr4Nkcc2vyc7GJqiE2lAM2Gpy69VVNePQU?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 32d84cfa-09b4-4521-ea0b-08dbf0570a40
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:43.0392 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DB9P193MB1913
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/crates-io.scm (rust-rust-ini-0.19): New
 variable.
 Change-Id: Ic0fc1a5564137496b231ec859c0f3da2b6e4c9d9 ---
 gnu/packages/crates-io.scm
 | 31 ++++++++++++++++++++++++------- 1 file changed, 24 insertions(+), 7
 deletions(-) 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [40.92.58.98 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [40.92.58.98 listed in wl.mailspike.net]
 1.3 RCVD_IN_VALIDITY_RPBL  RBL: Relay in Validity RPBL,
 https://senderscore.org/blocklistlookup/
 [40.92.58.98 listed in bl.score.senderscore.com]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (sergio.pastorperez[at]outlook.es)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/crates-io.scm (rust-rust-ini-0.19): New variable.

Change-Id: Ic0fc1a5564137496b231ec859c0f3da2b6e4c9d9
---
 gnu/packages/crates-io.scm | 31 ++++++++++++++++++++++++-------
 1 file changed, 24 insertions(+), 7 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 8259515692..4c246ebedd 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -60487,8 +60487,31 @@ (define-public rust-rust-hawktracer-sys-0.4
      "This package provides a sys crate for the rust_hawktracer library.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-rust-ini-0.19
+  (package
+    (name "rust-rust-ini")
+    (version "0.19.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rust_ini" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "14ah70q8k450d6cdwn2vsl1rsdha09nax2n8y4z5a4ziq773naky"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-cfg-if" ,rust-cfg-if-1)
+                       ("rust-ordered-multimap" ,rust-ordered-multimap-0.6)
+                       ("rust-unicase" ,rust-unicase-2))))
+    (home-page "https://github.com/zonyitoo/rust-ini")
+    (synopsis "INI configuration file parsing library in Rust")
+    (description
+     "This package is an INI configuration file parsing library in Rust.")
+    (license license:expat)))
+
 (define-public rust-rust-ini-0.17
   (package
+    (inherit rust-rust-ini-0.19)
     (name "rust-rust-ini")
     (version "0.17.0")
     (source
@@ -60498,18 +60521,12 @@ (define-public rust-rust-ini-0.17
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
         (base32 "08hfh6p2svznza3m07vavsc4c8x4g6d715sz58rzh73sm551qiv3"))))
-    (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
        #:cargo-inputs
        (("rust-cfg-if" ,rust-cfg-if-1)
         ("rust-ordered-multimap" ,rust-ordered-multimap-0.3)
-        ("rust-unicase" ,rust-unicase-2))))
-    (home-page "https://github.com/zonyitoo/rust-ini")
-    (synopsis "INI configuration file parsing library in Rust")
-    (description
-     "This package is an INI configuration file parsing library in Rust.")
-    (license license:expat)))
+        ("rust-unicase" ,rust-unicase-2))))))
 
 (define-public rust-rust-ini-0.13
   (package
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:18:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:18:27 2023
Received: from localhost ([127.0.0.1]:48289 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85TM-0005gx-CE
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:18:27 -0500
Received: from mail-dbaeur03olkn2055.outbound.protection.outlook.com
 ([40.92.58.55]:28449 helo=EUR03-DBA-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85Rg-0005Zs-0h
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:16:43 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=jEiAsPPpKfEIe7TF4TXGSiLQGUqvN6fSGhV+yFJ+vPJRFlFOCkam/dgRNYgnTt1fjxOzV/IxAey93MWHFwedgznH+fScv+RcM598Xqt574kzR/oKx2kZxluTXASNBoiDCTNejIfL5VBPDZVyYmZfF9DoD84JYejem6DlW2efQnYk7WvUbYUyYUqSDRii0kxnIZBNbFKkaKpzJqmO99gfQ3UEADsWDi9ELbpLTkXR0+AFzACZS5R+PDIXBqRmROSSeWYsoHbWwIAD1fABlTFEFt+iERyzKFjje8HESiN/8GdAn4cgMbrzmF5Fnc6y0kznl61ESGiU9x6S/UmvwDtrsQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=ai4ZfXCOijSNWKIusOOY4qUBL7F5iMoYWaye7fQPF6E=;
 b=Kh7NmpTFp+E2KXeqOoR2w5AU3QRP5wP7t0gkJEZZKD9J2CF5U5dbK9v72s3SUnBX8QxQkH66F4CrtanbYX2daYWV3X0Xx2DpfH8b5DrRB7k3kKF4G90EAKYVCvMV+2byxcu+mYyIq8KZg1UABRs4OMBDFzoRffUEUeMtDoPByDV3mK8uC6VN1o9/uH8fJIryzmajTqN+9zNxlAo0xgDK/ChSpLntlM1CMxnFuxswOpncWdS6OFcTPklJfzy0LtTgCn5GCHo/KU9IfTex2gYbjYsmArmZ1SUhd/z80hOmAVW4RMI/glwHnKqa1YLWxE/Cidxs7PTElI+NJIca7mKzTg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 DB9P193MB1450.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2ad::13) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.27; Tue, 28 Nov 2023 21:16:26 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:16:26 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 91/91] gnu: Add mission-center.
Date: Tue, 28 Nov 2023 22:13:09 +0100
Message-ID: <DU2P193MB2132AF6AC65D68ED3B3B51F7F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [8pNhX3/HXokAhHL9R3F1TzJqYfVU/nrP]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <733b5ebb63b0908cd66cf7ecef531baa5094dfd7.1701202947.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|DB9P193MB1450:EE_
X-MS-Office365-Filtering-Correlation-Id: 5a57654c-153f-4f35-f2f2-08dbf0571df9
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: pvKnFTPA50Ts1vprRgLz+6Q1pDPM1BGp8F+5A03AqTNHs7O+yj7az+wfebg5pux/k1vddmaSRXpG/ENyfgi57Eb4Cfh2NJAhU5Lo1WkMAaPGBKIJrZwHhGgGICfKeAHLe/hQhdEOGq0HaAXVzw5Tc/bKu8GPvlJIvejVWaeV4AppIS49Vo/zLCcd2Rwe889MqoncW88zdbyFX47DdtgAeHGgHnaeV2l2/ikuR5y/9Bf9wlTmjM9kgAjymEal/926IJvCp9mBB6ahRaezr81PNcH9DxX89JJy9u8HTD6OrKlNj0+x1ooVqn19REISMdcLnTBbiSnkZMj05FUFfT44O2W4r5nWVla4HbwvKawqLujoM4vGNJO3OkOhk5U1V1TKf5o5BnC+oijPKcaeQm9tBVbdF/Je1a4nNdS/CjgsEeXkTAfMtPJ5gQcbbcM60mEPcn4UHr7cErB5R++04dguxUUwmK6bBR8zsO7WziLFkenDFuI2L1EOqfc8g8SnrRkF0BQ8mHKUF/ITrwfx1GQOPl/YdqUSSF6djXFj+5OcmDwJm0sXw+TB/rPOiUzry9IKntgWdhnqiIXH2hcgULlvvy40zL7v0TcBKvw+5wR6P/oYcvyZsQu1tzDou6DiB68HjBTnAaZ/IOotdEh9o4UacwBnVn8oJGoeljff1JCyHqg=
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?BeVyabd6XPjCeegJAvfi1d70ngE3/UUsVYnf0UBdXSSYCjlLRHcqlU+8lXRU?=
 =?us-ascii?Q?rqcfTXjlAKr7z3OTPycCVwCrnXtOJlrBCPfgcfI3jPkPuoqWFCcxitA4fRKd?=
 =?us-ascii?Q?ImF38z/WVYE7UwXCy0P1sa1023PJN8D7y4RU0drfU9g6fL5NpPSvp1Rv/ZeO?=
 =?us-ascii?Q?oBsHJRXYVNNA1w1KbtYXPklFYUJuHEK4D6qT11Q4yNZZyJqNw9FW7uoxbxou?=
 =?us-ascii?Q?JR1s2D57uuMLLT3QcW99IPc+D7dXlW+qWtvkzWZQsJUtIiTGrxSHxNCHpUNt?=
 =?us-ascii?Q?+09oK8jtcQzxUjVdx0tie7E+PBm3FfNNXr9eP8WuqJfrpnYiRGE/G0p0Iw9D?=
 =?us-ascii?Q?agrRCuuXSc9XGA9lyUP4It5AO5LVj5VUgFwv5p+QU5KVz/Sa50io6fFgoX7l?=
 =?us-ascii?Q?VMjPMMG0zYCk7spuGHd9j4nhG8HSustLiYpMRTK6l4Vl1wwIkBxY26y/torK?=
 =?us-ascii?Q?myAiWfOXDCkzdqo3culthsjJiVHyK8uMlZi5eN3G93jKi4QAwIatPf//A2QZ?=
 =?us-ascii?Q?063DahUHOu/8aFVAEsoMx9SPUARClIAAP1cpSiM4QLBuQCBtfoTYpAdI4Wbp?=
 =?us-ascii?Q?aVqoObelW44t5F27zuNybFHYBokryrnU65RFE3oL/1gyTUsu7jMxUdr5oueB?=
 =?us-ascii?Q?uEyKBwYh8wOpCUN6uKbWc5zIKM/1nhPVKxWPJcieuVn7HXaopLH3uuOx2Z9Y?=
 =?us-ascii?Q?xHgWdyM0POKP5HHgCVs/4dE58uKk9dpEoMQH1zF5zTBUghKD/50qzklN7Pz9?=
 =?us-ascii?Q?fxNooYrnv1/asv0KGG8gzuo65RLuuAQPShHHVjGTa3w/Q8ZVZOItzQgUk/M9?=
 =?us-ascii?Q?zrD7nN0E01I0utKBS3ktjR+7oYTIcPTNoD/iyDJtnYby+DFjYc6HXEidaHrj?=
 =?us-ascii?Q?huV6laSDtQMbPkkYPbP+usRz3WFtTO1EAU5X3g4/0cu+XxGlWpcu0Nk5D6gv?=
 =?us-ascii?Q?NIKV82cbpgK9ADJ9D6WYoirBHmac92kUTQVP5vsh1SLY1GCjRw0xj+uZNUx1?=
 =?us-ascii?Q?TEOxuTvr81ALdSCBO/XmumQKlw20JhJnR+EOYOTPXXGV7OhaoZfJvh2E6z43?=
 =?us-ascii?Q?8yg2XNt9hUNpqDi+A13MBE6D7v2lVYh+m+WgnFKktP4PLVrP9k3lo5UWj5ov?=
 =?us-ascii?Q?geMcIVDUDpZeYfiT7GwQGBzGm5SCjB9wui55KV+0bi/hWep0dyiGLQYI2EVB?=
 =?us-ascii?Q?+irIudEYh5iPfmS0lMhUw6QDcmpl7yQRQTUgE0Qza7xpavqZuz/Qhrs0Ndo?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 5a57654c-153f-4f35-f2f2-08dbf0571df9
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:15:16.1455 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DB9P193MB1450
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/patches/mission-center-gatherer.patch (mission-center): New variable.

Change-Id: Iebd1423d98da2d6d7951e2e87f435f5049566e39
---
 .../patches/mission-center-gatherer.patch     |  21 +++
 gnu/packages/rust-apps.scm                    | 173 ++++++++++++++++++
 2 files changed, 194 insertions(+)
 create mode 100644 gnu/packages/patches/mission-center-gatherer.patch

diff --git a/gnu/packages/patches/mission-center-gatherer.patch b/gnu/packages/patches/mission-center-gatherer.patch
new file mode 100644
index 0000000000..1d37ad2863
--- /dev/null
+++ b/gnu/packages/patches/mission-center-gatherer.patch
@@ -0,0 +1,21 @@
+This patch makes the `gatherer` component of `mission-center' use the nvtop
+sources provided as a `gexp` artifact instead of fetching the sources at
+build-time.
+
+diff --git a/src/sys_info_v2/gatherer/build/build.rs b/src/sys_info_v2/gatherer/build/build.rs
+index 3c287ee..f0af0ff 100644
+--- a/src/sys_info_v2/gatherer/build/build.rs
++++ b/src/sys_info_v2/gatherer/build/build.rs
+@@ -60,11 +60,7 @@ fn prepare_third_party_sources() -> Result<Vec<std::path::PathBuf>, Box<dyn std:
+                     break;
+                 }
+ 
+-                let output_path = util::download_file(
+-                    &package.source_url,
+-                    &format!("{}", out_dir.display()),
+-                    Some(&package.source_hash),
+-                )?;
++                let output_path = std::env::var("CARGO_MANIFEST_DIR")? + "/../../../../nvtop.tar.gz";
+ 
+                 let mut archive = std::fs::File::open(&output_path)?;
+                 let tar = flate2::read::GzDecoder::new(&mut archive);
diff --git a/gnu/packages/rust-apps.scm b/gnu/packages/rust-apps.scm
index eb5214f534..29dd369ec6 100644
--- a/gnu/packages/rust-apps.scm
+++ b/gnu/packages/rust-apps.scm
@@ -43,6 +43,7 @@
 
 (define-module (gnu packages rust-apps)
   #:use-module (guix build-system cargo)
+  #:use-module (guix build-system meson)
   #:use-module (guix build-system pyproject)
   #:use-module (guix deprecation)
   #:use-module (guix download)
@@ -55,15 +56,21 @@ (define-module (gnu packages rust-apps)
   #:use-module (gnu packages admin)
   #:use-module (gnu packages base)
   #:use-module (gnu packages bash)
+  #:use-module (gnu packages build-tools)
+  #:use-module (gnu packages cmake)
   #:use-module (gnu packages compression)
   #:use-module (gnu packages crates-io)
   #:use-module (gnu packages crates-graphics)
+  #:use-module (gnu packages crates-gtk)
   #:use-module (gnu packages curl)
   #:use-module (gnu packages documentation)
   #:use-module (gnu packages fontutils)
   #:use-module (gnu packages freedesktop)
   #:use-module (gnu packages haskell-xyz)
+  #:use-module (gnu packages gettext)
+  #:use-module (gnu packages gl)
   #:use-module (gnu packages glib)
+  #:use-module (gnu packages gnome)
   #:use-module (gnu packages gtk)
   #:use-module (gnu packages ibus)
   #:use-module (gnu packages icu4c)
@@ -72,6 +79,7 @@ (define-module (gnu packages rust-apps)
   #:use-module (gnu packages kde)
   #:use-module (gnu packages linux)
   #:use-module (gnu packages networking)
+  #:use-module (gnu packages ninja)
   #:use-module (gnu packages ssh)
   #:use-module (gnu packages pcre)
   #:use-module (gnu packages perl)
@@ -83,7 +91,9 @@ (define-module (gnu packages rust-apps)
   #:use-module (gnu packages rust)
   #:use-module (gnu packages tls)
   #:use-module (gnu packages version-control)
+  #:use-module (gnu packages vulkan)
   #:use-module (gnu packages webkit)
+  #:use-module (gnu packages xml)
   #:use-module (gnu packages xorg))
 
 (define-public agate
@@ -997,6 +1007,169 @@ (define-public maturin
 @code{cffi} bindings as well as rust binaries as python packages.")
     (license (list license:expat license:asl2.0))))
 
+(define-public mission-center
+  (define nvtop-src
+    (let ((url-hash "be47f8c560487efc6e6a419d59c69bfbdb819324"))
+      (origin
+        (method url-fetch)
+        (uri (string-append "https://github.com/Syllo/nvtop/archive/" url-hash
+                            ".tar.gz"))
+        (file-name (string-append "nvtop-" url-hash))
+        (sha256
+         (base32 "0pq3959a83d8wqdxbsbhvakcylhm3v6pzk525klpab6jn7g67ja7")))))
+
+  (define pathfinder-src
+    (let ((commit "21ec6fa933547636bc6c5ee8f0dd4a0ea3fcd062"))
+      (origin
+        (method git-fetch)
+        (uri (git-reference (url "https://github.com/servo/pathfinder")
+                            (commit commit)))
+        (file-name (git-file-name "pathfinder" commit))
+        (sha256
+         (base32 "1ky5f7k6w0wpi8k7hpwfidaa032cnnhxbzgv8lrla0snv3ms6r4k")))))
+
+  (package
+    (name "mission-center")
+    (version "0.3.3")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://gitlab.com/mission-center-devs/mission-center.git")
+             (commit "4fc7268f5dd314580e721825a63d3e34421e8317")))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "1nql8mij04kb862j6s7ls5qxl6bsa088zrmynlq52ppk577idb7q"))
+       (patches (list (search-patch "mission-center-gatherer.patch")))))
+    (build-system cargo-build-system)
+    (arguments
+     (list
+      #:cargo-inputs
+      `(("rust-anyhow" ,rust-anyhow-1)
+        ("rust-drm" ,rust-drm-0.9)
+        ("rust-egl" ,rust-egl-0.2)
+        ("rust-gbm" ,rust-gbm-0.12)
+        ("rust-interprocess" ,rust-interprocess-1)
+        ("rust-minidl" ,rust-minidl-0.1)
+        ("rust-raw-cpuid" ,rust-raw-cpuid-11)
+        ("rust-rust-ini" ,rust-rust-ini-0.19)
+        ("rust-rustbus" ,rust-rustbus-0.19)
+        ("rust-shared-memory-extended" ,rust-shared-memory-extended-0.13)
+        ("rust-cargo-util" ,rust-cargo-util-0.2)
+        ("rust-sha2" ,rust-sha2-0.10)
+        ("rust-tar" ,rust-tar-0.4)
+        ("rust-ureq" ,rust-ureq-2)
+        ("rust-libadwaita" ,rust-libadwaita-0.5)
+        ("rust-errno-sys" ,rust-errno-sys-0.1)
+        ("rust-gettext-rs" ,rust-gettext-rs-0.7)
+        ("rust-gl-loader" ,rust-gl-loader-0.1)
+        ("rust-libudev-sys" ,rust-libudev-sys-0.1)
+        ("rust-rusqlite" ,rust-rusqlite-0.29)
+        ("rust-sysinfo" ,rust-sysinfo-0.29)
+        ("rust-textdistance" ,rust-textdistance-1)
+
+        ;; Required for pathfinder
+        ("rust-byte-slice-cast" ,rust-byte-slice-cast-0.3)
+        ("rust-crossbeam-channel" ,rust-crossbeam-channel-0.4)
+        ("rust-hashbrown" ,rust-hashbrown-0.7))
+      #:imported-modules
+      `(,@%meson-build-system-modules
+        (guix build cargo-build-system)
+        (guix build json)
+        (guix build cargo-utils)
+        (guix build utils))
+      #:modules
+      `((guix build cargo-build-system)
+        ((guix build meson-build-system)
+         #:prefix meson:)
+        (guix build utils))
+      #:phases
+      #~(modify-phases %standard-phases
+          (add-after 'unpack 'remove-cargo-locks
+            (lambda _
+              (with-directory-excursion "src/sys_info_v2/gatherer"
+                (delete-file "Cargo.lock")
+                (substitute* "meson.build"
+                  (("cargo_env.*")
+                   "")))
+              (substitute* "src/meson.build"
+                (("cargo_env \\+= \\[ 'CARGO_HOME='.*")
+                 ""))))
+          (add-after 'unpack 'fix-dlopen-calls
+            (lambda* (#:key inputs #:allow-other-keys)
+              (substitute*
+                  "src/sys_info_v2/gatherer/src/platform/linux/gpu_info/vulkan_info.rs"
+                (("libvulkan.so.1")
+                 (search-input-file inputs "/lib/libvulkan.so.1")))))
+          (add-after 'unpack 'setup-nvtop
+            (lambda _
+              (begin
+                (use-modules (guix build utils))
+                (copy-file #$nvtop-src "../nvtop.tar.gz"))))
+          (add-after 'unpack 'setup-pathfinder
+            (lambda _
+              (begin
+                (use-modules (guix build utils))
+                (copy-recursively #$pathfinder-src "../pathfinder")
+                (substitute* "Cargo.toml"
+                  (("^pathfinder_([a-z]+).*$" _ module)
+                   (string-append "pathfinder_"
+                                  module
+                                  " = { path = \"../pathfinder/"
+                                  module
+                                  "\" }"
+                                  "\n"))))))
+          (add-before 'build 'meson-configure
+            (lambda args
+              (apply (assoc-ref meson:%standard-phases
+                                'configure)
+                     ;; NOTE: flags for the configure phase. This
+                     ;; keyword argument does not exist on the
+                     ;; `cargo-build-system'. This is why we need to
+                     ;; pass it manually.
+                     #:configure-flags '()
+                     #:build-type "debugoptimized"
+                     args)))
+          (replace 'build
+            (assoc-ref meson:%standard-phases
+                       'build))
+          (delete 'package)
+          (delete 'check)
+          (replace 'install
+            (assoc-ref meson:%standard-phases 'install)))))
+    ;; NOTE: since `gtk' and `libadwaita' are core packages, many have them as
+    ;; propagated inputs. Therefore its not enough with just bumping their
+    ;; version here. Input rewritting is required, eg:
+    ;; guix build mission-center --with-input=gtk=gtk@HIDDEN
+    ;; --with-input=libadwaita=libadwaita@HIDDEN
+    (native-inputs
+     (list blueprint-compiler-next
+           cmake
+           gettext-minimal
+           meson
+           ninja
+           perl
+           pkg-config))
+    (inputs
+     (list (list glib "bin")
+           (list gtk "bin") ; must be gtk >= 4.10.0
+           appstream-glib
+           desktop-file-utils
+           libadwaita ; must be libadwaita >= 1.3.0
+           libglvnd
+           libgudev
+           libxml2
+           openssl
+           python
+           python-pygobject
+           python-wrapper
+           vulkan-loader))
+    (synopsis "System resource usage monitor")
+    (description "System monitor that displays your CPU, Memory, Disk, Network
+and GPU usage.")
+    (home-page "https://missioncenter.io/")
+    (license license:gpl3)))
+
 (define-public ripgrep
   (package
     (name "ripgrep")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:18:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:18:24 2023
Received: from localhost ([127.0.0.1]:48287 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85TM-0005gp-01
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:18:24 -0500
Received: from mail-vi1eur04olkn2093.outbound.protection.outlook.com
 ([40.92.75.93]:43808 helo=EUR04-VI1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85RD-0005Rb-Sj
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:16:12 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=nMH46lbQvw+Uybp77mS8hPUqaxrInr5/3z4zDLkN/bjprcDQip4O00Ja9UAioKDVO3/FeEEwcX9atVpbKQpN2Sr5NmsIrzZ8KmLYwvK33lydtVRPIzIpeVI5Eot733bd9NkBzBwwabEbngKlH7/RJMliR43Ji+nZ1wqv3Cc9xsh1BXU/g4ezOqagyDDgvBRRvB3FZHwxMnOuQmfcKGHPJ8jiKuNDyPEVZxV0ZmP+mUZKjc4u1V11gYgSOgcvMMx5TqpO0Ee/GqTCcBQ18sTuQf1LoUZOfugvdogbqfyfIj64mcVYNIu84RgnQZp2Oko1Jt11WkvDRzUG9Q3ib5lAfQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=gnhuqyGOJThsyOb0HdqS+CtEht4YmSR3Umt08JpT8R4=;
 b=nbAJvGaeXfQBgoQTYMfxK1wcamGQWMvMon+oyyNGLWbJFKVuIMx1v3Pi3eFfPl4TT/z9ly7a24HKzv994EbBfX6gza2SuRavmKKVH3cvI8lLFxcCqYv2XpUd4/NU1T/8izwJhgg0vt2OhG1SpyVJ8H/SbsTyxc6b8zcEiYVDQnAP1Bazx3v641DnAOO2DM3YPgA1SOMmhQK6XvcTcLu8Kafmr5094ax0jp88ubScbMksJe8Hc2GTJzO1kJDoT2p0r1lCUPLVEbfcN1hZkSBaJhaOc+I8sqrjZ+nHYRseyObC4o06C8xpJhNogXDDf4RZKHqia1pYjiuf9Ky1IGtm5Q==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AS8P193MB1970.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:3b3::23) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.27; Tue, 28 Nov 2023 21:15:55 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:55 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 89/91] gnu: Add rust-libadwaita-sys-0.5.
Date: Tue, 28 Nov 2023 22:13:07 +0100
Message-ID: <DU2P193MB213272959AAA968469EE5AECF3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [Hwe6MQ0T4gHAhqfy8f6e+3zJTyV1GTA6]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <bc90b1322e729b0ab040158bc14d8e25d62692bb.1701202947.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AS8P193MB1970:EE_
X-MS-Office365-Filtering-Correlation-Id: 7dcada92-c883-42c4-ed21-08dbf0571d30
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: /x5tLZwxtsJnH60Rg3PT0YdBkL8oPdl56nPjbMFBRJVuB9Erv8MY1Gt4KiQeQkK4MFDQnaZvmXigioPuy4iZV7Ty8cGDJgK8a6/XSjz+NeIfmRRD8rkVQXOEkmNttOuvl4BSj/4wJ5REqhfSdoW237n3riBbghu/GSOsVWU8cLg1FZhOumCZDWGzGE21FfjildDIoP0F7k8Fvp2NA2gYhuXqqtHNKo/z5kN/A1wiKjbg4up3pycg6InfmG5R0L5nmsRCgNrTErEb6ybp69Iu1xeoGm0htStmZBHP0pVKKatsaejb4uSaCteq2ysRcjebn1kntQNmv8KsDKiTMjubnpIsluFdrbQvl1WvyLq/CKw5XM5MQ1aonTuWSrEKlipCk1rbBjpXOS+5nXTLaQecIziEKIVS0AVa4SYhWGqoCnfFWuVvl+3GMw9r5rR2TeMSYxpkThYhfMJcUzItlmKv+CFPDWnO4OPAIIF8+7goWjBEb5bDvb+HQlbgHCk0pxoYa/YBjLuKVbguF2BUgiaUNd8fxkKOOYaXnydcn7rsmVQrW9MldrUHy0i/pcOhemgRdt/NoDVpWKIKq56UlYmixaTiuE4C8+D695Ew3qEeQj3/k6d+8ami1yzZ6EJ2J11w
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?+SOKrvQRH6LrSrQOKvZpDQD5IeWBcQk77ZG19USg0OD+cvamg7zM7btkfQay?=
 =?us-ascii?Q?QK5DZK3OursddZonlTewAgi2wXdG20F/CzTKusjbxr79fJvZgUYlga+HgAvE?=
 =?us-ascii?Q?UM5gcpAVtl8kazf6sJ6i2QguL7gxnccWTWFLeoyblJm4MVrJNSBtMN0jFS9R?=
 =?us-ascii?Q?d9lndIktCS6BBfxKOrslPN3fbzcrk9LWfrxoa7m4ANGX7CE5mtep2v8pxn+z?=
 =?us-ascii?Q?yN5fWDxUTQHVSnkYq/CCW+ygoI+/AntR/juW6NKjQEpWKCPg+8tPxG2imqwS?=
 =?us-ascii?Q?y2naCFtZOq/FGfuHIHXEAf0eb2UpoDD9EBrxSQ5lMpXo2bTwHbUAgpD+6X7Q?=
 =?us-ascii?Q?pamTNL2LZSxCqxsNyAdwfNbDD/AtPp+LSeF2mFZNU4FDJzJvfxKzyuiv45pk?=
 =?us-ascii?Q?WnAv6FMZXwkJk6XG23dKqcNbcy7Wv3aFn7B8gl4snGvHPKQtABb8YRZlMFii?=
 =?us-ascii?Q?wugOF6/0271yT+XpIowC9GNZlhXFc1hLLogSmbal5uqdyD+ZhJ52GwIah/dt?=
 =?us-ascii?Q?1TXRhG1drBwZ4MVXCWUoNBtUaQcP9t0JhpAsIvBCNi9ERP9Hl+q7qCORb/zh?=
 =?us-ascii?Q?1cK26CaZechX/PFavWYQDyrCxe7MjNmW0xPNWgPEGauhJnszbP3g/EKbZMFZ?=
 =?us-ascii?Q?q/LxryxwuPKzOz+Wyz58xyMD3M28YkvNiagPF7jAadlBk2vhzS8+Nf5RHiyH?=
 =?us-ascii?Q?o1HAo8cKlihI8VF9mLOyGB8DBx9gkAFeuOcHscismnCRqhPn6xLnbpGHYBGU?=
 =?us-ascii?Q?vQJwuemvz1SfqWLaZEMpzZqcRM6pRt0lUhbJjE1SXucTpOasCGCTaqX3FJ70?=
 =?us-ascii?Q?/gC4/j/TbpaG+/N5ApWDFac1I26YaCtSyQG1s7wCIGmC3vYC7GI1Z/EpcAB7?=
 =?us-ascii?Q?Jf56+MVewvR5ZSQOcksj4vUSFSo+hZll61HdzydLkpF/NrMQ5g1X/ZLINVxD?=
 =?us-ascii?Q?TM7+obOyo9tV5ucI1Dw3ISlNXPmg5Xrj0akutvh77sERZCqLKOUCy3YAksbb?=
 =?us-ascii?Q?Jemj9JLU0ElShn0gujcIAWVMQB0+9FrFcHJi1kXRNQiuw4qRBp5D8k8z7le4?=
 =?us-ascii?Q?nqjwrnMX8SrhQq/XZ9AJCBhYF/5NOfLhD66zh8569q2mIw2GCpj4PRIZn5sw?=
 =?us-ascii?Q?tG2PkxutuIMcP8Y5QINioJwyyRIiR6ZDDy+W1d61WMsI7mja/+oQ9yl7b80n?=
 =?us-ascii?Q?vMAjp7piKSdwLFeqRfUMGILT0lq5IipipM7xCymZu1BrKe0H3RTV2tCcZ8g?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 7dcada92-c883-42c4-ed21-08dbf0571d30
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:15:14.8062 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AS8P193MB1970
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-gtk.scm (rust-libadwaita-sys-0.5): New variable.

Change-Id: I375605dd05d38b15f2a6a00ed782b9eafc856694
---
 gnu/packages/crates-gtk.scm | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/gnu/packages/crates-gtk.scm b/gnu/packages/crates-gtk.scm
index dbb118dca1..1bd8ea4f11 100644
--- a/gnu/packages/crates-gtk.scm
+++ b/gnu/packages/crates-gtk.scm
@@ -2352,6 +2352,34 @@ (define-public rust-gtk-sys-0.9
        (("rust-shell-words" ,rust-shell-words-0.1)
         ("rust-tempfile" ,rust-tempfile-3))))))
 
+(define-public rust-libadwaita-sys-0.5
+  (package
+    (name "rust-libadwaita-sys")
+    (version "0.5.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "libadwaita-sys" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "16n6xsy6jhbj0jbpz8yvql6c9b89a99v9vhdz5s37mg1inisl42y"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:tests? #f ; `AdwBreakpointBin` not defined in gcc
+       #:cargo-inputs (("rust-gdk4-sys" ,rust-gdk4-sys-0.7)
+                       ("rust-gio-sys" ,rust-gio-sys-0.18)
+                       ("rust-glib-sys" ,rust-glib-sys-0.18)
+                       ("rust-gobject-sys" ,rust-gobject-sys-0.18)
+                       ("rust-gtk4-sys" ,rust-gtk4-sys-0.7)
+                       ("rust-libc" ,rust-libc-0.2)
+                       ("rust-pango-sys" ,rust-pango-sys-0.18)
+                       ("rust-system-deps" ,rust-system-deps-6))))
+    (native-inputs (list pkg-config gdk-pixbuf gtk libadwaita))
+    (home-page "https://world.pages.gitlab.gnome.org/Rust/libadwaita-rs/")
+    (synopsis "FFI bindings for libadwaita")
+    (description "FFI bindings for libadwaita")
+    (license license:expat)))
+
 (define-public rust-gtk3-macros-0.14
   (package
     (name "rust-gtk3-macros")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:18:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:18:24 2023
Received: from localhost ([127.0.0.1]:48285 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85TL-0005gh-J0
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:18:23 -0500
Received: from mail-vi1eur04olkn2093.outbound.protection.outlook.com
 ([40.92.75.93]:43808 helo=EUR04-VI1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85RC-0005Rb-Jb
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:16:11 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=R8s5M/4mqudypMN6PPTDIAN0JhraryBg9lz73UPMfltSGDOLt77KS/ExGg3jpWYCGoJppXwfcc13qeus0VD09285/zBWrf2+r9Qj/LK+oY+WtjyC/G4Gn8Yi0VsO4coBaWE9HFEouU8pyPuTfamI9xJntrGrehY3tyxdxcDohl/3xkWxawuAwbUGArO0devdT/1RfGNgXNPIEvsTYdJj9Tqa4fEIn92CtwmxDCwn2+BRdpYVH6SMyy6PnSIer76DxaNOTsBhX8HYMXn13oEJHzmVHhA8bpTnSnccFpKvatFDwVrEfDGL42LNiEB5cl60yUbdPWpUENHQTHgh4N0cmg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=aOs3kd4Pcc4tk56AzIqHd9xOTz3tp6/1DZYXUwBoDRk=;
 b=SeB+zNioY2Xah1RMgAx1ux/V1xRWxBEflgBtVpIpezmpb3nd1rq41xZHOFOvHey0cmLGAxouBYcKPBrU0N1Ui3yAfGGBwQGsti8rv3/67S8gVi693Ng1gW7SeceTbTZUX2j9R34hAqVEgRwnOE1u5ahTCBD0xGP3/Jhg+yzHHKprCcue3p9dpSOqiZ9qewod0pSmaVAWUyrdNnCnt4LQ3t1uMBMVZElve4hWGmyeCDGOlZXEm9QUPUtF+hAtfYL3KbKsEUAgYtMlqxbgW4uS/8MUMM6y5UOavBtLjtjgFkCC7TyQb5a4cbvVzvcDJRUIbXgaUASPEUJ345JK/68dwg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AS8P193MB1970.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:3b3::23) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.27; Tue, 28 Nov 2023 21:15:55 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:54 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 87/91] gnu: Add rust-gtk4-macros-0.7.
Date: Tue, 28 Nov 2023 22:13:05 +0100
Message-ID: <DU2P193MB21324604431216F89F603C90F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [gkxwK3m4aFPKxFmzssZYhoK8WnzL/XgB]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <1d08c5ef88ffefcc37beb2cbd20e95f207ddf579.1701202947.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AS8P193MB1970:EE_
X-MS-Office365-Filtering-Correlation-Id: b556f992-469f-46c7-cb65-08dbf0571c60
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: 9rv4EOYrl0ObRYJHEu2sJsI6arY/CAY+GiilJIGhZmCeSNsoS7QjuuUb4hQrKpzaA8hXv6mjfaAqeFs0n6FWqi72e+h8RERpX72omTPXzZxw9mYoS8lDaB4nhPWGmPXNxrIvbaTUM61cTYCK+3gB3XFTuF2tVKRPZgA7QfuqeYCkQqVJPkdD0ud0mFEmTRqEbIvlswGl2QCzkrrK7e3qOGBVqDJhaEdwuZ2S/Idba9nHgHO8BFD3Wv2+zd0kO5qFUWHauIfZ+TikDE6Cy6C0h8BOE++LyCiDjLVka5pLEGD/t6FvchRVo/8/Z7eI5LGnodMma/OvscvdNMepZx/HqcT6eSdsZh43ZAFbfuEs2uUutmf037kyNgIBbNrF8jiO1hSZgdkzBedUEJJqDYmygPSMpXKiTRjXBIOecEcT7BJGFHf7enuZRawn+BhNl5g4vCTtZk9oQys8RiQrobOWRnHNQ4I9H9u6G5Nhx5RmHBg5Vnex/VdTmy2R1js/9/jZYqp7W4Y+5ccJAE4p5wGQf9Qy29H4kYRuBc1WE5mwF9cQnCm4ItTDiAXUUZ/0r22UffzGMMYsrKedT0f07hlCxSRPwJT+6tcNqINt0Lzbsdo=
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?6Z09ikhiJeVuDVEPTK7KM/3BMMvI+PApRu8FwBMOjdZXY+vVV287k184fUaD?=
 =?us-ascii?Q?jzbDHF5NrdTiNQ+9SwOdDHjyES06i0ozFyR+djGYDEIlexiMAuolKAJOEQOc?=
 =?us-ascii?Q?BYae07FG99JJfOoA5x+GNYxlkn8ynlsk/QWNj79MZ3xYdd3Fv9c/AJyZaK5r?=
 =?us-ascii?Q?GRNZA2rY9GKiKYNU5t8Iwg6YEb/SaiTcg7fO4/Sx8PlMi+bCDpDK88JD6CDc?=
 =?us-ascii?Q?5skDdieCPAOhAJ9TQFVbHdC9kKH31N0c/YOsX+hzHHsDleVFkSiuk4+phSpB?=
 =?us-ascii?Q?w1LgUn6YJLYSzgFW0MB8IRWDpmAZv2aoCuq+3fWtzYMiA+cQiEhWnEafs4f5?=
 =?us-ascii?Q?jNsJ1xJEnYDuajv4ANPgTEscBzmzu12wki8AxZkU7oZ+Qp6s9RX/uxi4N6nE?=
 =?us-ascii?Q?UHuiI32pyqW0o4qiT4Npus75WhcPYg9xz4cXeFxtfoWLaJY2mSw6jOrWX8Gi?=
 =?us-ascii?Q?I/FDiFFECZ6Fw5NVgG3A1lYhgDrjulkwxZHSGNcMSwIvrqRO9g9WaM+vargM?=
 =?us-ascii?Q?M66D2PIHINSy2OQv1r4jZ6Gem0+2EvQucDGwRS9SkL+tzQEnQPK+gb9DYniF?=
 =?us-ascii?Q?uLtb2RPhJ10ZEUjJ3llLntzqciI08cxbKX10Iu0QelqHmO3OGe7ln4e2KEz3?=
 =?us-ascii?Q?z5K6RJMCEkxfy37aPHw8nb6XmJyLZ3O7mpyAemTaU/F/KFY3pyrK6PfYDMXm?=
 =?us-ascii?Q?0sceUhqEMoUYDxmoxSsHanQjml/OFWGhsHEcYYG/Sg02UmXnQWZ+3GOXi9QG?=
 =?us-ascii?Q?OstGNqW4SB6PN+DkQl136rRoms5EPJA+HyKy7KCF2kY8cYD/CH0Lcdz106Su?=
 =?us-ascii?Q?CKQivsyEnYXFlxS55eNcQUbfZAnTNR9onEIwhrGoTxRX2Ee/57nNaHDtxdDs?=
 =?us-ascii?Q?86xLoNZjAHEVhc+RNBr7dyKxZYXhUhGV6GmNVhL55mwNVPVpcO7zqkki9hwo?=
 =?us-ascii?Q?cJKKQjVqt1cey7GbpK1CDfjpcrv8ZZIB5GGr0lEG9rm3HiH6E4nBrd4FQQXS?=
 =?us-ascii?Q?GEQ0CfTa7qCUnGtfQoD1dwxYm02VDOf4t41/GgmtEBoRy9NK72trBAxNhM0/?=
 =?us-ascii?Q?uONZSEXHnQOrAtBnYTZyr2nyy1KBZbrCyCDiq6/xrGr+DbhEongho4Vs0cZo?=
 =?us-ascii?Q?7aXc3l9kEuDXWlziqbLyzG1Lh/Yak0hD9aEz4CXxXiDp/IJ9Q0o+r5QzDxdh?=
 =?us-ascii?Q?kqQgvl9c1+crlyU3nWjaSwhy2SH/GKAapghdkU9lQFa9f0RLW3oqYZYu7tM?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: b556f992-469f-46c7-cb65-08dbf0571c60
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:15:13.4391 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AS8P193MB1970
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-gtk.scm (rust-gtk4-macros-0.7): New variable.

Change-Id: I57e2afbca5ba60e9690a2aabdcbd4e9320df02e8
---
 gnu/packages/crates-gtk.scm | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/gnu/packages/crates-gtk.scm b/gnu/packages/crates-gtk.scm
index 4a1862ea95..1b8ddc7f6a 100644
--- a/gnu/packages/crates-gtk.scm
+++ b/gnu/packages/crates-gtk.scm
@@ -2436,6 +2436,34 @@ (define-public rust-gsk4-sys-0.7
     (description "FFI bindings of GSK 4")
     (license license:expat)))
 
+(define-public rust-gtk4-macros-0.7
+  (package
+    (name "rust-gtk4-macros")
+    (version "0.7.2")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "gtk4-macros" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0bw3cchiycf7dw1bw4p8946gv38azxy05a5w0ndgcmxnz6fc8znm"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:tests? #f ; GDK backend not initialized
+       #:cargo-inputs (("rust-anyhow" ,rust-anyhow-1)
+                       ("rust-proc-macro-crate" ,rust-proc-macro-crate-1)
+                       ("rust-proc-macro-error" ,rust-proc-macro-error-1)
+                       ("rust-proc-macro2" ,rust-proc-macro2-1)
+                       ("rust-quick-xml" ,rust-quick-xml-0.30)
+                       ("rust-quote" ,rust-quote-1)
+                       ("rust-gtk4" ,rust-gtk4-0.7)
+                       ("rust-syn" ,rust-syn-1))))
+    (native-inputs (list pkg-config glib cairo pango gdk-pixbuf gtk))
+    (home-page "https://gtk-rs.org/")
+    (synopsis "Macros helpers for GTK 4 bindings")
+    (description "Macros helpers for GTK 4 bindings")
+    (license license:expat)))
+
 (define-public rust-gtk4-sys-0.7
   (package
     (name "rust-gtk4-sys")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:18:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:18:23 2023
Received: from localhost ([127.0.0.1]:48283 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85TL-0005ga-5K
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:18:23 -0500
Received: from mail-vi1eur04olkn2047.outbound.protection.outlook.com
 ([40.92.75.47]:29248 helo=EUR04-VI1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85RB-0005P3-Og
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:16:11 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=d/wC0rJ6IW4uoNkbS7Do/Tno7dWMB6QOZWVEpOQ1cwpWjbILhMPLX13b9aHj1z1WfTVyhVzS5C71YX7v3cyW1Vosa2trR7FthxW4oOrCyDN1AUDSXReZF51rt8IxD2c8SwPGykLCw7m5izVt9kKJ0/AfLxx/vBsofE2iDEcHD1TDz7aGG0mFZP0ISmR4sOWzQymKcAjEeljEK4GWnQMHKJ00bfpqSwlxzNO5umNNMVh1zjPfSH+V5kH2ODrQxBvBlbgQnVwrPEwfydALtWTj+ILcVf4ku0MR50RAQGFzju6mQZ3MOcwUTXVlKHgcHzb/EfRX15nyTchoRoVrp/7ZEw==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=5qLPjcxBp3Fh0A9FSLFYv3bDwm9NKMVzUUV3CEhVHZI=;
 b=Q6sIN1I56lrcGJGL/3DcQkvp5+fyxGuVTXndjPfWZbazg/P133kLXITRQuZGWMLhjiLDQorM9rDjV50g05RWavAF/2r+1rzUiXomEGyCWcm8/7nrpFwfiv7eoz0b2aVadwjXbSSTN0Y3ESLEBAGln7VMRNeN3Nz7WGQ8j/b5At5KG7JC+Ooc7U8liVa8xi4JGqprZ+wI2Hrfm87S7Alz51RcDM5J75dsIx9vRr9ga6Fm9ZYz+XLZHtslRcng7w8hjmhOMigAGcjIHYf/jubgcR9Ubx1B6AYe/zkbzpJgef+xiK49LXyMspHFsfKJaBsKqkDoEFg+83ZBA/59PcOOjg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AS8P193MB1970.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:3b3::23) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.27; Tue, 28 Nov 2023 21:15:54 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:54 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 86/91] gnu: Add rust-gtk4-sys-0.7.
Date: Tue, 28 Nov 2023 22:13:04 +0100
Message-ID: <DU2P193MB2132A9B775A86D44D484F529F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [wLbObHqknTBZuf2AxbpgU4FkxGmyKdUd]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <0651ed9504515f35fa5afd9c98c034d1a83e864f.1701202947.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AS8P193MB1970:EE_
X-MS-Office365-Filtering-Correlation-Id: 5c8eb29b-87ac-45be-d263-08dbf0571bf8
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: bXXfqMFhd2JD37fdqTDhxKhRkWgY/VPwahDPxW7jI/Heq0VXGCXstThiwpQTw+ieVWk3BxSnifptRv6OjzfmJXmW94b1XvdRF8Gd/Pny6b9qVR3XTHVfTE1FhAeVLVFyCkSO/rtsrgOIJoHu79HcY+ZsXigX6y/Mu3B8tLCNESXm2c68fn9awbcfQzD5+uYKwCPCQsKmEKOCRRQnN5VPDMLC8KD5V1aAWfvDWuFLkE/5qpRh7M0CpUaylDDfUTSgvSjsAbfBgb6iEy5b5Jf+N4XEigDI6QRChDUjspGNG5ielmElweEvcIUXAz3hSLwKjBoQmQCvaDLB8s0qBI2aq6B0sU12J4YN1kS7po3P0z9FBqpVeNaIgBeNGJ4bMqRqUWijBFNM3B4UhEYWBm39cyaIdye12LfPaOMDhZCGn6V0SXWPbuJdssaTv97wlEkhvsrL7NS5xbEEGzSQ+J+Gqg3TO55wtu/03hSfoniVINNPv7ppVS9HmmKikAKNkU+eihA2Fs7bCjZUWcmmgjItcvelVXe9W7nfHyPJCpfORAtf6CW+o3Hd5XfNY6jMOrR4lZ6fcmqMjgnoxp/gAKyF7qtSgG2AFoF5Maxz941grVI=
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?CRbtys1IOi5pIThdHUikhBjhE6jBErcRM+YLJix9G0XZdoRdLb5mIpPFQWX4?=
 =?us-ascii?Q?eaJrqvW5oB78GLI7LpXJjqNxutZqLQONBdXW7JoGP6FG3fi9E9uYjZO3zuzk?=
 =?us-ascii?Q?qjjhPHW0XEJl0FhAPnHfliIewK8l++iSuO7F9nqMaJzl+vjpPfuniaFjcdPs?=
 =?us-ascii?Q?JCci+vazt4bgEBnYBo/ib8EQuKr4l+uDVeA6hTgF7HCfCcw5Elkcwesd7p33?=
 =?us-ascii?Q?B+hJwO+k6Q0aDwLbI/zdLXGkmmRirAsW/n8kP42s7syd9kyf++kCDe959qyM?=
 =?us-ascii?Q?/TcjdWjQWVhCNlK1o0VgMtUidbrVGyKU5BzkP+NVr9GNvg3biFSJe8zHILMU?=
 =?us-ascii?Q?kF/rDOiY2GTK8if8ysIKfGL92iIIuLLSrBOcrlF20vXX79wATSLzeSCimbnB?=
 =?us-ascii?Q?t4WsOdLL1HAwX2dBlskfPWwawjC1D3I8b/2djcM6XnkUGIeJPc/HnaY/AzxY?=
 =?us-ascii?Q?LJG+zk+glLYVUpBHG36cdQ+ETS/FGmttjRJF48zJQvr9GDshYdTHs4St1Tj+?=
 =?us-ascii?Q?0S5smRL+d/bLUtH55YlWMTVa1bZsVb+DQNBCxc/Z1ktww6bP2okg61s/gkup?=
 =?us-ascii?Q?2blK7GnC4O+J2etVY07NOxGe8f/nWIljsrhZ0t0L0jINGzZtaZSWnMf5OwxW?=
 =?us-ascii?Q?bNff+L4eUq1p6jmYIZB8HtppPaYWztOJPTpX54Jn5WWcCM2fPWWc4OpFhdGI?=
 =?us-ascii?Q?lBFpYo3xLQGyYTbHz5zz5SekZZYcPdP0eAUQ5swyLrMg3dPFSDzxUutDnCCt?=
 =?us-ascii?Q?3ZTsM1xzQ/4iv28UwnR0nbnEp8EGRN5aihog8dR5kI4OdstMioVQVOvuJlju?=
 =?us-ascii?Q?1JoJT2r+9j6BQk9CiP6fknCrNx851bqBZtsrhqpjnrT3vH/Qo0dHNUBGlrPU?=
 =?us-ascii?Q?mc01EI3UQVDkmakSV5qDNGDVjx9WlBR5yahQc9WuB9ByJUMzWQH6QiUnHu8V?=
 =?us-ascii?Q?a6ti/fcS1olkWajGlLWjRO0uOSHpHQaXD2A3hZdTf2dEcIbSGHtdD3KJqK+h?=
 =?us-ascii?Q?E/yh/WH/IzGf8rhMyzocbUS5qpceqQoFSi6Gw0vhmM5u8HS/8x3GHHoOhNgz?=
 =?us-ascii?Q?OzqcwWCAlvKlGUKwiyzc+8+BlCSM7SpMFsxGHN4slhyp7HyK+IgDrI2NweX7?=
 =?us-ascii?Q?4XVQ3eyozcQEazEjlhyEdfFru9fihm719L2QB9zQO3q9vqhCbcvjT9PibJVQ?=
 =?us-ascii?Q?H9ogCETibKYszqQshV7BdSnyA85jYKBmcbHo5EaPHBgdIBwc4CvXYklCMvs?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 5c8eb29b-87ac-45be-d263-08dbf0571bf8
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:15:12.7846 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AS8P193MB1970
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-gtk.scm (rust-gtk4-sys-0.7): New variable.

Change-Id: I762f413ea0942a4ec2d0d06d0d49395101c09b3a
---
 gnu/packages/crates-gtk.scm | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)

diff --git a/gnu/packages/crates-gtk.scm b/gnu/packages/crates-gtk.scm
index 53100e3e0d..4a1862ea95 100644
--- a/gnu/packages/crates-gtk.scm
+++ b/gnu/packages/crates-gtk.scm
@@ -2436,6 +2436,37 @@ (define-public rust-gsk4-sys-0.7
     (description "FFI bindings of GSK 4")
     (license license:expat)))
 
+(define-public rust-gtk4-sys-0.7
+  (package
+    (name "rust-gtk4-sys")
+    (version "0.7.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "gtk4-sys" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1f2ylskyqkjdik9fij2m46pra4jagnif5xyalbxfk3334fmc9n2l"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:tests? #f ; expects gtk <= 3.98.4
+       #:cargo-inputs (("rust-cairo-sys-rs" ,rust-cairo-sys-rs-0.18)
+                       ("rust-gdk-pixbuf-sys" ,rust-gdk-pixbuf-sys-0.18)
+                       ("rust-gdk4-sys" ,rust-gdk4-sys-0.7)
+                       ("rust-gio-sys" ,rust-gio-sys-0.18)
+                       ("rust-glib-sys" ,rust-glib-sys-0.18)
+                       ("rust-gobject-sys" ,rust-gobject-sys-0.18)
+                       ("rust-graphene-sys" ,rust-graphene-sys-0.18)
+                       ("rust-gsk4-sys" ,rust-gsk4-sys-0.7)
+                       ("rust-libc" ,rust-libc-0.2)
+                       ("rust-pango-sys" ,rust-pango-sys-0.18)
+                       ("rust-system-deps" ,rust-system-deps-6))))
+    (native-inputs (list pkg-config pango graphene gdk-pixbuf gtk))
+    (home-page "https://gtk-rs.org/")
+    (synopsis "FFI bindings of GTK 4")
+    (description "FFI bindings of GTK 4")
+    (license license:expat)))
+
 (define-public rust-pango-0.17
   (package
     (name "rust-pango")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:18:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:18:23 2023
Received: from localhost ([127.0.0.1]:48281 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85TK-0005gS-Pe
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:18:23 -0500
Received: from mail-vi1eur04olkn2093.outbound.protection.outlook.com
 ([40.92.75.93]:43808 helo=EUR04-VI1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85RB-0005Rb-Ct
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:16:10 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=i/mz1E05XOWOuudOqSrKlu9mf3+wIID9vZ3lEZqqhKJ+Y9CzEgiUR4l6z9ndoJTvcIRohoe24h6TPD/OSDfmuuva5+ECf/eiBcYSJgdUHV3DSCmtl8n+t5LOcmZmzpd7n/50FLrLPp2p/o+fNK9cFgpZ9B/EVH9onKlfPS67v+g332TIQ11RswthA4e5HGaJKGdtgfdv05Ukja9+xRlAkiQuNMh/dVeh0j4/4DI7IsQp3K3SwFEgiFYZg3sxmVjYQklRKhi4huZPRaCdkDBSY+EJGLHbtLiPDjzgtMqSYpwVH7udLmdjSf0aWJGWhMn8Pdzt9Kp/9HqrvSc/f5sxLQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=5UGutB+PBQ15AHeX4evSpg6KO4RziE8QUUkGAsrPANQ=;
 b=imCCPWH6h8Y8guywbHxhgOpgWmwUGRWgNXQBiUi9cQKd38cm4mK8pS6OQOSh/8Llfqu5dZMTrT4s/3KnzV/Awb2z2OC8Z/TKcIv7LXAG7X0ReX2Ch1vbLMKysxf+dtYHQHmEQh80cCyY27fZcsC4TRIyzY7cB+ZUETD+TtIm9ZbGbwGy1i5UM7UUbfP1W1HqirPOmaj++SaBsicv0A4Vk2OQ9QKXqDyVwMO0S/7S56zh/Xuyz9y4W2IJgAhKslgC/UmyyXX92ukJaEIB+nQHXnWTUb+8vPZfx2cUZLqk6eekpHnJWtuigIPR4ODwX8Go8I2DUMjqrgdv13223Uf58g==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AS8P193MB1970.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:3b3::23) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.27; Tue, 28 Nov 2023 21:15:51 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:51 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 80/91] gnu: Add rust-gbm-sys-0.2.
Date: Tue, 28 Nov 2023 22:12:58 +0100
Message-ID: <DU2P193MB21326169C46BCD735D14A646F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [f3C/a+EUMkJFibM8ysWPQ4gpLMwQXvWK]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <ec25f4fbedfde6b655cad18776659e960200e722.1701202947.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AS8P193MB1970:EE_
X-MS-Office365-Filtering-Correlation-Id: 81a9c0b5-7928-4e67-4a19-08dbf057198e
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: 8uJQZd7d20VdhSvjoSVUNjMlHrpZZv83X0+RMRs2sN0HZ5swDJcJ0kU0JqSdtmLurJ8JSWnMXmgHAsJI3QS+f9+WVNL2oFKdxMp1pXBH7rUo+WlXvWzmM+TJj8W0y9e9QXrliMbkv1vx1FmMb7coBpFEslIP3XTDC9eBvS42qli45XW06FwfM/ANOS/rynC0jNW+TWoBSthQJcAzqqfHPmP4/XnhLSncHKc5be+s/9lQrbO6ZWl+qTGwkPxba61jxFFt6UH8fUe8YyW0uf5GIXiryqIhE1e4Zr/I8poKN2xWiaCz6ZzS1mPHWBNcmKVX+T6au6JKuQBf//KLjg+T+JbeW4FHMBXmRNQXd8UbDMnOczZtym0pgLykM9hJ/mQkbU7WqaBUKJEumFSZmQDLeyDDXHNxk+fR2t2JA+Iejy7nBGbvbaOVvTqZyll4GYf+zb56mYq7udrdzgI7VO8JGzHGBGPhZ1GrXxH6Fuy8jIkRmVTnQXNv5tDLsoQN91RnP2xoUJOeXoz9J5pb6AjURfMqHZmkbw2GOhZeRwbq0JHlhMVwHSJ5RzfGyX2xXdU/PoIu8L3hOBQ1IEvNUxmiY5aYxpXok7QEwwOjtIOywrZT543QiuUi5zbUStOw4X9I
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?myT0gbqaS5nek29luyY3xTJrfbXO6xs+rCgVDNVpwWTXhZFbfXyn9N6zvW4r?=
 =?us-ascii?Q?i3MEeEsc7r5xWtYW6in6BrTH6k/bUmtPNBR/I6h4CUONgqwc5U5DKFxPIY28?=
 =?us-ascii?Q?tKCGb34GHa3oeMCnCJrWOSK3kv3OFErO9qP1UFhfJEn9jh7WmVN4g/qH85Ih?=
 =?us-ascii?Q?6pI3sREVHQNOh65YNmyAZCnTXpnCiooZl7vTUc+3PsqMQVfLi5aMUxgmuV7I?=
 =?us-ascii?Q?OkAt1gfJWTExLcy0FidihjKvas/poLFRO6/+g8n9IpdarHFNKxUpCkWXqFYk?=
 =?us-ascii?Q?x9A1ehCxmbws69qjzwCxyswTubHC/fXDXlcEAE1ELIY4DbmbvZk5HKxaMimL?=
 =?us-ascii?Q?LP1Dp6P2Ec/bkR1JTiq5OaFz5jPAmvX59IRLnKCsC/UCAstmTdfwwdn3JIMq?=
 =?us-ascii?Q?MTlTQ84QHR+kiZZ4P3vKWdzuvjjsifjDL5E5hB8ONOmvNrZBuWd/xXng7FYi?=
 =?us-ascii?Q?m+ak3iK5NNO9kN0CqhdCwg9YL/hC9b2fk2BrDr+UiSOoFNWwb5tSNTFLxKph?=
 =?us-ascii?Q?Ty1sXwPN/fgRd59Aoq6rlCSW9NFwVbXb2+Z2WnAORiPhVoksP+FKT0LxW2hT?=
 =?us-ascii?Q?REDJmoW/gtX9k2ALkbnStCcK9waDiSSx9IgtSgpCI1QFBK/GaG1uGN34E/Iu?=
 =?us-ascii?Q?m6s2oFsgGYngmcEqQURrawmrZyPJIsCKC8Axbv0dDOtKHXoyotCbxJN/jjzk?=
 =?us-ascii?Q?ovkegdvLjx5bQtM6mYEys9rvZVDyguOhlzxS/7v1HSxwl56+ZKJ12Rlou8mv?=
 =?us-ascii?Q?Mpd0bhynv31G+vMAZR1NMSHZwPLGOngzgzVS1saAhoujSnsD4GzxjUN1+7io?=
 =?us-ascii?Q?p+cfemAKh/HwBPITN4vbmeaIBynhDm2dtziyIaBNY/jnJTuq/zDeiLNxz00W?=
 =?us-ascii?Q?HFusCdLl0qDJU4GyIi9zRULKeevIN5wycJ6+wDQJuH+fEfd+54bmoOwBJWMi?=
 =?us-ascii?Q?lRKsNvBNbvi1zG/+Y8QkdHoIqoV+wCseL7Da4cqphIJHoCYuDE+OHzVM+eXJ?=
 =?us-ascii?Q?J3EQfTAJgZXcx2GH16dji1YDs6Wkj6MjoAXMb8XUUCiK+e3zwUbHvAyV6UZi?=
 =?us-ascii?Q?DYPTuntjcQsgMjMajmfgpD1ELRbYaelGctBV9LWFziZ8BANPpTM7Tvmz+piY?=
 =?us-ascii?Q?ZZBG96Iy3URlDqajOMmWz6aD8hsaPEYFwj5T2qzyLz2XZuro5Dj3tyVDBlcj?=
 =?us-ascii?Q?KoFr/mmb1jQgVh21OhBL4PZ5TUSWCVETK7lxTjYJodFYfBWuaWg45qqIyB4?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 81a9c0b5-7928-4e67-4a19-08dbf057198e
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:15:08.7261 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AS8P193MB1970
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-graphics.scm (rust-gbm-sys-0.2): New variable.

Change-Id: I367c24b9b69bac0aeb0f173c6603582d8b8d6ee7
---
 gnu/packages/crates-graphics.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/crates-graphics.scm b/gnu/packages/crates-graphics.scm
index 503716ceb6..bf483b4963 100644
--- a/gnu/packages/crates-graphics.scm
+++ b/gnu/packages/crates-graphics.scm
@@ -870,6 +870,27 @@ (define-public rust-exr-1
     (description "Read and write OpenEXR files without any unsafe code")
     (license license:bsd-3)))
 
+(define-public rust-gbm-sys-0.2
+  (package
+    (name "rust-gbm-sys")
+    (version "0.2.2")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "gbm-sys" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0rxgzvmk861q7x06js5c97qgkj81jdshisrd90a1a8vskfdvlgmn"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-bindgen" ,rust-bindgen-0.58)
+                       ("rust-libc" ,rust-libc-0.2))))
+    (inputs (list mesa))
+    (home-page "https://github.com/Drakulix/gbm.rs/tree/master/gbm-sys")
+    (synopsis "Bindgen generated unsafe libgbm wrapper")
+    (description "Bindgen generated unsafe libgbm wrapper")
+    (license license:expat)))
+
 (define-public rust-gfx-0.18
   (package
     (name "rust-gfx")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:18:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:18:22 2023
Received: from localhost ([127.0.0.1]:48279 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85TK-0005gL-DA
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:18:22 -0500
Received: from mail-vi1eur04olkn2047.outbound.protection.outlook.com
 ([40.92.75.47]:29248 helo=EUR04-VI1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85RA-0005P3-Nl
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:16:09 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=WQayKsEafABfxpNA3Ndx52hFTdbIbhl20RA2PYJkPlnoKludSF1iNAotiCrYlgvvGfr8+bkG1ePU4UuM3x5t9YKP/a4STcr+RxNoAax8y25WLXGKlKB46uzM0llf6eDywqX5lD0bc9m7OOsM5T2BT0e7FpIeex8X5M8IU5HwcRHiq1INwLotSmX+HSqX8LckqEZiKdc1pIdsCVnLu2ufMrsAwgWzxZXYy3nF2kceqNCzbam+A1MNeWgteYfujASJ5d+8AMKbtGEh6dhxmYI4g4QcxwbVTizc9TMjTvKOsapgdip0k3nxuQiwWlsUGdvgREXp8ASzXFiMfCNA1q+SWQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=nxmz3T1MmJgFEBsmY4LC8X12GEO5HE2giWMgY36uKZs=;
 b=OV2sVO96PAFyUnHDSyMUfAE2J+Pl32e+mdO74bH4/8JqVLcuXQdZuZ4lpL7g8LaCGLFDH484uHarPfw1EWOGi+mDPVsQq1HKemnFVsYUNlna5ZaxYDOWGiv7CumLbizeohJzxdWZvDJ6zXhps1vALkU9BwDQSsBAWhcH6FtpBBf7WgfyBHsbttZz26+54fjlTnO281u0wId/arF4WUOYtr/rUaukGyryQTK3RyUTK3gOaiVD7lmCKT4tXHuSmLsDmJclSIlYp6BEtWkP/4LNFQLEeEhE4rwYGBrUd6JvO3JtoqYleQkKNXOXM/4dZtFAQB77r+SAEVjIkMo4zZna1g==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AS8P193MB1970.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:3b3::23) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.27; Tue, 28 Nov 2023 21:15:53 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:53 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 85/91] gnu: Add rust-gsk4-0.7.
Date: Tue, 28 Nov 2023 22:13:03 +0100
Message-ID: <DU2P193MB21324678CDD2B9A8D38C3E08F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [zl8YbLZYQG/zynicbvV9vT6FIne3ziY5]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <6665eec8ac2faa66807ef8593f8943ca096a5c71.1701202947.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AS8P193MB1970:EE_
X-MS-Office365-Filtering-Correlation-Id: 67c13bc8-48bc-4669-73b6-08dbf0571b97
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: BsN1OM/I00elpYPYTJkJdrNdpKdzUBC/CXcB4X0tgbKH8w9dWyu1yzrYpDrhbdNumMZlw9MR1UQuazat2wu//CeK1xmBVT4CAYNJNR3L+c9zsa+kT6Mzss+cWMjs6IXPKq/oSPIMsti5JdECaxaDfrhPPNroSeclejcLyEOM86ySTOnJiAib+rhLZAYn/r1g2PG/Aw9qil8jUMWsOxGwga6/NefwH5ucMmsxQxV9TnGw19yrIKLqqTKmAT2Kt1+igJSdwqG9yhH1XbugOJgv6pmR1zjKVlKB0PXYIwTPobVWeOAwWE0MY754d+WJv6J4Ud0uYDpzGbzNkE6uC0ywWXLOFYA1v2ao1YquSNmXlf35W4+HxOpD4qbay6cVcg43Q2JW9bCMgdohWa4gb0r5aZCIAbrHaDvMTFkwn/Nk1KWjmcXxwMXzIqfchWoe3PS9yT7XhjXTkdjRcMM53b9ZL5SDNv/XbdWFG6yv41FZ2iWmfFlxtbOAojqVO2LSAoRFRdac7WwRdTe7ewj4RRDRh/tdiLeW8LfnckCPCXVS+GV/4KrmpYxLOGPZ9aBpXRmDRAMw+ChZXZXJwyDWA3Pdcx+pN7xvoaFtfr174JkNjRo=
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?SMdSACzWTz9HX4CHF28arj5O12+Gsb+fTN+uFuxAuigvuG8sJuICT1ARRZ5n?=
 =?us-ascii?Q?r4p5r2U9yZvYjY2AYDPLgctQP4LcVJ8lXqCNKv5jthygMWuCF7iRfIBOVU2C?=
 =?us-ascii?Q?oRaS+p3WOctY4CCM7biloBIOPkGtgd8VR0uP0bR7uMSz5wX2qkN8Aa6ujIK5?=
 =?us-ascii?Q?yyyM/2rSsDCFKA9jlmq7MOeGIiQqY23wZKktUPYXIhgosfhXW8C+go8Y3Sqf?=
 =?us-ascii?Q?F10CLKirvczTXXoVPnnyeO+N3OGQ2IFZ8b5+GrBdUCl0Upp5jXNfTKKxJbPI?=
 =?us-ascii?Q?dWWwki1zaBeOEN5//9kECXnSbtuQ40gv3J7oCZvGE0tf5eT04eitIQ6LCFlU?=
 =?us-ascii?Q?HM+b5uhcFM6SuhFr9XxdH4+nc3Vn1HfivdQV39Uhnzex1/RxDvIhxC6t+rRJ?=
 =?us-ascii?Q?RxO6HXKiGh+N9G5yFeJOkb6GjjXUNMhTB3Ji+KtdbHKH5yONes3eDZDFbfwA?=
 =?us-ascii?Q?pXN+NoypPIdACn1mbiA6b9UCLCsdQvhJNMxzwqme8mPJgr9woz/EJegQjrMC?=
 =?us-ascii?Q?fZ0GxgLLKlY1crwVkrNK8juiJrS2C3geOb2107k51t/VF8fMdaFw17fN403q?=
 =?us-ascii?Q?I55o8ykQn3bwRIwPwvHTvKwjrbDZZtaHoLDYAoh2a2bb9Sp8eqT3ye2LOMu3?=
 =?us-ascii?Q?FLKyMOW0f+EXCUUlKYdI6m/Ey+byhQg/3ZGESdh1bBfjSWxRKVKM5Ck1L1LH?=
 =?us-ascii?Q?NhkB7MkIKApbd3Ty0gwwW9fzb3sRKBcek8vsVl9ZH/9MbFTrw/F8N+cIrXAs?=
 =?us-ascii?Q?T/JoczCOqLIomNxQciJIHISrm01BqUrC0cLb3d3eCm3XP+u/qcr2Wr0zUEOR?=
 =?us-ascii?Q?jArLBOlSEHwMXuEMDyOHkVyFtSu8QYOXUgP8yI2ZyDDlyebarxFhew4i36Ty?=
 =?us-ascii?Q?twezznS9r8N41YQwsGbvjsqqfPIs/Te3hJ8P1ZQ8SkRBmKF2tKory/OE2gEJ?=
 =?us-ascii?Q?WktC0KcSNR952FAceSDtAODbtV9CkT+/jn1v2LEY7OD0pRF36XSzmY+I5Fkh?=
 =?us-ascii?Q?LlFWfAn1uBOC9NNF5667I0wQEcPpfi2DPAGnywbv47WjQtxmxrYRwN0hKRK+?=
 =?us-ascii?Q?cQ82fH8/K5K1pZe53FGP/N80dlNIKm1BLI/dR3Jubh+RFzJCw/tTc+6IsPJl?=
 =?us-ascii?Q?khG7bvhRD0OCfjLGP/uJUxl8ZpcD2L3cfIdtu/CGw4rzIFVluDDNOkVBnPL7?=
 =?us-ascii?Q?4DQgSEFOJYviWuITwpqZnkhtn4fBvL4trlkWOiWAriUFlJHej7sNP8v9hEg?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 67c13bc8-48bc-4669-73b6-08dbf0571b97
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:15:12.1027 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AS8P193MB1970
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-gtk.scm (rust-gsk4-0.7): New variable.

Change-Id: I0cf6fc19cc49ae1cff03a6e18c24eeccacd58431
---
 gnu/packages/crates-gtk.scm | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/gnu/packages/crates-gtk.scm b/gnu/packages/crates-gtk.scm
index a89606de89..53100e3e0d 100644
--- a/gnu/packages/crates-gtk.scm
+++ b/gnu/packages/crates-gtk.scm
@@ -2381,6 +2381,33 @@ (define-public rust-gtk3-macros-0.14
 library.")
     (license license:expat)))
 
+(define-public rust-gsk4-0.7
+  (package
+    (name "rust-gsk4")
+    (version "0.7.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "gsk4" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0zhzs2dkgiinhgc11akpn2harq3x5n1iq21dnc4h689g3lsqx58d"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:tests? #f ; `Errors` doesn't implement `std::fmt::Display`
+       #:cargo-inputs (("rust-cairo-rs" ,rust-cairo-rs-0.18)
+                       ("rust-gdk4" ,rust-gdk4-0.7)
+                       ("rust-glib" ,rust-glib-0.18)
+                       ("rust-graphene-rs" ,rust-graphene-rs-0.18)
+                       ("rust-gsk4-sys" ,rust-gsk4-sys-0.7)
+                       ("rust-libc" ,rust-libc-0.2)
+                       ("rust-pango" ,rust-pango-0.18))))
+    (native-inputs (list pkg-config gdk-pixbuf graphene gtk))
+    (home-page "https://gtk-rs.org/")
+    (synopsis "Rust bindings of the GSK 4 library")
+    (description "Rust bindings of the GSK 4 library")
+    (license license:expat)))
+
 (define-public rust-gsk4-sys-0.7
   (package
     (name "rust-gsk4-sys")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:18:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:18:22 2023
Received: from localhost ([127.0.0.1]:48277 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85TJ-0005gE-Ry
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:18:22 -0500
Received: from mail-vi1eur04olkn2047.outbound.protection.outlook.com
 ([40.92.75.47]:29248 helo=EUR04-VI1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85R9-0005P3-QA
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:16:08 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=nazQ6HwvVTSxcRULAw3tvZ7dV/a87aDHgo3aBGsfb8qUHHzf6VqlYqmUxu6D+nuJdvH78Fz+WPp5PXPRkHher3ipC7ShBCnw2hbmLpzqdEtgcPOzxPswrGEy5x93WphsUroerBoPUkV1b13/f8MlkZ0whOkbCA6v+wXN3/2LFTfgNUkaqyhpv1BXtd3lz0/voG2ijRAvC6IfnDRgQ4pQsu0ENhKtchBAolSPxrxnQTj2lUcu4I7LJhoyA6dtlyyWQZ+krvZHxqgOxOOd1DgSfOgkLwBJHP1MOJhlJfAN82r1aeaFN/7gXBBz/WH1TZHMOGNBXZD+VAeizgMD93XReg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=wozMzS9tu4M80S4aVka9oBOCbiHmQhzTteMdMhTpKmM=;
 b=I40DlPuM8caMrbAaiQ9iQtjMkcBWCwdtHys8OPP/ivdm6P9IkqnSn+OrKUYSoiPXv1LLz389qsWjab5XV3rCuPtc/cQmGj0ivnQP8It+Fcb8ez4YalUp1kxqkcS0pYdZ+HWPWm+bkEKq+MPPbRrgjYc1eCFG00kU2m9zxjU4fTUmVgGOCcXgOpQ+17mL1z1XiE1UgooAMjm6p04pd/eR7GwpSDuDV9VjwC2KI1LqE+RGpzfXZkBsa+wEXByrtOp68y3eX9gguZraCggKQmjNS7BvMnPGM1yTiI9IuIYTz4qBUoiVSNJTsmsxRkEuqFxy4K25igbAJnWyA1kklefybQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AS8P193MB1970.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:3b3::23) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.27; Tue, 28 Nov 2023 21:15:52 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:52 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 84/91] gnu: Add rust-gsk4-sys-0.7.
Date: Tue, 28 Nov 2023 22:13:02 +0100
Message-ID: <DU2P193MB213257F96E881035B785D74FF3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [bz8xV9H+m+jaaBS0jNy1BSi4uTm+0cHK]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <93c766549abb3b6d7f00a9435030ea4a1e205204.1701202947.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AS8P193MB1970:EE_
X-MS-Office365-Filtering-Correlation-Id: 1ebd0fd5-34c9-4617-55e4-08dbf0571b33
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: jjFBeZ3WRvTMoDSsbSElkZKPeh/f+l5JYeEFtWIU4P/KrAJwhAgWe7B6Wj94mIhGp4Y5fpLWhB2bwis+FDGkP4bbp5E9oXUngr3RuOkN1eXFdfAU8+smTdMR2EOdeGTlmTk5P8NWvrIaFfBNKlLHr5LGgcJK/UAL6TlM7IdtWewyztFAZ+l1S8QXMdfrKMxt7/zotAIObLoK9BlHNNl11QIY0yhasu3ZSwlA6ntqXki0LYvapAYxT0SHRvxVRsOcVriiaAekOLxIG8847AHr+EWAVQNrg2B7BRW31U7R6WZtemha+bvYWPYActp8IR1K50pJZbUKhV4iqJQKDyoIoaXzYB0H/m+2mk/b1b7XY51v+X3LM+97t+rGnidfMthzrTs8n3ftxroDvp+JO9ij9nN3xgtqqoA8XiMMbQ/i/xFXP7WGVK0vjyF6BclzxunOObT5VODMI1ItN2LcCa74Jlpm6M/+SintyDpFGtVONyoAmLDBRZIbnKXqw/icQWsfsxPkef8vG4UUKb4qdefb8Lopdw4QBvG2ku25xMVbFaTdpnZ88ebEwFMEWEexOYWWj3ufZEsgnCOLDPPnRmQ5i5h+w/MRX4iue+xOgQ4K7C4=
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?IudYjWcOnDJNvEKmIwn6S76tvIgJhRznWl3f8z5KSJ0gUmxnGFF0sBu+inJ5?=
 =?us-ascii?Q?Deop97q3w5IxrQW5Y2UM+HSBhyUKzyMdXZ+fr4m27mRnzvOgtW6Wv6L9ozIk?=
 =?us-ascii?Q?PNec9FbcRU9imzLOedHy6ZnhjULky0UjTJEfMF2MTxgW/J0F88p8JBOxK42u?=
 =?us-ascii?Q?Qhqs/RyooQ3A+aZ1vDnrNXBk+lgxkHYVwb8TngFYnAuB7720iSGIXXhVT+Pz?=
 =?us-ascii?Q?5OembdkewMSoBgNv7bZYyzDZmgru51MWP7scuZBVCyDMAqxIH/kj8XEZ8pqe?=
 =?us-ascii?Q?W2Heh1XAhedWhHnJLtM2NWk30x7tnKl1lQThnUL6IMrNsN9Xq8o+o+L1bySu?=
 =?us-ascii?Q?x3eR/UQcBqAgOYv1RoXooQzq96NoqUkE8Uq16AZLLLDFCPF/GLLL2cgCsxtU?=
 =?us-ascii?Q?sNeEszSDI3XS8j+Hy+wln7ujFoGYWT4g269suLU51/TPo+kIvbXeh3BqDG4s?=
 =?us-ascii?Q?4dHYE04zdFVmMyspds/btzuJxZheA3/o+BzexG+AW7MXS1DkYp6J63h1VSb4?=
 =?us-ascii?Q?GTqSzzBIe5HOtw4QGhJecrl7MkZyLuzdK0qIf86y29TrqBiDIgjMkNcNzoUi?=
 =?us-ascii?Q?sDz+7iD1KUtzeehjiYDwmu0QjeYCMcubvD5+7dnVxQpGFDb+y6ZK8f2xVTj+?=
 =?us-ascii?Q?4ZLKN05wzD7iutv+Eg5rcQoDj1aK92W8oyUCT0Q+ADh6oaegi6pGVK0G7rI3?=
 =?us-ascii?Q?gqywU8P0d9b6Y62ZRsY603YnYpAVpljTsUdjnQp2YabiAxtirV3I7kdGhKwU?=
 =?us-ascii?Q?fJWpCX9289w4TAuNdXvnE8cIEsBBpZvqnG7T1BdfZX/Ka6QPwA/JopM2CGTb?=
 =?us-ascii?Q?sA3wvsTA5CD1K1kgiGWiyBJK93O8MLyc/FMHRRnEuLArCvigBlkcdAQHgqlE?=
 =?us-ascii?Q?cObO3qlLDp+C52ry4Es3DzASZ5lGgjv9+37O6+xwP5nRMh5IOUofhe74zCyS?=
 =?us-ascii?Q?xKaDC98vR4wOWueazCP6sHLVm8Dlm1H7TDqMH1iAxvrgWKhE4kssQiCGgcfO?=
 =?us-ascii?Q?or0fGHv/bIryRWBjKP8cPdUatr0OEQhnDCGpL+yypWU/ewt5C9XqrdZHcjQu?=
 =?us-ascii?Q?uaHoBzI5b5ofROFYC9sfiajw/2psubvXP1n/At2KB95YOiXtUoyUtPfxb6FQ?=
 =?us-ascii?Q?lpuvttco2lhizFGDLv+KZX7jRO0sYKpF5j4d0x9q2ohCAAwtcZR4cC+9ZuZD?=
 =?us-ascii?Q?FfRa3v1AN2ukivpOM6W6c9Vn/AH4aQlFOozdylA60JzJGzJcRqpwEAKdtTs?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 1ebd0fd5-34c9-4617-55e4-08dbf0571b33
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:15:11.4489 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AS8P193MB1970
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-gtk.scm (rust-gsk4-sys-0.7): New variable.

Change-Id: I8d920484555f0c184c77757611857cf8bbdbc849
---
 gnu/packages/crates-gtk.scm | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/gnu/packages/crates-gtk.scm b/gnu/packages/crates-gtk.scm
index 2be6c9e60d..a89606de89 100644
--- a/gnu/packages/crates-gtk.scm
+++ b/gnu/packages/crates-gtk.scm
@@ -2381,6 +2381,34 @@ (define-public rust-gtk3-macros-0.14
 library.")
     (license license:expat)))
 
+(define-public rust-gsk4-sys-0.7
+  (package
+    (name "rust-gsk4-sys")
+    (version "0.7.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "gsk4-sys" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0mbdlm9qi1hql48rr29vsj9vlqwc7gxg67wg1q19z67azwz9xg8j"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:tests? #f ; `GskFillRule` constant mismatch with gcc
+       #:cargo-inputs (("rust-cairo-sys-rs" ,rust-cairo-sys-rs-0.18)
+                       ("rust-gdk4-sys" ,rust-gdk4-sys-0.7)
+                       ("rust-glib-sys" ,rust-glib-sys-0.18)
+                       ("rust-gobject-sys" ,rust-gobject-sys-0.18)
+                       ("rust-graphene-sys" ,rust-graphene-sys-0.18)
+                       ("rust-libc" ,rust-libc-0.2)
+                       ("rust-pango-sys" ,rust-pango-sys-0.18)
+                       ("rust-system-deps" ,rust-system-deps-6))))
+    (native-inputs (list pkg-config gdk-pixbuf cairo pango graphene gtk))
+    (home-page "https://gtk-rs.org/")
+    (synopsis "FFI bindings of GSK 4")
+    (description "FFI bindings of GSK 4")
+    (license license:expat)))
+
 (define-public rust-pango-0.17
   (package
     (name "rust-pango")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:18:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:18:21 2023
Received: from localhost ([127.0.0.1]:48275 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85TJ-0005g6-Hi
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:18:21 -0500
Received: from mail-db3eur04olkn2049.outbound.protection.outlook.com
 ([40.92.74.49]:48518 helo=EUR04-DB3-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85R6-0005PS-U2
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:16:05 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=X1adFhDWEndZPtwR5ZMrHfUD+t1q8+qybs6v5gQT0Xi+6hrWq435beIOT7oLhazsjhNXOuVfGhhZQ8tqwz5s+ZoGLsGLMTCw/UMbe3OYeCt/W2IcCXFz0uhBcTfdyWTpv9gwDqVXOoM7pq0kySs4ly2k+ZLtaZBR9DfClr8vhPmcLxD5dn91KiKK7m31+SfgjyU/IVYTmc1qPMSftRfUJzxEjA2vR+mHpe+ILVd/fJZAEUYYX3mhKqWTHgMjP2UsvfIRUu0K8HspY9CK0EUAZbbV47jsgDYXb3TELBtqh/d6yO5kYFKK649TXgjwV9Zq2yjbHHYoiHFs8CbavhYIrQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=e5FE66g/jgQI7BDNUnFHpO9vdRJkNay7U0LtNeSFNTg=;
 b=hIgacJe5e8GaNcCCD9CNf9QnL5U7lYAVRDJdCkUAFylYVOHAcP2OG2N95XHJBFwR2jy7QGc/EXQrlgt9Xw+91fA9Zf+0jgVb+asN0q51LJAeY5whZ3OzczTV2IdQEN7DU930QAk2RoxaGUxO5EaXM5rB3XMnCk2U65wtPfS2rzmB8j+96Z9DHM1GMbx/dnJlpzHXlKz1aVz98ySetrjXbMeFuPHInwxnVvZHpdVgW92qd9m7Z2s19iYbcOXvm1GIPOdFR7tR9fYXRuOlVlAIqntb2vE8UEptgg8hfYoMKc0aVMmT6yb1wO3AvjvRcZm8V0BhjO97Wgh+o3JM6Zr+zw==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AM8P193MB1251.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:36a::12) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.28; Tue, 28 Nov 2023 21:15:49 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:49 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 75/91] gnu: Add rust-win-sys-0.3.
Date: Tue, 28 Nov 2023 22:12:53 +0100
Message-ID: <DU2P193MB2132C0CF7915EA9E457E9535F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [ufLTZRh9y4GVvwrC6nQv9B5SPq7HwcHV]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <4d1d085f83560bf4757bde62fb530b6a49cc148b.1701202947.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AM8P193MB1251:EE_
X-MS-Office365-Filtering-Correlation-Id: 914eefdf-1eee-45b5-b1b3-08dbf0571711
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: Gki+P7kqaj16B5RDZ6n+mJLsnARAF4sdZHpFrKSkXcETYeTCl+7SWqCP9qeJestwcZOpxAjDuORO2Ii8vVUI9XtZtN7lRTe3qy2RziBONnqKB9QlSUGc7cw2hl/2UZzpjI6cUL5R/tQVVk3X5onN82IFg8tV9gYyxyos9LWGlqA4Jzo1bD1bv6yof9s6eFsfh4IQB4KgNWtTKpxaboCeM8ChOxOVOC6GU0kHvggmMJx2bWfRRMKRVSN91acwhpjOn97iL6YJMabTC+/l9d8Z526aFfeh2ofKeANs6OZ7W0sbL0kZ+QIvYS1Ity4/krhAPOJV0Yp7k49fvzZ0+nTJttLh/lbDBLen7Tr7C4NLkh7Ih92w1juDIppmiqgK2/XPsr6GH6cletZTa8ambT+0eMB4WSqHvsQDlS/9i/h6K1zdTmu6LyEPCzyQo90GB+UUiucz0hSVD3e2lu8gC1TWbJnjgHRIFHRnJqRnrAHGMqRaeV3u8JaC+06nqotJFd62mnTC/AzjHHN0xqV9GND9RpKop5Tyby5A91akqAteVSpPDCTx387Y8Zmb6SLJvujCTMgnPoKPhCJQF4fuCDERfQOHMPJLh3c/tloCZYaCHKRbyYdRPhP7B/r2iFBafgr2
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?PrgAax3Ut/SYJIyAbFORm1a1+rO+AkvtnsBMAlwDcDXdjFUhUM8eStueGSl+?=
 =?us-ascii?Q?gvmPBK4WPGDBa47gGzTTxKFYIKvPalUHpynfOiQ9AemVqlxI4FRhvJ8AdOVC?=
 =?us-ascii?Q?+89mPjCA/2+2wrWw9bwZ2FgB1qz8Un5pJ8wL4a2YXLd2mTxCKv/ylAQ8sXij?=
 =?us-ascii?Q?95vdEhW11aDxcsjIaz5scArWVtaM1FPUC9XBC2CEYgt82mKzyp0U7bpDBqDP?=
 =?us-ascii?Q?147WIJ+bZyPpxMoPbtlIDQRQhy+j9LTjaYCAy8VGzxLW/S7cdFd/tf+VY5h/?=
 =?us-ascii?Q?rFFQ4W2qHOo/64E4n8rL2Rol5Ndk3W6lvHZYbbsml8+JaOzOCex6IO7M80hS?=
 =?us-ascii?Q?KcifNVT+vLCO0H6HWJZbtqEv1810y9Atcpub7D4LwOJ/SVwvHrxjisgFY8i7?=
 =?us-ascii?Q?BGG3KUVbdKVDASedhjTUG7icPY2JSN33v4gyhiLMjD50LUveIrYushCiFdmI?=
 =?us-ascii?Q?1fIcyi2OJMHoMFE5GFaUxJOTbo8qC/FT5hvDWQeRVMY2u970a/Qo14tCNdYt?=
 =?us-ascii?Q?z+hQNR//8q5uqfMY8Y2BcAEOblPvxdOL6JWwJKehroMVZudArMbTSkObTb+F?=
 =?us-ascii?Q?ZW3+lqiXC2ecv/Hht6ozx5WAtS1sCRxrglxe0RHrMau5BUrNFc4dmIGXlRw1?=
 =?us-ascii?Q?vZ8DWrr2kYV0N5TVTRsZTaa1VIkziWyibG9auFs7lpAiTPz6lTepdc8nOWry?=
 =?us-ascii?Q?UdbuTgj11ChdqXaqgVblnGMJPglvp0bwVO9nmIPboo4oxlk9nA1Qx1zXNcu9?=
 =?us-ascii?Q?ga85SZk5J8mt7I4RLA/aW7SdHsteFbGONA+/gvqkb5HOBKR+RERtk5njymiF?=
 =?us-ascii?Q?CKWbBkl5F1BJuuWl0AMOPR3x9g1WJahbqDmAvNX+kDQCzPPtV2wO3UDfdDkv?=
 =?us-ascii?Q?wPcUXMTfuJPFKqt1azB9yNmY1HeXy90gvZitoj2sd/yOlKmNqhoSNfx5XGfr?=
 =?us-ascii?Q?T9xzGwPPEWLEKmt3sHDTBdPu3yuyauMb1VB3Ex9rhFVAyTJJSj6Qcczi1Sl+?=
 =?us-ascii?Q?KVAwPJDoxVBUb7ueB3M3adNOT1PYE5fQFo4URTc4rhjj/LcSAQdfjxaKpnGy?=
 =?us-ascii?Q?0G+qKn1/m9VW2eIAgLS6ZXPM+RmQE/0lmpTEIFGPmAJdNVsP6aOc2dkezQv0?=
 =?us-ascii?Q?7wAwXzOL8E1K79KGSAYPJ726Dh/xY3INsaIoFDanKezNS1Y312L4C/2OrfOG?=
 =?us-ascii?Q?gZrTymgbJfRinAKHHbBztuq2dKQwseZ1saevY0XWVgRmZSoRTdOvcyKi7zQ?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 914eefdf-1eee-45b5-b1b3-08dbf0571711
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:15:04.8046 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM8P193MB1251
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-win-sys-0.3): New variable.

Change-Id: I96e112e51921ce7f1d11923d67dcd492b5dd50f1
---
 gnu/packages/crates-io.scm | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 620c2a9d0a..31efa554ce 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -83718,6 +83718,26 @@ (define-public rust-win-crypto-ng-0.5
     (description "Safe bindings to Windows Cryptography API: Next Generation")
     (license license:bsd-3)))
 
+(define-public rust-win-sys-0.3
+  (package
+    (name "rust-win-sys")
+    (version "0.3.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "win-sys" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1r9b8nxxl6pba24ajrklpqyfnzc8hni9pd4yn00s5ky1k2514ysv"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t ; windows namespace is not availeable
+       #:cargo-inputs (("rust-windows" ,rust-windows-0.34))))
+    (home-page "https://github.com/elast0ny/win-sys")
+    (synopsis "Thin Rust wrapper around some Windows native apis")
+    (description "Thin Rust wrapper around some Windows native apis")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-winapi-0.3
   (package
     (name "rust-winapi")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:18:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:18:21 2023
Received: from localhost ([127.0.0.1]:48273 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85TJ-0005fz-4J
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:18:21 -0500
Received: from mail-am6eur05olkn2041.outbound.protection.outlook.com
 ([40.92.91.41]:35001 helo=EUR05-AM6-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85R2-0005Ol-7T
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:16:01 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=QYrVdMS/DhTHUCkEqx/S9AJjbsCIf7Y91PNGdCplYV99IqS0okYQ4ryZKDbVHE1Kci6yOgrqoe4pdD3rkKCtPcbjh37nnF0KNT5y3ZVv1f9wf75xT7J4H7d5YXSxDODg+yac7qOtzZtVSANHpN+pMFlOsXNVOKrZC1v4nblWrTn0n6oY08hF9OFadGUc1X4uP+Y9vsres0x/veimqju3hwxqE1+Hn1whhJbX4kUN3NRaReiQjvDMkltWED6yzYKfaiuiV4EGrRHBWOE1sPHpKVIXZm8TiO2e6ZgKiNwAb9rjQzdToGtXrAqQ6tlPWXsH4tQ5sHC4vkaq0aYeo7rEtg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=e8LJt+iOeZGPqMvoVnVLAEjvHUsSqZK2f5L3pHGIur4=;
 b=aeSFV2avUdrHB3/o8rDzth1GG+lBzU5nGvIq27Nel8NB13Qn/mGj713YzxXJbuWrzSCq1cCS9v4qL+ZhIf2X2Hb8kD4jmgZZVH33+qJC0km+jsQuDxWhzIN9yofMCSSJ3TuojIIz3nA7dmjUC0Ios+ndkpjIOlf+MclCWp36YeSDOUUTFmvo+zE0KRWjaJYiIdOLc78QYux7gjzEXnLbfX3o0T2ILbAmNMk5DuHas9AaoUiAOOoInEyFva0d6IwXbyOtHNJcqABZDtVLzj5xb3LWoyujAuyl0bnrcd7rZGWyPEgAlljECf+1L0rhoV57ryquA1Cudd4b9gvb1nT+YQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AM8P193MB1251.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:36a::12) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.28; Tue, 28 Nov 2023 21:15:47 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:47 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 70/91] gnu: Add rust-windows-implement-0.34.
Date: Tue, 28 Nov 2023 22:12:48 +0100
Message-ID: <DU2P193MB213292FF70D6BE1713063860F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [fqcAnZEP8ypDE8AFyQl7T/7Lk6tG4jvO]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <a5f7ac4687c4db1fb45d2fe9cadf19ae806e5683.1701202946.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AM8P193MB1251:EE_
X-MS-Office365-Filtering-Correlation-Id: a5222bc7-360c-459a-ee85-08dbf05714ef
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: UmG+rumfBbRCgyVDaXssaFLLoU5o6FkcFWoHWVH29B+sblS6v8QgMUgn0LVj4xznU4XKdrWRJj7ntqnTO2BBnDKvlqjKa02X5vh75F2FovZ1KHF2ffB1TtRBdoxJqZRSyRpg0a2AprDJMHBJMtbbIlNJaHOBI3oQsg9V3qMXxH/FAK8LUnWepkcXwS/OHLbyDRiGsdHkuHG9Ov3kP/cW1qIDvSxbHmP85XY1lJaqEteh6JT6TEYi0DgmvT1Zs+yEh8OeUxCI8fY8x3Ou5rSkqDY349wgQsacZDiteCcb4hBqfnjlHyhUqvC/NN0w4svUKRNzgLVY0EROdBgt3071o57l4FQhAH73IiGjQczWsCqEERts97GL2ThYvH8ZZm5snUL9yB1jeDQd9FTwKoEDWAfSpFzkqqvx9IlHR3VHz5GTHbuZG6YQ04ZxK+gIRQsjcPjWUtKLNk7GW81WgNY8eHQ6cklFBCct6673Sv3hKQ6VwoIF4nOxMaxyOFDJp+ehbg+xfC0cTsW7lQF/Zu0qDo4god+1VaGg89ONqYolSB1MP7NXf3JLag70hcAnCkOHyRfOaQ0YgQTV7NlBs7FH9oZNVOSVeSYlmz6i8xSTnzSnaMiUIr+zHxidde2wi7nP
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?QyKJP04jzyfAb/n2Pvu64Rels1uZmDC5PySGiMnDpKWZjPTe7B6TuZH2JPar?=
 =?us-ascii?Q?R/hL3ctl8GypH9qwCY0/HeDmArgjd+UhKGPvuKlXCUOOWrq0+Fd+k1YfcFNe?=
 =?us-ascii?Q?VFP6dcNmRKu0NY2loLkQYT0XDKiCk1jXV9YhsERRiuTrNwnu7XXLEJhNWIGQ?=
 =?us-ascii?Q?0Xjk0i4A0j3wmEzjsWRphqynJQTu6m/vTCXDlBZ6uXurem3n8lCtfezUMS8l?=
 =?us-ascii?Q?Od6D7zLdr2W4XTcCDOODHsZHsB2btxEZhYVkmvAIp7VTtzu3yL9yCF2/A42w?=
 =?us-ascii?Q?Y5X034CF4g7+MefbFIvDL5VpNmQOzGpj7GqptoJK0oAWO9L53/yk8mDwL93u?=
 =?us-ascii?Q?rarFF8WGzkExLuHEtfd8VYs7x8pC2ZGOTp2xD5CmIHKhLRwv5p9zJJYMSrkI?=
 =?us-ascii?Q?ODITHJIAfknMTwKgmnrT/4P1VoLcmTwwe5/Fh32w2xetCV1Ltk3sz0iAy2ER?=
 =?us-ascii?Q?T5nIfksW/tcSTu3SKLVXsqjQ3V1QYuyY9OH0gicaHqxxGP1EHrEojHvBm0la?=
 =?us-ascii?Q?nDFb/8vkEpjD3D5P81Q4OzV+c1lR+6BZQ9bYdHKAxz1xviaD5lQSD62OdNEt?=
 =?us-ascii?Q?tG94MpvuRZd4qZKLz65bLE8RC5PGbcvQLeZJVq5DUwp5kMjs6svrjw6HDfjl?=
 =?us-ascii?Q?d+x0eJ3hjGuBGvu3anvS7zMCd/JtRN8ecGEUeUjtbTj6132QEfIFmM823qZ4?=
 =?us-ascii?Q?GMIOggJ4i4tZcxSxUgCpArNUpl8lOZUVYv25eKr5U/etVAG/yOFbHxc6KwQS?=
 =?us-ascii?Q?po4kvqrOXQOCTIL4zigV+GnEliqLAkQI76QKwevopv++gM9x4hvGERt1CIEq?=
 =?us-ascii?Q?J83ZHb7wcpqlwZxYtYFOKFQqRD2CyLjieJmMrMHkzTWyVi+XkKh8uWSkYQt3?=
 =?us-ascii?Q?qp3om0rTUi2A2IFAD8k2bNq3EmgNCESRxNj4PC9vd3trFbWt2DKifJbc/ve0?=
 =?us-ascii?Q?+jF5q7bJQl+my91/nvHm3UFcYMhAMUbnjOHU+Dj6kXCqlsrrw6pOet8aF8kS?=
 =?us-ascii?Q?mJaKZmnud017uaKRHh75npvzte0rhTELB3mydabihcfbUTdG0ie5CHLdKBnH?=
 =?us-ascii?Q?/v/Q/COu21EByD3wE0cGTrIctU+jDJ2FqTtwnrbUS71LD0HamB8Agx6gtmcl?=
 =?us-ascii?Q?r3twsCNgjvxvKpxLus1ZgMIW85B6cZThIygHCEZTFn/y26y0QR5wblE7Vu6X?=
 =?us-ascii?Q?bnb8x3U0q7+GH+k3rzgU6iuqZnCp9w5yfARXw6IWMoR+5OtVxbRk6mWe1QI?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: a5222bc7-360c-459a-ee85-08dbf05714ef
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:15:00.9748 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM8P193MB1251
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-windows-implement-0.34): New variable.

Change-Id: Ib418a4eae46f5df3945a3888f27c5fc6f2cab7e1
---
 gnu/packages/crates-io.scm | 36 ++++++++++++++++++++++++------------
 1 file changed, 24 insertions(+), 12 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index d769fc645f..d77e08d8ce 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -84288,8 +84288,31 @@ (define-public rust-windows-implement-0.46
 windows crate.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-windows-implement-0.34
+  (package
+    (name "rust-windows-implement")
+    (version "0.34.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "windows-implement" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "13amcdc4bv01xpb9bq9hyk2zqnmic2kf993m1gbfqdmmn19zykjm"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t ; windows namespace is not availeable
+       #:cargo-inputs (("rust-syn" ,rust-syn-1)
+                       ("rust-windows-tokens" ,rust-windows-tokens-0.34))))
+    (home-page "https://github.com/microsoft/windows-rs")
+    (synopsis "Implement macro for the windows crate")
+    (description "This package provides the implement macro for the windows
+crate.")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-windows-implement-0.32
   (package
+    (inherit rust-windows-implement-0.34)
     (name "rust-windows-implement")
     (version "0.32.0")
     (source (origin
@@ -84298,18 +84321,7 @@ (define-public rust-windows-implement-0.32
               (file-name (string-append name "-" version ".tar.gz"))
               (sha256
                (base32
-                "0f3lnjs9rlihin9cjf9y7np1x15c0v09v0cwlw1n7c30145xmciz"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:skip-build? #t
-       #:cargo-inputs
-       (("rust-syn" ,rust-syn-1)
-        ("rust-windows-tokens" ,rust-windows-tokens-0.32))))
-    (home-page "https://github.com/microsoft/windows-rs")
-    (synopsis "Implement macro for the windows crate")
-    (description "This package provides the implement macro for the windows
-crate.")
-    (license (list license:expat license:asl2.0))))
+                "0f3lnjs9rlihin9cjf9y7np1x15c0v09v0cwlw1n7c30145xmciz"))))))
 
 (define-public rust-windows-interface-0.46
   (package
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:18:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:18:21 2023
Received: from localhost ([127.0.0.1]:48271 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85TI-0005fs-Pf
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:18:21 -0500
Received: from mail-vi1eur04olkn2047.outbound.protection.outlook.com
 ([40.92.75.47]:29248 helo=EUR04-VI1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85R1-0005P3-B4
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:59 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=U1oRF7LUGLGUmQcWCt/mEokrkY6tb0eBKozJPtKK2eio2skUx5hqRjRi+8TEoFvPLQ/XoHSRKCX2HtRMGlN82wSM13s7t90AHzqpZoJ2ehi1tvKb4xAS9UN73Ev13MhAFDyWXDi5I20uh45NDiv3BBqUP5oyYuB3I5XkR2HCg+M8Yej3/GYArWQmAqPPpf3bdK0eGD/FqLPnBFh0GMh7QL/iOjYOgV6mIXhozMcZJtWHEZNb83jic5QeCkE08IBUztMCJuscfWeqVuMEDx92goLGGqfg9FGPxoQ9utqhfxoQZ/7TPxQLoEkHmcjQ51U6lSDeP4TlthVXywiiLpjmlQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=BVqa6xCSOcdwMHnyiMjMEeF0N3Hdnrrwt+PjdvATSQs=;
 b=PGQLxevum3WLvcztz/aYWZxqsHJe01e5xXbypHZP4XZktfx7N+JNIh2tJYw0U0FAH1WFVdAayD+i5hpFsN37tGBhfVvL2cQHyAUlvkJ173lIgwD4BpKfWnvNC589/4fz93rIORnEltj6fo8cNODzajJTpDxDArqZG88kxQ1Ul8ppbdu/4XG0L5JNlucGGiQmNiEROVtWye5l/olUwyNgJaTteNBZmqB5iMtyaBiofp4mvVacfQTd5QsOqypvDBuyyborCsmD0CGbQh2OzzGSj6mpRTKoaRF1NtOs9dERgOJoh01W3q3MSq6hQ5sv5ulAKoti4LtvOZUPBTuXB7rk6Q==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AS8P193MB1970.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:3b3::23) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.27; Tue, 28 Nov 2023 21:15:45 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:45 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 67/91] gnu: Add rust-windows-x86-64-gnu-0.34.
Date: Tue, 28 Nov 2023 22:12:45 +0100
Message-ID: <DU2P193MB2132BC56052E33680F659CF0F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [9TTf0ELYkUY0uBv0nQzE4hkaRcWoi2vX]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <06bc405ed91dbb1863eb507b13428312e8b2665b.1701202946.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AS8P193MB1970:EE_
X-MS-Office365-Filtering-Correlation-Id: aa9401b4-60e4-48b7-c9a4-08dbf057139f
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: UJUM7akKxE8W0Hg+FPFVVYpG2v++WkWf0LZUHjLBYMkQxSoKCuT1mjkVfIVLZgF8ZXJ7+0IVqYY/ajNxEU2EsVyUPftIcx4cSfKupg+47QM+3kyWcnOmDKhNkaApANw0Bb4W60D4wtFzBsPXC4KZu8hHJyqtJolFmOUqSIxrMv5s4yPOs77iRnPiB+dRizzT5B5//f0mtJw9oX8BTcrm9tqkiBHEEEikILPM+tmdiKWVPsJ4nMOAjfVE89uZqkjK0viDN2kc+b43EEYscQFeQ8SA3/7Rm3tDBId/R3ylfB57I/0DceG+brz5rOS+QqWxRtkOcZn7Yp/4PswGEEXnR2CQKlNHk4zR6LNllFx9TgV4ClRgeES/dLp0N2peuIA8nJsGPCTrajMrLjGdrPASfH9gWXvPAO4jFRF45W78GHQnWVwMyv8FoRWtTBaajgnYaklBTSX2s/hLHVU0s9DauBhACI/FaQ0BzNc/OTCp1UgfPRVRzOXA8Ct2Pcm6Ii5fbwJ9iM0EF9TDo2xxPlwS/J3oI7AoFMVF+YjsNvCrLoUAh/RSfr0zB5T5pMesbXLmvAN+wUNu9WDFFe4NBrSzOWjtsC/QpyrO/exX6GUGf9lvnUOsWHI2ZSiZLfKi/cz+
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?j+FRgU5hPetG1/WscmuJX62j+BsnVWTKDIMF5GrMSeCZEdrazGkWJAQ+TgCD?=
 =?us-ascii?Q?QdO+SREKgPQ/4k2dcjNSnsWoYXlHZg6O4Ypz7VGr1QXeej4oceQKyiun/ypU?=
 =?us-ascii?Q?Vjzm6eQYHXYFXlip/u+NnWN8cvD5vhuyxT8/gSUHvEHrZaOycPy9eLQy8ACX?=
 =?us-ascii?Q?gR/YBPCWOyZUyj9g0QFX89gUIUWGArgL6Uin1xw+A5c3CPiOfQL4iVKVe0ej?=
 =?us-ascii?Q?C202TAx4ZLZjZmAEWal8iBBNHbnk9ex3Of0vQdie+0UJ9bDIUOSlyJa6Lf8M?=
 =?us-ascii?Q?SH2e0hiE7of2uCkXa4gpkydepyV+UTcNaOm7D2tO+EjSZSbYqtKh7EpleoDF?=
 =?us-ascii?Q?Tv89Dku5DVf5AkTHOHgkVnAhuBOTO/9lKT4THJFSVp/INc7xn5Rc5gwe0NQn?=
 =?us-ascii?Q?9Q3MH66O5JfUUbIERM2jlRulpkec1rJjym1spg73iSCE7Mr/QXKpx9D0tpEz?=
 =?us-ascii?Q?PPUgARJ+IGQs/SxCMYWt+DrIduizj5WtZv78//iEixNAbn31yWHigif/G4fy?=
 =?us-ascii?Q?dL7GflZbQ3eu3f+kMO8c4+gv+6j0oM1nZlTk6BUHnrAO8gsrOsUi0o9pczmJ?=
 =?us-ascii?Q?eqD6XOy7Alnb+hffUDtdvRb2X1CaJ0hnRxlTyYy+gqlW2UMzkxcEnat/l/A+?=
 =?us-ascii?Q?MJCU2AqnPsJeaPCORFf76RWqZLJyKfe4YdHOApWLAB+EYFJxzYLrRX+dFcPY?=
 =?us-ascii?Q?c3+o/4iG4qkwGRx71DJz0hfTKphDplfl6txu1bqfyRfLiflP+4BE2ukA1JbW?=
 =?us-ascii?Q?1n7RmEa9TW8QHGasMiO4HO7a4tjvX1NIlL3PTw4mHCEc3elAFs2XejuoavTB?=
 =?us-ascii?Q?GrWgUA8pYoggakx6zcFXXBpkltGM7l5s7RDKQc8cjBP23QEUTXa97ABNsDdt?=
 =?us-ascii?Q?4S0Kwl82M6mb0jA2gyWBZZcSV+lyBodJddef83n28ov/31ZWS34xQQXsguk6?=
 =?us-ascii?Q?ADQmBrVIB90Ok8KJfgt6sshBH6rhHG//YwXNdKp6uzl1FUutI9Kom2800eI3?=
 =?us-ascii?Q?XzaVEkud8stEnJrW2sv7+t723lOnnWM1zQgoT/KR1AL3a7bpgvdHZqO0qfq/?=
 =?us-ascii?Q?Wv8iP/cBXChaXQGZ1XGgW4XNt2z5Y4WqLTDa+aQWvg4wjrbWn2F9cSy2vS1r?=
 =?us-ascii?Q?/b/goTFqs+iZBacsTzT4462vJZBxqPLTY7NlV8yiBFZENHGNRwJkIq1eGfvB?=
 =?us-ascii?Q?8Yyrpv3GK9knKP4ybKEq1YNuEEhlj54A75g6wT4jlFammsTXhVDXktK96ag?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: aa9401b4-60e4-48b7-c9a4-08dbf057139f
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:58.7738 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AS8P193MB1970
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-windows-x86-64-gnu-0.34): New variable.

Change-Id: Ic0657832a01b688e5cc811987d7e37f4d704badb
---
 gnu/packages/crates-io.scm | 18 ++++++++++++++++--
 1 file changed, 16 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index f1f613f1b5..94c3393236 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -84600,16 +84600,30 @@ (define-public rust-windows-x86-64-gnu-0.36
                (base32
                 "1qfrck3jnihymfrd01s8260d4snql8ks2p8yaabipi3nhwdigkad"))))))
 
-(define-public rust-windows-x86-64-gnu-0.32
+(define-public rust-windows-x86-64-gnu-0.34
   (package
     (inherit rust-windows-x86-64-gnu-0.36)
     (name "rust-windows-x86-64-gnu")
-    (version "0.32.0")
+    (version "0.34.0")
     (source (origin
               (inherit (package-source rust-windows-x86-64-gnu-0.36))
               (method url-fetch)
               (uri (crate-uri "windows_x86_64_gnu" version))
               (file-name (string-append name "-" version ".tar.gz"))
+              (sha256
+               (base32
+                "1x71512gic645ri51y6ivw1wb72h38agrvqrdlsqvvi7wbm6vkng"))))))
+
+(define-public rust-windows-x86-64-gnu-0.32
+  (package
+    (inherit rust-windows-x86-64-gnu-0.34)
+    (name "rust-windows-x86-64-gnu")
+    (version "0.32.0")
+    (source (origin
+              (inherit (package-source rust-windows-x86-64-gnu-0.34))
+              (method url-fetch)
+              (uri (crate-uri "windows_x86_64_gnu" version))
+              (file-name (string-append name "-" version ".tar.gz"))
               (sha256
                (base32
                 "1g34xhcayig9sndq3555w95q6lr7jr839zxv6l365ijlfhpv24n9"))))))
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:18:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:18:20 2023
Received: from localhost ([127.0.0.1]:48269 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85TI-0005fk-Ex
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:18:20 -0500
Received: from mail-am6eur05olkn2041.outbound.protection.outlook.com
 ([40.92.91.41]:35001 helo=EUR05-AM6-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85R1-0005Ol-CR
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:16:00 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=abkmI7uy+UIprWjE7CtvGizlDawKgvAZbfP7YdqmxaR2ouMa06el++tljsX+xQ24NxXIlgIzn3Q1riqmTSPLv9cb+sqNqs3VL5WPs1TNv4XMY7sXrpb636LJI8VqcE3QWOvKg2KP502d8AdHWf0+zdgXG1OsmFKEaZASr0So/9Z4jM28CjEvIwZ59Wamau93KAWbuG40ikFWiLM9ksVulNHhWZ/aVbuL4B9eKXpb/AXH9CyYxDdNcrzwF49B0cvHkXwhP8xCUwu+HD0l5jRg7TGK3T/AQJCEwYajIMKuxz5ivvSKi6MmCMZ7xoa6eVlSo6FcxFGTXGPuKZlBr8LnHQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=Fe+G9kUn6pMI3hZvNfBMFrnwqJ8QUszR7rYUDfTkY7s=;
 b=eDZHcS51zuwUaxTqs6/PoSMZJk2Q1Auv7c33Lvpbv+/53+7jnYRxn6Whion/jw/+qcoIkTB0TUk6JeLjULg6ZRzNkIdt6Eg9ioLkhGhg0+7K51SvvLHbo7aC+QKj7J+9o0uTEbK+YUhschcQh+7UI/xjtZXrCaztmXvgOLIUhfodrMP9cKDEuIcd8GJ+NV9MOmTMyOKiQCKPYAitUWlWratxd4NSKWDb3aTx1b2aWFROcisfLwg0UiR8veceb4PZfG8NtdMDv+3+XNXLqSSCEypGoO7BlTS5gh51urZ3RJZQkZfTbrCo3Ic3sNWLWq1z4Hm3Z15mb5og4LDX9wh9YA==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AM8P193MB1251.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:36a::12) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.28; Tue, 28 Nov 2023 21:15:46 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:46 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 69/91] gnu: Add rust-windows-interface-0.34.
Date: Tue, 28 Nov 2023 22:12:47 +0100
Message-ID: <DU2P193MB21327FDF66B8137E9B037715F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [3UQjWLt1Nc0I/ydIDUnKhwYPllpjNSnZ]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <f8880d1b5601d52e11bcf753f4c40f0bc26d8d7e.1701202946.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AM8P193MB1251:EE_
X-MS-Office365-Filtering-Correlation-Id: 7bf13985-0626-4abb-b952-08dbf057147b
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: WPUiMS4gI4boFxw4ARg0N/4soZTgc5om04kqv8M7pjN/iGiw0RACT58Y2ytPn57j7wUMWE5/53Q5WEy7rdkmHiHhVdwQea4wtzPnqZVENQBjjbNDpletqie2x1fOMJDtxwvuO/WqnrAV7UccuXvQT8+teoBPON9piuUx3l+cHJ/Jrmva9LTGp20IaOwGzt2sERZiYcKruOpsARphDpsMCvU8xHM+k2+IHOyHkzp90IBN50lTHLx/Q4zU6G93I8FaBAROYTDGs8svOeWBGaVg1HoZsF3oIgl5IME/jcE9bcK0uDMJHcZ2Cdg2dya3WzuHOlik/YF9z8b6lEe2D5MfLtyafXQ4PRdGF8iZwJSSc/1hxAR9xRb1B8lOvRExwqWX+3znMoXmfO1ppK2m9ec3OfVH6p97G9eH6nmF0RqPA4+76LwSxnRys77fqgtqN579fwi8+Py/jMcmm9k1zrPCij3PoxL2M38s8Hy4Cc4FL4bSJJrYXK+Hn3S0doTB9o8oNbIN1f68MwxGXahWhgu1phA8ssR2RcqZT7N8pteUOxonMnReJzH4tNsb7XXwdtrtIP7ahox6gh11ST0aNrZwlXlWtwhEBB1TsrT7W30gMhy1pz0NpxSXpONgev5SxCaI
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?lzJGYcsJa1hUPcClQN+Sq2UPLM0nG8Mtb9GLBXMlGO6pn70fX8JY3mkQ4mCJ?=
 =?us-ascii?Q?HYBUzmcDCf+dfIXaCBY3F9QQMX4dMBwYtDuwuj+gyvEOz3OmDpjs8gR09VQ9?=
 =?us-ascii?Q?yzzzzbPId/ROpg2J+CJUPXzaOyP6ctl1XzNVPO2D8t861QRktofFGoryIhFV?=
 =?us-ascii?Q?cacDPiQQq6SYxMQauxPJTsPo5yqFgfpzOwijdQs5K4W/tSzGMxgd5FrRk+n+?=
 =?us-ascii?Q?E1cNWPi6WEvEmuebAAX83pNmFB6kPldGfrpT2UZiHE7rbd9yEwfsdCT5ve2e?=
 =?us-ascii?Q?cPRckHdUl89lJSQRYkdMHkh3+Nq0zxQ7TaeG5fYk9xQQnfNSq6USRH+7Z1mI?=
 =?us-ascii?Q?2kVCaM8sbtHB6JK+pnmxWyFIQ7Pbf2JVW4VRYyKuKX0ZrTJuQbygq90jtZjj?=
 =?us-ascii?Q?LbqR+Q2KZ9KBL0XPFf+bJT15ZkJHeDq66kIXP/8LJiz76nb6n64UyALlwYp/?=
 =?us-ascii?Q?ndLlOh6DoGCeRw0/I/swwAcUk05Z7RJ/j04IJ1+sYzfjz1YyPR8apgSSxUfi?=
 =?us-ascii?Q?TyodmT17DJOwLTnPZ6bCCRiRR4JiUS0+mbmPht+/DDyxst6Bfcf9o6mguXo5?=
 =?us-ascii?Q?tDTOF7j4WLLGiBz0O7R0+PqchYRthzXD+5I32DEg+6LX7fu3iJSJ0m1fZ/5X?=
 =?us-ascii?Q?E9cHr/7coSHKXp4YOE4c5K6NHrlLxslevOz8hKwpy6Pu9SIz1rQZLv4HeuDa?=
 =?us-ascii?Q?2LNXPrU6IUMimWoMP2BvcjmOSh57iwLDgUIgNBfVF5T/WMRBJw/wfTQbsauE?=
 =?us-ascii?Q?5WuTMJmpV20+v1XcMatYqyV8q/jntNbYZQXTwpCPNU+6KJUZjAIO0P28/P5R?=
 =?us-ascii?Q?shicx9aILmWyqRP0M0J5I6gg840aKzZ5chqL4w3AE1KRYbGe0MZnBHEiPOoT?=
 =?us-ascii?Q?IZdoDjsccsNAcz53TFbbfmfiXcz1yMv+ErM/2eDami4Uj46/BZbhG4a7Op3X?=
 =?us-ascii?Q?iMnULl+wOIB0hyn8j3cswu+d0shgjVouaKFap4k+wmHEXQWICqktvbfFHyHL?=
 =?us-ascii?Q?dQYOa4HU8KiKkC9KyVKhLZq2DUtfONetf20PweElhnfuAin0Q1Ukw7zBtNX8?=
 =?us-ascii?Q?WwqCmfKelT52IohXM7QYY4K5w16A7Y1Iym66nUUXolQYeUCf6BPqyV5x6Fux?=
 =?us-ascii?Q?st+FiNKZc3QtKG4an759FiawQeC96KXtkguEBjGcI9NdZUAGK/AqRJjHjOqv?=
 =?us-ascii?Q?8dp5JhTFSMVCqzCqI/gAtaC06Ok1KsT+YrAzUrsRH2dtujldyqSrAbmqBFc?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 7bf13985-0626-4abb-b952-08dbf057147b
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:15:00.2599 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM8P193MB1251
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-windows-interface-0.34): New variable.

Change-Id: I66ab72f217f6a3c0e4112a8a0c056d4181725506
---
 gnu/packages/crates-io.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 057667ace8..d769fc645f 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -84335,6 +84335,28 @@ (define-public rust-windows-interface-0.46
 crate.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-windows-interface-0.34
+  (package
+    (name "rust-windows-interface")
+    (version "0.34.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "windows-interface" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1whji6q84dy6cnk7s1035fcvvw4vl621yfibkpp0rl4vddmxacpm"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-proc-macro2" ,rust-proc-macro2-1)
+                       ("rust-quote" ,rust-quote-1)
+                       ("rust-syn" ,rust-syn-1))))
+    (home-page "https://github.com/microsoft/windows-rs")
+    (synopsis "The interface macro for the windows crate")
+    (description "The interface macro for the windows crate")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-windows-sys-0.48
   (package
     (name "rust-windows-sys")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:18:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:18:20 2023
Received: from localhost ([127.0.0.1]:48267 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85TI-0005fd-2t
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:18:20 -0500
Received: from mail-vi1eur04olkn2047.outbound.protection.outlook.com
 ([40.92.75.47]:29248 helo=EUR04-VI1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85R8-0005P3-Se
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:16:07 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=KdUvcvvZftPvvSZSX4AEcgfWysmVM2vwidxtOfm5PO6zkCgLaWRtK6rczhyKqX128ano9wkJWW4ZcW2yFQzZwuJ6CJJzZbsyYKv8/qX9S7Kkyl9vy/QC+autvnq1nq7V3pYbpSsFaQMThZgKtTg0lrT13GLjsvg1vXI/MsXG7BwulZoBE2ggv25n4stCYv9Ai+sHBNE1ceZQEkJozBEp7b+bxmj5JG4qEtdjvH9JjzHc5HgE/RfPZN4n4ZE4RG4rBMwkTeK+jxJDdL+Mq4F4PoiXmG6HvzFTY8D85CPpzuF0wkG2cGQ7deqRPDnv8XP1xXWiX6GbTOeTVWvd012maA==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=RjFvYgkcvaJUX0KIKu6uYxd6lXD60aQSjAX7CiFBVH8=;
 b=MqzpCWdvz+CbhAzobdWcVZbsg6vYbILiHdkLbwwmMezMECi4bgNq7lH+iImLznRhMzJfomUCQI6KGde5dz7PqbnvvIi798QK41KkSkJUzwixxj+Uh1fbcQtQXiz0r5BoBPChM+YS1YS7REK7kgtWO2oIRlACeM+aeEcnSiIcZgaCr3+yyC1EKqrCY+TY7v4V/2Sl0GTvzOz9MwgcO5bNmWeqvPveUshyZva7xQ/lZWy4Ws0iqMgbPGVt23en+QsJSwk5xcIabKXzzYtm8+/nq4xfBnu5YdvJkQdtLT3Al7WiywSW7FapTo0rVHytVUGbv7xqCQs7/1Kt9a5IYDTawQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AS8P193MB1970.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:3b3::23) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.27; Tue, 28 Nov 2023 21:15:52 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:52 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 83/91] gnu: Add rust-gdk4-0.7.
Date: Tue, 28 Nov 2023 22:13:01 +0100
Message-ID: <DU2P193MB2132B194DE6243FD27CC7689F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [WIe+zWhuCNuxtapk7TmGK817TdFA1jyr]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <b17919fc6b238921b3a26b7c66da8f66e02c6ab8.1701202947.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AS8P193MB1970:EE_
X-MS-Office365-Filtering-Correlation-Id: 3e0d70f4-5334-4d53-06ff-08dbf0571acc
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: Yq5X/MK7kfG6++hRMZoSuFkhwH+cuN+Q9GSuEzC4SZuysQd9Sf2qXhGswTvqu7x+EReLsr5AxYtimsLnTzdR+KpPr2x96Bz7Cq9WILLGE2vI5WiOih58c0//w52AXZRI2ZfY6SFmuwtUd9w6Zh4xsO+QvdEeMlPKkRLk60j5TZpYZ8tMYscYDbmkPoqVzkiYEipO0UH8aAl2c28ffWu/7/yuKuGLpu4m7Rrw/MDUPKLUTR4uziFRZxtt405wlcF11HIgVyd/UVKJSqJ7EuM82MP+c1FXvbMd5SGPvnO7MGrvwU/ezdZZEoSrNKpiYdQq5hOt40QUgkRX0JfrHGi2jkB3H/jm7zWNEILUPqAE6CZaUT/8hSfs3MRsWE4Tj+e5L+S3iGCFXGbt54UlWF1I2B0pbkKJlvYXLwkGIid+2Hz0gth/DUth0SGe9e+eblj1DreICoMrB/Jr60WO/0pBp9cq3s6bCOoS/vTBXBtRwXIA57lDSvtdpgzxr3Tk3eyPmk4V5DCouTX0uzVmkgAJWZol04eA9Qiq8tZZzC9Sdqr9aXlww3WkiFQboNk9CGFu+OKUgpuolajElJIzVan3JMxZ3ByINz6ReFumqcweHYc=
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?iENlp1ailcolCioVPmqx+suOWF1KwQMI5L5J20iBfKzIBhBML1rSVk2an40X?=
 =?us-ascii?Q?klVwI0+f3B/9y+nj3lnMD6AgQdd9DfvA8QF57/Arie6ZjEjX9VDuxeGprqVh?=
 =?us-ascii?Q?TtZl7XkXFOpTepTuD9TfI//R+Y7XXGy6HEtfPQjZJ/0J8hIjl6Qecwyn2kjV?=
 =?us-ascii?Q?koiV5XaQd/QgGfACtEb4V/iWROFuo5ItdHzFPVqFxLvmkZi+MCMARunyPXvG?=
 =?us-ascii?Q?Pd2F4PWcmR/76APwpauujZAZvS46B7DoVhjFfnX10mK4zFRS+Vvck4OViaRe?=
 =?us-ascii?Q?LTjBxeN3xS/K5jkWjCCYfWL/7WguDKDh93rmTfHW/fcvHv6ayWa8c6sB/kEl?=
 =?us-ascii?Q?bg9+/BHLvMRdfkM+s1WuzF2AN0685wlaMhs8kjBR2nwHu3Ad9KqKtB++ASIi?=
 =?us-ascii?Q?praOuEQ4z44lnl9jP88JzPz2GjN66c4MIqK4KeA/9OUFwfp8WVmn06TrVOny?=
 =?us-ascii?Q?HwtyMMp6AE3jWKE5fptnWmdQaKg4typGqNYQHV7XDEl18bM5k/C1CRuRTgaD?=
 =?us-ascii?Q?1mWr8F6OwqBmkgS3pEXSGrFElVC52a/2ReDG8eOxjsR3Z9rnhnG8UQfa53+t?=
 =?us-ascii?Q?WmnMEPRYKiYJeqBgiCxYGwHvE3gKe3ugookXzF4zTqZ0+DGknOVLQrr5P1G2?=
 =?us-ascii?Q?tpeD5H1OnCRWnh2geOqTmCWUHssMNmAmgVx5IMElkFPfOzUKr49qAXmyPBrU?=
 =?us-ascii?Q?9/a1Uv75AfT5m8wqIWUabZPHn7W24BngyoKPU7HoXh3jZecxjnQKMC2p0ewb?=
 =?us-ascii?Q?A5dkOmVj4EiOljuIIPvalyvcurSYJb6/ac/OIHd3V3yc20/17BY1lODIVXgJ?=
 =?us-ascii?Q?7WzcWOwaeb7SxRasNnTHXSLBlnXUKtxl/l9mfYHQwWpJJdU9fRBm0Qf/Ky11?=
 =?us-ascii?Q?5G2lGhBxBmQ3IM0QDhrQWWuTGp5/8CkvoO1iFamPomiw2aQRQkb8vsqZ2cG1?=
 =?us-ascii?Q?JFb8r123wASY+3tJwFSgP10o5M1DRrM0oxl6dIS+O9sYCs0mv36gwQybmi0e?=
 =?us-ascii?Q?cLlMUUu38NPmwFppLfNycxXph9mpsNagrXx+7qZDV82ckuTPwGm551xk9BRi?=
 =?us-ascii?Q?FpLkJqCCWhrxRMf9g+SCcic2QiBGwiSDFRv7CjG+3N4plLKqFH8jvOwdx98N?=
 =?us-ascii?Q?J32bK+OITK51hV/KzYdC7FQyzlmxZ9a7uPq88o9rm1r4Ccmx05h55y+E4Q2a?=
 =?us-ascii?Q?ln0ZHusk2b5QZs7dxK1+6U8QPyRESMvTyahGoQzBA7TfbQ9xO3kYpqc5w9A?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 3e0d70f4-5334-4d53-06ff-08dbf0571acc
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:15:10.8041 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AS8P193MB1970
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-graphics.scm (rust-gdk4-0.7): New variable.

Change-Id: Ie4a07597abb084456809fa2d7746942a3ea5bd74
---
 gnu/packages/crates-graphics.scm | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/gnu/packages/crates-graphics.scm b/gnu/packages/crates-graphics.scm
index ce73611433..b12fbda66a 100644
--- a/gnu/packages/crates-graphics.scm
+++ b/gnu/packages/crates-graphics.scm
@@ -918,6 +918,34 @@ (define-public rust-gbm-0.12
     (description "libgbm bindings for rust")
     (license license:expat)))
 
+(define-public rust-gdk4-0.7
+  (package
+    (name "rust-gdk4")
+    (version "0.7.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "gdk4" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1xiacc63p73apr033gjrb9dsk0y4yxnsljwfxbwfry41snd03nvy"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:tests? #f ; `Errors` doesn't implement `std::fmt::Display`
+       #:cargo-inputs (("rust-cairo-rs" ,rust-cairo-rs-0.18)
+                       ("rust-gdk-pixbuf" ,rust-gdk-pixbuf-0.18)
+                       ("rust-gdk4-sys" ,rust-gdk4-sys-0.7)
+                       ("rust-gio" ,rust-gio-0.18)
+                       ("rust-gl" ,rust-gl-0.14)
+                       ("rust-glib" ,rust-glib-0.18)
+                       ("rust-libc" ,rust-libc-0.2)
+                       ("rust-pango" ,rust-pango-0.18))))
+    (native-inputs (list pkg-config glib gtk gtk+))
+    (home-page "https://gtk-rs.org/")
+    (synopsis "Rust bindings of the GDK 4 library")
+    (description "Rust bindings of the GDK 4 library")
+    (license license:expat)))
+
 (define-public rust-gdk4-sys-0.7
   (package
     (name "rust-gdk4-sys")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:18:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:18:20 2023
Received: from localhost ([127.0.0.1]:48265 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85TH-0005fU-I7
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:18:20 -0500
Received: from mail-vi1eur04olkn2047.outbound.protection.outlook.com
 ([40.92.75.47]:29248 helo=EUR04-VI1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85R7-0005P3-Vz
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:16:06 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=ag/Xtzu6yzNcF5ur2ePBdM5UEm6ps+ZeIc9Cu+pYhA2BUizL5kuF6Ss3bvWm84P+rd8SHZTjvXOBFdPNE3Vv9Jk4gM8RTLCZy6SiRxWwRk8fxk49h7BfTl3BK03Ha9skDp34sEeJeEHR6cwFFhIpvXRIHpI1en9/eAZWpFSL+rGBzt89zHwpGl2rLZb1cu48++r8kWbtP2naIuJ8B1yuTLfJX5GPypCKIAZKJEcAgCvb1LrwWgx5j5ki2VgOiwhI8ABXkg2DaOa0HTEpzP74lvFgy9ZvtbYlHvbfJH7q9k9ybWu46wCVLf4qGnAxRdUdc8LVII0BcLjUGaq9Z/D+uQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=XK5ZoSnFuKFtXsrEvuQ4ybY14Uf+DfpxvCyOZakfscA=;
 b=oJuC7CHPkXc8PhGGxOqZcN93Vzmk+X/hwLk2j69ykD5VQorh3l+YdpIYf9Ca2rQGs9J7B2U3GHUlK2bXuoTDOq24LEoHjLhCSxFgQ4E2+dEYOGDqo0+NDStYmudgtpZ0ZNKCW74CGS7VnzaXwJkbgPwKIoUilP9b915cKb1FTPaBQq/0Yo5PZYM1cb9GEcDKOXfMpncjTutfow8PI7978wmShYJ3GrM7ofGSBpxDe7HYbilL0MWDdNZR5Tp/2VV9SueN8g5MuTj/xIPXL/Q8XDUr6S3G1ATBUlGWSlhLjf8e5jVb5KS4l9aRpWSNZ0oHiDvZV95TFK5lI+arUui5Yg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AS8P193MB1970.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:3b3::23) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.27; Tue, 28 Nov 2023 21:15:52 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:52 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 82/91] gnu: Add rust-gdk4-sys-0.7.
Date: Tue, 28 Nov 2023 22:13:00 +0100
Message-ID: <DU2P193MB2132E0B76FEF14346B9DF6F5F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [t+ELML8gavAw7MQ9M9g002wRson4MLV8]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <90c1f36b8ca29defea0754f28e0351bd322aba9c.1701202947.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AS8P193MB1970:EE_
X-MS-Office365-Filtering-Correlation-Id: ea392e5a-efb1-4d66-c726-08dbf0571a61
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: nBv/A4xOFc0tTpMWVc7mnr5hVfG5Sfnwzvmj6/lllCkS1x6c4VzVoT8/6pXmWEjEp7JdI/76P5GW8IU3Aj+4o3LX8Fpr8c7pIpN/nNnWCqP5WI0vfrVahetup1LwJW7AIqgSFux9qbwIquRoneC00/uASS97/ZqjIvcdmjsFZkt5q+0coqgZKkbEJLMW6X9XeaXzls6uGXu94ERrqz1ohOPEhk31dVI41M2HjJshkrpPDxq6tkrWZJRiA2PpY/lMI8/g7gtY7fIhIY79pHJT7Wh4m/lDEUDQrYqcXQ/esnJ7rZkGo3V/Rp/4B7QjzePcEYLcDI8tqMyaKXGOEyNRQKf+wJKLYJWq5w9chxpSCkJ0eutFvsmKqNTYagE99WLkZcotzHZawTOQuxlczugKCGsseQPc3ElPsvLCLp9uxc/GfFX4NM51ZtuLtbmhdHDDd7R9Z9lRyR2RpccFdueZw8cV5Awkk4b+r5FQodLFiKGSfrjgCDFLn1GSsJzJBuo6GDk2wh5Yv7hW4pKu2giRUkRqi6UMdLU4vN4bEdwAVLTgRcCinAlYZTWEIlEd5qStsinsUMeQE8UCRlFC6Ltd/7YZwJLJRiUEclWd6/2nIFI=
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?OsWpR3JSPTl2JrFCmyBwXJn+oxlhb7fGUyBLH82Ak6PIsO4MPN1rscu+hKLJ?=
 =?us-ascii?Q?xawHoBSimGxW3YfBwkf34azsvyjBy9gxEbJJjPKE+ZxdhILWgbUNxnqFp4QF?=
 =?us-ascii?Q?v7kz4Gjyz30EJ70Y9csigF3KPhvfxWd+MkGj++hamAoFEI6wryrdWXWeQcmg?=
 =?us-ascii?Q?z1MiRO8BvvDUNRT2GG091YN4Y74xVY74vOhXJ6jAA1+ItSwRwlymkIOiwE/L?=
 =?us-ascii?Q?Xcpl8/6jgZ51E/Hds2zMsbUSS9nrlzLrXuTPyWTtc8ApewjH7s62s90rTYAn?=
 =?us-ascii?Q?ChfGB9PUr/zdQ+9rYvgDHaDZsjjmXWjUiXd7KcccKrVHbPVQ0rUKnrfh5Whm?=
 =?us-ascii?Q?FKTzcYoDAH8HpHuNwt57wqRsJf4dillZLahH6YERKXW4V5RzpIJdfJYEiQIe?=
 =?us-ascii?Q?4ECJOqwrbwiLAKQspacIzFScbfw5KPdGO1NOE2DZlrU+A508yN8WUqOabIgG?=
 =?us-ascii?Q?RB5zS54nekuR9fpUG5FpjD5ZfXskXMol+21noJZJjejbPa8jNZBv2kMkNCsN?=
 =?us-ascii?Q?WcgAxL6aWaQM3zottFY7YZxpDoSPy2lZWdcwUTlEkDR7CI7p0SmCem4LKHK7?=
 =?us-ascii?Q?GPCGKUVXsCc6q33Xhq8g0/Rd8zQ+X9VvMUN02iI8iMgbLfS+SrXtz5/XG4HO?=
 =?us-ascii?Q?5uxMrRMYHB2SgZmsQch0K9JJ87+Z/GtS3rST2Ffa4Ow8K7CEwU7VDhk2Oc+c?=
 =?us-ascii?Q?EcYGzgZam28EiZ+HJOT9JM8FjvcLrVOUMEq/gEIsLHPVHiIlf2m/tSBP82wo?=
 =?us-ascii?Q?wQItYsAgciPOS2DrO5GwIxEfad6hi3ApTbAxCehs5DotEjY7KU5930g/7794?=
 =?us-ascii?Q?vWLBb2v3puP0HfvxzsM9vRIawKFgIm3ITjTDjlpoiwkp7cGBkOeZ5L7GQy7e?=
 =?us-ascii?Q?ylql1dVDLBXxZk0r6q/LlgP9bSNBwnRru5PUkJNP4H6aVauqMi2jDYMrD47N?=
 =?us-ascii?Q?xY5ljHnBiz2At05Zy4hv9pYTSSP/1DQcj/gmPlXh6VUBQ0fWisvXeW2w/kPg?=
 =?us-ascii?Q?Zda7CiiIfLvWSdw33r5/6zUxf0t/u8FkSwZJxI1Y/2FHr/t+H41w3ChqcDyg?=
 =?us-ascii?Q?rzaMmftAru0oLecGJyxX53hyZ0+vnPWBUkxxgp+Y6vg3mTPiVEtD8w7LruCV?=
 =?us-ascii?Q?oXwSJS6Dppy+xBF8FJfZ0FJyWKc1APneBpDf22PKqXhrINbw4WUTyZqCkUpG?=
 =?us-ascii?Q?ro+sNSZeS55pEnoH4JKqSrFxHfotduYuAZEYlgNedv1DbSO7dHLaJGPHcRQ?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: ea392e5a-efb1-4d66-c726-08dbf0571a61
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:15:10.1242 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AS8P193MB1970
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-graphics.scm (rust-gdk4-sys-0.7): New variable.

Change-Id: If958f0c9c1919b0f47ff4543f3fcb82758837767
---
 gnu/packages/crates-graphics.scm | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/gnu/packages/crates-graphics.scm b/gnu/packages/crates-graphics.scm
index c89db5e013..ce73611433 100644
--- a/gnu/packages/crates-graphics.scm
+++ b/gnu/packages/crates-graphics.scm
@@ -918,6 +918,35 @@ (define-public rust-gbm-0.12
     (description "libgbm bindings for rust")
     (license license:expat)))
 
+(define-public rust-gdk4-sys-0.7
+  (package
+    (name "rust-gdk4-sys")
+    (version "0.7.2")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "gdk4-sys" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1w7yvir565sjrrw828lss07749hfpfsr19jdjzwivkx36brl7ayv"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:tests? #f ; `GDK_MEMORY_A16` not defined in gcc
+       #:cargo-inputs (("rust-cairo-sys-rs" ,rust-cairo-sys-rs-0.18)
+                       ("rust-gdk-pixbuf-sys" ,rust-gdk-pixbuf-sys-0.18)
+                       ("rust-gio-sys" ,rust-gio-sys-0.18)
+                       ("rust-glib-sys" ,rust-glib-sys-0.18)
+                       ("rust-gobject-sys" ,rust-gobject-sys-0.18)
+                       ("rust-libc" ,rust-libc-0.2)
+                       ("rust-pango-sys" ,rust-pango-sys-0.18)
+                       ("rust-pkg-config" ,rust-pkg-config-0.3)
+                       ("rust-system-deps" ,rust-system-deps-6))))
+    (native-inputs (list pkg-config glib cairo pango gdk-pixbuf gtk))
+    (home-page "https://gtk-rs.org/")
+    (synopsis "FFI bindings of GDK 4")
+    (description "FFI bindings of GDK 4")
+    (license license:expat)))
+
 (define-public rust-gfx-0.18
   (package
     (name "rust-gfx")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:18:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:18:19 2023
Received: from localhost ([127.0.0.1]:48263 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85TH-0005fM-6U
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:18:19 -0500
Received: from mail-vi1eur04olkn2047.outbound.protection.outlook.com
 ([40.92.75.47]:29248 helo=EUR04-VI1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85R6-0005P3-Hz
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:16:05 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=dw0Nw4N+A4WdJLoLmEjfWnemhX8YY5WTUFDJ51kEqkgY5RtNsVl80NGkiUBj1CZkfi6uxHFLQX6raMS2eJtR3VuxgyQHGA01su1u99M7SUMQVM7sQw1Ukklfpj9SlFGOrmEfDqhvVBU1vguoTVWSjITN6qZkHV1uZrG4e9KVRG7pHMe3dwQ2E9jfbuNwyxAjx/n+eyPiNgteQkyS+NpmXji16HbghfyPPzvtoLz7BYJbpFy0k7rFY8SaEnmwJsW/ai/G8MAOPPvtG/yu237M0FF6U3ptM6BCzA5f0ED3oY+zrRdh9bGMyFs9vOZ+ENjVD+8taagh74l0wPfjzrQo9w==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=V8fmEEy5Gv1Q4WP0zgnbLt1RFdh+9bDAybEnQ6ZRCZQ=;
 b=J2i2Mt4usSsIyFImel+n8T2ygwEsVCwU+kjduYetUOSYuPMTHCTGXrl+oB0W0lhZ6oGZFfhLVMPCqzC2PaAbBf3BeMsotNHDNLtjAVsojr8FxybAB3A46teOHMj6ILHEO2tlo2Plh6zqq2l3bMrOEO46MT74y9QdnPi/UXPBNbPylxtpZ3KrBb5OikO68d8Cn1Kj3dNDDFGzdkXY7YAlBOAGco+/dxcdiu/Ll2hE/Lv0xwfC6W4v+cVa/Wgy7OL1c2VBmM1pFv2YAvfh6plE+qsEjyEzhJN+KVv6A+J8Ff5PwZAAQaeVc62D9u0cuFnAl/PkuxwCE2rH/aN3CiwRSw==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AS8P193MB1970.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:3b3::23) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.27; Tue, 28 Nov 2023 21:15:51 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:51 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 81/91] gnu: Add rust-gbm-0.12.
Date: Tue, 28 Nov 2023 22:12:59 +0100
Message-ID: <DU2P193MB213235768B3DF8BBE840AD44F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [H58t1voNblekwoTwwHu+FaNRUE16xzy6]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <0e0795b154099770255244e876960094fbf33039.1701202947.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AS8P193MB1970:EE_
X-MS-Office365-Filtering-Correlation-Id: 4c73dcf4-c39e-4ea8-6daf-08dbf05719f5
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: 0r/ycld1Ej+MuQezbs6ouRUrBqpzw50MEAycLMLzlRgExM9kaAXtARUevgF5TxIbURM8+s/2kYyP9rpRDD+kNS3xzdGsnnCmvRk+/8P8qTH/mzBXGcQ8r5Xa6aK/WMUFgF0lxxjspKZyHlwyqELEdhylaYWAuFlPz784PH/TwjmEPNmq23bAl6iZ66KIqlnMM/1WRdW380sqwXUhqpgNhxg1R2p/CjseCZbg9RP2jlQzMF8ZP29TtsYSfO5VjYWYZpf1YJRfEBb2Rfj7xhiOQHrTIVJ6CrlVHYh0/ZWe5AMzZLd3SM+gdkC25M2kWjTTXAbVCh3fPT2zZlPOZKjrNePOVLxueJe/ushu/pmTmH8bIk3yOYyccJNE1DkLv4RLb8yNjmFG6jZgYgoYUxLcRQnk25ygnknPHgom8ssDybxFwm3c7SOoRyFZi6/p63rJnA+fCHV9wVt5z1hg6Xi+WlcNxsqb+5DfMpubA4AJ9KyrvgRA8dJAGtx7KcGQuMG6F7Z9AXbtru4LdbKU7qPNPGehsF4Vbggrz75OtZe4Uxyuv/ok5xU8CiDPv6Sn137Coa0kaKW+yEdgrgKGZ4swULGZIzIlk7DWYtSXbzHH3lfA7GRxozCKiuwQAqGmGaxO
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?oBaQg2mzKViohZAO9lbdJArNGmeAQef7r07aAHP0xRP0hoM9HMpF7+YzSSmQ?=
 =?us-ascii?Q?Y2aXCD3DGkxF2YE2TxSotSy9vGicwWaS1Gt+hcpazZ/jOWkq9okxjHge2/g2?=
 =?us-ascii?Q?ycxZYPKKNvG4f2Plfd1eAM49F6sB0xbEHDe7zQtNtxIUdggvjQrLOmlNPrpU?=
 =?us-ascii?Q?ZeRyAVPpdhgc658qmKoyXzFEjyF57hc8YyozVS8ChxucwSuN9rd9KKWfh+1v?=
 =?us-ascii?Q?pguYpENtL/VvPWjMgwCrvl4wqgDexRTE6lP5JWh3gsRS7hmeGxCFBZTc3OL4?=
 =?us-ascii?Q?+acje0o1Q6mNLE9rzHOZWJoCRoARQaBFybkq0cVtYgHtKlupoVD4Wzu9rzFg?=
 =?us-ascii?Q?UN14WUPLi+UjKeuEs60Y+jqLYk02Any82IYbJq7U4ZMZoFIrBtt1YhGQ3Xrz?=
 =?us-ascii?Q?HkzHFK3H5J44vAYBCYnExSCSz+YWqLCPralVdi5+DCaSVMghF+yuJiA66zkO?=
 =?us-ascii?Q?YNwh/pNWScvzOpXxqH/2viDXLCDjEAmUPmCgYyYc+AEXPr+sNGVcWkjnTK5T?=
 =?us-ascii?Q?9k6Zhi6K6QQwdy7ZFxzd0BKDPD9l7iE+UT8QM16iqjJiSAF8Zkiaw71WKyUK?=
 =?us-ascii?Q?toznvCvQGYCkGGvIWnYGTBxZJ9A8o8J5oItbLH5oFI209eDE+KFqloNhqGEo?=
 =?us-ascii?Q?EQUiVoK8jnnFhYYbiA8vA8x77XWfdFDXqP6ZAa3QyUHGEJsnqIpmH04otKJ9?=
 =?us-ascii?Q?Eq3TvPcGkQeg125nyBuxeWD0h9851GXw9h4wkn/86N1/2AUJc9dfi4ZEHeIl?=
 =?us-ascii?Q?YdWNZZw8d4tKEizHiz92UKLAHqgSRTONBtp+r3l3VNGEWs7z04nxigzglEFN?=
 =?us-ascii?Q?h0v2GUg0fgh2xkBNBRTHeLss+tAQJm+0FsGRZkM8BrzNoiVnxKkr1fgrJG3J?=
 =?us-ascii?Q?lDfJciw740/5X8qnN69UZOwpf7VzvJSHsGSkNW78pJChm5FL2KWiZWoke60/?=
 =?us-ascii?Q?R4hBuqFfNGwM+YgY6hk8TxmByhnLEzoYeVaQ030ywtvnDmu4T5NhsOwQpP9d?=
 =?us-ascii?Q?nKGsIC71qy0g0xFCS/ni8Dl2bdToAJSpB5xL0Ug/gqgbPeuBNFA9a5egtnAZ?=
 =?us-ascii?Q?SZ8ZMeyGY4zPlQh4jgX6yckpcXVTT4+CrrKUIbNJSU2hk3Q6meCcpRadG3Xc?=
 =?us-ascii?Q?Uyqd4U0y1JgKNgDMTbh6Y+T8UdNDl7bbbnxYijpVIjff6odnBq8OnXH/XHBH?=
 =?us-ascii?Q?u72APp6IbSdjwepfqNzcxZ0VWf21/1iuiKc1LDlF0v3Kpaxs360/nV/N9Aw?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 4c73dcf4-c39e-4ea8-6daf-08dbf05719f5
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:15:09.4032 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AS8P193MB1970
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-graphics.scm (rust-gbm-0.12): New variable.

Change-Id: I139e802bb8fcbcbc3e3a0ffe5fa75d91c9718948
---
 gnu/packages/crates-graphics.scm | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/gnu/packages/crates-graphics.scm b/gnu/packages/crates-graphics.scm
index bf483b4963..c89db5e013 100644
--- a/gnu/packages/crates-graphics.scm
+++ b/gnu/packages/crates-graphics.scm
@@ -891,6 +891,33 @@ (define-public rust-gbm-sys-0.2
     (description "Bindgen generated unsafe libgbm wrapper")
     (license license:expat)))
 
+(define-public rust-gbm-0.12
+  (package
+    (name "rust-gbm")
+    (version "0.12.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "gbm" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1imkac49jjlng614jwyl273k9f9zadpby4a1hb7ncsc7vaf3iv7j"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-bitflags" ,rust-bitflags-1)
+                       ("rust-drm" ,rust-drm-0.9)
+                       ("rust-drm-fourcc" ,rust-drm-fourcc-2)
+                       ("rust-gbm-sys" ,rust-gbm-sys-0.2)
+                       ("rust-libc" ,rust-libc-0.2)
+                       ("rust-wayland-backend" ,rust-wayland-backend-0.1.3)
+                       ("rust-wayland-server" ,rust-wayland-server-0.30))
+       #:cargo-development-inputs (("rust-drm" ,rust-drm-0.9))))
+    (native-inputs (list pkg-config gtk))
+    (home-page "https://github.com/Smithay/gbm.rs")
+    (synopsis "libgbm bindings for rust")
+    (description "libgbm bindings for rust")
+    (license license:expat)))
+
 (define-public rust-gfx-0.18
   (package
     (name "rust-gfx")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:18:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:18:19 2023
Received: from localhost ([127.0.0.1]:48261 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85TG-0005fF-PX
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:18:19 -0500
Received: from mail-am6eur05olkn2041.outbound.protection.outlook.com
 ([40.92.91.41]:35001 helo=EUR05-AM6-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85R0-0005Ol-U5
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:59 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=XaT3uJYBJyEI28TQF5SeFWxWWiTRxeCOapeRso8jTwPXeKpy1ciIlLEh25lgw9kmUeqQStlD/G6GgNXV5NVXoRjcR5eEPW45byJKUmvJP496Vhn038tDNerjtfYqe4ezQ8R5550B8NJ3Q1e0BwSBJbqiGQ/fUL0rbeHFXatglrKFTBKLJYEBPWAR/2yzirlqCuft32WSVLGq2mh+wiTINKnuCwOurMdnEPRAtCOfYk0AFQN9v2yTR1fKSDcZdeedZP4PnCvbdLP46HKCVZ2/39vtwT7ni3MXdUiUpOqrxTlGiktPvBKfJ9qtgjtFe/iLqYaUYktRHV7QsfWKktVDaQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=I5fdSuz/ST1CC6qhFPqCg1wNtE1bcKlDiMMQgStdNGQ=;
 b=ipmX8hh1aGHcM36lkdZcglC2ZZdVyXRunopEIWnRPXoGHSLUyI3Hw+et/1EUMl9eHGWoH/lEEY8aGor0i14FkjF4YmQP5FjCNE+rqpWtaRV96zPgWLVgXmAwjWgWKBzBSegisU3Ej8jarMUA03v/7M5dxS+4zaJjCPQU3ceBVFgm+OSd5/XQH0A31eLX4Llpl+goWnamxCZ7Fjo9unzhsRQmuyCdPfyUAQQjPOCzX2XEzIEYLe1jlud4Hjng96ULMcD7nL0BcdT3vrn5xS2K3IK7EOotzGg0eCGZWI3IRMuh5f7guYVTsHuvwQ2/EAsVRK874TzgeVfSTPX1VizaUA==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AM8P193MB1251.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:36a::12) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.28; Tue, 28 Nov 2023 21:15:46 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:46 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 68/91] gnu: Add rust-windows-tokens-0.34.
Date: Tue, 28 Nov 2023 22:12:46 +0100
Message-ID: <DU2P193MB2132831BF3AFB562AC8210AFF3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [uxrw6j4xWthmun6FiBK8lThnjPeKV1CF]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <ed8f8f97f4baaea629d44cdbda2d1c48056c008b.1701202946.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AM8P193MB1251:EE_
X-MS-Office365-Filtering-Correlation-Id: 78efec9f-c591-4f77-9209-08dbf057140c
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: Czi+AJwQXlci/tE7kYT4P9Aky4oj49ZlG6jr7IirpQ8n9yU20zBqiOfaN/xd09nohC8hPRSIZYMf++/48xTfBxw4DSuENotssQ3C/MfyHnQW37AHObtT6sJ9Li7hHad33IcA6UHJc7vOKvbetSfQR78vAmIjbQ+zQE6I0CnlA2ZYJ3o4s8cPRcfPdcC8rZMyVuA/s2dDbA+qYJWet/To+cGhPU4h6D68FVMhoNa+r7MHnVljBHWN0/BNnJTKSn3rudOftI4Bc8HWpjNWGNYdxPt6napCoWj3j2gBN0OEj6yuATeozhPxfsy6abQq62NsXUAAiuEU1dzsJIFItJ8vsYLpaKGOrnoR4tU87Kl64PxTgWUIHmbZ1xdbg1cNttPrgMEsEex3PTijECxMVPwxpBU7pglD8nOABM/rOi7QdbrRKFUkB/NlUBOcQQRqwi9n7OqIlKsataXTPQeyh7wHwKh33RpeRjNXTnbYFGJyGslgezhGKnJYg+PE220oTLQko+emn8Re+2JYTBGCiXu3PBnj4lGar6hs53tciyjIxhB58Vmpitu6+i2YrKEV8+wXHA62RZdLq9yJvtMfHx5D8ycYRMIEIdGEJpMutr9yISoL/TD3cq8cw7WmJ4OteVzZ
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?42B4PMfsyTZNObxQaUNDEWvp1X98k0pSj9RvsFTSHd1zoQtchq0Z6ljjY2i5?=
 =?us-ascii?Q?4of5PZccecFAxJWT3kljdjLDq/LZKJxsWSjSWlTOCJFgisC9cynkq2hp7AhG?=
 =?us-ascii?Q?UkYnMSAqhhq66naujzVEKT82jjmwRJbPnntQINUHi+NOTXgem5oCjnl9v3m+?=
 =?us-ascii?Q?qKKw3zFGnB66QAnxeneWHByvgDYe0b0+y7T0YLmFO8RTFNCIRnEIdmOOb28A?=
 =?us-ascii?Q?FjzDYP6/cVAASGC4noOkwY7Jv4cboXia4RF3EsCMQt1LUnY2WuBTxL0oFRSN?=
 =?us-ascii?Q?LWIkhr+PGOmig+OGP+CghMeGX9pi6VRlYdKTcIvs9DINPYtjvsYnkZbOCzz+?=
 =?us-ascii?Q?Ys6JCJ0zOGzIzgxKtVjK+8oSZ4rWmOlyimjGHGx3JV9Qxp0OwJbkfJjwXBih?=
 =?us-ascii?Q?GkOMQNJY271t01PBxQm9qP6vAiiF6PpLFi18h70WTu3HHKS8uV8kTbtC/0Q/?=
 =?us-ascii?Q?+kG8VX6lP040x7h+B7PwbFScN8Wptb4QMOteIF3R/CZ2FhYSQ1NFcNbj9Jdh?=
 =?us-ascii?Q?G9DoT1/7KKuwFhtmn5dv+qB2ghaNfzxKDCd1UYw2JQRbMl/qwzQ6/L6nUR+L?=
 =?us-ascii?Q?Zb0eQMqhjoGIiCKlxnwNYfxSzY4mV8VOOWlUVVo5zOmqoffuH+SEcJ9ObbjF?=
 =?us-ascii?Q?akcWtw8Kt3pQ4bfd5AALwVX5GBjwD1lACak7Lbih934W2cDRakvFGlRerx5I?=
 =?us-ascii?Q?XL1qUihG/SQ0TiYF+r6SZ05zeZ/WUbk+eZMgnfqbeIDfLnQUxYrnLD56rU5Y?=
 =?us-ascii?Q?oaPFEkOK841/4Vc20c3/iPiyWbm7JEGfy+JBb1YRqoE0pK4y1ciAFMQSEPu9?=
 =?us-ascii?Q?tz9gG4yeBkdm7UeydQMnvEb5D96ptLVARCOTgb25Ba/eDyIG8bbu/ScUryjM?=
 =?us-ascii?Q?wfH3d0Tu1Wqulv4SEwDXJz4DNrHFcWboNMpMgqmOP2jWf64dblgAn447CjQt?=
 =?us-ascii?Q?LkKICxXbHz5Sh9RgKodmjNs9AwwDmniKKMKE2xPm6IAqRBKKTm1Jv8pfBylf?=
 =?us-ascii?Q?kh+aH1BkZXe/Jziqqug4/O8LEjZR8Dtl1xhBC7XAIstvHDq6AkGUCTKkYF2d?=
 =?us-ascii?Q?cxHvuijM7p75bwlVqDvoH7PNTSvMWYcZ+CH/4qFlXvA/mros0ksB3E0at8+V?=
 =?us-ascii?Q?eiFryneVPrHoh3i3ZUqus+bv7398A6Aqq4ecZ/Eco/zg8eJF0qBUKUcM3hCw?=
 =?us-ascii?Q?uePyk8sPJQK770+tazvh8XE1L+uNNoCDA7Tv7fLxvUXIB6UHWiCnC/Uuawc?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 78efec9f-c591-4f77-9209-08dbf057140c
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:59.4958 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM8P193MB1251
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-windows-tokens-0.34): New variable.

Change-Id: I9be6135c2527200281889bc02e5a5b7913bbc03c
---
 gnu/packages/crates-io.scm | 29 ++++++++++++++++++++---------
 1 file changed, 20 insertions(+), 9 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 94c3393236..057667ace8 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -84527,8 +84527,27 @@ (define-public rust-windows-targets-0.42
         ("rust-windows-x86-64-gnullvm" ,rust-windows-x86-64-gnullvm-0.42)
         ("rust-windows-x86-64-msvc" ,rust-windows-x86-64-msvc-0.42))))))
 
+(define-public rust-windows-tokens-0.34
+  (package
+    (name "rust-windows-tokens")
+    (version "0.34.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "windows-tokens" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "01f6ym6z5l1g2488za5w8p1scia5dzcrmk96gnf4pjgp8w4k1yq2"))))
+    (build-system cargo-build-system)
+    (home-page "https://github.com/microsoft/windows-rs")
+    (synopsis "Code gen support for the windows crate")
+    (description "This package provides code generation support for the
+windows crate.")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-windows-tokens-0.32
   (package
+    (inherit rust-windows-tokens-0.34)
     (name "rust-windows-tokens")
     (version "0.32.0")
     (source (origin
@@ -84537,15 +84556,7 @@ (define-public rust-windows-tokens-0.32
               (file-name (string-append name "-" version ".tar.gz"))
               (sha256
                (base32
-                "1rrqbxjkyk6h6p6jjzbcxr0mhqbz0yfndd2s2dsgmbl75f4yy7gn"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:skip-build? #t))
-    (home-page "https://github.com/microsoft/windows-rs")
-    (synopsis "Code gen support for the windows crate")
-    (description "This package provides code generation support for the
-windows crate.")
-    (license (list license:expat license:asl2.0))))
+                "1rrqbxjkyk6h6p6jjzbcxr0mhqbz0yfndd2s2dsgmbl75f4yy7gn"))))))
 
 (define-public rust-windows-x86-64-gnu-0.48
   (package
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:18:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:18:18 2023
Received: from localhost ([127.0.0.1]:48259 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85TG-0005f5-CN
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:18:18 -0500
Received: from mail-am6eur05olkn2041.outbound.protection.outlook.com
 ([40.92.91.41]:35001 helo=EUR05-AM6-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85R0-0005Ol-FY
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:58 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=lZ9ZZiq0TRGcYIuY8QxXyjXdevLzq2PoJcjxQsN1B4+IOPNkzDoHIfGPZ/c/U4OLgHoEi7xyjqHBBg5LtO3H8p+53B4sTtASygEBcDgo79xxAz6kDtqRuwwclmBDM31xybr+22fdLeiH8L2w1jvklNdCCxDJ+65UjB6RphL9s9ieRdWtHbAoeuE4ZJ3ch58YVmZU3gd1r2FqKvE5DNX/gcO8k8ZD3F1uDg58kf+EhfkQy6ZTenTqz9K4LZk/64ZvngQlgZ3yW8hx2JDCAs6Tzyt0+fE/Fh2rGO5/5KWXy8/dC3MZykthij12VJT43gBeDi/Xe+bfqFwz1pUeS9gQCg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=z2r8uSxcNGR7jo0eL94oOjJrZwFkACi2Sss3BZytEas=;
 b=T9eIHXl0TzaTXPG0Qu46Tc1qOKOyyKWTMx69WQmFq8dSAsJcFDXvFvp3ePEyBTDvbAzDy8WDOTu78E1mWxOnDqiQL6/wiWf1XVsycZdaP3MCEnSFkDPFjOdtzgv/6/Nn7fRBadtYZGXe3ftssWpfot5ZdOQx5TJadGATmsTJokjJsu4XHvnLU9QFxw2eTPaPHZ92ktCfNRApGtaDwOR5FtnduWRdAW/yOx5C0EYn4IPRP+zNlbD6tGGDiVT3eYDI48hKTkVz5jXVwTfHBldkQw0dHF4IwT71XDGHEBjRi8ec9epdq/yVstvx+dHZpHfsFAOH3FBpLsGZz6ulKt71pg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AM8P193MB1251.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:36a::12) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.28; Tue, 28 Nov 2023 21:15:45 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:45 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 66/91] gnu: Add rust-windows-x86-64-msvc-0.34.
Date: Tue, 28 Nov 2023 22:12:44 +0100
Message-ID: <DU2P193MB21328C198DA9EB7707017B7BF3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [cEPpK+nO8QHKu8ZIYxHfKsY831coOBFz]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <6ef552304e306e81b172ef360802bca18b42a861.1701202946.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AM8P193MB1251:EE_
X-MS-Office365-Filtering-Correlation-Id: 71743092-3a60-41be-8ffb-08dbf0571333
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: y10PcrVYIMS057gFlobvBzGU/ktY/AwbCzQY0Sl+CS45HrkzMHKHxZLN0mcpDY5uicaaLwHVBMHfWP+BJ43L6HP5Q/X2JHpmIhC3HeQ6EjpE6uPhtOls5xUhM8erFJFkvxBKPFnwl6bc7htV+A6CCozuizM7NcEoqTxS7YZx+Etm5lMXAtf4Dj3HVyCoStJ+mJSKInGJ4nj1s3/7VMZaNlIKL9BQFZLiVCx/+mD6jFBTfJ7v3TxYP08n2vyeCsbflqKYZ572gSe2DS5gAQQpeFkTF6FYJoA9E/7c+mcSROj79/XC08vWeAyIVr/KtrbbW91qzkBHj/9ZhLudtVAP9bdmGSmdjRPOEWTbI/N3KnmqVVVzWsjEfCAi2ZPCzvObvbOInk/GXnpt7gnlOoCtJkds4woyySNJZDcaKRyMiVQCD+c3ocWOBW+nLPzT0ALUTkn4kn4CLkFEewCmIkxc6FRRCrVTtdAxwyLpTSmL4CZvdiUjdg8vNQXLG9LLUslvM7HSGoe6eQMcWPD01t3IhZnKK0WIsmmZoCoCynqrFjpKa0XEQZXsbSzBZ1uQjE9yhMYW9dN8gi8IyIAYk14x756wgsiztehEhmP12YIvilFHL9Iv8lkBG4MfPkya+JlZ
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?AKPAPJi8GO87+rHfG7/hCOuT8KCgHkHMHI7NzPv/NizJcFHQ3fPQ9dsZleeu?=
 =?us-ascii?Q?f8XmmFD/+0JCjh95IjYcDjHG8n5YtgNd1YZ0VvTuAspn7XzZR2E6DK2lvQ5E?=
 =?us-ascii?Q?vkRsxMpFYbfhaTd9airpJeiBYeYFhACmFuJP4yM5I8l/+gqY7rZNFPKD1LWN?=
 =?us-ascii?Q?aiyKaEpT3T/C7zbYTYe1ddJjI6WmgigxbLTS66TduEIurKgbrwThQdHeL7nd?=
 =?us-ascii?Q?mcZesyQ86pnvxgCC7/iNjhb4xX8iPNtRsAjrvyPTjjXIUlB7gBidrGbiJz87?=
 =?us-ascii?Q?ekA24AlXelQF66QVlhIImJd6QPnv2+9izUai7/YL+0G5dTB8yRe2W4CkxvOd?=
 =?us-ascii?Q?J0yIigk+JykcXfXPgTewgNKIjMFgN2EA0UXozYLHPlTFIscgbSc5i8hjtwrc?=
 =?us-ascii?Q?Br/pgEGfuu7mPEQx7drrZ5jNeBseeBpmkllcAjXwqrqUtEQwS5eXrYrKTmYq?=
 =?us-ascii?Q?/aba38WPy9tZ/QX/q1xW1Ll0JKB7jaO8rCKMODCyFSrn21p3nLSDAjLV8jho?=
 =?us-ascii?Q?RVIIoZjEMFiihMpFLa5Uxgy9lJRp/HSii2D962vcKuVKj1fexzrsbKLH7gFE?=
 =?us-ascii?Q?CJfx1oS8h2MWqe6C0il898VPoitZexuDcwgNs5vY6/Fff94y7eluBIv74PUb?=
 =?us-ascii?Q?oMqeWbY83HP6EjfCRFovozYJIC4nMV+9onXEO/hLoFRE9C7zKKdU0RoXjzLz?=
 =?us-ascii?Q?HsltwMD5RlyyedUInrNLuDjlbeHyBVu7GwJ5TF7fEIyE0+6tPv8Q4Yh8akCG?=
 =?us-ascii?Q?O/zcqEwqSK1KE7IajJyn+11y1j/2Tk/C4iDXxI5QBXfgw/s5LXJ1ThJjh1Od?=
 =?us-ascii?Q?oxYWvm7WVyUQD3TPMnBpGmt4y4k3PXcbdft9KppCfZs3caa8JtRKDHKWHBLn?=
 =?us-ascii?Q?4UO09oHqkOVCpQ5ADn8cYeSI6xo6ASCAXztkr+y+xQEJFFucVkhV8/GRURao?=
 =?us-ascii?Q?CqK644Y667hlMhd3/Z1Ne2njl2a11SsBn/E6hOnVQVPsTQMxyZz92T6fgNQm?=
 =?us-ascii?Q?MAa9Krfc4zFfqkymHNNcygyGmT/xjk9t04b0pDtYvzOSdQ3WVpldwyEXuSge?=
 =?us-ascii?Q?bqN72ENS/rat7FA4XWJ+09SSpnmjTaDYqj7KgZNosx3fV8NX9uNyJzKbi2lv?=
 =?us-ascii?Q?5o+MHCYaigwUoJAPB+DKvWruSCiwrB+RcjnBXT+2PgGKQSHt76z6VckjY+hC?=
 =?us-ascii?Q?Z7m3EivB5jBYpMJJjiQyGIxPe259aMXSlGDKsBjM4717Rnn8x5r6ZbCxTuk?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 71743092-3a60-41be-8ffb-08dbf0571333
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:58.0584 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM8P193MB1251
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-windows-x86-64-msvc-0.34): New variable.

Change-Id: I7cb4327576ff89d190ba321c7d9ea36f962e9692
---
 gnu/packages/crates-io.scm | 18 ++++++++++++++++--
 1 file changed, 16 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index a62cdc66cf..f1f613f1b5 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -84716,16 +84716,30 @@ (define-public rust-windows-x86-64-msvc-0.36
                (base32
                 "103n3xijm5vr7qxr1dps202ckfnv7njjnnfqmchg8gl5ii5cl4f8"))))))
 
-(define-public rust-windows-x86-64-msvc-0.32
+(define-public rust-windows-x86-64-msvc-0.34
   (package
     (inherit rust-windows-x86-64-msvc-0.36)
     (name "rust-windows-x86-64-msvc")
-    (version "0.32.0")
+    (version "0.34.0")
     (source (origin
               (inherit (package-source rust-windows-x86-64-msvc-0.36))
               (method url-fetch)
               (uri (crate-uri "windows_x86_64_msvc" version))
               (file-name (string-append name "-" version ".tar.gz"))
+              (sha256
+               (base32
+                "1scxv2b9id3gj6bvpzdax496lng6x8bnm3gqx8fx068qqb63i5fi"))))))
+
+(define-public rust-windows-x86-64-msvc-0.32
+  (package
+    (inherit rust-windows-x86-64-msvc-0.34)
+    (name "rust-windows-x86-64-msvc")
+    (version "0.32.0")
+    (source (origin
+              (inherit (package-source rust-windows-x86-64-msvc-0.34))
+              (method url-fetch)
+              (uri (crate-uri "windows_x86_64_msvc" version))
+              (file-name (string-append name "-" version ".tar.gz"))
               (sha256
                (base32
                 "05l392h518dxn808dc1zkv6d0r9z38q68qqc0ix9fs9741v28jjh"))))))
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:18:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:18:18 2023
Received: from localhost ([127.0.0.1]:48257 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85TG-0005ey-1L
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:18:18 -0500
Received: from mail-am6eur05olkn2041.outbound.protection.outlook.com
 ([40.92.91.41]:35001 helo=EUR05-AM6-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85R0-0005Ol-0f
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:58 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=ZU/MvTCEh7VIPSonmkEliGkiKsA450r3/eVY9HBLjI0sggqpp0aDkeeg8GCSPcyzWdrqs5XGU8iWcu6GDEpWRbwOtY9xLAffZ45iKgFbb64455zRUZ2hR6RuDlHtTv+1v8donkswowBik76X1n6pfELzFWWNknImhHPiidvLvE1ZTY/ouZ64eVneZKqKIFNBiYsywH18J6a0mfzUpJgiqHX6gdXA2jg3lgQBh53FOVaDn5WEKpuUj8CdPTMPawojbHfofyYHr9x5Pkh1xaMKmcunDC1kCpvx1m4WRDZfpLuBwjGUCi0HEnRDrpI+CTtklCWEYEeD6C1JAW6YITQEjA==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=F1ksLHtSqo3Q4lwPldCvHcZjI9wejha8degPcTj1wEE=;
 b=mGywGY+eEV632o82XqGc4o++TBMt/Uv3EOpDccLDzvSfcV+uGOXICANFF0zlt1h2G5B8KH2hR+442APrUydn/93mQLZvFdGCuxoA7Uc+6aKx/XUgINPgyHXnii66NsM6kbHBX2VYrszg/qHPSWe1kpmD/hpnl2sROcMSMb7BfYvRMRM2suxXY8j7dHU14sNTiN02mx0FzpWtCJBE9A5UT0cY1g4t4STPGeWqre8z1XiH7i1bc6XGbKPfqoDyEkiayRIKQ0YS+ByvOJVnDEK01BGzRpatY/eVskVnAbSsWsXySkMgZI7GkozR3+go3ICB7DD2vJscUsj1H8A/eOj2AQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AM8P193MB1251.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:36a::12) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.28; Tue, 28 Nov 2023 21:15:44 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:44 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 65/91] gnu: Add rust-rustbus-0.19.
Date: Tue, 28 Nov 2023 22:12:43 +0100
Message-ID: <DU2P193MB2132D5D4CECA1FC9823FB408F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [rszBQJPKWrD39bgozeHhFSlEJEkPQ4Lj]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <3f2d65351524bbd929a950606a5e2ee944f617e3.1701202946.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AM8P193MB1251:EE_
X-MS-Office365-Filtering-Correlation-Id: ea5c5bc3-853e-4ae1-2588-08dbf05712ca
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: U+3nFPw5ZXVlWIymQd1D97tr4MoiwDHHbQd9tuIAULNtUbreg4TTHgirJXABSToaaq6h/Zqsvn0qmRqPPb8eG54Og1D/DqZuxAT1LGOi+Wxsq3M/jyrW+e6QLZoT6/l3atoxrdoyqYuLWomsHSVdzNVUzIuc1HeiZmYsI4iE37EDHLbrYDPKp5crxVWC+vK4kJ/onKFik206AAHaSgsRLxAKAud/HTCcu/kIHmJFXVwqmFhyrJpr6Or+m8sXcvIqn+qxhnfowYWf6t/AN68mlSWCK4Rn8egf6n004dIlJtX4FGEul8bVU1vDBZmV1/Ws1kArlCPsfo30uXkA1f5gteqi214SvPNpRkASt62mh4P0RUe3iT3gz/EQ4tZQFAjRSpN+dHUkbnAHGJAV9OOPddIOOwe2Py9DBMpAIPXdZayhjgH1jpMTZ5w37IACBG5f6P52AQHlyrHCDBSkxsg3jglyX2seRG1bTz+WjaimWh1bDu6161dIg8CPnfRAjfmobiCnSut47CruCrpEHu+yxHLbbgnKjmKCUIrEmKVlq1sw5pcbsPMm+aeaqtbI+J5QbBpyK1Wbopr5yhSjdkTUpbvhws+7hMqpyq7sl0c5VTA3kev1+fxYIs6RNMNxg04x
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?w75A9gADQ11N80b9kuhBoXQ1EzaJqadivKqT0hrpBxsPU3wJKO7hA+HmPW6f?=
 =?us-ascii?Q?SvCVpfsakeZW1bzDxtOHW4VA6gHWICTcO5HlXOAnv4rLfLnyC96iwPInTxpV?=
 =?us-ascii?Q?FgNSBhT2ys9jlop3C2VeSSZx1uaxoXXTi8pzLa40GiWSY73Z+TGvH6BwrTBf?=
 =?us-ascii?Q?xSqE7oc28Oe3QG5b/vFBTsldM/njIKC3RMrVCIo8x2kskgu9sFj5jdSC8PpG?=
 =?us-ascii?Q?yhhjyHLD0AGDdVzncVaYTVFs0JTtL1+Tk4l1tJxEcRB8vQo1jS4zA474bzDD?=
 =?us-ascii?Q?Svz++pVHb4f2OGKtuu2gOIGWnxh5GcED3Lc13gcoX/UxIt+1WOdzHxx4pGNr?=
 =?us-ascii?Q?oXGiHgNGSGiKIKs3e2785Rg2WgbPjuRkW5/AMxOWuCIdwuCgq6SsO8n+fBwX?=
 =?us-ascii?Q?jzrE1D78loThEkKasfO61z4iPkjJivrNvpSk29xhFc5TetEBY58N/XkzqZbr?=
 =?us-ascii?Q?mv8hJZhtJcXBWH9t2dPlSSD+jsdA4GA27TJbxfwAy0FOlhHCq5n2f5uPqtfZ?=
 =?us-ascii?Q?380DAJLUjcp1Ezx5MxpcaqI0rqGe8N7uyz6ZtCLAabrrNxqATRRRdvTtuHX2?=
 =?us-ascii?Q?iG3uCr9kaKrtJBatkr7FH/3k127fR9bagkREIK3qDVIB/TVzchgZ6WRzGiZI?=
 =?us-ascii?Q?ULQCwjTWkVZ92Q9Hcd01tNyMrVg6CRbP5lePmZFHS489/UUc5qRdfq1Egxpj?=
 =?us-ascii?Q?nRSnFXfNEUPi0xG8LtKD+uCOAsO4K6jPNWX3bF6FrcEqnj+bP68UTbrAb3of?=
 =?us-ascii?Q?irErVhOdoip1JlaiJOdKTr730dyrCQrQvlscfScJhxpAzAXhd64KIw/Q+Ml6?=
 =?us-ascii?Q?IxPwGkagjkm+Jnjc0nzxzGs8c3nrx7QRx3JSak0K5Um1gc5F87Xqi7wIk1OR?=
 =?us-ascii?Q?eEYQ3puDpJxiF8RUL9qN2NT2If4CEL/iCSgRk7yVN42gTZQyg00Psd8Ur4qY?=
 =?us-ascii?Q?buUF2rzDSuUIxHIvjFfHOcaDpBZpYtvt7iOGkMNnGXUZTksg7X7AFa9m7rxC?=
 =?us-ascii?Q?Lj01Fp9GzoQeBhA7LZrXNbyGEIVkFmvrpEVKxNb+EUIYeU1hgV/vuhtXUMgT?=
 =?us-ascii?Q?APqTNaKggDTPtzrUZv6HD62RNzmKOZa+PHVwm0+vuo1/7ClQ/i7PANpyLdue?=
 =?us-ascii?Q?AEGGSXCBUiCydlEZtQR9tzQJdiQzCiCHHeYGOWTXbACJ5zA7zT1KzaUbbp8i?=
 =?us-ascii?Q?OHIKRoy9WPD44JhhGA1xlFIAnnMFgsXm4ekv/hn5b5ebOSxl29WljsmjZko?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: ea5c5bc3-853e-4ae1-2588-08dbf05712ca
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:57.3541 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM8P193MB1251
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-rustbus-0.19): New variable.

Change-Id: I9ae866aa61f284921c292848da23d4938c796835
---
 gnu/packages/crates-io.scm | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 4e5bd38780..a62cdc66cf 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -60892,6 +60892,36 @@ (define-public rust-rustbus-derive-0.5
     (description "derive proc-macros for the rustbus crate")
     (license license:expat)))
 
+(define-public rust-rustbus-0.19
+  (package
+    (name "rust-rustbus")
+    (version "0.19.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rustbus" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "10gjc9klmnb80pbz0rxy45vdqyrv4aicvzmrz9bns30x4hgcam20"))
+       (modules '((guix build utils)))
+       (snippet
+        ;; GuixSD does not provide a symlink from /var/run to /run.
+        '(substitute* "src/connection.rs"
+           (("/run/dbus/system_bus_socket" all)
+            (string-append "/var" all))))))
+    (build-system cargo-build-system)
+    (arguments
+     (list
+      #:tests? #f ; no path to `/run/dbus/system_bus_socket` neither to /var/...
+      #:cargo-inputs `(("rust-nix" ,rust-nix-0.26)
+                      ("rust-rustbus-derive" ,rust-rustbus-derive-0.5)
+                      ("rust-thiserror" ,rust-thiserror-1))
+      #:cargo-development-inputs `(("rust-criterion" ,rust-criterion-0.3))))
+    (home-page "https://github.com/KillingSpark/rustbus")
+    (synopsis "An implementation of the dbus protocol")
+    (description "An implementation of the dbus protocol")
+    (license license:expat)))
+
 (define-public rust-rustc-ap-rustc-lexer-725
   (package
     (name "rust-rustc-ap-rustc-lexer")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:18:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:18:18 2023
Received: from localhost ([127.0.0.1]:48255 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85TF-0005es-Mg
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:18:17 -0500
Received: from mail-am6eur05olkn2041.outbound.protection.outlook.com
 ([40.92.91.41]:35001 helo=EUR05-AM6-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85Qz-0005Ol-JO
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:57 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=cNpHkIfC3StwtU9+4C2dMGUD8jHopxH/jRzvfPDrNeu/X33B4YmTQvzV9H69OpidzSSw9mAKxYGOFbKX1+U8hNClT82RE1zDMjwG0kHIrUkBFRnuiQEIwKGf/KYEXqhKzSKpiVjMwCNiYalMbUXIOwCqHRLMyeq0qEQqLxPr4yanNY6olLeJqZHCH9pwrBx29PQWKCxxGkl5yfBHEtEWEKViYgo1aFh9tXHOCj0/BAyH+VshyVvGvAV8sQnpylozsGya3GjOLSttEf5eQAMoBQreydQtHZBUVtvnPoQihYIBc7LUkJpQqq1vPQCoYznkNX2HPDJmgtN16GwUNNhtJg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=3Pio9lshCEwobW6KJKNzCxJudLdllGDNUXFbvJv1XJ4=;
 b=NtHs4qPWH0nMMFXn3eMnCMIVDxXVqB8zSSe19HxrSJOZpwCfCbliQPOjm1H1Fpy+6tAXG4lUiToOS6lR1DmY2XS1ZTX3YhJXP02gznz/3KYFCJ4NTjAObzJkvRkvVxx3U/WSph3+A90Uqg5/DEBUdYEph7s0oXT6NJWWMjXL4ZTSnP/KrbIjcBYInfCFWkkGAXVVYfrz1ih+TPFSDdISBiKtdaDS9LbKe//2JoJIWQvfDVTBFSCwaerDm/ri3NYkPlFgX5mMkpHuw4xHxdcVsjbr5Fx41q+mrNafPLcK1zcbB6n18zrrPoYUm409haWRxWhzIIc729WO5CM0nFSEDw==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AM8P193MB1251.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:36a::12) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.28; Tue, 28 Nov 2023 21:15:44 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:44 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 64/91] gnu: Add rust-rustbus-derive-0.5.
Date: Tue, 28 Nov 2023 22:12:42 +0100
Message-ID: <DU2P193MB2132556FDDF594F0819DCB14F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [EF6y/Lr9BgFwXPNriOTHv1OqKZ/x1CBA]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <2f8e1a45eb55309548c436e86c5bd5653887f2bf.1701202946.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AM8P193MB1251:EE_
X-MS-Office365-Filtering-Correlation-Id: 4fe6436e-7a74-4d6a-7251-08dbf057125d
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: a+w0d6xbjRzMNFFoypXk5JHNl2CEi10bD01ZkaEX6z/xdWaoDEn5tUCD6Z5XkXn3dqBsUYtyd6XuCSfIj9I7+U4OigrL5ZEenwKJzE7Qfm1haer01XioPxehb7XOsqVJkxi1/y/y4a7GMxaFzh0zkOgCjc53f/gXctDYwhPquVo8/ckgzWWp+UO4T6wpeR3eqEXRE9py5U6vum4qexd8YH5kNy8mcHIEqDnIaBnEXfrAESS3ocigPfmnt5DQ+nOL706P0/xs+Zm7kslswrvV+jFOuIzON1QJ8QShmf0zh05GCkccuU5gKwLaJaG6W3mOQPDQH/mgyqjXjkzmM7OJhye+4mLHfE++UBLAlGK6scRavMxBWPQYdAd7od7asqpq4Z3vk48vzVsj2BWJdN+ZKmtAsY1Nk0RtQCyItJ0BZCgnLnrmWKTCxrn/kyw7v2CNc1dGdfmeVNVYkx9XGjGEBhCfC15zWNSWvY/FD6mhHhOi0+aWFba7MtMz8QRplpugETKZAOQyyDPuMKy0PvVMaY7X6K+tKwccYbldGskHHlF25XQYCRGEs9UFDHiDiLxYnIfsvp35FaXIK4knNdrQCUvTxwHsDyBINUlbEvWCs9F/yWoNpt6mPYVO1ppsg72I
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?P8rfLiKmNTbj36PJeruXoEat8h0jyljOZqrRSumPJaLthwFdwu0WhpY4Dars?=
 =?us-ascii?Q?ijkuFRafKTQjz3NQwoCS1VdjONJcY0u1/Q9kXYJBKf/uA41+ncLtGkUpk74v?=
 =?us-ascii?Q?rG7Sc47CWyFdFq3K6EADzyA0MNJbXsEVsuXnqlc980eMBWRqcHhSRK8evFOD?=
 =?us-ascii?Q?Sut/M2T6zmYZ61otI6dpj9Fqw2YxNuSsPZ2r8IMjNCt0KliLJXEanFp/gjCJ?=
 =?us-ascii?Q?JNDFG3bF1KV7X2WsQk8DctO00L1bRSBWmWAqhnr+Q63u7TsLlVgmSK6RS8qE?=
 =?us-ascii?Q?TUXV4tBZpsnUk15ahQZ8794OP7h4K5RNexqwAfVb78cyM1GsddxJhSlWbEam?=
 =?us-ascii?Q?G43VSxyI0CtPLsSqgmr0JAaTnkx+PqBIHWAyTm0feVzeHLAYHYhG1Niiu5YZ?=
 =?us-ascii?Q?urVlBV00bNJjh/LIPxmdEqGPbsEbLLoPvgkdlQUC2h4qp6bf1M6VBGXZaeab?=
 =?us-ascii?Q?so0AF0aB1MIYOFDcazZRjkaBICP4BvaXf+g1v3OQ6M0rOERTI4sbqxUQz+Ik?=
 =?us-ascii?Q?GrbNC4QcETZTQYDjIO0QdwwgA9tJUyYxQhMDANlj8QyFjF4JGdjbWeUvViAn?=
 =?us-ascii?Q?oYp6f8TRWjczILRLZn/s/lNS85mbtaPGYKj8G5LxAiPcU8O+jDgc6GRpWVSH?=
 =?us-ascii?Q?vnu769NJzvLO5ObsKrBk3mBZDXDyu3j1oAug8jv+DkHrQmaPHJhG9SnsrZ3o?=
 =?us-ascii?Q?e2svJdw3ft9DZPB21jQeLwrie4ARdSAfrcyyQcsmvC0oo2iFegHYj96w4bCS?=
 =?us-ascii?Q?kwMpeF5oO1POrtzu5/NfARqyyqubEE4oDCL3uUlJzNjxNKaPfhQy61kLejHv?=
 =?us-ascii?Q?e4l6iO9/g0HQhFWu+p04VD4KwAgpINv/qPZxe/O8UAeRveuWfN7VbSNsYZu4?=
 =?us-ascii?Q?LdDLZCmGWUiw1JlbKHrgi7MATwO+MZt5RbVk75HvQ7Di+F1MuBvexp+/gM5/?=
 =?us-ascii?Q?VCPPgFnzgLPee7z9cdQt6sXY6sql+hVmlhChykpXBa7CQAyXlx1Ui/SwfT83?=
 =?us-ascii?Q?ha21O8GMw+JcyGr0OKacyQJiita2LLREblB5ttaqLOu8s7EFPzWSNA5wPSxL?=
 =?us-ascii?Q?7k6p7IVLtmdaxBduIX3TDOaVJy+XibN9Yb9rsSE/vteyHpSjwdaqxEJorQb/?=
 =?us-ascii?Q?7sir+rQNHz2YPvHFsoN8CKexWMTOOhfCDMdvUd2N1gqDqW3mkx1owOraDuCM?=
 =?us-ascii?Q?ujRNNagox3lBfycO3bQnpiZSTYkSGghJwOSVwkz1r2J9zqdBLsH5rk5EG38?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 4fe6436e-7a74-4d6a-7251-08dbf057125d
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:56.6620 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM8P193MB1251
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-rustbus-derive-0.5): New variable.

Change-Id: I92cf971298379ce0b2cf4d8fc21250e978ec5d34
---
 gnu/packages/crates-io.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 1dc9a051f8..4e5bd38780 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -60871,6 +60871,27 @@ (define-public rust-rustbox-0.11
 library.")
     (license license:expat)))
 
+(define-public rust-rustbus-derive-0.5
+  (package
+    (name "rust-rustbus-derive")
+    (version "0.5.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rustbus_derive" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1qlsw8454r1nngas140d6cdar0n0m8j4c4bb0ribp5x2m1anmjwd"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-proc-macro2" ,rust-proc-macro2-1)
+                       ("rust-quote" ,rust-quote-1)
+                       ("rust-syn" ,rust-syn-1))))
+    (home-page "https://github.com/KillingSpark/rustbus")
+    (synopsis "derive proc-macros for the rustbus crate")
+    (description "derive proc-macros for the rustbus crate")
+    (license license:expat)))
+
 (define-public rust-rustc-ap-rustc-lexer-725
   (package
     (name "rust-rustc-ap-rustc-lexer")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:18:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:18:17 2023
Received: from localhost ([127.0.0.1]:48253 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85TF-0005ek-9q
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:18:17 -0500
Received: from mail-am6eur05olkn2041.outbound.protection.outlook.com
 ([40.92.91.41]:35001 helo=EUR05-AM6-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85Qz-0005Ol-4n
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:57 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=nqghnKtZR64tSSsuxzPSKeazsYiCcHVkQ+9L9W0Jim4zFXTlYAfrtePo4KDhSMqoX3CO0zejbt7zw9mI06aYNl9GbJkGkapADc/mI/iNR18Lrdn6qK+Qg5/K2mIeFVSZWOBO4ZEgGNsTilT1NGzp/PvPa4lyF22/SDK1Fo8t1JrwTWhyHvmqLpWUUUmO81oSGKVCakTA3WKlkgoivIetgsMev6zVtTi7v+8aqEtMPWbeoR1A+gUEaFE6Vz5Pmyaf66jhk/PVWKnvHYIOzmH2hEFRzDWG+VWnsON0JnCwaXo5mYYbwSSH1KBSjYrN7av8HurlZia3VXQLx1ZRG+VRpg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=E6iixRXGUoi5tX7Ma7+qczlHFRNOdZ+gldCml9uj0f4=;
 b=ckp75B5q7I7XBbzYO0JCQghFt0W5YbyrtcgTaqKRTjBcY9RAz12GtUv1nkLi8Inb0GBgPCmvE6vNuAjJJFiWmh8psKqi8RJ/LX1S399jY3DcSzLubQOpy6dFJt28tb25oZdsnCI2Zjg+uftc2YgQm4PbiTee615OVYHeRu+jPVzmQUSAdC3ZtGVIsx5H8GBpP9b2WgkPE4obFa6NLrlO4j/bteI/GMK/9y9E0BgCzQcScBdTl6ILyu3hvtaa8sw77+sdHFdci66JWAsV9e6/ImAqzjyUxG9oXBQfNW8WXDoVbXnXqZ+vuJX7xPHv+oALl3DBS+lTsSh8TGYqOGPYyA==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AM8P193MB1251.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:36a::12) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.28; Tue, 28 Nov 2023 21:15:43 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:43 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 63/91] gnu: Add rust-interprocess-1.
Date: Tue, 28 Nov 2023 22:12:41 +0100
Message-ID: <DU2P193MB2132F35B13D8D1E8887DBD73F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [ifwiIdU4UpMdFohou0+iblYwQxz99kPi]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <097e6953213deb820c5413801e1e48a1541d0ffc.1701202946.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AM8P193MB1251:EE_
X-MS-Office365-Filtering-Correlation-Id: a95419ff-abac-45d1-a662-08dbf05711ee
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: 7lFcm+lc5aqX+P1enHuEQAdxeu7cRdIf9moUZi4hJen/VbV3Yymfq76Wpf/a/qDisLgs6VS8jgPKkj1AJFIz3lLiBwHNK5GUg22sywp0XZgzRHohxtkRNKqS2xYIXkUsdHrEmtdugi/E+T742yeQ0GUiocgH15/Vb+4MS6Die4zgtdDsIa5MlXWZGceH5uOamC2+nGr/Fz0+/c9LRM0+WjJ3HOFbJtyxnyu7Mu3vvu1uji+cQ+YKMeA6rjop5azJYzicO82yNjilZ8xyJUDkZocqj5+ZRfRRKUb3O+lOKh7h3FAjDRMFco/igeJ9VUDKtfvp3AiOrBiQZ47kLurg1kh89NRg2PFjH/X6DFWI3pzmHs9S+GxU2iIN6YvEzs9H6XhiSsieJhcvgVlr1+SR5BCjwGM5B7YJnsp4YQl9bZioledRgQBua/V+CpkELKRXem8M5kjG2xRA0dSmDRajo6qztl09j9V6fGG01gO9IgEHiwTvIjl6jR/fbC9i4TVgmPjDN/CBE1BoyC4Qh09+waAstZzQAyeDJbzaJxpT1LVZabFdXv8yKJYAms5XADoFjwJkOFfeRyz9NPS628NuLj03IcPaLdbttD280sV0FmJfdEl6zkY7qHEvJXKF5C2V
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?enhKz8TlsaUQWCSHu+EpzG5iCttjpIJPzTY452hWB3Ea2PqtRhYfPcH+ajCM?=
 =?us-ascii?Q?1x9iw35rBCLzwu8pA+ojOIB9d18pV2dfAbwSQzV/w5IuV8wqTPja+i3ePbnQ?=
 =?us-ascii?Q?onzuWHcOnT3hHykkC7tkLFEd34RN5BCfgXQtDLQgSBSvDYMtx1knHFRRl3CC?=
 =?us-ascii?Q?fEyVfkCxE+YUoUf66u/SGuh0tTCj7KxlIhbOolSsunB0r9Fzw1upGCZdss/j?=
 =?us-ascii?Q?ri+nqaolsbz/VBA1EYDJpYAxNk+yiMvgKxnLQ7a68OLbbXgrUsKNJ2Zolh0o?=
 =?us-ascii?Q?Pg6KjI0YWQaRHws57YruDeSt8j9Nz2zKij0XdxC2BaSQCgKuYRof87Hy67P0?=
 =?us-ascii?Q?PniaeDJzf9y0qryZ5sBfNZ9ZsJ7cbG3jcQSXK3PBkRF5mJi2RR9agG9pl8Ts?=
 =?us-ascii?Q?xkBtNlVnrYTYttpeI8uNMgbnPN4X93zNrmWCfm9yiVb1J48PmTtMWAOd19QL?=
 =?us-ascii?Q?L+ZTXADXppMxT6a03ebYDbudI3xRL7vCbZ6TnHevvRLymzxNNl617CkyiaRR?=
 =?us-ascii?Q?GrDInE/hVpp4PTMHVeRWIm8MOEkm58FDEYaT6ku1TrnB/ik5un07rzG11y7B?=
 =?us-ascii?Q?S5c7LR+7iINpcTBOQxH8kess7yH35qaUWRH434k5x64XgfKExxAKefV7vBr/?=
 =?us-ascii?Q?lbzm0EApnfZGoJxYT6BKmTNm4/W399dNKFlUQha39atDlhiBjkc2SKRFpEfd?=
 =?us-ascii?Q?4b5j/92/ruTS88WwVwDeOjEzCZMe2QdBovH+evr1Chb6nyNkHZdw97npNtrV?=
 =?us-ascii?Q?2dkGn5VKH1QnXE+aGJ5fU1mXH606d1UUMVyR3Js9qmjninqEdjOyfXdoXuaa?=
 =?us-ascii?Q?K+UOEP4H8F0k5g1FWgB6IinrBYW3twZmnsRXweTVkYjWjw+8AqD4U3xgrPLs?=
 =?us-ascii?Q?1LtEEo9PlYBCp1hyMv1p6xilLHYt1NCb9N02qxC1kQhtcmS2sYk/CRwvCYBl?=
 =?us-ascii?Q?geUREYfOnBSv//V0KVQADQbyPHHnv7gHgTIysKfRDxHoHqINmzIYqS9wnK96?=
 =?us-ascii?Q?uk6IgbciSYR49DyJQ05HPVLNs+lfAXwumCIZN1V8izz3y4j+21NtWcNcRPmC?=
 =?us-ascii?Q?56jX6O4CHrFs7GERGiDJF1y8hJqrGDmByZQrDyzbiySGnc7vceM0G7DfuixG?=
 =?us-ascii?Q?lk+jnx9G9Q/TSxUt/rvZC9gNiJCH2TRPqX8vkhZdxsy386zEw4jHoYupVah1?=
 =?us-ascii?Q?uTA2UgEHBcaZsx1KTg38yeLV8C/que+1CE4A/4IJnU1yhEyBcPF4btMMxKo?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: a95419ff-abac-45d1-a662-08dbf05711ee
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:55.9451 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM8P193MB1251
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-interprocess-1): New variable.

Change-Id: I9d126e64b664da8983c021140f1c5ba6d1a08b37
---
 gnu/packages/crates-io.scm | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 4f9d0b7af5..1dc9a051f8 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -60810,6 +60810,41 @@ (define-public rust-intmap-0.7
     (description "Specialized @code{HashMap} for u64 keys")
     (license license:expat)))
 
+(define-public rust-interprocess-1
+  (package
+    (name "rust-interprocess")
+    (version "1.2.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "interprocess" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1yrq3xmyf8c506z2fkiyqcxiqv21rap72fz6npizybz47czm7wl1"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:tests? #f ; expected tuple struct or tuple variant
+       #:cargo-inputs (("rust-blocking" ,rust-blocking-1)
+                       ("rust-cfg-if" ,rust-cfg-if-1)
+                       ("rust-futures-core" ,rust-futures-core-0.3)
+                       ("rust-futures-io" ,rust-futures-io-0.3)
+                       ("rust-intmap" ,rust-intmap-0.7)
+                       ("rust-libc" ,rust-libc-0.2)
+                       ("rust-once-cell" ,rust-once-cell-1)
+                       ("rust-rustc-version" ,rust-rustc-version-0.4)
+                       ("rust-spinning" ,rust-spinning-0.1)
+                       ("rust-thiserror" ,rust-thiserror-1)
+                       ("rust-to-method" ,rust-to-method-1)
+                       ("rust-tokio" ,rust-tokio-1)
+                       ("rust-winapi" ,rust-winapi-0.3))
+       #:cargo-development-inputs (("rust-anyhow" ,rust-anyhow-1)
+                                   ("rust-futures" ,rust-futures-0.3)
+                                   ("rust-tokio" ,rust-tokio-1))))
+    (home-page "https://github.com/kotauskas/interprocess")
+    (synopsis "Interprocess communication toolkit")
+    (description "Interprocess communication toolkit")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-rustbox-0.11
   (package
     (name "rust-rustbox")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:18:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:18:17 2023
Received: from localhost ([127.0.0.1]:48251 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85TE-0005eh-VR
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:18:17 -0500
Received: from mail-am6eur05olkn2041.outbound.protection.outlook.com
 ([40.92.91.41]:35001 helo=EUR05-AM6-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85Qy-0005Ol-HJ
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:57 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=SzxRLD/v2YcUNabXQu0++YGkCKGB6tdwGYov/1zhn2fpel6h8HZiMZvdGom0GvAZTCI1Nj1DL90GeC3N1iucUAei5m/gOXj5eRuZVDW2mVuaiOkwa0YTgJXsyoDa50aBceghc+ikX8J/de1zMqs7xAefOnRpZFCqM5mowSEddHtAd19KJj0IsZs7bZlkGlIB4CoLR37J1CKrHGWVh6aT9JOtd/kkqTTVLX3fAESm6NbENVRhFEZpBfYNkAOcoers//FNcFghDJ86OLHtFOb8wnZPcoh5+YstZLd2cPiDOnT7NpRbNuKTUfbZTDtsvuzBzj7plYQ/8HD8hegoAmUBUQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=r3bjG/WPYbr6gdhMwAVlv0hkiZwtO7I/0jYvorEzf3U=;
 b=PRMECeWH0Tc6ggBJ4IP2N7iYuGj7tW76QIjrASy3ag1UpPpjIdlNQkqY/PDi6K6PhlgyZsSzfRrMGZWwNuDfDcvAsxgXxT6fpN0VH/CygA/kqcyF6KVOxHx3clG5xXiJg7ehbbx0ER1EtMKfeGQ3TC7RB3AUkLTF4zpboT6fTKDQn2PQa9Rsf11jfkS1Va5dv7Zl+ghsqAJS2xw6Zpki+oZi0+bUPhNLKKxtvt8a09ulB496/Z6s88pBSn646YfYRIX0+0xULWaNSwVv7jscT13YX1CpHVtCobsLU3rEhDjUw7qFDFerP75bKxYtxty5rR0NupcvC2d3ce9Qzf42rQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AM8P193MB1251.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:36a::12) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.28; Tue, 28 Nov 2023 21:15:42 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:42 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 61/91] gnu: Add rust-drm-0.9.
Date: Tue, 28 Nov 2023 22:12:39 +0100
Message-ID: <DU2P193MB21329A1F8075ABB1C7BA2FAEF3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [nmoSmsB6lw0MFce14KdanriA0EucdhAy]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <f191ad48279dc44215ab5953659f1cac2d4b06c5.1701202946.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AM8P193MB1251:EE_
X-MS-Office365-Filtering-Correlation-Id: 0e628004-ae14-4d3d-1152-08dbf0571113
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: cEej3XZMtRzDKQojenstR8iWTIS9McpbUy8k28oRAcu/BTn4pZvP0NcJR2wdgy4yHAC97p4HaawvfybNT4fp+5ubN5rxp33NIg5hScG4OTuGm5vaVi2ocU+48NCiX+FqRP+CbARDbtkh521K1DF4oLbsm73rY6+iGS7mGn+Jz6rLmgZ+2VAiZ5cqvtKzWAKFIt+sC1yENGgCkWI9C30rye/v9ciZtsx0AjQHUl0KW6IYnhkgrQe2OkbEbMXr4jvlf4/cJyPdkyb4tG1stAbZ0tcJW7dhv3sSEu2UsZBLr8lVPEm5oHtSC0C3BE/344f7w9MemrwasN7ncfIB9mh8YIWldTZpEOqIf+iyyPcFyRTENeW1ORwzwiy6s6LMNBSrZ1ouX0vZafnWhq8DkxWIgDSyVV/4etEotWuQBL9Ymo1R66HVyjCHPEN/aXNJfY1GdGHvpF/46C24DZ2vVwHZk7zbIblbCagjQdXe0ECv6/GwVKG06mtfca7o70zulkpkGRrAKNIEnD5S4OA//SIaOCeTmUBiIlsTJC2io3F5hotNTGLAsFkTHlpjCBwAzQ32Q9S8sJJ9Q5ulYskiG2h8mbToDcczEFF2ib+/u6lwgOuWrJxCKV42Y2Cb9IIGw7tM
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?qt6RKnBB+PqrEJTQdJbhFoqI5NiziWBO+4EBkI6l93j491L+5UNO7WgYP2XT?=
 =?us-ascii?Q?MSdVm1HEteQZQdl+9VLcKHW55qmBzxxZNaQqFfqZ13SS2BS7qM+w8ZszTyAs?=
 =?us-ascii?Q?W0iGAwB4hdBO/DIeugyBjRDxHXZf15BaGTy339QPcgDmRtUCtJYw+NDgotgF?=
 =?us-ascii?Q?+gDsA4ljuvHN5dTafYVOIVl5Prpjaoz2skjKagXFUmcIqJ5TLM+hGuIKskbA?=
 =?us-ascii?Q?l9C0shgMk6lWVNYEq4qkLWjXXA7f6jI77LNawG0AQCGQvUS+V+GfulsNs6UR?=
 =?us-ascii?Q?Km6QhBgAUlS+vu/8171E6g3KpMMaNf9hUVchk+GsEn09RpzUwQkEMunOPR5+?=
 =?us-ascii?Q?KgXohi5MwrHXMG1xv4oSFmA1vwkywrcEGJ148l/7OWdVWXeXHLD7BekYiCPb?=
 =?us-ascii?Q?x2uRRysa1FSBOqpXmifWHQFK7ePrqTOeBDyJzWqooN8IJgy307yfBPSJNOYu?=
 =?us-ascii?Q?v3rEQa19TLNTV3oP2049T7NOnGCdx3W3mcAINTgfE9e2u+G7DqLmrWZbgnVO?=
 =?us-ascii?Q?YjivgFJau5kpGc+dMLq2aXMFAb5R9NEGi6JCEL48RTPp6zcRM/gN1qDSC6kf?=
 =?us-ascii?Q?6GWfO2ZcKlRY+P/HrSxlsy6oSuHSZ+ryNbLCvnqH2Lp1AE4ioLQuyluCXfgc?=
 =?us-ascii?Q?4NYMUqv6DLAznnd2nBK1lfM5xsQ+DoTN+DMChEWYSY2HNf9KXc5pfm21E+MN?=
 =?us-ascii?Q?ZGQTjDgVSsWGeX8WtKOhhBnhnUjjInFQ1htjcPsv3HH0XegZqVgrAO4Jl1PA?=
 =?us-ascii?Q?LIDc+CzmOG3cQziTHeJ6ohDvel/hpt6i/O8J3Vn3vKN50bOzOz83TPP5J8hx?=
 =?us-ascii?Q?XPpEkKeRyj73yLXa1bJTjyWp4SC+S/BvGPU7u1AuvgnWtwsSGyJ6PzI2Bf4x?=
 =?us-ascii?Q?vB99iNKfwlemXhhtuQuQG3ysGM6pj7dMbMYnj6SJVIw2lunTjWHCyGl/ThwE?=
 =?us-ascii?Q?ffUHCJU5DDF7+zLLrJ4zxwRsNvlBnOpi7DqC16+eRzb4p4GhgttEPMOqBa/f?=
 =?us-ascii?Q?iS5LB9QnSJGQ8t6c32clMrSWK2jx3cVMoss5UoI0hdYntQyv4MkQ9s2ep7j5?=
 =?us-ascii?Q?NjoH4jb1Pylavb9mJnfv7kDZfHbMHPlG59kvFnnRzVp7KCIkXGWhHb8NFNNB?=
 =?us-ascii?Q?h/Smibjj5f2J/CWHLhZX8r5a7K8806xcOYmGayrsqxrUdiEr8/aqxM7GgwBF?=
 =?us-ascii?Q?KZaznoi9fJf0bidpXOtw9vleFzxZBUdR0Jnt2iLMKgThdjSepFz6u1oAT1o?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 0e628004-ae14-4d3d-1152-08dbf0571113
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:54.4577 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM8P193MB1251
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-drm-0.9): New variable.

Change-Id: I2ac8511b59acd96e5f88319ff8c881aebf91b465
---
 gnu/packages/crates-io.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index c3106c0e1f..d55ce44517 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -22739,6 +22739,32 @@ (define-public rust-drm-ffi-0.5
      "Safe, low-level bindings to the Direct Rendering Manager API")
     (license license:expat)))
 
+(define-public rust-drm-0.9
+  (package
+    (name "rust-drm")
+    (version "0.9.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "drm" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0vzmknzhp12xp86phhnm0cs4jdq0ilxmgsybwk2x1v5wyjg1bygd"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-bitflags" ,rust-bitflags-1)
+                       ("rust-bytemuck" ,rust-bytemuck-1)
+                       ("rust-drm-ffi" ,rust-drm-ffi-0.5)
+                       ("rust-drm-fourcc" ,rust-drm-fourcc-2)
+                       ("rust-nix" ,rust-nix-0.26))
+       #:cargo-development-inputs (("rust-image" ,rust-image-0.23)
+                                   ("rust-rustyline" ,rust-rustyline-8))))
+    (home-page "https://github.com/Smithay/drm-rs")
+    (synopsis "Safe, low-level bindings to the Direct Rendering Manager API")
+    (description
+     "Safe, low-level bindings to the Direct Rendering Manager API")
+    (license license:expat)))
+
 (define-public rust-drop-bomb-0.1
   (package
     (name "rust-drop-bomb")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:18:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:18:02 2023
Received: from localhost ([127.0.0.1]:48233 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85T0-0005d4-B7
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:18:02 -0500
Received: from mail-db3eur04olkn2049.outbound.protection.outlook.com
 ([40.92.74.49]:48518 helo=EUR04-DB3-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85R5-0005PS-AN
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:16:04 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=lCgz6e1Qd6kuc6aPb38Wl5A21Ub0cT0B33HkOClF+QM9KeGwMvsTVvJHWyAKEutaIOGb4sUBg1/R/R2mNV0DUspx+ml9rOAHMIAGtdlr5fYj0Z0o6ApJhpYAiNq2cOzFURTZlV4o+J4iZ2Vq3dObYUCsMgRae6rFlJF6+A75pW70/N1yP96Aq//yLNg4wdWVzRmJvckTpQp1mB5ySjARyUdma1ZOmobFvV0VI2RdyYlzZuunFtkC4iZlCyNtKLeYTY+7iFQeiu1lhBpIEo7AFqV9omgsqLz5bqTR8950IEMjeaMymz1ZuxrWxi8ZnapNS0yaZJbW/nuk8DQC9pQ2rw==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=r4EFUn4qt1kwngZyrrU0evtW8QOz/p+X6+ctZu4ouw4=;
 b=ClaA29oyDUeONovnhR2Lv/hzA10HyWMwyTSLHZubdmvN3uSMCALkWfvMVG26Wu+8CFZ+1nPe2dlsswmpxApp8rrHpVZjDIFCpdZTBsV42CRImperSK3S/+h3nAaD1+cMUlennSQwVs1i944kK4Au1JiwbVOsYwCS4YQwy1kzApLLb4iQRrSiFbP210JYRRFqdnTpDObt7quo09rVr+xRQNIu3+sPW3VrCBvtG6ioEv3j1v+vhY/yF51+KmWR4XMYWWv9JQk63z/oAKEoMuA6LFqELxdgstsUagz1kztgclEJQ/n2dC9cCfiP9CJ8geJ63EIYgMQRevrfcc0aA1yzuQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AM8P193MB1251.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:36a::12) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.28; Tue, 28 Nov 2023 21:15:48 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:48 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 73/91] gnu: Add rust-windows-aarch64-msvc-0.34.
Date: Tue, 28 Nov 2023 22:12:51 +0100
Message-ID: <DU2P193MB2132F5BFF9ECD2DC68288D11F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [DPNl9Ey0BrtWWKumAleWO/UB4BazmIBb]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <8c19a488fcfe856026611bc2143febf24598bbd9.1701202947.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AM8P193MB1251:EE_
X-MS-Office365-Filtering-Correlation-Id: a923201a-f689-4af3-cdcb-08dbf057162f
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: Rt+Z4B8zo7ZoGAr2wciBNW1RAHDUiDbtZhYbpu54TVxC6i3s/+DDMVnj7Vz1kJudlfZYw3nlMF3D1dN5Fm6kUUp3t0T1HuZ/Q4QMTirYuoBcD5WfWquHaq38BkMCjQ1yBnNe7VnYWfbFOwftLX2FxJr4GmdTBpKdU/QDiEgdlO0SQqY2knO3In/0hdhILg8DpD4T/OKBcHMWdjEBnhq6IIbYzt5UgGKkgrfpMPsKq+FeH+P12vNUqJ0+W2FOZnsAivKIIbI6nH3iiGuWjoXnyGhLB+oMPRjSXNxxdQHyqg7fRumKvcICG/s7ly5c1bAunlzIqEL8Pwu2rAA80PImqzZGuSJo2XlLkLuww4mdUz7RAY2GNRdPFkOHdxLqmw4r/ZtA+L3auv41IT8R2gzE2wuwf5NPsX0l2WkWHOatMg4Tm2Rr3e/NP9dOdiK5UAnyHnPlwVbBVYXNGBP8wXOrAYQXsIFE7lCR2cyugheyyDjtWeZZjiaZBst/AxBJ0Jtr24nCh8K860jMTiRerfvVp/EI8GzojrL7hBCq2AdFYqBVy/DPSbH3D+SPOaGFa1gitMMRfPVjjHJ6PCPr4D2rmT6Ay62xlnJZhIeHk5McVANy8ihMY8xaRHoMnsXo3QKu
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?V+WjBKlL8Urry/S8Hsf8ihBbeXksJvy/pjFW71IGfwFYfXaM7hugSW8dM/BP?=
 =?us-ascii?Q?y8zJwCS/PElWMehpdQfjVb+WJItt3+T3H6oM8XSxUDd+wpSOhV1ZUNjjcKYQ?=
 =?us-ascii?Q?v+tO79aPxz8REHReiverlwHUgMO9E8NfM8l9H4TP6rqs1Wm1k98CCzazofPW?=
 =?us-ascii?Q?ZMnUq5DJaWtyj94hi6v7/LBBlCedmLT4wqgLHO3zAcArB4jmA/VmLS2TL4RY?=
 =?us-ascii?Q?TZ7A454EE9+UbJNGbKA7CaHO7nhCLT5y+2a7uFyeCFRWW21VmhpVLmVDxFSe?=
 =?us-ascii?Q?GuOcFuyAMajmdxGpiq+czdtubd5lMwS3qrgEJjq1tG3cLta5soD2HTo9C9aU?=
 =?us-ascii?Q?UhWeyMjFyHDynXppEK2DlhkmJ/QN6Em07JjAZL1HM3SErBcj9s9YgqNhqsLC?=
 =?us-ascii?Q?3mAMQ1UAv6fou3rqB5aCk6gcMolBmhAEbzY+sqvgKsDw5ynI1lI7qtEWVmez?=
 =?us-ascii?Q?CGIxbXqosvjfcOM9Evx3w2SsNDKdxkaUDevBSUV37LQ6RLwH+HGi+qUYl/D8?=
 =?us-ascii?Q?hsaXiqniOcK3KGcJrBE6EJvvhZt0/CxGu9g4JZ9Um6kl5eXydNt+3+33FYH2?=
 =?us-ascii?Q?f/aju4ydT2y9LlKXSU348jnF16xZi6ZUwB30SU5+nKzvRHBYu6HV+QMx2HI4?=
 =?us-ascii?Q?0G/yhlvozlSAy1NQicd2qULi9SDU9ONOiYdfyUKOlF46sA3VM8flHBGGbvi6?=
 =?us-ascii?Q?FQjxP3ZJXw0qovQ2p25cxc2cdPfYdI+LO1G1/Sglcyr1YankGs0TLlKM2vhf?=
 =?us-ascii?Q?6N0w+5pMAf5aiuEldD8Fjhcvp0IYYtZaXQBCi2YEdIlXXB5D1j0rMC59lqib?=
 =?us-ascii?Q?+H5rE/pFfb7T+tLqlIf5Wsktdg1+yUGdBcRf8uZ1ysWCmwdQdK2dRLsCo3wp?=
 =?us-ascii?Q?XF4xFWu2ESpGoYq65ULhYHTarQANFUGe0Sar3VGWFWffN4kqWL7ZfSGK0SoC?=
 =?us-ascii?Q?KZvxHUygjpOJamLLGE0CMeB97/EKYH/nG1RQYP+UDcD7uamkDUpypQ7o7L8/?=
 =?us-ascii?Q?f8SQ9tt6xK4uGqS3DOvIA7Vgs98tXmzn5/OHoj6McxwcHouDCIlRIaU+rJeF?=
 =?us-ascii?Q?yuPCCA93XD/JybeWvkWSaoLe1VNxRxQBDZLogzjHZvA/0cMPPgkC8TrdVVLz?=
 =?us-ascii?Q?Y1qz6UmR/3lQSkWcqJ7lUzwJSL7wjny0NIZslAjhVCo4MxV18A/Kb89twSl+?=
 =?us-ascii?Q?0BEV/Nd0J5k4ozdK4kFf00WutWh6Ry9B5c2AkGxcptGyC+NxgvGmNQlsnHQ?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: a923201a-f689-4af3-cdcb-08dbf057162f
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:15:03.0592 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM8P193MB1251
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-windows-aarch64-msvc-0.34): New variable.

Change-Id: I643d92617d8b1b19792a855135a9abe85d3cf764
---
 gnu/packages/crates-io.scm | 18 ++++++++++++++++--
 1 file changed, 16 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index c080c9751d..7bcbe69be0 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -84074,16 +84074,30 @@ (define-public rust-windows-aarch64-msvc-0.36
        (sha256
         (base32 "0ixaxs2c37ll2smprzh0xq5p238zn8ylzb3lk1zddqmd77yw7f4v"))))))
 
-(define-public rust-windows-aarch64-msvc-0.32
+(define-public rust-windows-aarch64-msvc-0.34
   (package
     (inherit rust-windows-aarch64-msvc-0.36)
     (name "rust-windows-aarch64-msvc")
-    (version "0.32.0")
+    (version "0.34.0")
     (source (origin
               (inherit (package-source rust-windows-aarch64-msvc-0.36))
               (method url-fetch)
               (uri (crate-uri "windows_aarch64_msvc" version))
               (file-name (string-append name "-" version ".tar.gz"))
+              (sha256
+               (base32
+                "07c8vcqcvkmm2d921488w05dyjl047jc03xddyszy6hj83kzpkqp"))))))
+
+(define-public rust-windows-aarch64-msvc-0.32
+  (package
+    (inherit rust-windows-aarch64-msvc-0.34)
+    (name "rust-windows-aarch64-msvc")
+    (version "0.32.0")
+    (source (origin
+              (inherit (package-source rust-windows-aarch64-msvc-0.34))
+              (method url-fetch)
+              (uri (crate-uri "windows_aarch64_msvc" version))
+              (file-name (string-append name "-" version ".tar.gz"))
               (sha256
                (base32
                 "1x8bnafz15ksgpbjbgk1l1j2jx4rq4a2ylzcahb1jhy4n59jgsfq"))))))
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:18:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:18:02 2023
Received: from localhost ([127.0.0.1]:48231 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85Sz-0005co-MB
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:18:02 -0500
Received: from mail-dbaeur03olkn2104.outbound.protection.outlook.com
 ([40.92.58.104]:39904 helo=EUR03-DBA-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85R5-0005Pk-AZ
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:16:04 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=g2b0XHYwh0acgKLQb6DAgXEaSDs08zvxxR2PQNWr6Cke1nqsUu4LMCmCX8MAC+cQRADR08N311QAxKEu0T11381Htbv4ow0G6Tx2jGFPjPRpYgdb+W5nmgLAIbBTEnTTs3D93o3jCLbxepMojx9bm+i6NOzLvGMXP8LYA+MS9bFV4B+y9GmLsJb8Q/eizOpcMohCUumFqAbASVJPU67cC3BpYCmDErxVDoLOMpT+0iACGkVpd5fnQfQINtccxh6j6hrukHiVrYVMnvo/JH5Ju3cQqYsGUKdfEptHSJtEQE8M9xOpJCCXkmyGi++Q0w1PvPdsA3O4fbsEycfQ0JY2RQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=itaHUTXausA9taqUioBFHPfrxsqv1X/ZkSZa6fXH+Co=;
 b=PTEN4MCSdTpxhJm6M3Ebb1rc0BtsggoOYlNrjgmc+8CxpeNZNi5atzQufe8+etXntCqTPAMgPzFqUvvu1poad2hK+fUtvAeKA+EAuWAPU6jAngZnQP68jYS0kMkaDFfD6GuKz3jZz0yF9MwDoAOERz6ftIr7D6FyecxmYtQBFIbrMTasJszjsk2mUKpSSyPs6KjnZzDqsCm3OHIQiIvQ2GlZMabSSWMQT1q7/g0Rr0uudEUkrrlwjlnOt9ZPzNEpIEQtrScVrOqGFDpy18EMM7sES/Ki34AosnYCFNqL/QuWHt9+ZCwfMTT13IiDB40xKqZjuZDTQ87qI2PZt3lpqg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 DB9P193MB1450.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2ad::13) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.27; Tue, 28 Nov 2023 21:15:50 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:50 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 77/91] gnu: Add rust-sysinfo-0.29.
Date: Tue, 28 Nov 2023 22:12:55 +0100
Message-ID: <DU2P193MB2132E47035D7AA445070D00EF3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [6lrPXHF+E5NDgFTC7f4TwpEvfSHYQ/qL]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <1b955e70b1e5a61eacf5bc2382d3fa5aa4cf0883.1701202947.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|DB9P193MB1450:EE_
X-MS-Office365-Filtering-Correlation-Id: 752803a5-1890-4381-7ea1-08dbf057184b
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: +vroML/FB/ziIlNDJX1hsfy6358upCeVsfSWS0a6CvLZ8pDDgNjpzWPwpM12xOcwavs8HijEZGysJGehLt2Az9qlqK48ulrlfpCDPEIiIQcVFj/QcbRoq8+4TQfvr4RkchSYtGGm0vFY0qeyH5Hd2k3gSBla/YXiWcgFyCRDtwaHWeojOkb5lBrxS0r6NN+Evlrp1N5iB/hCL7LU2Ps5eStjTRciO27qozWMH8rFGnBg9TtVBji9K1x98fPsTXnmwGKCkWQhGam+58hvQAQFWklzGkENmAnXt0Olts4qzCTMxWNlExVFu4jQm31FNhlRkccXwdv+/7IrlaPeG2BHEUKqS070YvdVh/JsjW12gBOguhGI9OvYfuFcmGvsuUic6WiuPEkhmVZSSYVhPvdW1A81dAPeVXhzejuiW229zmWhLGq4Bq9TMk3xyUk92fAadFPzK4sIcfe8l51kptAJoZjFiarha67tci4ncjjHLlrkz1dNjFGO+aYSf/5xhOSVmVg556LkCoTuFnjCvmsi2qvcJc0W8iwwTw7UnKoL8FTa6V2QeleU0+RRU/ctgdSe6BP0pEwqLnF1BAw0/I4tNEYeaTEvNHgDNbXUOreom7ojAErh2uswMLeS9qzCQxKz
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?9DGOVxJaPtpL7XZcKcI948PxWn+vilbqu3IRUO+VxCOMKcT1XUfXnQO15UmX?=
 =?us-ascii?Q?o7Ummuyd3eDAZwViNWZ9AU1TkrYN0Xh4ygFwJmxbwZd+kK9NtgHPkRYCLQQ5?=
 =?us-ascii?Q?CHClbd64hn+boySvU4uq4ztsvOD459qH3sd3IYOWH7y62HYkP/bLCa95cYYJ?=
 =?us-ascii?Q?1TAcd4rHlLG1HWgpS3U2vqcc/MuhzjL8b0gXJkH97Zff9YVdzYiDTvJfoybv?=
 =?us-ascii?Q?P3hi/zOxpJIkkyoNfhpJMbtaXNaDwvzK5lMW54k6JALGwHooXwo9xL+eVpkt?=
 =?us-ascii?Q?6EmNwQMfGpZhp/tq+10e5ByTEAPCZuyuYZ+5LMcZiAx7aFx9wH09XRd6iMMn?=
 =?us-ascii?Q?r3ajgyZdYod67f9s1xXPsCSsq/QC+0zaIPBKnUfxIF81syd68pDPwt/6iBf2?=
 =?us-ascii?Q?Y1D4NE6B6ncrBZ00OsPcrs3eDendkiaqdSgPKPlJnftIwnW55jKUSj1mPUH8?=
 =?us-ascii?Q?hjNtrdaedpycdIXgmmCtzX7lNsPbTwC7RAqBwt+g/SB5ygoVmqo89G7kCErJ?=
 =?us-ascii?Q?5/x3pPDN2E5mliGFcPhyE2rWVa0NzuBupLYYGcLMBrnphHAal9iTDlrMifwF?=
 =?us-ascii?Q?6K+Y/URcd0Vk0kb0RzJ4J7zVqxz4gH2VineXFGrj44mwuMVcXV99e+2q3IrJ?=
 =?us-ascii?Q?WJ8k6QZzK/Qvqs8FUyYIf7ff9Y+fwjeU25pI3EWosuKm+ZTYj+AWkBvtOESb?=
 =?us-ascii?Q?E+PEkxzRMXGsqqFe/9+BQ1h+6oflVJbkghNWcDVfaGy3W1rnbW80dOHZAlIN?=
 =?us-ascii?Q?6YAYzQPEaymQCb7tKYb9lEOOSCw9QucoayrsLOCnx+1A6r4PV31bfzt+AXcy?=
 =?us-ascii?Q?gKTDFdRVn4RjjlW/bhTY9acnrKt1KyaFvkFx3tVJQFqwp34fVVFPnpN8wxVp?=
 =?us-ascii?Q?FlH/a6oLiwfdTvFLv1fsEs0EklgQlCYCUbuRMSKkXZdmZj6PYaiXLaRK4pTj?=
 =?us-ascii?Q?H9xAV6j+WwxCqjB2nJ5bmVRPeq4GHoqu9Dh1h1A0VWB1fMByOKZTDoOZrWE2?=
 =?us-ascii?Q?tIdp4orLA9kzQlOACc4wCxXE3l30+5H8U1lfHLax++J3wJ3kWrUqzvuN8ozT?=
 =?us-ascii?Q?ymqbCCVW/ctMgo0hfRpo0SwU0Pazc6JZPw0BZiZVSxhXHdcLwEkX1w/l4sVI?=
 =?us-ascii?Q?b8I1/FF0bvunUfyZzuCw7ZteWPnS8LE72rifmDE/5K+MgZBdRokWDor++WMh?=
 =?us-ascii?Q?A0bFe80HRrLgPMM/iNiyb/cxMgNt0RrR/y0fK232cCfc7wlTzklHEhqa5fw?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 752803a5-1890-4381-7ea1-08dbf057184b
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:15:06.5781 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DB9P193MB1450
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-graphics.scm (rust-sysinfo-0.29): New variable.

Change-Id: Ib1fb743b330779b753c233791b04af10e06c23db
---
 gnu/packages/crates-graphics.scm | 34 ++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)

diff --git a/gnu/packages/crates-graphics.scm b/gnu/packages/crates-graphics.scm
index 79922722a9..6a8426c255 100644
--- a/gnu/packages/crates-graphics.scm
+++ b/gnu/packages/crates-graphics.scm
@@ -2655,6 +2655,40 @@ (define-public rust-smithay-clipboard-0.6
 applications.")
     (license license:expat)))
 
+(define-public rust-sysinfo-0.29
+  (package
+    (name "rust-sysinfo")
+    (version "0.29.10")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "sysinfo" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "19cbs7d7fcq8cpfpr94n68h04d02lab8xg76j6la7b90shad260a"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:tests? #f ; some require root access
+       #:cargo-inputs
+       (("rust-cfg-if" ,rust-cfg-if-1)
+        ("rust-core-foundation-sys" ,rust-core-foundation-sys-0.8)
+        ("rust-libc" ,rust-libc-0.2)
+        ("rust-ntapi" ,rust-ntapi-0.4)
+        ("rust-once-cell" ,rust-once-cell-1)
+        ("rust-rayon" ,rust-rayon-1)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-winapi" ,rust-winapi-0.3))
+       #:cargo-development-inputs (("rust-serde-json" ,rust-serde-json-1)
+                                   ("rust-tempfile" ,rust-tempfile-3))))
+    (home-page "https://github.com/GuillaumeGomez/sysinfo")
+    (synopsis
+     "Library to get system information such as processes, CPUs, disks,
+components and networks")
+    (description
+     "Library to get system information such as processes, CPUs, disks,
+components and networks")
+    (license license:expat)))
+
 (define-public rust-textdistance-1
   (package
     (name "rust-textdistance")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:18:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:18:01 2023
Received: from localhost ([127.0.0.1]:48229 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85Sz-0005ch-8G
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:18:01 -0500
Received: from mail-vi1eur04olkn2047.outbound.protection.outlook.com
 ([40.92.75.47]:29248 helo=EUR04-VI1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85R4-0005P3-W8
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:16:04 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=RBQ4upcWiwSLUy6fG33BiunWwDMA5tytjnwRd49hFU3ptP/43VFFmFUBfgkWsFkN4S+VYi7BBH65j3AMRJcBmglS9ThlWEvtFr/yc9YCkPUitjKOzO2zyKgjPZzmJZh2i4L00Ie5Qze/KdP2EvSt6FvA3J1HvRXm966qgZ//7GbD5cAbeArsPchYQLQPKzUBxjoVAS49XicgCcZ5+cTcSnciRlu6dG9Gprd9wufWeuNRjTTaHIYSVBd7tzJwHjRBc0RME7zG1z4SQg5xhksxFw2vTkQpYXnwCbUZNCt+aXVBxnMlTGD5Npg3u+kX3yTdwcjEVbE4QE/ysy/aIeE6Yw==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=hA05VPIdfPq+tx7LKUjPmtegyrzSAO1PiZfdh4hY7to=;
 b=LJAVEBKGxEWcQtihEr7Ob0/G3oW7OBTf5x5w6dDVU3VS5Sz2MXfmgw+3UaoSZWdSGFbq4mWLmzp+XBfoRvHyvoITJCdk6NC168S5HD+R1XXYTliYizdCxcFNKMtPIXHkxTwijGhhDg7DhApm5Y/9y/M6lEr7jk9WDSpJsj7FijmSo/rdYWIR++wU+H+QIZmfnNoId7875L9/z40jdPt7aVyyuQMOJJ7A+nFqPuM6X6XJ00C/Kk9vNDYzjcHAlrPHh20uRzsxtXtdLnut8VIXsqACcd5DBVPdzOO++9E0Dtib2JNLMAV0+kD6ZPsokH1q3v995EZzTbXfC0ZVzccmmg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AS8P193MB1970.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:3b3::23) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.27; Tue, 28 Nov 2023 21:15:50 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:50 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 79/91] gnu: Add rust-cairo-rs-0.18.
Date: Tue, 28 Nov 2023 22:12:57 +0100
Message-ID: <DU2P193MB2132D0E6EDAA1016BFD1CD02F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [17Kc+0d0OakHMbTh2M7jc02u7TJYQOYD]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <3d24accaf7674341584178d5ad3e6d061c0db869.1701202947.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AS8P193MB1970:EE_
X-MS-Office365-Filtering-Correlation-Id: fccfdee2-168f-4b20-728f-08dbf0571921
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: oEAMpfDqSLCKSWuwgTf9EjZoe3c6AbciEH22WH5zjjdJay+YTL3zREFjfo7wuQXa2xw2nPC97NVcrcTCpEcbHsYYfmRzeOC3Aj4ZFEQjtjdT3te79o0RXNLkOTEwR7JDwx3H9cnXcx3Z0bXYjUJ8gFkxDREDE/GkBxCiqnFtxapFB03Iwo+OPdwodhy0TAzqxWxeIoOxp6cuxoQwCX9Wa7sHLCToqQYaS3C33YvMkBt94oFJLAQD4/vvCeqq0tf2WtpJogVupwF1a8u5NyoD38KHLhsIfCmN9RGZ9liAjDitp89IRnAUzh27htmnolSjb16FZtHf7ZK4NDG2C0XyKmzfcz4SAW+NFzQDNT4vO+0DqGSDYiCKDiesNv3d3wjDZ12yAf34wg5G+EtcOhHDfHso8rFEKgRdAjGRCw/rYc405gFA2ezq7Fe9SYdYmqollJkg1ycwY/gAYeS1bdqZGUteqp2n1yq9EbUyMY+qIWz0Mf/K5YvAQ8KUsYRxmoubkqBRpMM3ODOeFz5p6a3PzmODSse0or07RMllvOC/CQh/IHMrs2pTZKN0nkK0Wk41uNxXnXNlp1kzkwzRObItCdQJfsv6PITiXL4Qo1nlwL0=
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?Wksn5DPYiCAZttHqCW7Gsp8k3A0rSMlxthjzF/7RDAdw4GzFMotqObXxekuK?=
 =?us-ascii?Q?o1p0X45u4xC3JaDwExYV5diLruNubHkyeZOYXUu1VMI8x9c7i7OsGjXKLAOv?=
 =?us-ascii?Q?x+LkUdMH913A1xdB2pZ0nAobQq+ET71NFcQ6L/kSDehsG5AP8w5oDIIl9H5S?=
 =?us-ascii?Q?0xS4ffEvEinyQZwTcIt4CgugbL03hrqYHIwu0z+ErQR2J4NWP7KpfpC5+x6a?=
 =?us-ascii?Q?PnL0OS8Jl0nLc4BS4sbqleTUXBhHq2UdAXov/cQhTbpOlZ65oUZiM1i7DL3P?=
 =?us-ascii?Q?166Krqb1pKpTKv/e+ACGiA1mod6yedk5gCOsPiUzW4adSgPDkvko6Q4RTMIx?=
 =?us-ascii?Q?hBrcWFAwnBe2/LnFXertnFy/uRdRtPRqacmsB7WwNFsScogFOONuq8Rpq/Su?=
 =?us-ascii?Q?V+ofO3pTNflrLZlRRYCYWqIBwLaTmMImfZ7Q8m2cagc/jTMGjkHQAqNkaeFM?=
 =?us-ascii?Q?WzHmoltwNF9UDTC0YyTzohhWG/7wLSXwfZsZy5JTEZodko/kCqKAsT2rJNgX?=
 =?us-ascii?Q?KEDngp/eGbcd13KR4WQqGhoQ9dC+iLm1Q4umZy+zwBsy9wjWHdUeR3rlOPB3?=
 =?us-ascii?Q?WTJQASDwpU3bSkYbK4JGL74wVuQqKQFwLF8S3xuwrtr3hpy96XYRWISJvr4d?=
 =?us-ascii?Q?FlwFEUykvdd3lQjZmflWzT0aLvesja3f1xxCAImzwi1yLxnFyQOxMJGkfN8E?=
 =?us-ascii?Q?7lpEoCj+nz2Xh7cbeA92nFkZbH76SHP2L9nzSVTXcUGrqyMgUPRXP76isGAC?=
 =?us-ascii?Q?kaVed7rNgpmy3F6MOt6fSsJLH+LPlKEE5Hvo1sDo0unlaDSsDQnQvXWpuFQH?=
 =?us-ascii?Q?ZrK3A2ZDEjFA1tbUKNEG35jEeC/eBkawxwXvrkQcewwYCJeU4KCn40UBqPBB?=
 =?us-ascii?Q?9wcRqDDtu/wiVKNJoCZZiwYHG2gO2XTXEosdfIk/V7WDTTrZJ8U1pzT1+EPa?=
 =?us-ascii?Q?poKaNVyDlKbV0YJ6Y36kPQpMCGwr6UOTZrDhffHuI6/ETgSm8sPAmXfO+KBv?=
 =?us-ascii?Q?K7w3W4JMjEKMDfTZGN+zO8nccCo+oZMfWRj5uQLdWLux6bMTbDbBmtQtCkwE?=
 =?us-ascii?Q?KC8AOTs27GoL5YfmVTD1z9CoKvoSOZcAlOEiBOCu/Rd4NdeoMynmkk/8RuH8?=
 =?us-ascii?Q?XYqIsgBkZ78F87m5a4hvGAcFbNiYjG+V1qWQhT9TdepEQ6A6iStR/W+N9WSJ?=
 =?us-ascii?Q?NKyjYMrBXqiKIzAmhFJ5dbYPcmu/ZW1KU3pG+fOpw2FSWCZ2I+T6NPXSi9U?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: fccfdee2-168f-4b20-728f-08dbf0571921
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:15:08.0470 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AS8P193MB1970
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-graphics.scm (rust-cairo-rs-0.18): New variable.

Change-Id: I8d2755ffd74eab98085e5f7e8faf8f66429adfe7
---
 gnu/packages/crates-graphics.scm | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/gnu/packages/crates-graphics.scm b/gnu/packages/crates-graphics.scm
index 4c7cba479d..503716ceb6 100644
--- a/gnu/packages/crates-graphics.scm
+++ b/gnu/packages/crates-graphics.scm
@@ -347,6 +347,33 @@ (define-public rust-avif-serialize-0.6
        #:cargo-inputs
        (("rust-arrayvec" ,rust-arrayvec-0.5))))))
 
+(define-public rust-cairo-rs-0.18
+  (package
+    (name "rust-cairo-rs")
+    (version "0.18.2")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cairo-rs" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0k8wfv2ri8i417pwb1mvdl51x02nsx52f31rxzg7ivn0m3gnc10w"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-bitflags" ,rust-bitflags-2)
+                       ("rust-cairo-sys-rs" ,rust-cairo-sys-rs-0.18)
+                       ("rust-freetype-rs" ,rust-freetype-rs-0.32)
+                       ("rust-glib" ,rust-glib-0.18)
+                       ("rust-libc" ,rust-libc-0.2)
+                       ("rust-float-eq" ,rust-float-eq-1)
+                       ("rust-once-cell" ,rust-once-cell-1)
+                       ("rust-thiserror" ,rust-thiserror-1))))
+    (native-inputs (list pkg-config glib cairo))
+    (home-page "https://gtk-rs.org/")
+    (synopsis "Rust bindings for the Cairo library")
+    (description "Rust bindings for the Cairo library")
+    (license license:expat)))
+
 (define-public rust-cairo-sys-rs-0.18
   (package
     (name "rust-cairo-sys-rs")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:18:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:18:01 2023
Received: from localhost ([127.0.0.1]:48227 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85Sy-0005ca-Qs
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:18:01 -0500
Received: from mail-am6eur05olkn2041.outbound.protection.outlook.com
 ([40.92.91.41]:35001 helo=EUR05-AM6-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85R4-0005Ol-BH
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:16:03 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=HUvidpyi6Jv6KWCOi1pn8MHf52DeokjOReeqDfC/e+VeZKwLLQ+S0u2wrYlNcjIiZa3lu++GfPep4X61UEF21DmO3e6yx5iMNGEI8VZwlRA74usi4/2/99qqD+/+H29kIG0VvyXRhEWpST4UZyp22KMoi7FZFN83squbov6HwrkZVD0Zxyc3gGolAEx6ik0bQ9w11/VhcpOHpoJRebaFNONlemRbnKo/Qs2clmzI/ltgaEhEqtEerQSE6cIVurKteX+3vQT+8MMDe3u9Q3LW+Wq/nFmLOPTUmswccK6YkGG0ZPd8icvjsUBrRPT0Ed1M6IAvELsDrMrAVXsDql5Rbg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=zwZDP2Pbqy9M5a3zqZh0e247royiWn1UGukRNs3p+kQ=;
 b=KTinLB4f0oQj2x+mwzvWafdv26qp7f0FhCm1O7j5gxpsDE+Zdsv4z+W2drZWEsueGtGjGRj6cLy0+gDsanZ+pKAISz/uhKKexU2MAMj7t/KESIg7PNUBoZRkuxeCamk0nRLiWxerj+6tcOTjh507ZPFOzr6In3BZFOhIOajVyJQUdIVj+M8bFlPCQjhyNT70fq0k0WNuNIKGtCHEm8m2eh/THVu7Tl99+l+fVE1dkwTUh6/0tGvrbeAa2npEEEybfwk6zOn6bfmSFXq5o3R8Td9+Jh8A9P6zLkawIxEVHvIpfjaNNFDaSZxAlFtNKDnLNSnxvVyeg0CuVRgXz3dSbg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AM8P193MB1251.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:36a::12) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.28; Tue, 28 Nov 2023 21:15:48 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:47 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 72/91] gnu: Add rust-windows-i686-gnu-0.34.
Date: Tue, 28 Nov 2023 22:12:50 +0100
Message-ID: <DU2P193MB2132804406F5C79952C217B8F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [QMSOtc6Dugn+KM1LFqZz5LvmfYOhVLEm]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <484a83e67733a59c08cd03aef9eca19cdb313055.1701202946.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AM8P193MB1251:EE_
X-MS-Office365-Filtering-Correlation-Id: a5b49e72-812b-4204-c3b0-08dbf05715c8
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: tJX7dZgGI0aumdoV7UGWH91FvWGyL7Z6x7O/cbQAooMfgOSfF8wiv/ibU4GqJzYk0ms6j4ku2mopVkRiMRl7+vWsUgf1XHIijuuM3FJCO8B/md+gS4Xwk8m6skOX/f/KLQ6o1UPaIiUcAZh55tRKFCMdjAOTiTZ8fAal1EXEy/BehrCmh5xlqB5QgeWkY+w1hwvSb7IhQJhL2n758+II0zdFXWheKRur3H/cLS6+Nj4dY3/h+A3M94ho+BOkVHycc/1VzGVvvQW1tDKEJ8Du42vzV3N9PVMvOkto9uywrRr0N5KqqDbiHsZBMhdNC/3M5TyFcUHGe8Wsr2n6Ajbk6Veff69vS3gcDKXSQFTF8IErF6SSibu+mNOZhr2HCbF9LRzOO5sZCLCZOzN4QYSuYzAnPl+0qfJ23S1vmpiwvLTWWTlnTW2Msq9xBhXIQ9iK54upWGOy4ZP8CZn3D9aQ4BABUqBNPozve4gIF/Zpq0cWCUyDTM2rVw8tCJEZCjI/it/OOY2n++lbh6aNCCc5xJQiFQo+s+B0eWD5pJwtbAY84uuE+gsZuKoO+kALa4Igz0nRxWk/9IQycgvqUtQ8ml+MIcNW5sxTnJ8tVdT9dp6MwVFmRHUzBJqxmfQ9DM0u
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?XILzYshD/iPUSYdZ4OXxDcBq9zddCaA4jD2oCWHcoGyoCC+Ai66egKwjkbHJ?=
 =?us-ascii?Q?xUDSKhziom5xrwugxUpHjbP1AkdrbmfC4aGkC9Zq8yts44gObWuvBgCoRAAa?=
 =?us-ascii?Q?tYcOOx5LE/q9mHUhvEh/eyUkYJ0KqWoIGElCXKaj5kMCR0QSY5RDMIZIqsMI?=
 =?us-ascii?Q?Q50eTene8Gt6/HPC5mX5NcTY+QTaYOr4/F5EaJUQyue9v5pG8fkyaXQ7Jlhp?=
 =?us-ascii?Q?a6GGorjHTZqTFLAkWgaVSr1Er2LGj45ZiosQXSrmAa62quhuGsh600OavoyU?=
 =?us-ascii?Q?nanurbtckyK3BTilgfJ7nTrxLF634yPjWwp9GlnUjBF08cExfSLUJ9pJgLAW?=
 =?us-ascii?Q?3ImsTrmIZAwwuvkKRgAzC0tghohKcABCeZbyssn1MJyS25kIqQiJTEYj4nVG?=
 =?us-ascii?Q?PObzr+jhurYF8fW7uoAN8SM4daKFxNGd+PSRswaIX/r8vEY/8RSBqgPo45W+?=
 =?us-ascii?Q?VcV9Ok7FSzZlu2W8s/6ik5zCehq8HlhV4r+nYAG6UzpJ9021WNU+bC4T6F/Q?=
 =?us-ascii?Q?XRThkE+Rz5SBVxl0B3VodTMIgWneyXnT5+EYL87SHBc+vzs1fa+1BKGLFOK8?=
 =?us-ascii?Q?BYYGmw3/C0wkgKtouyA8hY9tIMSuPXCZ69LA7YI3o9cJt5BJ+RXO6cwfBJ+7?=
 =?us-ascii?Q?Q7A466q6C9i1vaCOZDOIl2agiIJTx25JBnmUdTBWIMcvsMUUA+VUiFkoJ6Kt?=
 =?us-ascii?Q?CFuvXyuRRc7eN/EkynR/ym4dIaKedRe4cMbu40p1jHHFk5T6tyXY1dFSB85F?=
 =?us-ascii?Q?Bb1Zlsdd0AO6AmUDGs18PlmEPObnMBPtX05eM8gXqKSI2AN4smKj9lBMFvMM?=
 =?us-ascii?Q?1r0mZPUfVJJazraiACI/02yC331z6n4vdWFqm+eP6cprFiJWg6N4eeIrDqDq?=
 =?us-ascii?Q?vAeapMW97gRRNmb+2pu04Xbp/Mtb8ANNmtqXztcQbxEPix8qU467oh1iXJiz?=
 =?us-ascii?Q?w4fbe65k+IrTvYrxFH9qMCsorHBn+Sb94gR+nRUx4jIo9ra0evVGzk4dy1u+?=
 =?us-ascii?Q?ALGqT80oLYPKVSz79/G2Z+VD3yFxL4mUXvbGOByaFgKz4FGeaHoRD8ObeGZm?=
 =?us-ascii?Q?J4ycbn/IGgFNnRBp0FfJGs7U9YBFml2NN0dqr3mmYsyg060P3B88QcJur++p?=
 =?us-ascii?Q?q5uPhZG2zLhAUFIGY9/woI3wLtUuOGT8sZjlY5Wa2AaNGQfjGMu+kL07KRX1?=
 =?us-ascii?Q?tOXgkziB99b8R/wew/LQzOiP3Eypigc6h5CRbGCUGrGRCbb+TIIHoHA0eAw?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: a5b49e72-812b-4204-c3b0-08dbf05715c8
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:15:02.3653 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM8P193MB1251
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-windows-i686-gnu-0.34): New variable.

Change-Id: I0086f596ea62f934745013b2c4882a7efcc76279
---
 gnu/packages/crates-io.scm | 18 ++++++++++++++++--
 1 file changed, 16 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 43e95a14e7..c080c9751d 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -84155,16 +84155,30 @@ (define-public rust-windows-i686-gnu-0.36
                (base32
                 "1dm3svxfzamrv6kklyda9c3qylgwn5nwdps6p0kc9x6s077nq3hq"))))))
 
-(define-public rust-windows-i686-gnu-0.32
+(define-public rust-windows-i686-gnu-0.34
   (package
     (inherit rust-windows-i686-gnu-0.36)
     (name "rust-windows-i686-gnu")
-    (version "0.32.0")
+    (version "0.34.0")
     (source (origin
               (inherit (package-source rust-windows-i686-gnu-0.36))
               (method url-fetch)
               (uri (crate-uri "windows_i686_gnu" version))
               (file-name (string-append name "-" version ".tar.gz"))
+              (sha256
+               (base32
+                "1vc8hr4hm1x89h997gwfq5q9kj1j5gj4pxdlv4lr3dxdb7kzsr15"))))))
+
+(define-public rust-windows-i686-gnu-0.32
+  (package
+    (inherit rust-windows-i686-gnu-0.34)
+    (name "rust-windows-i686-gnu")
+    (version "0.32.0")
+    (source (origin
+              (inherit (package-source rust-windows-i686-gnu-0.34))
+              (method url-fetch)
+              (uri (crate-uri "windows_i686_gnu" version))
+              (file-name (string-append name "-" version ".tar.gz"))
               (sha256
                (base32
                 "05g6kpdfxwxnw2gn1nrd7bsf5997rci0k3h3nqby168ph5l1qwba"))))))
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:18:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:18:00 2023
Received: from localhost ([127.0.0.1]:48225 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85Sy-0005cX-Gk
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:18:00 -0500
Received: from mail-db3eur04olkn2049.outbound.protection.outlook.com
 ([40.92.74.49]:48518 helo=EUR04-DB3-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85R3-0005PS-Dx
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:16:03 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=ZbMD10Ce4tqc0kk0WeCQrm7QEP7s+/ldl+4Fd+yGFfV3RuLTFVFHo24tEhWhDnFXCDMJt41I94AXBwUMD3Kwy9QrTItoJ7fnwDw3dh7/ZXF0/XqN/ElGB6ekKd0pRx/Co0yWcgUd0HT/y2M7QWzpV0CwjycRRlqb00U6d96GrlO7m66bv3eKeLD6s4WGMlx6lBiYUcx4rFAH1JZfvUMcrfa5EM46HwAYvThNkqVwvTrc7mqU2BOuZhY6DwuQ6jk579uaT4OczaK3Esq2X45GKwXv6GkshzZWNT2jfUjjsyZbld8jE9v9OZXvLRMZM84MUfXnwKf6MvKG3no0AUTFGA==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=iunUS+Pc5jgHtksBDpXbdx3XxazYp6LBz/VYnSxaCi8=;
 b=hzj6++OUPJwufdoC6eMIV6Eh8VAvXJbnfWCYvYngAla0MdFHN4HI7X39hvV2LVLAsZjuSJo1eCaD/E/qlev+bTiOlZy106fxLSmv99mNGeoMlr+PD3rvuRfRO5HKGr3cqZ+F27tuQeU8ZgiyQhvDNxY/mCvGLKKJhVhSpZK5YCXIaTHplmPWU/srO7xtZgRxVJi4cXWpuX7oC9wEsZwzmbjOaPVAKGp6N0FAhGR2zS6W+3ehCJbalrwJefTVksgvEUSs+2bGWElE7YkhSk/LpBV06Z9/gf1PGYkrMqqnN9GXzh6ZYuG8sBxdtFpIFUihaiGJYaM7vSrg0EjKNIvLLg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AM8P193MB1251.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:36a::12) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.28; Tue, 28 Nov 2023 21:15:43 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:43 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 62/91] gnu: Add rust-intmap-0.7.
Date: Tue, 28 Nov 2023 22:12:40 +0100
Message-ID: <DU2P193MB2132051B6FDD15ED3F0909EBF3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [vzJwQSESwSrRoxZgNEcqefTS7cnKwSsX]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <80b179bf184becc689897090f405b76adfdee420.1701202946.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AM8P193MB1251:EE_
X-MS-Office365-Filtering-Correlation-Id: cc6f6b79-ea19-489f-5dfa-08dbf057117a
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: LYEKtnbQz1xhdMs7gK37OZ/eBAEoyb1uMeWkbboCrtOtECBvPrPJC2q/W7Nem97q3CwKceg+ODunH9O8ZM1+QCI0q8wz4zm/3w1nfpqi4uQiHFbejXFsQOzjFZy6quu7aLPTyRIUqfM96D8p8XyoqQgtA0PSw3HK/38M7rJJyptFayUYSYCScecgZkUAgfd1oQvd9Lf6bXUFW2Vus5y4izkvJXRWkQurNC2eSoh0WpvEcGNwRb06et94rD9QuwbH9R8B7UvbH39r0MrjuT0v/GX4DLVi9D1oIZe7wjTOgX3Ul+ztuftY+gEmow+zH4r6w1PlTer4jnNbqKGRVQiXOuNfLLcElTIlGwGN52fBwUEKsarfNXg154rT40PUHmRwdmLj+XgrnWCszg3tBUCWMzlLINCQf1KwIk2+OGBQH3Wr8pVFlF7PigElwr+wZnYdf/Ud61AXe5LsEFPUMO7Xdn5yG2q2bXxCtH4ZMxJ9eaAYyAv5Eroeehh8ZSkrdD5a7/c7+Fai4YL0N5LUJ2sCTMkKa15fmWV4sETsPXSETfjJvOXXPnOIs6U9zmGCorrZ+nSeD2acKrc+p8ds/LW9fvBd1jez3OgCqB9KrUdv3rjzy/KpCoDqaHUjAe5l/gpF
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?OXaBLK1srap0O0D+GLsjBEUeNvWN2mrUcsCaFF3Y7fyxvIQ0u3QlQIPRJPHZ?=
 =?us-ascii?Q?aN1ql3p4KHRUL6Tl2LiB1s2i1ni/oCiI1WW5K2zofKfQV8CCxdKduBTIt2hV?=
 =?us-ascii?Q?w7GRC5UX3WZzNzqNbhcL1FGVF1CuD78RxzG8KIg98qogKK7tu0vsInn5NGDu?=
 =?us-ascii?Q?DyQGb0bBskbGtXxCJs0XC2FJB1Z2kFzRQR3W57w8vfsX4IKi5gKoDt7QyieW?=
 =?us-ascii?Q?G6FDkON5TExRewjWd8/iMIIjyHTPD0eKWN8EJLCfEQAj8rdwDxhBVycRivhL?=
 =?us-ascii?Q?XEa7t5W3qFdvZ7+l6Jg7DMxXX7TZ6GdMFg0PZvBfKh2hDtZ079zrTjwxkr+Q?=
 =?us-ascii?Q?QyAssqny2k+4Yb4k0L0n3MNIhv3xVq3LklST38pvaU3Upg9GjOiFtWcmmJpm?=
 =?us-ascii?Q?JwOdSPLhEz3xs2+qIk5zmP7MoZf/FhQzPdba1ma5EqdvBxAyoRGF8jrw3Fbx?=
 =?us-ascii?Q?GFXkYJxIOqNl7P4jbGj0hkJU6AWmB9OZr492jLK+h76EjpxRxQ9vWeFnSrTP?=
 =?us-ascii?Q?EA9X7kqO0hV8pVJrXu1zFZJkjNeDTJiXtIXTsZXGuZdIODJZ8FeAjNhMghOo?=
 =?us-ascii?Q?/eXN/+FkPxEZ9oWilRnLdVjJBez2Us6auJOU+4aWmt3fRo7EZrdlpOA3Z/Om?=
 =?us-ascii?Q?B+J84/cL+gA3kpth31WLoarKEs5t02p+FC4mefNyV9kUGaVSOjPdFy8P0fdz?=
 =?us-ascii?Q?Z4rlgzXeGrAo5kwBy8TVP998uTDCKYqyiu/fS4vBrivb4wwRf6vZxY/3UxLe?=
 =?us-ascii?Q?ioYWRJtnVYkQCxErr4jaG9ADTLndiJpcj7IhT1W8/DXEO+jj/S51971PTejB?=
 =?us-ascii?Q?JDtRjoAY/7Upp/wn88p2hnZwX1FACHQ6RmEeYtCjPfvu6d94zAmY4FGJn/W9?=
 =?us-ascii?Q?kd9XlSyk3meE4GKULxJ7xSch5kZy1tl5uZek5tKzjAkm3NCi1sj0RyJcJKs5?=
 =?us-ascii?Q?CKdHaU3hTf/cWgIpwgQ4mogP+/xm3egIHt6L8xMEbOw40xPoTYIvxN6ZEsC6?=
 =?us-ascii?Q?g/7BUcB/E1tpNrwVndWpFPqdFnXcsHUzsEW/EYdSKW61ob5Kc6d1dytkOXSE?=
 =?us-ascii?Q?iWZEhC8rH7DjIu0vUgRriztisNwDIwvNzP2/HwZmqs6zA//WMD/lmPJuuuln?=
 =?us-ascii?Q?YezDg9yd8G1maADpwAEciu6c24H+KSbMsrxQClsItJuLfMny0YeOjKATkNFn?=
 =?us-ascii?Q?UGj7uh2AoXLhj10PpL6bpwo6rpehpYs2CoI0zUWeZjtQgpRTZDmvR5vVsVA?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: cc6f6b79-ea19-489f-5dfa-08dbf057117a
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:55.2208 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM8P193MB1251
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-intmap-0.7): New variable.

Change-Id: I3503bfe14877f2e20f35d918a0d4654bd943a367
---
 gnu/packages/crates-io.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index d55ce44517..4f9d0b7af5 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -60789,6 +60789,27 @@ (define-public rust-rust-ini-0.13
         (base32 "1hifnbgaz01zja5995chy6vjacbif2m76nlxsisw7y1pxx4c2liy"))))
     (arguments `(#:skip-build? #t))))
 
+(define-public rust-intmap-0.7
+  (package
+    (name "rust-intmap")
+    (version "0.7.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "intmap" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1ffph34qfda5zxdvy2pvjnip9hgzbjcxw53pvdpcjaxc8n7z4lmf"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs
+       (("rust-ordermap" ,rust-ordermap-0.2)
+        ("rust-rand" ,rust-rand-0.8))))
+    (home-page "https://github.com/JesperAxelsson/rust-intmap")
+    (synopsis "Specialized HashMap for u64 keys")
+    (description "Specialized @code{HashMap} for u64 keys")
+    (license license:expat)))
+
 (define-public rust-rustbox-0.11
   (package
     (name "rust-rustbox")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:17:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:17:51 2023
Received: from localhost ([127.0.0.1]:48223 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85Sp-0005c5-1e
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:17:51 -0500
Received: from mail-vi1eur04olkn2047.outbound.protection.outlook.com
 ([40.92.75.47]:29248 helo=EUR04-VI1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85R3-0005P3-L7
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:16:02 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=IhUOVEdGmNLthPGAGa2KR4OFGdqmFipvdkVYeHcPgHJHqIjXdt11/zVk6xx0iaxhwGM7vEUlVLQ8Ch5r4nWOjMfOVtIUyX8YxHvpFuLTP6O4JfD1q+RTb6HJ82BKVNBS9eJcnF3B+7KEPooIT1xYKHXWo0jALVfoJWrklsoXU8r0p0JTnfUWAqF7Ws7Hy3hw8WGwI8yJlu608elWs8hk9aCrlpMxmPBT/FS4fmx3bv3rkHgHHhhhpG9cALTJSVyc4nHHdlKbctfvzv93PotiUVuBImaYyXAxCFRjXRMau0A4f9jZhckjwDugvglGFiPGpWLpHCbMfE6bPs4nbYMclw==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=A0c796G+buAjCQWymKbyly0e4vSs9db/W0IizukhmgE=;
 b=jfn16CWTcursycSF4vuniDcObsmQW77bj5gHKEjWv2V4RHF1eFGGklQ/nAsTKWMZEzRa+0mWgUpb+tQloAQrF5mWT8pzI8fSH1NJwzowF1/tIbF8vlWJaJ10vSzgeBdExKSCP4c4W/ojpd/4KDMcL/naS0wykV/j0rMXWJXwo8d57qnN+GIodAbLDFiNhdY6AmnsMbTzvYG4sIgOINIOnL7oUpYIcxxeBeGs0zJSHfdAu1RLGu6l9nlhOF0p2faDfsT4pKe1RGKox+tNLlihHwSuWNBFJiwCPoJj1gHh47mwTm65kGpa8sKNnWqgKUcTQoos8NQKo7yeqsx49Ohtbg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AS8P193MB1970.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:3b3::23) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.27; Tue, 28 Nov 2023 21:15:50 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:50 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 78/91] gnu: Add rust-cairo-sys-rs-0.18.
Date: Tue, 28 Nov 2023 22:12:56 +0100
Message-ID: <DU2P193MB2132132CB7E83164D2F08875F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [nr+0cGTe6LX0Ocg4pVpsabOR4pANqny9]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <5e15fbef2da3b42602fac3ee5e49f9bf1e1c2784.1701202947.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AS8P193MB1970:EE_
X-MS-Office365-Filtering-Correlation-Id: 5207cb5e-2f21-4c09-fd9c-08dbf05718af
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: nDSwQrat3ZIk4A81k0B44boL+s0g2HpV+ETquC4CAMjzYTL2sp/F/LUu3KNkJvp9ank1bAhdqdDZdQhkuQvNVP5WZsC0iKUAto58e0N8UnAV0lGHIQDKeZbAAv1F7zTqQEMtYYBLm/SJwv4PC2qZuHRMCBY3Rz4k12noSwxIdB0/pEadSNvl5r44yvXr+cu56nuRlq65eQrE2rTcmRqcm16habyiUueRgFdC3qQXayFjuIBdiGvMiSlfa4sYCtiC2na5/gPqo7/OkAsHDNbcyrRx0WZpjnoPieqsH0lij6ypIKtx2rod5i9pNzKQEdbvw30f79NTrgJxDjDWclqr8R8CyQ0DxFAPtXl61vnGdzZf5XzZ+e4BpnmrReqtg87NZom/Q3wdOS6yq875seagMGRueTDSL7yYBjJH32PLEA6uVm0S5PH802/njRzXFm2d943ujdpLx4IWuh9rl+7KPB2CJaN5iaQi0PsBHSZCn3Jo5N4dVxvR/17CAb3nSHBv2Iw0HjBfNxLJJs8APgIRwUlk5yUYUCRoL/JcvG3xX4qvYnUGeGbo5Ga1dLhYaL14VZqd4+Pv/UWpASH/DnUM+DLQGUMnPL27Jahi79EfiRk=
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?YTut9blGIYSUT0A5gcIJD+PMv8MY8HFReIX8zhWYsfxPHp15PuJ55pfjVBYj?=
 =?us-ascii?Q?o1kN+Wqp6acV8dVW/f5gnBvHhvFbA0SqCXGTRKFgvf/5F0PE+8Dk4UWDIQvz?=
 =?us-ascii?Q?pk6PZqJdp1qkvEA8ULjPn7zTQUOAqyDeicJkfGSx6kOPMt91TOkNV07tpf2z?=
 =?us-ascii?Q?pjhAuiwNt7oV9phSRRM6QboE3488aqh2waGHRNKHJi/QKjcmXQOQCfuFruQQ?=
 =?us-ascii?Q?eOUWpIUR9NmhlE7R5jJ7MmdrFJyzm/p9ENx1d7RG+iuVlhagIwbGD3lU2ZW5?=
 =?us-ascii?Q?dL8VeFPYcrmVapBSoAu99HIbinvARZPTLJ1ser7wLWPA9/51Zo5tRGUmggvC?=
 =?us-ascii?Q?r+MtmPyTEIx8oyitEny46Sx4AVAb1ld5LEPat6M55QRgKBTYhRlfIt4x/C/8?=
 =?us-ascii?Q?wAfsFOmohRnWvc1TfKmxutNW7Z36cpBFy+wZ6jSupC1ZY66Ff87HltLwP5xO?=
 =?us-ascii?Q?ofnXKxdQwTPkMzB6z8hNJGDSsEktE8zyFD7GSAxKUOE0Ydk0ypHnq8mPGTQO?=
 =?us-ascii?Q?y7oPj/7WPpVQRlKusk6nG815Z5BfnFes/6lsFO5bHsNfN6PZNjk09GmFIER2?=
 =?us-ascii?Q?qZFENJP7bn4tY6Z59AvZygmNlSrssliM5Z5STDr4ijZrMWptpoT9GSG0phOC?=
 =?us-ascii?Q?UqSJezA5//bKsqE1u80kvXF3fr5iWOFS12SpVLJQ59YRRsUH77qxKXRxVUOR?=
 =?us-ascii?Q?03/b+YEDbRf46RwLBnXJE/lo5UmQJtSoA1JIDaSqR9+bKdKuHPUBSWAp8iCw?=
 =?us-ascii?Q?X0BSO+wsUQ3sIr6Sllz2U0fywMEFK2+4GD+pvO758qaqM/kAPfT1b+8aS8YW?=
 =?us-ascii?Q?uvAZe49rA9d8qUJ0KVmVmhTNg9mUqlGcXwbuV5uqzEbt7Jfx6/PMW3cG7siy?=
 =?us-ascii?Q?sAaOnElHUILDnSoMcjLU5HZC5Vs2uk7C0WirhrQl6QGq3hHiQDfy0DcK+cpd?=
 =?us-ascii?Q?ajCb7PBkp5pZqeTy7JxAfYSiGsjcYbp14cc1Sj9VyyJyaLODrQxhTYom9VC0?=
 =?us-ascii?Q?jS4s6GbU7ezH3njYa3NWzJGA3iIBgL0CizA986TQ9ng7MExylRKrSPenDC3b?=
 =?us-ascii?Q?+wopiP4W/6neyw4FPQr7uZyZsWkNt7EKaYekfliGG+M9lqtlDIunHZHGPGs6?=
 =?us-ascii?Q?8xVZU0zoQk86TBnd+U9h5kV+rcDlMRGdfdtoafiME1yYULGUs7NhABHvDI34?=
 =?us-ascii?Q?IHBjlgBRTdva0rxHb3AM0WHxVfb+Op6yF5F+ENd/GM3ZzPuYFFAzMGmqx2Q?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 5207cb5e-2f21-4c09-fd9c-08dbf05718af
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:15:07.3296 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AS8P193MB1970
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-graphics.scm (rust-cairo-sys-rs-0.18): New variable.

Change-Id: I330896f186ac32ffb23d459e07e48b881921e017
---
 gnu/packages/crates-graphics.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/crates-graphics.scm b/gnu/packages/crates-graphics.scm
index 6a8426c255..4c7cba479d 100644
--- a/gnu/packages/crates-graphics.scm
+++ b/gnu/packages/crates-graphics.scm
@@ -347,6 +347,30 @@ (define-public rust-avif-serialize-0.6
        #:cargo-inputs
        (("rust-arrayvec" ,rust-arrayvec-0.5))))))
 
+(define-public rust-cairo-sys-rs-0.18
+  (package
+    (name "rust-cairo-sys-rs")
+    (version "0.18.2")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cairo-sys-rs" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0lfsxl7ylw3phbnwmz3k58j1gnqi6kc2hdc7g3bb7f4hwnl9yp38"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-glib-sys" ,rust-glib-sys-0.18)
+                       ("rust-libc" ,rust-libc-0.2)
+                       ("rust-system-deps" ,rust-system-deps-6)
+                       ("rust-winapi" ,rust-winapi-0.3)
+                       ("rust-x11" ,rust-x11-2))))
+    (native-inputs (list pkg-config cairo))
+    (home-page "https://gtk-rs.org/")
+    (synopsis "FFI bindings to libcairo")
+    (description "FFI bindings to libcairo")
+    (license license:expat)))
+
 (define-public rust-cgl-0.3
   (package
     (name "rust-cgl")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:17:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:17:51 2023
Received: from localhost ([127.0.0.1]:48221 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85So-0005by-Mh
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:17:50 -0500
Received: from mail-am6eur05olkn2041.outbound.protection.outlook.com
 ([40.92.91.41]:35001 helo=EUR05-AM6-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85R3-0005Ol-74
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:16:02 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=fuW/UdXw5ZZkMY+MJL39J8SQkcqomKVIZf4Wm1/Lk82HKAk9pzT8vW44JrpObi00Hq0oml78IxX+szZ0L6hypM49Sc/0rFohDaVZAmtizA/VqyrMRizmZGgN7Yj80xOF3c0xsFz0BPMqnTbI/UMQlCoFJ7PcpXlALsx8ihK9fxY6TUsNX0A9JJMuPUqQyWJZYYApQpaYezM5qflsb/kQkmH1+lBtzjXnzoSH+Se0isw4jvXQ92De4WTFGLdXzspmZdhfe71g7k6p5DBXsif9NQgfwW88ZiSQ4KC2H8FAyEDzBBnc+lnLZVrS5sFIVO02ToNreFjVp+TxXjZu1ozhSQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=wR3FFMYPjf5FyOhKCb4H9gwDLbgeOZuizgFUvA3FMYs=;
 b=MYpI9mLWSW8f82PTiNikKkM8Vpv6P6qgpLEFiVQ4sAa51jKj0bmFLfhofnmf8VzIOkr+V23ObqgmEF+uljfmEo0tgc3lMFqezXWKXaLb2dNbm4QPoG8Sxii14Dx7Alv70SZPx+fBRbaPZlqeXDfZxFL3Z1BwjEfCk2bAMiGrRfquXmPGJcSstAXn3LQXVaQTcELmwScEBUjiPpQiiD9H5QrCPE89LPND8MBPm7FcywrRgzl6NXYEfwFtZH08Oe8LIcYxd/kToA08JNTG+zsuZDaLrWVUMzBxUt8BqsmBqEDYK59cwGQ8kMr1RSBu4Xla4VFW1AmwamYLwAK3mC24Tg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AM8P193MB1251.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:36a::12) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.28; Tue, 28 Nov 2023 21:15:47 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:47 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 71/91] gnu: Add rust-windows-i686-msvc-0.34.
Date: Tue, 28 Nov 2023 22:12:49 +0100
Message-ID: <DU2P193MB21323DA527158C0280348F23F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [lKI0hLY7ocu0eUKfWbEl8eaBHh1UTGVs]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <44d1af8b2d936ae52c937a838ad5c6d3fb45ec7e.1701202946.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AM8P193MB1251:EE_
X-MS-Office365-Filtering-Correlation-Id: e67af76d-4b4b-4e07-0fbd-08dbf057155d
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: IgZCDUCxK3YY2HDyT4LRDHkSK11za4ddGPwpfH6deph3r/rfYca+QXeSoaJQTK9UjPQmOQQTS0I+dmS3+iLtwqSoUy4CdCil4QZKh+mL/T24w37Q7OKHkh6Sq7Cr0ZD9hzEWr2cF9l0G+Qm/5r1jLjl9YDwRnybd5FtQJ39ssa8YxkQ38+WtCv+v7Y6hDTgyMMfubaQlJjjFd2CR/G7LFprHQ/gTlEhvnDiIN1IzSfLlTXJJwtzq+ld+8uJO3wGJzpTXQJu1bAc2xJw74P6IArwsW/q3yDRmygDw4NV7ytGc3Hs7485p6B7LGwgG6o3sK3QPHg/k0GlbqbIds42/OjsSB5AKXeJUpXe4TwRa8rlFJxUm4qhSJzM93LTTbe6Lzih+qtWHM4uQJNmHYA3jMa2HJiuMyK+KF3AI1zRiaSL6CEW4KQhTWFo1p9AgBnr5bwy02aJLFngw0YPfywuZdW4GJOw3QnLSTx8gj0/87wGDalo+mzpzPT2mPM2BF0zxdN0qYaLQ1TNLRFH3fYg+z5Vmvo6QbXQVv5yL+ZDO4Y8zDJA+4C0mrQg+ODvOVZijhbncABWUiaJz5vs5Xv4fb6bJOf2bJldZlatVjM/YJjngrgtdAGZ242RZHQVtC98v
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?ZzVLbvz6EazNphRbvPoMsfw/6c9rg0Aoualqz4OXUfboCchM0Ht4JILJ9xq+?=
 =?us-ascii?Q?F5d65TNbZ5py/k73EQGL2pvqtyJZbAWGThQpo5BOn8QmSHALBzhhqv0A9Hys?=
 =?us-ascii?Q?J0Q5VeFFt26+j0bLboRxRsIYVc3Fmcf4r1hKqtuLnf2prPqLgjHWIj7DH109?=
 =?us-ascii?Q?NLgb+5FOhzRUoWIPmenksU10Y7/7D4D4zlb2p8i6h0Tuh3jZo/3bXYj8F3Ws?=
 =?us-ascii?Q?UFqxamoJt6gNuRxPVCqpgr66rkS1XzzZ54kgmNS5UQTP4iDNcRifG1Alx5c1?=
 =?us-ascii?Q?M4lpkrXgUFT31Er0ZtFT1hqFxPsTYfiqou+nj+ryc9NhJ9zLeG47vSfwlO7Z?=
 =?us-ascii?Q?5C47fJJMTPCX3M0GKUZfcNY4Z2plpyxPKal9w/VThihLEzqRRx1tE2Bkd73c?=
 =?us-ascii?Q?swyPyD3fpHV7qlbu1L8ifG2CzTy7xFzfb7UHzNNTSaxQdO5lDoHzdw5qNlN5?=
 =?us-ascii?Q?cMmadO+y//xcxKjG+7LdESvLhQnItSGV02WYiWfM/ZZHSY5KRLH2OQYNJrNR?=
 =?us-ascii?Q?+09vHlmbZKUknL0bSE5ikrceelBc52zl8uCwCOK1Fzuss8MnZwYw4kELn8nc?=
 =?us-ascii?Q?sj1AzJeer6+ic4xe7vc5L3TazKl31BXX0Dx6yimbAp0EF2xWtIn3HrJwnfyE?=
 =?us-ascii?Q?FHbBzJg0FNbxnuQlJh4rt8eKKjlMy610lyJ7KEgpFQ+V6VFJaIXGt6uUZuk8?=
 =?us-ascii?Q?I1uXE2jgapYEatPsMHWucbzW982uBU2KGQNBXsgVy3bxP/5Z12KMU6YYUjYg?=
 =?us-ascii?Q?NjkQdvGF7O4IcT1mlpjHTbBSLOMl+I7zlQUuhYKui/s3Y6BK1fLH3CxDM/6k?=
 =?us-ascii?Q?dnp1bDcyhYv0ijdu1fYsaY/A+N942e8DDu3dXAMcevc+/6p6JcNhhxBc9MBH?=
 =?us-ascii?Q?2lJh/gYxH+rkm7gbi3KKVWJE2/tH9V+pEgCcHy2Me33aqhtgpMsRDQRfVBDr?=
 =?us-ascii?Q?6X/+liLOC00G0nc/P0kVjt7YBWJTvfOEeyQ7IVOpJsdT2C+qUEeWk+JDNKtB?=
 =?us-ascii?Q?BdQxO7mObDO94YAbtzUBzBsVc5yvndRgNIEZdWfAOvuLwZTVYhX66jPjV4qP?=
 =?us-ascii?Q?QnGRmcUOiQ40ZFo1mZCYEtUIelYOZzn8C9AFhXX4ujGWi0G8c+XtybVMm2fZ?=
 =?us-ascii?Q?8MNLPAavOg0df1+jg7404da3Xxy+VvTgvd4Iw6JLci6WdFx0TOQeuMpX0x5y?=
 =?us-ascii?Q?iySKnr+hyrJPqJbpqagHovjss4xzHtV5NDBmjzZmXt6gylgMkkDLtDKsMU4?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: e67af76d-4b4b-4e07-0fbd-08dbf057155d
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:15:01.6723 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM8P193MB1251
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-windows-i686-msvc-0.34): New variable.

Change-Id: I2432297436b276469588643b63887a3270989bee
---
 gnu/packages/crates-io.scm | 18 ++++++++++++++++--
 1 file changed, 16 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index d77e08d8ce..43e95a14e7 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -84236,16 +84236,30 @@ (define-public rust-windows-i686-msvc-0.36
                (base32
                 "097h2a7wig04wbmpi3rz1akdy4s8gslj5szsx8g2v0dj91qr3rz2"))))))
 
-(define-public rust-windows-i686-msvc-0.32
+(define-public rust-windows-i686-msvc-0.34
   (package
     (inherit rust-windows-i686-msvc-0.36)
     (name "rust-windows-i686-msvc")
-    (version "0.32.0")
+    (version "0.34.0")
     (source (origin
               (inherit (package-source rust-windows-i686-msvc-0.36))
               (method url-fetch)
               (uri (crate-uri "windows_i686_msvc" version))
               (file-name (string-append name "-" version ".tar.gz"))
+              (sha256
+               (base32
+                "0mk92rzdvjks01v8d5dkh1yp9syf9f0khkf168im4lq4lwmx7ncw"))))))
+
+(define-public rust-windows-i686-msvc-0.32
+  (package
+    (inherit rust-windows-i686-msvc-0.34)
+    (name "rust-windows-i686-msvc")
+    (version "0.32.0")
+    (source (origin
+              (inherit (package-source rust-windows-i686-msvc-0.34))
+              (method url-fetch)
+              (uri (crate-uri "windows_i686_msvc" version))
+              (file-name (string-append name "-" version ".tar.gz"))
               (sha256
                (base32
                 "0wj1wi01fc8hrasbakjcq8y5a7ynw9l2mcw08svmsq823axi2v0l"))))))
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:17:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:17:50 2023
Received: from localhost ([127.0.0.1]:48219 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85So-0005bv-Be
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:17:50 -0500
Received: from mail-vi1eur04olkn2047.outbound.protection.outlook.com
 ([40.92.75.47]:29248 helo=EUR04-VI1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85R2-0005P3-7D
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:16:01 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=TRU7GJMCGLhK50IicNsC0j3rxRV+ZSQdJ23hosOUH8W06LttTT1TA1iRLyOIF+gH5kiJUJ9fTFMGK/S2dzmCeDVQEtpRBHXN3z90MAgY+Vn1hBqS8uBNkTasp4e9iyjWyEXzjsZ1SMzvNWybBu/e5bh0pGLUx8B0+uE/DtU+VxY33j0/v2DV+A8AAzDHfSxe5boZ95qN1g1Oo0A5qYRkLimC+Vlw+FhKpAFNfbYhjpoTZ+zfTpZu7Ryo3z/uk+L5Tq/BvjCwtlm/nxNdrlixcj6x16p28q7DLC6U9/Dd/jMyyukkiYfOvtV/M+QTWI3BzpMA8DQsSTA8VKTDLd5lcg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=JxEiawG8ddj1lwoIKfkSBTYmY2tNIPuAsFS715/gO0c=;
 b=V9wPTW+hu7Q/jUsxoC61vk/4nQJHuRLKvQfyDvsXtn7MBdlOvw8vGYdkKJUwOUFw0R0PqIC1JNRRsb5DOXkshKPWnbRj5M1fRvArUgIKSm2bLmTiAXm5C5aw080PXxGMhmq5JYUuIiZEqtFiQJxd+yVHADFzJ5FaiUkTrBuuIEFIJbQJ/VvsJHVnowqL5Kl7r1cAvbu8aLZFk7WE9ViC2sBfxK7kizDw70QHms7xeMYPddjLmZbMj6rzxclaqhkQOZoO0tMOTbhOuWZvcFsUaWDNqucgRzkWA9Xf8NGpg8G3TXjX6rSOjKVoLxYFDRadWkP4rjglw1BlyZfshX/Bjg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AS8P193MB1970.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:3b3::23) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.27; Tue, 28 Nov 2023 21:15:49 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:49 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 76/91] gnu: Add rust-shared-memory-extended-0.13.
Date: Tue, 28 Nov 2023 22:12:54 +0100
Message-ID: <DU2P193MB21324434C5826C96584A45D7F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [GQEqMIAe739xDxsgiBSggssDea3OQv5M]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <26cc7dee0d46169afbeb24ed3b99e4351fb6dc53.1701202947.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AS8P193MB1970:EE_
X-MS-Office365-Filtering-Correlation-Id: c079bbfc-346f-4c4b-8063-08dbf05717a5
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: YFgaeGvXj57JS71DSm/V9zaQdnKDWnBroBwSmk7pPicQyOtRxsgqoNyj1Bkzo3JiNm+IIXZ4niEiAnfRcQ53R5ZSb+t9vDRQZU/hjRj7uNG/S1HHxH6iEunmwOyZSZ13RM1hRt92IvzB+EEZE+l4jB3ls3NM5K7FnEZvVigvXnBQdY6OH67YQD4xmijB1+daxePM9CTDI39XDl0VaS1hWqVF9v16NpioL2P/pcvX/MrFGfYRqHXRe/IvHdVzhgz2ub3j4JDtCfoAI/7aS8/ebNnFXYxPOrXZWLIlDyIyIlh0uSjneJrlNwDUMJu4FDo3iQzN+qmCd3A7xATuhSowWctj7NR8vmToSMY2Phj7+XZuFK9wzZT6xfV9Jzd8BtRrzv3PDq7CXLhoehSECS7+/p5OUtdpXVwq7L14GxYYZO2dThyCf3oxDUVtOBd/iwuKnrE+PdmKGh2mXUZpQhlyA2N6oVIsr+LHBUbzLPg+Ty97oE5R9NgppaP4A7s5ceJ2CJu0VKk7V0xzwMQZ2yWQZgf/Pk7sEa8FsdIuFigTILBtG+DVCm80K4QyEI0Vl6pqq/Fik4MODF48zoZF0aVon3rAnEljUSa9/G+MZoqtGod7s5ZIBu2nowZzSFw9U57K
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?qD5KAx6a/L6uv9HwRQzS1h4TOqrjCYeW95Q2kB8SLiwKAOUN3kdxuj579yrj?=
 =?us-ascii?Q?TxPZpoD3KKLDgj9q2Xg34tjN8N9EvohWpiYtpeCN3UtPOIokrkOdSiCH00h0?=
 =?us-ascii?Q?y7dk8bDxmsISL7Czq8I22oWA4T2bsDOmWiyyvbor+gPsky/KQK7mEPM1voLJ?=
 =?us-ascii?Q?651byViYruuHJwy+v9+HcoIpvFzzYDBJALtLIHLr1Tnfewg0vkDEOeNWuZkt?=
 =?us-ascii?Q?xkbeZpnA2tr4vEYFWDgTrXdd5goithMPf2FKR2rdYVck6/SH06mRa19rQ17Y?=
 =?us-ascii?Q?S6VpqhcDe7CR1+PyRewh2ETTfEeXLteGXx5lR8ius/65YMJo31WQkJxsnzgw?=
 =?us-ascii?Q?x/FsYdj0gLAviCewwHea1tApO/bqcu6BE22uH0oqdKyXc90gW7OYfwCsleG+?=
 =?us-ascii?Q?eIrsWPSj5/UXuHh+OZUAsu5UOqviLLdDP+PlGlJiaHIvLrSIiOgaHwM0TAkS?=
 =?us-ascii?Q?qtfNMc/d1bkxUTSHROk3chhR+qzzPjYtCYcCkGrbfwMiaLcf0f99u1O5nfR9?=
 =?us-ascii?Q?KFXVaAlmu0gBmJZjqCZ7BugclK1mMzbQM8JHYE1HA/NZ/EliT/P1VZfkAqf4?=
 =?us-ascii?Q?SUigt8etzPJBml9XVdzYIlMe57r+YqVJKZ2M6lr5TPvF49sHAG5NmyRicwHY?=
 =?us-ascii?Q?sYDXq97rmgL6l8lU6jxd3tK/8Hvj816BXOuGRigbW7/dukh+RTXJo0Wfi1q4?=
 =?us-ascii?Q?cxWf2TqTJlPVwOF/4XBv2moDijpXrIqMhnifL6Bxy/QbhwR+cGFQ8WV23WIv?=
 =?us-ascii?Q?nijvAEg+K002yyoc0byQjEcrteLzk6fY0OI7TbT1k3UFLn9Bc+YrogMPJJwS?=
 =?us-ascii?Q?TxRIjaav0SOkAVXCgsxBw0Tgpl6j8WcWwh4gE5lLPSMV/C0j23V9hyKf7svE?=
 =?us-ascii?Q?o22i2S1sW+VxEZm9zAs9u2Rwu0Cfus3Sg+kZLLOcQVFgimQrNAwPHTrt9wob?=
 =?us-ascii?Q?NpCIVTUN6rwg2tAlf1iEI2oXKnibaxshsa/NCqUTWwlatP42uAwDqoZXtKbp?=
 =?us-ascii?Q?XPwqmGCBXmUnfmTM3Ku2pziChntqAOVnSgu+/eeIss1eK9K38Ve/3pp27BkB?=
 =?us-ascii?Q?4KLCC89kroswNnqY96o4ATWvfdM3vyJQ/JjHvL4/aBeCl8i6QtWeXk7BCnN/?=
 =?us-ascii?Q?O8/b4XwXxmK1hW9ewgfegnNBFBc2xfQ+WpoAGr7rOjfh3fwZp8Pb2ybuNbGX?=
 =?us-ascii?Q?Zu6D5VpxhOLVEoKcpa4bAntj3h+odCPG0f/8HSuEc+fOSVDpWvW3doBL53k?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: c079bbfc-346f-4c4b-8063-08dbf05717a5
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:15:05.8978 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AS8P193MB1970
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-shared-memory-extended-0.13): New variable.

Change-Id: I4570f4f6d0b0b0c97b41026349dfed7c4312a6e1
---
 gnu/packages/crates-io.scm | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 31efa554ce..204d340ed8 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -66581,6 +66581,35 @@ (define-public rust-shared-library-0.1
      "This package allows easy binding to, and loading of, shared libraries.")
     (license (list license:asl2.0 license:expat))))
 
+(define-public rust-shared-memory-extended-0.13
+  (package
+    (name "rust-shared-memory-extended")
+    (version "0.13.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "shared_memory_extended" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0vq8xlxlllfhmgqdbgi588a4d8dh21vrcl0x8y2lzrivkb77wk80"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-cfg-if" ,rust-cfg-if-1)
+                       ("rust-libc" ,rust-libc-0.2)
+                       ("rust-log" ,rust-log-0.4)
+                       ("rust-nix" ,rust-nix-0.26)
+                       ("rust-rand" ,rust-rand-0.8)
+                       ("rust-win-sys" ,rust-win-sys-0.3))
+       #:cargo-development-inputs (("rust-clap" ,rust-clap-4)
+                                   ("rust-env-logger" ,rust-env-logger-0.10)
+                                   ("rust-raw-sync" ,rust-raw-sync-0.1))))
+    (home-page "https://github.com/phil-opp/shared_memory")
+    (synopsis "A user friendly crate that allows you to share memory between
+processes")
+    (description "This package provides a user friendly crate that allows you
+to share memory between processes")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-shell-escape-0.1
   (package
     (name "rust-shell-escape")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:16:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:16:13 2023
Received: from localhost ([127.0.0.1]:48156 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85RF-0005VA-9X
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:16:13 -0500
Received: from mail-ve1eur01olkn2022.outbound.protection.outlook.com
 ([40.92.66.22]:4600 helo=EUR01-VE1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85QX-0005LL-QR
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:30 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=UslOSxer0bNvaizQ+G1iBJsjTO1HOQoW+4MC+Xjp1CNcuXY5SVzsWeKkxtLLIJhvuHFM06u+ZVMOjRksdsf7OD2Carm935t+vBH0myKNC+ZPZDMOwWS0Dv5wKANK5Xkayd8acxv7iAdIS8CpBA87SyotV8G3dhHStxAqrMxJbmeracxwpqTIv3yY026oia6Yj2B/gbZiNMGdCN0Orp4PM6Uf5ZOafH2/9LcVepeqPuXfCBoJgPMujq1P2gtjYlAaFoR5TAefL8DR+wiwqEbUFliunD4kQ/bOvN7RGYsnmMcqNlK2IUy0FAeX7uh7cXvwm5uvli/v7BRJjhHPT8QPLA==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=rVoPyIMORZecmPAgnW33mH0m590rmC6pUhbplfXb6SI=;
 b=P0BUSEAA47f4uBZw/ntxfeGuQNg4NKWBCHth5vXUpuiKeDJA43GHJKUNz3FLMY7tB/ECsJ0a+1eNySox4AwTb+Kh5RhY7tQfa3fYuMVbK/fsiE426OdUI2FLpBbvf2/LIDygRHsJtmaOzP1vDsQDaqNW87tXTyS6cBaGprR2QvVNhlkS3RV49pwOkwckPYueR1v95R12vIZGf092kxT20NvH4CQMJNR1Yz4tStZVss51wmwL5zkp1trLFUin1e2Rq1KX2Df6A7jV4w6Lj/E/wtNfgfSR1pMxDIYpR7E7o9lQntbriA7jEsqffk8w2yy8T1DmSD05FzqD8gGrOfvNNg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 DBAP193MB0970.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:1cf::9) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.29; Tue, 28 Nov 2023 21:15:09 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:09 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 51/91] gnu: Add rust-x11-clipboard-0.5.3.
Date: Tue, 28 Nov 2023 22:12:29 +0100
Message-ID: <DU2P193MB2132E40F57B54DD4F02878C1F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [WSZUw5gr2fDMddwXFeJC3G+BV+Og0zHY]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <7ca38ce7bd31c9cbba0af42cd14545239db46b04.1701202946.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|DBAP193MB0970:EE_
X-MS-Office365-Filtering-Correlation-Id: ecd9bb24-9e7d-449c-165f-08dbf0570cd5
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: 7p/Ie20rwLFtxrH9Lx4QJcn/t/DiCGDZ5cu6GWd29PxR8aBSJeTTiVxmR1+wLwjsw39VDkkTYMVejqNab0HFvboXkUptxKMVyjF4puO/o5Up5m3H2XwrTjUA9Wi5VoqI+6RRmwD6rqwEj3uwX1TvRYt02Z6eBpN3POSBFCsTvLSwunkwKiB00ZSwY/Ni+y6Dsj/SrhChH11BYdPEWpvmzBYstVvUwCQ74wf/IKjzfLhMbrAQgAv5vClmds3zl7y+8J7Og1zXOYdLPh8STZAneq0sVSM3uxQFHQd0DelLcWbrVPfiWodIRY5ERnslAU8nFsscqh8YOeBjj9qmpPOgurPZyCKyQbd9kzHxrhvlC9AgLjO2hlmACwiCNcU4WCodxYiCiofk8C4WKekNttEgeAAZv/+XVBzXKTDFYLoCwQkKQFbhdSgooxGv1BBaVdtuROmQndRR39XhAXaDzzVL7FxUNGXnGKb94ZKnQBcitgM0VyRaQM/cKGedcLSlHNcR5bJ1Ke5wFrX+RPsrNOMmPXK1X2m00yj8HhocLb4BK/nr6AFRq5dJ8FrFep/0hN4UeOeQyRvw6rvKDrdDe/y57xOTz0iluEC+i+4Vj7JkW+jQ/4rHlR4YrgywtkwEWZ7i
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?KPDP/1DD5WPNGzCT1saxlY+Jgsj1CTcJqeZvxtUM74FYj2Y3Ra0JYvU6HXwv?=
 =?us-ascii?Q?l5so0+fLtpqvC3lCVV8b7/PmARZTAbXseyT2wX78IXmay9xcIxRv66f6gOQw?=
 =?us-ascii?Q?blJ3MvEPtTIs7KUXqGlM3ra6H5F/lH6W8qNrQpTDR5yB3Uobkb6v9CkFyaQx?=
 =?us-ascii?Q?VCLUCip7WSDfJk8kPhAJGpFU5wa6Aw5xFRgB1Lqi3hMZjCJ78f3j+EvqzRv3?=
 =?us-ascii?Q?AwgAkZlsmp3jV1pVLfEMLKnOWX1V2wHBnRyBPBApk3jMrmEyjUFo0GMN/zRb?=
 =?us-ascii?Q?9PbjDXyfBOjo552xtsS/U8UdMJHygX6fdNns3g4FIfrk2BECwEKg2+Nk6hQd?=
 =?us-ascii?Q?D3NBne2U8flq6RbhJQHCrSQKdRLyO2hrO0yVnLUwMi1Y/IFsQH9t1MenbY31?=
 =?us-ascii?Q?M5Qcci3rzAqt/2EpVD/b5+x2PSpnrVDEk+6y0ssGuDKsxavpVlJ6eIBWBMnN?=
 =?us-ascii?Q?lfX69/q8LK5ymlAzeJPeGZXZcCJ3igQjc/tfTcnSnfdMI5ooGPexS2n0uII9?=
 =?us-ascii?Q?sqPXyMf8p9f1ZW9Swab9jK/qf8C/hqIJT8lbVxewdmou5nYloWwDOQtoH8g6?=
 =?us-ascii?Q?WHCqUPjHwBsHPmHMfcgxWcyXTU9jNTjdSV32JyOQSoaJQwuI6YfIMPVUBhan?=
 =?us-ascii?Q?bbnb6T7MRhYI7opMSuPIQGLoUjIboRFKCUO/K5FVV9+zWUIi8RuHKw7FA5dJ?=
 =?us-ascii?Q?W52BF+rf5oOI/XErjO6F/A55gFdYMaeMOMxIdk8OsrElYM4spquAwqnPxCNN?=
 =?us-ascii?Q?wWTgZGyW+pBUdN2FiRIeYMFN0mJ1TWa7+4BrHAnWM0DKIeccKm0ewI20BTht?=
 =?us-ascii?Q?Bll8G0MjYcOILcA2R8yCbUER9Aa0nyzca+S62ZrdX0BHeoz+Oypc2Uvii1EC?=
 =?us-ascii?Q?wZGvu9nRvs96u22K30k0Xpg+9mcrqAvafnTn5lxPc9MQKuP9lc4fkxsiwVUd?=
 =?us-ascii?Q?4M92oDkkDiFbJc32u7nRj/dEVei+XTv6ikc6s2tky01XHAh/g4z5HnRjbRxU?=
 =?us-ascii?Q?6AKHrNB7I00pAHx/oTEKw+1azvA5E/zQGL8Ehxmlj2ZVhSZ1UB4jfjR+9ERc?=
 =?us-ascii?Q?NubLpAZuf2zHEUnjEsrM73UxIjN9iztua96r3URjGOczexOzuvJQwoR8kAAO?=
 =?us-ascii?Q?0Oaca+7TWz3QItO2sqgJBCj4BbdfWi9ogqA/Jb9OxBjofp4g91w8TNXDEEhH?=
 =?us-ascii?Q?hbt98YKvYQfM2Od3lTFYxBTodrOPkz5a2gBmfmd+751rH7MuDGBggSmU9O0?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: ecd9bb24-9e7d-449c-165f-08dbf0570cd5
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:47.4259 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DBAP193MB0970
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-x11-clipboard-0.5.3): New variable.

Change-Id: I8d3c1b773cd4ba19388f06e15aeb27c26f66c1d3
---
 gnu/packages/crates-io.scm | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index db88019e24..245bb85a86 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -84784,6 +84784,26 @@ (define-public rust-wyz-0.2
      "This package provides a collection of utility functions.")
     (license license:expat)))
 
+(define-public rust-x11-clipboard-0.5.3
+  (package
+    (name "rust-x11-clipboard")
+    (version "0.5.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "x11-clipboard" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0g35qcmy7ayp3clbqnvvqjc7h02y9q2z294868c6mj0ap2vnhc27"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-xcb" ,rust-xcb-0.10))))
+    (home-page "https://github.com/quininer/x11-clipboard")
+    (synopsis "x11 clipboard support for Rust.")
+    (description "x11 clipboard support for Rust.")
+    (license license:expat)))
+
 (define-public rust-x11rb-0.12
   (package
     (name "rust-x11rb")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:16:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:16:13 2023
Received: from localhost ([127.0.0.1]:48151 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85RE-0005Uq-E3
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:16:13 -0500
Received: from mail-vi1eur05olkn2090.outbound.protection.outlook.com
 ([40.92.90.90]:42145 helo=EUR05-VI1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85QU-0005Jg-E3
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:26 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=QDe7n0sRncEo8nnsDqmo4JUI0QwlADOpqzLlQAPlTDp2fwXpo1AMaXop0H6/5hmsTCt9TvBEcn9Rs1dYK4SVYlR3734aLT1y6QLawVbaz32L0rwvGDSig6rPtLMXZXfuqbWwtwTeVnFAi7uTPwIeTJz9xEFmV7D2R7WN0GKvVPUNdWmgIPQpS+HeIopOAl141Ra63MgNO7mYcx4oXM06ADyiQ1xTfsdHU+1hSTAIVEWWFHh+YY9RAkYRZecQJWW/1ZEhUVvFS/xLTVJVR/xUgyeMxKOiHyFc7dD3/OssuAzVUwqBPgS0E2vSLMr0uPVIA+S+VagicMyL8N0l3Uv0pw==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=K30sDfVNWVJJKz6KEMb3Du/serHOzL8GsAfzKPrTty4=;
 b=L5A2H7IiC2XSU6LjkwDj1DJHewBon1qtGefpBzpzD8bD/KoB5brm30QYwD90j7clKanjhdZ8amZQpLn2ILY+YEl+YNqtdNg7IGq6alywgeJ09z27l+i8uBt2SdokJ8XcaAL8O1lrT0Ifu6ZcSy1sSVk3zD7pti/sximEYQC+Q1kZTbVu7hIG13FbtgiJW7rJHLhlCDQWN/KttP5AdW2FgIEpkdZSRrNRwonbXwYG5bFTjhbAdZfTU43WtzoFr9oS3xK5xnPLCw2UvGUzhGSlLrUhvqCkGjhP4BNhg59EYmUm/90RiuYOxJwkOrGyYWfW3lzs8sln1rEzrth70CEnrQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 DBAP193MB0970.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:1cf::9) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.29; Tue, 28 Nov 2023 21:15:12 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:12 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 60/91] gnu: Add rust-drm-ffi-0.5.
Date: Tue, 28 Nov 2023 22:12:38 +0100
Message-ID: <DU2P193MB213227950082744EC7824955F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [3iqz38q6RWdjS15tBB1SNJB9UmanI6dE]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <99c04857a014b857c31ed214e5f9add0fc90034a.1701202946.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|DBAP193MB0970:EE_
X-MS-Office365-Filtering-Correlation-Id: 7d7da71f-b362-45a8-e862-08dbf05710a7
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: O73x9fpRCm8vPlIl381Qk3RUl2QvzlPhDs5jfmNAh0PbsCcQoBlOi+MtC+GlkUYwW2zamZBUKPBLOssv3w2AYbI+aM0kKyrTWf89ttaZvThB+6GBjp9M2K+zH8H/fgDds7dz+6UyMqwfEVdvD8qMQTjQKt2Xgl8qicutO98wMhBXIzLfdWLZQ1M6BympRm6Y5l9irVRwFyaXYwqIJfLieOTUjz62dwxrqnTU06i9qJyLKLfBAaAEbzwQKoYHl50x6uW2hBNdQAZnGXzTYMlxoNcr2v27S3SYlEwMp+IMCBcICqDCTiXj9b6AHVm0EKTQu50zT13s99sBT8inWSRUaJ0xpY1bmQWFVh42aMQpwy/mbw1rS0dtPXa/9lp9Qi+SMfe44bMK/Yg1UxzebpGpRFHE12skA+EPKaaeyFwdbAipbU1ozE5k7sfBSG4vxC06+qM1xg9Pu+1AHQlxIUQ/K6pQ1cPMj84aVfr6ogkTm83Mg+E33L/HQC72zHx0qXY4sAsUYwVzM9/cDPsFox7NnbVpyaZ9HWbCtx2YXb1t6903ZxTKbqAya/fknTqJ4PJfHzS6NWNeKA+3im1OoN6XlCLgKrgShnWP+vhGsoCrFLYtI1ZEaFpeyhCGpsBWS4v2
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?yfLI5BkR+ztaz61DCx6HI34UrKfhwBp3TRGGLZZXYlYlwy71rmzzqc/R8Fgt?=
 =?us-ascii?Q?9D3aiAlh6tNQl7Nvy+KI6kpChF6QBySfOq8TvrIjcIiEtO0nywAndQJPr6PC?=
 =?us-ascii?Q?uYiIQrMi/1S/+30edfM890JSzPeYWe9XZAYi3K5DaZqL/Yul/oBG0P6r8a6h?=
 =?us-ascii?Q?pdqY5+g4Xwe1ImwHyAXwyG2xSNsY917+krAIPqk2B29vdt3emezmzWkf1Gve?=
 =?us-ascii?Q?cUme8tuYoXM3HLE4rWVIRBCQHxyxrp8svpCwTaukTv9CIDVMeVk9ek1CaU3q?=
 =?us-ascii?Q?8YnYG7jprZ00GdF3puVcoFKLoCvg/2NteHynbN71gZdAVkp6LivXr7hOp63U?=
 =?us-ascii?Q?mAa9/kZbaRzVaXzUR76JTpW57AcwtyMbYIxxBtPBKj5FEhxJLuqXNsbRyMXS?=
 =?us-ascii?Q?/1JP9c4fRNLZ7yfQQPtP4/52V5NhRGEdhYa7f4PiLQKWF2mPfRb4xcXpS/PL?=
 =?us-ascii?Q?bTW6/AMICHRrNplEbQq5ZbRHo22Mz3I/m+d+VqWjdnou3rPPXx4Nl7kDcjsP?=
 =?us-ascii?Q?gaIsTpAEHT6AXqxL56TkPDj8WCvwNtjG6lm4h8Wrwk/WbMv+tq5XGVKBixjk?=
 =?us-ascii?Q?Hi+qZPdVUF0hUSDsGguSyggPMWNT9VQ8xqbMTY/TI397Zq1+zi9LJilRKhDN?=
 =?us-ascii?Q?zJw6cC+CNtIGUS7mJZNsEl8I/7+D+jbZlEdNrrHZe7BsfTJYXlxofHEBLuTw?=
 =?us-ascii?Q?G13TP6nC8niYzM1mOLEfspMP24/KqIxhxLiwELcbcv4VH6LloZzV+L3+ZlAj?=
 =?us-ascii?Q?7OXykZpcKf3Ca+jzK3zjTSEm58/6XVZIq9XJT++MGCm7NMS9VVVKX4ZAyb3A?=
 =?us-ascii?Q?Oal4w6Q4pCzeFsl001pRfiH3zI42Ok4M7dkMSzIg5Xx/u84yDwqQWCRj+jNn?=
 =?us-ascii?Q?Y0cCz/02vfBd3H8zk7hzxX1uwIin29nLaKaH6Mues0DSg9R6ixiYCN6ueGeV?=
 =?us-ascii?Q?oD0AG0bRkOr1Z5KxG0NfTwJByLOD9W9iksePemgzID3DK57rwjaUZs9EQECl?=
 =?us-ascii?Q?eHXOTVDGUNNX5CW8whKoFfGcMu+m7DBufvokvElkTanSC9hwOOHpeIY4aDMu?=
 =?us-ascii?Q?2H9Oqdo4R16SRC+GQHO9cb6SRwJ3m3ev2mDJki9totWr3fRpBDNtCssI0S6G?=
 =?us-ascii?Q?9mHISK9d9qE3xFOniu15RRgeb17CynJI0EOiBAyY0UucDif9uYo2Azt3b91P?=
 =?us-ascii?Q?NuMMAh7td5hMVfzZzt+kdCKR4w7Zkp0wz2BAtE0rw6nXD5bjb13zZC2128Q?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 7d7da71f-b362-45a8-e862-08dbf05710a7
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:53.7727 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DBAP193MB0970
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-drm-ffi-0.5): New variable.

Change-Id: I8c48b3c0bfd4d9cbe853e6fb0f42bbc68ccbc1c2
---
 gnu/packages/crates-io.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 573de8ae33..c3106c0e1f 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -22718,6 +22718,27 @@ (define-public rust-drm-sys-0.4
     (description "Bindings to the Direct Rendering Manager API")
     (license license:expat)))
 
+(define-public rust-drm-ffi-0.5
+  (package
+    (name "rust-drm-ffi")
+    (version "0.5.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "drm-ffi" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "09fmv3qg5vmk9g17a3j1gjx8vf8qrwrnpvzq3f57mqlhgcdlhlhk"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-drm-sys" ,rust-drm-sys-0.4)
+                       ("rust-nix" ,rust-nix-0.26))))
+    (home-page "https://github.com/Smithay/drm-rs")
+    (synopsis "Safe, low-level bindings to the Direct Rendering Manager API")
+    (description
+     "Safe, low-level bindings to the Direct Rendering Manager API")
+    (license license:expat)))
+
 (define-public rust-drop-bomb-0.1
   (package
     (name "rust-drop-bomb")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:16:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:16:12 2023
Received: from localhost ([127.0.0.1]:48147 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85RD-0005Uc-Gy
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:16:12 -0500
Received: from mail-vi1eur05olkn2088.outbound.protection.outlook.com
 ([40.92.90.88]:3212 helo=EUR05-VI1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85QU-0005KA-1X
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:26 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=GBIEXjRe0eijYLj+R8c3GUmL95iTynfq5kWz4g4+yr9hwE9MbVfMrl3SgrxKMGNPENUSoj99G5qM/2klzgmgDxv9299ObwuQMsvUVT7VX/362rXrnfEWu1zrZ3+gs9n3Vt6l4RtEcOuHhmyQVSV9y6ljVFbDF3PqJXFkTqgVmMSWQmdomymbNbd79USjOUrWmxM50RQdoBvH+TtJmKUI+ujRkC3m6Q/Rq59r/B/sHUF5JbtZL1sM7oCo1tUdhKbqPt8FO5e0t+0meoaTksOoHL/4sK3W4BlSbIR9nDuSHPA1rBAhbzhyacSzCe4ImjceRHMO6Jfr4aVS9sVSsTUxrA==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=Ufo5WMWHNLPJZPGOVKh0ttDALfU/libav0HH4mhek+o=;
 b=VKSTfJsOZXYRJKsImPtUW7wSk75cmdfeXTmCvBD3xi6n2VlySdAlWR8TmcFdNOS0d4ccy2ndSt9Q8W0dE3tcx0Jm0SgkVCK5Ud9JjFQj7l3OkozlXhqF7JxdjjmfKJN0zZruAmRHc09Fz3/Yw8CW4NnG7Cc8/a+Zb+2J/iWxLaoWnCEUJtT9pBr+dBQmD6nEaFM6f6T70j3ynGuU9jSqbCrFW8MEbgqNmyWyjXenX7vJyl2xtg8N9pxWMJL21E04apvurTRZpkX7RVnSIqjqLGsdKH2UeiUl9CraIc+oh+Win0OJ1T2hzOsEgsbj1ztde9lURQQWXBuumCrqJZWFIw==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 DBAP193MB0970.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:1cf::9) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.29; Tue, 28 Nov 2023 21:15:12 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:12 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 59/91] gnu: Add rust-drm-sys-0.4.
Date: Tue, 28 Nov 2023 22:12:37 +0100
Message-ID: <DU2P193MB2132815CA9FE6FCECDD50925F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [6WLI38MZQMfkBeeJyHeKca9MCbr7kw0W]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <dc5663c31644b3155d25fd1bf056ab2b5d5c1e97.1701202946.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|DBAP193MB0970:EE_
X-MS-Office365-Filtering-Correlation-Id: f7dedfb5-eb85-48c4-eb44-08dbf057103a
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: ge9Dxs8ZTzLxM8TXHMw8DzzeO36ph3ZQy29K+rEEks5xUCGcFHvrDBGw5QMFZkKlA2MJxSQtvlEnKpILh4W8GKuX6ex+PgJMgB83RrGhxEwl+RW3V9BJ4Mf3bjB8OxSUTAfuexgfJH0LfVpMVkfDNpYJ04PFx/vSflMmUBQfEAGgVQkT1IKf1pVnpcniw+twdW9RWWiXnD4EITeTn6j00An8zreaEShn8bmopaAbwWAKiPmf/0LyI2dOWa3Zz2Ypts9Xd6U0Hg/rw60gdVyaf31rI8Clwr+Bz0tjWFVQIWRo41KE2buEFu9YPPKoouMgPcm8R2bT54DOZaMkhjB8iE4EpqZcDHPnG7xx6dtWlgqceNKghaB3E4n3Lz/LO+kGsh3dav85+JZAcojAJRHoP+7zbZuXz3ZYWwwsRrr1N/a8EXbiCwqJ1LQnLUvs/+9qqUxIRhNjD7Ea77ArKUoT+aL9LwwB4w+nYbgWTuKZgQ9L6XLIQcBoG4QWY2B+dvb1jbTDRTbGYnf+Mlm9f/iHhgbtEDYFviWlewFBsZ3tc/PW0Fo0vL7Mj1Rdcv42X6TXxnUTbyj2mxAqV+N9vbw0RPWyePB8pxVUz9OkIlIL9hCgn0pW9UaAYfa00rucwFc4
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?kW+l1PD/4iJM0w2XehlLumNc162TWLczeznllClYRSGyo1owz/QUGHzIsLSH?=
 =?us-ascii?Q?M78CjLjArK3sSz5ITLBKfc3j2zGBWDRBeaPfy1Vk3AaoCeCuFnBIWWbtL4aK?=
 =?us-ascii?Q?r0BCeLaSWjWM8iOBDj8m+9ctCTBt4RWuX0pZ6y1cXtbvyreyFDDDbtJurFz5?=
 =?us-ascii?Q?oUG2fiqEttl54m8vz5vwMKkfM0tUqwTWXL7FdyJ0xbbaaCrhKul4ztrrMyVy?=
 =?us-ascii?Q?l0p5gKtejGw8a0vN4j4mZLTyDMcSEy3oA1LRMEC1YhWw5p2JCWYCvKEAZ7Cn?=
 =?us-ascii?Q?accL9T7erGQd6Rd/o0fYeaGdvOEji+XD1NcDmIDoXVjO4kQ3gMVIOcmPfhIR?=
 =?us-ascii?Q?nhxEza9vlXhj2yFJ9zqXi5cnhIi2C1dsZEhb1WCbSF0B6MoRnfkLwl/yHBLS?=
 =?us-ascii?Q?QLQmeChyuRRnEuMJ6x4WfD1RQ48n7+KISkAJhq6AVe/Hu/3mkaJNXiZsc0wx?=
 =?us-ascii?Q?Hp8oEO00PWSrq+C9sew9FvlIDZJQKuFGNvaRWn6LHC/valj2lqf/AYmJ6Biv?=
 =?us-ascii?Q?GBIjTXlfBAwSOm5BOctwof35i19KMY+koeiPjQKq2wAfGJSfC/SreEjT4rHZ?=
 =?us-ascii?Q?q3iR3Ec/jqNvzaj6dyMGrmLYc4PenCvCkEefY+QiuyqkOBmgpuv+T+xmT6Go?=
 =?us-ascii?Q?OPmuMNs4X+aVnTggIxWLVfMuNsYHSwJyGM70OEYHsuxQ5JR29VPE1he9OMW0?=
 =?us-ascii?Q?jDXmo0oG0vtYiQGT6YaUVyOv715wQX/7KEAPKHp73wd/BCfAYH9UuFd1hI81?=
 =?us-ascii?Q?2YTeNu9BL/9BbXIPooTP+5ugbZfPkA7WVe5d+ZMk0e58+ysByUBRZjtR9xPo?=
 =?us-ascii?Q?wFCLoYEZU8I8D6g4E0i+xnz5x0YGjok5yhIYnRUH8tsHgt5MvBIQITnx8Zbq?=
 =?us-ascii?Q?X7GkY65HG5P/cDMG6jNWErexvrXM4/wgcY77RDGvHPDTN8yyuat5n0V/prnK?=
 =?us-ascii?Q?GJQUHRMQSXH56eIF2CcC9AHnc/fGh0/+1NWgQUN4R+ffyEnlr0gzbWtFxnin?=
 =?us-ascii?Q?BpQ/IM2pXoogzJAiXWJ6QVs8w6f/8yz3yzv0bkKwthSERzBGLHwoNKf9rnAa?=
 =?us-ascii?Q?ZKmJinkt+XYgodymqPZjw/4VNPKnpaZGUsPt7OuUXKEEd97mzSYY3vjsnxjj?=
 =?us-ascii?Q?k1YmhB0wWXFRPGSGGdar7hhjKLmy1O7Uh0gPYq59H+9yCYBt7SXh8Tu4FNaV?=
 =?us-ascii?Q?D1TWjEDAECfKN1QFWADwRdgSdW7tCz74+HiivNkbl0NwA0u3uX3AGiVq42I?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: f7dedfb5-eb85-48c4-eb44-08dbf057103a
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:53.0796 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DBAP193MB0970
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-drm-sys-0.4): New variable.

Change-Id: I1836bfb72b54529d51552ddd4eecbc23c161668b
---
 gnu/packages/crates-io.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 26029b94ce..573de8ae33 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -22697,6 +22697,27 @@ (define-public rust-drm-fourcc-2
 Rendering Manager (DRM) format fourcc")
     (license license:expat)))
 
+(define-public rust-drm-sys-0.4
+  (package
+    (name "rust-drm-sys")
+    (version "0.4.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "drm-sys" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0bg4f95lg8hb10las2cab55wghhmqh9hc7jc9hinsw3bkmkz2s8k"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-bindgen" ,rust-bindgen-0.59)
+                       ("rust-libc" ,rust-libc-0.2)
+                       ("rust-pkg-config" ,rust-pkg-config-0.3))))
+    (home-page "")
+    (synopsis "Bindings to the Direct Rendering Manager API")
+    (description "Bindings to the Direct Rendering Manager API")
+    (license license:expat)))
+
 (define-public rust-drop-bomb-0.1
   (package
     (name "rust-drop-bomb")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:16:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:16:11 2023
Received: from localhost ([127.0.0.1]:48142 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85RC-0005UC-HU
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:16:11 -0500
Received: from mail-vi1eur05olkn2090.outbound.protection.outlook.com
 ([40.92.90.90]:42145 helo=EUR05-VI1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85QT-0005Jg-Q0
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:26 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=g72q510DkRVn36YIA5S8IoGAAKEaKjpjM7KX/ZNaPF/MOT2XEAF5/JZC7/88MHKKLMcUUQOvqaAiPd1HS1GWqAMz7GRZ0uv9M63DNBKyc0O8I+3TY9nhg4ByjOe9qRsUwVTdtqt6MdjZqvGeUwJovdQL+hZaMjVvZ5yUvUB4CKBMeQM0evXlPwN3qYCu7gKxtofHwlchaErqXoUUKH0huK0Zv9jpJEjz/e8H0ORuuErO0tVHm9JchKJo9ozBXX0JdoCBd9jYhMetB+XtNKhzoo1EL4Ypzl1VHUQMwh3RhlTzGn7G0YK3B6pV/iWTRvZpPj5zuei+nJHivBEV5P2PVw==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=HjCJyZMG9MWi2akQitXX2z7I71pw20LI25368vMnl2o=;
 b=Fit6AjKgzCSeDZyxsm3yUkx7A61GUAptfCkYrbA0bGqp2TB8LSReYzdchE5qNq40J6Z4WsAjayEp8nvUcMeRPKsEMoQJA9dx1CxnVuNfjVy8dkXnYYW2zkrnv7hZRjQOv/6XbfhemKpR/ZRFXBKXUKERbz6jjF7eEg19YP+iZXFXY0jsiv8W5Kovo7Tsec5UsaG1/oTeX+8HOaHHiIeyIkBzbNh2eEecrHLZ2gI4W87NQ9sxsqjnWup2f8PybQpEasZDK46kbiGVWsMx51VA8N8Svgg9j2PTbtZTIVGpXWMea7eXXmCI8XymQB3wXgFydtZ2nzV4PiRqDX10fqAKhg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 DBAP193MB0970.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:1cf::9) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.29; Tue, 28 Nov 2023 21:15:12 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:11 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 58/91] gnu: Add rust-drm-fourcc-2.
Date: Tue, 28 Nov 2023 22:12:36 +0100
Message-ID: <DU2P193MB21326C26768210D998FA86DCF3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [GqKpgH8MDrcq4FRKNPJmrs/Q4E70pVgz]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <938e5fa04c9ce84672f97f8b6718f03b36a02ae9.1701202946.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|DBAP193MB0970:EE_
X-MS-Office365-Filtering-Correlation-Id: 7fe7cc62-1135-49b2-103c-08dbf0570fd1
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: kLjW+b6gcLvrFwRtUCpxcxCMatB5e+j0HR4TLZiGwWa59xl6uS3d2RdOZ38tKEuiRefJWu1M9UZNtU7LSQcfciGL99m7hqmQeF2KkoZv1FUjDAcIiyqswJ0xTIOAzO8SVmPae8vVlWJGQGPNCfCfUelxOAN+rQV1JFb1vBFYvHsNMJMpDi6zJzmMK9pnaqBkNp4AmLw2/wJFeCSBquHa8idDs0nrGhIL25/ZqfMXxWmOjaRcAfoHP3ujZovnK75QttfKK7o7VJZp6jSDOl4UfmkK4d2Z7NM5ds0nHXK/pviIBW57wGaQGHOJ+GuO2qpGYsOqXuQmZuIoEjTVNbC1+6n9vLxC5ZzyiHAWC/vAU5ZW/PYyZaComRG8sbXVb5qelBY3IAWkFmGYZ1YsXY0PHxLVEUiU2PKcpAylmyb42rpVFSR9U7rpUdho6P4TCUKWx1MGkvjW04NeislJDepod0eFmXRm1DoND7LAeJzSpv++ykmtLE0JqbNlgzH0D6d6OiVNsYuDhX39v0WaoDFphqnCQlhBIFenFspLCGefbIn0sM6hoMLgRkXLKrTgDkPD1Oxx4SJ8caSUF2BltP2JGiTUHye9wva8+acIObEUDN7ejog69knOnpGgQhLSVcJo
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?0eZatf/iI/ux1xlaKQHYKKGS6/kVdXKMd4fA2ciw4IZPm7XhktYZytSfJ18f?=
 =?us-ascii?Q?4iKyiEIK7JlkT3lNkR8OK21ZJrU0egtbLtbsDXvyfkCK9eaPrEkqO/KLJHZD?=
 =?us-ascii?Q?Q6iTODIq0A0foUGdjBoROdCJmyzMVhrAz/VX6uE4nRsCpQnKywGfu4bbAXWC?=
 =?us-ascii?Q?/B4CBdqmdEK8NGr3aUQsMTG+K7nLIJe7y1ucE3oAkrYvThvZaTIN6UqtGuM2?=
 =?us-ascii?Q?psapFwdYERg0OQwZGkB5oHJnTTB4SvnCr3YC/IfV5S5m5KS4XLc3nEkGiVWT?=
 =?us-ascii?Q?9h8vlnAHxxRW+UqGRNq2vlAfvuT8i002Ng4gLXmeOV50sQLsqEtb9yKyqOq4?=
 =?us-ascii?Q?7IaAJqztEOvfEU9zzFDY7sos539wGJ3ycbxkEy24l8ffhhJ+fgwjT/z3b6TZ?=
 =?us-ascii?Q?xHmLkgIqYQeti78yKu6JyP/iGDK9pX7MX5sQyBqIQN4ybWRix3c5WdqX3hzj?=
 =?us-ascii?Q?zAKzPLYfNLQS/yOfeVDMp+yNc5atIbvsPfoQc2K2H8oeuaNaTgE3z/pCT7Pk?=
 =?us-ascii?Q?lljy6dTWhP83h7sZL1PxbmBgeOXLKzc8/JgklrnG5sg7TnzomujJxQwTDHm7?=
 =?us-ascii?Q?+m9hD0sNwLL4M+EJIAKepcHMlDqKT7763Uhv0XwWPKaYWj3Y8k0wJkkbw+D2?=
 =?us-ascii?Q?Ag7rUWmxzq/N8caPIDZ6EQPkMP4QxMe/6J7j2pZ3hK83DHA3vIHUmX7S4Stn?=
 =?us-ascii?Q?4AeSffOhmWXqvyI+uYQKAzZzloLUuUs/RsJYNElIwTLrIkoBR/kf+TYJqmep?=
 =?us-ascii?Q?T6hNmTzNMv1PwFcYoQbgTSdLhdwh10YjQXy6/mcybGbTS64wsD8CeDGGnyya?=
 =?us-ascii?Q?VLJ0RQpB+D8vLdkH7ujVql2/Ki6XFgwrB607WjFVZ7/wFJuYy8vxioKGMvhF?=
 =?us-ascii?Q?CXnnbPd0MxJT8Z0EJwGjTXtICeFfFmyzT4Eb+BrtmiSQSr+Ukiea2pVALD6D?=
 =?us-ascii?Q?7N0LE7b3XqqfmZxJwpOVa6Z5VLNnsu/yFkSFdLeyE+xpKxkXN2upibGx8IbC?=
 =?us-ascii?Q?6gFpjqHnQmCxQFHzlqvNZ0JOgr1ZRafcBaQAGKbYb4z2mpowNFUehqUyPcJ3?=
 =?us-ascii?Q?+wmPBTTqryEF1Pie+h0POvezFRcg/nEHDYZB7bXrxQX9uRJJ+kZhmWavOlf8?=
 =?us-ascii?Q?KB/WtbzKfqXJ+ajIeE/caUvp2IHzmZTF8f1amQkNHQdvDHSn3VY42vMnmEYr?=
 =?us-ascii?Q?7z+D4Q3HGj0KerOd+6QkX98U/Wl9zbsPclohq7uSM82vbuN+wquxrqv3wpw?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 7fe7cc62-1135-49b2-103c-08dbf0570fd1
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:52.3548 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DBAP193MB0970
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-drm-fourcc-2): New variable.

Change-Id: If0d279709a29f3d0920ae17a60368b841d505afe
---
 gnu/packages/crates-io.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 78703b8bc3..26029b94ce 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -22674,6 +22674,29 @@ (define-public rust-draw-state-0.8
     (description "Graphics state blocks for gfx-rs.")
     (license license:asl2.0)))
 
+(define-public rust-drm-fourcc-2
+  (package
+    (name "rust-drm-fourcc")
+    (version "2.2.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "drm-fourcc" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1x76v9a0pkgym4n6cah4barnai9gsssm7gjzxskw2agwibdvrbqa"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-bindgen" ,rust-bindgen-0.57)
+                       ("rust-regex" ,rust-regex-1)
+                       ("rust-serde" ,rust-serde-1))))
+    (home-page "https://github.com/danielzfranklin/drm-fourcc-rs")
+    (synopsis "Provides an enum with every valid Direct Rendering Manager
+(DRM) format fourcc")
+    (description "This package provides an enum with every valid Direct
+Rendering Manager (DRM) format fourcc")
+    (license license:expat)))
+
 (define-public rust-drop-bomb-0.1
   (package
     (name "rust-drop-bomb")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:16:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:16:10 2023
Received: from localhost ([127.0.0.1]:48136 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85RB-0005Td-9n
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:16:10 -0500
Received: from mail-vi1eur05olkn2088.outbound.protection.outlook.com
 ([40.92.90.88]:3212 helo=EUR05-VI1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85QT-0005KA-7d
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:25 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=cDc0OL4Hxo14wtNwkdFz0G42y2KoiCfVBwsd9ZI/cCS+/1L59a+UwnO9UHk5pnMCpPxvmqmmtMUAZyPtzzIejLHks8dCyxI9AUZSFSSy2DANlIrhm/n930kAh5BI5cWDwTw6oRbd0AHs2OzQPeTr9KQkM/+HDJQWAz1LQM42HtVOtKrlvKuk17HvCtDt8L3RzjMIDj/7elmx8GonOYrDWHiii9ymX6twCFmVWe5QhQRL0+ESP70M4bKo+Sq2G6O88Sel9n1zm1SOcC5eZriXfbdc/82HZ9uTQeo+edXvLxtnZekzGQde1WBOYew5qO1MmgE9t6qGKcdEYjUf5W0BJQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=rjUfqYKywwREvOmdkjZY6HiIpc+ZUoSx9W6yOHd3iFE=;
 b=PLtwu/yeJgMI3302dXydbZmzb/DuArrvXPpC5akGwyA5703x79KYDXGv3YXOvj/lfqHdCQ7Cs5QgNTe21/pfLCNOOEy0/phI66aP/ZsItJ5BQX9SQL/+GVdkiB6hG96wiz3kdAEQ+f8YH2WFUXy/llYe+Y9gmTfUqDaZEomOWd789mUnKf6hP5ZYQvulMyU+9s+Rgb1wpvQr6LbmqyfJmWzdTkHTFD/tk3WcQfj0eg4lwwXOfnQqXZTj8zIYRCAquCX278rBMUNs2cWFfI5efFOyfXokXBL3ygNWYRwwi5KxO15hKoZlOnqlRdQ3uGVskmGEqa6KptHeae1KONjqyw==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 DBAP193MB0970.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:1cf::9) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.29; Tue, 28 Nov 2023 21:15:11 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:11 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 57/91] gnu: Add rust-raw-cpuid-11.
Date: Tue, 28 Nov 2023 22:12:35 +0100
Message-ID: <DU2P193MB2132C05D77278CCEEB5C208AF3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [A/ujVP/8LzHUPayQRcSMsEcwZMdJ/Wbv]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <148ff088d9029614a4e95ef4596e6751aa86f98f.1701202946.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|DBAP193MB0970:EE_
X-MS-Office365-Filtering-Correlation-Id: 2cba19aa-d885-4a02-cd23-08dbf0570f63
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: nGITfdwVr/li/Ro6C2zXUtWf2fWd6gWvy/RJMhbxZgt+5oRqBF9P8sQpv6Q2GuI/cHXJ7FMgMkek2Swoodgb2hHY0nz2Crjn7j8sUZBRF0u+ct0ksyBKoWLpLO5h56JMxtVzfoo2OfJe9U0vLSy0hL7ClfaEdCJ1rUpkiV3jrgs3icPY3xOIXfCSrWEqB3xfz+j8KbjEM5MbxF5JwdlLkUgXhWySIvLdSULEPXew6/b9mxY3C/SGQ/fdbYGfClo+dm7O8K9b4wSKeaFk6XJmPNgDV9DfMQaQdEmtuaFnZaRauvr6DA5OD8x0L/PUpfoQ1yiV5AD99ODF/gOKFhTSpWdJqOd2yLjSCrDh/jfmj7IgrZ6tGlyzJR8kP1UE88I1Znj5tX2fWDdqWUNegE43gb1OPv5egDdYnz7OewXkzmi+NOtrPugomJA2QdcYLKf6fcKmpZCCX+4kVhttWh3+MjxaQxJ0OK2SZD8ieTi9FTa9H20MdezLH7LUnEMLFHjVX32nNTyqrOCvIKdq9Yt1NWwWoVqAq9PP23wUddx+szfvMHQJOlFKu4KDGV+NcjUtUNcedpQFplZ8pHeLBx6MhzsMQs7nx4wjZ3X6QRuZch7inOOwRDdbqZykqL0H/tFf
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?NJ14LSJNLW5HEjSn4vC15bLDwKyTO34K8pmXT5N0RNjVXrwAGWoFkkBV8xo1?=
 =?us-ascii?Q?FvPoxGQeUEtmJs6rZFxJsa4MOOEhbMICNUEWerEBxrPRfthuwiGQSI+OoDvo?=
 =?us-ascii?Q?ZAC58g5I16OSNS4Wr/9jTZ/sCQwceXYbt6MOSGtbZCuKEuSIySbCFrjk1Vka?=
 =?us-ascii?Q?QnpCfJQ1zJjaYVel/2d++by9XLKytp4PCPp5tahwjbCHhftOTebY/V2QHzGR?=
 =?us-ascii?Q?E83hTs0boR/hgTtPpiJxqGxXxCDvLJga5A/aTfYe37ohUT1ekawPk2zxT1MP?=
 =?us-ascii?Q?Uzew5pPzmo+fjHjN2/MtLCA0bKzx9AmBUgmpDcIMt9Q66bLcAAetNKqI192C?=
 =?us-ascii?Q?jyxaC3esQbCVieLS+tyUhv7mVlMMmqj1ExyP3NCPTjaag9sciMZfllAkz2KA?=
 =?us-ascii?Q?ttuU6+AEcXzgJwsoWcrXbQeuupqQES8PCz9qsHddAp8XDpPBJuM3OX7SiHG1?=
 =?us-ascii?Q?ti8cx2Ad+BTdk4Npax+g5HxsoKW3R6rdTVRDqt57YhSNH67UkEG+YsNsHCkA?=
 =?us-ascii?Q?UqpbMn/xSaOZyavSPpKZmMtjvLp/hsT0tGMtGaKko2h2Af20yP1YU7dKtzrO?=
 =?us-ascii?Q?clXx6omV7FYBAlPTMMGn52k9aomWCIDXB+IGwLqXAp3zQ2KAFudX21Ajuimv?=
 =?us-ascii?Q?T3lL5qJmxQnKoN91zC3qeeJ4tz+/nxHlIgW/X8c9tEsQX2N4dBaYU4e2iHpc?=
 =?us-ascii?Q?iLyUuMvqqj1+TQ2RrHO16D5xoOY0PHS38PeDA59CMIR2vTjIxSxxcH9Op21b?=
 =?us-ascii?Q?bPWgPIYp9aVcX6Ra4wjwHhIlf7mQ/wSS4Nq8+rukz8MuEMi+pRGSZrj9exbB?=
 =?us-ascii?Q?kU9wFxsvkh48U/zr3Lldpw4HJAr/XCpAG1v4Zlx33qUKmeW1jHOlFOZ+STw1?=
 =?us-ascii?Q?R5HQelxw2LDZNFju0o7lCo/hUvRRmJiJ92IOhvNCj8uxOYRkwmeDxiJMZx+h?=
 =?us-ascii?Q?+1S3BcuhDPnILpVtEJvtntgxjV6X6VJ2sH9QRe+197cmPrfGycvHBFbkUldz?=
 =?us-ascii?Q?S5yj1+mU/8XRYECx0dIdOoKYVjtiF0vbSTahNuMxoO+ljFgKCeH2ipYaawC7?=
 =?us-ascii?Q?8jh+ew/e1lGQOG2NNZ3oW0QHXKGS3+EsH48vSB5zeJP0MlHt+JQhcYuaJV0n?=
 =?us-ascii?Q?vguekwvdKaOAGjWuXsgq07xYrCdNvl1ICgSQpsYCHqnNB+9xKm4DayHM2Gfu?=
 =?us-ascii?Q?MEguMQxCQ2SqB0tJfUe0DiR4g53/9YdDUh5c8GLlCQZ9G7y8Av/mkLUZTWs?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 2cba19aa-d885-4a02-cd23-08dbf0570f63
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:51.6583 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DBAP193MB0970
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-raw-cpuid-11): New variable.

Change-Id: I630dc7ab7a225dfdeafe0c13e3669d61dbb33791
---
 gnu/packages/crates-io.scm | 45 +++++++++++++++++++++++++++++---------
 1 file changed, 35 insertions(+), 10 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 0ac92014f0..78703b8bc3 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -57111,8 +57111,42 @@ (define-public rust-randomize-4
     (license
      (list license:zlib license:asl2.0 license:expat))))
 
+(define-public rust-raw-cpuid-11
+  (package
+    (name "rust-raw-cpuid")
+    (version "11.0.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "raw-cpuid" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1wfy57a5qd8yswyw8cqzvv1v9nw7wqh1lygla52w8hldcg2ag1lx"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-bitflags" ,rust-bitflags-2)
+                       ("rust-clap" ,rust-clap-4)
+                       ("rust-serde" ,rust-serde-1)
+                       ("rust-serde-derive" ,rust-serde-derive-1)
+                       ("rust-serde-json" ,rust-serde-json-1)
+                       ("rust-termimad" ,rust-termimad-0.23))
+       #:cargo-development-inputs
+       (("rust-core-affinity" ,rust-core-affinity-0.8)
+        ("rust-libc" ,rust-libc-0.2)
+        ("rust-phf" ,rust-phf-0.11)
+        ("rust-rustversion" ,rust-rustversion-1))))
+    (home-page "https://github.com/gz/rust-cpuid")
+    (synopsis "Library to parse the x86 CPUID instruction, written in Rust")
+    (description
+     "This package provides a library to parse the x86 CPUID instruction,
+written in Rust with no external dependencies.  The implementation closely
+resembles the Intel CPUID manual description.  The library does only depend on
+libcore.")
+    (license license:expat)))
+
 (define-public rust-raw-cpuid-10
   (package
+    (inherit rust-raw-cpuid-11)
     (name "rust-raw-cpuid")
     (version "10.7.0")
     (source (origin
@@ -57122,7 +57156,6 @@ (define-public rust-raw-cpuid-10
               (sha256
                (base32
                 "0ckkg47m8wbdinqg4z4dx7ipi3d7fjxdnrwzikx70x46rdwpcabc"))))
-    (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
        (("rust-bitflags" ,rust-bitflags-1)
@@ -57135,15 +57168,7 @@ (define-public rust-raw-cpuid-10
        (("rust-core-affinity" ,rust-core-affinity-0.5)
         ("rust-libc" ,rust-libc-0.2)
         ("rust-phf" ,rust-phf-0.11)
-        ("rust-rustversion" ,rust-rustversion-1))))
-    (home-page "https://github.com/gz/rust-cpuid")
-    (synopsis "Library to parse the x86 CPUID instruction, written in Rust")
-    (description
-     "This package provides a library to parse the x86 CPUID instruction,
-written in Rust with no external dependencies.  The implementation closely
-resembles the Intel CPUID manual description.  The library does only depend on
-libcore.")
-    (license license:expat)))
+        ("rust-rustversion" ,rust-rustversion-1))))))
 
 (define-public rust-raw-cpuid-8
   (package
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:16:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:16:09 2023
Received: from localhost ([127.0.0.1]:48131 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85RA-0005TE-HX
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:16:09 -0500
Received: from mail-vi1eur05olkn2090.outbound.protection.outlook.com
 ([40.92.90.90]:42145 helo=EUR05-VI1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85QT-0005Jg-4Y
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:25 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=jrzrtq3oWiwqxMJItR10ZBKY0syCGP5GlPhAfziwe8hfu2Tg3pQReU8+XCs2rJ6s6LkSh3eT2XkYUV/x2z0rKZxXy6O/+srml3NaYbxsEIy2xdScoqQOo+cL1HFgomsC21Djox6nbQnVuKWS9qpY+//Qthb1m8i1C1zE8GLoXWW30XbIIU7P/Bwli49zKmhPYTmInA3Nr4DLSRNYzWMVCu8aaGg2/Ir6Ytysi+NeBJ0thxknLIoPpclTpP6w6GN/eAPbRQjuVp+R/wh97TAOBX0PqEH8LB66NvQ+aunD9u86/eXgNcypUv7ZQL6raJrKSJILCHiEn9mUkXuIZn12QQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=ioCFFrEhNDRm/NUaVRDaPPi2/oa7cyQkvJ8kotFNYZY=;
 b=SdGYGmfKwZ5tEncwigNhc5jpXfqcIaMECUGu1Sq2NQ9b/SDC3o3D0CYeEvDQVOp6Pa9xa44ZMsXLQSKH0Yaph1ry5qPBxLilLBMZJQmxCJipLTzmjzyOtmBoFLDe6WtvmHLV/hVS5jTXifukO3QkZVZ0guncFprTbU8wyJ7IjRmYapKE/7WGek6R8yHBNjZ+4qxnGt/3nrDG7jvIi/swo72ZbL5LbmSa2wmBScpwgYYoKEpPyZw0YAtucu6B+yV3KfVIqU/e6MHwVHgwRgesqHuwwP8yHUTAx71WOtJEI1IoPKKdoPzGhyxBklsKXOh2CrCjadeBBfFRM7Sv845DLQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 DBAP193MB0970.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:1cf::9) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.29; Tue, 28 Nov 2023 21:15:11 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:11 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 56/91] gnu: Add rust-raw-sync-0.1.
Date: Tue, 28 Nov 2023 22:12:34 +0100
Message-ID: <DU2P193MB21325C4E14AB595EF02739C1F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [o0Du24C6d3/0Ur0zUizVnsnVrM2YkEKB]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <65b16d8109a82747cb0a6a4e6d7ca405b0add289.1701202946.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|DBAP193MB0970:EE_
X-MS-Office365-Filtering-Correlation-Id: 851f90b5-3d52-49da-b50e-08dbf0570efb
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: y87i6IiSk/JeTcW2TsfD+zXccIvT1slQjr0T9wa1VNovv8j9vb3lFeCiuOvRXTxoswRwgbfpmbrCJaywruojbZe/2fM51hxLEVbOV0XiHfpRMgdNDNKzA8IiXSzPiJnfboKzMBC8UBjcgmdjaz8B+HHydEcr+NDgYMc1ScUMUlQh57L4S7iqd5SU9S3RdIznv0P4TVJMT0qiKrSfjeiaD+bSrusPdtZD6aoy5LLQu2HQQzGlkY+KS03ewEN+x/EQ5DRqtpdWK7zETd0GlMPwzS/XkLH/Gb7PRf2pS7gqxkbdusNcdPPN+jktuJPEfJ0SsqiMeUmKKytT4Spem+CjNfhWbYgiwmt5R3b1Fv/WqfC3CPP56U6ZIMSMbE5ApoPUbdmjhZUCU/zDNiEvtoi5iCG8ZscE3jWkaFdQi7ByaRNJ4CWglqULaYp4kQju+H8LDoEw0u+lnvfcE+DilIgDespsypkZxIi6jKuzyb+LvZwrzdvY3Xjqh+G6Nl1DJwqj5rciXsxQPuuS0Qpv9ao9gR31urS8uq9zTMy/Fxvm4oFygDbw5epOsZWe32mSH0u6esgoiXvZqy2dlBk1ZMIrQF9JPCy5P6Dptc2NC77canmu2483iGHURBrkCO46IVNL
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?ZPjYUVjF0O7wwuA0unIhewQeaqNQ3J9Wtyb3LK0VXXTsBXPl4HRWt9iA44Fd?=
 =?us-ascii?Q?QHEPZqly08Jq9grlpjDczDQfbBhg0JOdinTEMZvOZfFU4gcahVO72jvBsmh0?=
 =?us-ascii?Q?MFA8r3ndFIbfhSCedyKYZ301imJeRc6bN+BMMokGanc/cbxg0Lvt6eDzjEQi?=
 =?us-ascii?Q?OXyBeamyyyt2CuVEEZesDza0ukwT9x9VUTL2aOKAjcDHosOIq+d5AhFgvyCk?=
 =?us-ascii?Q?2PCosKjXU6+bSh3G45YJLfyKCxJpOvQjo0uIuQZONpMtRT0tZCu9PY1A/IRz?=
 =?us-ascii?Q?kOltMDtLtLxYT9XBdf0lynnr3E8FfrJObS0pdZZRmf0wf5KYMqFulfrwe6Xi?=
 =?us-ascii?Q?a6chTSaf9Dc0KTLN3j9RmQZm5KzHTdjsvdQFd7lfmyxPk4XmrluG9/kJOoVO?=
 =?us-ascii?Q?lBtm27K0FWEbEooXp81YcWjnujvw9ZJhbKRm6kKGShtHKeQ7e2+0XmNwNcRH?=
 =?us-ascii?Q?Vrn6YMMmMaTgpocTUfH4Qb9kkNVexFYI8th2T3v707L3jHqyzYuK2n8ogeDD?=
 =?us-ascii?Q?186xbAgHPMH0moKoege2ck21pMadjAMbhVxZCCMQf4bTQ4XZTw+VJ9KHs1f7?=
 =?us-ascii?Q?2jKyic8OFMHXKQ0C2P8ZdevcpXYu9SNiVafXe8W9fCvbNWNZXNhDzAlUyr+f?=
 =?us-ascii?Q?hn86Nlq2bqBeyQRClGA/VmlNBFJ4aKx1v8f0qfsjHjPKyBEy9ZXae/3qMvcQ?=
 =?us-ascii?Q?olFC12pI3kovvISDCYfwPS63DU4683tTBMszn4e595mtH1Q25Q0UWOltunF0?=
 =?us-ascii?Q?nfOV/w7feHtr9BWqTNyHUli9yqm5WYgs84UbkFN4nirecatRrtHQH3HJueDA?=
 =?us-ascii?Q?j3gDSpMzZTlZhvlCTQToEM6QKotyj48z8QshKvFmMm0rzqPtwKbsxqUhtrgm?=
 =?us-ascii?Q?tYRMIU2Xznt9NYbfiI0nw6UzxUwMTB8YB1dmakDehWaW5Te+X6YW5X3esMgU?=
 =?us-ascii?Q?LrH+I9+89CpsXyMKvz6tj9uW79uSn+5RM4pFPxvmTwqlaFL93oBqFy+Male5?=
 =?us-ascii?Q?7b4PEY1UJ0bvxQQV396o+yQw+p5IfAIOPgGXOm2w0Ru4Fe3wjkdm938yu7Io?=
 =?us-ascii?Q?4p8PF4qnyyacjCYy1aXaIpTpkhx1NY/cl/gl1RG50mVc2ITWKkw9ZjvcMjQl?=
 =?us-ascii?Q?nZcAOeyDQhJ2gyPg/tvLuq8COQ8zn1dOhB/8xxTR1W95s8YP+QyjxZFz2ASs?=
 =?us-ascii?Q?NQlpCDILPFvNgSNA96MwFpHrsrTPT7rB5ymyms6BbHA6KgZsQkmc5OigmFM?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 851f90b5-3d52-49da-b50e-08dbf0570efb
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:50.9586 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DBAP193MB0970
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-raw-sync-0.1): New variable.

Change-Id: I180a523afe6eb84ad6811da207851542f08e9d82
---
 gnu/packages/crates-io.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 3a1279a49d..0ac92014f0 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -57169,6 +57169,29 @@ (define-public rust-raw-cpuid-8
         ("rust-libc" ,rust-libc-0.2)
         ("rust-rustversion" ,rust-rustversion-0.1))))))
 
+(define-public rust-raw-sync-0.1
+  (package
+    (name "rust-raw-sync")
+    (version "0.1.5")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "raw_sync" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1k48aq0xgdgh2zq5mzj44rk136jn0111d584qx8hm60zavivsd1a"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-cfg-if" ,rust-cfg-if-0.1)
+                       ("rust-libc" ,rust-libc-0.2)
+                       ("rust-nix" ,rust-nix-0.26)
+                       ("rust-rand" ,rust-rand-0.8)
+                       ("rust-winapi" ,rust-winapi-0.3))))
+    (home-page "https://github.com/elast0ny/raw_sync-rs")
+    (synopsis "Lightweight wrapper around OS synchronization primitives")
+    (description "Lightweight wrapper around OS synchronization primitives")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-rawpointer-0.2
   (package
     (name "rust-rawpointer")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:16:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:16:08 2023
Received: from localhost ([127.0.0.1]:48126 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85R9-0005T0-SQ
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:16:08 -0500
Received: from mail-vi1eur05olkn2088.outbound.protection.outlook.com
 ([40.92.90.88]:3212 helo=EUR05-VI1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85QS-0005KA-Gt
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:25 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=SL2CzeCBfad86zg3uoHC22+md6iwPO0nlA31svkpn2NP1mAh49B/2FDy+kRBv2TJUIGRqBF6wa+n6+s422/eK8ppFttX7I/WRb2gZdGsYP9Vj8cjjVbOijTbli0v+NLX9Wm2ETczlp2K6+sCnpr1/be3EgYCNu4eE2MnWqXSX9Yp7b/FqfCjhascihHceLanvTCIaHOF8YXzx1Fp/ihBTh1Fj4jllNfh78q+hY1riu4DNkoiKE9UdUpmaFBRGK4o00gWprABxi8JW+T6/Ppm+MCD4hceyhAA48lxjsD0RUUBW6/Vya6ZGsncaEMYfOFwNTkiUU4A5bcIbxK8osGAGQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=jsMDQyvfQ0y9WBl4iZ8oLVOZIbPS4A2vqaNjm33LGus=;
 b=CXuvBDCxpxXt/F6VNxrdVa6QVoqOsR+fHrolhZv3Va9PqEQCaA7kMglX7GBqxyCqFAqw+q+Oq/rRyMevkVnODsr0YVhzmEU9FbRNFyTxrAiPhzqh/VyVXFQYb+AlAsaMNzacwYRm2FO/SnEL+ealOiq40vC2uVtbIyLuftZIL2b6vfvywgi3lcjkExyYLYcDKtjNAWMfR0zoC26wOki9tOy40ZOSl71e3icS2haReofiMwq2PPNNIqHXxoy3FT/P+0UOZHp0gzdoCjDXZhaoixf1BTKJm/6+Qo9YZoMaqRTbOLkbqfzurAXRtbLWxrv76sQxIURIjdDAkKq/PnNeCQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 DBAP193MB0970.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:1cf::9) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.29; Tue, 28 Nov 2023 21:15:11 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:11 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 55/91] gnu: Add rust-core-affinity-0.8.
Date: Tue, 28 Nov 2023 22:12:33 +0100
Message-ID: <DU2P193MB21323358834B1568F5E29EB5F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [tXrEESi4BIUebkbawJ64t40lRtOBtpHB]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <800c18ab41c02f071f6902958485d59a20de74f2.1701202946.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|DBAP193MB0970:EE_
X-MS-Office365-Filtering-Correlation-Id: 79dcf240-8aee-4f8d-f466-08dbf0570e90
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: d3Dmng/xK9PN0vu15jX9XqwzoSthzZrbrzmQ/et6EZvIuadAixtLV6mwhzlJBt5URaTQfGH+QR409ormoG2GIiI6oEmJ00WhRlLZ0DzQRVSXBekQqhsAs+VGDEXZBw8sUDLP5WUppWS758McWSvc/Zp28uHU2kcLYoMBUw6WccXzQlFEMAUG+NSM+OPaId3+1h+4mzS5jbzoy2ItaNH9VNrL0W+penyadvzfYPqAPExjFuz5iTJDYv3Y+R3M3c15Rj4Hwu7ydeBLTVDYEBTxfVNVyf3JhKogNiraBUI8MhUUxkfXA8ZJ4tYW1jpiC8AVyUYbPocYPJmdtiOUkxeDMi4/tdeYWpm8kR+a3GyEGZrF7EqkSWomV3gxxAVee/L1xRsy4GJQCZOVcbbjTzXPscTaHTKorF30UqC/XcXqfLbMse8axTPRADWOqLg2h08l3PfVyrI/QjIKTs7hIIor0DNTJKM+8zwfpeuBTfC+4pN8OSWH2s4dfu7JamWJ6moFYJBhFC3YUwubM1QB1Ud0/8KFMkog49bqVSYY/q1XsVjn1rZ0da2c2x7pu/hSXMAsm1JqwwVC7eNRHAMtJlX8nvkeEFrr1mf3+VRnBMGBptACaIQ/d0+Y2ABZUMUcxLK7
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?YLPmCxbKCwBOQg6OKCpjMtCwgtKT/cNm7PaX5+ogEO975ppHX0ug/i1VyjlE?=
 =?us-ascii?Q?bFxIr3QhZhboyS6jdz07ZenuDYfPvccdhX/g3hZ18y289+oY4KL8nkQoCJOi?=
 =?us-ascii?Q?Rfu6fLyFI787m+7Jw3lojoBmZUydmOklqmipNrC90p6sKu281RvJJ0jD+IX8?=
 =?us-ascii?Q?cm40rC3eA8KW16t/Ic/w3smzlDj7g+JULgc1Tc5MibbXtZ+ZTS9R4XOuVdKr?=
 =?us-ascii?Q?dk9zn+YV3UMweBPXsjgQE88CtMcashSvdnz79IkYipyanPR/gmJo+qjwOxbt?=
 =?us-ascii?Q?l2YS7W7jDrOoY6HbrEj+4YAOJXKlZpr6T8vpjcTJGWWXYpFkE8vnouwbml5g?=
 =?us-ascii?Q?hKQ2bQCY5mNqp6ygPtOnbf5XeiQh24/ccDYu0nRZ76XdIv+mIoTtzVSBgd16?=
 =?us-ascii?Q?ZxlYoUxYdZhPDDfJrUpgmN4BhkDTzGyBIhLAU9DScFO0Qsy+GmNoac2e16HO?=
 =?us-ascii?Q?URoQRJMNigxA6xEK7Dm0O6H4LWfqxZcTZLzsjZi6bBmQHDMeMoNi6z1m2HvM?=
 =?us-ascii?Q?ran8FCigeq1YbQOoHqRsS07OmAldHdJtGZ9nlB0Euhkj/kQSgM9G5832dnJ+?=
 =?us-ascii?Q?Tzw5GU6Rnfv4UZdBLnU55Rlu+LRSY3eGa+LUGZyHCAaT7cJ5C3dbvowncOmJ?=
 =?us-ascii?Q?vi6TaJ8F6rxP9kb+VrCE53Dv76AjvPTi1vfGSiVXrbLn9N+TneLB5cAZs3JI?=
 =?us-ascii?Q?wh/nElaVhSIwt4RFPEk/hAhMMp98LD4S2uFrFkIO+ze3Xcjj3EwJu4p+avSd?=
 =?us-ascii?Q?gMJrmYFeHfSFd9+vq0BbYQMGyKtEuPHIxthQnJ3wZpf9zccnZpbiVV1Z+9UW?=
 =?us-ascii?Q?kP0dcMw4d84yksUXkNCrsVGgfNebAtordfahjzIVjcbLK1f2rsOeadaKbDvp?=
 =?us-ascii?Q?CSMlVg4lP7Tsm1ElUv2rT/xDhoLgkPWQr6MUCEzzljj9I2uVOsBASPnxZaqi?=
 =?us-ascii?Q?ajmrMtEJzFin/eSAD1K5RA20ZOrzNJanuiYC4PTEpNEuRW+UswqNQ/456vHm?=
 =?us-ascii?Q?AWaTMf+9KDlIgBTd0aBXr758Z7ltltdvSEcQpk/hXUs8G0YXv8/sSG8qH3ho?=
 =?us-ascii?Q?amKaju6b1IiQ+7790sSERpFVGkPExkcM7VlvVK7jZ+bbLsAvlwWXqIqzOPNy?=
 =?us-ascii?Q?aub2sQvsj3UIznI4mE/xx6jNowXLlhxZK5KQFKAjxaCsiOdeL8FEB7Izxqk1?=
 =?us-ascii?Q?mSnH+3DYGkSUFcaxgItTo1EUeQus7f/1RvLTS/0icAseDExPu3HYrD8M6Fk?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 79dcf240-8aee-4f8d-f466-08dbf0570e90
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:50.2719 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DBAP193MB0970
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-core-affinity-0.8): New variable.

Change-Id: I84ce578d8b710a6a1d3ddfdb3feeb91a5c363d33
---
 gnu/packages/crates-io.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index b904bf0453..3a1279a49d 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -15754,6 +15754,27 @@ (define-public rust-cordic-0.1
 numbers using the CORDIC method.")
     (license license:bsd-3)))
 
+(define-public rust-core-affinity-0.8
+  (package
+    (name "rust-core-affinity")
+    (version "0.8.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "core_affinity" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0113rfzyvjpl1camxnrf92pn9vakhn9zqvgir0wgrqawcgsr4a32"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-libc" ,rust-libc-0.2)
+                       ("rust-num-cpus" ,rust-num-cpus-1)
+                       ("rust-winapi" ,rust-winapi-0.3))))
+    (home-page "https://github.com/Elzair/core_affinity_rs")
+    (synopsis "Manages CPU affinities")
+    (description "Manages CPU affinities")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-coreaudio-rs-0.10
   (package
     (name "rust-coreaudio-rs")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:16:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:16:07 2023
Received: from localhost ([127.0.0.1]:48124 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85R9-0005Sj-32
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:16:07 -0500
Received: from mail-vi1eur05olkn2090.outbound.protection.outlook.com
 ([40.92.90.90]:42145 helo=EUR05-VI1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85QS-0005Jg-Dn
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:24 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=ebbTYaK2QoYtU40BZeQMZxtz0tVDVtqBpy0xYMd6fW+c6kLoF4WKj6UF+l3FMglRqeGtfcSYbdsFK1bn/HDZRfXAqaXCDDRsOWxKprkd+R76pohVvy5JPUVxslocZAw46iJDbHVBLG+cRhNrwB8l+h6zanHwn6ZLpibNqNpk7io+1rjwwrYIlsuDrYm+PSCQGcBofY3DAGzbHhDp6dC7cCbaNNef+qi2755/0qyAp7SFK6RIoiN7RGTEcBC00wj1Y7feZ7rB48xNNg6riI5tEy+k75sFi5oUxwWR8TL5IxSKExNXdk6CIcwuImEjT3CWUCkeb8oXrbGPyJYByF3xKQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=ctjxaJ6XMTiBDStrJLyRkSaEGd2u6G8XcN/Lzd/xSsE=;
 b=BTbnd5YR2UjhefVy0tDDaPhm0mnZKds6D9XBdEcl06oeXdPKdsudAd2XFNRZFeJ8jOjO0ZDOhOCF7dA18gwlQorHIWqL+OQzOHKbvqNdyCchXq6n60fLdGRKHnlFx6Tb8kBpPZYyfvLWwdbRgq43bwBEt9XAtI/TTEYNf/KJTXUsRywHJC+JF2i6TD6/T2+TfTjdDexdrHKwddjTFB2qdt+oA2VASUda6vIzz7EkdsFqdiNyfl9+i42bQZ7z0YgFduwWuyOOiDciTD2IE1rOCIz+gAZ1Mr0KXKX+iDeHzJSd4tfyS37HeE5Ijhn1bo2khnDqXMnbpeuPopQQvHMsBg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 DBAP193MB0970.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:1cf::9) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.29; Tue, 28 Nov 2023 21:15:10 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:10 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 54/91] gnu: Add rust-termimad-0.23.
Date: Tue, 28 Nov 2023 22:12:32 +0100
Message-ID: <DU2P193MB2132F0B249A246D24A338B73F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [hULoX/+gKXEIcs1e0Kd6IgWIZmY3VZDf]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <29c0c01707766441d622605466e4bb5178450ee6.1701202946.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|DBAP193MB0970:EE_
X-MS-Office365-Filtering-Correlation-Id: 37124440-ecb7-4101-10aa-08dbf0570e22
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: u/TBAfMS0dE6S2yA1gmfM/EEsS27xE4MM/oBHkaK11G7RF+QigUoxyL0t49b3EfwKxUK8bZ/OnmhA6nWVLKa24vpYdvUBkUnxrcfmpqHA5WxAPKnW+8TII+4UP3aBSH3IUH24MnxJ7ITrOpw8G0KoqANjMYhyCZF570I7rfanwxK61R2mivBb1uxe2MdKYS55NTdtyxJbWdSt4AKVNRkvIBIvs1p/7FG50NQre7bcdXEACVGVAlvHWFdxdBiyZ3EC6aHwsbj3iQLSPy6jLQScpTED2Nlysc5TK1s9fE6KBbDkL8QFejba03jVE9BvmoG9HJyJ77+ztxaKKLuNcpPHhp4HIBlx1H4vrkDS7TlODlRY18BXMHeVzTWZIvLcpJpK0QqGaWnd76FwDO6X7oyTLi4FKjkAbi3cmE7pdonKOi7mysBVT2w0/lIaB3zoBp7mbWoo6fXUmYjWjRgI2gHNsCdwF7tN60AiMUtzmlwghTkg7pZAFvi30Y+LeqpZlv+MjG+QNQY/fCYIQc5U5iWjHX4Z/62e0fyWq8Vuq7xlgw9b7Acu//a585fkALraN6OgBWF5PbRsNGtS1uf3l/l1K3PuQl7H4VR2L0P2OoCsCvMaDmN2CdYlex2q55u7UqD
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?n5ImEP9xrL6wraP9zdV4qvPVG8/R7dnBNecyTyDDZKLSbUeG8ZV1Y/+d4ARl?=
 =?us-ascii?Q?RoQsXEYKQtn6/Di6JBIYduaAm1WDwhtJX5JFiI6qMicgsPqROHxJ8LK+7ejc?=
 =?us-ascii?Q?SGGRq8Vfbcx71MYiCtx3ImYLskp9aI190ZcUAkBKq3zgW6FM3K/+lnhi/K09?=
 =?us-ascii?Q?VCppmAamATR7o/qRffpllGZn9fSpRKme6t08S9jxNZFBhpv08FC9UGE3zCWx?=
 =?us-ascii?Q?JcrMiVAZBB/4LAPBsJNtL1KJkWqqx1UTpCJlavCLhcFWnXIomqVEbG8ZrQYD?=
 =?us-ascii?Q?XgIyakdUhyfUnq29L1SIly7vs/34R7jidf/7JI1HoE0B63LJNj9V8VKhsrLx?=
 =?us-ascii?Q?DlTyo2BoIya8yYNhabt4ItGNYnXwaGgnWHfbApKLLe1rPgwJlqXLL9LLzKxu?=
 =?us-ascii?Q?gG7ixxZwbIl1GImO/omhGvE5nvKXXWf/Gp27/7oGbq4WCm3mHUvBQICSEp9O?=
 =?us-ascii?Q?+x4FJ/DxDzh5NZmn3F0fQcy8dlCPn2xBz4Abn7eDsUKOWtJp8whKyV5tcc5a?=
 =?us-ascii?Q?Brkr0BXl9petctcKkfcBay6DL9oNmYf67GMk9gVHhcPTiGzeWocHg77e9pJG?=
 =?us-ascii?Q?Qn/UTp20ICal+wZkT8BYZpTq7C4wGB3phX+Xnes0iXi534/UtWyXc3pl+H0r?=
 =?us-ascii?Q?7kIA7o6K7VwyOwFhEVPfH0zMSfqCRznhS6o42eCvtCnfE4TQasm8mjHCZlP7?=
 =?us-ascii?Q?fpzeDZ7akbWMDGbBQDKMzzhdaUUhooT3hBj11knDY7HE0Dpnty10PUmrjHOE?=
 =?us-ascii?Q?GAYQ8T+S9Z8PW8l/FEQwQ3wmAAJ9fs2EFxC3q23BzOVYQEZpw62cGeIqQ5pD?=
 =?us-ascii?Q?rzUcWeCjTuyO/EpwDWLBie6KN7zdHVPDpeKFalqPgMcivo2gwmK2PVEMXSMv?=
 =?us-ascii?Q?urebOBsV0KXFKJLWzZ3zGosIBPwW9wE9OrxPsOjqotKo0J58YSC0wXB9NFFW?=
 =?us-ascii?Q?rtELjg1IKdvFOS+ou6viVN0D0oLiEfuxUl/MBcftJ8a0mUnJ/Ns52XXw93Lz?=
 =?us-ascii?Q?WBcKAKVVYuo1KXQdo77MrMu4toQmoAqnhco6S/7X8RKNTdnI6PdSFtJrOIuF?=
 =?us-ascii?Q?GAI0SQ7UzvAl00iKxbZ+aYQ4I+A/hmieX+XPKSaAuVMaYAAw56w8gmk97mqD?=
 =?us-ascii?Q?LLQ966huyf0vjgr2KV46MP5Bl4LitYxkf0mSufYjoqUg/4Mp7aAF6+MPh0/A?=
 =?us-ascii?Q?/sv6iFthyGlfl2STDcSApQqxPUi2Z7kf8MlUpRfE60lZOPqhBkchDd7ytbw?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 37124440-ecb7-4101-10aa-08dbf0570e22
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:49.5484 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DBAP193MB0970
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-termimad-0.23): New variable.

Change-Id: I39370011db1df264a7deb3aa53a030074b211491
---
 gnu/packages/crates-io.scm | 36 ++++++++++++++++++++++++++++++------
 1 file changed, 30 insertions(+), 6 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index b2ac3b8784..b904bf0453 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -73454,8 +73454,37 @@ (define-public rust-termcolor-0.3
        #:cargo-inputs
        (("rust-wincolor" ,rust-wincolor-0.1))))))
 
+(define-public rust-termimad-0.23
+  (package
+    (name "rust-termimad")
+    (version "0.23.2")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "termimad" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "00i29vky1fard6vm5hdbmyc6iv63igp8v59iwjkwslpwk4qqhcif"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-coolor" ,rust-coolor-0.5.0)
+                       ("rust-crossbeam" ,rust-crossbeam-0.8)
+                       ("rust-crossterm" ,rust-crossterm-0.23)
+                       ("rust-crokey" ,rust-crokey-0.4)
+                       ("rust-minimad" ,rust-minimad-0.12)
+                       ("rust-thiserror" ,rust-thiserror-1)
+                       ("rust-terminal-clipboard" ,rust-terminal-clipboard-0.3)
+                       ("rust-cli-log" ,rust-cli-log-2)
+                       ("rust-unicode-width" ,rust-unicode-width-0.1))))
+    (inputs (list libxcb))
+    (home-page "https://github.com/Canop/termimad")
+    (synopsis "Markdown Renderer for the Terminal")
+    (description "Markdown Renderer for the Terminal.")
+    (license license:expat)))
+
 (define-public rust-termimad-0.20
   (package
+    (inherit rust-termimad-0.23)
     (name "rust-termimad")
     (version "0.20.6")
     (source (origin
@@ -73470,7 +73499,6 @@ (define-public rust-termimad-0.20
                '(begin (substitute* "Cargo.toml"
                          (("=([[:digit:]]+\\.[[:digit:]]+\\.[[:digit:]]+)" _ version)
                           (string-append "^" version)))))))
-    (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t     ; Cut the dependency graph
        #:cargo-inputs
@@ -73479,11 +73507,7 @@ (define-public rust-termimad-0.20
         ("rust-crossterm" ,rust-crossterm-0.23)
         ("rust-minimad" ,rust-minimad-0.9)
         ("rust-thiserror" ,rust-thiserror-1)
-        ("rust-unicode-width" ,rust-unicode-width-0.1))))
-    (home-page "https://github.com/Canop/termimad")
-    (synopsis "Markdown Renderer for the Terminal")
-    (description "Markdown Renderer for the Terminal.")
-    (license license:expat)))
+        ("rust-unicode-width" ,rust-unicode-width-0.1))))))
 
 (define-public rust-terminal-clipboard-0.3
   (package
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:16:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:16:07 2023
Received: from localhost ([127.0.0.1]:48119 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85R8-0005SR-DA
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:16:07 -0500
Received: from mail-vi1eur05olkn2088.outbound.protection.outlook.com
 ([40.92.90.88]:3212 helo=EUR05-VI1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85QR-0005KA-Jo
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:24 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=KipR9LB1kBSXvFVyuUU2Z/YyXxQoOhDuRF5TyVU4rMDvyQtmHE0pib33s4isYCTrBY9gDCW5+GgTk7EhQaOf0gFGIqk8SVXWv7O1EyIsxQ1SakCs+yKuofTLvo9ArwlS2igTDo7Ebcvzrc8p1VOBnE0c+dxsXlfkWCNRl9b9//8CBkRAPVuQ0/Wh/+BAplHHSzpxq+wJju8NHTT8kpxDwNDLkiq94LNt/JL5ITkFWzHeYRautZAfLahb95z43eWqLvHii9y/y3f896yij4EBwpfkLM0DHRBFTDfyO0hdzysbQ722XI4txK7u4oJes+/9ln7VxCADJ4rLdn3LHFk+SQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=yDGRGY2+VWVTt/gjJCBxq9Vp1usQAq01+uo1XwMcNW4=;
 b=JgFR9sQ2h1nvF0cOYDF1/8wix/9pafehrChmQYPUhWKeXzUObVNBsD4EWJ4g+6Ip9D5cVYnRqvNQf9v2oUZy5EDGwvxyf6StiDy8tyAkLBmQLnirk5P/TSvTh+iQQTajOjOPtnEBreVaFDzCq4bsEHfr4UZX44eb6NuBFJsQAi+fUxrOqYEDCGkU2C7yJn8QopUSFV4ZwX7IeVnFEFpeBXe13x6viyRzHXZbHtuHjFgZnZ/JxrrUxblqb6Jw+7sNi/wDp3e7NBts8etevaIfptVDaAEDJXvmQs2YlyLZzm3yw67Dwlen80R5014U9NsIDXBfM6+XaQoYYbZxU6Kj2w==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 DBAP193MB0970.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:1cf::9) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.29; Tue, 28 Nov 2023 21:15:08 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:08 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 48/91] gnu: Add rust-crokey-proc-macros-0.4.
Date: Tue, 28 Nov 2023 22:12:26 +0100
Message-ID: <DU2P193MB2132700324F8386C513D77B0F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [sDGeJCgoF06G1616aB6V5lBjJ32ksjVq]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <151ea428a42d0afb8625ad0e007b825b003911a6.1701202945.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|DBAP193MB0970:EE_
X-MS-Office365-Filtering-Correlation-Id: 6b3090e9-23a1-4ba6-1dde-08dbf0570b91
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: mgNsyiC8DYVG+cGNYz9bc39bn2uuUvNK8D46YVcImsM2UjlX2cOeJIAKOcNfaSdJKpzn5VrtmEDVQ2ETYhZzpdnwucMXAFRC9TFGf5T4SOAp3Mk6qCG8y5ZYNUHL+T7LTsJ3g0xnt2dhFac9W0t6ryLTZHX3nsk8dP1g08jIkqAvDK3xIaB1xhoDz66ZRiGDEh1q4T2RbdO0tA4FJucl5XGQ/0Q5O2IrW8IHtJu6sx+zmKl7T/VEsvHd43hTtsb3sANEpCM+pspT15Pz8TcjzuJkuOYd7v2f6og0JLUQNrWEdUaaMe0n/CKemN1hlzHa6xC8w7qxEL0XB2I4cBsWeW8+Xzmpb1sJbrpF+RjaYMcEy+cL6hFWNLeEBJ9l1ZyskgEPfujL4Z8C67sRelORAbTHc7EvGZQ9Jr8ndkscTKPra8yLmkxiSljZdRPCO22eeOgd1MxFAO4kPQZOpXZXwN+2ZfJAMcKSTzAzxqXPP0e8EA8FTB7Y6GpHSKBmcevZlGReAZqDiyC9PCS+1jYjKurShFwAvFEAFzjOC9QeGu20wZI8jtPkEbnhowOfE4wtgV+RpXRz844bK64+p/3EhnwW/Jo9OzSNky5kKcvnHbmbpn0MInA25VD498m6I8g9
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?vlq1LyubgflTBxi15C9KVEBmksezlyW9+hu/Q9sAxt0SuSTeAo0PsjTPiuIe?=
 =?us-ascii?Q?qKUhFo9aIlOApUxrq/78quK1VJQMC3vC8+8DpSO5+Au+AoBiAPiJbU8kLe1t?=
 =?us-ascii?Q?e9DUtJesnHdJEvTLgz2FaI+fcQMGWGb3l8rxjPtmnDmkI32Y7TcIIwhLixvA?=
 =?us-ascii?Q?mSZfogdu6nhzncRfvP3emaAio1f3/zv2JOjdpyxQNNr5kN501i8GGeKvGQvS?=
 =?us-ascii?Q?6zggKfFB6ZGRWje2rbUGEjgVnrm2kyCsDyJN8AI9kUpEfWjYCO7B1Fw6cEcX?=
 =?us-ascii?Q?0ixhG1cH7Dckeo+t88uaWYqCwXXhKeIqP4SBDJjfbjJxymCZKh/d4YLfqKyS?=
 =?us-ascii?Q?5csIXbooYIljMbCtNLG26l1xLdG73RNEvGhNa2M9AbpqEfS5EiSR6A6AHT2z?=
 =?us-ascii?Q?uTLRNLEk1ixPcRmSZBKQeb33xjhuiqHTqAQpC2UbQ2VIPPbfZbwammSIrKlq?=
 =?us-ascii?Q?vbdT4p8rsPcduMf5HjfvuHN/WEgAmUzqJWkL6muFRzfHBIegXR0Gt0MlcIZZ?=
 =?us-ascii?Q?h6o50lWS89H3Wa+iYzU8WFOnOiFr73LpIoPVXPV0ZrrhrUeEkPxsNONcgx38?=
 =?us-ascii?Q?i8ME1u2MUOYbzrlL8goxVVmBmFqIdnMQeRGJ1W90ptpU6eSK04bA3oYdHtIt?=
 =?us-ascii?Q?vXZhmwMkous62dIjZh1eBfAXnJsqAFHLvioaEQKWhJV4KnLW6dJbGaHcOIbF?=
 =?us-ascii?Q?TTw2JL4eGpS61oA2m7diSmdtAX8U1WlCyYm8c2yBMmOcP2aYhI+4DAPcqrLY?=
 =?us-ascii?Q?x4hMp31Q8ukrHb2sHT2cHJ/dUBxijMZ4wppk79ap612VbAsu5Vo/UcuWUO0h?=
 =?us-ascii?Q?jDbOmXpg81WsW/j7GEHGUyKCddsls+SSpV82AYoalX6O881zrrYsmzNYi7hE?=
 =?us-ascii?Q?eC/lZFT6DzSnK/D1CKN8CjTXA9ttKs0atVSz/IU6+v2jaXAiZJ9jcc/VKLdz?=
 =?us-ascii?Q?ePJ/OvGnhVHJqSVMJoiZQwXTXh+aiCdclW1B4m9ti5CKSIxyVWfz9y41JydG?=
 =?us-ascii?Q?DP1ybCUjLrjymS/bNP/wQejRytihCBqG3Jufw55e78yuvyrqMI26MNdO8eWS?=
 =?us-ascii?Q?m2+zYYCo8xgaYSoHQ81X6s70tr9jzcg1diNAeMdfvLGeCiwRKdMawSUPEAOu?=
 =?us-ascii?Q?L82gVXhHnocaz1ROBhhacb9S7d/VSwLKDYDRsXtnDFB71AC9OdBhcSvXq8D0?=
 =?us-ascii?Q?H7U21q1VzR48XSJtxSgdTA9KQCR2upqznQZpFGJ6/F50TOYwRZtdcFTc8L4?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 6b3090e9-23a1-4ba6-1dde-08dbf0570b91
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:45.2299 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DBAP193MB0970
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-crokey-proc-macros-0.4): New variable.

Change-Id: I122c6fb23c34ffa2e872ae318d28e4d372493822
---
 gnu/packages/crates-io.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 598af20dfd..d767e5e792 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -17136,6 +17136,28 @@ (define-public rust-critical-section-0.2
     (description "This package provides a critical section abstraction.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-crokey-proc-macros-0.4
+  (package
+    (name "rust-crokey-proc-macros")
+    (version "0.4.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "crokey-proc_macros" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0y5c874c2ah3lj6xmxqj0wa06ib13xpajc6gzgrwm291mbpk4j2d"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-proc-macro2" ,rust-proc-macro2-1)
+                       ("rust-quote" ,rust-quote-1)
+                       ("rust-syn" ,rust-syn-1))))
+    (home-page "https://github.com/Canop/crokey")
+    (synopsis "proc macros for the crokey crate")
+    (description "proc macros for the crokey crate")
+    (license license:expat)))
+
 (define-public rust-crossbeam-0.8
   (package
     (name "rust-crossbeam")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:16:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:16:06 2023
Received: from localhost ([127.0.0.1]:48114 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85R7-0005Rz-F1
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:16:06 -0500
Received: from mail-vi1eur05olkn2090.outbound.protection.outlook.com
 ([40.92.90.90]:42145 helo=EUR05-VI1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85QR-0005Jg-Qn
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:24 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=bsdBW8knA3iwJMes/EoXJqNZ+Un/HZg7rFi3d3IYfMwg+Kyi4hzL1sA0n3VBrpEMQ8LfroGsZvCZRstpJRrF5D4RuZFHfiUVJl2iv3dDaLk1B1AM0WEQ1Bzi0aB8or4Im+jDgv+jjNYb/Te+ifTJXURkC6lQ8Z5/Ma31bruXXN42rZhhZGYeLixodXYFjuUG5OA0KfSQ2WslNlIrjrSU7zdofubzMyR3ZI6mLqEFNUgLNzNW74xk2uigyueAh2hdWZYNQTPvpF+vwVbDxOMin4dJEkZN2kkyj/NJ6Xt9Jlu21tD66jHZ7LlL7Aco/hUDdseHXUJYzYZ5WRcuouQq9Q==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=YtQ/Xp97FGlVxS7XjJfMBVcKw+najCes3YWuqvJ7SS4=;
 b=lpbqTRbTBOl/8i4FUj1vChzOIuT40ZarskXV3UW5uONEtUHvOmDlM6wl28xL/+oGMc+G03w/jo6j0N7CAg733FFGURh5VZKortSU9qOXSGUfDzna3QVtxp4dHSjiJP5yXvHCfM3Oxv+0tltZEvXKNLKSkhFXvkpgOPCtcQrSfFgKYu2M28HVgMI55jCpteMfq7E+ijgVgyyWH2sZ8gmZCehbWyDqhbs5h9eZ6D4DslK1M+puapoFeHvru+COWEzDmqtDUOjXMOJQ+TVEVf24RAvbvvHMhs/TNGjZPYDXmft6KOfgnMJYCI+OOcaCQCgkPf6+0lh3SQriPe99KIdeBw==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 DBAP193MB0970.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:1cf::9) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.29; Tue, 28 Nov 2023 21:15:10 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:10 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 53/91] gnu: Add rust-terminal-clipboard-0.3.
Date: Tue, 28 Nov 2023 22:12:31 +0100
Message-ID: <DU2P193MB213279764DC42F700068055FF3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [wA8yLXkQCjchNw+x0V1V5RUrQwxpUESE]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <84339fa1916069bdc8cafce389265effff6b1eb1.1701202946.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|DBAP193MB0970:EE_
X-MS-Office365-Filtering-Correlation-Id: bfd0af7b-0309-4510-b245-08dbf0570db8
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: U5JJUYcm0DPJNOKfBH0oj5qec78ZxZNNOtSDMtshcN6P3u/25UwbX+8AUwBaw7WmfkTTSV5vUR3sKksoG6ENA2ApP22EBjorygpTLO7o1KK2JcgOw+5pL5iVAuUerk+9AT40eGhX4XIOICOr15j2O5w2KPegJ78rRAaUEZ+zUZyf+C8a3HJIMVC7Ry5rzkAFle2WYIqXc/FnndekCZeCb4q0H0CdgATBKxZw/7jqnBw/Rjore8oPxLlyQhki5n7AI6CUXo/BxuRhOjyeiCs5xA3wkF1dwKHfqbWujOdXuYOtpNC2n3RB8oqYXmU8TTJ3q6JX8khlbJRa4WmCroUoNzBTT6zPpy/ShYEkUf3JDRNNuWUqTiWOSoPp1YD/f5BHlfM54WiQFucAFx9M4QyoBjzOnRJsWhcwwKA8M8QAH2x0Oc6doR8Ru8DARwnuzzOFsJxfJdb/TFuJaulnc64Zb5HEHZ17JGPqeflrRq2hLwaS+j362d8vQCLvXkZ5YH/NnlLUwH7N1yOfUPdzpv7hnuyajEy9lUGBwEg4o0oCOG+Taoo2NZKsuESw6ymzlFcTI7jZB1syqZO2v+id660oVuSS7SOiHTiV9QNLfDblfSigsY8XDRAGFyBg8elnUfsF
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?zM2HaI6G5+ZWz4im//W76X5yiTKggTrwpBod/jupmNXDyRX0Z8x7z+dvet4I?=
 =?us-ascii?Q?2HNHLWOiYj14PXrYmMNG/7DYtGevRqIwniJ0YhHlMdAzqtsERiF5yf5cp0u8?=
 =?us-ascii?Q?LRJrdIqhoEhxhwRQjQN+qVXLg+fnWOt5FqxoM0xv+zuUX1u0iGgaytOdqhkl?=
 =?us-ascii?Q?LmRtKlXaNOpknDGvDy0MFyKJdm8ZPpgxLGeSJzStJauFN1td/gBp9GNUht3O?=
 =?us-ascii?Q?VK9D30wz51E5hN/6hqazT9OwC0nBCNH6k9d1MJmWNiY9HTp1+7RDc3ZSfyhc?=
 =?us-ascii?Q?7eLehb2oNV9ndI8cBZcwpO5kJGZaj+ulnHnfb0ws5pYNR5KubjZwhzvo/yXl?=
 =?us-ascii?Q?P3XCAlt4OfyjeH4wbOEm1JEtGxqjjeQeTvg05hMkcoCoq5HppdF2lpaEeRkO?=
 =?us-ascii?Q?MylsBTUDOH2GroeGj4Q+pORHvKwq0g3zRbBpWgKYNhY0qHFjd5WU4F/YMhAl?=
 =?us-ascii?Q?sJ+FXYyeVmCx7Zq3dHJq3eEZoHOCcrycOr2qu4RVI7aFkIrMAYCKIBtGb1mq?=
 =?us-ascii?Q?lMka4raj9VIhJH9FXHmVdARrLx7fcxPASVRn7UqbBZso1AHH3GqZSwQajtSB?=
 =?us-ascii?Q?kIA4F86x5rGNPX+579Sd+zao5VehTZxBkHrye1aeXvcliwIuoOz15tfulr4R?=
 =?us-ascii?Q?N62qjNmiK17Ini/tKn4ssbE5nQ8IupGd2TVF1YO6BoVA9I+WubsPweRe3RZG?=
 =?us-ascii?Q?sMpG/N6+yV68X9k2gmoQMm6Aq0SkJIZDa69kAV319rE2RpxQLXUnkBtOJ+JQ?=
 =?us-ascii?Q?QIISxECBfiVH02x2ITbhZRd3RhWqrHt8t04Xtpitf7Ccs83HYF1Jj8DK7wsB?=
 =?us-ascii?Q?cSIfJ9KzuuPY2OXRn50o2FSVAEi42MBLKcO6T6KteV9oHpTDKtBNIHJk8jmd?=
 =?us-ascii?Q?ykcwgnQaHsBW2FBGLvdwSsz/zhFW0gzVZ4eAVKkjDm6H40Oh7n4DkXkiQY5c?=
 =?us-ascii?Q?GXsKnsSBKToLo0uTv46+DsNeG/sGPmFwdjD7MpzSvPM1njDJYGGvOVtECHHT?=
 =?us-ascii?Q?HitEA4JpVK0716Tp+tSh/zdmIV8gTHB1cyY0xvtXlmBIFC1SjejSl9Y+eLVe?=
 =?us-ascii?Q?9SLI1oBEp01tp3o7fcRPrLT9jzyLyVEoVnCbkgCtm0u3MarJ7L04PA0uOkws?=
 =?us-ascii?Q?mJ0cm7G6YPlZG2fzH4ulEApfJg/meWSCKigT7Uz+BTxe4lVSXZXcFkFJm9wJ?=
 =?us-ascii?Q?RFzgHdTLIfJpAlQI896WN9Uy0nonDEkpoZ2EQmFDT/PcJD446Jg3/Prl8Ao?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: bfd0af7b-0309-4510-b245-08dbf0570db8
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:48.8475 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DBAP193MB0970
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-terminal-clipboard-0.3): New variable.

Change-Id: I251cd479072c80200da797c93082c0e4381391f7
---
 gnu/packages/crates-io.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 72cc4fcfd7..b2ac3b8784 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -73485,6 +73485,29 @@ (define-public rust-termimad-0.20
     (description "Markdown Renderer for the Terminal.")
     (license license:expat)))
 
+(define-public rust-terminal-clipboard-0.3
+  (package
+    (name "rust-terminal-clipboard")
+    (version "0.3.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "terminal-clipboard" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1pyiwysh3ibq3gfq86gri3kjyhy5qd5pfbnkqxri28p9506bv9sq"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-clipboard-win" ,rust-clipboard-win-4)
+                       ("rust-once-cell" ,rust-once-cell-1)
+                       ("rust-termux-clipboard" ,rust-termux-clipboard-0.1)
+                       ("rust-x11-clipboard" ,rust-x11-clipboard-0.5.3))))
+    (inputs (list libxcb))
+    (home-page "https://github.com/Canop/terminal-clipboard")
+    (synopsis "a minimal cross-platform clipboard")
+    (description "a minimal cross-platform clipboard")
+    (license license:expat)))
+
 (define-public rust-terminal-size-0.2
   (package
     (name "rust-terminal-size")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:16:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:16:05 2023
Received: from localhost ([127.0.0.1]:48108 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85R5-0005RS-SA
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:16:05 -0500
Received: from mail-vi1eur05olkn2090.outbound.protection.outlook.com
 ([40.92.90.90]:42145 helo=EUR05-VI1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85QR-0005Jg-AN
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:23 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=P7WtPPTNVPgENWI24rf+RfzOV3isUZgNjZkoIHRVeTtzIisxi4Jk8cwCXpHs/k0TYCBO5ykuQW5nML1asgglH2H4hDqSuEr84xv7D7CFIeNbdLGI2gnBRFtz/hl9tXyLna9p6yJdeA2rIIXBeNemF8nF8KNa8tt33L2VU8Y4ChYwJ8rpaGjkSYPrGW9/JLxwz6C69lhHmFk+f/EkCEuiXbGamjWPUaG3BnDYA329lRJ7H8DSpowIl8XJotM32WEPAMOpTKqquiVAbEg1yA3GAb3YU7vddmCbRSnxVo0zkCGnWOKNzMLyWjSADlafJSEhwPCBlJTJdSWM0XbzaBB7Pg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=eL1ONrTIdJdkuE30eHevDUxAIpO3vW89B99XzM6pkBQ=;
 b=IlqqdwGJmOAc5qGuaH7GPbwE5C2srPhi2rArl+kyAAMX9ElRoitO2YiL3xUT9wEQ7M2PP0C19iSeRK8A1qhqrszYW1rN6OWH/SHXU9ggqTnRC1r50b+Szx8dsjenDNu8EGprYc+lCYuzf7xpSURu2p1zixuIfy3SP6i2fOWKfoilkuVJ1MgOwluY/WVEZPZ2Ygq1Aq8216muf7DNlAgz1Tl2FQCHfrU5/AUgggPZRwZ74hXlzk67SjYkWvuSLU+xNjmyD+JFSZHYMwo9Et+Aa/1nJnOrnonH3mdmiDzlbfw+N/llH8BvWhXoUYABjQ+g6suhfFfyJA4egYM5Q3/3FQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 DBAP193MB0970.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:1cf::9) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.29; Tue, 28 Nov 2023 21:15:10 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:10 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 52/91] gnu: Add rust-termux-clipboard-0.1.
Date: Tue, 28 Nov 2023 22:12:30 +0100
Message-ID: <DU2P193MB21320F9E3EA5BB98B3B8D329F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [Mx65GwcphCCs8p+7L4yWtE3QGuGxZaSK]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <adf218cabeb770a71dc2f11ebf6aeae6db57ae94.1701202946.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|DBAP193MB0970:EE_
X-MS-Office365-Filtering-Correlation-Id: 65dd9f9c-ba13-4b7d-900c-08dbf0570d49
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: y6WBk3HgzdyGrqLDL+fXxYX5vIkcHj/79HS/om4WVVR6lJ0kmbaRNK2DRnlVQ2+digCkMixGNyFAa0AcVqgPUoMy4cAWK7Vzo5JD7H2fDeL7q446tlhH5Us25I8HEQu2dukJ+KDsjE5I09aLmO6dbrtecyBjQvGTq3iTBaptRcnFwSxloBJ0gdQMcgqCJ27ORuOJ4t1UkfV7MyWxCZnMm/v8rU5JHrqkPFBKx9S6FtDHedjxb9oSkGDYhLBN8bmA1y+pQaP5Lx/yENpb6GxvOmppAoJ2HrHvKabuILIhDUDo+18/1ivEjiFJft0/miO/uHVvWUYmIpd6tp/9iivGDa0+rfcEq8MXA5gnBKr1hJEWRDOFr+JIpaQETwLKoSfZyjch9f1oSJ/DwrHTYoS/FwaWid+XmNK6dST3y/92S3r0HcQswNpju3Q+xJye1tSzKMlzhohCqWatRIsy241B8nL3S8VZQcDWmV9XbVGob5Rt8Wj6jopcl/r4PB9NOwXFVQ3La0ck9Ahaq39olK6MicbgyYk67xWxUQlj8BaUnutbk4mlb5K0hkhHoPk/0rihWsIahakVF7jCKlprpJ7Cc58R1gccGbpYZIvykU2I04T7tk7bKkjTvwC6qDKDj0OL
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?kW+nrTsK2CRonHlqGZuU6bMbltbMi/Mwyi5uRYMDSFU/5JLrPfI8JW0SyTdW?=
 =?us-ascii?Q?+3fe2gwxLa9dUEeFRw6q4udaSN0Vr+oOI7HAV4/QH1QSQRCDMKyOPcnuSdIj?=
 =?us-ascii?Q?0groDEa1GMO8P4OWuiz7Hf1uetlLu8e4lkJgHXMUO+rUvBZq6p0wVS86Sp5W?=
 =?us-ascii?Q?oo5FzCZhuBD3VIbQtCN+lpRaPkHuDqGKN2tw6Ziox1zBJQkpW71PqfkUBjqf?=
 =?us-ascii?Q?B55xgaUiYIng78zBWYnmKNvK2VWkRprVR+BIbmiGCEKRwHIB3nJJ1JitvqEG?=
 =?us-ascii?Q?Qx3Fqb5H8ZwjB27+8cV9W/gQzIZGbCPDQTj6HyuRfyj/TZOrj3HO9jOcjPbZ?=
 =?us-ascii?Q?U+8kfUveSrdqFOoJ8cRZHbEIZSPUaPUIjjACfyMV0L+kARK1LmQ7GqZHKEbk?=
 =?us-ascii?Q?N6y1iVWIk0CzfCShj/QIwEyGUH5vTmn9m09LBebOSS+AKL+bYwttoN3GWpQu?=
 =?us-ascii?Q?TfTC7rUf5r/qtHqG/eKcrnEeKJ8mmGRlyGnWVxnE6tlvrqPFCQkbtojzkepM?=
 =?us-ascii?Q?agMlnVKLZkY5AF1bQVgw4oMtvv5gQKoThSc2ilN8BVRP0j8oOInC4P3c3RiL?=
 =?us-ascii?Q?isgWL6R1coeTOIlRVCcZ1uehkZxtHKHYsjIcDJvJDjMr9wqdEWPIHS7DnYZ1?=
 =?us-ascii?Q?ItZZ9Et+ZlQhIikiEoe3pmVoFIKOePJUyFmdp0sdEHRbFciQFaYT165YDjT4?=
 =?us-ascii?Q?HGfuckivZk9enuoOJ61sgDRUs+nP7iTvi4oa9YtBD1h8u7zU02YqPVpBVFoc?=
 =?us-ascii?Q?lxPgWBrhZS2SnKAfZCInnnfLdIR33+72pLKlCF9CTVC6MY2JNR5QIFHUQ3Se?=
 =?us-ascii?Q?U8Rx4zosQ4KjlTXfRVp7KeU6U6hhPXtwfU5QDdsbI5JBb8iLffxO4bViafMN?=
 =?us-ascii?Q?edHyjnE4Z81MYxAVQk9Enp2YW2v/AqBBtv9eDLKhlpcZJyHjTQlMDr2gI/cO?=
 =?us-ascii?Q?dV5LsnAuyK16ift0ETUHPbs9dmjSO42pbnXE36EOwwxHY+oGSEoSj6/v+y+m?=
 =?us-ascii?Q?UflyzS2FYEfgNyOwdK3jcMkrkbin0nXlLowdN7BjBE/mArjwWy67+51bs75P?=
 =?us-ascii?Q?57CRb5MOpgjPvUem967IMA+jw37vAhIcD7PHZQP87o/HUkvCh5SNkgQIse3l?=
 =?us-ascii?Q?7eORZqxLwYxcnbHZEraxv9YHRaQ8lU5KPjqt+qdBzdz7nsFKa74kQPhYOZOT?=
 =?us-ascii?Q?x+8YjOXE73TO9IoHvLc4QvOwXPAHMMdbmqZlPhhyLgBok+Jb1LbnR19SCZU?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 65dd9f9c-ba13-4b7d-900c-08dbf0570d49
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:48.1599 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DBAP193MB0970
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-termux-clipboard-0.1): New variable.

Change-Id: I459da5084e0e35754d13de1dd8944733e7f581a1
---
 gnu/packages/crates-io.scm | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 245bb85a86..72cc4fcfd7 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -73639,6 +73639,25 @@ (define-public rust-termtree-0.4
     (description "Visualize tree-like data on the command-line.")
     (license license:expat)))
 
+(define-public rust-termux-clipboard-0.1
+  (package
+    (name "rust-termux-clipboard")
+    (version "0.1.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "termux-clipboard" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0vz3b2c0ra7x5wg6i56247j8z58wkv3dknznjidk34rjr89zyslz"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t))
+    (home-page "https://github.com/Canop/termux-clipboard")
+    (synopsis "Access to Android clipboard using Termux API")
+    (description "Access to Android clipboard using Termux API")
+    (license license:expat)))
+
 (define-public rust-test-assembler-0.1
   (package
     (name "rust-test-assembler")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:16:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:16:03 2023
Received: from localhost ([127.0.0.1]:48102 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85R4-0005Qz-NI
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:16:03 -0500
Received: from mail-vi1eur05olkn2090.outbound.protection.outlook.com
 ([40.92.90.90]:42145 helo=EUR05-VI1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85QQ-0005Jg-Q5
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:23 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=cUhC3vgCQ8p6kB+8vN3ZbreJWJJP9Zwno9coVP2NsPcWQO/fPKYwVsyVxqmihucXiLsnHhPFWv5rgLJ4XC6RMT6OTIhbU0Q4WlzVYLOoY0lebdhFmNqO9YDOFbEQkt/DoUi+mxDlNLdTHPoHUi+FoMiyMwgO+cOUhX5+OFGnaXww2ahQR7tWhggJUW3D8M7NIiT5l3BFNmPrAThb0nZsXKsi310RfyL0/LEy+xyAy9ZRO6Yu1XMwYxUnzGj/GvghpUyMUwRHSvSpk4dBptnWmU5sPNddhom8AefiXsXcp2ho438DxTn9Paf68DdVF6pcgEKeuBTiOl4znhWozx+zEw==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=T7QNSlbT0Iw6flrdjn44/bDfSKir6el3uTyBH84jnSQ=;
 b=TQOjWjZ+w4njYji6cJBKIGnG/eM7Rt2CIcxMPjVmU1xi8oeCW+hA8iKW5r/jafqd/vaiX451zuz7gXa5EIW265reQUXQraKgzlf7b/knN2lWlpIJ3iPX6+G2eAkgMVIi1sypyLMN1ZKFGdRTUqlC1oQLoA/hr/znnM6tAPduTJur1OXwg5KVu4CYJ/ufQmWO9pCmoogrbEU0GS+/4Mf+OCye0/pgWAi607ZoCzlqPYmqrDXnBRfcIoSH9m6JHOUK8bcfaemC87ZTvI+fqK5S2LjjAn52g+1KrNtfZWuAtM6z0cJ6o3tTE7JIutXzeHWozkhGx71FfG6UxDY9wNyMOA==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 DBAP193MB0970.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:1cf::9) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.29; Tue, 28 Nov 2023 21:15:09 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:09 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 50/91] gnu: Add rust-xcb-0.10.
Date: Tue, 28 Nov 2023 22:12:28 +0100
Message-ID: <DU2P193MB213249C5006C6E19D1B5FFDAF3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [VthAj/ZHkxAej3b4ddBHlRHbIu8W3KyZ]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <543f3c4f194ee6270f7332617a9a4a8420eec6d7.1701202946.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|DBAP193MB0970:EE_
X-MS-Office365-Filtering-Correlation-Id: 6ae701c5-39e0-4992-c432-08dbf0570c67
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: nbHwkKmgTxbWwzvguX7hWgUKYFmliqJcuLDLeJ8zrB8YoyZ02Br8H1Q8Rd+VZ00h+4BM7kv8nNhGxket9SByXPrXzyXXgQnDvBN5TwnsWaKSP2iANuReu1sBI4zivF7PRV7GBJSVelvp60EL5rFZDrZabkwcRTyB/ysLXlAFNqM32290c84Ae2Kp7iRRIBzidlHquF6afdX5DcILMQYb5taZ2+OcpDVq8Oiby3GT72A0K/zbSvKGA8vNXf00zHW5RelOkZFcFVYv1K9EHrxB2FDbX/YhWRAIW9mAsrx9nsOHIYuCJbq2uPT3Xe5By7FrSAcuAyWc5SJ3VKftnmlYaAe8dwETjqI7rjUf17CalGaevhnzZV3dlzDzj0C32+5/ngM5bNZM4HV5+42l7BuPNcbzI4+StD4f8CuHmIx4zIZv7600JOCrP/z9I7We9dN8CkbUHIjyw9R1W61oBHuBofFO4UTMotuNou87Jbrh1rlz9zwgbOt5F/1DmQBAu6U6cw+JxGIkcc0st5S1MmNtYNAH84piSdiwp8DmYD5G1esFep1QeRN+vwF5wskrZqS4MFdedERvy1pVm4BgN2reyF5cD5bWdrz+MUDBJ3uRM86C3t5smmar8MkD3XQ4zxVw
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?8yHAp/tTffwyVFdOWNmFA6T3r47UrAjwqGjryu6d5ELEqjIis25n6YotyrP4?=
 =?us-ascii?Q?MaC8YHcikkm1UhPo2c8cH9yCRAQJ5veG2mLEvi3KZvMyfzAGVeo9Dmp9rbH4?=
 =?us-ascii?Q?ETS4n9GZYXsjBgvqGxaQb0Opw7c5rRD0B14ZPXlW6XWl6eYEMod0lR0YyTlN?=
 =?us-ascii?Q?vjpc2fkkvAD4boA47unpklU75JxITn8OH8eyrqajVQGHEyZtc6fkaKl+c3SD?=
 =?us-ascii?Q?o/kzDCbv49ZZQ9wC5ANul4edp8E+1L+Vi4JqREf8MzBm+jesnU6thdlLNgOP?=
 =?us-ascii?Q?EZdFxAtIqprAihXywEGPV5Wt1brqCuSUDkJ48oTX1vXBmUNjn3WjZ/bVjjPC?=
 =?us-ascii?Q?Obk7coGJ0/J4P3Q2kRnRN8EePkIwOoZKcbTlop9zhm56KczQR9MExwc1WxR2?=
 =?us-ascii?Q?0CPbCBCXlHGhYKrJ3nLHlH42fi5yVDQ6akcXzTIAwn3yYSHseKUi0S40Kfpp?=
 =?us-ascii?Q?6Oxbx+KyPHXPsW+nNzeLh2jsTKrIJzHs0cs5DHD3Ef2e70+ZAaceSabaV4Y/?=
 =?us-ascii?Q?+Ld6Q89hKad4Vs+LgbGq+LxKu8J5F+sZdjIbwrT+ajTFXxicXv47M7FqrQGE?=
 =?us-ascii?Q?Ggklpkc1/vK/5nqaJ8wX1Cnc9/vS040jrtdxTjky+RHwt1ybJlcI3naKG8jo?=
 =?us-ascii?Q?FK8AR2aNuFJoQ0/Xvmq78WiolfjOHQR2wWQ0vS8cKJvGQZJcuLYCIXEM+Fsm?=
 =?us-ascii?Q?oSvn3nxtjaiuDTQfeUjeKlwt+PHdK1kHT+GnYaTbJWk5ArLfoiZVvtExh97g?=
 =?us-ascii?Q?Af41725jqJuooluvR6ZuLg9X7ZZ0mIi29McmvOktO4Ob/e7yTtz1t9N8LmUJ?=
 =?us-ascii?Q?tRG+5P9zaUJWw5wWcbW7tEmQRwWYh1nEphml5TLVzApoa3ugstLz4ejeCsI0?=
 =?us-ascii?Q?Wo/NChEDUWFCvVGbki/MHiEBBxpZPLJZy+OkJuKTbPwge1DN7JFhVe57DAAy?=
 =?us-ascii?Q?wzxzYgX9VWfmKbmDNdXdDiXoUV3bFiB5LZtcjJ5bGRO0M9696T3RXFhlpcw9?=
 =?us-ascii?Q?7DiJsgLg2PE3qGpenXvvEm4DO/RwTR3uq0V3TVLStbgfBwJoVbZfJ7aWAWN/?=
 =?us-ascii?Q?wkIb1NsjgdA1aplK2bKZchBrFiaIdJ1rebwTUR+ohRuO3HlKuXksYqdynxHk?=
 =?us-ascii?Q?WjUzds/M+q/7u+Ojx8rdluf17F+iSQ51fRJXE7a8+/rC+JUo/+WwjHEDjrQ2?=
 =?us-ascii?Q?xA3SrlTR91ySngmxtcXht7gWM1tE3YcsPyvjCHreDS5+NFms6JiDx+WC50E?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 6ae701c5-39e0-4992-c432-08dbf0570c67
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:46.6499 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DBAP193MB0970
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-xcb-0.10): New variable.

Change-Id: Ic6deca794915467984c9bfb881225ec1dda5ceb2
---
 gnu/packages/crates-io.scm | 23 ++++++++++++++++++++++-
 1 file changed, 22 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 6afc0e5ea1..db88019e24 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -85080,10 +85080,31 @@ (define-public rust-xcb-1
      "This package provides Rust bindings and wrappers for XCB.")
     (license license:expat)))
 
-(define-public rust-xcb-0.9
+(define-public rust-xcb-0.10
   (package
     (inherit rust-xcb-1)
     (name "rust-xcb")
+    (version "0.10.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "xcb" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "171acbbbsr05ilw7ih0cc79qysci5pv91zyrdlfcs87pdncjn7kp"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-libc" ,rust-libc-0.2)
+                       ("rust-libc" ,rust-libc-0.2)
+                       ("rust-log" ,rust-log-0.4)
+                       ("rust-quick-xml" ,rust-quick-xml-0.22)
+                       ("rust-x11" ,rust-x11-2))))))
+
+(define-public rust-xcb-0.9
+  (package
+    (inherit rust-xcb-0.10)
+    (name "rust-xcb")
     (version "0.9.0")
     (source
      (origin
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:16:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:16:02 2023
Received: from localhost ([127.0.0.1]:48096 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85R3-0005Qc-Ak
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:16:02 -0500
Received: from mail-vi1eur05olkn2090.outbound.protection.outlook.com
 ([40.92.90.90]:42145 helo=EUR05-VI1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85QQ-0005Jg-93
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:22 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=odk9URFGBAvXlfWRiULT4FyeZNpy8zRc0EX6aNSowIldSUreSPxYlwRN64hS2oSK7AolEpQ18N9nuPsnAQ2SJ31ImygjP5N7XxunNMbW1adB4V1qkbXP9ArisYy3POMAUZvwTNGUih8Qx7lKPbsTG1ZF4bGJksE7tGG7W2S07yOpBlTWklCF6CSDJkYvt1D+R+OioKFVlu5XVCwa+/MQL4gsNOzOosZ2strFn37CjVjyBCvbF6dQeWm9nEeqd2b+eGOdLVOYEh6N+ThpX+sAlIcIOm5WoCfK/y2GL5g818RA4ebG+friR5oZtXtjlpbF4Kfrcm99OraOpzGU1l0vQw==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=gN3rfwLYoesAfYnjxE/f1VAT7qne6CRBaNmaXBDp7FM=;
 b=W8KE5OE4FE5AREHGkJyUTL7N++xhV6ssEdlEqj/76gGuvh3w0FtT6tHnw2vMcerrrl6CiH6CVP29xt/WHP8bHX7WxlHPcCp8jk403lWYBPpJWAdGuM0YBnKpO1iOXwOaGjVpxEKor3B5ighczicR/Mgg7W9+J9uag89GNHl18ik7xhmaKUlDif00izbY/NEq3V8V5ozb3pX0nBBp3zmxRt5PqD0yijhoBVavnY8TH/Gfns6ha4inixl8qAWMH9MjNzKsoCNFF2GTl8ZmjjrjCsyCJUcRshTXg4earfyGolgRzeCpORUwksx7GbX2TmCuHPrXyGcFu9C5klloanEQ2A==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 DBAP193MB0970.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:1cf::9) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.29; Tue, 28 Nov 2023 21:15:09 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:09 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 49/91] gnu: Add rust-crokey-0.4.
Date: Tue, 28 Nov 2023 22:12:27 +0100
Message-ID: <DU2P193MB213286A4023A28DBF14CABC7F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [Q05wGVQYNA7RVeWFC6/bZ+/zwBeR6UF7]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <ed60f557d36cf16d14c4b37537e1463b2fc907ae.1701202945.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|DBAP193MB0970:EE_
X-MS-Office365-Filtering-Correlation-Id: ed95f803-247f-4f02-8d66-08dbf0570bfc
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: sJEfc1JxGTbo9Xmgd1Os9dPOlceMTfTD77DU8vFA0tlJXhC6pJ0EzH3FQl0s/vWrJJs1V/MC1bcMBeyW8eChp/djiHwsSLkNUwzuoBCyXrs60c5zfaiduI+MIKm3gHZKmAW41/NgpQi9uLJOjmBpZyM75ALnuRZYMxi1eV0i/x7jeUvke1HT58ijNQPFDJasAXKb1IF6JD/Z8II+mHCtUnIIgkw45UpY/c7j4uEAm/icy8LVvTjj4J1t0+W077psEwU38f+RZw6F6QGaZuiYG/yJcS6dovBnTEAZlEM8Aina7LHhKhCG0ST2gNJjFYdw/wL7eRMmp/MeGO4AvO2hv9osOoaj3Xft6Kl0td9XWUuetjVa5BwHAU8u88qkPlxwtZtAcb51LUyYcibFx/+4h6ydVQIdoHFuPEEhyB0Cz9usDGnrjGKejBSsSEW3haBPKSNxbYVmhqLxHbZFxcZcKrVjtofDSuO/LxpBCQVf2bGIsPpTZPWTy9hd7ohwXs9K6gGuUJqyCYiyvU3hbbBuw66jYKBqo5ERPvKjzJ1frevOfafX6BlrjQbljElZ/j8btz9bVVQj45emUd1M8d2K+GYbU0kF9Kd4FEIJ2gyvZFNAqbz05Dt/CutXfJkuRmpj
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?2ZHluIXL0HFYtZ/AayOKVN+gafTJYY7x7a1SvOFsGPKrG7Lr16AtkiDc5HjO?=
 =?us-ascii?Q?GWAyFkxwdOOtREuplNFv2z3+AWP09xH5giq6KFCu2eHmgW8PTdyYqlqhxULh?=
 =?us-ascii?Q?zDjMsIFVYxPDjVzAyBjvYRpPUwefWrTu0ZIIF3MYDy6eEQR7xV+FuAlv9R+1?=
 =?us-ascii?Q?c8S7kBtQqluLrhaq+KJYbHCOmwdF6vJ6pgbU/4s1uq0ncTd/amOYCnsE9tXW?=
 =?us-ascii?Q?rTZS+rJsjSQloFsSn+75fN1wFuZAgLlBkg92YRlwZ1LYcnSugs3qdKsIUnea?=
 =?us-ascii?Q?YjUC2CofkP6UDlhFZpwidX2YdJusrCCTBLP3fejY9rqzl8F8Ao508mAhdLOw?=
 =?us-ascii?Q?ZzU9//fxK5t6Xv6kQLQz2Nmyhtn+5BjmhK8kMH12mRJcmd7w/DCkSBKZWfOk?=
 =?us-ascii?Q?+c9MX8R1BW2mWOLS0nqu2qzioBLd3al7R0pJ1txZF7qlacuB8icZSobJqt2w?=
 =?us-ascii?Q?+rYlm+VFLLgZm4cXGOoBYVD6itMjpf7jmH3/c9zvd8OA78ho97dpvPxjVc1Z?=
 =?us-ascii?Q?prk9X2Kdp+yEn71DPL4Njyw5AScowHlluT5AI/BWNGEvT4uvnSQFe4PQw8lV?=
 =?us-ascii?Q?2gZr+X7Ajy380UGojppQ42OXs8qalXyRc+AXiY6pPkO1CArFKAOK6aVXP1tJ?=
 =?us-ascii?Q?9U9rlRRzODbXpVaofNI8GW2wXZV5FlHc6g7J1IKlKbP4JJzgCYScbjIdE8jx?=
 =?us-ascii?Q?KjCWiUc7gbYm678IJyNCKnFVHVtLEmfOu1eridQ6AA97CukbhMR42CTo0FtJ?=
 =?us-ascii?Q?rWV75N+LHRveSdd5ZS0oY0TUZAsr/2lY0+raJpxETEQVfL1+v1hykS/nSQcH?=
 =?us-ascii?Q?0poUgBwL24K9DCEJ7UZ9zibDc7bKeOWRLrJtG8Om1rviHdq+bwQLONXth2sR?=
 =?us-ascii?Q?msUDOtGL6JZzZ4lmnwVRy/CXz0NOXM8JF3rcwydzNbmymbtcTSGubmkZxjVt?=
 =?us-ascii?Q?Bso3XlLy2UKp43oUdt+TpyMDx9jHFwlRisUUx7xG9/snmax5CkGv0e9TjvDp?=
 =?us-ascii?Q?fYBYI4wBANwcyLKoHCXDzXqN1r/PbF9iYPUcCW7kW3zSbQqQfgLfD4oPKP+/?=
 =?us-ascii?Q?A1k7aKV6oNaKO8gp1Gmq18fr3sJdR8G8cCJVRdU49Ec7HZz6ksgYxh6AX6EB?=
 =?us-ascii?Q?Hk0uFnxJFWzvLXc0j4H0Ree3U/s4Y9iLhuhOEqoQQCq+Tbe70jgZgXdA2wv/?=
 =?us-ascii?Q?PuI6ZgnuNjRpUTU1uDxhgj9HFB5E4HjexDvWZmCboDLaVLmFWVNJ6Wt8nRQ?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: ed95f803-247f-4f02-8d66-08dbf0570bfc
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:45.9493 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DBAP193MB0970
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-crokey-0.4): New variable.

Change-Id: Idff66a14704c6d2e3378b645041db7c461a42441
---
 gnu/packages/crates-io.scm | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index d767e5e792..6afc0e5ea1 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -17158,6 +17158,34 @@ (define-public rust-crokey-proc-macros-0.4
     (description "proc macros for the crokey crate")
     (license license:expat)))
 
+(define-public rust-crokey-0.4
+  (package
+    (name "rust-crokey")
+    (version "0.4.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "crokey" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1059c97qxd90rd16y27k5jl1aspr9sc0n8bxhqll8plf0zd57w9b"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:tests? #f ; error: unrecognized key code "hyphen"
+       #:cargo-inputs (("rust-crokey-proc-macros" ,rust-crokey-proc-macros-0.4)
+                       ("rust-crossterm" ,rust-crossterm-0.23)
+                       ("rust-once-cell" ,rust-once-cell-1)
+                       ("rust-serde" ,rust-serde-1))
+       #:cargo-development-inputs (("rust-deser-hjson" ,rust-deser-hjson-1)
+                                   ("rust-trybuild" ,rust-trybuild-1))))
+    (home-page "https://github.com/Canop/crokey")
+    (synopsis
+     "Parse and describe keys - helping incorporate keybindings in terminal applications")
+    (description
+     "Parse and describe keys - helping incorporate keybindings in terminal
+applications")
+    (license license:expat)))
+
 (define-public rust-crossbeam-0.8
   (package
     (name "rust-crossbeam")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:16:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:16:01 2023
Received: from localhost ([127.0.0.1]:48094 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85R2-0005QL-Gy
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:16:01 -0500
Received: from mail-vi1eur05olkn2090.outbound.protection.outlook.com
 ([40.92.90.90]:42145 helo=EUR05-VI1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85QP-0005Jg-KZ
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:22 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=kV111JjITRYHcft/zVkg317jKmSwfFGrEyMX2MNSQIbPV+uNa1yEURkLiT3ToaxWH6DhS8FhcRdNK7WC8bSXuNt8UtA9BPvQDGDIiZI8rNHLOVucRKdS6SFTmnyf72pgIZClFH0rhe00NAfcunyb38mkU9r33DK8pdvfAzLKIpy6/pGnWQ/foMYzT6cpGojyoOoOet+XbnEel4kaFFBeXM0s16g/b1ybb+BpS1k5LAtkW3+GEm/rPGoAWclG95bqC3hIbMZeyNP1UtXZfsP02XiVr+eBiWau2BLuh5PptJh5Lq6Ua6k8dlWT4qZr2w46NIQzMa3SA1HiYxh8Kv1d0Q==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=jq2nSP+Pk3XdG80vOmaH5Fb7X/07im+suNQgj1iANw4=;
 b=nKpCGglvcDxMPa12RLPU+Pyd5rEvnvDirXBiP3zAvlLCaDFqmkeXmFylbGfi3R7246DZAWIMwlEHg9OYA3C1Ka4XdnGxFM3Azzug98LakKvVXrd0XaHkYkauY1MnVpiqDV/KII42a5RdQTp1Rq+G+AwfD1m9YfG3W/xMgOq970C/XbXB7gAkW0R4P8XnDrVLobPqpVeVqMPzjpJSeo8Q1iRyqiWuPVhKUpXDJY/KzQIaJ13CtRq505MN75iQSCJz38wIBfNZ/Pc3dCJ/hKqAAvFUOz/L2QsPBtKk/bB2fCQ6SZpo09hpDBeFzRa6njzrzEzSVQcfhZ5ivpzRGwjjlw==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 DBAP193MB0970.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:1cf::9) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.29; Tue, 28 Nov 2023 21:15:08 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:08 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 47/91] gnu: Add rust-deser-hjson-1.
Date: Tue, 28 Nov 2023 22:12:25 +0100
Message-ID: <DU2P193MB213299E10A1F3EC2D2D91F18F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [gRo5HTDUC4jNuFAITz6PSzWLSk9NQ6/2]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <0852483e3c6a21e973f40f5906c08ad5c1b215fe.1701202945.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|DBAP193MB0970:EE_
X-MS-Office365-Filtering-Correlation-Id: f9b1182b-13d9-4185-c146-08dbf0570b1f
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: 3SOpecg9GNd3lAZuK0ajyjPDqnr/gqYy73qAF4dzvxRdZdG4W1UvxLtO2SUDOveflKJ9UYFPHvYvRDbcn1Eh0llNB8aZXLN18sUrCZNeunbI0F8UVzJWqnuvqpjYkDisKx0nZio3TUyk9Nex+1uCUwNfArJH0TwB9VQGpPeHJST1gqQUjKNuAOZCwpjmq1QYFFITSkQ8502GPl62XP0lGXkOtH+l0zoqxEejKX2Kj3Qlef8WuJ+I9nhW2BbOhcVkpl7n0U4YJArvicjkw4B4S1pvr9oqGXD8nHbggVHujE4kdNeFV0ZLXSCTwDJm0d+s/pPkZbJnhv6nt6QjLHBvY6k0i8BuP7HIu6Q+4JV8lkXsrfAGztCO+GLsZ9JAHFUKJuginXCYpksY4dLsyJMfgIyGWvHEpnEBQcEOoj1eIDKhbXZDvoIKeE8vnA7HRa0zUHMrhLDX1/u1UKOu0ZoYS6enDoLXWVTACmeliaZPYeMNvD8i/XlX0DTGA0lrEcBOphFt7MfdKFA2iupCubAXG7CubdvKb1Qco50bGaj20ZEpFe26wmdTrgKsBlnKXBXWzf7LjEdAWXS7E/rhQ1c0ohmvrbklEmgrwF47IeuAr90zx86yF09vPqYirU+vNsIQ
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?gLgdFVkAS3JJjGu8nJUYTQGUe7zgxRdKg5tl13AlTAhIalEF8W1Bv+e5mcj7?=
 =?us-ascii?Q?FbBkxkDWf/0gRgoA/LW4wF3aGqWFbpmI3Sj8gkeNvVIY1JHl/jA13C7KjMD6?=
 =?us-ascii?Q?4yvn/pCQwY6yeSkVEAJFF2+Rp+ac9oPJ41qoo0BHSxcxdNI8PS+GuCcMhnAE?=
 =?us-ascii?Q?NizD4xEZDdsUA1Rw3w3sJzjJyjMzlDmfKY/F5Tp1T3n+2i40ppQU+lnz8+eF?=
 =?us-ascii?Q?Q0R4kawORRv5iV5GZ0X9roVW8sqATsLE98r3PWO4SRLmVzRRQDYuP2kLTl//?=
 =?us-ascii?Q?+4e7tODbovLv7jbyFLvZDKPxzQk9BEQgPW8AEHxbG97VMT+lp90HWNwOwaeG?=
 =?us-ascii?Q?MG1wlGzvhoEfi7/pmmOx4SEPL2RoUN+E41mQs9reB+bD18WylgYa9bqn/jxh?=
 =?us-ascii?Q?paEpo1qzopQNq/ZpktaQlCiF0qNkN4MGCwnha2xG+qod4/U67kzULsIjgQra?=
 =?us-ascii?Q?3UCXzh1xoBij+TzXWwKu624m/8kTf0QuG6cK/jiiVI+gkverbVIjuQswLz6x?=
 =?us-ascii?Q?0ytCZR98nYRmYGRM5xm+zVv3PvbhejzAxoMmSUfKLwxKgusnT+6zyglLuLDg?=
 =?us-ascii?Q?ubJfFsZCYgppFyJNizxW2sKB/Me5z1KlcKiryUe8+8vWkaneWwzYXsFazkY8?=
 =?us-ascii?Q?guTJ474kKz92vnWPeJQ0Hgg6NKleBCrb/OL2X8Nplfeck3/Ib89fIx3fMQaS?=
 =?us-ascii?Q?JUX2f3OK1r5X85+dk98eFbIsvKqcFPlOrEQqwV+Vve7Y3bc8nNVZRHVrQjh8?=
 =?us-ascii?Q?8Zr9Jrvli9gjoAHw50IdvoaGCCBN5vl46+E+YlpY3lzZMZDscC4JIgE5YpAU?=
 =?us-ascii?Q?f0a5KIO2yIplT60Y00PHip+gI7eYyT3pkq2ps6Iu4ZBWbJ9vSCJ3GHp6jp29?=
 =?us-ascii?Q?w2oz/4CEW1MN3OFnyHOc8iF8Br8bJ4bSTOtEcKQ96kSKuibSYC1xcaI0iVco?=
 =?us-ascii?Q?22WXg3TFBok/fIbaQYLp/58SWk4QJITpjlQ9HjeGy2luX447klA5/YZjYHnj?=
 =?us-ascii?Q?HF+CqcJw3dgnMhHYokM3plhG4jmSig1owUWi2sLWW4H/Du/5E79DlmIsr2iX?=
 =?us-ascii?Q?bWT8gP+J8RgmBLVKRjVjrg9NtBKJ7vTm2IlHrxX6L/rgOt0ipOzq7DIUmlGD?=
 =?us-ascii?Q?5E3vqU2pWKSl4VTc9an8Z4nIAkqahlfkJgnj8OBvGorUWLLzJA1veXRsWHp0?=
 =?us-ascii?Q?GjYvJ+pPubAYI7rJETaRnds0qZJ8vlTPsqxLVloNKcHh1PLNqGzQsp56EZg?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: f9b1182b-13d9-4185-c146-08dbf0570b1f
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:44.5361 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DBAP193MB0970
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-deser-hjson-1): New variable.

Change-Id: I8deaac334c4328e8eb057abcd4c7c90eec87fffe
---
 gnu/packages/crates-io.scm | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 4de170feef..598af20dfd 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -21181,6 +21181,26 @@ (define-public rust-des-0.6
        #:cargo-development-inputs
        (("rust-cipher" ,rust-cipher-0.2))))))
 
+(define-public rust-deser-hjson-1
+  (package
+    (name "rust-deser-hjson")
+    (version "1.2.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "deser-hjson" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1bacgp2zhyxj6m7hh00sl65b8bripw5nb80jwcniplglzscspq9h"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-serde" ,rust-serde-1))))
+    (home-page "https://github.com/Canop/deser-hjson")
+    (synopsis "a Hjson deserializer for Serde")
+    (description "a Hjson deserializer for Serde")
+    (license license:expat)))
+
 (define-public rust-deunicode-0.4
   (package
     (name "rust-deunicode")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:16:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:16:00 2023
Received: from localhost ([127.0.0.1]:48088 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85R1-0005Q1-Ez
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:16:00 -0500
Received: from mail-dbaeur03olkn2079.outbound.protection.outlook.com
 ([40.92.58.79]:6720 helo=EUR03-DBA-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85QP-0005JW-8y
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:21 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=ToPRRtJGxvI7+5dCzxc1NihWhOm0kFVzA7Z1Px7KmvClGu+syrnrbHlMGPh/Iwnk2j7txh6DGToISzpgY7EQUiIpzc/QZWzkEDeI/0h6Lozi+DkrGbsf+9r+goFbUXdSiMRBhXKGoWjzYNcWmqK561mdwWrEjg3oR3Yjj7BzDymx/pgG51zaBjVMmpbRHeEfVm0ilm+nzIhTuwZkVNipJq7fprwqWZMyHVSkuXR+Zok498r0yhHu7qLWcbVDtG4Tv5PjiBRkXSSzzLAqapB26/0r2qzTRdvbZqJFqejHfvPbXL9Yf8lJQ+FQeTW9KRS2A+G6aZoBLWzfxNakplxgpg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=FPvwOtYsc68eBRa4gLQBWRB7Lfct8kVKhn1jKTOIywk=;
 b=BY/PLxQXtMLh/aSpjfR8CCe6QDCu5RqfiH8fWn5n21zL66zNL+jJgOQuSNdBaF+0xBOSNh2aNnFiRfFVv47OqvNS69HvO7HZgl5fC4e+WvyQqQ6olwO4/581Jd+28lyX1Y4O6zQPoGDANSIxG6CNbQlyflcwpjqwIkgRlHkme9PScLk8Otpv4gBqIlnhDv04eQu3/ne45U1A1xbromvyY4zxLVi0p1Im9goql7FZ8yHWHIn2xqK6YPAlbX3mdNCetC/MUaT0MlAmCRMyn40VSENZfGXLxK7Jx2k5HEd5rEJO9+cdoduXD4G34+FlTOyumyyt8w3s+Pj984d7BSpIbg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 DB9P193MB1913.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:25f::6) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7046.22; Tue, 28 Nov 2023 21:15:07 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:07 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 46/91] gnu: Add rust-coolor-0.5.0.
Date: Tue, 28 Nov 2023 22:12:24 +0100
Message-ID: <DU2P193MB2132B6AC772A8FE21D11C4A3F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [+ajMN70u1PhF9nXwtZixd4SNbdE+34VI]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <3e90517c8ba631f72d0e70ad796c52146e285398.1701202945.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|DB9P193MB1913:EE_
X-MS-Office365-Filtering-Correlation-Id: 2d23afc0-f6db-4663-e7f7-08dbf0570aab
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: zHqQQWbs49AAdT149hbRWKsa6IR6Id4ScFyz0SkUUy2MJYAxDfV1UkOfpxP5CluPa5tpOVFdohI5toFIo+WsxliD5YvwUW/v26B/eh64og2UvEf9heFwyIk7dS9qh+TCZIpr22FML/u9RD3TDNPqIgX5TviEAPVYUSMca0GBioGebk29k4//GhGZ9rJGQHjGy5wXuSeR1SDNDn8P8y2o6f7UKT9Sz3jDCUUE/cvAlaYKRfl8NeRlQ4KqiXuYqGQELFc/MJmUOCRuxMF04xuHNMrHcBOYEkQC5c+Hjh+7hYsV0I8n+nO+CJje4Lcb5m5OwixJCp0eZzvy04IgZCvOAah9AHjf9fmz6Kli7IKtabzBNvM8wqigwuidq/VYWC/EnYPdoJ9MQcL7itTcdroKwDqy16SrSmLketIZ1UgSr1PSnYnAYr5QBGQLLBixho2LRzF2TecH4vjusFJzYbulJ1mAoGkYid4btxjCniBDWPt273pk3K7i86nEISjOvPkGOfJiJMb73CWZiO7bz2UW+uyxnTqOtYUu4/2ABG/ebZgMQEFe0kG7ifQVWkza3etskUieXntsNCEh9a+bH2Z+nFNzbAeBXxeF7uXNlshctc+eDIgtRGY6HXdI0fh1JzjO
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?t3cDkKjs10C6j/+4OfKTEuJHHtCaTufiEAO470vwlYUUqEcq9002X576Ubxy?=
 =?us-ascii?Q?U1/zFwItVGVrIQwERweG1BU2tmBL+wjaempE3JTeZcxSfCJbKOl5Ww8puP7j?=
 =?us-ascii?Q?5NSfqRJi/lMfAM8fZC66LObQ/uswW8Lx/DWZ85HtYhJAI5x+nTE75Fj9n0Nx?=
 =?us-ascii?Q?slWPkpthpPN1sfdhrXnB3N4h9Ow/l0LP+8L+KTG25AUVXuxYN/dbFWVkK3gT?=
 =?us-ascii?Q?moYrtU0V5O2FdgTapVXOODXNc1dfAOD9oRciF8Zb5r+rNB8FqEYvcTiI7xMd?=
 =?us-ascii?Q?AwDyik9a+d4+HPR1lFz9YZLYwdgPY52ZtmmVdWhljq7WjKm7/p1dbDUrdXzn?=
 =?us-ascii?Q?YIeZMdTNjmM3X8lUH77qWpQlccndyPk5dIJg8LrXGaVRhhRDuEmei/1KtYSS?=
 =?us-ascii?Q?AiQS6d++GTmP9ESnKsVt5tiYVTL51YPgkIEm2lmBTAX1v787TVoyePnNI6dJ?=
 =?us-ascii?Q?ML80cU0Zyz1U8ZsyxfWpODYYRaTi8tmnFUlGN+TDZj6wRudxmo+d4bbqkAPo?=
 =?us-ascii?Q?8q4ci/q/n2nIaqN5tUaCuATrqVLOdpMteOLuE6Mtn240AOTl/dEJDxvoTubC?=
 =?us-ascii?Q?oGROaMhJC0WUKUAFEHjyiFInIL6Afqd9AZI5/MiGFxuguGssXszNn4xPKsu4?=
 =?us-ascii?Q?KbMGRA0oVtRo21c0JylOOVqGjbZunURBaKaRo0ipyjS2mgMUULYkidYin4PX?=
 =?us-ascii?Q?UkqOipmeLlfO+GrDFwYZJOFnxU6ghYC1fcoouB9SVNs7cGMZ+XgH7Q0oz5xX?=
 =?us-ascii?Q?5tVB7zcY0uCoRANuNWLAabsLUx47lB6YzS/VsmXAmS+YG7MBEBdXzHNQMRJh?=
 =?us-ascii?Q?6AzlW2V/P4hNzv/04UfPwWVhcPI+ycClClwtYh1+j4b82xuvVpElZxBQMdS2?=
 =?us-ascii?Q?yFqYDI9hJy9ogQOL6R+QJoxO0vKrXCJeWRtrq0ApY64R8GOQ8Ywrj1uYae6Y?=
 =?us-ascii?Q?gRi3y9IzMfzhBChcOeCuEVdq14LgZhWAw8HapATevt0AAmmUN7bYGLbHVsGX?=
 =?us-ascii?Q?k8TtL/GP4X1UVvd8hONXOD2oY4cWOOeVpVjW2ocSE1Cw7MSv9yWS5+Uo3wlG?=
 =?us-ascii?Q?sGuJg6Tb0WMhxWMnhCSTuYBnaHRZ5EJYp32ANn9ClIzM2sEdaNMChAx74+A+?=
 =?us-ascii?Q?LxVtPzEIySTNDcfnxpOIAXNWuTDhMpiOm4FyDzBdGy3kHIZoJ1WKVP5oE2qU?=
 =?us-ascii?Q?ROifzFBI+MsWfFzXb//s5BuEJgZn+elp1KvuEftxzTnz8Ji59bc4Dydik6w?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 2d23afc0-f6db-4663-e7f7-08dbf0570aab
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:43.7995 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DB9P193MB1913
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-coolor-0.5.0): New variable.

Change-Id: I99d7d496c3d6dc29a0574d1a57df14fdae9e01e8
---
 gnu/packages/crates-io.scm | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 4c246ebedd..4de170feef 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -15646,6 +15646,23 @@ (define-public rust-coolor-0.5
     (description "conversion between color formats")
     (license license:expat)))
 
+(define-public rust-coolor-0.5.0
+  (package
+    (inherit rust-coolor-0.5)
+    (name "rust-coolor")
+    (version "0.5.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "coolor" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1bdaqnbpgnr19ma0wi0bkf9smz938ffq0753c662znd0bj07lkdg"))))
+    (arguments
+     `(#:cargo-inputs (("rust-crossterm" ,rust-crossterm-0.23))
+       #:cargo-development-inputs (("rust-crossterm" ,rust-crossterm-0.23)
+                                   ("rust-rand" ,rust-rand-0.8))))))
+
 (define-public rust-copyless-0.1
   (package
     (name "rust-copyless")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:15:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:15:59 2023
Received: from localhost ([127.0.0.1]:48080 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85Qx-0005PL-15
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:59 -0500
Received: from mail-dbaeur03olkn2079.outbound.protection.outlook.com
 ([40.92.58.79]:6720 helo=EUR03-DBA-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85QO-0005JW-Oa
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:21 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=IGEu0fcS0SfUlaUk6oA7Egm78V/24bzdqu2Xp6lyf9vU30LsL7KiY1qkL4NVhqHoubbS3qnjbD4tnWS9rSHNaF1b78USY9S3G5zYoMXSv74aDLO+UWW8WdnSkyY7JXla0orS/oic68oGLZjGlczyxqOsK0QWHoOwpC/OU+Syc+HxBT1zLa5XDieq23h7Qsf7eQK6SincqQF0J+i6onqOvXZU/8BKCjViqMG9vmkomwl4INyM7F0W0pmtO1uu51OFJxSI9SuCJKU0rMnfXmRW25m26BPriKEFHd7VWiUb+FDOxkmhfqOj02z8WuAWDNiLqedXP1aBoUXlULtKNn70sQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=UM0n+OgsgxsvyZtuZwqDStk0wzgM6OS4ohMe1whcwKg=;
 b=CyCgJzm7Q6F7AgUpXY5kms7VvRP+lnRbbfWd3fXDYl1Dfyrl40suK/iO4uNZzKKNzGrb7ySEVgWPAsCb0m2l9HUenWzoZfwgsLExEHUJp0J24N9vDd9NJ98omZ8hZosFHYZXEI9wvQy1gu6Mb6XlgLl88xiKFARZQkZJSDEGccA6Nn7xIm56A7XYxKylUl1z94qeYTthUzXxvieEkcYAEcPGzWn1kBKiPRTIuv1zEtKpHzYesKZfjuJUjwQNFYD7k5oNZliojcVKEgQH1YksaD87JRcy3RzPbZ1QUdiBVhOELoWfVp0uyacYdXr5PBbd5pUn+FUmj5wnaJRJgXSP+g==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 DB9P193MB1913.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:25f::6) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7046.22; Tue, 28 Nov 2023 21:15:07 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:07 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 44/91] gnu: Add rust-textdistance-1.
Date: Tue, 28 Nov 2023 22:12:22 +0100
Message-ID: <DU2P193MB213206E387DF4DF76A3729BEF3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [FhUFW0NKAag/kyevbAQCxlcYtmNQ5QAf]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <8a6ac61e61b7c2a6acf6af6686b2edd16a397824.1701202945.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|DB9P193MB1913:EE_
X-MS-Office365-Filtering-Correlation-Id: 266c147a-08c0-451b-43d0-08dbf05709cf
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: y/uEOlZORt6Yz44uZ4UMQ6tWJu47ro3Tk8VKl3CQOP8h7zPMtaPPM6hI11nMi16pn1o7B2z4qGLoG2S+hmQvQ2u+Mapimqp8MYRSOOGvzkvo+7r0rwrfHv54RI1CdwqTG8QyC9RLY/77EQ3XTxOmrvpmS8U64izukK98FnzrDqq9Yp6g5L3yDLFrTxt9PAH8Zs8zNme/mqSNuJLg0SfM6VXpMavji6J9NrpFuPdldBp0Rkf0HS3zpkdvdryc0E7WBQwYVONTPtsKnYVdO37DYJ2l5FOQg85MRFolRejWszopzAkOkCWRsW8itMR3Sx6RXNZwN4uX8JXCuoXhtCQJPzGQXZdyNj7pTfDLBWqbt0TyGBTPDrLISX82EoMtexBs7RXkMR4dJ8dP/MgftjA2hVKjb49A3IZSaNTsavd8vwHqnIjWiIynFbkBwvehCZ+VoMTN4upM9ggK0o5oKlN4TzF5j0WSt/IClqsNKG/fgqsjcKmwmV88gyAyJM+8zL4hlf10NzFwImCg4Gof5jGIdDbqgaMedc6bqrOzNlzCZtOOp/wCjcuDlEkjB2Zrktod93A27SgSH/gxwibFdA9hxUy4c5ClnL8FBpAfbdAJ3LwtpspxofRPFWyTSLb7fMvg
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?X+QQqUvgttTzxIlQ5uKTnbFbGYewG0eE2TC9cDS4rt6hZA22NO0Xj9LUUq+j?=
 =?us-ascii?Q?2QuwZVZS3VHA/6H+3+EP+Zt/RzMgLxbhT/GpGm31MLStrXq8fwkL949qUsrd?=
 =?us-ascii?Q?fUnSAzM7mlybZqmIc8HxqsBZh4+Q/CcXRre1KiuJHl15O5UFFr2lfCK3Zt9c?=
 =?us-ascii?Q?cnkt4kjZgQXE3hcP9AbxECMJuYWaRy6+r4xUrzh60/PL6MePY9VPpX15eNy/?=
 =?us-ascii?Q?r5rcyXxmKA9h9syUH+6jXUotTeviR6MIU3BG3qSRL+qmlnlo9SgHK22WwOgb?=
 =?us-ascii?Q?rk/Q5BCveOXTDLzpa2YaYvN0utHiaRSSBQ7YPm1W2RpzVVcA0AvQTc/lSLsa?=
 =?us-ascii?Q?FxmXoTFZahPMmXHnXU49xXd0CARFz1YE4UGIs7N9nMnbs4jVfxyWb80ycidZ?=
 =?us-ascii?Q?0re2axdw9vr3GDqZY5MU7h/eylu4E9HECHj3jntZafXsgiJEJLkRt8fyKqq2?=
 =?us-ascii?Q?7MFPEy47CA5CbkYqO2CtK0i2lZlq4i2GA5vZfOTSKOwiG7r720yvSqHG2cVn?=
 =?us-ascii?Q?XuvBUp+WOBWVOACv+xZe64PgFjIBxfe303RP2vki9BMlZ1PjkRmdZITm4FxP?=
 =?us-ascii?Q?qlan1AID7mZmiwzo0KjGWDYQmQNqa+qLikh6Ntx5a96BUVOcHc+TT7AAQM8p?=
 =?us-ascii?Q?MI7WMYJJbWmUOp885zyFxabnearbCBT2wADVVaLRYQ/0DNiUT6nx0pcsjrJl?=
 =?us-ascii?Q?cKuff1XJEjFTy5IkhtTt7JyraBkV6mHaGeWZhI5BSbLy1Upa1hNe+g2BvJt1?=
 =?us-ascii?Q?UBZmiRMe694LCSwMD1khWwkLSGW2iJ7SbTUY8ytuw6P7X6mMgnAztK/MtDLa?=
 =?us-ascii?Q?S9xsEF1JAZMwLnaKalzHZ1CJ1R5Qaqlx/RbLrtK8DG+nNKr9m4vZ2l6OqqCZ?=
 =?us-ascii?Q?tPamJbu/I1Qnct+Pkvc4eO/IzGjXRXc2SFc3nbB6o+uUKLBrcqIOT9Y5Vg8K?=
 =?us-ascii?Q?Q8qG6UDsDBgPprvMfpwTTZshuxYE8hwh2M3MbCNcDkDjxC85OiSjX86x7U28?=
 =?us-ascii?Q?Nwu8jmULuqe2sukVZKu4Y3VdbjA0xvmU8hcON7Vf5HEexdUsTvgJyqR7EcWL?=
 =?us-ascii?Q?mHI6MWWGdVOQqWoWBs/Ex6HoJTHwg45FT/MHBQar0p912SzJeKRb598FBxtj?=
 =?us-ascii?Q?V6rYLONJDIomStZsJxR4CxeFNYkDuIoifLEMFNOmLRT1iC9rknc7fidK1Trb?=
 =?us-ascii?Q?nsCVYLmamqiQeNZSsvAbyw6YLpud6m1GvjWDmSI0nc+Oe5ZtnFAlamgqhz8?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 266c147a-08c0-451b-43d0-08dbf05709cf
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:42.3444 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DB9P193MB1913
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-graphics.scm (rust-textdistance-1): New variable.

Change-Id: I1b365f4efaac650dd50bf6a1123ecdcd635eadc1
---
 gnu/packages/crates-graphics.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/crates-graphics.scm b/gnu/packages/crates-graphics.scm
index abc4f3a01f..79922722a9 100644
--- a/gnu/packages/crates-graphics.scm
+++ b/gnu/packages/crates-graphics.scm
@@ -2655,6 +2655,31 @@ (define-public rust-smithay-clipboard-0.6
 applications.")
     (license license:expat)))
 
+(define-public rust-textdistance-1
+  (package
+    (name "rust-textdistance")
+    (version "1.0.2")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "textdistance" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0yq3lqn0hh2313z1irbc1apxck0dalvf5k79acwy8irbdibwh8fk"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-development-inputs
+       (("rust-assert2" ,rust-assert2-0.3)
+        ("rust-criterion" ,rust-criterion-0.4)
+        ("rust-proptest" ,rust-proptest-1)
+        ("rust-rstest" ,rust-rstest-0.17)
+        ("rust-unicode-segmentation" ,rust-unicode-segmentation-1))))
+    (home-page "https://github.com/life4/textdistance.rs")
+    (synopsis "Lots of algorithms to compare how similar two sequences are")
+    (description
+     "Lots of algorithms to compare how similar two sequences are")
+    (license license:expat)))
+
 (define-public rust-tiff-0.8
   (package
     (name "rust-tiff")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:15:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:15:55 2023
Received: from localhost ([127.0.0.1]:48078 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85Qw-0005PD-Jf
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:54 -0500
Received: from mail-dbaeur03olkn2098.outbound.protection.outlook.com
 ([40.92.58.98]:44800 helo=EUR03-DBA-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85QN-0005Is-Lj
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:20 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=ZV5OiyHXBw/T9d+ZbmcUMX+FaanXzxkkODS+5nQdD2YJ34hSMxahvAgNuNRPIcLIXLfHe26etlmte8IvjkQhAtR1NDVwQAAC9pQr3kFd87tVKNgqG5aK7xk3T1nVGheswNqGVwXzoNNwp08HcGMCjvO4u48I4mYe9rMFVROcEsM8qmmBA7PIsJwmrSRxG5llzJmr4QODf64hWf9PZb6jgZKOmVO75OFe0Mq5OJUh69lzx5x6OhXDdbmn9UAFBlCAKuvWRqVt2YDVOqN4iAwpL+cJnC9xEfSo3OefT+YKL871Q200RHCWrEU4INQFSXW0yqWZG9Hs27tHc/6d/awNEA==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=Wf803NqLkvLQPayPuYa+WJBTSeEY2FWX/dlt44hMCEo=;
 b=MGdQD+oFTfMXMceTSPHrDtj19Iz0EC1xf2VwZPLnTPe4j7r+iU3R26q7tbi2VnxcgGuJ8zqD7/XW5jb+RUK0PTaIQjWNrfDCNdRBazq2oIPM2ctXGlB6oPxDjS5vpXdQnPUWcEUbJ/SyJ3R6fg1LqN0vsBqcznepyl9BYRWw5GZHOw2Hk0vnErjdkznjXreBw2XdfDahKQpXlzj9h37wpnJ24y0OdwOaKnDEdQBO7LgGJOqr7PbT2wkSmmnSXBljPnoojDDmFGItEy5/o5QNWFbo6j0P74QvZtq08JjWhh5KJl2cCnhiablVSLxiNlKZENYLpEX3BhPG4TIO+TzLtg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 DB9P193MB1913.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:25f::6) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7046.22; Tue, 28 Nov 2023 21:15:06 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:06 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 42/91] gnu: Add rust-wayland-sys-0.31.
Date: Tue, 28 Nov 2023 22:12:20 +0100
Message-ID: <DU2P193MB213255BE6A90736CFD6A1B23F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [+v2dAgj1/sEcVRsO/OSuUejkIjxrn6NQ]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <e5b9379f8b8cfc37ecae8b9d5fb8860249a18d8e.1701202945.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|DB9P193MB1913:EE_
X-MS-Office365-Filtering-Correlation-Id: 91f245a9-89d3-47e6-c94d-08dbf05708f7
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: cxLokFyLBwl+uJZnsvlWY7qHUbtdu6rxb+11AIxFQuNHo59tnLQFcs/rbL+EsrHHfKClZ5doufE6MKc4keu3jbOvjEjbLUnbe4kGDhj7m9m2U7k40CPcQ1CVHUuYovpN35g6WXPmXSiIX1Fjauk+7xHokvqrhkhMIc9ClgCYXLbi5eMBojB+4xPiD6KqPeyNjQ6w9JYgX6R62Ed5PFvRp9D1C+9WVz/z0GN5Sjq10S6PaTqfHIF/M8pvZDmRoLXABmEyzq9EIuzyYRwEQ/FBuwUoUd0D09r69jwuqRLVbauQmwM7Cx8R69PYCRXkCpbnpBFE2EDpSLbu16dowEJ0d6okSiL5AY1VXTItjFe37XzVBFKZqbMG4jXOve9TVdltRSNIZRojYWNVLlJXudQZ1kkJPSzJLM7DMuAwlCJbDHrNSvadPOpZFNbIS3MZaUTV/ZHZTwUphtkZBZaW/WTUCrRf1hErGhhJXxUcoM5Ex5jPC5beQ0mb8gpslTDGeMG9FaK42C4MFd8k4z9LzSENf+PKmjNLYAqAx5gQH1wiAOz5d3KfndsP5iJt3cNDaT5l4n1w9ZggSRboKR9E549g1pr40YZFyJx1vPsUacZgy0+OyxZpOc3JVQBUvgghIF8o
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?+tM8HQkzuPRl3+W0YYFCFxVSZPRwoUT3PaQ3Y2q7Q6dE++D8gbR1ny5+cZWf?=
 =?us-ascii?Q?Aj22K6DprHBxIUbBA83rd3tS1QhX4eyFD1c/spzI+AIMoPhYa7QTBeuLnK2H?=
 =?us-ascii?Q?nS9xt+OUlU26vpWKnluu2Fjq2RdjTKcPEz9H3rdyfeWkmdNmsl4KtkzNrz6s?=
 =?us-ascii?Q?kr6JzUwE9TznZ/8yorZRQxv1fZor6iFLfzByOo88mn2G8KRqmQu8Z5JpQzwD?=
 =?us-ascii?Q?qi+fFCggiKMpkHA8wk+MGKQ2CJg+s0z8U4r4ci7Ld6c8XY1no+IMPOVG8VeY?=
 =?us-ascii?Q?11B40BRDJaZ3UdN2NOxRIbDO8mJoRt+7S2Fe4fcM8Jl1TzNYxfn9eZq9KTU9?=
 =?us-ascii?Q?goj7oeQ3FfimwJ9CWAZcmzIZifYPrqtqPBMw6jzjhv42lcWy83mYLB6+8nM4?=
 =?us-ascii?Q?fAoaPC/omm5zyKirMGaBjhg3IbXY+2tQAKvHABFG9pVDXieOvbDXSDIL1/bS?=
 =?us-ascii?Q?FxEhQXCF236++MHLo5qS7BNpXCa8w+AKfScmGuap3dJEKbsG381ud/OYjaT4?=
 =?us-ascii?Q?NVRyIK+poDPYE99k7mWORQ90Z6io2wBDgjiZTVfTVhTkowCHRJiqVZKHJAIK?=
 =?us-ascii?Q?LpDcshplMLZK6VbpdB4wRMQdXlnt2x16Vv0ldr67VAkeLr/VKmvwEZHFc0W5?=
 =?us-ascii?Q?VbLHvGtH91ojj7NSIyzD5okyVZnHmEuTDeFInnj+avmYl+IFIbHEY4IYa7Nh?=
 =?us-ascii?Q?uxVnZ/OnlzcCiBOSukGjZJPM10zQaA7DnYX5rL4WFvQgPIWkds/e17vvzkPe?=
 =?us-ascii?Q?ze2xGpoftb+ZpGlTZdkOYMAiHPrdl3SRkSMtfEfof6cUZgfYynNRH7S+05ZY?=
 =?us-ascii?Q?Kvs/7fD/eSg2Y3Tq5QaNBeCWlOCIU1mKTwIP+500lqLkyjxdW+sFr0HLE1ef?=
 =?us-ascii?Q?boGxO/TAbwuwLwoju2o94QGZeWjzw6yCe9cLQzeBZnujC6WR4XikGrBu2Fhc?=
 =?us-ascii?Q?d8/AucQ4MqXQ7nI2YfbBXbgj62066M1k/dUwbZTclrJQ8RqFf3beZ/FtpZgy?=
 =?us-ascii?Q?rp+TNdvAZxqAHWAB2QGuryqgPF+b76fcddhmVDqUSISuElWf8o3lGXljQqEg?=
 =?us-ascii?Q?39pHOhwdj5B9c4lovGrd7OSgTr44+fdLPlCH0nHbOSZqgSf6NQgO4HAmbhuf?=
 =?us-ascii?Q?fm/0zdMUpW1N8BglWXQ1aWswKsGGWybvJW5T/HmgckZxfIJdbBnhqovWx7sR?=
 =?us-ascii?Q?3hT4q1yzNK+qodAlgtKftsq6rFuJSRL5tJwdIOXvSoGJTr+5aR3e88YzIfA?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 91f245a9-89d3-47e6-c94d-08dbf05708f7
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:40.9311 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DB9P193MB1913
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/crates-graphics.scm (rust-wayland-sys-0.31):
 New variable. Change-Id: Id3d4ae66611a9686aee0e72a7359e34cdb1a0a2e ---
 gnu/packages/crates-graphics.scm
 | 49 +++++++++++++++++++++++++------- 1 file changed, 39 insertions(+), 10
 deletions(-) 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [40.92.58.98 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [40.92.58.98 listed in wl.mailspike.net]
 1.3 RCVD_IN_VALIDITY_RPBL  RBL: Relay in Validity RPBL,
 https://senderscore.org/blocklistlookup/
 [40.92.58.98 listed in bl.score.senderscore.com]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (sergio.pastorperez[at]outlook.es)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/crates-graphics.scm (rust-wayland-sys-0.31): New variable.

Change-Id: Id3d4ae66611a9686aee0e72a7359e34cdb1a0a2e
---
 gnu/packages/crates-graphics.scm | 49 +++++++++++++++++++++++++-------
 1 file changed, 39 insertions(+), 10 deletions(-)

diff --git a/gnu/packages/crates-graphics.scm b/gnu/packages/crates-graphics.scm
index 258fe2447a..34429553b5 100644
--- a/gnu/packages/crates-graphics.scm
+++ b/gnu/packages/crates-graphics.scm
@@ -3544,26 +3544,25 @@ (define-public rust-wayland-server-0.21
         ("rust-wayland-sys" ,rust-wayland-sys-0.21)
         ("rust-wayland-scanner" ,rust-wayland-scanner-0.21))))))
 
-(define-public rust-wayland-sys-0.30
+(define-public rust-wayland-sys-0.31
   (package
     (name "rust-wayland-sys")
-    (version "0.30.1")
+    (version "0.31.1")
     (source
      (origin
        (method url-fetch)
        (uri (crate-uri "wayland-sys" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "01man4ll2kyxp9x2934rhnf98522pzwsd2c6jwr73q08qqma1cln"))))
+        (base32 "1bxpwamgagpxa8p9m798gd3g6rwj2m4sbdvc49zx05jjzzmci80m"))))
     (build-system cargo-build-system)
     (arguments
-     `(#:cargo-inputs
-       (("rust-dlib" ,rust-dlib-0.5)
-        ("rust-lazy-static" ,rust-lazy-static-1)
-        ("rust-libc" ,rust-libc-0.2)
-        ("rust-log" ,rust-log-0.4)
-        ("rust-memoffset" ,rust-memoffset-0.7)
-        ("rust-pkg-config" ,rust-pkg-config-0.3))
+     `(#:cargo-inputs (("rust-dlib" ,rust-dlib-0.5.1)
+                       ("rust-libc" ,rust-libc-0.2)
+                       ("rust-log" ,rust-log-0.4)
+                       ("rust-memoffset" ,rust-memoffset-0.9)
+                       ("rust-once-cell" ,rust-once-cell-1)
+                       ("rust-pkg-config" ,rust-pkg-config-0.3))
        #:phases
        (modify-phases %standard-phases
          (add-after 'unpack 'patch-libraries
@@ -3584,6 +3583,36 @@ (define-public rust-wayland-sys-0.30
 crate @code{rust-wayland-client} for usable bindings.")
     (license license:expat)))
 
+(define-public rust-wayland-sys-0.30
+  (package
+    (inherit rust-wayland-sys-0.31)
+    (name "rust-wayland-sys")
+    (version "0.30.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wayland-sys" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "01man4ll2kyxp9x2934rhnf98522pzwsd2c6jwr73q08qqma1cln"))))
+    (arguments
+     `(#:cargo-inputs
+       (("rust-dlib" ,rust-dlib-0.5)
+        ("rust-lazy-static" ,rust-lazy-static-1)
+        ("rust-libc" ,rust-libc-0.2)
+        ("rust-log" ,rust-log-0.4)
+        ("rust-memoffset" ,rust-memoffset-0.7)
+        ("rust-pkg-config" ,rust-pkg-config-0.3))
+       #:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'patch-libraries
+           (lambda* (#:key inputs #:allow-other-keys)
+             (let ((libwayland (dirname (search-input-file
+                                         inputs "lib/libwayland-client.so"))))
+               (substitute* (find-files "src" "\\.rs$")
+                 (("libwayland.*\\.so" shared-lib)
+                  (string-append libwayland "/" shared-lib)))))))))))
+
 (define-public rust-wayland-sys-0.29
   (package
     (inherit rust-wayland-sys-0.30)
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:15:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:15:54 2023
Received: from localhost ([127.0.0.1]:48076 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85Qw-0005P6-6X
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:54 -0500
Received: from mail-dbaeur03olkn2079.outbound.protection.outlook.com
 ([40.92.58.79]:6720 helo=EUR03-DBA-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85QO-0005JW-0A
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:20 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=hqFOUXTojX54FatR0vt0OuuAPQEuQKkZd3QPN0KqraShTkoB6HTDpQWOnVfOTupWnIayc2kkgLLXJSvC9XjwDCqtV3aw+hNbuduwQrhZ3WkVn5PWQXk6xEUjPljSB9/drSIeQzu28B8L7OG3YMWDE1TC7fn65ByhAMvmwb7OVhirETV9SgKFEl/4+XK93oEty5w1xI7SM3VQNYdzojVY992lJOVRLnTsXpeGApVhETLsWv9pH8HJWf9ZzcNVrO/bM81cGtxcPXnPn+4F2YokemE+V1ydpQk5//CTDhfA5CR+UdTK+hMkwDl9WkvipXHTUOAY4xfpjTtNWN5hJZNOiA==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=rP+lPd5Kk1kJ2K7QBF3hixgk6tAFqPAKOd+xc7uny/8=;
 b=Q6xDQayDAieU5tJWA3O6VOaJjOIWpnOlMI23+VIipeqjzOcw8OgUovH48BPLgne2rCAn5CXgZKnS8WAzFuQL5YV/mKPruOeCF6fWz/tO897QFoGQ5FnqFyr58955ucDAfStdUmLhNooXP7tmLsJqOmJZ9njAhnMOmADIGAoZe2LI0GIf/LCN8KlvJlGMj4+PQMeVMQOy8nQ0wnkWNmcNsMyk2TiIU3RJdVxTFR/i79mmwP6gZLxgy9J+cjQPbbmmAUmxJweWuwX/9iC5HwAyvlP9OhufCdRJGZc7CNMU1bN2EaqkiX95nZ3Q5bwCxySr3OKq0McRO36kwKr6ZMdcJg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 DB9P193MB1913.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:25f::6) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7046.22; Tue, 28 Nov 2023 21:15:06 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:06 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 43/91] gnu: Add rust-wayland-backend-0.1.3.
Date: Tue, 28 Nov 2023 22:12:21 +0100
Message-ID: <DU2P193MB2132F35BF51064A33D560B75F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [j/InwKbXv7a5eRHImT8w9sqopQXA1TDo]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <9303e67fd456de3fde0f6a1bb88a0ed14c7cbb4b.1701202945.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|DB9P193MB1913:EE_
X-MS-Office365-Filtering-Correlation-Id: a3dff692-9cba-4df5-4cba-08dbf0570965
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: Z4Sh7ROnRkwCSdfVEFY0iVYgJQxaS5CxYpVKIZlvSweoOYMRTmD57vCqnIbYr0SHltlPxqgMKdoUsvZx/VicgdHkjXPiNLiPMx3PRPJwo9z/8ItjWZNomtWEBk+ujxcg1Q5RqFzlIpQdncWazjJHvGsqYQfZ2IrDM3oh9nLpWia3pBb5k7zWmwISj0P+jQKB59i5WUtGjXJCpAtZFYLcwP8IlFdd2RVoDrPlO0tKfB6JcEMAzpjqEELVVcL9QX3/D8ekzRd+PcLa+SSu49atmxB/5RI5HEkLGrBcTpCYF/O+55dHZSEzO77QZFWZuaRx7gbjG8bqLDR8vVPZRFofKUtzgMXhiXpyoquTiwTTk5OfYKIPdjPgzQ5QnFeMnWAbMv//7Em1W4NTqZCu+bRJIqRh8lp0xgrPcLTySz5cbGrQ6YVdTzIaCzmkT8bT+/U7nIggsXJa5K0N7vfHfT++tOeG7fMdn/ZST/TIv8OYSUjrLNknUuWgTX8uri2P/IGec+FbT1gIbW8QvE2b2ho5TCuAZcsMBU/wkevpnnt/VRfSELo/1Zn4TgP8FeYCdOMbn0RoO99SvGusJG6iwPKLwAcrQ3CgK5pCseAEYHl97UGh+rLFSx1J9N7AsD/JLIt9
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?7rkmTA2QbkA++mOonO59N0cM5B0abCOvm8mXysO3i+Hj/HWFOMtSVVwl8YrL?=
 =?us-ascii?Q?X4LlZCnFM7QoravdNSQzP8cgjvcrzTrg8vpaaV2BBoSFs1aga3S0g1Wj5V8m?=
 =?us-ascii?Q?zxze2MxV4KCZytvidfYcljmdM0oQljU8o/CkOT3X50mD5Ewi5FXmbRSmiDKP?=
 =?us-ascii?Q?t/SlWUbbJKAHt2l3pVlFcjMnHOifUizJtBWbbdl2pNtvTFWp1iPGq5UqhSE9?=
 =?us-ascii?Q?W0uMnjLer9tpOXEJGkmfjWpv+WYvcsj+SVnmTiRxfJ+4IFGCLdgYEyDsodoA?=
 =?us-ascii?Q?IToxU7WkkBt3tsnBBeJmB8SnSkWcIdvwjUSEME0LRl7ODb0e+ivnZP3CwXmD?=
 =?us-ascii?Q?ylO66JV/zKeHqTF5qWuku3CL2tVACTy1trtU7HyacGE2I2BmXpM/NVWmq+4H?=
 =?us-ascii?Q?VzJrDOrE8GuK1418PplxJsPY91qWqY3JGTiizn2oIKofUTRH9exIKWLJb/7M?=
 =?us-ascii?Q?YbcIqn+Ip4PeIzxM/yCbKMFdDuhlUww03Y9VHSfzvviJaMHKrpHCImj/FZZO?=
 =?us-ascii?Q?4Ne34JqgILzNY8dZ0rMEUC1rkQsq/tqOKqt5nXRGLLET9nsbhT1WdbefYvRf?=
 =?us-ascii?Q?oJ4dlsd0Fuousw3CXXnAOrzAdlT4LxLmi8WMMLCOkbAx4lgHZtO0hjMA/pJY?=
 =?us-ascii?Q?cX3+WUBgWlIyr9GSkuWjRMTdTbKk/ExxWMCT2kv7giwB8usiuMJ1js4y7giF?=
 =?us-ascii?Q?bS/SLDRm1152D2H0wd2BaNKHQNFVkSMA6XXC41n0R4t6TfKrztTN1vACQHtp?=
 =?us-ascii?Q?KLei8qVmd9NQppD2yJY6b1eLNffjIQnTURSp5O/7KdG9IQLzehSDpUp6Y8Su?=
 =?us-ascii?Q?fy7Ry9vB7H8f2mWrg3jaTl/+pQ/Mh6SKpnO2jBwJHTP3eYICh4HRdPxl5vMI?=
 =?us-ascii?Q?ezJexwT5syBf5J6q5fanBrv5RR04PTjwxHL00KJYY1Epb5HBpUN6nqfPCRyP?=
 =?us-ascii?Q?HGqCKpY4Rx2RGIAjSedMea7gVCEV7vcVgAsoyeQLylT1OUU5aUqFQ2eEQfJG?=
 =?us-ascii?Q?p7FMg+kEF494Jx+BqOjfVsVuU53t6eK8qDlSrP6o32O59NFITYCZkrqqNNN6?=
 =?us-ascii?Q?BykgF6TZIkX8Ka/bbXcHvgsczrajEg6sG27aOsgB1SMDsRYAJid7o4klGvbm?=
 =?us-ascii?Q?fzpaUpWfrBhJ/MjubttgKvo96lGzq5/w9pODAZLPAdu3C2WKe57xowz4hWtr?=
 =?us-ascii?Q?u9ABbqSxi1xSqTOAL5G+rrZRBbaB0fMzu5GJTpWZAhS3nI4b/cfxgUbkveY?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: a3dff692-9cba-4df5-4cba-08dbf0570965
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:41.6163 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DB9P193MB1913
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-graphics.scm (rust-wayland-backend-0.1.3): New variable.

Change-Id: I942e072bbb7162d32f81c396a0b1776f69b2dcc3
---
 gnu/packages/crates-graphics.scm | 36 ++++++++++++++++++++++++++++----
 1 file changed, 32 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/crates-graphics.scm b/gnu/packages/crates-graphics.scm
index 34429553b5..abc4f3a01f 100644
--- a/gnu/packages/crates-graphics.scm
+++ b/gnu/packages/crates-graphics.scm
@@ -2765,17 +2765,17 @@ (define-public rust-tiff-0.2
         ("rust-num-derive" ,rust-num-derive-0.2)
         ("rust-num-traits" ,rust-num-traits-0.2))))))
 
-(define-public rust-wayland-backend-0.1
+(define-public rust-wayland-backend-0.1.3
   (package
     (name "rust-wayland-backend")
-    (version "0.1.2")
+    (version "0.1.3")
     (source
      (origin
        (method url-fetch)
        (uri (crate-uri "wayland-backend" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "1n1yi6vna23wfkrpk1j46sx5qbsijh50viha4sra73by8lkqxd21"))))
+        (base32 "1rnzr14l654506alzyvphlcifb8sd4macnw4c5i0ymabvm926prv"))))
     (build-system cargo-build-system)
     (arguments
      `(#:tests? #f      ; Use of undeclared dependencies
@@ -2788,7 +2788,7 @@ (define-public rust-wayland-backend-0.1
         ("rust-raw-window-handle" ,rust-raw-window-handle-0.5)
         ("rust-scoped-tls" ,rust-scoped-tls-1)
         ("rust-smallvec" ,rust-smallvec-1)
-        ("rust-wayland-sys" ,rust-wayland-sys-0.30))
+        ("rust-wayland-sys" ,rust-wayland-sys-0.31))
        #:cargo-development-inputs
        (("rust-concat-idents" ,rust-concat-idents-1)
         ("rust-env-logger" ,rust-env-logger-0.10))))
@@ -2798,6 +2798,34 @@ (define-public rust-wayland-backend-0.1
 protocol.")
     (license license:expat)))
 
+(define-public rust-wayland-backend-0.1
+  (package
+    (inherit rust-wayland-backend-0.1.3)
+    (name "rust-wayland-backend")
+    (version "0.1.2")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wayland-backend" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1n1yi6vna23wfkrpk1j46sx5qbsijh50viha4sra73by8lkqxd21"))))
+    (arguments
+     `(#:tests? #f      ; Use of undeclared dependencies
+       #:cargo-inputs
+       (("rust-cc" ,rust-cc-1)
+        ("rust-downcast-rs" ,rust-downcast-rs-1)
+        ("rust-io-lifetimes" ,rust-io-lifetimes-1)
+        ("rust-log" ,rust-log-0.4)
+        ("rust-nix" ,rust-nix-0.26)
+        ("rust-raw-window-handle" ,rust-raw-window-handle-0.5)
+        ("rust-scoped-tls" ,rust-scoped-tls-1)
+        ("rust-smallvec" ,rust-smallvec-1)
+        ("rust-wayland-sys" ,rust-wayland-sys-0.30))
+       #:cargo-development-inputs
+       (("rust-concat-idents" ,rust-concat-idents-1)
+        ("rust-env-logger" ,rust-env-logger-0.10))))))
+
 (define-public rust-wayland-client-0.30
   (package
     (name "rust-wayland-client")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:15:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:15:54 2023
Received: from localhost ([127.0.0.1]:48074 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85Qv-0005Oy-R5
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:54 -0500
Received: from mail-dbaeur03olkn2079.outbound.protection.outlook.com
 ([40.92.58.79]:6720 helo=EUR03-DBA-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85QN-0005JW-B3
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:19 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=Hw5Gsc1H4TWA8WmNCs4xw5Umb7yKPQuAli7s6rGfikDgIbg+Ws1b0c4YBCuBSEvuOMcEeQebM7I3kvHh+3h0PCKkgPKgoaYHRhptEtTNnPs5DtahGxgNCqeGlIi2VeXb07dH0iGiR85Pc8ipn+Bvmkh+80o1QWZzdbJX7ZCLqAnSK8tdRfkZmOFp27HJBCQUuxUKOQr4e1byXNuRnOqeneqqHU76+wWqZmpkA20r5AFDHrImcZCCgRp1a5D4yNBLwCWNULoQSWYDjQFVyNUx6yXzgHbM7prvbkCf0mlayEEyzZGj1G9UkKgN4+TLvlC23Kp8wCW1CXHPm6ySDaYLfQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=0RaAiZ9IALD2ojndT9BGGZkEOJG+LGF1ZsfohyS6P9E=;
 b=H8l0bzdwXipnoQIuvGuX2MNOZzTiJ9YOH+ZLKLj6mcc50NzGG/UVfy7YPLnl+zm2hdarTnxZq8gN9SfUg+sCb3rk/BoCPVrmKSkw8XRG9HMnK/BpMtZCvDfEJRXvb9yD9jITYlafpvgSQPdM2oTxVshzBWDa9KE9mohT8MTz3u1bLPiq6PTY5kHOEHiWNq9H4mrQyahZGbjC366gq5eYQpDXOvWqpV7C2umb4+AzPWaFm6MZmrvhiG4qoR0MtekBIvd1kp3cz8boPL6hkyQ2jVAdCBXFhXIBCf3K9e1Flbs3+pHdeCQRMazDGywGmJtXsHsaGPcQRoNvVXxpIlm6nw==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 DB9P193MB1913.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:25f::6) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7046.22; Tue, 28 Nov 2023 21:15:05 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:05 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 41/91] gnu: Add rust-dlib-0.5.1.
Date: Tue, 28 Nov 2023 22:12:19 +0100
Message-ID: <DU2P193MB213293B851ABA5F614738C71F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [Obitca8r9njkavQZL8sHJhYOSrEBaHnU]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <e82e99ce7fc2a22c39ff5dee631800d89490c691.1701202945.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|DB9P193MB1913:EE_
X-MS-Office365-Filtering-Correlation-Id: 25286d7f-d60c-4ef3-cfb9-08dbf0570850
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: ngWMARKimyYC3ZnkQjESkFX7yC7hh07t8EzmAO7YIgAaqetYCkBL+TGa69vy7MtArRoDM1+H0/CXhdHG4q8r3l60cvrUDFdNBT6SsdWg/KsT9SB1PexRZS5Dsw7zUe0dq5vnEiWHishrDqUGSjwI1a1W1AK7ZYlU9oJrjpmkjmpM/xaAsJvAzZJLs1n1bVzmHZsIQk6ot01LFu/9narVXrzCJoUEaOYg9g8W4NP0FaMmnWMp2wfVOvMz7tafMonbwhgfjf3txIAvK8KGI3RGHpBlG1Yqj1HiM1rTVbU0iyMU15TK6aAWwPLVoLVKj32XKjLIpfFGTBnaKj4qV6+W+TujQYTwW0jzBIu7PWHPQbyF+o7BP0c0v5ZSiPbtgOESAsdU/wrbmVy2hmUbByyesQ0AejkPHYeBSuOmBsppTFFkhdFNQ3oXWnZDbA6tDrXZ2TEVnFr7UOYfoLwiZZJEvh1pnYsZiHSLt+pruJOWWSYyjc+HHDvneIMmz4DSt/6PdxTnjA4DAiexQ8nkhuueizemCoq/H2g7dJz0t0uLqeMKviXLC7EnVnfWhKmbIjBwT5Bk8PG/1zx6Y7DpTdg2vbbiBxLW5wLS9nZbMRvB8YSM4DrKCRFk/PBcv0SB7soZ
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?MjGOm8HnRyff06pcTE9aOaySjW6XBmfEnmFgQjeOqUIU2mGwtoWZPk0pr9yi?=
 =?us-ascii?Q?nzo4mLB1w0WvAnw+ype/+VTTXcn66XLIrrkRJpJe9d38NAMloPVx/bbrk/et?=
 =?us-ascii?Q?H/cRCWpdxtT6kjLpXC7WQIihGWH+CzveKMz8zoOvO94nilk6lamgn60933KJ?=
 =?us-ascii?Q?TRNG0N5yMV4v6rXzbQLYuX3z2iABYqbRjckPq8lKsyBGiDCNDTcO061V0y70?=
 =?us-ascii?Q?dcEiqqlDOniBaYTrT2q4LxbCLSZVMVsypZEUSX265Q5p0hLTpe778eooiPv0?=
 =?us-ascii?Q?ykAfKy3BYZ8szh4WesUc/Oaa1U4sTEl4Jcv6ciJF0/05EbDK2dbZRhjXEL8L?=
 =?us-ascii?Q?ULkqZRZikyaAW2srhjRDe4MZXre7mmcUK7VSBp6N5jGRJWd3YSlHwLuC6Fy6?=
 =?us-ascii?Q?QVFVtE04q+qUHuKKcopeBcqPMMq4K85CW9bhFd1f54EQo/V5ghxPFVAJyxqx?=
 =?us-ascii?Q?pGJTBSX0lbi59ZYb0RDqD7/bZpxnWHeQrscV/J2lbqkit0mpoJVKO2X4R3kr?=
 =?us-ascii?Q?oOxK9zZ2zV1muTdeeGY21MI1PfqjZGAj+PWq4tn08mr20s1w5BtwiQnXgZ+5?=
 =?us-ascii?Q?SrPzIDu7v1+5DkxNTs5YbAarI0FV5yIYQUfhZDPq0+PMWSKCpPfZcaVn9V+1?=
 =?us-ascii?Q?8ZHz+rhwyw782uLULHCu4k9Ve+9DKr0Uy7BNd0j787+nxwsY8oM+dbww95v5?=
 =?us-ascii?Q?u/7Y5sgLgzhIWXctaa1rTzUKmaWK+SJn9I3j/JWzQDduaKVJBbOKvqlZS9bK?=
 =?us-ascii?Q?9X+YIUAh4UioGktc4vl5lstt7HreHhhA1OXwBQbUBpso6scWdL0r1Xs3CM84?=
 =?us-ascii?Q?Khl40i7p1LDZNgq64lvhqSWSQr0VyrUJB0niVZx7QlbWJEwfAcHVPV5lxyEy?=
 =?us-ascii?Q?45MwsraS9Hq1z6xQCqQGcHZEM9xEypiKhjVPWA9Et5HqoUT4gWJk9xN1lGh/?=
 =?us-ascii?Q?gPnsqTDWXBGUsOqoYxR/XOljb/8gyVZ1wb5gXa+8CjSnzqFQTxBPqOm1WkWK?=
 =?us-ascii?Q?0RlB2gDpKnUb0d+Gmu5gG1suIxb1NleAkoQG4lUezfnYdfG2BeNA/kSQNdYq?=
 =?us-ascii?Q?UDaU80cArqxmnsnIef6xOHm7Fl5/DPapDHYNng7mieeU/cSW/pJSxpUHqG3F?=
 =?us-ascii?Q?xjLSIYU+fxdf4ft2/VOk1gDiCXtEKopKdRGCBuIZEKLjQY0uLqMQW7j1vz3r?=
 =?us-ascii?Q?oTepF+a4XYCg2KGXEfRArZJ3SLFw+E5u/lzhWCwY0WpBAKYvJatn/kBkUro?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 25286d7f-d60c-4ef3-cfb9-08dbf0570850
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:39.8139 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DB9P193MB1913
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-dlib-0.5.1): New variable.

Change-Id: Id7d1026b1311236db21aef3e9eb48b79665889ee
---
 gnu/packages/crates-io.scm | 21 +++++++++++++++++----
 1 file changed, 17 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 5783d478d0..8259515692 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -22043,18 +22043,17 @@ (define-public rust-dissimilar-1
 Google's diff-match-patch.")
     (license (list license:expat license:asl2.0))))
 
-(define-public rust-dlib-0.5
+(define-public rust-dlib-0.5.1
   (package
     (name "rust-dlib")
-    (version "0.5.0")
+    (version "0.5.1")
     (source
      (origin
        (method url-fetch)
        (uri (crate-uri "dlib" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32
-         "1547hy7nrhkrb2i09va244c0h8mr845ccbs2d2mc414c68bpa6xc"))))
+        (base32 "0qkfggq7zik86jj83kcs22agpwpkrz5b4344mp3djrmg5c6a04hm"))))
     (build-system cargo-build-system)
     (arguments
      `(#:tests? #f                      ;FIXME: Several macros are not found.
@@ -22069,6 +22068,20 @@ (define-public rust-dlib-0.5
 system libraries.")
     (license license:expat)))
 
+(define-public rust-dlib-0.5
+  (package
+    (inherit rust-dlib-0.5.1)
+    (name "rust-dlib")
+    (version "0.5.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "dlib" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1547hy7nrhkrb2i09va244c0h8mr845ccbs2d2mc414c68bpa6xc"))))))
+
 (define-public rust-dlib-0.4
   (package
     (inherit rust-dlib-0.5)
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:15:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:15:53 2023
Received: from localhost ([127.0.0.1]:48072 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85Qv-0005Oq-FA
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:53 -0500
Received: from mail-dbaeur03olkn2098.outbound.protection.outlook.com
 ([40.92.58.98]:44800 helo=EUR03-DBA-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85QN-0005Is-2h
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:19 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=VscAJTYsfZxQH4TmNIkAKY1MSH3/bxvlBPGKloRsdR4eJAAK5+ubyx6Qh6nxGm0SEHWc3nVm/aHIcfj6RVe4GyUdc/XO/3cnEH7AYPq1r/S0TffHjiHm1aura2TRnNYCAi9uAMN3LUQnC7KiFJocLTfNS45291rYr6iV90pjacTmsUkSJ5OVizgzfY98+HISvcBxZPntz6eOtRgjExmveuxhVd+kNXs8gF6+Y+pWbxWcz1lKyqatXYs0N4YDwhBD4XCGPx5zhbBJZNBp3JYeGx8GyaO3DieEeOJARHEtI4f5+lwV4NjVaPeAdqlKcgHVS73dRBchjIJfXqaNy+dGDg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=iKrH8Efp+Qnic6Qu7T2xlw4M6RAW4NogYU1zHBcSK9c=;
 b=AtlIFAAF39sBRQaCqBdQWvXbBCjsrp+wF+qAMLmA3UMKrenD4cgTosw0+KdEubGGtvQkzAxMkrVV/5fDlZEgS3ElDD8Xe4svMVxQbwhshp3Ixd+dhBHx6jrIHJ86R7LMj6Rmhy8pDoy3TMTY6h42PIyberYOSwPEK8G+QvG/uXIyecB4LSlV/Lv/eSSZCxvpBkFOEyBFL29XLdFqd3AMkFDI9vYYg0ATM19ZeFyNbcS0jximvklY3o7T4IRRF0cSdqoLdJYtpAkAsWWKsUMIQjW3lESlWr1camMEtvUCGT2JKyCNOMMKpFCJIfyuWmwY6jXsu/QxNGNbKcJ0vtB+iQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 DB9P193MB1913.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:25f::6) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7046.22; Tue, 28 Nov 2023 21:15:05 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:05 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 40/91] gnu: Add rust-ordered-multimap-0.6.
Date: Tue, 28 Nov 2023 22:12:18 +0100
Message-ID: <DU2P193MB213279A5DFB87EB1B1615F63F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [SdfxnLm0Zq5jvPIH9Tx/3BOHtdzgoGuT]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <b414e254cb07ec8a8237d212bced3b1f33198907.1701202945.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|DB9P193MB1913:EE_
X-MS-Office365-Filtering-Correlation-Id: bd15b9e4-b96b-4ec1-30c9-08dbf05707e0
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: RCL09ol2d3mFLmxF2ah12HbfgxmM/0DuMIjGzdiYsG1HPl0/llaiRxEsDtoKSmb+2rQv3Is/hkycqljnqp3M/2uDeGI1tUplTJaFK7LVkvLDfuTi+sr9jTaTYUuyuS/AGKsU2/ah9/MGx25YPf3/WyOOp0PjJOPpx19XeEM4lvQVsaeMM9hce+F4y7iUiLCbm8CCD3g9B+laWyEPBrfyIPr0eC95IOHHSCg98KAV5PpNZBCuIscR4xAxFsmyRQM+iZ4O/gJ8wGcxBNvjmapSC1HdILGRnC+FR7+QVsurTZnK6xtot44X82sL8Wg2XO8pASjr+wCbKVf99xs8RXQv6tEGRHZtBG87bWMpXeC1tPyW7K3S9WxKHupn414P7ASAFlLk0CHlj3CE3sEVf6JKJ9SAGO4b09qtQhligPJ5vkUxhw6M3kAJe/gHXllJVb4pwNtHwl5DSIVROkoAZFAnQn7RovndyKmQdyCjOgAPzxvflfnA/1TzjH2kJDueB5WjDR6qnvdn0anEoTgoXyxb4AcEpe0jt4F8iIstj9iI38NTRTfGG0GSO4kCsB1FsseZZOCnpbAZJ0GgVRXKIqO6HMLg5KOFZpZ78gq+EXtLbRrdapKCV/L+02uvGGGlN8aV
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?lbf606z866z/Z4v0xcbta8ycSaS8WsIjDtzltSbDk/BV4PLzWQPGIDiDjwYz?=
 =?us-ascii?Q?lqAO3b7lTT+4zsR/UipXdgP66RTXpUTyddCvshOZkgn0zdedRS1SnBvXgRza?=
 =?us-ascii?Q?9e6aYSKloeXK4AmxgId9dtvzj5j16DD+gYq64GpKELeWePPZ8Whif/2Tns1z?=
 =?us-ascii?Q?CIcZFt6e38fWwFPo9ZK+ZAWKdeDJxS2m8dIJWMpS6kaEHAAyimLA2JqfivA+?=
 =?us-ascii?Q?5dLkhwQbnW0Y2Z6Myck+QejHUEc+4fGL1S8X0qBso11eBmKKsTH2OoXCHQN9?=
 =?us-ascii?Q?ZaTE+wPXsjM1cCPVKg42+SupnwRKZ/YWzaCsxWiWZ2ocIkgsnSH9WGbQicqz?=
 =?us-ascii?Q?AHc4IEj4JnndI/L7c6nx/J/R0gp99eJp4zI0dXIyLvYTupo+xN+3WAYrts91?=
 =?us-ascii?Q?cXclurz3lhAAiWesrfxNwAqmTbDYOzvGedSngsLsGn6g5Oz3PImm0zsByLJg?=
 =?us-ascii?Q?ONR98mjUrzJY4lZOPCIhndnCxKQMq3kQrL/rtfa7wlKeWOY92Nnwzb8ThP+d?=
 =?us-ascii?Q?Xh9LUytDMrFd6k0o0F/WS9MCplW4KwQqH773mzbEcCQ5Z7QQfuENS0YWMNGR?=
 =?us-ascii?Q?PY/4ETBZ1BzAb+TW+s6RUOSrtdvFRIwAKjzFRszWrkc9+8CT320ChGeNCyNt?=
 =?us-ascii?Q?2Omw6i0Xxub+DbyD10po9jU343Z+0YCwiPaXmtd0z5ehHRyNZOsz3Q+7HZ5P?=
 =?us-ascii?Q?PeD+z/11OacWwQOrLfmiTQJveiRvpAsU2jBr+4qRBKJI5W9exgYou8VMQChB?=
 =?us-ascii?Q?DmkXtrRNFyWYgDNd6qwHfAU4y8f9hwrirJa/mm72/2/i8LnsuBvjUZgLKX8S?=
 =?us-ascii?Q?7Fi1cs9ZizbvOdhWLdiTzwLrqBkbzoeqDzWLjF30kyk73GcpiAK3x/efNQuF?=
 =?us-ascii?Q?UgcQAxLz94p0c6n44HMz/dMyZ8H4kmeGOfbpKtnIZ7+Whadx9uzDogDHs/za?=
 =?us-ascii?Q?Fk6o9PQfUCxnZ7pKfAco12k5ykNetwBH2Dgv7uZ6m+byfGzw8iiusycDZO6M?=
 =?us-ascii?Q?kqCgVioNlGdXsqEJmTVWIzayLOTHMohxVPgO3dHgC7UZnyt2e6jrglu5Fqiw?=
 =?us-ascii?Q?if5g9LqK11vdoQ384HtWTrTccvOdScwIqR6+G1rA5bL+1N5vN+E65oL9YYLb?=
 =?us-ascii?Q?04xbwfmcsnUctSXujnYDRCPUrXYwjDosWffzuID+TMYNhqt6EEiAzppbOIJd?=
 =?us-ascii?Q?8Rc1jJDLnEn96YTSWhn5Wf+ZI1XxzzntPaDkzi/Pd4rofAB/IxdoBdAUqoc?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: bd15b9e4-b96b-4ec1-30c9-08dbf05707e0
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:39.0594 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DB9P193MB1913
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * gnu/packages/crates-io.scm (rust-ordered-multimap-0.6):
 New variable. Change-Id: Ic91831ef26baf7f96b374dd58cca72f96e926f2c ---
 gnu/packages/crates-io.scm
 | 32 +++++++++++++++++++++++++------- 1 file changed, 25 insertions(+), 7
 deletions(-) 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [40.92.58.98 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [40.92.58.98 listed in wl.mailspike.net]
 1.3 RCVD_IN_VALIDITY_RPBL  RBL: Relay in Validity RPBL,
 https://senderscore.org/blocklistlookup/
 [40.92.58.98 listed in bl.score.senderscore.com]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (sergio.pastorperez[at]outlook.es)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/crates-io.scm (rust-ordered-multimap-0.6): New variable.

Change-Id: Ic91831ef26baf7f96b374dd58cca72f96e926f2c
---
 gnu/packages/crates-io.scm | 32 +++++++++++++++++++++++++-------
 1 file changed, 25 insertions(+), 7 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 9090141f4f..5783d478d0 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -47881,8 +47881,32 @@ (define-public rust-ordered-float-1
         (base32
          "0625x96987kspdxbikry5mb7hsf5pdc5bbanxd8wjwqlx0ar71hq"))))))
 
+(define-public rust-ordered-multimap-0.6
+  (package
+    (name "rust-ordered-multimap")
+    (version "0.6.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "ordered-multimap" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "03k9jx3irxldq4hp462ld25fcr03xcycd2sc73jl9rwqivqarn2f"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-dlv-list" ,rust-dlv-list-0.5)
+                       ("rust-hashbrown" ,rust-hashbrown-0.13)
+                       ("rust-coverage-helper" ,rust-coverage-helper-0.1)
+                       ("rust-serde" ,rust-serde-1))))
+    (home-page "https://github.com/sgodwincs/ordered-multimap-rs")
+    (synopsis "Insertion ordered multimap")
+    (description "This crate provides a multimap type object that maintains
+insertion order across all keys and values.")
+    (license license:expat)))
+
 (define-public rust-ordered-multimap-0.3
   (package
+    (inherit rust-ordered-multimap-0.6)
     (name "rust-ordered-multimap")
     (version "0.3.1")
     (source
@@ -47892,18 +47916,12 @@ (define-public rust-ordered-multimap-0.3
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
         (base32 "1194q7sb2d6chbllsn7237dhhvx04iqr3sq0ii16w1pcv5x2qrqw"))))
-    (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
        #:cargo-inputs
        (("rust-dlv-list" ,rust-dlv-list-0.2)
         ("rust-hashbrown" ,rust-hashbrown-0.9)
-        ("rust-serde" ,rust-serde-1))))
-    (home-page "https://github.com/sgodwincs/ordered-multimap-rs")
-    (synopsis "Insertion ordered multimap")
-    (description "This crate provides a multimap type object that maintains
-insertion order across all keys and values.")
-    (license license:expat)))
+        ("rust-serde" ,rust-serde-1))))))
 
 (define-public rust-ordered-stream-0.1
   (package
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:15:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:15:53 2023
Received: from localhost ([127.0.0.1]:48070 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85Qp-0005OZ-Py
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:53 -0500
Received: from mail-dbaeur03olkn2079.outbound.protection.outlook.com
 ([40.92.58.79]:6720 helo=EUR03-DBA-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85QM-0005JW-NW
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:19 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=h8JRpRGtnDd8U/1klvjD7pCDIcCoc9DKUpX4pwRwiIPKl4tVSyVYkDo7TACS99q96m69St51+E/sUmVpaR6JsLcyenawLIHMCQCgU3uKth7cKA/fN+8AbG7OjNfYCJFnHe0Zg5VZZQS4ZfFK7qQHQJGeCu8T3ZnXxJDto1CEeeCNzV9YW/qme1TvjxbEI7svJVoLyEwhUu0x0ORTa/n5+/CagoFI4809ALw/+3wEIMHSgyEiaW5eu/5ibZdAui2W9Ml8OEqbnOPt1yzayNcYvTIO7NJGGF7v+JE3QPItTx56+juYXkh8n7HJFfbSQKAWDyHmvKVsYmWjWxkCTkI8iA==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=c6dOH5/Hl+aEmT62WDk6fivBvek4gqzObgabKGtzXlw=;
 b=Q+iqPfwJT33uV0sCGgXba7aVTSdviNb4GwKnEWsDjEovsOnRtPPHxOBBd4N2bFO6Hgam1h4vBTph3sYd7cf0OqU7DVVG8VeH7zVT2TEDSavNA1vpKmLuUcgsn20exUiW3L67lHYzVVq/jb3F+HcwMYVdQhk0HC80TY12e8p+M/vGSZVCpn5JCwBmPpYrATc66pnhY7zt/rqyiVxINNrwTv8MfROGYeQZMQhs+q7mGGi5kXIylmEMY1tyoYaqWH8GsnYUHM5UlHqiC/pismSkOaM6WkmJmkfn63msIGGmExHujpzfkHhjf7znMYhFmcSrRo19z+/Jj4oHhTDpBvY9AA==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 DB9P193MB1913.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:25f::6) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7046.22; Tue, 28 Nov 2023 21:15:02 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:02 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 32/91] gnu: Add rust-assert2-0.3.
Date: Tue, 28 Nov 2023 22:12:10 +0100
Message-ID: <DU2P193MB2132B0D1AF0AB944266E5035F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [gEA9+vsZrfkQ3eMN0HDnTx1Fg8eWL4U6]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <465609aa6e2a352a11c20694992fcab2294dd4e3.1701202945.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|DB9P193MB1913:EE_
X-MS-Office365-Filtering-Correlation-Id: 17a50717-e108-4824-8a32-08dbf057043d
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: wcMCbJ3Ve398HqSn7lytOG6XYM3R281m2E6HmzqFYWIY3ncZ0Fwo9AyBlR8j3xmXQG73BFj5H0i/QL1kr5wjS17g/5iHSE9562r4mM1Ik5hNmQ0KkUyVmwnSc3P91ESGE27AlvIZ2iqHk7CwjjdGOlTWhLJDy5rUNeC99QyPudqBIcewYObFrB7XnbG2ONMRAUJTfHC+PGjXPw+SjDRjHhZ/YRvMSIsmaGECxg6tjaaLbFlVoe5CS9uJpiO0F3WmirelwlPx5r+4uhZko68zxoKNdhJfALC8TVeC2baeXDrxCW9J9QhxAtzOpx5FjAxT8EKnwlOWJuQvhFMat+tixP0D/dfpKyOgDg5O/iUjxHEQcBFlmF+mxzs6QDXSOkqEVG2KrroUpdZUKvPV6FNgJuumaNs7Hfigs3hSMXiVMaodNrzYDiFT7deWJdRFQozGMqvbGh8EaRr/ZYt/vWLg5sxZYzVmJ7Ns9IUGC/O6OpbaF+k4s1nvB/5tanasoe6jj647Wv6R4T/cd0qbJP8LhYBpRX8RYzVQNegLJ5xuHn+0bdWU+TgkS3R2y5IdYJM5DYwS6G3rL9OrveAJmH9uwOffZpNMBfvwtcdaMU8KXUtTM/Ul+1pBpEIU0MWNBqFd
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?T57ltKrTbDnPYUvEwR645caHa7Kq+1iJ2MHOB0Hly3tUp9pcXsx5jL4NURQw?=
 =?us-ascii?Q?kPNsbXHFduObBIM98ZjKsHKs/QBxBIXkXcq60Eko6PFUkjSNeveVV6TCjg79?=
 =?us-ascii?Q?2m5cx+GkFf//o0vnYsQVxutgyy+wsVJHGebBVVK5CTHkn0W4BWlzgUv/rrnI?=
 =?us-ascii?Q?/nNYygoRT+PCj4dVsMvESsTe3tWGCU6f/Z+0PTKUcFHUfqUrX7beIN2kIXia?=
 =?us-ascii?Q?+lpKVAE77+1Ky3MYO+sHTKVouNz0z9356JqC0MbEL77VYoxIAk1sbqiPKn0y?=
 =?us-ascii?Q?lP/Hk86aPWsmLLhL8ylh+Wju+Y3JB/BZvbetstmsUBAZlAoHMlssuDW0qHRO?=
 =?us-ascii?Q?NyVvW69aWw9BBF5NyU/VO4eLlGkiOvAj9kHvJOnteM+hC+5p0ADqA52Xncx5?=
 =?us-ascii?Q?2c53/WAZOEvpYIXxRytBygEPs/DNkr6z93GIngTH8/RtqHMzNwmw4AXgKiGM?=
 =?us-ascii?Q?Vdoy/RTRHgxy29LRbx+RMOZfGjHRceXC9RbqZOcxyJuz3012HnwTMTQDLBAS?=
 =?us-ascii?Q?HhQLOj0IaWgI5HKd7QnhoktuNqhbtDLFBrAWbaTASA1zG7XD8wtBaWw6RHOQ?=
 =?us-ascii?Q?6enVmb2ygsNOb8+fi8CHGjCDw52hPbNlYuY2L5N9nXLQznTJ5hlCknygoRod?=
 =?us-ascii?Q?2fpeLnfUHf1uPAyXMKUtwAos493jM82x7gY5EMIKyN8Zf3qrU7yI1NO7cH8A?=
 =?us-ascii?Q?Bf8IGBf0xmFnQRN6nKGPw9sZp4U/DfdpAatKNgqdI9GSt2dONVAdbW22FQpt?=
 =?us-ascii?Q?801x2lWi5PClpBp5ehA2ZrkDOiRGKNM3058zZtk+TScmx+vguT8wkmFAPNQ2?=
 =?us-ascii?Q?LmCr6ZDtZRhULIjK9HQ7MMPj7Lzw8f9rBuoMnpKQAgp6KT0YozzDbB/BCiZf?=
 =?us-ascii?Q?4JnakF/VmUjqCACrJU48zcBfj4iX4yddowBCcD6XqZbQX8pGWaQogiCu9Qpp?=
 =?us-ascii?Q?jBjInUEYV+EyxBOoaPH/PPwou7FiCTnZxb08xDeWy4YLVRtnx9TOkSr1RRu4?=
 =?us-ascii?Q?xVRKZSIXm5gn3beI/r2lEQmYPxkSL2QlMlPFNrxxFq0C/LPRf/nB59UZAWAx?=
 =?us-ascii?Q?cod6IYclEcEAxDq3KdE5VhVtF8+/uGqTvFX1L21irnRoFGa1HK59Ul2YEZlz?=
 =?us-ascii?Q?FFA2njoT+bO6RrFI+ZnvMl9Zag1GvAqIXE+bUdR9Eow+xGQdQjl/HGJebBg2?=
 =?us-ascii?Q?ZEzQZ2Evml0lFeaRvpjTGnC5Pvt0Ed7QeDBz5xpJIKT0mKZIzWr+A4lkUTQ?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 17a50717-e108-4824-8a32-08dbf057043d
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:33.0508 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DB9P193MB1913
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-assert2-0.3): New variable.

Change-Id: Icbf8b71af2c3d7b1bc0b06346bd3454057ebc3c7
---
 gnu/packages/crates-io.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 21fa1ae9ed..197d9e3e33 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -4922,6 +4922,27 @@ (define-public rust-ascii-utils-0.9
      "This library provides utilities to handle ASCII characters.")
     (license license:mpl2.0)))
 
+(define-public rust-assert2-0.3
+  (package
+    (name "rust-assert2")
+    (version "0.3.11")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "assert2" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "15cfdn5sl8ls6234pv2ysflw2xcxh8j1ypjlif7wnva0hc8qvyga"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-assert2-macros" ,rust-assert2-macros-0.3)
+                       ("rust-is-terminal" ,rust-is-terminal-0.4)
+                       ("rust-yansi" ,rust-yansi-0.5))))
+    (home-page "https://github.com/de-vri-es/assert2-rs")
+    (synopsis "assert!(...) and check!(...) macros inspired by Catch2")
+    (description "assert!(...) and check!(...) macros inspired by Catch2")
+    (license license:bsd-2)))
+
 (define-public rust-assert2-macros-0.3
   (package
     (name "rust-assert2-macros")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:15:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:15:47 2023
Received: from localhost ([127.0.0.1]:48068 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85Qp-0005OR-BX
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:47 -0500
Received: from mail-dbaeur03olkn2098.outbound.protection.outlook.com
 ([40.92.58.98]:44800 helo=EUR03-DBA-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85QM-0005Is-JI
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:18 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=QFHvlET7ruXy9u1vUeZG3dQqKAiiMyhfkzGxDzcGPy8QtlCVZeOU37veYlUj7SAphwEj5KzkWeCuv2PwaMOq0GX5gQ/Ly8pd6YQyQvbfbYgOpuqrx/VyRYTWiRl81SxZpxgKtef7TJoQxHm+F9flDxUoej9UGJujOXdPm4SZuHnraNo956Et1AZOTe+5FGcsUyYQwMbRcZ+CJfUcH1y3Xw2OI6RVCO0UYQ6vSj3M9JN3skHWdWl33H2GsoPK5FjORyYKbKRJdDKwFybCPeesfe+tx5MAG1YyKm1gnbHbI0NgSOzVO7xDlV0BCxFeKcs0hoavcvHM5AIo0bvjLOkFJw==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=RfFy41rmJjWZepwBIdAAETHkSRqUDqg2eMGkO7waXTU=;
 b=B4eAtPrF0DzH60/DEN2fIQof5d8Q19lTWPVY1GGqeoz6VQG1sXgDfqOlfg1NqQ4B0rXHJ6SClE6hX8BtTBOAj8IZ4exJ/T/rLJ4Gk+NvEf2v6CU+AbAIPmIgBhPeEM0cxEX53LxoNAS3gFHiC8aybT1Estgx26Wbo/nYEMno4jKiFWOOwMKVCGB28x3DOhxPpVB57X27I5Kt+QnT/RWUYD8h0IiB6yX0eGL0jeMaDAcIICrTDpu0SuJMq0xCzgT9HtDCH+1FnbZZKUg4n4i71saaqLOX+jwgH+1iPbcSRxWPckkx/nzNeT0bhdJSJ8EgTtEf3VqGtFbU2x4UtAH1gQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 DB9P193MB1913.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:25f::6) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7046.22; Tue, 28 Nov 2023 21:15:05 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:05 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 39/91] gnu: Add rust-egl-0.2.
Date: Tue, 28 Nov 2023 22:12:17 +0100
Message-ID: <DU2P193MB2132291C3717826E555E48F7F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [3gRpAry59hZMGbawwqQIi/y9aXxU5bmy]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <633393906e3f5111670513063fbbca1fb30e7460.1701202945.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|DB9P193MB1913:EE_
X-MS-Office365-Filtering-Correlation-Id: b6cf6666-0c74-4526-cf91-08dbf0570768
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: lkQRpqSRmmB/3r2V6E0Zz1itbMHoGann1bgWp+r/ErY/LT8jr6/4/K0Xw2cbSMUZmjK4DrR37GAhGRB4VMpEu1JnRpg7/K9J6NQCS+Ik3/yA3Z+7MRVB7n47QYE06Ozzbhg3HRgPTJHx4RPGLLCIBh2rX7dxBfi3l/b/Fw0AfJUIpbJfNqcQgNQxb7su8Pe0kHxtA8e6j50xfPb/aW8Af0kwcabNkruyHBRvXEjf58gqZ+pgdPH586uLP0NvWgLjK9XspTxHy6ISN1Es9Zh1A2OKBMKngB+70lC8/6sXznSBQEImjTMLXhlWx1VFrdisVGhM5cgNhWmHlbq3e6FYKhCwbMI2GdI9ahwIeDd8XBj11kobySTlVGm0b1NvX2bjRwQCITDUB3PX5rFRFHreUSL9VRpjxQAITVGQeTnn1lOEgBFfjrXBtwOkb0Bc86A0yXGOPUDlEYuKXUZhUBAOaObrKqpM+3Y4ultuwQ1qKBrlBibuFIruqBicQ0fBB2B9/t/dxkqUGGmIYhjCotmHcSQSPDTtRlLMXpRcoFoTuQRn0tP7sWa3bs3s/utu1A3K6P2tVueIlhqJZfgYSOW/0BMsmirWTsB2BcFLky+vkGDsETK5nLF9UIBz0X5L09tK
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?luffqS/ynVrC1RCfztTwOuJKEtgZ9TJ8Ki1Cr6kvSt0tx5qKF9xaU/cfwKaj?=
 =?us-ascii?Q?58tLoIGf1xFL1KTdbOj4eYfe3b+c+e1wIy5wu72BaQlTUwN6BCA8MvwH7pwk?=
 =?us-ascii?Q?U6pfGReUDoVJlr+ssr+rtA4lhvQsJFc2qJfR19nirXMurZepsRfx8G9sU6Ll?=
 =?us-ascii?Q?O9cQUqTjr/5f9uCPhQNbo3OH8qijUMZqgZQE5Km24fp48hUMEhU3D7YiCdhd?=
 =?us-ascii?Q?i88/yKMROgWgaSCJF6kdDTU0Fu60xNaL8kWT4wEhyHPVRsnIJmEU/n33oV/r?=
 =?us-ascii?Q?Qqk0HJTxLA6E+NMc+A+VguIX3iJXWfxB4QDhOUFX5Gy0INg5tSRpvAkByWW5?=
 =?us-ascii?Q?Tl32G9/bV9aOLb6OLN3lW9US3OnE4JdpQmDAgm36dBrQOYDTQpyhQ/X+oFAc?=
 =?us-ascii?Q?SeimV48/M7KpS5poB7YuGi8AQ8+cWyGpm5atSCjNSixSepPKep/91dTd5qo6?=
 =?us-ascii?Q?oTdL2FFD294y4hg02fDjjpRCPLKAYS0FDbtTRomVOV0mgf/LBgkK/e624Kch?=
 =?us-ascii?Q?AjS8BlRo0Q+aYIlzP4b3hgtPRxmObRUFcNMoFva15ywuy3qFb/JJh8EvuIXJ?=
 =?us-ascii?Q?wGcRWUh3FdN7wktPwihriBf1jJ9wM+peo9R81s5gDAqnIXSxse25WEX5hjXk?=
 =?us-ascii?Q?M+Z3wRdXgFTFMnz8CKZ6Eja9t87+p1WnlPxOcVh3gjgUm0BX47jS8YmkCmHI?=
 =?us-ascii?Q?oDPapsoDXykTOMBqEF5kPWQrmtXh3hHPT6W3FjdBk71QS3sOuRL82KU0PHnS?=
 =?us-ascii?Q?7wfwYz/1r3qJpVB7rRSifujlryUzPSha6Nn04sXgTZVK8pom3OQ/VGqM84m1?=
 =?us-ascii?Q?8bt8MkUavy2G489r2J8eNBzpz/FlM8MAp8qY63LuRimHMr9eBjQg9QRHsnDG?=
 =?us-ascii?Q?zaoDd25dhCMXBhkkrToC5CvBilAjCXVi30TdjomNgCNw2KtCxfmeYq/nFGhl?=
 =?us-ascii?Q?z6UVdymjRDzjVlN3WP+9ocyTLqEBs57mKtGn37OgoeLIDDICwP0HSumTQyGa?=
 =?us-ascii?Q?opbTuY4r51rGOV3MOgvtbk6IU55KYFfvBUz1y+LoEWorPviZEtwExjeArAha?=
 =?us-ascii?Q?+xc5Fk1dwrrv3q4IayJOycZkIMTfkDHPN8c17l5P8YrbnSJtF6u7yAyvkIPt?=
 =?us-ascii?Q?Hai2S1CH/Vz5B/YpDLScyStUbuX6ZST7tUY7JFCSSM39biJ2sdjGwFMrg2bn?=
 =?us-ascii?Q?adpAwLArjw7THlpuzdESZaA0GaG0+26F1ZQB7Jn5zIg1jQG6IG8gfudrPuA?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: b6cf6666-0c74-4526-cf91-08dbf0570768
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:38.3229 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DB9P193MB1913
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * gnu/packages/crates-io.scm (rust-egl-0.2): New variable.
 Change-Id: I2a5789763f59f3bd62ab6fd154efaf7b4c248550 ---
 gnu/packages/crates-io.scm
 | 21 +++++++++++++++++++++ 1 file changed, 21 insertions(+) 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [40.92.58.98 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [40.92.58.98 listed in wl.mailspike.net]
 1.3 RCVD_IN_VALIDITY_RPBL  RBL: Relay in Validity RPBL,
 https://senderscore.org/blocklistlookup/
 [40.92.58.98 listed in bl.score.senderscore.com]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (sergio.pastorperez[at]outlook.es)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/crates-io.scm (rust-egl-0.2): New variable.

Change-Id: I2a5789763f59f3bd62ab6fd154efaf7b4c248550
---
 gnu/packages/crates-io.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 6e604d49e6..9090141f4f 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -23078,6 +23078,27 @@ (define-public rust-edit-distance-2
      "Levenshtein edit distance between strings, a measure for similarity.")
     (license license:asl2.0)))
 
+(define-public rust-egl-0.2
+  (package
+    (name "rust-egl")
+    (version "0.2.7")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "egl" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0bbmn2j2j7qpc7rhkv740sfx080w3n9lbcnibgqiy2r08jcbqwx3"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-khronos" ,rust-khronos-0.1)
+                       ("rust-libc" ,rust-libc-0.2))))
+    (inputs (list mesa))
+    (home-page "https://github.com/seankerr/rust-egl")
+    (synopsis "Rust bindings for EGL")
+    (description "Rust bindings for EGL")
+    (license license:asl2.0)))
+
 (define-public rust-ego-tree-0.6
   (package
     (name "rust-ego-tree")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:15:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:15:47 2023
Received: from localhost ([127.0.0.1]:48066 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85Qo-0005OI-V8
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:47 -0500
Received: from mail-dbaeur03olkn2098.outbound.protection.outlook.com
 ([40.92.58.98]:44800 helo=EUR03-DBA-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85QM-0005Is-6g
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:18 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=UTOvjUs5ev8S9pSY9oHfmS3EJTh2TxS6sT2RkI6X8qlzoD+uETqVDakwaIC0B4LhqrbWXYHIheIhoL1qdARWPhvRw2YgoXoV8eTlI46MlYolG53SDX7+Pr+LBHbMwPtt6h7yElM4CpHd4M3z+31F1hEhOxiAwTnY0iM73tt8FkGxOD55HE2++iSKzHxOR1rhwMQXrxE9tfBpm1npMFB/tC8oMi6uCN2L+T0Vsdhc+bx1iur8gUlcB53hlSBUzcEmVFrCP5n9cIxCnMfWcYaQgH4yQGdMUxHcoMNwffIjIhfd/3V890fNSXqjWTIKnrYdMlCf5ndl/6h1WynMx2Mu+A==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=YXEtQ4iJiOIrl+CHOL0/K/HYyHdhHCVkfX6oErD41VE=;
 b=L5PJ//wbcJl67PA9bXuunyerJ2qkKyNKfiBFfQ8Fuf5hjSirZ5OdwQKYU5zKiSFu3p9vdBf1jY0Ib0KzbF+M0GhRNn7isc0Q7E4wDlUuijksCCXM2SVyYnJGUYF1bM046HN1Zh7y1dOyIdSbkhFzwhhHQoeGyd6tGUzQYEV+6Lra6dHVfLmcvCeTPFWfeF6jr0BJOKMOrK46x4NVEmHtd5DYg/j6rUqRGfsLWey+i9QBXJfFYCjO/NA9zylwVwMLP5pJjpl9V+2IA32V2TwVKE6hwAC+Se2iMlAewEoHvHXcYuzinhS3xwDRZTVpnYBs4/4erW/NSY2JriFCGQl3zA==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 DB9P193MB1913.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:25f::6) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7046.22; Tue, 28 Nov 2023 21:15:04 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:04 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 38/91] gnu: Add rust-hashbrown-0.7.
Date: Tue, 28 Nov 2023 22:12:16 +0100
Message-ID: <DU2P193MB2132AAC3F83BA930164491A9F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [Zl2ocZDALen6ZGKvRO6EU7yXTFW/Cnrz]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <edc650977c79049e5c4fd5fd0baa5bbfea91a0b7.1701202945.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|DB9P193MB1913:EE_
X-MS-Office365-Filtering-Correlation-Id: 0e1fab49-b96d-4ad6-303e-08dbf0570700
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: sRKDxNSI3tboL5I9TJbRFCCMThleADm2kK13tyeVDGlPvMqnD5GuzT8U1LaY5Wu4ETj8tkjooj5NakNF45lhW7G2GsHB1di455cnTTeAypIOCVWtV8AoE6WwrSv6jQf5lLjjKz1VM8/epHunvN+mSA1UR9xkcO9qyJuJtVlT0LlksnbgxzzuwX9g0A1KXErQ1b+jx1L/IYDleZb2zMtSN+T7FnDTq+DEGLAOpEzFRcUf6skjoQqCQVvfvzErKxvx2A5TswEDGwVGWO4ONwl9/RxLA92BUYN1H5C9NU3U4HDqlW3LlY+W4EQ2mq2HK46uvKzedPBfl3WgnUZRK6+gjEtLBd65NxsypSOkzxNlfAwBPy4MbDCzjXvpKksbntDvcJ1F9ctYX/pAA1NeorQvu47VYsqWyfqhD3IvkfyjyjZQR5aF1MYv4dIEsb9nphf/+Zk1w37Qosd+9MubSzSfytslCNyhfJCCibgA1V7WdZIgftF5SrpBpzjXteOrBPydxUsF/6JugZdCtGFhbL1RznB219Db/jtkuWGeDwqH4+nknZ9qVnjdP+PJWAX7skAWy6YpNTxJ2I6KpI3juT5aEX4ucFwkl0CXFaOMaxrMyNYikgW53g4pIJ2eQCYdcpK8
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?07wZKUHc3MAUuzZXUzHmRlHCp3GhAhI4GSzvGshmmDAb5rdZ6tzQA3m0dNRC?=
 =?us-ascii?Q?gxArf0Jm7Y/ZsKutGANrGlX3VPgPCBydknD9QgO2wolC3lNIUfD9DKhCcpst?=
 =?us-ascii?Q?/mZlySgxGPayaYODPMK1Edvh5c7m0t/T3c1krPdtTthT4vJelOhHG+0xfLJI?=
 =?us-ascii?Q?fsgVDyTYImT+rNsIphzlMUuAyCftgj9GkMJYYOHC8i9g6Tayh4h6Vs3AIKM6?=
 =?us-ascii?Q?gjCy7asbfh/Epjeomjq33ArI+FSeXLkMeqU6+BFj72sNQw8G9joOEw0w7AUD?=
 =?us-ascii?Q?u++jC5p14KU9TN3J5DZfnYEqOxRhHdICrZgyu079p0k92Fjg2FCNrPVQ9OzR?=
 =?us-ascii?Q?BxkmPt5dqCn/5a9DpScCY3TVC+PjRSmB4xFOXWH1rgx3r+PvzC/Elcn54L1U?=
 =?us-ascii?Q?NnyhE4/s+bdLf0DXXxXbOxQzNs2GUw46gv3iPJo7ZIye08iJyCND1jMx1Toq?=
 =?us-ascii?Q?LXkAJc4+RPlOwJQnrEx/JLSm/R+u4QJLV4ixj0B4uBXTSywLzM56s1JHHqP3?=
 =?us-ascii?Q?/yyyyvehNuWSJ6PdgDQ4NqlCKnSxDblqsYuUoelKXI/0CDZQ7INcDoh+iriw?=
 =?us-ascii?Q?4pAjCM8wX1Th0DhvqJoigOjMAUHK3VvjgC6M6GRw/QLZkXe/9Xmj/gz44Gx6?=
 =?us-ascii?Q?8N5yNuVHUJ+v4Szn1Sj3QBWEolrsUk+PpgVW+nPj3ing4C7JVlBwSuvS2F1+?=
 =?us-ascii?Q?PPWQ7zUzx5UWZXzhI9YpU4CwFLLN/dOfkrlMh/XUPXo15tuMWoQQKm6DjKM/?=
 =?us-ascii?Q?qbYcqljjfHeiV7405Ji7oL7RFvcW738roV8kq/1hF750TXNoGx47IyHyiepv?=
 =?us-ascii?Q?DuleLgcJc05NroPBpieDh5kVnnetpoUxGzDBdLZrJS8W4OXiL2fl2SdkyLCz?=
 =?us-ascii?Q?3mQOZDIReiwafnkGBIv7JPi8YbTv4V3BY+t2VCZ03me7jLezPCt15QSlYkqj?=
 =?us-ascii?Q?JZamZSvqQ3lEjyWaobdW34RpqKoBJ2OYJQTAEAc3h/ARrrJomW+WO0AuzANX?=
 =?us-ascii?Q?NeXx390ZH7nbKQtW0+4t43unRTtHEt54tNBr2hA4nZRbCY7gVOG/g1Q/CEbm?=
 =?us-ascii?Q?sivMPRY0y8po3nkuOajtKG9VG06CHkyfNRnddU+jZZmxhvWTQ1yG2jHQ8L1D?=
 =?us-ascii?Q?ea9YpfrE1CuV5gIZQqQJ+K6k3nyDbyZxT8EAgtl7mQ8ahBAmsRpQyBeNOM9c?=
 =?us-ascii?Q?HBmp4KyDN7/jfmMLWRsibhMMNSmv6VHnQwmDCgYi9rRA6J+O1fnPl8ZfnME?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 0e1fab49-b96d-4ad6-303e-08dbf0570700
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:37.5708 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DB9P193MB1913
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/crates-io.scm (rust-hashbrown-0.7): New
 variable.
 Change-Id: Icba6a1a55dce7d12872d63a5838f0ac52498034a ---
 gnu/packages/crates-io.scm
 | 29 +++++++++++++++++++++++++++++ 1 file changed, 29 insertions(+) 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [40.92.58.98 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [40.92.58.98 listed in wl.mailspike.net]
 1.3 RCVD_IN_VALIDITY_RPBL  RBL: Relay in Validity RPBL,
 https://senderscore.org/blocklistlookup/
 [40.92.58.98 listed in bl.score.senderscore.com]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (sergio.pastorperez[at]outlook.es)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/crates-io.scm (rust-hashbrown-0.7): New variable.

Change-Id: Icba6a1a55dce7d12872d63a5838f0ac52498034a
---
 gnu/packages/crates-io.scm | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 2db7ddfe52..6e604d49e6 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -31109,6 +31109,35 @@ (define-public rust-hashbrown-0.8
         ("rust-rustc-hash" ,rust-rustc-hash-1)
         ("rust-serde-test" ,rust-serde-test-1))))))
 
+(define-public rust-hashbrown-0.7
+  (package
+    (inherit rust-hashbrown-0.8)
+    (name "rust-hashbrown")
+    (version "0.7.2")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "hashbrown" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1ks110dbp81ddn3v826vnrlk5psh3vgvwf4rmb9s0gfdpyb2wa4n"))))
+    (arguments
+     `(#:cargo-inputs
+       (("rust-ahash" ,rust-ahash-0.3)
+        ("rust-autocfg" ,rust-autocfg-1)
+        ("rust-compiler-builtins" ,rust-compiler-builtins-0.1)
+        ("rust-rayon" ,rust-rayon-1)
+        ("rust-rustc-std-workspace-alloc" ,rust-rustc-std-workspace-alloc-1)
+        ("rust-rustc-std-workspace-core" ,rust-rustc-std-workspace-core-1)
+        ("rust-serde" ,rust-serde-1))
+       #:cargo-development-inputs
+       (("rust-doc-comment" ,rust-doc-comment-0.3)
+        ("rust-lazy-static" ,rust-lazy-static-1)
+        ("rust-rand" ,rust-rand-0.7)
+        ("rust-rayon" ,rust-rayon-1)
+        ("rust-rustc-hash" ,rust-rustc-hash-1.0)
+        ("rust-serde-test" ,rust-serde-test-1))))))
+
 (define-public rust-hashbrown-0.6
   (package
     (inherit rust-hashbrown-0.9)
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:15:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:15:47 2023
Received: from localhost ([127.0.0.1]:48064 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85Qo-0005OB-LF
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:46 -0500
Received: from mail-dbaeur03olkn2098.outbound.protection.outlook.com
 ([40.92.58.98]:44800 helo=EUR03-DBA-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85QL-0005Is-Md
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:18 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=HJO1QN1597pVzQxpEvEHVYRURLvp24Pscy4joirQu4LuO/dqrf7MCvMYfBN1lpuS9o+3et0yB0utIM+MLgns7qYSic1jisbp9Us8TgoOXSJ+LQ89lxR1kxGxKd2dv3AinNkJ7YseTmVQ/MUxrFkXvVevXRY/K8UjrDuvWQF372LFuutbNNaTAB7rn09tqwqdy+uxIcAMGNvMt0JOpqs9zDv0Kjh6WbCb0y94lUqWun6vEet5lJNWGe2nGPpIRe1eIS7flMR+AP/AA3w7lkCcfUyHfGGJNYDEtcGjISPzsA/q53xX4jHje9IPJOrTtxUKPriyordn9AokBYm7CaT80w==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=Yd8MTWJ3GTr/dHPau+iVmNaw8WvZNZuVlSZi1VHltAI=;
 b=foOw/vgCuef5taelIyq7Ek/vXpmzp7iY7Mqupt8pP6TbpePhQVboZMLoMbsYV6t3gCKhN55rgnyhgfqee5ngCipsxPrehp4tb59awvIA/gJREsKUYTIUTI1486F7WcM6YOLqSXwsM93gdq1sPefBDzZRvCcMuqcvdXWtnWAcxnvHzgUROjWSE5JP6/YgFdW8FeucKID30awiJ/OKLaghVZAmJnUnEmSozNdE5DI4FRJs88poYdp2QxwYbIvXfjNG5T6eCStt9qcP/YVfbMbSzC06gQv8khzytIt30oNwI5vIOdkqpyxYAVXdmcfnJtH0Rr9aPxXUI5GXrqDf/JyELA==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 DB9P193MB1913.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:25f::6) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7046.22; Tue, 28 Nov 2023 21:15:04 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:04 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 37/91] gnu: Add rust-khronos-0.1.
Date: Tue, 28 Nov 2023 22:12:15 +0100
Message-ID: <DU2P193MB213262E80F0DD80DD144C400F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [/mmp8vC6OQ599P7SMgmpUtssjkVkSDFT]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <9fd5ee74ccabe9e5b06027bce5a06e5c04d89a29.1701202945.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|DB9P193MB1913:EE_
X-MS-Office365-Filtering-Correlation-Id: 22c20fde-5dcb-4a32-8795-08dbf057068a
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: LvfLBEe0jilxCnkvnqX9l6KFQaMXlDUFOX3x7f98pFgA4Yzb4auEofgkrnJlYCu2woP2sHz5lNw6XiP3ttsfyhfFRwE8fvQmB2iBcm9nkT8j96zjBgYEtG6rrVieXFFV+iJ5IPjiL9fHi5zJdQEnSpVc7wovnztHsnb7Ws4O3dwBN7tB2NdjYTdEwerZ06BrSd1FmVAIc4kqO1vRvoYuA3hYueR5RPmsMXGuFNA2R1p8WsQQ2FtPcoYKCZaFDXLOG0Lbh3LhBAeZ952wthznLcX8et7LiXlO0F6UH3ef6PShe+DYtZ9jQtrlWx6miGs2sYlJSUQhvaIDg4eLDQU/b+c6zVwDBDppS3pGeFg1/miXScE96jS6VJrQhM+xsLW6sG/xbCoF5qS06cE0wQQaGgtg6gnZfTY1vyYkvfsOGz61Q2wb21ilfQPmK0SxuYX+WJKXjl6NdvSYX+rB7LqdIe1Zzl4YnJdofGXxT2KsnUT9Ltvi3/OOZ1QFOFVJD5mIhT5VV4xl2y01HyAdPctXP4olQZCr57xVhE2XpjQgdydXFf/Un9AEniu8xa7Au+NmPyqOFwT8LX9cAHEs53TEnO+TE82qsh1D+u0y5xfNCbntibSHCPR3pZl1pVX/qIHT
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?G3q9Ufdzj1RwJr8FyuYtk4EHdsGGnpa2Wvkj4XJYro6QDIMjxHJDFsIzrywv?=
 =?us-ascii?Q?ptyvQncZZSug0oaUvFiifu+xy7Pt7WCXgw4tzQIFzy5vY2RZVErOtvLUHpjv?=
 =?us-ascii?Q?KjuM51Bw0TAWNnpWpLfdZonV5bLpWBfawRJBWnusCRa4VpvFVUewI+dsCT4e?=
 =?us-ascii?Q?ozUsb5w4e4ftSHxTVYImJb38vCbLAoIXKRDrxYPSdB53onkZWfoUxy7v9vk6?=
 =?us-ascii?Q?spaucffn9tbZ/CGNluMcNFgdT097CAv6VY0msDzIUFxqhRbgWxBrEL3DPTKh?=
 =?us-ascii?Q?C3ENWcgJI79cajDOKjGezvyOOkUR1g337fM/00kgarDsrxGeCjQbYk1dBwDj?=
 =?us-ascii?Q?xyJemcmzqtFNQmar8HqdN/FCGRlTp8Sj8exu6Js/cihjBjwbrwtCz40OXSnx?=
 =?us-ascii?Q?on96g7fG076nseauetTkYB6qZvpio2gTbi3ukf3Iiqt/x13sFB4vuP0SUnlw?=
 =?us-ascii?Q?QGPx9jlaFkogMYdyrbP9BpiKz1LPOuZX7IMOMPgLM+oxlZo2CMcoXrNac0+V?=
 =?us-ascii?Q?VRXOoTFwhJyDMdRUCGJEqFAalOsO9txhp9Un/i6VZooy9NJMByksjhEi9k7k?=
 =?us-ascii?Q?a2oivXeLE35A6LavxBz6TNwKGYuiplngUb2zEYrjXg0g6Y8GaHtX+3XB8EXf?=
 =?us-ascii?Q?IevHZU2rWi4W9LgYVrP0hQ8ZjQsdNsfEip3XAtDtP76DRtHZqMY9XRrCf+aY?=
 =?us-ascii?Q?wjwLxPsAEuV93NThAXU2uLk1KI4FiNjiYkhL+SknO2Cxo5kRngBA1DsoyuLD?=
 =?us-ascii?Q?QcaCgvej0Y2EgjZOn3Jr2bI8FTQXwDAYVKl4r1l3X4bEMoAPT/Vj55boDBPf?=
 =?us-ascii?Q?4l2+ukj2V5ALgot7Ld8mhfyFf0cdxUZMB7u0iB1mNHQOmbsiGyriAFlussu+?=
 =?us-ascii?Q?OFufTL9x9jBu9ZfFew5SNwY4HMA131ujnFxNyLRaPUQQVvpk9gEcJW3NSBqU?=
 =?us-ascii?Q?Tpk5TKjU9vP+uDKzRlxr+rGFdZ9Xpv4f/Q7EgpLQAJy9U6R6NV1465SUZti3?=
 =?us-ascii?Q?8MBSl7b/nMoxkMRRUBCtQeZYlwj0Q9OiyQ5W2A2TMPeuwWxgC8YwgzrpSo3L?=
 =?us-ascii?Q?H/qgx4W/50dOGou1hV9H/fTKySfrp9QtbbnfOoHn+bANj/Upa0QTxrTSGM97?=
 =?us-ascii?Q?gG9/GXFkCRJw8z3syYAxZlYG9v7KvpPVyatL7iD3gVSVpwD4Cci/juWr4I7H?=
 =?us-ascii?Q?pLwkbrKujqcrq8LBeK7SkMZqJVaG8vr989V0SogDFh8tVJnaLKF6J85owas?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 22c20fde-5dcb-4a32-8795-08dbf057068a
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:36.8785 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DB9P193MB1913
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/crates-io.scm (rust-khronos-0.1): New
 variable.
 Change-Id: Ib45497c23aa8e49a28b910d19419837e07216fe8 ---
 gnu/packages/crates-io.scm
 | 19 +++++++++++++++++++ 1 file changed, 19 insertions(+) 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [40.92.58.98 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [40.92.58.98 listed in wl.mailspike.net]
 1.3 RCVD_IN_VALIDITY_RPBL  RBL: Relay in Validity RPBL,
 https://senderscore.org/blocklistlookup/
 [40.92.58.98 listed in bl.score.senderscore.com]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (sergio.pastorperez[at]outlook.es)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/crates-io.scm (rust-khronos-0.1): New variable.

Change-Id: Ib45497c23aa8e49a28b910d19419837e07216fe8
---
 gnu/packages/crates-io.scm | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 152cf7367c..2db7ddfe52 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -36266,6 +36266,25 @@ (define-public rust-keyring-2
 passwords/credentials.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-khronos-0.1
+  (package
+    (name "rust-khronos")
+    (version "0.1.2")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "khronos" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0l4zr3d3kzzvdrrz6crz5zmqrczwdgsg2y49zaqnxfp6h2m1lwf0"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-libc" ,rust-libc-0.1))))
+    (home-page "https://github.com/seankerr/rust-khronos")
+    (synopsis "Rust types for Khronos API")
+    (description "Rust types for Khronos API")
+    (license license:asl2.0)))
+
 (define-public rust-khronos-api-3
   (package
     (name "rust-khronos-api")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:15:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:15:46 2023
Received: from localhost ([127.0.0.1]:48062 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85Qo-0005O7-BW
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:46 -0500
Received: from mail-dbaeur03olkn2098.outbound.protection.outlook.com
 ([40.92.58.98]:44800 helo=EUR03-DBA-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85QL-0005Is-6c
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:17 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=LzEIw1ms3ZkQ41iu4h+AOiazt1QSYtRh4mJ55Vnp1y44czda1QU8IqEGNBP6P0xvpE0/3sDvHNrdbDPLqE6RzxoNkQVei6eTUl90fi2+JBgk8mxYXoAUaQzZUPm1zKGQ69OIUYY/Im+lVyBK3jn1Fwv9+3XUcLN7llcGrd7EiJGZW3yFSbiV3XYASckJkQoOZhwwFyvWL9CweA5+BUA2JTljt2TEHk22Qtu5wWLozhI1uvPcpswQoA1xqc/GfqIrKhoiMn7d6Mj/mH4y4Bzg+u+kg9Vvl/xI9w9UACfRgQZTYc6w/Gaht3RHMpuk09+YzP+vQG2GZh8RWBbZBKX08g==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=8+Lxtsolbl1vtLxedW6w6eUw0InWWsBobQcv4JN9OsM=;
 b=cBtFVJ55L0ZUEg2elikDUDmIcNIH5E4Xp4xL+DiSGZVLFm6b3jkfRam/0BKQQ4r6BIzl9Ps2fvwYpgO0hyZeRINLGVhtF4eWpVG+OORWhcOeWTozhX3ufqxQKOeT1kUvwCKKAZr9Xbng1rpCvpebiB21sXtiiAewMIo1keTxdK4uq0CxilyzK4DMDljNPtu9lW9dG5wsMczXfn0XpNQ+9TirMhZA2D68V9VSw4mEkwoD/8IQCkTygzECQGF2jowyK6cQXLT+k8wDGiXdza9bl8eLxYW7Xu0sGkHDlnWMzGCMrburbgP0BD+pYmiHyWSjZdWn3pFEyKU7n0mdUFMHTQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 DB9P193MB1913.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:25f::6) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7046.22; Tue, 28 Nov 2023 21:15:04 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:04 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 36/91] gnu: Add rust-libc-0.1.
Date: Tue, 28 Nov 2023 22:12:14 +0100
Message-ID: <DU2P193MB21324A89E79F9DD990ED0244F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [u2U0S0l2yjct8pqqRwJWeguW3og8PxaK]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <5c61dd6842ad341f204f5bf9a025b8b0e734c52d.1701202945.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|DB9P193MB1913:EE_
X-MS-Office365-Filtering-Correlation-Id: 31a050f5-eac7-480e-b6fa-08dbf0570614
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: ZO1pmM9vYYMyEmBrzDC7LEgrNymispPUnVIclgojekD+pZCgqsJgbIGmABbduH8F7Wl//zZqjXocw6ziF1bmMeSkTzJODwotROqbw8x80LmlVCQ1G8ltg7V0X2LvdQHf2F5QVLpAjnR6y+8MCkuaxhfBdt8xYPGZViD5e0Y2ippbffho0PLln7eaIbHAR1GkesKHNdfb+m5WIP1ChhHQMumAW/tlZBM3EuadilYBE7+xp+E0Ilo4v8buvwiFZc7NDSVNdBvSAG+pu4Bcd+/ukwmzzeeDPGQEP48RnxlhsxLFpg/BOjIJ3wuQTKKN0jIomIBtgrXWm/HeSKWKsOwAY9Ww1+UrVS0iRPL0y1w5fj72Sqm45qOW5GuLu1KFaTNboV4q37sIpTQ2ZxZPTnTDXBACpkv+wYTCuZyWCMHb15zzMHavkph9lqh93K6YWKP2T8OJCy2NmoLlFaKKgvkgsNbx8/9qJiF3aZlkNyZ+fNtTI1a/wUEhCxYRrKYzwap54cSkIofcN25Vb/+PCvu6R0dvEmO0ElzVxH8Hj0RTxqwsghxywgfVmLrOu7s9y29Y4byWGkVp+x1vtKNnw0J3pr2fABQpxPJH9epBAWwQSGHVqBuxrjPf0Sdr6pCjuh4m
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?WLEPiSz6PzMjmxbzsXxuJ11vVNAJSfsBODaZC9l0rHSlLB+4PJPRpejJISc8?=
 =?us-ascii?Q?GXpAR6nL6D3elQu/RCbc2zwuTy6/T4rksKIlnFESKTJJY/XN3mtsYD8TTyK0?=
 =?us-ascii?Q?+R62wt/lQ4/q1tr0A7DZr/EI7YvpxGvfak5RhqY6uBrmkC+6tKH3nRR5OA/M?=
 =?us-ascii?Q?tLPaCU1kNSTjy4zKC3eGTcN7F3yRryswv1rjORsmIAgD/m5uKkAKJpHkItyC?=
 =?us-ascii?Q?9QaEm+w8tCVj9XdlGYB2o09pBxR5/M7gJdW+SRJjJ564ZTqj34yj6XVos8lA?=
 =?us-ascii?Q?aLSud1xwsGgrqYEzZq7geDwR2Z14ICB+eHpTkMu3FN3EzOWeuH88BOOupLnB?=
 =?us-ascii?Q?VMbWfi040/laHmwlvC3w/11iAUe4ePTikRTG/2pSkByHrUK4drH78lne9MIE?=
 =?us-ascii?Q?GZpN4ompHNBdQoU+yijpf4bpyi9OHYNK32yiBfi+ELvI1uk83NntbYSu0ikJ?=
 =?us-ascii?Q?BqKcy6VzYumqxINUE4waX42gfd/TmnxPGNJPYt70dJcRjxuzR1Rwj/5AUEZ9?=
 =?us-ascii?Q?5mEuXv8YHer1Y99Y5tOVDucfRgaK8dJrjbRAZydNR4+cJpU4wfzKxaFmtiN+?=
 =?us-ascii?Q?0FM8WU0s2kzn6iEhqyCo/ADwQ0we8f2oaZqZkgMhU0PrDQtCmw87hKASLCZa?=
 =?us-ascii?Q?NJtPVSIuB76qg1JGSv3QGiUtOXcaij5BISBzCUW9N/FUIfFna6ZB46tPzoaj?=
 =?us-ascii?Q?ynYdSAOqgeDQZCjgDOZlM6oIRZ3hXhraZPD/kqCwA5CtbtKJeh9Kd91PHqrX?=
 =?us-ascii?Q?/JH8Liw7ISOrGUWSnPS7eUwhCGzG83akj7jUA9YC1tz/pdRxgABiav2ifc8K?=
 =?us-ascii?Q?GENr+vgGP1mjAilHR5kdShVJKdWIuPlQPsKKvv2wCiqPf+uAcQxSlJfI3ec+?=
 =?us-ascii?Q?ETwlCjBABCkGqH1unAvf/CUGWVDWaePCD6uJDGnnhYy9VWV9OjL3ZA1UYaHL?=
 =?us-ascii?Q?zoiQKH5LlUvBzGxo7xT4h1N3zwonJiGddP4iXRjGYfTfFIoffxMuimGB6q3m?=
 =?us-ascii?Q?RPlJyZSQTUqHvynddL8uEQZReMo2gq1wJvbmGphVQQL9il5AAe/jjFBoDJ5j?=
 =?us-ascii?Q?GxfJRVG4VbcOQwrc7F653N4S7bYkdPpwp0rfYam1e2HBIgjDm74rbEQwLwDA?=
 =?us-ascii?Q?6ystyGcFFn9d9yr2a16Klh181J8fqvE2n/Rg8kbRXr4Kz+K19y7+ysgegmkQ?=
 =?us-ascii?Q?Lh0IEGe3EXIqEunqS4h13nxRpxMq04e4jYmaH2VlYREdnp2I/C0pbvLFWPs?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 31a050f5-eac7-480e-b6fa-08dbf0570614
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:36.1136 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DB9P193MB1913
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/crates-io.scm (rust-libc-0.1): New variable.
 Change-Id: I58184b1667a09a0a61944045fa4a9202adc1117a ---
 gnu/packages/crates-io.scm | 15 +++++++++++++++ 1 file changed,
 15 insertions(+) diff --git a/gnu/packages/crates-io.scm
 b/gnu/packages/crates-io.scm index c3ffe8462b..152cf7367c 100644 ---
 a/gnu/packages/crates-io.scm
 +++ b/gnu/packages/crates-io.scm @@ -37107,6 +37107,21 @@ (def [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [40.92.58.98 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [40.92.58.98 listed in wl.mailspike.net]
 1.3 RCVD_IN_VALIDITY_RPBL  RBL: Relay in Validity RPBL,
 https://senderscore.org/blocklistlookup/
 [40.92.58.98 listed in bl.score.senderscore.com]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (sergio.pastorperez[at]outlook.es)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/crates-io.scm (rust-libc-0.1): New variable.

Change-Id: I58184b1667a09a0a61944045fa4a9202adc1117a
---
 gnu/packages/crates-io.scm | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index c3ffe8462b..152cf7367c 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -37107,6 +37107,21 @@ (define-public rust-libc-0.2
     (license (list license:expat
                    license:asl2.0))))
 
+(define-public rust-libc-0.1
+  (package
+    (inherit rust-libc-0.2)
+    (name "rust-libc")
+    (version "0.1.12")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "libc" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "08k14zb7bw25avmaj227calcdglb4ac394kklr9nv175fp7p0ap3"))))
+    (arguments
+     `(#:tests? #f)))) ; the name `std` is defined multiple times
+
 (define-public rust-libc-print-0.1
   (package
     (name "rust-libc-print")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:15:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:15:46 2023
Received: from localhost ([127.0.0.1]:48060 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85Qo-0005O1-0h
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:46 -0500
Received: from mail-dbaeur03olkn2098.outbound.protection.outlook.com
 ([40.92.58.98]:44800 helo=EUR03-DBA-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85QK-0005Is-Q5
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:17 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=JQpjZ6LeFSK6NicOxDJxuDn9BrKS7EmXc7pJW5cXPUw4fJOt2Yiu/zGnIl/61ZM+7EvTIA9k6SN++K0fhfndLu0VXUvMtzyNY9utlQrsT9Natms/ZYSagOndRlhKs75rTvT+bzgpwhSUqg4X5dKsuRIycyI6tiX2IBLADJW8DseBcqRf2YdmEdSom5XFd2xEjYCJe2PSgbEyfmg/ZILpkklXX1KyOJdLjN0hrC6YGgYVZlrxEcFBJKYtDgj3uW0rO6/P4VCjGAK9u+sXDhg78XTIopuqc/bUnrJqvzrBupq/ASqmH00kfLOyotHZvVNxZC+Hu+m8GawGhOKG4GxlGg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=mtA3cM6iIs5TcejVLyPS9EsGK/9N8S9b4FOC1bXlZEg=;
 b=SKkqn7ywGoh3i+2v+O3Xrxq8iHsB0iWmtAv9RH0zcCr7edCVu5jXdI0C2XImK3Ehx3Rmr5C8FKISQ61Iuv0EJ7cd92ygmwXY1OIhGYgI2zu2vOwXUuTOupBbiwuj9fH4JCwHspI6ds36YC50XP4ELPqCdGM+CJYYfdhlMxd9ZFIFfcVQiARZY6t41CAA4mComLmngswmuTtlUU857u3VmWxn2OZe869+WdU/9Yh2N4UrdAQUo52lUjLvyfPX6UZWK0EJl4HUh4ynaR+Jng0JXbVRvM7ym9GMmM3f5A+02EUyILFVz6yuGNcpSuEhvqgiJrdlAUVuXT4F2b0bBudnZQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 DB9P193MB1913.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:25f::6) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7046.22; Tue, 28 Nov 2023 21:15:03 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:03 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 35/91] gnu: Add rust-errno-sys-0.1.
Date: Tue, 28 Nov 2023 22:12:13 +0100
Message-ID: <DU2P193MB213280416C93941A247A5B94F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [MA6qyqALFvHzjT2TMDBJc2ruG0d3W8iH]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <f27fa03d9efc021902a77fe44a38d4aa27f4642d.1701202945.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|DB9P193MB1913:EE_
X-MS-Office365-Filtering-Correlation-Id: 60a86963-f023-44f2-14a8-08dbf057059e
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: 5QIkizrcODBmmcRjjb/EUi6GyEop0A/mIqYnmeP89iLaCAofrPVmcGnjaNySbfeu6ZmvfVpFKiwUkCvwNQAsUrHekkGBa1akhZ9oFhtIiZFhV8Pwdzqe+dMcrl5Dj7drv95oJhFNOo/CuOWcIN7Dz3fT/91wHMOMdcXGKA1h/M1ualZDpx8hhwsaAZEUP39ZVGDVNwEdPuMyd1u5Ids+v/1XpZcLv+iwDbPJfqUzfNLn1HOX8b7pNVlRQ1mCj7+2qo6klINhDVNsvCydgQW0WVGZxXjt2cw3zKztZF6tXKS5HreeWsJTBPEJIOzUUzdobUPOp42abiyChI48m8NAFDrdm7AoVah6bsGvoBXDM0OfwPnwO7qBlj+nj1jqZUW3AjF7i9Bb0VCmb5i1Y1ei/2qWB57Ei8b2qoeTbLKABnBcsDf49WTeYIe2Bujl6Q9BeNx8XhuQlNns6p2Wo4hHKUPw6pBRmL5YY1ynqliiAHy6xjTIkI7JY+nvdUP2VRRG2WpO5BUUI5/PHo6ViKKRXRXOtBUcOq3v60uiYAQNJQMIOA23UE8hXtjDg8f7SZt3PmFtGypBO/WqxflTtJrI2Hm6KmUrkjyn0k2gbIbofPq+Vocor1aU4k4swA6qNfNV
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?d4BZ+F/WiFNBhDXGIIh3jvO9ueSA0scoksmMO2SL2OI3NK81WWePmvwdswuY?=
 =?us-ascii?Q?i19l+LsAtg0oSp+FS2xC50xz1KzSY5kzGWOtyG6IWOs1+QkpcuAnIsVWGJRl?=
 =?us-ascii?Q?3Px6cgyWStYDRcRV6rvs1yKhXAiX82bXeYArbuVW3ddNZaFX+9rezhIVA3UB?=
 =?us-ascii?Q?F0p67c7cwcdQVE4A0ZCncBE6V/+oAVpzeHqe2DWhUxMlVcrDHHJXjFabZLWv?=
 =?us-ascii?Q?jnYS8x49f9IulKDCR2gYqTJR0/vzGMV3k5oio50djY45q40cOACPmE67+otN?=
 =?us-ascii?Q?g/dDFhUjXyvguU7MG/9vzBvMK2hPP4iQdLpXQZJS3xZ+Z9+C1MFVBpcXic4d?=
 =?us-ascii?Q?b+8RPMPm8J/+0s99PphmTZVvCqR/+gHIlQcIr9Pa0OgfPijIr621jYoaS0Kl?=
 =?us-ascii?Q?MVgGAfZYfNyCvZy34BLxE4PHb/uuDvbdQmV+/ka5cK+klw7QBBhvWa9cdYdu?=
 =?us-ascii?Q?jsxfqx2JOKz5H0wG1P30+0jeABkkTY/MKP6nGdVfnP6+yF+LwmNGxuSM0jFc?=
 =?us-ascii?Q?E/AWgMFTkHvLtgt+tctO+DkYMNAkE3yUXLEJE/Juf75I1YI5/LqHOvuQx9A7?=
 =?us-ascii?Q?NIMp8PS0ajVLje8F4xpqrbfHhI1kJH2lBCJ0kAUF2asE5l4gmG0EfO7C+yx+?=
 =?us-ascii?Q?pfw9Faqyg5j0vz3JFYCdGe0QES+d6ZIBgcADEeXtaH1QXKKPEATSPWUogTne?=
 =?us-ascii?Q?ZM2H0B3snU2UzaZpqzCGt4uxvHUFx0uM/CM6aYT2vjMreeQRttPs/V6/WljP?=
 =?us-ascii?Q?L6FTUSJM3C3hq2bp6qujYu9I/XT9p5idoCuTTiab7nefFgY3rnsxxdr0Zp61?=
 =?us-ascii?Q?rT2i8d8J+Vkq4kGvQT72kLKwGiH9ZfQjsp0++1xAJ1Rpz3i9N4/jDiUElSP8?=
 =?us-ascii?Q?t8YpgbYsDqauilCycsdv2yAncErFouycqEN9vff3uNdEdtgiYFAMmFpwXpvN?=
 =?us-ascii?Q?Z53JUPhFpPQqmUIQmTL/pxBMqJ/vnPQbRHK+P3UPHU4qlpEqwpSaUe2olppJ?=
 =?us-ascii?Q?oxZnKruNs7UaThccSYgtuGmFJn0IInmFdX0n1p9lphajlBgWHtDTNw2QwUGg?=
 =?us-ascii?Q?q6XxAUFRvrTsZJaLgtqanlRdE8eeGyr5gRuDNyha3ghshI0w6agITXaqiP6m?=
 =?us-ascii?Q?whAfBzEUD8k2aAdVM+G0HCpFmVCdaTXsso/P0PT950qCyTV1k5q7VHSCQqaK?=
 =?us-ascii?Q?CxgV0v7wt6LtLbG0ZUD52fBPlDeazIS5IDSxajHrRYRCwUXAkoUqhSMSmaw?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 60a86963-f023-44f2-14a8-08dbf057059e
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:35.3267 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DB9P193MB1913
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/crates-io.scm (rust-errno-sys-0.1): New
 variable.
 Change-Id: I762fc65c49c26c9758f11509d45fc47d45f09383 ---
 gnu/packages/crates-io.scm
 | 20 ++++++++++++++++++++ 1 file changed, 20 insertions(+) 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [40.92.58.98 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [40.92.58.98 listed in wl.mailspike.net]
 1.3 RCVD_IN_VALIDITY_RPBL  RBL: Relay in Validity RPBL,
 https://senderscore.org/blocklistlookup/
 [40.92.58.98 listed in bl.score.senderscore.com]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (sergio.pastorperez[at]outlook.es)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/crates-io.scm (rust-errno-sys-0.1): New variable.

Change-Id: I762fc65c49c26c9758f11509d45fc47d45f09383
---
 gnu/packages/crates-io.scm | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 347f3f2cc1..c3ffe8462b 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -24677,6 +24677,26 @@ (define-public rust-error-code-2
 @code{no_std} environment.")
     (license license:boost1.0)))
 
+(define-public rust-errno-sys-0.1
+  (package
+    (name "rust-errno-sys")
+    (version "0.1.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "errno-sys" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1s1lsrcqrdxx9xsvy3vzhypyizyjpcaxrijb09c50lpid8hhf04w"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-cc" ,rust-cc-1)
+                       ("rust-libc" ,rust-libc-0.2))))
+    (home-page "https://github.com/A1-Triard/errno-sys")
+    (synopsis "Raw FFI bindings to `errno` location.")
+    (description "Raw FFI bindings to `errno` location.")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-escaper-0.1
   (package
     (name "rust-escaper")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:15:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:15:45 2023
Received: from localhost ([127.0.0.1]:48058 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85Qn-0005Np-KK
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:45 -0500
Received: from mail-dbaeur03olkn2098.outbound.protection.outlook.com
 ([40.92.58.98]:44800 helo=EUR03-DBA-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85QK-0005Is-BO
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:16 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=I8uaD6fqDoKT5d8ogB9/gsDXimc3QaE5rGsfsnleZD8W/mTCIYBqb35iVaySFRsWZCbt2pjEx8NYTXX5XSrJDm/D5mOsEYjD/GVA91Xp8xWtkEQ+y4r06f1N3hqkU42CAjWMBvUDrO+xAxj0Yhyhgp66sy0Rtjk7vXZ3bsglt3xjtwUUvUD2lLUq3MaP2in3+VqOIUb19s2CLtIcgFN3gWLBnAwan7Dl1W9o67Rrelz0iI9q1uL/k2qIdUR79iI/pU9SG6apvZgRPlUMOfYHkH7i7y6OYo3kG4iQDFsZTe4QO/6YGIN4gXRzWJblQxuAEn3pLIaIB5Vr1d2V2Pghkw==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=ZRu47k1L1vdS4L+hFOrlXIESNsA6xFTMXN/A2C1uX7E=;
 b=J4vjpOqG78hxtWkgs0vG8vk3tFFvLlmDKLu8GJ5Nq8qUgzTPsY3cvU2I8olkqJuYB3WWqzCdJ/GfcZcCYWdPnpF66FPQ6H7uOTK3AX0wwRGJWnEJWmQylXiw55u5T2Pe6SxIAgeLeaRRLfQDC6pzemPlbZWGJBlmHbu/ISIEldvLNLjuGPPuDdaOD5rctYxJDoec24wches9LRpbSJr2B+TtnP14k/x3D07CIOK8bbjfz4oiF7W4FJOkgfPv0+RdFMDFi9hGVUkr9PSMTkCsdUBCkpj4sfSFHXZ5JrPwi9+7LTkUXa5iWeuNpunN1396SA0CpwxHIOsybt0e1Fu15w==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 DB9P193MB1913.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:25f::6) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7046.22; Tue, 28 Nov 2023 21:15:03 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:03 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 34/91] gnu: Add rust-dlv-list-0.5.
Date: Tue, 28 Nov 2023 22:12:12 +0100
Message-ID: <DU2P193MB2132629F58AF37CDAE4C4295F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [5r6rC/rSuUuXxIwjZ3tZQdWhy04j3LA+]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <37f6f91b93376871a5c0e743037782bcdfb89b90.1701202945.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|DB9P193MB1913:EE_
X-MS-Office365-Filtering-Correlation-Id: 9dcfb241-a224-4e97-6a38-08dbf057052c
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: gGy/1DsmRpKrdcm4KhBBXw4ISdhW3mh7vc/DnpYe/WWUvBaATVA81fUWvtyE/D+dM9fRKeQInzsPtZHjaoaChTCaNpy3/rJPxM3CNzSP4meGOOV9B/jR3NwGTpunlr8XukmPPk8uJvNjLnlJIL9VNR8j4ISddmAytMJoehJJ0BBtzGvmGxuT3nfHiq6MNPDEfmcaYV7BbKioa8pfoZzxU4WjZjG0aRXhzAucU0hsc3JtOjsc3FGYaCwWaygiTkvxEzYND2A9KYBeEqG2JaPh5sYthgAePYPX7A4k/Agrs4WFCGvEDAaY6Bl0pO0e/XWn+GV2AKETEVNDfQV+xEusvRupDpnrEDv7YFul7zkI/vCZuVl5M/GsnriKj9VNjCb7NJvHbopO8VSf2h7bC9tP95q8Z9s2LUPeJpxg3Yqo9EaVJgP1z/2wQdvAvIgtPz2H72fBLd8tqBBq6GcAKJ/sSnUMZ4rOKTjUUDwru293ceNsWOjC01YsRDFoQmrLwPq8mWyquBunVjESZegnPoa6VDyXEcORFlK86MXoT9uwZGTd5ipoG4Zh3W2Fse7hNAUJAW+oOUl6sTk20sc4y0s3RT5Ox6N4ZJqphtDOYtv0U32FV+L9In1vFxj4/3xFY/cH
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?c+P+P5NS2NT42LvlJ+1hi5UTHU64xd3NxgBLu6yDlatyAQ3So5yCMyBECDV0?=
 =?us-ascii?Q?lpwvu0z6PB5letFkSjvKjfeVkWvx4Bn5WyLV8xAR5LE5//ufywWbCnKGxirg?=
 =?us-ascii?Q?N1ZbwQqZ2sAMMbhlGCSviS+L5ZvO3xKCRk2judtwbLn+BPvm2yDYn5nq1b4K?=
 =?us-ascii?Q?d3jPiLzNy8wRZgHLoZG/vhFNEnPmoYpPZ/fuUyoaC0QfXnv0OvFcf4JFS8yE?=
 =?us-ascii?Q?K7JoT1pCUiFlU1+u9PfpUiyQ+NDesNqC8Mh2ZiKGGlwiWwYUhucwiBd92lGt?=
 =?us-ascii?Q?nl6Jn+3yHe/yd6poSNMbcAv5rPFjT/zpzSWAbD6LP4F9XpW3r300nuyPK2P3?=
 =?us-ascii?Q?CYu0uZQvb3cFbeQufqUcukqFQJfacjQhJRRlRTsVCRrMxj7qBdSh1V1MfG0F?=
 =?us-ascii?Q?MevjxAOi0vocvadAsmR3tGG0PeZucubAaKUsfzq7PpVbXe/5o283uC2boqQq?=
 =?us-ascii?Q?xVdX1KUjSLUDp2YuJKgbcnvaywWlFzvcCLXE9J3bVTbOWmZct6FshVJ7LIiD?=
 =?us-ascii?Q?JKUk0rDSY0vv0IURX9GrDZ4rUCAYzHrxFdlmnQWHOKSgkq+EhkYYz4v2XMC8?=
 =?us-ascii?Q?7AmnBFXu/ElJ5Op6QPCo6a63pFsQd2m0TJrJkS51chdu0AgDuf6tPwPVfs6H?=
 =?us-ascii?Q?Dm8vTJwsqdV5/0JaapD5wg2LRitJLRKndNYJXxUMvDdn0A/V9w28eNcaLOJu?=
 =?us-ascii?Q?H6mqDASQ3XGn6g4Oa3Q/gAmryBhAFiDHMA+ZBCxNRjyJDQpVVOmz1B+YT3+r?=
 =?us-ascii?Q?62dfYMR2A3tX8PFfbgik305r59ziG+z8dpXeiTkXHcM2HeLrk2gKjYRdBNDF?=
 =?us-ascii?Q?X6mi9B1VChkZ+7Zk6x1vNulR8h9vphfAcUZFkutL16A0Q0IDRN32MTBqL5/S?=
 =?us-ascii?Q?o0PapcIuLzTlL9OlRjvidKVW13TQFspls3MVyalNDaSeMMgaoZhW0qjbzOV0?=
 =?us-ascii?Q?z+SlDwaJqpNIEreFNK3CLieQKY79uwbph0jkbkIcXQGDwFPzRhveNuDVe0IL?=
 =?us-ascii?Q?DMf9XJdUeh0V/eurTXo2Pj7BVItW4bkE3u1gmQaZ1qt6HpAYryEkOovidqQF?=
 =?us-ascii?Q?FNE/TgmETmQBzvepovObiVA44AF+/i7SSb6ep7RSfZ+16zPkPGAncvEReYOv?=
 =?us-ascii?Q?xdCssUPTMS7PfQrVH7W7hpcY/S7khF+3gt/O4MjDqCVq+klMJ2UARcXrvkqg?=
 =?us-ascii?Q?22lwy0BoyphhkQH0K1vRU223MKTlzWQogVUPEEDa0O6JeDwLxkWQFQKlgFQ?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 9dcfb241-a224-4e97-6a38-08dbf057052c
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:34.5407 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DB9P193MB1913
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/crates-io.scm (rust-dlv-list-0.5): New
 variable.
 Change-Id: I1a38bd5579b0e06deb35de811d99099bf0edec65 ---
 gnu/packages/crates-io.scm
 | 29 +++++++++++++++++++++++------ 1 file changed, 23 insertions(+),
 6 deletions(-)
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [40.92.58.98 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [40.92.58.98 listed in wl.mailspike.net]
 1.3 RCVD_IN_VALIDITY_RPBL  RBL: Relay in Validity RPBL,
 https://senderscore.org/blocklistlookup/
 [40.92.58.98 listed in bl.score.senderscore.com]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (sergio.pastorperez[at]outlook.es)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/crates-io.scm (rust-dlv-list-0.5): New variable.

Change-Id: I1a38bd5579b0e06deb35de811d99099bf0edec65
---
 gnu/packages/crates-io.scm | 29 +++++++++++++++++++++++------
 1 file changed, 23 insertions(+), 6 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index cf5a2533ad..347f3f2cc1 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -22089,22 +22089,22 @@ (define-public rust-dlib-0.4
     (inputs
      (list rust-libloading-0.6))))
 
-(define-public rust-dlv-list-0.2
+(define-public rust-dlv-list-0.5
   (package
     (name "rust-dlv-list")
-    (version "0.2.3")
+    (version "0.5.1")
     (source
      (origin
        (method url-fetch)
        (uri (crate-uri "dlv-list" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "06r1nskj3x56p5wqz2bgl6q3rpyymrb0k0zpbvk8c6qcd4mkzpv8"))))
+        (base32 "1x2cyvbs0brrj8zhdy2ma38m2narkrfg473j4ly2cpvbqi6x1sla"))))
     (build-system cargo-build-system)
     (arguments
-     `(#:skip-build? #t
-       #:cargo-inputs
-       (("rust-rand" ,rust-rand-0.8))))
+     `(#:cargo-inputs (("rust-const-random" ,rust-const-random-0.1.15)
+                       ("rust-coverage-helper" ,rust-coverage-helper-0.1)
+                       ("rust-serde" ,rust-serde-1))))
     (home-page "https://github.com/sgodwincs/dlv-list-rs")
     (synopsis "Semi-doubly linked list implemented using a vector")
     (description
@@ -22112,6 +22112,23 @@ (define-public rust-dlv-list-0.2
 a vector.")
     (license license:expat)))
 
+(define-public rust-dlv-list-0.2
+  (package
+    (inherit rust-dlv-list-0.5)
+    (name "rust-dlv-list")
+    (version "0.2.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "dlv-list" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "06r1nskj3x56p5wqz2bgl6q3rpyymrb0k0zpbvk8c6qcd4mkzpv8"))))
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-rand" ,rust-rand-0.8))))))
+
 (define-public rust-dns-parser-0.8
   (package
     (name "rust-dns-parser")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:15:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:15:45 2023
Received: from localhost ([127.0.0.1]:48056 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85Qn-0005Nm-9q
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:45 -0500
Received: from mail-dbaeur03olkn2098.outbound.protection.outlook.com
 ([40.92.58.98]:44800 helo=EUR03-DBA-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85QJ-0005Is-Uh
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:16 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=Asf6kwpeY+ONv3MpfNPQpt/EbI1A4dfYSQVMBWILr3/ayngNvDLSX/YgevJurns+y+TGtNTbvLtv4msKFvnzFdsc2E6YKgYPiRhRIwjiIJp3jrw4bXqgculiTLUH4iyz+qhFIr/DkBAOLyhT+BbJoNn3Um6hwo/P4ouP6wTfxsPYErGFKGVtCKs/LGaSM3zsZMvmh8pYMhCMoDrNdHXIed18J6cefvAXB3Tg5q1ZTT/bToTDlFqk8mFy6sTch0HOSZRKtik9GV+06WQrXoVgtwlrD6MKgka73sghxO1Utwz2peXVSS719Y7utesTGrf6o1+6gmc7GnhJdbvBuN+ezQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=Fy5otTP/Omg1CoskcvNu4A9UXyB1t5zu+Xi3lvUmAFE=;
 b=l4W3EjERv5Z3/crQ7GwOarJUpdrXQyI0qubzNT1SXAyHgaV5W7XpYxY2E3Uaeti9neAsplpDq7lf8uBjy8ojVlIK+xfTCkUHksPKqIw9H/XJzQkdfzJYx3LEax48wETcJHggV++GGOO/SzjC+ZXO0KsXlECvEYECrKDSAUSOt6kzl6ePMGo1sEstvaGwDsqqNEKuNTNkK0ZVT0eVr6g0nCRxYdGWsAGtx77leegkQqfcOEai9m8YHCTpmBZsB7gnbnJLxtLh/dlMbEhMsuKIJRrWIlfSkDL8vTOGnudAJP7RukGhoOZD4NXeF43k/Eh/t063/2p9xeqDUvtDWAOxLg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 DB9P193MB1913.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:25f::6) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7046.22; Tue, 28 Nov 2023 21:15:02 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:03 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 33/91] gnu: Add rust-coverage-helper-0.1.
Date: Tue, 28 Nov 2023 22:12:11 +0100
Message-ID: <DU2P193MB213202368A0E2F37B87D34C0F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [hh7JNz8+PBuhARD+JBfY75cf/RDYIvss]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <fc298945f00b1f9789e422c1a0a4531545ad7ffe.1701202945.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|DB9P193MB1913:EE_
X-MS-Office365-Filtering-Correlation-Id: 82148629-14b7-45e2-0033-08dbf05704bc
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: PxCI3CXXzU/7ItsGwjDkOyFGeGGvVgFzppaMuwh3DJJV55/ZwiBlC3hpuxvM03lIhxPg6ewoWG9l2Ub7VEKcaFVhJ2DhqPcugw2NpLw1v9hxCP07h3nqkzkZt7Vvc8A+yYA5Lf+fQ6n9JqSKi+nh77ARRAgPwF3IAKNUILJBXB8CxfGx41TIKGInfa6yB1W/USGMCUiCkcJx/XEFURfmnhNPWjL9wSyW2uvnSX2iM52Q/BE39ozsUta4C8W8o0hvW93tHxdbsFoZNYyBnzPEpVIYFXqPLlPddFtqR4Lx4JZKklBN9Zu1Olp3TpJnQADs3GE+nTQ6qOoNhdmASXK5E5k3atOd/fBdanhpW0Vwh+KsbNY/Lf5Mn6y8tDyj641bbUqJV0sDysEsgzggTLtOh7T3t8DY2KWxPlC/B4WWTUHRcIJV19uzYiTCU/BH+x4D1ffqQYNFEv0jGTFezx1MdhbHPKW7LgFc0sdnIwxPXJH4aPGGiblaCUVrarDB0xXBbhTpsQiKZDqqE9F+ZZ/KaFgI8b+iqwWgPKBjT0q1XP97s93d7PCdYf0AFFp8dcUT0+8IT2ZNXyCtXtZaI0ZLz1ekfKZ/AGIVXV/afR9dWBLXJDRC5tq9MyjPSFZTWWcR5uLno/8HvQfiVimViXqvBG4vc3fMAgsB54uTaa6yidM=
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?nhXR+bFCEzC3aBj1Wm1NxDGtduxCU5hGexcHRO1H7O43pLPjkzVgUfhaAprb?=
 =?us-ascii?Q?LK5toUxYKqP+vY/8n00hGlFHjwySpse02eJZO3cjb5GGEtr5vvIqpuXhRaqq?=
 =?us-ascii?Q?Y9HHbkcZztGuhfeWsQ+gm+D7IVqIZ39KO5vN9CMVe516hpJwGT2NzA/R4qhw?=
 =?us-ascii?Q?SbzX7AbU+ztrzzCytNZbY8FBFlObjaD9XrW2UJYStU4Ezp3zEYOj8UzZpu5r?=
 =?us-ascii?Q?BPQl9hbV/YApeKL+FAA84w4D5ngjxD1pr39GIsRLHc3pGIVTTl+81v+cA2nC?=
 =?us-ascii?Q?gwg4BmMMOO2OELjTEEVxgsVEjaxZqV41cX9/9Lspn/FDpy5qmi5z0pv8jZ88?=
 =?us-ascii?Q?Ja0v+13UJD74O0vpuK5Gwo9XfzlVf8okp316vv746I+cGFgXByl8KaD27tDl?=
 =?us-ascii?Q?Iu7DuQg3O2t8UuqQUkWNn4wDtF+Uvt/DIuQ3Lop7hFT2hN035YZNX6Cc3Ao2?=
 =?us-ascii?Q?A7AYolEyePczjAYkB2Y7aSjYDtk85TnF6/5y0HWC+noQjPNe69E3ebJL5EIG?=
 =?us-ascii?Q?lQrVFbYWszA7FCz2RXa8zxfO+3OUE4AVAPdwn2v6eXmX/pQtEs2stcwcWVsQ?=
 =?us-ascii?Q?hcgH50Ejkr1ZmAQ1zVMlXlCi/fcewE499ixNV0XtimXH/5BH4WUL8dt/o0Gs?=
 =?us-ascii?Q?pE4YbkqaIUDA4/Sx1L9MIcSz3x/5YyDR9cDs1IzkMQKe//pP2dl/fMXxuDo7?=
 =?us-ascii?Q?PuWqajcV976stXngWBsH+H8oZ2vs1It7mSOmwQcECncYSDmYB+ElrbulSgkc?=
 =?us-ascii?Q?t9rX4G14iIjVMiyCrp02UogfIy9FaFxUt5z7fCEE5m6/I4Rf84k61vU0A48z?=
 =?us-ascii?Q?CKajddAFNI7m2ffIfspDuGGodk1sfutw3O2IgA1UoYcsMwRu5jeR4ixhYuoy?=
 =?us-ascii?Q?sRbk2LPaSDu2rUoDRbn0YJlpUw0kGvXhJtH7DssFUrkloa8TUzZup4PAMfVI?=
 =?us-ascii?Q?R1KSBVX6Y1l99NgmS3n9UBjmDW+oquKFSnF5noH/fBFkEjV2VUzVsLXabac9?=
 =?us-ascii?Q?LEaJxB40my7NCZTk5doigcrY7xKhs3FMxIJvNvzAMFX3rTqRYd+pkjRNFIBM?=
 =?us-ascii?Q?ph4f+dLDoIzBeNoh0przSz1GOkNIesyx4/9U918JpWNPKv226Z9BiC95srDp?=
 =?us-ascii?Q?94LLR5beNyLjHQw9QZdzWoVVAR8TpTU/QuWlUyHDcMhHC4ooJZneX3AZ87Yv?=
 =?us-ascii?Q?E1Xi90hvnpjrcMnJ48ODEov5mdrQbg4wmLcX9wdzgg7+i8v2XYdMt0S6rnU?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 82148629-14b7-45e2-0033-08dbf05704bc
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:33.8160 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DB9P193MB1913
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/crates-io.scm (rust-coverage-helper-0.1): New
 variable. Change-Id: Iee9040b7cb16859880ed37f72ea91b0f85877538 ---
 gnu/packages/crates-io.scm
 | 19 +++++++++++++++++++ 1 file changed, 19 insertions(+) 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [40.92.58.98 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [40.92.58.98 listed in wl.mailspike.net]
 1.3 RCVD_IN_VALIDITY_RPBL  RBL: Relay in Validity RPBL,
 https://senderscore.org/blocklistlookup/
 [40.92.58.98 listed in bl.score.senderscore.com]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (sergio.pastorperez[at]outlook.es)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 0.0 TVD_SPACE_RATIO        No description available.
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/crates-io.scm (rust-coverage-helper-0.1): New variable.

Change-Id: Iee9040b7cb16859880ed37f72ea91b0f85877538
---
 gnu/packages/crates-io.scm | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 197d9e3e33..cf5a2533ad 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -16236,6 +16236,25 @@ (define-public rust-cov-mark-2
     (description "This package provides a Manual coverage marks.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-coverage-helper-0.1
+  (package
+    (name "rust-coverage-helper")
+    (version "0.1.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "coverage_helper" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1zpk3k8r7rzc84xp45qww0kix7s9iv92xajndi5c3wvw8w753nx9"))))
+    (build-system cargo-build-system)
+    (home-page "https://github.com/taiki-e/coverage-helper")
+    (synopsis
+     "Helper for <https://github.com/taiki-e/cargo-llvm-cov/issues/123>.")
+    (description
+     "Helper for <https://github.com/taiki-e/cargo-llvm-cov/issues/123>.")
+    (license (list license:asl2.0 license:expat))))
+
 (define-public rust-count-instructions-0.1
   (package
     (name "rust-count-instructions")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:15:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:15:45 2023
Received: from localhost ([127.0.0.1]:48054 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85Qm-0005Nc-Sz
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:45 -0500
Received: from mail-dbaeur03olkn2098.outbound.protection.outlook.com
 ([40.92.58.98]:44800 helo=EUR03-DBA-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85QJ-0005Is-C7
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:15 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=FWponfWdI4/Ql9uWLU1M4auEHaxvO6W1A7E/ODUz4TzAw1Y5aWeClJdDAIpb/45a2DYOzTxcFP5xY6O9V8rl0jfMe5DabPef3AtHjOoxkqBO5t7U7znS/BpEq81pkd5qrhjt1tjBulf6G6EdY9C4eHPaa/541aQSzQXKKA8m05EfgQw+yOlaK/tAPcYGYQp3CRcr7A10HhrRDYq+US0xJGhlxXM3pZhPyGYje8Y3auSZaT1h4jLVTNeOii1ab+d/v1Rg1aJbZar0b3mowRdRFHJe6EKHnS2Mn4FGS+JWOMalUH5kq8wq0m9tUvctuIamq/I027twVsG8UYTm/+IoUA==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=UUxr2ALhOYIvHBP+P0SYqDXP2REYIuTbY08dK7tz9U8=;
 b=KGqEOr5zcApno7W/UO6WygGRcioBarRPKJ+TbJa29DNsCTqBgYjlTY3RJxRA3XpFoemnNZKpl40G3eC0fcZVpn6w124/QvoX21FDHhWZYvhm33+AO3kSuR8ImXfG35vwfOCosC8WPUo91ybJiNexqMUEI9GZ6k674PDf/bvcCxYv1DoA6pmksIHlAPAg4ts5gvn0Dih5nvkkVXqphXw3AOje4ikppy+yUvP87TXcceFFpAVUprm7QdKhKaHmKeZk6fqZGSLPKBbRUdLAWgzb5AEHHnH9uNvDtVW8MpzVxjPocb2B/6sd/Ni20WjwFAkOaKYYcWXOPyXQgpkkB3kJ+w==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 DB9P193MB1913.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:25f::6) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7046.22; Tue, 28 Nov 2023 21:15:02 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:15:02 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 31/91] gnu: Add rust-cli-log-2.
Date: Tue, 28 Nov 2023 22:12:09 +0100
Message-ID: <DU2P193MB213273FCA73C41D1BD2170F2F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [nROB8VbQYhl4FXaOGk4x7QHcxqF/NG1q]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <87af9b6efddfd5bf3b6ada8a063d5bad7f1b76e8.1701202945.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|DB9P193MB1913:EE_
X-MS-Office365-Filtering-Correlation-Id: 904d6465-a8ae-4169-b756-08dbf05703cb
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: c0veRQRulplwNoMPf60c8rHL3qQ9BcOtBWitB9PJ2D9YeN2MkZnRaVHehU6klVpiLR1I851T3wewGO10uvM1xMwj3/eBpAE2NNg/KazEvHuHFWwHJy+s0MusXQKi8gclU/tSIJgO/NWU8RQlgv5ZoPwtHTIHnoLNUsoqxqy++u+fmWwUcbW+YPcmXSseDTIo2PMVil7zjTtJL1yy95XLzxEkzstlF4TaBQiXMIiPi9tWAFDTQYVHV7LnW+IvTaJf4sBLwECfX3DgcTwX9nAn68RqkL9Ac/w/NI2U8wyEz19CzIjGlVoAUvjcMP3xQzpdO43y9lorJ+PPBiSxK5Fy0MXQhXaQ1MQzkPiFiBOgxVBT/DsvzHeSXrUGw/8gzur0BtY7D3No13glI0Xo30a1pOrCLh++bnf/R0DMPGv/k9frAbT/t1utJNwGsqVf47giXG00HYkq/C5RP6V0D5/K/bNZnJbzxBp6cJ8DaKr1k/9mkoKUWE5Tuo+hOCjDmEQb7q0MmoYuiXNk8GiryZ8zpXNvWr95DyXgZPtFNCX5I72sBM6ijbvRwRLTAW9ot83PRLVNZQ4VikWPRr/08q/PlZUQJLGFqr2eoxjnUpbVuejqLeGruFqoahBLGL2vL+7C
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?BYGsL5TsO2hQjVnYUFGZ9AajCdiArK28jo/jEB2N4LdkzD1ZrtKItOo5w9AO?=
 =?us-ascii?Q?m6SqphEfJ+wmGPtnUmW+6yld9E1+m0pgqyGnhOhJ0zbP8L4zxMa2HmeKCkbH?=
 =?us-ascii?Q?dLU1ZyUjIve6dm4eIIPu/tSiqPEPbLJgJerVT0vwLHGuKMn7IfzGZV2tXOGz?=
 =?us-ascii?Q?LFSTzb7OXdd3+o5JDM8V8cWlF8RMBe2NDh/d7+tgLfZC2hStyptonsVAuYbh?=
 =?us-ascii?Q?3eJJCvhHcRaI7MNHJEhGcELBnCmuLbNKDT6Rs7OImixmvCC3f9p7pbAT3Arl?=
 =?us-ascii?Q?1nHf2hUWKRpwllbMiFs13857JAisaBsv5sdndPvycsh8H0yL7lu8lLtZxDZD?=
 =?us-ascii?Q?ZIO96Jk8N1MQee3WhTjAvfbeqGdxUypEpPoj5J/aY/QRXabSFmbLnKKa0UUC?=
 =?us-ascii?Q?cx/W/tNUWs0VLPyDlrugE2vRHTSiVYQwBB910mS5oTugfurSgAYSKzWx0otW?=
 =?us-ascii?Q?Az23ZDTO0c1ubFPGvhWO6VpgSy8rup2J9jMPisEq+AzhNldEPCi3rz3l94Mm?=
 =?us-ascii?Q?byIzZVD2zSe6XhFa2FT9ACMnWKWTpkTjTuU0OUE7/YWn9wYIGmInYHhau9qW?=
 =?us-ascii?Q?m8fEghYDgpdgjTJkRYG75PDrJntygVG48qdq2FFCtMDeIR5AbN+kDePwb15q?=
 =?us-ascii?Q?gwu0qM0rZ4l8i/+C1yJq2lmC7vaxvuRYxfQWFhBe1Yro1HR46YXG3GVCZNWD?=
 =?us-ascii?Q?UAwRoXghwLG/XBZXrHxQe8G1z7aDO7YK/yOBB8ef/EBVqIEL2LgfRYcTWTS4?=
 =?us-ascii?Q?KUKY01NujL69h2NI5ftgCGO8/NeiZZZTXnjHsTGTYO3duVoJxoCeitJ3uI2J?=
 =?us-ascii?Q?jtwBj4AbjIRikDPNCDm3luzoKVV+aaecXOZhzR99vjp6AkxQix8vTOPUvxoH?=
 =?us-ascii?Q?hAidC0N/+adxkWAa9CwNCS2fYdUvlxI7lHZngadCLNDCGqDZdy0bqxmLmPxs?=
 =?us-ascii?Q?tLvklrJGEMDwvjetAfYr9KnuKnGK2eCUHYrmj7o4T71D6nTJWqBZCdp1K4bz?=
 =?us-ascii?Q?gtIuTchcyFr84MRgQewRPi0btq1xQGs/2mIeNj2sIV7k0+GzVn1CUOCrSSVb?=
 =?us-ascii?Q?VcH7ttU8+pH4TBPP8SC569rFh81BTjSt+fFuztD696cvg4VwSD7nPUEj0xTn?=
 =?us-ascii?Q?5q3ircuaCDj5tT12je5rLbEPr4wn4V0P3qRC2FKvporlon6rd0ffftRG21MG?=
 =?us-ascii?Q?fCRQTaOLPT0t/TDvmyODj58Pp+dQziNKvR/rx5KDI0WfWttgMQW9K5PelRs?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 904d6465-a8ae-4169-b756-08dbf05703cb
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:32.2465 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DB9P193MB1913
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/crates-io.scm (rust-cli-log-2): New variable.
 Change-Id: I88c7c3b4f1e6f26fa5a15c3a48797e032508d708 ---
 gnu/packages/crates-io.scm
 | 24 ++++++++++++++++++++++++ 1 file changed, 24 insertions(+) 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.3 RCVD_IN_VALIDITY_RPBL  RBL: Relay in Validity RPBL,
 https://senderscore.org/blocklistlookup/
 [40.92.58.98 listed in bl.score.senderscore.com]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [40.92.58.98 listed in list.dnswl.org]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (sergio.pastorperez[at]outlook.es)
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [40.92.58.98 listed in wl.mailspike.net]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/crates-io.scm (rust-cli-log-2): New variable.

Change-Id: I88c7c3b4f1e6f26fa5a15c3a48797e032508d708
---
 gnu/packages/crates-io.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index b9a2f17a23..21fa1ae9ed 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -13407,6 +13407,30 @@ (define-public rust-clicolors-control-1
 colorization.")
     (license license:expat)))
 
+(define-public rust-cli-log-2
+  (package
+    (name "rust-cli-log")
+    (version "2.0.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cli-log" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1k559h2am9qk65d72m9p6nzymzqirjp8bh2sya5c4bn8qh6v0aix"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-chrono" ,rust-chrono-0.4)
+                       ("rust-file-size" ,rust-file-size-1)
+                       ("rust-log" ,rust-log-0.4)
+                       ("rust-proc-status" ,rust-proc-status-0.1))))
+    (home-page "https://github.com/Canop/cli-log")
+    (synopsis
+     "a simple logging and timing facility configured with an env variable")
+    (description
+     "a simple logging and timing facility configured with an env variable")
+    (license license:expat)))
+
 (define-public rust-clipboard-win-4
   (package
     (name "rust-clipboard-win")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:15:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:15:44 2023
Received: from localhost ([127.0.0.1]:48052 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85Qm-0005NT-Gh
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:44 -0500
Received: from mail-db8eur05olkn2015.outbound.protection.outlook.com
 ([40.92.89.15]:24096 helo=EUR05-DB8-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85Pl-0005B8-Bs
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:14:42 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=L2dVcew9i1CrpJtySnG1zt+YEv7b9J+6hXTC8V3PwOef5kRnbUR/w3hRZJtXzgjwtduSsWEG+id9yP9LJJMNw4j68P568StCIKtVJM/b5TV8X8q/ngpBgmA7RqT6W7kc9+h+KAO+hVvGVAzK2gqTJKKLjjDkLWVdGPEy7mFafAYpyskOUhiZtL+Z2FS0s2NKN6jCZCmMUMz9sLPwMx4Qfnkaz2rANhg2PEtmwcyv9KUkvBsZ1vlNSfHHbPERoCWutm8cNTERvUrzyr/L4qDLddCtcm+mAcI8O1c60ViGaDvtuPeU+9ocEH1+O5WZJzsAJxrAmEXPILiG4rjccKgnyg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=S1brN4YOEBkGhNUABKz0qQxAc9HVFOgHr94/Dbj4+Hc=;
 b=UyZvKeMVifUwW/OpP87IiK0Tp5PTrRGXH4khwnKphIuTh2HGeTPVH8yBsip00FP7em1rdc/0EfdA8THKlVbymWFTBxsmZnyBgkSXLHSA+/w4PCDylhOvbqFf3HMM2Gy2r8YEBQ6Eq4jN16N8rqMOjtq11eV/NISr/H3H1edMuPPrVrdMtVOcWGeswWu6UmvqiLFPNTemsmiRG1DJjl9ClTuGQcn1zH2qpSTtwfRed9uMOxCB+UAheVMbwR9mfJ3sR3VmhS7y6LekrmMD2FliCqxQbeYhJnyLrrjJMRXdJGsukuE+sz7AHFNOaveAmOEDJe34INWH7wCkgq8boIQJRg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AM8P193MB0867.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:1ea::9) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.28; Tue, 28 Nov 2023 21:14:27 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:14:26 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 23/91] gnu: Add rust-rustc-hash-1.0.
Date: Tue, 28 Nov 2023 22:12:01 +0100
Message-ID: <DU2P193MB2132B76ED27F35DE903C81ABF3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [E5L3YqgvlczK+sRAlaw7l1ECFDSDbk28]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <7aa370b42cda81c1e4a67d3f68aa87b41b123113.1701202944.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AM8P193MB0867:EE_
X-MS-Office365-Filtering-Correlation-Id: 4d86448e-5fa2-4152-7311-08dbf0570046
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: 7/UD3zZtLAOVOuFV5i2c9kyhGv7HO7/BjtoBUk+EJ8m88p7qw6RFRTBEcZ3SBkzbOwmauf5DzuBImkjtyV2agwgScpUgXL2Qqsj0MDUI5GqXckHW8wNb/ziJffNwBhNAnZlEcoDp5Fk0zRt5talTRQ+Bsu7Q+1gvt2DIFD3einoSiipPiMILvKFyMtrH4gLsJoFUVYKfiYwqxXd6bmQ8oOyGE6ncsF8gvrlSKChItiY+vpBwiOl3wnkBQv0QJy4HiMI9bjz8vkM62W7DOqdqE05VV6xeqzeNWPkp4czBetnJ5lZsMpC+2biyQQXGut9SMGCYFSid96lrI7WqhT7tIVLfeSpy4mfJxPLTEi+4FTHfYYjPeOPyQrCE0oe7NH/CedtVvqqm2bZShat012aoCqPNNxEuwAzdU40NIQJbOuMBNHeXd1Rtf3CoAsm9puAULXhPsbqiHcx1uu6C0sRrauyKZttnapTB/TJOCsaNm2LdWAR84S995pwTbqtlBAx0BGCx0iRf+MAHDg5+aX8Fj3txty23khFVZ/DdcSKzyA+i7UIHBsxOfoFqKPGKt5c7K4rg+Rw4hNIWXYDkHFwYmG/v/9MMSOwIAlDXo0SdoKQa8/LBBEFElW5cMdfU8vif
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?dBqK9zym3ULknCBoe1GixqwfFEdX99UFHid3kQp8BzA+B4mtZyshE1nMFQYW?=
 =?us-ascii?Q?Z2ukaMLEJenq/oitOOBNTWnNT4ZpK9oV7hVxecVf9f2W0iVeW+PmD3JiY9N1?=
 =?us-ascii?Q?0IHe5Z2a8kjkgXMwfyBlN6MT3UMZmTjei3/vyTYkAxQUCiv+mh4a9Yq9hyOr?=
 =?us-ascii?Q?rKDBbVWa6HM6eb8RamibQwdkI2Feh7/mwRBZhPtS07CsLn+YkM8kRSbFVADN?=
 =?us-ascii?Q?W2MyWDxoDrPBlQP9PwntwlV3irAIKm9wAQDYnhHsJOvtbgaWcPx/tNl+JGVz?=
 =?us-ascii?Q?Zjb7FGdpZDWyusqJh/y59O3mmjFo94qwdXMfAzl1PmTXJO1kr8iNr25t4s18?=
 =?us-ascii?Q?bxiXokgz4+3SCWtCJBICRPmIC5prCuamEHv/5Wx15+Yyc3ioJ9bHHtm6npIl?=
 =?us-ascii?Q?Xrq/0llxJjIgFWfYohGQBdRkniIoZI5yxLw7DlCdG+9Pv39TnLU9zk1NDItk?=
 =?us-ascii?Q?DDm2M8JoL6U/p6nBcS14O1UD0lCq07Qh1kPz5uwSFRDCJUjnvQ4cPQR+z4+F?=
 =?us-ascii?Q?fVMVTad0gUoXNb1zhUUihSFGsYvwHGtFUUVeYN9WKzMzEITwni7he16h57No?=
 =?us-ascii?Q?ss47RnzbwSpatT1yEiMFv8hFKvqm+5yS9e+lQg7PQfBIJRT844bpVXGhTP1A?=
 =?us-ascii?Q?PNqzz+jl5WhD3QDQ/a37LuG/ZQLacm99iGk3zlbKvgDyWkzaANvtZ0T849Fd?=
 =?us-ascii?Q?Zxv9nXD20WPamQGEQgixw3ju/zzMnEPQJouTseitECZZ/kTyGE7/URaSE5jX?=
 =?us-ascii?Q?fjSc1nSyocXaBORv18hGK7fYNjXjO93XEn0xAE8Q3QROOQ/5bpL9pERD/hRO?=
 =?us-ascii?Q?2cPeeZERIB/BHQEdd9l8MENlMriuenDOhJrvgaW9gCFmksoYZYiNIlix4aBG?=
 =?us-ascii?Q?Gi3iTbX3EFuH2AydAjgpy+ckRcHKGEsXaXtK5SytDDomrtkcjtk9IpCooYn3?=
 =?us-ascii?Q?H5ESWvsELr+bf5826rfwAsgKPkvvT7U8x+Pq00KtSIWPrwIcezDIUu79h9mz?=
 =?us-ascii?Q?JGloc38DUszowLPSOay7winh1ngbrrNP6Z+a8hYazUDYX1+cuvwb7dbPS0ew?=
 =?us-ascii?Q?2Zqc3qSW9FM6jP2utnwF/OIlVRm4jX+OZl7WiOM05WLgxUPVg/GToMC81rQx?=
 =?us-ascii?Q?6i5lfrJe3/kKKCyvaSaQQzsWwJPxic1qEUsN798TEJsL3hzbWLgdft/4XJUv?=
 =?us-ascii?Q?Go6UHg0lLQHlL04Mh/QsunG/1R0Ay6vzIr3gcIbJu70rEAHxdoTYRsNYve0?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 4d86448e-5fa2-4152-7311-08dbf0570046
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:26.2977 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM8P193MB0867
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-rustc-hash-1.0): New variable.

Change-Id: Ibf192d5d2b99b76fda07f5eaca596c047c49f440
---
 gnu/packages/crates-io.scm | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 1c818d15d7..1bdf0a3347 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -60285,6 +60285,25 @@ (define-public rust-rustc-hash-1
      "This package provides a speedy, non-cryptographic hash used in rustc.")
     (license (list license:asl2.0 license:expat))))
 
+(define-public rust-rustc-hash-1.0
+  (package
+    (name "rust-rustc-hash")
+    (version "1.0.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rustc-hash" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1f4cnbcmz2c3zjidqszc9c4fip37ch4xl74nkkp9dw291j5zqh3m"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-byteorder" ,rust-byteorder-1))))
+    (home-page "https://github.com/rust-lang-nursery/rustc-hash")
+    (synopsis "speed, non-cryptographic hash used in rustc")
+    (description "speed, non-cryptographic hash used in rustc")
+    (license (list license:asl2.0 license:expat))))
+
 (define-public rust-rustc-hex-2
   (package
     (name "rust-rustc-hex")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:15:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:15:44 2023
Received: from localhost ([127.0.0.1]:48050 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85Qm-0005NO-5E
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:44 -0500
Received: from mail-db8eur05olkn2016.outbound.protection.outlook.com
 ([40.92.89.16]:34845 helo=EUR05-DB8-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85Pl-0005Bb-0B
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:14:41 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=W8rGZy5nSCLPfMtfun/3UcYY/ycAAf32e+bFShn5E8vVT2+SH0B2qFtVtLgaXRaCCbb0vQBfO7JTRQs1uspKlJWdGivyVfDCPUi/fNRAfpbceJWpFiT4efFP06WZ9BQ70v/K3tAmb5EXdQw/AcmooQPhV7b5UXTTvyMwrrmH5/3B/EM/AfUdTkjpduUs510q0VWhbT+LyCl4B7CcWKlaYcBUxkIMfjY9HBFBHUVyL8DTZHpURvEh8onFIBArH0nlTN75Wl6hiSY9yCgYGowt4Z/FLkY2tCF4X+giEIL2MynIxDRkEJunp310uuamJR9v9spl9mtnUckMLtIMk9yziA==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=tMGDYiXfHTIa1LJS1Oe/2MTKShvbFW3kGeZGsMeYI9A=;
 b=Quomd5S+x3ujZ1HcoBhh/5mJW9LoOFohWe+w+Z+zB+FYLNlyQqECZ0RFhICzM7etLlIHJgz5W4wMp4a9wFAXK3t8l16v5CgbgK4KwdMi8dQRxYsy3XqPDVjSQN7MlpsKsH6J21bXa5ty7qbJ13HPAzoP2SJD9ClUTit/eCTOKCP+Rd+Z8jWPr8/PLUCyLqLAk73QobGNpIkHObbwJoe22kKllEnRNxUaxnNuF2fLgoILwHR4aK9ZquTZS8h8zmpSGJsVZJVTGnAN4fvktglkLv9Ju93tEV59kM2l1TxMSWzl8pILNPAY5BrKeap1KmXOF9FfcGjIb24b6d9Gh7/JaQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AM8P193MB0867.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:1ea::9) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.28; Tue, 28 Nov 2023 21:14:25 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:14:25 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 22/91] gnu: Add rust-to-method-1.
Date: Tue, 28 Nov 2023 22:12:00 +0100
Message-ID: <DU2P193MB2132B9D4229EDB0E943F000FF3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [fVncxa2RP069Qc+vcDGv1y/78FWnxwSm]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <71bc7060dd7070bccf1830a39150af8eee1695e9.1701202944.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AM8P193MB0867:EE_
X-MS-Office365-Filtering-Correlation-Id: d16feaf8-366d-463b-441b-08dbf056ffca
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: LqQgjbc+FwwPIgajKZSxcsNtNQE9zet5ff4X58VKlFb/g9qESWc29Sm9rZGVhNGSlmwC4oZw68DID2EotX+PdGUad+W7MwWvrOqdELQjO2snpI4k/3uk6zr+YYsaURs9TetCKzeyipgfAV3I1LCEksDFiT+FZxTjo4P60C3Qx02pb5hiYr2qGo2Mt21s/843Sbm2AHaH3JWvgMI2jrpfYjOISXBBB4OgpmMhX2b/FQRwZD6QCVEk0cpuUUi4uerVq5K+/98XVlIuEM0B4FCl5QPvMVvZDcY6ctLuszPw4UYHtovG0RYRLxNTxbZ1iKe0OR9I0ocUhQ2QHQEt0HoHAHCG9qzVxGF1wIx9geyPEKeoVRQMp3+QSYZ18CEifjfUSDCRe8tE2mZ30NVLnundUCmt49+LXWnQ1q6PtDjbat40lXpPPTCq71xOXYBsiBWtfkBFU8tJ9vLW4ZIaZY1LN18Ki6WhhtPshyKZsOeonmUhvhUTgdQ8smnObE0Ke+ZCLXek1ouLHHqreGSKhIREmeOe11RssT7Wi8LoKrYOmtPvBxZu81MyUpIy+Q1yLQamcAdKALl1LbL+payU+xnjEB2li1fsS5dGpPRaOBG/L90qwu+V7QJjJOv9ypve3sil
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?bCroOeyz33rYYawkSSfAp06JxC1QhTkhKo+adqFGTlhyXu3o/UZ6wVz+tsbn?=
 =?us-ascii?Q?BFSCgB3rbBvGBstOSNf7F+9caPwIQQ77lbUxcnR9vdMeGoXytbimUAV93ydv?=
 =?us-ascii?Q?UIcsTrxgPcKxJIRUsVcm8tv5LJ9gnwkl9QHz2awljmsvi+fitoJG4XnhMiDs?=
 =?us-ascii?Q?XDRINnf1iHz2lF9y+SU3+SlzurN1RhaNsf6WgTgZx+cuIydhfWNFyVZ1Ri9+?=
 =?us-ascii?Q?26t2Z1VXqz44NBwDLOkH3RnxJtuHykKGyjJCbwUnkJmA4EUvOsrAEObzwhRD?=
 =?us-ascii?Q?TNeHenHoe5uZo3vQOnBOpON11Fda8r+7JQ431AzWiylsT7BgwKB8cUgLAqoY?=
 =?us-ascii?Q?oiu8P990zC7M0bJiSB3WQOTy9Ya6kxj5OCLHCuUJpGag8a9+DlyH8jJ2lSVj?=
 =?us-ascii?Q?co7EaSDu2pONHKxbbzLbt5wWzSYqqNdHdAjx5PO22skkyeCX2YG1nNQGAsyT?=
 =?us-ascii?Q?paTSSbQ1acs9BmOHW/q8O1S5fLOq5U1crvnEkD0ZwPh03yqoyYzvkGjoLTNN?=
 =?us-ascii?Q?TCvliH+qXtBjYNLyiO8Gvj2AofGClZmNNfXY89nLCd5xb4eflBjLnsfZivvV?=
 =?us-ascii?Q?GHqNRi3G8s/bL3B8/wj4feIlwANoFYsMW8LrqfdXXVcCDubrNJkho60Jg95E?=
 =?us-ascii?Q?jT9/EggYNB6Em7Py0gRkPDHtsQKpzK56wxsbmjZG3CbBfyrYlJT8mcqUrqP0?=
 =?us-ascii?Q?vZqiscNSDUXbL5wtbBCAgbepc8DjQWIc5s8f3b4ozEgffrbglkFm/d7fd/jD?=
 =?us-ascii?Q?F2KSUDfcPv2sV1g5muPXEo7X3EATWVF8DVjByf6jOw3zvzC6vgdeWBgmwRoA?=
 =?us-ascii?Q?w3BXZOdRnktmr2TfW1OjRuZSXhB8o1XQoVV2Uavb/zQCsuEqvTAGS7MUnio7?=
 =?us-ascii?Q?WiH6y9uJisxrBSZjuhk9l/O0tYB0rhC54EpD/eH1GJQFsCTMS48yucmnYxvq?=
 =?us-ascii?Q?PsOWcxcNwUpYCvesXaps8wvbJypnRq3ADP1jsxsvKY5f7WdL+/CluBqaUijM?=
 =?us-ascii?Q?tJlNZ4r63ayntedrgRXSWmFUEl1F6iOizdpIVwr3kBgLjp+MoiQYfPc6aSGp?=
 =?us-ascii?Q?jD/5OG6pQARuQq642goqJsFy1i7SQnypLIuMrEHZjGfh5gDmhA33jtuAoKXn?=
 =?us-ascii?Q?fBVDo+XJXeMNOBnBctv7aVR/9CIs9SkUA1a8jnnugRRo50e4Yc3wg/DC1RTQ?=
 =?us-ascii?Q?YIGELxSW/5OsJN+rQoj7O9P9488yeeAF8iUKDFqb+cs8BQM+BHpl5uYvjX0?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: d16feaf8-366d-463b-441b-08dbf056ffca
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:25.5656 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM8P193MB0867
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-to-method-1): New variable.

Change-Id: I754a760dc6f44a33d72d94ef5c379e5e7757fe49
---
 gnu/packages/crates-io.scm | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 2c49f014da..1c818d15d7 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -74663,6 +74663,24 @@ (define-public rust-titlecase-1
 Fireball''.")
     (license license:expat)))
 
+(define-public rust-to-method-1
+  (package
+    (name "rust-to-method")
+    (version "1.1.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "to_method" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1s72l06fnb5kv6vm5ds0lilg1dyciyyis09ypi5kij0mrbpcxi67"))))
+    (build-system cargo-build-system)
+    (home-page "https://github.com/whentze/to_method")
+    (synopsis "A utility micro-crate for using Into more ergonomically.")
+    (description "This package provides a utility micro-crate for using Into
+more ergonomically.")
+    (license license:cc0)))
+
 (define-public rust-to-shmem-0.0.0
   (package
     (name "rust-to-shmem")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:15:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:15:44 2023
Received: from localhost ([127.0.0.1]:48048 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85Ql-0005NF-F3
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:44 -0500
Received: from mail-db8eur05olkn2043.outbound.protection.outlook.com
 ([40.92.89.43]:56546 helo=EUR05-DB8-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85Pp-0005CJ-78
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:14:46 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=Rilipzjo9dkntnHiwfNy8+c+pEYk3VMNJJHX3bCAUVYs0uSlDMUIR2cAPZCBhG5pIkbF5hMwrmukh2tByzHkXZCTz/ZhrAmHsHkJxvxgpa3W3QuFXNEV6DBmXBsOhWQenCLQCueerQzPH3gVs6f2iz9UcJefdh5M6pjbw06XIEbP2KBGhrysjgyoWuyom5F+mmxKRtCfz3bybRf8i1LqBwcJrVmOaVdS3FyMCkGAi952PXUT3ZfcgMre36BQk5L8Z3N6XFErP0eTA6FpyS47ME7l1ShNy06QX9HnXmOLOnONRHfUQ4pi5YHI2qSAOu5hGjESPr/NXkFQloWEfGmM0w==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=XPrI6fjumcGdGxKS7z4vBICBbJHo3Tkuqqna84sGs40=;
 b=iQbeVl7JCLggMtWdirupCg89JSdIRksZTvqETITo6fkRIGR49LGlEJZ8gAOl9C/DIzUwekkHaGxW80wTohAXdam874T7C4By263IZxZdstP5Ij02Hc9PuBOTbXKbF48VPve4LbaYiXr3WLzNidiSSlyNtEPsRC4/8mJghMq7TrSVIua/Xu+3Lk5vtUCKvN0iXSQKwYHOkzE4JmgeE4YqoUpy71IVbBtoz1qM959SCMBayhHe9R+seEz4zZni3dY+7CsWIWqx9Mkmh6rB3GWq7yMSKGzX+LjcSIeM3bpF7wb9zaINJnQKG1iwQktVy8AYGPPvsz1hsD2vt5/AxoPdzQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AM8P193MB0867.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:1ea::9) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.28; Tue, 28 Nov 2023 21:14:21 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:14:21 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 16/91] gnu: Add rust-const-random-0.1.15.
Date: Tue, 28 Nov 2023 22:11:54 +0100
Message-ID: <DU2P193MB2132B63C3FBBA8FDD0443F7AF3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [jSdxCEMBhbFv3MRyyTadorQw3aHZCSD1]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <22ecc1465ffb7cfd52df6e71fdc49a3ffae1302e.1701202944.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AM8P193MB0867:EE_
X-MS-Office365-Filtering-Correlation-Id: e12a7f96-36a7-4bb2-132e-08dbf056fcae
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: EIW3GWwY0D55tSTo2GnvLMFNJSIW85dMaQtmyD/vWiyDv7w9afqVcXnWeDAhoyCHThU90TyfFhsK4rZG7ATQoFqKG4vlVhNqsykmA420hC/QA0zWCKi8vcH8yehn8U92Lk+5uh5Suern3k3zXUnnIjnf/2LbOkyQ6xOjgtOfyNXGNGwaE2vNF81jT+SB0/Y9PEhQby02cWT6FQYpoKiWxe4dcspPvlSQcmcbOrLr/sJUKkYjhhgSkqHsN/p0ZCexUX0yEKKlFiZmKWKnPPjO1J2CD3oC+p9BPgO/vee/nCUL/KPAidlFGifYnwPRfjLqDcC8Sy7HwL1qS4W6uC0hMK85xEcMS1vCp3dzCqiOGc9FGDe9sup/o9zeMPCODrtGNz+lFK7E5YZozRsZ7U5D0E3QPHB4aKUC9jPhZj1gxb1JiT8tu1G1c0IbeW1O/glFIdr2nCN7FKTcz6e/v7+pPjC+mjUwJioBgm+uUsEVAN5lmOs96jx4MjEF8auKfuivCPrIaYyhd1oJRaZepd5NpWtyJhchR9lFwN88xsbh1rL7p9NSbE62sprBzR4Uy8ILs1KDuCCUqZ/9J9NEKJxR7pWrZNzTsVtXWVMetJiYXKCfTHKwP8Sz1xQMKdJQInY1
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?+CbQE+qqy1LQweReFuT9rDDDsxyXl2lG8LJ/5Dzo5a1CMI3XBN4IV7fdDbY4?=
 =?us-ascii?Q?CW+q3FFOqsUhNBUhB/jSs0FjMu64QILq6m5fHc1m/tqxO9rigxcUUXHBkX7v?=
 =?us-ascii?Q?1Mg8wjkPHnjPrfHwt0UnTrQv8EjZdvx66BiamZwYFhdyFYRdzh8l8KvB5hl2?=
 =?us-ascii?Q?bdYQ/D2C9OqR3eVeE297w54sPcabltjAMysra6M+u7D8A8Iz6ti7XdkCw7ft?=
 =?us-ascii?Q?rAG3QhIsz5ALm9RuvfwNy1/vArteHGagII5NVw/mIO0sS5HaEz/LPt6yWu7C?=
 =?us-ascii?Q?2nCXXvOX8fi/t+GzETiAyXk8CBK7bqO/YyD7qSpj9NwvcK613a3MZ2F9NugA?=
 =?us-ascii?Q?hvTVn+mkeEotNHNMGRWqtHmhTRtvHOIYlKkHZBdgbRYNZS45XSTegnZS2uNI?=
 =?us-ascii?Q?i/T34AQgSYa1i7jpddjDvw0yXG7VLdIpMHe9rXUlmwMmP25693OO2QhvnqZ0?=
 =?us-ascii?Q?6th+5IpX3/QYTrUNNKPJEO4w1QhAgVSGa5DvDZRvm3kXzj0trysdk+juOrZS?=
 =?us-ascii?Q?O/JhwOYyU8px+n2X4EZQQ0f/19TmXouGo1I4ADlVKaynAsvVCxTFO/NMwKlD?=
 =?us-ascii?Q?ijtGuqiIC/vdOHk5XmMJmca8KkeBrXf9A60EUrznixQqKEUlG56gfB3BWLqg?=
 =?us-ascii?Q?SHZuphgd8MX8z3Ndb/Q6O3wZ8I4rMWuqUiUv6q5HesngaNzfb9Ge8S7YFLQ6?=
 =?us-ascii?Q?BDNqJm8myfhH0aHMV9vwEosbRD7ScBoCi+/PdOqA8IQV0y5jS8jEnBsN2BCr?=
 =?us-ascii?Q?z9/c0wfHiecy+5cZlBjLia2UwfTo+mrXaOwqdSmF23E9TWnJamjJMO5gxnvE?=
 =?us-ascii?Q?CxITna5LB1RPiafhOrw4ybcGptEpflktqS5Oh6GbQ5Tn36/lkhNckMstyNNq?=
 =?us-ascii?Q?FhFmERBEcmzJ8TsU1Us7lVfsnNDs1/OYP+QAlq/Yy/DRPGCmIjxyG5CVLLY7?=
 =?us-ascii?Q?NI6QAJeMNI6ZeQBBsNr1Oo83SjfVwAzhzijxVjE3nDd0Ks+H/7kJQ7sCdE75?=
 =?us-ascii?Q?ZGFlLEaWRo3uIHbVUI96KsudbWGevno7HG+cfMQv0wAnFI0Rx5slEFW/VjHD?=
 =?us-ascii?Q?B6ZJkRQOIYll3OWus7Nz1D46MIloCuNwPJtHWHyX+lN+OyLvX7znMjLsjod8?=
 =?us-ascii?Q?M8MMtc/Cfxa0SHSTtaqJRndzjeVqwQYJ/TrWcHmqooyqsSNDEB2zg6uFAtzN?=
 =?us-ascii?Q?4d6Cnntv0IKxCRIJyK9GalRjfT/ifUwJ2F9MjU3YB8A0VRoaUvCJB9YQ71I?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: e12a7f96-36a7-4bb2-132e-08dbf056fcae
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:21.0557 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM8P193MB0867
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-const-random-0.1.15): New variable.

Change-Id: Ie0129f7a1d35d67f9ce86833b1a9d69fc2eec71f
---
 gnu/packages/crates-io.scm | 25 +++++++++++++++++++++----
 1 file changed, 21 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 9e76aca84f..3c6d80ec4b 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -15105,21 +15105,21 @@ (define-public rust-const-oid-0.6
         (base32 "12vv7csqqjj0x1l5mf51lgqiw76k5c3mb1yzfhfcqysks2j2lvwx"))))
     (arguments `(#:skip-build? #t))))
 
-(define-public rust-const-random-0.1
+(define-public rust-const-random-0.1.15
   (package
     (name "rust-const-random")
-    (version "0.1.13")
+    (version "0.1.15")
     (source
      (origin
        (method url-fetch)
        (uri (crate-uri "const-random" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "1i3pmhmmcdw3rr1pv1p9yhm4danm5r156cpy7w30pa0s05fxk47m"))))
+        (base32 "13n15ji2jpkkymd94wjgfknbhgaz916b1gw2vvhyfv5d5rvpm2in"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
-       (("rust-const-random-macro" ,rust-const-random-macro-0.1)
+       (("rust-const-random-macro" ,rust-const-random-macro-0.1.15)
         ("rust-proc-macro-hack" ,rust-proc-macro-hack-0.5))))
     (home-page "https://github.com/tkaitchuck/constrandom")
     (synopsis "Compile time random number generation")
@@ -15127,6 +15127,23 @@ (define-public rust-const-random-0.1
 generation.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-const-random-0.1
+  (package
+    (inherit rust-const-random-0.1.15)
+    (name "rust-const-random")
+    (version "0.1.13")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "const-random" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1i3pmhmmcdw3rr1pv1p9yhm4danm5r156cpy7w30pa0s05fxk47m"))))
+    (arguments
+     `(#:cargo-inputs
+       (("rust-const-random-macro" ,rust-const-random-macro-0.1)
+        ("rust-proc-macro-hack" ,rust-proc-macro-hack-0.5))))))
+
 (define-public rust-const-random-macro-0.1.15
   (package
     (name "rust-const-random-macro")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:15:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:15:43 2023
Received: from localhost ([127.0.0.1]:48046 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85Ql-0005N7-2F
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:43 -0500
Received: from mail-db8eur05olkn2043.outbound.protection.outlook.com
 ([40.92.89.43]:56546 helo=EUR05-DB8-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85Po-0005CJ-9l
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:14:45 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=EnV+uL1kHJVwGwIJ4wOV9RHf9gW4TCgz4BzX08esLgPzqyERd4fYxt8FsLhMZ/dKL1xWYj2Ok+dR+Oj0/t5/zmUSMGAfV4vo6fLJf4OffY26deYwOLfRkZCMjXL7IZt2u/wIFWG3cGIfoSZxG31lxVfouNe+eORsyT5e5++EDffQfiuKmpXNYesSiCjmohnwaM0HOv6LoDmS2ioGf5ROPYVhdmsgKCn4/bBqcno8qEP6R9uAIOPLnbTJDSsYrenWnNGq/juHrTBmfpxlP8GOakUBslzRnP4B/2lsNyud9mekIqH8hyhXX90UkoISPL8AK9daI/Xez9Uy7j5TRKRw0w==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=AWOkiP7M7gC0enJ1H37LewAS6+pNYnmfJ6wPEEQnY3k=;
 b=Gu6v/oNoToKDZtmxlZ8+jgyuIFGnUB0rwJbga/9QmeBGYGFp9SXccG3zGw9QBoMmJXR2hscmAkLvLZc33rUnJi4LCE42N2FN+P+P31UN7TVaUsL0lC404QpYaz8kQsW/ezeMzEk7rysUkXsxviSacl9WDu7/xNCPV7tCyztYp6zdhdbj4LLiNiyUmVMiTqy8ahleUAHXVAT6AXq5sDOKV7wvikLIrOLZhZHPZW0+Tyby4wgTGRJmS9yfvMPrDDvDRbBxMHjlSnXFSbzuIKuHBymU10ziuXFT1e1psfkEHuSbam3kxFvbZGVpCJFiz37ikyUREAhsuPlhiTj7fcTn6A==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AM8P193MB0867.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:1ea::9) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.28; Tue, 28 Nov 2023 21:14:30 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:14:30 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 29/91] gnu: Add rust-file-size-1.
Date: Tue, 28 Nov 2023 22:12:07 +0100
Message-ID: <DU2P193MB21325CD85AA56D79953D985CF3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [+U9FJS5ONo3JqQ485QcE0IJrItSkHa6U]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <f7e48312bcbbf42a312c554eade07485469b1b22.1701202945.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AM8P193MB0867:EE_
X-MS-Office365-Filtering-Correlation-Id: 5bb526d3-c379-4f0c-0588-08dbf05702d7
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: f31piQC3DqXHLF1dNWryNebTL1CjkI9CEIA6sxynS8KK3GA9f1vzK2B7oKoSV4I2Nu3v55WLDoN7zcfTK645pVIG1IoH4UZ0PDsTYYIvFCu/cjw3/xl8QVAHnhdT4h0b/m45jTKVMURKhoc9iXo7sqpwstVPYiqUum5vfXWSY81M8r5N45NRjueCPG8RqiVBHi48BSmbjEsb4leJvrYDKS4ONMyNjmh2aLQVvVwf13G2fshYdc3eX/8JCyClL//bW0xi4fts3KlglkC40nXQBA612VsqsK2/cwk3LQEYDRPXhd62mpv5gu0GpBgYPt2sa5mb29M2dIfojnsVGwUyW1lkr9BOMnOILeyH9D86eVrLJI5YGKsxNyVXrPZGr2BSO7ftkqfLQyur94FKN0HSnb/4INvLiaDKT2qvckQy39HVfhw2KNH6VXcLHaG7Ao/NzWBKPsBbLieLYegZnWT8tI//+6zutSf2HRFAPzqvhvMrn6VsbBRkbVIinUz3GZeqjkFkaeZVYyne4tjMKDPqKeK3vD+l538pPLFjVD4+rAave7l4WUr0it33XwujWj69FwPQR2aXfoy1WqC+4PNEf0ofjpujKGBf48jbqjDcNvqd/powRpVxwC2hPCx9oYfN
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?O42SCDMvXJDDk534XKTdtbD8fmjx3GWw/pi2bQdGE2Vt8MH7cdKwDQCRrBYf?=
 =?us-ascii?Q?0qh2E7l+rgBXhAXAcjMUO4C63AaIn1YT9tnN8hfnSbdm6VskqT1Hy48Ae49w?=
 =?us-ascii?Q?xDaHk4UfT1zKS+zXZfcaDccEK28t0Yqt5jLQ6qN54s3zxehY8D7kRn1DU1zm?=
 =?us-ascii?Q?/BaELqXSXVzhiaH9AgbE+949WzW+fBNbpsvqNbigA4PeLZVPM04hqf5j6GPu?=
 =?us-ascii?Q?e3ODwUosgC5iaVILfAlxNRmSwMm+8jHSI4sDfEDaVBDMU5VkaHFwemZbSELm?=
 =?us-ascii?Q?co3y4M3gvPOIIIHS0mqW5xjqtaAZsNzuBSKh56mm72f7UmtpK3eLjZqkuNxS?=
 =?us-ascii?Q?MDhtkTh3BZwhx8WCr1YO1UMM2AIFleocqLEX6x9rIqnWgOvTVAvOsMM7D5uw?=
 =?us-ascii?Q?2cWF9fCJJozhQtJ4tMUbm28JJPNlbBBl6Vp+oyJ/1+4UqyXkNkmiGMX+jz4U?=
 =?us-ascii?Q?SVAaeABqgAbBiLpHyMuL/LxdgQjXo5ht078YARmI0AlRU9yFfWqruBPZckTn?=
 =?us-ascii?Q?MZ+61i1e5mUH8ouG/ThcooMeIqCx6vaKT+/oP612v7qhF16REsJSr+Pc+7tC?=
 =?us-ascii?Q?Gx6mSjDSsJxaWwdFX7USZClXhSX8wvrc2P51s+u7ecF+Y2iEghIH6mFBJjkW?=
 =?us-ascii?Q?7L4r4sbyZyhczVpplCNrFVPZPoEAi+nrSYDN93/EjqsJbGiqJYu3hmQJ3Ked?=
 =?us-ascii?Q?VFZ+ksWm6zOtA5RI7kwCZNwvybZSfPAxp368wj+862YY3FJGXovEqFO156o8?=
 =?us-ascii?Q?yCYMELDixMgm5bS9nTu8S/9908iZdYnrW8uA9kh9SA6JPCXVWkDJIGsmheve?=
 =?us-ascii?Q?MJZorCdno0v+LDDMZZetMNk/NTYkOiK6uPQBtKz/YZLvar0Xnm6rf4UkXVlR?=
 =?us-ascii?Q?7zArX92yXhgqkoasgk0EB/mrJh3KNwDc1+2LCJTVCWztHa7DvRJVNXOjkzcf?=
 =?us-ascii?Q?xxZ1f2na5BJw/Fx/62UTamu5IkPQVA/wsUW2QL3Dv0V11LRC+383M87MWPZW?=
 =?us-ascii?Q?3XKCrPO+2oM1FuSgD16fgz/7MpRuQDKEEDLK3PFds9GXLPoxFXZiKjLUMRP/?=
 =?us-ascii?Q?9KtYCNlWg6IOMQkWlBvnlZGsLl1y/L9rZYOwthUR4GolI0ju/DGjQh8g9Kdr?=
 =?us-ascii?Q?USZJvBgtX1J/PXyedOkbiL/SR1RNs7lyqZn6pVjxBXouFvCShSpMftBVX1EA?=
 =?us-ascii?Q?+FmCTlx7ziKXIrVHsrtU2olQ14p1f4fWvSFPAodf5wSekckGVYQ+9POlZUc?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 5bb526d3-c379-4f0c-0588-08dbf05702d7
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:30.6976 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM8P193MB0867
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-file-size-1): New variable.

Change-Id: Iaf250012ee2499f14f1bdbd303e9b3acbac3cb00
---
 gnu/packages/crates-io.scm | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index c2d899ae67..9d47e9c03c 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -25841,6 +25841,23 @@ (define-public rust-file-diff-1
     (description "An atomic utility for diffing files in testing.")
     (license license:bsd-3)))
 
+(define-public rust-file-size-1
+  (package
+    (name "rust-file-size")
+    (version "1.0.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "file-size" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1cyj7067fs7ml8pjrwzjy3qrns3yxaxakf0na1v5fffk0l0z2i4m"))))
+    (build-system cargo-build-system)
+    (home-page "https://github.com/Canop/file-size")
+    (synopsis "a function formatting file sizes in 4 chars")
+    (description "a function formatting file sizes in 4 chars")
+    (license license:expat)))
+
 (define-public rust-filesize-0.2
   (package
     (name "rust-filesize")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:15:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:15:43 2023
Received: from localhost ([127.0.0.1]:48044 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85Qk-0005N2-NL
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:43 -0500
Received: from mail-db8eur05olkn2043.outbound.protection.outlook.com
 ([40.92.89.43]:56546 helo=EUR05-DB8-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85Pn-0005CJ-Cl
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:14:44 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=E76Gw8CX5Ytt52YsXGzjFfHudOOsyGdCyIMBAd+uC1dA466QQBP5NDnh/JljoHq8TQ58Y5xM2uYKQUqpIl6MJiAl/V51hj4jHTBxjaH0IkR7LJ+ZSPuIc8yU6a4kUbZO2WGLOA3QWt22U8dCB7KmQTv6bY5d/X/2wJEorA3w5X5BST3XvSgM6j/GS+Q1OTP7Fw2zayNnw7OkCPOxkjBzhUk32kwFQqLm38PiujolswSzPg+NV3l5A6NnwKWj580GsOIFvI975I17pYbWHbKq4/mjFjUJC32oc64QZWMz7ZBSA2asu1DfXIbfezIwJINfY0mq0zVpFQ31r9PZBstkhQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=HOAvi4xBkX1Fa6/t+51plmAZmT52jtc3Cbb5nisqvNg=;
 b=KpW7oSVX1BcZj76o4xNoSTRo4zcnPTtlHYZnjOlCYKS1dDjvIB26M6nVLEUvifZVxbHQ1Gnkvn7KH6viOdmccQuKNK7DIHXP0pAoClMz+N8eMUucMqI6mpVvu+fThT/bwkJjrsNRJBQDq1tg9AeoI/X1MKYUlpW7S512COx0A/yl80+4UddjTZd5CIzuqbJp1amtmglxoe0aGT5usXU3GV3fjXAwe7kv0XFlZDmS88u/mj7/XprJSvLVBO5GXlVXzoW4oHAFMtKlVk2OUfnYNvcm5TMyISW//rpjaRkoznp57k4PYgO0MTqt1DMnTT9NxhbW/0Lmc9MsDAbtdp/T+g==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AM8P193MB0867.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:1ea::9) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.28; Tue, 28 Nov 2023 21:14:28 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:14:28 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 26/91] gnu: Add rust-minidl-0.1.
Date: Tue, 28 Nov 2023 22:12:04 +0100
Message-ID: <DU2P193MB21325816D0463ECEE19F79E2F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [9CvUX9sVsQQa7gCIuajS5AMNz/+58FB+]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <0888c2e4567cd79c8faa4d94d322bc6979801ef1.1701202945.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AM8P193MB0867:EE_
X-MS-Office365-Filtering-Correlation-Id: 52219fd8-c4d5-4437-852d-08dbf0570187
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: Rb6A8E3sjJR642f0RWsAhiySk74h+qdwsOtmWlPfa8QXHK2gfJeOlZ0hrQUSF1kY+81UZ2eq1bFKRV3ztRV7VN/0z+INboM3/O1bxHF2cuCsGmSsJMbOJuN+m7X+QYXjUoqUkoLvgmDW6iRb/L6q/wKrDS0udjy36bYau+UyJ4nz1bjWffyBtBkoWQc/hnbDF8quiGc08IVbh6EUVRzl5j26Kxms9m7el1k6+gs8UwA3qFkIh5cLew7rpb+96ESb/VMnClY/lZHU4aXOquHcEu8qnZptnKeytGF4saw6rks7Cwn83NF3I1V0/RYz5b6YucaqkpAhr2MjRrWGgimjY2g9pwnsDy0NGB13oqoLdMMTIRIheDw1Uf95H+s+uf7mfLlktR0IqypsiBr+T48X+rIG9VnSRI2cY2lUMlCQFpUP013r3ImDuJmvC7CP8HE+eCiWuE8DQ7X88xdpjfHztrTDFsMfe9H1XML9H8pAfu7W5MFK6/XVXvl1tbFAMdX/zdWnWkmfn/NFzPGyXqrgogpUcd3GZGuAMxuSEEWWsx+m56SE15BhxS+bcao13q0i4eftE6yb6pxlO1+Y0w+R9kQlVCDFOZhRcxmv/PhMq9OtJW5eYpuXrpXad/MtU60g
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?LKjMP5gni4Us3K7zx4+mPi3PVLsK4rcsilcOCRvkrAMNf6dy2A56gKmKge1+?=
 =?us-ascii?Q?ZVoGP3CNMy9xVoxmd6+2qZfZsB/lETeJN0WaE5xmOCGjX7BbC+r4PHGTrIhY?=
 =?us-ascii?Q?sOg0Gs5swEhD40EXBfJo66ifT0UnSnW4EoAgtDPhvv/DcOEacZrIWosripM8?=
 =?us-ascii?Q?LIc7GppTtfH+BYzFE9o6pvlK4J9NAEbM8hh37Ts123RqdTTrt6BrEbUdpHBI?=
 =?us-ascii?Q?nT8slvz8mpsg89shMewYgJ+2wM8OiaE+ZIAOoM0gZP7kS0TM+A2YJzcvzsds?=
 =?us-ascii?Q?qniZKTACZAvQG/WG8dEIVQT7Vps6TJG9XByhdgDSGch8gmrAkK1Vymmalw6k?=
 =?us-ascii?Q?Ia8mhEYHdvTj8ne3ctDULz1cyysY7HjkjL3IZ+iufAZ2mcjGniXYRrylifNn?=
 =?us-ascii?Q?pMTbjP4nObf0QfEcrce2T6CDQLnUFiRoZs3/Zj8fueYQRomjY8ZTn6MFfD/f?=
 =?us-ascii?Q?d3VFhxCgAxFp/wHqlf5vOrJeQyYnxsPutEWAgw24bxc0E0IK1OPKXaH06f48?=
 =?us-ascii?Q?grvFAnb7IL+JIpUMRi8JGsxqE1eG2rukAMFbp6Ua2S7lyBLG3sLea7tGjtBc?=
 =?us-ascii?Q?EBMIz8/RLA3Z6LCCBKJWrZ5i0TssGG8HFk0A/UJ0ngbnDqYUmJp8XVVXHhSB?=
 =?us-ascii?Q?TN1gR5Pb7u5ZXrFQq8YFXCvtInBDldh0VLzYcRO/UWqWJ5dRxcoxsgGzRoZd?=
 =?us-ascii?Q?8WJz06GyHkSYEpGS+y9oMImHn4txlHOqNjW3Yka4ZEzphkjXJ1mJUv/TtJE5?=
 =?us-ascii?Q?6LPZXcNtKheuO9gQC1O/ky5d1Mea7EbkFb9PSelZWjZtEVWYltVe1k1SoKm9?=
 =?us-ascii?Q?Qk73J3YQ+s6Oj2W/Ij4yAs+/qyjjswdSRIi8jWk4zQ/vuLMaW3WIMU15e/SU?=
 =?us-ascii?Q?YGGvpV4tlcHUUBcyUgjO8Qt4gStC2cHYZzNId63T07veJtQB9fBvXpXmSioW?=
 =?us-ascii?Q?zSWkvB2waejJGcTk/bod1XCmml9Z/qycN74SSPQT3I64f6kbLs1+zLSPTymr?=
 =?us-ascii?Q?63CJpfShQQHKvJ3A+H6r7/Sa/CFao2grtdV4oETLEIUSCHPgd5TeBNpPiDNJ?=
 =?us-ascii?Q?af/MzwCA1unHzrnmX46IgVhn3a/6BkWwuzkwnYfjQs2ZNOewqgdqf9HbxH88?=
 =?us-ascii?Q?IHFW95BZMaSEqNB+6FlqPZZRx9j+7+Hfz9lskjPrXCgwIJsut9hzufu1p9Rr?=
 =?us-ascii?Q?6FswZ7x9B2v3z1vBEq2eKfDsUkU3EGBaqgMBp+SGnhcVroQpSOX2ZccGI64?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 52219fd8-c4d5-4437-852d-08dbf0570187
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:28.4599 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM8P193MB0867
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-minidl-0.1): New variable.

Change-Id: I4345889c4931b63a55ac9d80cbf8279f1ab6df99
---
 gnu/packages/crates-io.scm | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 288c32b132..9bdc5ee1aa 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -41440,6 +41440,24 @@ (define-public rust-mime-guess-1
         ("rust-phf-codegen" ,rust-phf-codegen-0.7)
         ("rust-unicase" ,rust-unicase-1))))))
 
+(define-public rust-minidl-0.1
+  (package
+    (name "rust-minidl")
+    (version "0.1.5")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "minidl" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "00fq4q6z8pgyp7hnjn4pwaqhay89yz6dqvh9q0q25ljydrkdilw7"))))
+    (arguments '(#:tests? #f)) ; libc.so.6 cannot open shared object
+    (build-system cargo-build-system)
+    (home-page "https://github.com/MaulingMonkey/minidl")
+    (synopsis "Extremely lean cross platform library for loading symbols")
+    (description "Extremely lean cross platform library for loading symbols")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-miniflux-api-0.3
   (package
     (name "rust-miniflux-api")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:15:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:15:42 2023
Received: from localhost ([127.0.0.1]:48042 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85Qk-0005Mu-C3
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:42 -0500
Received: from mail-db8eur05olkn2016.outbound.protection.outlook.com
 ([40.92.89.16]:34845 helo=EUR05-DB8-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85Pn-0005Bb-7o
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:14:44 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=Z/rqxbZnf8Hr/ovisn1T6D1hp/brwUU9KN3mM4/kLc/5XGViHrCYpjAVV9ZfIy96IyaZhTRHY1hb2iKhB4YcFQf53bGd4izSOC5oPDtPmqRRmv4hqX9wkKFPKe3FmfFmBefqoLEpnZRXBd4Os4PW8eRZxeZO6Hnu1BkbTcoupldAjjyXaJ6ML8mjtTfYZ6R4ZdUI0Ku8mDenMBA5ua2G8jSPQV5Cmqdr9Lx8N+lLk7sGvDxo+LwPUAB36u4GA346p7qsLY4NRayyKLFTuQooGnHgoTN6ONjpOLbPBc4+dn25DAgz2pCSiiohVLogaOmB6+8CdQi8D0Vy3kCZu7KX+A==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=jGSJ2OeGOEd1a8a0PENbmaQ9uulVHOksjQcXB7P2w1Y=;
 b=TsUGbl9mSEjaM6BGv64oWWsXtuL0z3mRtK9NU0Pa6+Oe2c+/fmPFWFbkRBWS41YpD4LNKALoT2aEdISYT1kj9NNyf4z+uAKzCLxKbfSdnMJ42lY/A9DmzDYNRqRW4eEInstYVDquz9zfnMYVDWKD4DnLPe+V5JWizZ/ssUzT4uqhrY/tvQkQyCrVm6Rofv2BUCuHOrHl74F5/QMX+1V6coN7V9KMRW8MBK/ZLPLaq2K8XYACKwoT/zwu1doScxDfx1Oqob3cfOogGTRjk9huyNaQgp2p/3uu29G0vhFeMh1RHf3SEjLQ+Mz5oDxNR73++4nFUccN9U7KJIIdMntjgQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AM8P193MB0867.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:1ea::9) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.28; Tue, 28 Nov 2023 21:14:29 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:14:29 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 27/91] gnu: Add rust-libudev-sys-0.1.
Date: Tue, 28 Nov 2023 22:12:05 +0100
Message-ID: <DU2P193MB21322F4BF811252AE7E335EAF3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [3/p/tJiNP1yxDXWUj/mjkj+8M+0uEOvZ]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <5567335bf6fb7e4e2cf75a7eb9087697c3f6daba.1701202945.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AM8P193MB0867:EE_
X-MS-Office365-Filtering-Correlation-Id: 83c074df-aee8-4a01-2252-08dbf05701fc
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: wAIrCtsuJ4zra1Bx7hAan56a0bhWBG7kPzC5miuK3/tIGoTVwy6TiQ9xky6v+a+7n4iCSZbkGcT10YE7PA0ntGzFmv8IwLmQdAXpnkrN1Y0GYAaOZbHSR1s9NbNr5/wYcKjPgAzVppeS4XielXr6TEiBgENmyNbZCNOsZEnbSfsIVFs2bQaZNd7nFBYXBn0O4Q+7Sjnw7TwoSycQlbiTwDp3Qm3wDKktt/R+Dhg7cqk4yw4+WyfoEcEITpK1QjPeUJEk7kd82dj6frRx7jyNSsBRPNHu6rDvLqkMx/K++l2GTn1vtGj9k+vvriRGqc7kd3pcjVA+DfP0mHXueEosYEJ3Y7fd5OOvtr8Q34CMgr6EF+mE4Atcb2QuODpurToVfoxEwzqllS70WL7OHNgRwHTstJbcx7Ffa5z1Stww005Jq2x0shC/R/KzWZMDe/1wtUOJvWDLjKfnt2feeVuaihyqpkz+enG4BoGUPwkuTlEhAc78J8WtXqtfyjeSej1/BkBM78rFcauyCWgp/PZxODHTHuqvuKNcA16yU0YjqQS7FvMsxwf9oO8yUETrR2m5WR8s4HObN8idJ3X5kA/goT6ta6aztwb/OtR72uZ8f8wQI8UDdywUtTy6fzudr79p
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?4fgVllvGhl6a5vDCqdo0rIQENZtFWNOPm6KH1QIJNUP6ZNNF15/CtvQw8rqd?=
 =?us-ascii?Q?qfHf/tKN38JI5ipYmZdE3fU2OLaKoD+KJ7XFlnXfnyev/6xwWHlMLpVi7+e1?=
 =?us-ascii?Q?6rQfSqAZN8gmQYedgwbiOZngG+0bf1/0l+kEBSS8bpVUf0KMH1jjkFhoHyWN?=
 =?us-ascii?Q?x7Wc37c5jcOjVb1LG8cNp0NBgkz4cKf0b3kFV3uMchMW0019VkeUW/apnQ26?=
 =?us-ascii?Q?eSWi06kZo0NBqcJE021LA5662UQzCPl39aX2YW36kX/QgKmK2AecLNZc7jLd?=
 =?us-ascii?Q?w2+1iZDp0KdnYy/XAA2xUNk+kVdMpR/wx0s7BP3mfvv755X2Wdw036RdpwjE?=
 =?us-ascii?Q?EHnkLJ60Jg+Q3BSeFalKwHxL0ElFWPIinj4xD0eQ+8VywTXH5XcWLFRSuDaf?=
 =?us-ascii?Q?7TSJZHctWUV+CY9Frdl0U0hKoXMBjDjfupeGZ8kM9wEY6NmrdLFhYgnjjI2w?=
 =?us-ascii?Q?5oLeywCrL0Qyfko5CeMuOfkf3PibkmjodWsINQ/rPjF49BwH+m6le8m27Jww?=
 =?us-ascii?Q?a8VDMLvj6AuSaufJniJFVItP54ouRGapLAepBxhgUSOSxElwffhVmewLnhjn?=
 =?us-ascii?Q?dOtu3yeghbt5uVPiPzdKL6UAnHtqBFr2gv6kM25wbiExOC1n519OiMKkS/BZ?=
 =?us-ascii?Q?K1BqAVZWvfAatoSszrw+/aZTNIwVVlpFghuOwPCdA379xBIWRQv7oNFZEXzB?=
 =?us-ascii?Q?mvGYNq3m7UnbsfwU2OftkZ1VUtwA7IfsWy4Fac7TnE40LmfL+2AcUDjBAnbE?=
 =?us-ascii?Q?poRRJdd7IGo1ds1Vpff/MJ5s3wRTNuqDn/REkXCWzHzVizWOZi05LrAfW7+v?=
 =?us-ascii?Q?pJQnFphO8tDl0u11NygDvQHaJptkuSSU7EF/mqZTxYA18/jSszJeNTyVOSOC?=
 =?us-ascii?Q?hgXeSVE7X6yisAkrFX5GLilHfjf1LaE8A0/b1cBKkj2jlfb7YX/oCtEg5ZBr?=
 =?us-ascii?Q?mIKO1FzEcAzD1QUeDVluexebi06ld0ef0EwoZlge0UYNKt3CeJzKRqyIb4R5?=
 =?us-ascii?Q?eFCkGZ6T+cVKh1feZxmudLBOUH5Uk+I+b8B62S+PbRm4mykZJUa85055REik?=
 =?us-ascii?Q?FmSsmSnPKdCJ3QyV0cx+UaXGEUGY2gMUtvdcro2BPkkIUjld8eVSDhnLl6rv?=
 =?us-ascii?Q?5HY2JC5/vlDT6QIIKDycESrPb3Fbl7mcTmjCIWuWfdoNuCnLafAaMvorqOlB?=
 =?us-ascii?Q?RZauvyCkF886qOwg7HHCQounZSi96HxU9C9VmUH3BD8d/U2ZBrDzdAUN9bs?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 83c074df-aee8-4a01-2252-08dbf05701fc
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:29.1473 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM8P193MB0867
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-libudev-sys-0.1): New variable.

Change-Id: Ic4cc4acbdc6d9daf85fedb11f8bf1818b82dae76
---
 gnu/packages/crates-io.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 9bdc5ee1aa..2e972cdd06 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -76,6 +76,7 @@ (define-module (gnu packages crates-io)
   #:use-module (gnu packages gettext)
   #:use-module (gnu packages gl)
   #:use-module (gnu packages glib)
+  #:use-module (gnu packages gnome)
   #:use-module (gnu packages icu4c)
   #:use-module (gnu packages image)
   #:use-module (gnu packages jemalloc)
@@ -38707,6 +38708,27 @@ (define-public rust-libtest-mimic-0.3
         ("rust-structopt" ,rust-structopt-0.3)
         ("rust-termcolor" ,rust-termcolor-1))))))
 
+(define-public rust-libudev-sys-0.1
+  (package
+    (name "rust-libudev-sys")
+    (version "0.1.4")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "libudev-sys" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "09236fdzlx9l0dlrsc6xx21v5x8flpfm3d5rjq9jr5ivlas6k11w"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-libc" ,rust-libc-0.2)
+                       ("rust-pkg-config" ,rust-pkg-config-0.3))))
+    (native-inputs (list pkg-config libgudev))
+    (home-page "https://github.com/dcuddeback/libudev-sys")
+    (synopsis "FFI bindings to libudev")
+    (description "FFI bindings to libudev")
+    (license license:expat)))
+
 (define-public rust-litrs-0.2
   (package
     (name "rust-litrs")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:15:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:15:42 2023
Received: from localhost ([127.0.0.1]:48040 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85Qj-0005Ml-Vl
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:42 -0500
Received: from mail-db8eur05olkn2016.outbound.protection.outlook.com
 ([40.92.89.16]:34845 helo=EUR05-DB8-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85Pl-0005Bb-US
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:14:42 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=WqbQG1uglrqVvB0cw588QtBZDtR/7uL7qxn7QEDoBEgUbEDuD4O2VZZ9F6ug4x7x3GhYR/YdXS50iIz+bU6oRb75FnOAnH+t2y+3BpPlEM0Nc+3D5YSFKdgBz1jCqGed1q6PprjC7nVvHwK8KwkYWOLPG8t9RwFLicgpOBJYaqPZSzUZwit03v+lzRMDZSI12iWhz6HNSVgkE2194v01k5t6NNKpVaS4Q4MEM5D+g0QEoiSUP0QMJRL8MMaB8iLMDtb8+ERod+cMurRRFCrRpioxtwDihfcR3kJXPqjmjmq3MLXBVaXU6YczTvjm5OFn5GI5vINokyGmEpAbI0ZlDQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=HZM0H/Vft4Xx4Flku0Albhw4Ss9lHWM2DbKrXDdLPDU=;
 b=n7Xw3WX7nBhVvMkSAlCUOA7NfpOzf/dqUUMORF+Jxvlb/Z4SprlFjuYmL1zlRcYSKdItvBp4HJa6fJKHAEOs6HfHaHO+YrbfB7F787kvUUkg79mhyck2AH/706goXw5JzJeBwte2fTo2u/HgfbIqvaChYqTwWoENLrTw2g9n9EKihnuwmqavcFHOdUifEDHILnr1+PTrJpXBf5svbPj+IzdQZz+NZm4kNSBCvg9/ZvhdUWotKo1VtGD2L809Y94dMjjwqPl9R6v6UI+wtgPuDlMEdZLPpZToTiQNqBLOuSNXKfHoe1wu7g7Yk5LepeW+So/ME1KAgXXQ1aYfYwXxeg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AM8P193MB0867.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:1ea::9) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.28; Tue, 28 Nov 2023 21:14:27 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:14:27 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 24/91] gnu: Add rust-rstest-0.17.
Date: Tue, 28 Nov 2023 22:12:02 +0100
Message-ID: <DU2P193MB21328D246400F7B013E121DCF3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [29DOACaPX/Ai7qKf2cOsJcRnbGECSinB]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <9ecad01b3d6f8f28f40941bd9761e7822e61a915.1701202945.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AM8P193MB0867:EE_
X-MS-Office365-Filtering-Correlation-Id: db2e6693-4d4c-40f7-dc84-08dbf05700b1
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: ueZlHBXEiUmMbdNPvg/KZG2C1E8wtpyJrXJ2VUoGDgvy8keDUMhkzlpw2wXz5CDbkwX75spcljrwyRo26ZIlp34X4P04RokV3ndzi7WwklecgDvIzUFzvZ4Gx/suyDgCdvS5xGjlw7DVSIl+ir9F7PAFiytgixScdr87chChrMj7ezr43HgRrCEGfSBfslAiqEc/39LI6syyx7ObI9TWcPgmjKjLx/iB33mh9trVJUkGzNsxM/23rxsiWHWoh0ArQh6QzHV6h/p+7N/To/i7IuhwkB5/kiWglJVeXKQgxGjRPYixSD8Pkuus42JELfQuDpdyKWOO5Nv7yMsQCF9VOcaLcACvUgT04BvysBKZcOAVUqi/LVRdDSWka8OgSjPlbVUSPg7cs3cYoXfDRwnxghqUxrjpUQ0M5+AA2zn++NXAaiALNetem/3sU9s0+P091excalwTjXi/tyCTm5dSNnLaSeWtjFJmbBQzoEc4z80JSWe9Km4Nz0hwPDkRzfCZX4H8SL/midGPQAee8B3xcXrhqiAYEJmQQ5eaWbf5b1bx/J7ZbOTRhmc5GotM66QJcCINRIqZKRFr76Ihaqv5awZhIUsqgcbOTa0yiv+VvDK+inrSn7Gdjmk9MSC6G8EJ
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?6C2GVKr7/zaYpCktc7S0F/hqjoq+bGc+NhtuwVIzhTsFcKSLWUO4Tz0Bcnrd?=
 =?us-ascii?Q?1M7hTdN6ZIbe+NUJq4L5tLgv2tascmPKa1kCfJt+oSNlM5Zl8DO1DwVSQpRE?=
 =?us-ascii?Q?MGNSvR/NiTC1LdKdWo1koi5aiUfRf4HMqqfI59gHOOp5AojXvtQS3K17ySKI?=
 =?us-ascii?Q?7/v6xZH28w5aGDLiLi8b/nb8GZ75NljqZX1tL9t3+jmD5GoosoLLDfr2icGE?=
 =?us-ascii?Q?A9qVfVLgOObOqj94SKASf4fgnwBQl345T46PjgfplyUVXivsX4O4KzB8npzB?=
 =?us-ascii?Q?s9rFRQo3hzG/dMzWf0SCoY9d8Qa0GrfwCkgWQ3uJqp6iG44N23oftKNN5iEU?=
 =?us-ascii?Q?0XZBeAicYHx0K9u+Z3eTeqjK5Z0T15M8hlsc70+GW0A7VjA9fZ7II/IxmSQR?=
 =?us-ascii?Q?na3rxy+PzmufLWy4UWJiRihAXu8OpUwQ0QNz/9DqFfiZ4Uzu5aaciVOxBOrD?=
 =?us-ascii?Q?AwZrCC6sggyq2cO5wPxHuBiCzyrcZy3+ewVLWsU1iw57Pchy9ghrlCldVW3O?=
 =?us-ascii?Q?QKjKeJe5vdmgyJPPa7+9pnkvT4xDTDoVT+7lbQA3KdppMwexv3CmUYHi5Afe?=
 =?us-ascii?Q?DEp189cwz5yxsekfaLplpJEse9SvJZIMcWdt7dDC+XOCxCKI2a2FVHTvySSp?=
 =?us-ascii?Q?3E+LR2lSZZ5WBOjyjVxyY/gsD+F029jgrxxuCb9nvs5U/Ut3baycHnWe9Q/H?=
 =?us-ascii?Q?VAp5C2wFH1iKQs1oMYlVMg33kFjCQ6lz4q8U48tWdM1Eq/96qS1NSNMbDsZN?=
 =?us-ascii?Q?QXBMc6hh3rA7YFEZSUPFiGSupmtg8szjM1e4Hc5T6iAXnXEbgOGIOYDSNaCX?=
 =?us-ascii?Q?qsAy/F9WiDqSitXg6Zco4Gb0NnuvyR6wDyYiSXOd0NP1y54YTnfji1OKcIUe?=
 =?us-ascii?Q?zEZrdmEfeVDjH2COQg9k5+JN2eZL54o7ePDblr8QmmAVSpWi8/EO+7is2U/7?=
 =?us-ascii?Q?4JqLi5yZl6msBgBMievxqXQPjZ49WeiLnWw/leLh2M72oY7dPsnETUEjUdhk?=
 =?us-ascii?Q?u6x2Ii8tUgsd3vfgtDXNxnMRNPBg5wf/imzA115cSlCAlPg4OPjYlENvOK74?=
 =?us-ascii?Q?p0bvYdfBJLL+uwJj7YO2W3WRU9LE3IwS0S8zP42PEHZLpe6ecUwVn8Erik/M?=
 =?us-ascii?Q?+jzioK0iqPRlKfpz7408qU7QRkzGfNTo5HWzFdLfKJsJBQty3jA2vpqIHwuh?=
 =?us-ascii?Q?KKh0KmIFQPFF+jloWg0/wBrC9h6flBaqeqbPphvEYjnbNKKfLVDVSlwbgUs?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: db2e6693-4d4c-40f7-dc84-08dbf05700b1
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:27.0178 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM8P193MB0867
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-rstest-0.17): New variable.

Change-Id: I75babb1174e1e0f1c55267b342f2f678b3309c3a
---
 gnu/packages/crates-io.scm | 35 +++++++++++++++++++++++++++--------
 1 file changed, 27 insertions(+), 8 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 1bdf0a3347..2d3c3cf4f0 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -59277,8 +59277,34 @@ (define-public rust-rstar-0.8
          (base32
           "1b6vjfwvpcgy0q8ywywz548vhxrmhbz2sm6xyhnmj5p5xd1xfqff"))))))
 
+(define-public rust-rstest-0.17
+  (package
+    (name "rust-rstest")
+    (version "0.17.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rstest" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0qnrx40c05ziz2sxhrj0i4pamvlip8cx7w62439qr1wils3b86yy"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t ; requires rust-artix-rt@HIDDEN
+       #:cargo-inputs (("rust-futures" ,rust-futures-0.3)
+                       ("rust-futures-timer" ,rust-futures-timer-3)
+                       ("rust-rstest-macros" ,rust-rstest-macros-0.17)
+                       ("rust-rustc-version" ,rust-rustc-version-0.4))))
+    (home-page "https://github.com/la10736/rstest")
+    (synopsis "Rust fixture based test framework")
+    (description
+     "@code{rstest} uses procedural macros to help you write fixtures
+and table-based tests.")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-rstest-0.15
   (package
+    (inherit rust-rstest-0.17)
     (name "rust-rstest")
     (version "0.15.0")
     (source
@@ -59288,20 +59314,13 @@ (define-public rust-rstest-0.15
         (file-name (string-append name "-" version ".tar.gz"))
         (sha256
          (base32 "0c5r8wimr2fv3x25dbb99rk165lzcsz6jlpv7xk2ny99rikdrjg9"))))
-    (build-system cargo-build-system)
     (arguments
      (list #:skip-build? #t
            #:cargo-inputs
            `(("rust-futures" ,rust-futures-0.3)
              ("rust-futures-timer" ,rust-futures-timer-3)
              ("rust-rstest-macros" ,rust-rstest-macros-0.14)
-             ("rust-rustc-version" ,rust-rustc-version-0.3))))
-    (home-page "https://github.com/la10736/rstest")
-    (synopsis "Rust fixture based test framework")
-    (description
-     "@code{rstest} uses procedural macros to help you write fixtures
-and table-based tests.")
-    (license (list license:expat license:asl2.0))))
+             ("rust-rustc-version" ,rust-rustc-version-0.3))))))
 
 (define-public rust-rstest-0.12
   (package
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:15:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:15:41 2023
Received: from localhost ([127.0.0.1]:48038 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85Qj-0005Mj-IF
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:41 -0500
Received: from mail-db8eur05olkn2015.outbound.protection.outlook.com
 ([40.92.89.15]:24096 helo=EUR05-DB8-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85Pk-0005B8-GD
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:14:41 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=oXCemZqlrXkhXl/gZVbr4g9XSXFhKC/EFBlug3+GSjlx7bMH6opjqRyHMIi7ZobBYTUNkjkt9dHEzSx2//J8LCNRGwhJW/11ZGkU9u3NMwiNElNMmCkfdtTkwmx2mBO+lQJ+irsgoW/mm5hfGuR2IRq1FX0kMSuO05rFCBBNWIbPK/XcrOYZlavWvzisDvE1zZ3I04mDUY+qAJbx0h/AvfJ3/oRdN9a9K3hJNA85Q9xLp52h/cSiLBpnAQBVN8CDwhPQLwyiGzWF6wMh5bKEyozFne4LRu2hzUVcC4lvEq51pMmlurtbrsvNNsdlGt4Yr983b77ReBHiojHJ4DlCeg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=TNTmFQGGNCmD1YRZLfIm88Ys9g8GF99O19MZQYlVJ6M=;
 b=JSb209OcH49QznGCUDUXu7c4aXK/9Cia54KJiTujbKBdut2Ctgn14vsrGQwF/nFTze/Ta+2edMRQ2yl8pM+8PCWic5mOGwnRBFdunVB03mzBbQ1Q05mXwpixlQzf3CVx0keOx727nEv93ao+U9tho3D+N/Rm32wfb7rdCWV+lFkAMANUOaM4yG6aNAiijWf68if1CYC1cLGoOLfRO29nLtlKmIq+Al/bJR8Wf4CIDYY0DwDWQvF8ryuIZX5BV3esYVy+Gsiv4uBLIxj0T1Oy82sJrnCpSvaMtE2QLtams2rirmeioJjC904QX/ZPSk0azkgD5OndDsHPPqC652TPXQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AM8P193MB0867.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:1ea::9) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.28; Tue, 28 Nov 2023 21:14:24 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:14:24 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 21/91] gnu: Add rust-spinning-0.1.
Date: Tue, 28 Nov 2023 22:11:59 +0100
Message-ID: <DU2P193MB213277B6F30B6A5169F24968F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [6EEizcC2+QawqsH25JvD2BN+aRQobkL6]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <acc76dbc3db084d1571100076b191ed7aba54850.1701202944.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AM8P193MB0867:EE_
X-MS-Office365-Filtering-Correlation-Id: 8a0b0408-f094-4ee8-c3bc-08dbf056ff5c
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: /tSHFm7FLCT2dN/P8ERheVj5PJQsaSoWmSw34MllH100qrE4SbcRn2y3TxO+aEHLpiHma7R9nUaDuhaamcyAiFBfVsyGZbWs39i4Ngz8RPoU362ebMZMeTTcd9f2ZpA3oUgLWy70gYfYhcATNlMYYu+om1iV1BztAfK6yTU2dLchuguhhm3JZehNBeFXtfaK5rvkNhYf+AeqWzO1UxMt2qAhzCR5AwlCS9P8/CSIMs05HVZuurbGue9BDiCbqOeXkYNuiGeOgNu4nIpMynbUQXp5/vMxnFbX7EEIYUNEWr39+p8v4EKPSKHG6WXpj0/WmnL2LHK0I76cwi0NTpm+I1lSLGAjbkleMTGoJC1YlVXWdWp5shCwaUbizys8wFTFcm3AFRy1nVVMPpSeU89T2E+XizoiZnqVfwcJK+/AZ/sckDuusVrYhQi3BebjO7ZJRaTsdV3Pl2zYo1NwomwwP4jwskZznAYR8r4d64MJoYe0DVTMzpbWAosmP+BEDmV9M9cTqOx971zw+MjX7Lj7H0mDeOaU4/sJbykEE83S/9lQUu7ehCC5/lVx46YcN2jsJYfBrAX3AP9i/cJOVO4AMHVeTNb0iVbmyWNdZYo7TSeiLX8JDP8ZMPwIx6muLTiP
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?0opEGh45TVP63Dkt8Pc8ohJnQDvrgGHORv0L8+jopC0i6ap9Gt/QCLbhpTFN?=
 =?us-ascii?Q?BfsLQPFoFAtoz6E/Hlet7d1qoPLouPt88ZU471W03yiIzW8J8D0VkkiIDsf2?=
 =?us-ascii?Q?aGpi6spjCTJEogLJVVncA9IRWrvguzZ7O2v2WNLxfkT6Z+ACsdfZgyWi1N+z?=
 =?us-ascii?Q?LchMNeftk93iOjjnwJdGmTGik9c1IfRmoqF7ZMrOdqvxmzDdoXNEfslj7lMr?=
 =?us-ascii?Q?y5jU66UFwAOADEg02CDlunaZMRo1H7LIc4q0FPXR3FsmXv9d616P9rYsdulj?=
 =?us-ascii?Q?EFYNwqyG7HzafsK7x1jnVPJtS+vKPpuAf4MXuT+b5RTG1rrUGkrCT1hIFy5w?=
 =?us-ascii?Q?BuNT04gnewUoD+TEQd9lGG15P7HA4oWZz6cTmBmLnmw9yJ2w13P/Hf8qvvDM?=
 =?us-ascii?Q?HXlpGbSJdlpo1IWaZefRVGXS9Jrrp9vcXtCrg60XPgf3zL1OGI4WXvYdP/bP?=
 =?us-ascii?Q?rHN3ScS1iWxjzPiDvTi7hSjYvzHVzQouoOELKGrfnM3LdpdMl9CKSPlqN9F3?=
 =?us-ascii?Q?aWJZ64UV/1TMw1D+uNFFvOHnFXWcfsg+CMtwGDELVxVbg7CyWEGie6q+Kquy?=
 =?us-ascii?Q?+7xRn5i9vUBLo5X7Hug/vRqaRbxWYAcQqOUOgE7eHNJY0Hb/OjunGSUGF2cx?=
 =?us-ascii?Q?CnSS+gE8oAcGDliVEA2aiR/EBlcRgqo+CPyzZWwYxvwfDs3RRAaAWUqXikNH?=
 =?us-ascii?Q?/cdhrDiHl0NQOnfi1aqZl7oC6dJwxMMEFa56op8NsAjUAFZjyWVJRwysRoWC?=
 =?us-ascii?Q?JKd7I38cl8Z09mJgMcnMX/OfO07GJhteNx2895idnMS8k//A4ikeK5fZBqaO?=
 =?us-ascii?Q?56XqJBqq5OUZKx7HeQ9sGvHspXbcm8D87myf8tdycI1ShuC/ZV20BwHz23XA?=
 =?us-ascii?Q?OX7ac+1fQe+aErNtxNfi1h0UVveKyAaz52EQ24rik1qkVCDREAlPZgTzegdh?=
 =?us-ascii?Q?O7Y2ZZOJ0I9qBASoKP1Xbu21x+ZsuXgQ8GiNiHhtSH0EkpT3sA//a/VLLuey?=
 =?us-ascii?Q?KgbH/ts6GSMj4UFwHO0A4ETTEXotRUYs3FF77myLpp13HOJKvT+KtCqu3IW1?=
 =?us-ascii?Q?5MYwBVGGw4bEOm8t9ZG82qRJbZ6VDgZ2Tse5Knkx5Ft9DJxV30RYvzzpmxV+?=
 =?us-ascii?Q?XeZPZs7F9V4gRFGC2NHrYHwWOliBbTiE4o88c8kN4XvdI+GqfC3frctbPk4D?=
 =?us-ascii?Q?qFt86LaNSLv9xze+UZqfDhDnK0JtmYEEbq0uzbrxDL7Qwn3eh+CL9m1QTBE?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 8a0b0408-f094-4ee8-c3bc-08dbf056ff5c
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:24.7820 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM8P193MB0867
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-spinning-0.1): New variable.

Change-Id: I1ffc6e838c75a0c7efb19bf282715049dfc76f4b
---
 gnu/packages/crates-io.scm | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 9f482454bd..2c49f014da 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -68109,6 +68109,25 @@ (define-public rust-spin-on-0.1
 ready.  This will probably use a lot of CPU, so be careful when you use it.")
     (license (list license:asl2.0 license:expat))))
 
+(define-public rust-spinning-0.1
+  (package
+    (name "rust-spinning")
+    (version "0.1.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "spinning" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0yrs2lzyyrwvs58pya2h22pfdx3vv0h76w1av5c2dbbw5630wkrd"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-lock-api" ,rust-lock-api-0.4))))
+    (home-page "https://github.com/4lDO2/spinning-rs.git")
+    (synopsis "Mutexes and SIX locks implemented by spinning")
+    (description "Mutexes and SIX locks implemented by spinning")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-spinning-top-0.2
   (package
     (name "rust-spinning-top")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:15:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:15:39 2023
Received: from localhost ([127.0.0.1]:48036 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85Qg-0005MW-C2
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:39 -0500
Received: from mail-db8eur05olkn2043.outbound.protection.outlook.com
 ([40.92.89.43]:56546 helo=EUR05-DB8-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85Pm-0005CJ-0F
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:14:42 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=mtEd3Byl4IBmTGuP+ToPQL3BAXTjWmizFT0FC2Fi46iL6SaLFLo+QhSJrHGEQYfzgEAUAEcl1OqeCgvrVQDY3HllSBcPUanDd+ls3G5SfCDB6gZHPOVCr78y+fz/RoGs/xBjfnzEgpSAvXUQg+jLh3ONG5LoWfihq/tXv36eiud1lzXbKf2oGd0nEcvTFF1Tvn62sPXMqiYeIgomgLAttAm9fIqc4m6xD9K6QiqErwRn7zgFnP3RKeuNeslgK3brSHpYxG+hyLFX7gPGHXvu620R1j0CvIWWO6DPwdAi1yqtHQzfmib0oAZ9uLtTZ14b6dBuMX26T8ewAYNpSHVvXw==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=+Zb72H45M4ZAJO0lTg24n5AqhXHb1meJzXyRRiZGIEA=;
 b=n1hH6rt3XgaRZc8GAMGGzyqpwM8kE8fUZXSEsMxNtkqV1yQW3RiwrmO4dVS3MgUTUgC15KS8koy4/6Vb3tbC7flhiaKNoVQPBICEjSTss4CWaGc6QtZa9a+8QI8AHg7hwhH9W5+yz0qcFP+K3Hf21BuNj0347ajbFMAU5g6A2FbNVwrjj0eRv1GbvRp2jwu0kvamEzLkC6OMgiRHYDkkO+D/86C/WqeXZw7oBGfELwKG9CJ5McdXqDWbovC0NUECQp/BC4MAdvOMqPc3Hq7iUaaL/9kmpw7ZpUaHkkDeo2lE9KMp1A9WtN0vSABhjWlIASRQ5M0OTAa9TkZGjGlrnw==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AM8P193MB0867.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:1ea::9) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.28; Tue, 28 Nov 2023 21:14:18 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:14:18 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 13/91] gnu: Add rust-pango-sys-0.18.
Date: Tue, 28 Nov 2023 22:11:51 +0100
Message-ID: <DU2P193MB2132C74FA3F3C7008F37859CF3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [NG+pDDlfgc0r47JZiK5nlKqvPQTrW8An]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <703b294587481f97ca88b0f7c6360a9bf55620e9.1701202944.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AM8P193MB0867:EE_
X-MS-Office365-Filtering-Correlation-Id: 5db97bc0-b3b0-4b3d-eca1-08dbf056fb7b
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: LUcFl73H+4dbHRoIuYCLTR4dSjOW6vfjlp7us9Et6PlY8wWCQaNe2uUekCbPpaCiBVz0FLsrErw09AvNm/XmZac+/es6RXuPcXEDORDPC1cWr6zVv4d5dh+g6SU8vKMkK4fwvv6h/NfjWNCssv9h+XHZCNWrhq85S+5VVg1xgbkX2DYnzA6S7nPIfo2C6hhdIBQt65jf7RsPkY9Z5pjtnWGJolg8YK8V1FEzrj2TeTbQZbTNmlE6pgjaFNsYAdDWikLSLjrokYCZlfpNDAMWc0vftNGCkNdfnm6bfjCSdRKymevFyRKyROLM5GyLiBx1cc45WEnKLe1zKJKlZnzqmkYtjnBw3PfmVpn1EWyktPU9KAqX5Mci/+6C1DOCA4BNQFaNfj0ICz5VI6DaD01kOmWl7SeFVtJ5S1QOX1wzuJNc6CIAl/nXix2Ye3V9p07lqiAndrU2tJ9DTQj+apes6jK7Bz140rLJ2F/XjyZ+PCupwhR0g4a8fOwPRpATOtJ6YAkSrVkH7WiIsa+CBwKqK8ms5IWZClKXgQVf+HE5ucNIevQRChhjlitKV3CoE3DK1s8X7XdS9iW/9917T+WDEANKSnHIkBb6NdBao205NH0=
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?DJLfluiP/KCqXIVWTlkD7ge0y2T8CB99uOEW88HFwPNafUalG//NcALK2pnG?=
 =?us-ascii?Q?J28jx2Z0LJiePgYNVcKpiELZbRGcfUOSCuFHA47g8GAGrY4uWBM5bn/+/Xnb?=
 =?us-ascii?Q?Eg7aWe7DpZTlWiczsoCaP489Egae7hu627MrHfVsEdJx2PyE7PbbYn3NeWG2?=
 =?us-ascii?Q?oA09rP+in40SFQIDAUEiwaBqTlkJ4moNAS97aZSGJXNxRwCvBQg2xdzFZgi6?=
 =?us-ascii?Q?UPJNv+n0UaivtvJWE+Ww34/3HW9x5Kzx9ICyb21fNxVyvfh9Me2Jaxerl9bF?=
 =?us-ascii?Q?8eA4oMRTbV71Chyn3q3R8MXXdAx6KpJLCMkttsySV/7o8p0Xi+LLwZdwgcDj?=
 =?us-ascii?Q?/rldaT9fVqukdOBL7aqj6qO0P+iFo0bHexI7yea1bsrEjFD6lq4elUj1eYzH?=
 =?us-ascii?Q?SynlqsKAfLo6sSji67ivxCW55Q30Qmn1q0J188Ay7jIsjloyuGIR4ZLcx8ek?=
 =?us-ascii?Q?UF/k1SGZWslFTBblg+gSmCx4juVncuKzP1RWBYHnALsLDmq/kWWzfJPJiRJk?=
 =?us-ascii?Q?n6JBu6KZrOPm5j73xdjasFUIueyhpW2IzWvjJym22q/FbyFWDO7aDA0mu5sC?=
 =?us-ascii?Q?uzhNvHTSfoxtflT+gUa198kw2EklUf2tcw7hCvMUiB5Ds2Kg+wDHGtK8lizR?=
 =?us-ascii?Q?aHEvFUmVbruNy53crrkvW+CNTnD4jUcqQCMhFTYZ5VyED3ZUB7bWVdeJEl46?=
 =?us-ascii?Q?AEwVUJTlqQt1wikhoxUXuFlkdkbM130DiL3CZIhozR9n0Oz5Oei2lKV+oMm4?=
 =?us-ascii?Q?Da1n73CdP8Ny8qID5iBiPmicK95vCaU1XPg97c7QWwZn4tJwBCpreNUxF9Dm?=
 =?us-ascii?Q?0TPAvsd3w5mBe9FYVnBI7JR3uXTB7KEuWdeE4sJ7GaaXeIqwixJXUej14kQm?=
 =?us-ascii?Q?ShlmJAS+vHEhCqJlWkhqxEOEO5X4r4G1a1Hgi84/Qe1kiZ/+u0xgWBVhknpp?=
 =?us-ascii?Q?bGc8gxwRJhjqD7xDZOYFvSkbnw6Fhbse912LK+b1FmgVoly2NmJE96braYIz?=
 =?us-ascii?Q?HXj7ztK/TrN4HFHxjVRj9CDhOb7NDCu52u0Lk0R8QXnWB4024yANnIbnVZGZ?=
 =?us-ascii?Q?uGc/GCPyrm5RskTAmmFfsGg/Y9RHp3Ntr5a8PbcC0PlLYzZwsPM/nXaTZggy?=
 =?us-ascii?Q?PEdaoTBdPF4Za6L11hg1wrrrL0+Lfck469JMLirPC6o+FHVywLaBx3D7IRo0?=
 =?us-ascii?Q?GALBPXBjISCvaUtMy1fBwebfEEa5CIr6mBWtV+2LTkgvOe0alcl46msU4G4?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 5db97bc0-b3b0-4b3d-eca1-08dbf056fb7b
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:18.2448 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM8P193MB0867
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-graphics.scm (rust-pango-sys-0.18): New variable.

Change-Id: I1c5159670be3c67d08942d3e058ef094b9f95c3c
---
 gnu/packages/crates-graphics.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/crates-graphics.scm b/gnu/packages/crates-graphics.scm
index 822e69fb07..83ace15b92 100644
--- a/gnu/packages/crates-graphics.scm
+++ b/gnu/packages/crates-graphics.scm
@@ -1860,6 +1860,29 @@ (define-public rust-osmesa-sys-0.1
     (description "This package provides OSMesa library bindings for Rust.")
     (license license:cc0)))
 
+(define-public rust-pango-sys-0.18
+  (package
+    (name "rust-pango-sys")
+    (version "0.18.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "pango-sys" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1iaxalcaaj59cl9n10svh4g50v8jrc1a36kd7n9yahx8j7ikfrs3"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-glib-sys" ,rust-glib-sys-0.18)
+                       ("rust-gobject-sys" ,rust-gobject-sys-0.18)
+                       ("rust-libc" ,rust-libc-0.2)
+                       ("rust-system-deps" ,rust-system-deps-6))))
+    (native-inputs (list pkg-config glib pango))
+    (home-page "https://gtk-rs.org/")
+    (synopsis "FFI bindings to libpango-1.0")
+    (description "FFI bindings to libpango-1.0")
+    (license license:expat)))
+
 (define-public rust-piston-float-1
   (package
     (name "rust-piston-float")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:15:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:15:05 2023
Received: from localhost ([127.0.0.1]:47974 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85Q8-0005H3-PI
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:05 -0500
Received: from mail-db8eur05olkn2016.outbound.protection.outlook.com
 ([40.92.89.16]:34845 helo=EUR05-DB8-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85Pj-0005Bb-Vx
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:14:40 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=TCwaWTr2x5E/cA4i6gmhlL/gcSZDSxXIx45MmCpdMt8yZod5hxjStC3kr3rJmJsRotX14NTyT/E9rROhnMv3bPY+SvFQ9Q0xW7QK+h9943rlq7YT/aOsm4PAoUCoc3OepxUY0Odxtmbt+RVZmQWM3eJOED/0Eobl+hXGGv3FG4cmuAc0ISDYNX9HpMRVu4KopFSKrTWINIRAswObJUH24B66oW82jgLkeYSoAb8N3Aoxp0p9GUXMLaTPzFsD3crS+tVcH5Lp/QqwihMdacukbxBNkTxHLzluJd0/UYSUyQYtDnFyHgQxR2mJ0quEN73HLW4IwO2utvHQ51+RxiHnig==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=RbW0NO3hr5kXlb3nUbtu4Li14jpcn+J5AJ4lJ/woA4Y=;
 b=Z0IsVNaL+TkFSCEoW2lJZKSO8q5oPCkQlblFnDuD+lClzDsc4l5IqV9jplOQh9T+XyVyM4IwcCmEaqfoKuuCpgmYma1uWyK1P77cZdRTwIzdTLo3225W+BjcV7+iKZBkscYxxgXnihWo7HHat6dJHYBobsxYILy/SbxXNgO3kdSsCFp89vZXeZ0C6DpHgrBNBOBCL9QbIN+8oIFCCl4xcmLFWV1ub6Zd+pVRmtpyPnpTRl3UDy9rtuBHb41Vl+wyGUyXk5e0UDfrB2OxGC8gjt4KT6Et1S59wJKXM6X+PoqWbOK0p6G325I5rmAy4Yc7S7cDMhHLLMr8dPQ9knq31Q==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AM8P193MB0867.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:1ea::9) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.28; Tue, 28 Nov 2023 21:14:24 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:14:24 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 20/91] gnu: Add rust-rstest-macros-0.17.
Date: Tue, 28 Nov 2023 22:11:58 +0100
Message-ID: <DU2P193MB2132AE809B57A4B67F34D0A2F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [r97mEGNdefomLuWQUeVJLiRwqbkSg+Yf]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <e6a12241b935a94291292fd363517d332bb341e6.1701202944.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AM8P193MB0867:EE_
X-MS-Office365-Filtering-Correlation-Id: 94ba18bf-2a2a-49db-10e6-08dbf056fef1
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: 8Pofd9kiwZpQAtIxFytsElzqbpl4cz/tB/6apYTEbPdLP6y0U5xSYKogZxWU2CYtXdsw8cGxAhRYaBaPuNDQVsXwZRKlbBczrdq6SDS6rsurPP/FddIEVeaUZQ5wZS69Hy9D9AzYbzu+CnzH0muD6WTzHH8Ya22RU4nO+CCLn/wk+GFD4jSkdWuKmwLN1Feqvb5iEoI6CdVoLAO4xu5VTCKD/ttaa4Q7lc7pdyrr4k8X1nU0mqX9cXc6mEN7XrY8acQUMUuRAx1q3nUZjQXnfgCA8wdrVBu8O5MNgWnQ2yh38xuHsB+ka5w5YXrNIrdC53FrmiTlb1McNHmRS7wysUIed8l47dHPh+GJa9ECoz3YM3e8ETRgcKAL+5qydHmmfcCrk98m861Ue6GTpqYXoPxx61UNZS2y3/4q4w+5RyVIm4OvxfDbGxjXg2n3+XfH/fKHYTvP58HawbC13itoCSix59twza36OvaYSTJExQgXfp3TKpb0pFBFNy2xsaJSJYLway+YAAUIxSaOF84pTjOlDbf+72iIf2ZN6x6v3UcWhN2GOh+vzGlBDXOjiiuRBA9BQa7EHAWg8Yy2i6Vhji2NHwTtdKyOergjmpWQSE2mdynCvsE4otz4hN5VLCcc
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?cII9DXLW+zHNMksc2lVYGmii2kTBBvP2y3UxGtplSPn/2llEo67vlUhbd/tX?=
 =?us-ascii?Q?n7HONPNR2f0UrZID5FZ8a6J6kvqU1kV7JLXisukektbLnSqU3sdRYwfXbF4J?=
 =?us-ascii?Q?vHfmDyM7tTcVrEdvsN2+Nqx96awGfzDz7apXJarWfIYfU+GEYCw6gUbhjf8I?=
 =?us-ascii?Q?RDPOUT6bhHtQ14BNXEKQ581i3t/UlsAOhd4PNIMRKOUaeuicNmLysOiOZJNd?=
 =?us-ascii?Q?dAWfToozrhvFNFx8an3c8Hta6xOTpIoU2qY7nI3i4G/CnYu3U0q5fazHeJbx?=
 =?us-ascii?Q?YWcNhC/mGrCP1IjyaJMdal2mhuWV4r/tL3F0m6RHdRhZmP3asf8Io4CVKJwo?=
 =?us-ascii?Q?TbyPKOEqPcSrp0SmSJT44WJU/mOKKNgzxWYOv5EzK4ErgZUBY2mxPez5Hf9A?=
 =?us-ascii?Q?kFqqPtNxG59GCSn8E+quBOLTnXxTgrK98YvOk8a00VzgpPPXQcnIIXwHwHbM?=
 =?us-ascii?Q?WotkiPJ3XGMsCkPafnEXNqMw2/qo3q9QWArppUQ2rSRxQZoNmyXh5NbrbndX?=
 =?us-ascii?Q?olsRxlfSDuJtAe+yg25H+elwJc7eYtExBhxgM8QUmIrTEJsfoZdFWIg0m9Z+?=
 =?us-ascii?Q?mwCqa5Mb0bN4iZOKmKcjDBdThPo3MwloGvAS8c6I+pjZ6Ma76Pxtd8sUYhFp?=
 =?us-ascii?Q?DteeLRuGOdcwPPZk1p0mah/uCVTEQoBzpCx1IPxrVSzuiJGayZXSSVIcbIHu?=
 =?us-ascii?Q?STxJBU6MZH33CWTwf2hPsz9YJmkSKUbZjTeBrI19LFrChghYc58hpD0PiKQA?=
 =?us-ascii?Q?w19l4/FNtEMAW1l1BiBDa0+3Bp2dTX1OkQCYno0LufKHqEqj2gcNhFWKfFhP?=
 =?us-ascii?Q?UbSC8RxCghe7mPazPGTtTBt9t5F5v9Shq2ELpHHu3FP1TUM2cFSE0v9Sa9/s?=
 =?us-ascii?Q?0MS4kAy8dSJnzSnhZiGWLaDJNoJiyvVXDB8P4Ac2QZFoAcbQAHJxil3ge2g7?=
 =?us-ascii?Q?bRZHth+9FOPufvLhmtAH1I/ztGG4zhMX0jlpQUoFVrZzjyFw14c5LCz6oi/r?=
 =?us-ascii?Q?5KWm/wsdZax0JwXgZ2rzih9MwL2NtThcima3d2LJwI1r8Dx16wdzBRN7YMcO?=
 =?us-ascii?Q?WCpuvRTNtmSC8BB/80uJ/3jM7FP163bw7hNc8LKHENinEFjAJt5RWf6fihWk?=
 =?us-ascii?Q?Gc6jU5od9pchXSfGouM3rBbnHt6f/t9IVcWpKtZ3l6EvKwOD0Aa4PFYx6VVO?=
 =?us-ascii?Q?IoFfARgqybXQ9jfebx/ktFvhb3BHOLCK3docGpJ5nedRk+tOew8EmlNkz4U?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 94ba18bf-2a2a-49db-10e6-08dbf056fef1
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:24.0690 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM8P193MB0867
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-rstest-macros-0.17): New variable.

Change-Id: I4bd4edfcb88347df970fc7550ca7e9d2c31f226e
---
 gnu/packages/crates-io.scm | 37 +++++++++++++++++++++++++++++--------
 1 file changed, 29 insertions(+), 8 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index af235d1564..9f482454bd 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -59378,8 +59378,36 @@ (define-public rust-rstest-0.6
                (base32
                 "1wdd0ci0bn6fd5v5c19lhlqrpadk18fl4jzvh75b26616anlxdil"))))))
 
+(define-public rust-rstest-macros-0.17
+  (package
+    (name "rust-rstest-macros")
+    (version "0.17.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rstest_macros" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1a7w30h0g88v40p938skcbngsm6x6pf49gc369ydnznar2hs2319"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t ; requires rust-artix-rt@HIDDEN
+       #:cargo-inputs (("rust-cfg-if" ,rust-cfg-if-1)
+                       ("rust-proc-macro2" ,rust-proc-macro2-1)
+                       ("rust-quote" ,rust-quote-1)
+                       ("rust-rustc-version" ,rust-rustc-version-0.4)
+                       ("rust-syn" ,rust-syn-1)
+                       ("rust-unicode-ident" ,rust-unicode-ident-1))))
+    (home-page "https://github.com/la10736/rstest")
+    (synopsis "Procedural macros for @code{rstest}.")
+    (description
+     "This package provides the procedural macro crate for
+@code{rstest}.")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-rstest-macros-0.14
   (package
+    (inherit rust-rstest-macros-0.17)
     (name "rust-rstest-macros")
     (version "0.14.0")
     (source (origin
@@ -59389,7 +59417,6 @@ (define-public rust-rstest-macros-0.14
               (sha256
                (base32
                 "0rlwp3r1dg3fl4f100wjd3ya7dhs23vpyqgf7vg5mac50s5fc5ah"))))
-    (build-system cargo-build-system)
     (arguments
      (list #:skip-build? #t
            #:cargo-inputs
@@ -59397,13 +59424,7 @@ (define-public rust-rstest-macros-0.14
              ("rust-proc-macro2" ,rust-proc-macro2-1)
              ("rust-quote" ,rust-quote-1)
              ("rust-rustc-version" ,rust-rustc-version-0.4)
-             ("rust-syn" ,rust-syn-1))))
-    (home-page "https://github.com/la10736/rstest")
-    (synopsis "Procedural macros for @code{rstest}.")
-    (description
-     "This package provides the procedural macro crate for
-@code{rstest}.")
-    (license (list license:expat license:asl2.0))))
+             ("rust-syn" ,rust-syn-1))))))
 
 (define-public rust-rstest-reuse-0.4
   (package
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:15:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:15:04 2023
Received: from localhost ([127.0.0.1]:47972 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85Q8-0005Go-9B
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:04 -0500
Received: from mail-db8eur05olkn2015.outbound.protection.outlook.com
 ([40.92.89.15]:24096 helo=EUR05-DB8-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85Pj-0005B8-9l
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:14:40 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=YwatGSc8LAjJugxO4HNKLC5FqAPiUQl5b9ce5P1FedZ+DmJ4OE3JWYG5K7ZsJSBDJbKIUjCk24+Nrauu07Gl3FiRrxqzT/AzQ1jrNn4heIKHTZkZS/CXcJM7QPFAA1gJJbKIPQ+MQl1mMwIUVzlTOndsjqq94cgQKVtx9me/CP25b0eIJ0fiUFRHVrCU774DmKNR3AsLlnn2u7aBPrZFpcCKxHl+h5Oy9nvUXINHj66Wqcner5OK0I02m8iSKU2IbBKEwmctOjuJB/nhtlommldFv1X8QMpJGniqxN0ewHx7aU43xl4D8lENEZmm3d68lciKkJGLB1lOHN0nuM0oGw==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=h/TVHIePJ/5hsPCdr1RFnqLBpR5lLREXbXDyf1hyfao=;
 b=WRGHNkqxe145NErTqiAUM4Ngfi3LEYYsLBvRZzioMZ5GFVYzF6R6UXVvCMMavIdc8zK+MPRZBVswpTO/C4D3JzBnRa0buvK1H8eEiu8Mf9D39aITt0Q6No58ywyoMtiLwGN58XcEdR5GTGZ1cctA6L1RvD5dZXjvgmjGKjUnGxoJv3m/lPf095E0RNyyXOBP98+a94Nxz0StZQ4CBDkj63MkJZHDyqB6jAIzYZHFuS3FiBUYdv07dF73TtvKDxKOxinRiNIxIFOQGcrcyAprVwVQ6euQM8NKgCPH1RuYH0D7uOOiuga2JkgTQgEBgx9L5jvOP+GFjNYfmmcEjxD5Og==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AM8P193MB0867.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:1ea::9) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.28; Tue, 28 Nov 2023 21:14:23 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:14:23 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 19/91] gnu: Add rust-quick-xml-0.30.
Date: Tue, 28 Nov 2023 22:11:57 +0100
Message-ID: <DU2P193MB21326868D1B56A2F1BE5969BF3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [mluAYvKfF6N94O6bnG4N4ywJIzCNgkEK]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <53a63e573b5fe7cdac861adbeec1b1a21811cff4.1701202944.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AM8P193MB0867:EE_
X-MS-Office365-Filtering-Correlation-Id: 2257333d-152c-4eee-1f44-08dbf056fe75
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: 4MS0Uu6s/16mVV77WXJzlViqB7kxsJCKWsdQqL5uuIc7cU/Ez2e+H+LxoYAu5z4KkV6TyCzSxIoUWsY7IyUciiGk+6UJds/n8Zcby6R6nQA2TyVLvUsgc8uu6t74GuY2JvuZlqtQFijAx2e1DAwP7+mD9hcPDj4jf64fSsfE4Kh5O4UPxBykyszI8Y//QpbQLtB9Payw3b7OobWs3rBqm5ZLsYPoVQiLR5keAnHBSo6g9IY0lZDJFu7bS+G3jOzVeJ9QsERaTQED/p8RuT8mSWRdcXhnT7KLBAF1FLKV48zcY1cPuchWkEFd+gvOyq/Wf7MUTZIgNi5EkOw728AG1r06oX6K040N+LniBnM8gHi2pnVuHkxnXl5U1UrA65LcCHpVNhxgIyPusQVtrfUH29sIlTrYYS8i6dTZ3VCPdZ8nt4waqatVNXjv5QM+nACcQ9qbRHjAvRnVbPVGKF6f3CGiEjdyTLjd7plIeWRt+Y2axCl2+hHzkFiH0zVkFCgpYXRGzimQazSpQY65dlsTYukw2OKJ7cmmlrkdMzVilobhcTjpZTOPqiiHtQLGfp4IAEYKnjHc9kuKgwBsl49AZoDDvhVlFK5lZUZ0pl9t3vaBD3SMJ3QUH5HGod5FUtp2
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?gu1fN/qjfSyS4kaUgD28WDtBrMUlgRIMr/78v3vssIx00/EzTa7slEGXt6zQ?=
 =?us-ascii?Q?Y9pv88ARSzbMQp4QZ6qndAkihJgQY+xJFKHBDh8a6VTduq9nGQcjLxNTrTcQ?=
 =?us-ascii?Q?MwHvqY+sYHXmx9eBfOq24lpP1b5YP01xh0uixos+nUiYau1e3sUJiGrcL/tE?=
 =?us-ascii?Q?FhdUtBMz1PunFQUHdY4dyI2PRluJkMzDF5BG6BfFZ/JEscdKjAd2pNjnIY3u?=
 =?us-ascii?Q?je76dEqIe0CSBYNmN60jBJgelbh1O4oehPPuYIxwYoVNgnrnreRdPY5WZEPc?=
 =?us-ascii?Q?oRIRAd+iJcGiiYEfpbtCr6Afpot1X2yD+6Q1iR+zXdVj2aN5ecRudBWQURJ0?=
 =?us-ascii?Q?C1Q4++z1iM1GOExqTU1Dfx2421uj/AaVMgHxOK+diGYG6LAjhW4dlgR52FwJ?=
 =?us-ascii?Q?Y1+EPPwOoGrS0fgVj25V/wTq0y2U/fgCUv28exCvHn+WvLis4WSKB9BfgsVk?=
 =?us-ascii?Q?2UcwUEKB/GlIqqeBcCd+icNXXS4W0D9XeQDlpzIXsRKaW8CEchHWHUjp/z+1?=
 =?us-ascii?Q?gW8o622LapnZoLwffc+Ey+kgBTVSwibPFOY5fY9daAnxmchFDcZ/YPyogLwK?=
 =?us-ascii?Q?qdYFHtr6bemrdqhtfxGYi+c4XAtgkjzRqBDQsNEdQLkuMes/FOG87kI2WwHX?=
 =?us-ascii?Q?7RfIVjR8ktZWPI/Ae6Bk7w/suR2R/HnFU+2BdsGUtLzYHPk+FPkJIcyK9rwr?=
 =?us-ascii?Q?XRb22a/O5JBjzSHXswWqcrqctPNYGV1QJjft+h+ookDJnCyHGeu03fjV4u0u?=
 =?us-ascii?Q?hsSZbLe/ft/BTA4MgXJfcicVfe2RUzRRPLQaCfaaM97QI7r7bC5U5cIJmPXx?=
 =?us-ascii?Q?850Q5KDzceysYVKnF60R0iBAIjgisic5xPi3Vq/+ZL/MW7FH/J+HmkHhlgO4?=
 =?us-ascii?Q?5kN1DbZFcpIzqZuCi1GAFs3ei69DU46G1Ftgj27W52rIYPupEXluOENVvYOe?=
 =?us-ascii?Q?wT8xVZElGn2eHqCyZjXTGHRRSaU33Xl2wlLmXjXStau38CL/xwvDHUBOM/Ec?=
 =?us-ascii?Q?aZO7FIG/WWFwINBABdvqOzzHuesmPLxzqsrTtUU7sB1JWfiwEinQLfVv+0/F?=
 =?us-ascii?Q?aafwHFIINi203EwMYsNZYiTRvtT1L35M+Y9nHIzdh7sTYFixrLPD3ZPTMpM9?=
 =?us-ascii?Q?2Vwj/QqMDMwuCxj0VuoPZ3Rx6FLWrKl7ohJzmrkAe0MWMvqm2/vbNusc1uAz?=
 =?us-ascii?Q?Y0qeo0rri10jlcADdMhR0Sd8p1++5ZcUC+vQrBu4g6pllqmeFGYqLIuzn1Q?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 2257333d-152c-4eee-1f44-08dbf056fe75
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:23.3221 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM8P193MB0867
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-quick-xml-0.30): New variable.

Change-Id: I33852316bcf2f3bf5bd34f0a10c011da07753c51
---
 gnu/packages/crates-io.scm | 21 +++++++++++++++++----
 1 file changed, 17 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index d677dc01fd..af235d1564 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -54971,18 +54971,17 @@ (define-public rust-quick-error-1
          (base32
           "1q6za3v78hsspisc197bg3g7rpc989qycy8ypr8ap8igv10ikl51"))))))
 
-(define-public rust-quick-xml-0.28
+(define-public rust-quick-xml-0.30
   (package
     (name "rust-quick-xml")
-    (version "0.28.2")
+    (version "0.30.0")
     (source
      (origin
        (method url-fetch)
        (uri (crate-uri "quick-xml" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32
-         "1lfr3512x0s0i9kbyglyzn0rq0i1bvd2mqqfi8gs685808rfgr8c"))))
+        (base32 "0mp9cqy06blsaka3r1n2p40ddmzhsf7bx37x22r5faw6hq753xpg"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -55006,6 +55005,20 @@ (define-public rust-quick-xml-0.28
      "This package provides a high performance XML reader and writer.")
     (license license:expat)))
 
+(define-public rust-quick-xml-0.28
+  (package
+    (inherit rust-quick-xml-0.30)
+    (name "rust-quick-xml")
+    (version "0.28.2")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "quick-xml" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1lfr3512x0s0i9kbyglyzn0rq0i1bvd2mqqfi8gs685808rfgr8c"))))))
+
 (define-public rust-quick-xml-0.27
   (package
     (inherit rust-quick-xml-0.28)
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:15:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:15:04 2023
Received: from localhost ([127.0.0.1]:47965 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85Q7-0005GY-Ni
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:04 -0500
Received: from mail-db8eur05olkn2016.outbound.protection.outlook.com
 ([40.92.89.16]:34845 helo=EUR05-DB8-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85Pj-0005Bb-3O
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:14:39 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=GoFOMlpXZBdB4hSZGTlViVnzYlzmrRbjd0qbXpQY0chKK84N41eXGIGyBD+ZM9/t9PoGVN/1KcLZU+6vT+ENlx999mjQYm76L8+sVcoYo0C61bBR5Y7wvh9YEqWLN6JGdqOyAPPkDsnkcVJ0GxISXHX0BuyHojMTVyDNzSfq988Kc9GMEBx7y0ktqzC9Lqbjpjtn7G/glfgbAkXk4ZF8TPyaC0FqQD/KivWGovPBBSNu9CbZMXQxZ6dV6v9CorAAogH6m+4fhpQv+EuGRXXR8pb22LcZZivqJ3wySCQmz1LJICGyUc5jQXRLksn6bqct8cevqXfUrwKc52ZjHYaXFA==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=vQcWBgVE++cIDB/+5qX5YsT5ydmj3LXP/cnwNKNFKJg=;
 b=ZQnOJTxyKm0QJvbK+d+SzCsoSMKGrxgJOd1pADX61D7fUmuC8lSuBNRDwAkQYlrzQRCPP1vOWiqp9MsB9JxXMiWNJVg9W1xEJx5GTwRxy+NknspOGU+q/1Gu+74hvi4168FXaqU9FBo34VgzkWLv9V5PCsAzD9uEs4YbX27z34Baed+qOCOr+nxt+oPMgsMDNv/675IT4yHCxmGpmERKqSGHGSB6abR9qZPPAvwcsv6E1MSXwNjzO+viVqhH8rTT9FRJnhKBYaUFdGJcCz78VGgTWJViurHJHG2YqtobNHTC6924rt/KgBxDKgFzfglaRm1Kjoyq6bVPuAPrHp7VWw==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AM8P193MB0867.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:1ea::9) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.28; Tue, 28 Nov 2023 21:14:22 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:14:22 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 18/91] gnu: Add rust-ordermap-0.2.
Date: Tue, 28 Nov 2023 22:11:56 +0100
Message-ID: <DU2P193MB2132CF9D7100895059FC2293F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [ip8NyBFYsQryT0FW385hgvz364tVPCQN]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <9c200966e11eb68810dbb15fdeee0113c0c2333a.1701202944.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AM8P193MB0867:EE_
X-MS-Office365-Filtering-Correlation-Id: d48eac55-98d4-47f6-2115-08dbf056fe07
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: FMjNZKdrwejhbmP1h+xH0a0u0JrYzVVR5522/Fwicl9ASi7NNC58E0LGQLCwhIO2lNekY6pvsitkbn8GYFzipmO9PIp2RJ833DnEbxBxyvpJGJhrn3eTuV4GURBH338Vpb3mUtyhCi8w78xP6BQBxsQEt4j7NZ6qLsdSixaI+nt1ioRrZ5WL+7+3s/24WSxJiW1cAszL5hLCsG5/9FKbe0VSxrOs6Jyi3WQNa25yGu6Q8cBFSRRTxaLARAZ8FDmzdg/OznhnvQWvyWnfsX2aCoA3lcJl+BSYj9nBcdWCacWmXh2jy6usYxFzzBBsxTzr3EhqFL49DY+0W4EcQ1M/kckgWocdtXM7LeKLNhumQThkbB2jYP0i/8/FyfAvz5j/dln8osmWYYcz0z8WShsy/n10ylfgGvw9buEyhBHUczBhFsbOqPrarUcuLGq+mNqc4JAD+mVa7UVjbNa7kHuK9SSiXubnOZI3SsKgtuEXkxekGimwfbZnTqCcv/L8jE8wXG56Bk+OGy1BKv6wLFMaTQYEueefGkpxTWZmGf5LOdfqtgv6GQUuq8pc696cHUlfoiKYkjEAbSOH/he4A8gpJqE5jyXBCoYzrCzPiDbYQVM=
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?YVH/QoHiy11fhqkYfOMMWLOqXeyxqn1JaWa4m+6gcpRGlpNoCGi64iIrPwQ8?=
 =?us-ascii?Q?imG0BXsKHSbnQ9mRR+cUvOrQPNvmt89SCFe2urce6jrzHxiDbUKTdEgc5M5S?=
 =?us-ascii?Q?M4jqepavrKDARO4bH2N+5DZguwzwAH6IqbHX2Nf49iYhLwDwHUumzQ8TeoMW?=
 =?us-ascii?Q?+Rc8EBHOdg7Wg9yOtklvUVUMxjtKIzGd5t0QIifU5RNpnDg3meeNXd++1Iex?=
 =?us-ascii?Q?WUYcS8BhXWoRjlBDt5jXC2pdK8dJnbD8ikxSm+kYeBhBan5FhUpG3wurF9o5?=
 =?us-ascii?Q?RVFu1NpOyc6Iw+UFAKSXa3bewB4FXxYG+hFbzu02HQLhSuSU+e9rhmid13G2?=
 =?us-ascii?Q?Cyi56WsUuAddgT5AHvJdlZuNeczMGg/QcDx3pyy39nzeT5rJfHdtdjFASM+Q?=
 =?us-ascii?Q?5xUallo9Ns72B5KLD9691wKYm5uGKyYsqViSD5Y3X1g0tACXlPafuZvuzHyy?=
 =?us-ascii?Q?Wfwa08Bnat6bYsiVTgxYoLkjfAYqYgiKaZnvRX27CPbyA28H1P0g3swy4A9o?=
 =?us-ascii?Q?USqgDPajuO6PC/LJoJR6PLlAcvZpIHRbrKgxv6L31iEvwYtXqP9L+iptnzEw?=
 =?us-ascii?Q?5tX9PL3PVnw1od9lVQID9veX9gx7dIXHILRx5AxtaihJeYxPScOl8Ln2T7jU?=
 =?us-ascii?Q?rzt0nDSH4E1btBc+qZbpVv6Wo7pkzrDFJnwLrOQydZzUjzdkNhMd9fVVpGXG?=
 =?us-ascii?Q?G70LS5ncrlDITsfdBfRhnnG5t/CrflqEUwa2SpQHVNMZIGvfgPmVU5IcnnEZ?=
 =?us-ascii?Q?8dRegMt/ERoBwDFHaUaV1o74+KF9BizqlxNpcf5NNLz7Eesh0HzyjRn2fwIr?=
 =?us-ascii?Q?quyJT3qszAoQp8hcjPIZ5WKQzi3vPNopHIwEmQYA2+uuT4zXIjjTcWKe+85n?=
 =?us-ascii?Q?LBasDLOcf9e2hw74eJc2OHaov7thQwuY2s4ppwAGm/s6F7/OOhFLBhwl72MO?=
 =?us-ascii?Q?ALdhgbMe6gfdz7SUCwdoHxooFjx+z6OwtouHl0oTYuAYWnpRIPBPvWgYsPBd?=
 =?us-ascii?Q?uL/nYCriFvSLVNt/uDs6qadTQk+ffb0xzq+3v8btobp7T4oKa851T1uvuxk2?=
 =?us-ascii?Q?o1jWdxoYJ11Rg0lnEaIntCb/WfvZ3DijjpWkpFeQXZuWgpAcc+jphBZ1IrEM?=
 =?us-ascii?Q?K7w3m7jzzrVszePHMiZBAODJTLIiGU1NrMLfW16sICEJIuCh0Hf+MWwIQVlY?=
 =?us-ascii?Q?VdnHU6KJakmH6Jd7xgXG8LuM7tRrTmLOMi3E70TNeDmWycgn7w5y1CxKI5o?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: d48eac55-98d4-47f6-2115-08dbf056fe07
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:22.5478 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM8P193MB0867
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-ordermap-0.2): New variable.

Change-Id: Ie1f81184f8e46fd18145ef8f309e7c058a6ad4b0
---
 gnu/packages/crates-io.scm | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 6a658aff9e..d677dc01fd 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -47673,6 +47673,25 @@ (define-public rust-ordermap-0.3
 under its new name.")
     (license (list license:asl2.0 license:expat))))
 
+(define-public rust-ordermap-0.2
+  (package
+    (inherit rust-ordermap-0.3)
+    (name "rust-ordermap")
+    (version "0.2.7")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "ordermap" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1gwpmqbynscg03q7zw3ydp1flz8hxxxbl0cl4xxw392q1n5bxfrb"))))
+    (arguments
+     `(#:cargo-development-inputs (("rust-fnv" ,rust-fnv-1)
+                                   ("rust-itertools" ,rust-itertools-0.5)
+                                   ("rust-lazy-static" ,rust-lazy-static-0.2)
+                                   ("rust-quickcheck" ,rust-quickcheck-0.4)
+                                   ("rust-rand" ,rust-rand-0.3))))))
+
 (define-public rust-orion-0.17
   (package
     (name "rust-orion")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:15:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:15:03 2023
Received: from localhost ([127.0.0.1]:47962 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85Q7-0005GO-7g
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:03 -0500
Received: from mail-db8eur05olkn2015.outbound.protection.outlook.com
 ([40.92.89.15]:24096 helo=EUR05-DB8-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85Pi-0005B8-Gg
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:14:39 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=hxxzTzOW3bpUawM/kVpmsO3mF4a+0E6zN0zAKsomO6jbp7XhTOgqnpyoBTn3uzUkzrNoQ7Vi8ADQD9yt4ZahyPRWECfIIFs39x79kRbUGP3FS8UyVkUGdhv7cOGoaKhaQSFFhW+E1aVMcS5yYkUJerKJjeUyGt1pPQ8ADrTqfJY82uwXoUS7gY/l/exuzGUmOB2M9KHwGc9bhSTrTqvN2MsSsR1ZDQSa4yo/sBwuYe451KKddUXZMa6WdRL+NHPJZK7aTNJ+LvCNjC0wcm/4IzVm3Lrc6pOhYm05+OtY/46Y03ZrClk1F6Oft9aMthqMAMyQLy9H2uDIjkmutb5thw==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=kQF7TnLd6jG2ZLt1Ul0lRkNxtmgXizI0UVh2mQD3jaE=;
 b=h6FleyA5V6wlpYe/1uuVI8f8OjjvobbKjXAk7zWdgw23zi55c5sMA9vw2jeKXWxMsXRRV9kV/9y1Nyz5Kf3k+MFgEeljfiHmA37TUd4dW7aS0XrzZelMfDYoitVyDPvCGbiGHCgGjsegwHXOP462HygaAYPEsDrNS9BR9X2NVsjIhxqya2NyEVpdtClUPohIeXDicp7L8yPuAi4zWtpw+6r1ouN5qb/Neq1BW+17I/XVXaZBDMeCCI4ihvbv09VQ2MWaIC7kq2OhNO9YDrMWm4ODXHvNYw/C3g3nq/RqlahnMXKSKuF2cdZK00t5UykH3LlKD5d0hjaLB8q+jfnCbw==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AM8P193MB0867.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:1ea::9) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.28; Tue, 28 Nov 2023 21:14:21 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:14:21 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 17/91] gnu: Add rust-proc-status-0.1.
Date: Tue, 28 Nov 2023 22:11:55 +0100
Message-ID: <DU2P193MB21325A721236137EE648979EF3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [qoddo2Td8goZViej+swr6XhRkKJQOYR7]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <12dda488286ef9e4f72d62c0642a71be1f1bc55c.1701202944.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AM8P193MB0867:EE_
X-MS-Office365-Filtering-Correlation-Id: 5d279b67-9b3c-4519-cec1-08dbf056fd92
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: 0YoriF1mniOQsD5AbqYex3mK793/Lnx14Fxhxss9qU64eU9Cwz/0tKzqZJlcoFv/qnNS6PJpo8d1oKKL+/Jb1nScW7wTrJbxkE2nhcgGn/NewinPRy0xMfZOtFmoXgqKvjVBS6/zsXvHOSuspC8I9lrSUoitiGbddrFNKXEx5gelaM40nzIAKh2q2+tJT6twxCBwAYPIcuqaprPA7aQjUAikoe7BIg2rd5fckQAosQxYN8quBlJbRwEbWSYs6nxP4C854hk3kBsiamfQ4NFHXG70RA4NtIZcjvA/aTxiB6QSv7cJ94U+N9VeRTO6lqaHcXVnZ16r4BYclODoOe7n8NuHoz0ZXrWGqJ/jB8w6FoJiN8ELgFDpvXzy/0ooQUFKAs9tsqQHPPp85zZlHRfIHs2dk69LiCGB9g6fkeoYR8htFGbmlPG6d3PolyjRwmdT95ZNT5OccZrRwrtfNlsV0R5wNdlnnI1ftJz3O6paEztSqf3TekJCIR6t4JCw3X5/GyKscGBRSWV1fy5RAhTRESPjgdi2mfWLHDweFC2bqrJyQ+geg6Iy+26ueOttYtF/qcBs1zj/Oeg6MFRg7BKd/U9kU0ThbUmcBppbu0EuY41wtrlQHyRgVNXang253IQy
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?Xe90zdQeMOu/zG1ONACo0gYwZZ5Wge9ASBf2FcKx0WKMw+QDhVcvC7YdQIKR?=
 =?us-ascii?Q?bAVLwTpFxzjFzbMkcMs7zKVNnNulsACS8yZKN6TdAY6OPQ9w/uMIFVowyVz9?=
 =?us-ascii?Q?Ky4ggelTwu4Dq+HbK9EG2PCUlO1caXshALrkpgdtqs2U5Ih2u6qbyVeDp7cy?=
 =?us-ascii?Q?2eNen7HTz/Rbj02oZ8hZBV9TZVJF4LiDXkE1Z/swPnkmjL44WnU1WBAhyT4I?=
 =?us-ascii?Q?m853Ub+8TzD9QxTsb7zN2EKxFxuJhE+dxN6MqCnpc1LvDszrIK9eJ/GEDNMC?=
 =?us-ascii?Q?06UHIGh1fdlJyESY9PbnwGFZoFyui9Qy3pLCYrTr0wf8rf1D7qdvMdFUDBfF?=
 =?us-ascii?Q?k9NUJow7JdIQ5l8N4BCGmI+iHSNnvfkdMks8Mz5F13eroIn90zNUKO2KlKPq?=
 =?us-ascii?Q?gLx1NQ97n1LE9QG/4yMSKiY1UK6T0lKYVOMtsBK3oRQhtU4gcshzFnnOeKO7?=
 =?us-ascii?Q?eIgWOoNtK7Eb6rhYPZq4FZ2dNV+6mV7zvECUeFq2J4jIi7wov0BlSAHBO/zt?=
 =?us-ascii?Q?buZ5QBcal2XowtY9yklyi0QGnfrtkORGY4URCuAe8TGa3tbKTBskgCmuwa3L?=
 =?us-ascii?Q?7gNk0ANq2bYWRvUyQP8357U9CUi3N90EK6muo/20p2LEHWnCtyqmSgDnnt3+?=
 =?us-ascii?Q?/TGV0PmwaDM6/K/WKhSgFU+6um860Hoahi2YRbYzy+g7kr6EvIIkp7fB3mOA?=
 =?us-ascii?Q?ETTwulCyx+iBUgZVS3FRu+QrFl73OTYC1kxvKkOupk4sOcWsSrfpsIoRQrF0?=
 =?us-ascii?Q?JnSwa7f1ntiAvElGZuYbRaNj1zlkD9fAR9JBIff79beDaqUFURgURkXFAT3a?=
 =?us-ascii?Q?Bc0AOHV3DBUZr5ughL5Zq9KoHRqSj1Eer3x/STFeciVc0bnzp53B1byk/z7a?=
 =?us-ascii?Q?AO3bW35XFGYiJMUuhlBfgSibMbHd+yIz8AhVviXLCj6+hx2DZNUhiH+liX38?=
 =?us-ascii?Q?XSYMpt0wfpQbNi27KdcQThLkk/p0MGEzamUEG5ZFdEsT7KvJXvL2bbqv+/ov?=
 =?us-ascii?Q?TU/ddR+02ctj+oUo3noBzaL3OstVEiW33Tvw7b4Lgc52bQ+J+RRAKdYvT65O?=
 =?us-ascii?Q?QGXPBCYI4YHq/1OkRh5bgURxNnZ+PnNyL5K2UIbU3auMwhdjkPNH4hjTfs8x?=
 =?us-ascii?Q?2LoU1nY0qI2DcPg6upvZbbjadOgNpc8qgjBfgGpWITxN8dsu5Rc27v7Jz4SV?=
 =?us-ascii?Q?TC6iso5asUVz9swPXSp7Aqidm6JH61X8AYjMK+SfP9XRTT4m5HmCR/JJN/8?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 5d279b67-9b3c-4519-cec1-08dbf056fd92
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:21.8214 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM8P193MB0867
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-proc-status-0.1): New variable.

Change-Id: I596b68be2154b04535226b11a894c07cba9bb79c
---
 gnu/packages/crates-io.scm | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 3c6d80ec4b..6a658aff9e 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -53025,6 +53025,25 @@ (define-public rust-priority-queue-1
 priority of an object.")
     (license license:expat)))
 
+(define-public rust-proc-status-0.1
+  (package
+    (name "rust-proc-status")
+    (version "0.1.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "proc-status" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "04lp8kdj75m8s1hwxslyzz3fdgbs6zy4zfjhg2s7cysyj6nc1q7h"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-thiserror" ,rust-thiserror-1))))
+    (home-page "https://github.com/Canop/proc-status")
+    (synopsis "simple access to proc/status info on unix")
+    (description "simple access to proc/status info on unix")
+    (license license:expat)))
+
 (define-public rust-proc-macro-crate-1
   (package
     (name "rust-proc-macro-crate")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:15:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:15:03 2023
Received: from localhost ([127.0.0.1]:47957 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85Q6-0005GB-Hz
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:15:03 -0500
Received: from mail-db8eur05olkn2016.outbound.protection.outlook.com
 ([40.92.89.16]:34845 helo=EUR05-DB8-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85Pi-0005Bb-5E
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:14:38 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=ee2vrCq3deA2XMgKyEk7N8EIXWKYAChiW3naiSX3RL7E4ZtomoGUfyRr7kGtw6oG3syRx//XPxZiSDhNEXSUhHAdEMu3F6W6mlQFp4iDQ7WJ672LkU6pUWXTWoOxzsmrJHnZrEEYuWnbVi1xDYdSXY3bKq9imFsTJwvJXF7OyCPTa2BtmoZFpzLC1Dn1ET0ogYHMwq2IScUe4nlWRo1ZYzW/sBvbi92MuWUT/2ahWwvhzNix715jJsKhWHTsDR3DfocJ5/xRApoi1yn7UmypHCyEiXsMnF9B+GJe0bI7QRufx5/6VpF+jcGcCK18w4ggH1lCyPDs9lNWJ9sMsUIixg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=JkO1FDRPhUbfgmzHx5AgdFY3DYvyiQN6Q/TLxM+Z5Xc=;
 b=Nq7Tike5qPgDLWD2hvQCmj8QDgFXz73GAOeTEvUX7X8BD5qfu8WI0GVb8iSKjnkIFDYP/U8QSfEvmEYoeGYg78rqmxmrMeTOcrk7LBNUGkzO9reTGyrkRB/BZxov+CQIvx3j7Xb4leud8qHxpi+58u1JIS6y8cN6cFiSH/nFWDp2eaSLxxGAbuJi3rzurGdzEGIWwZC7RQNZBEinSRkM0Q4bhbdlvXSNoJCziOaP9BRrdGNHCd1ltRvVKG/EEyAykPCul9CiG/6qKDavBQi07ENm1B9AX2H4vYXSwzkHgcYoF9d2VMXu2tD7qhnjzbbDqruZ15gWEdyInfmld3e3WQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AM8P193MB0867.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:1ea::9) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.28; Tue, 28 Nov 2023 21:14:19 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:14:19 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 15/91] gnu: Add rust-const-random-macro-0.1.15.
Date: Tue, 28 Nov 2023 22:11:53 +0100
Message-ID: <DU2P193MB21325D4358638EA0998D48E7F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [wHsXWyiExBGAGd/IZXwu36hLoYbBb4z3]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <6eadcd6a1af7c2faee80fac28de4288c3ff351f2.1701202944.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AM8P193MB0867:EE_
X-MS-Office365-Filtering-Correlation-Id: 671e3d41-7c2b-47aa-c661-08dbf056fc46
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: /5c3mQO+g4gs8V1RqGN+vR7oe3TkWIZgezeuZuvybEL61qbCrXRTiqIHmJhp2Oo/LzYgXrLUxEEeSScOVOxETFx19cq+nUdYGlzSjWNBRHpjj14jVCPgtmz4/hjW23lswiIl/H4UwtHeLvqvmK+nGdaRiojIgTp+KygGNm9QvIquON1QJlr5x9w1+MbCPOLRu8Y9dfi+46tjWJK0Xn+MRNGJJ53uU5yNkoCd0YlH6SChHDEYP6WrXfJitJYJdQ0gtwjO+lUZa4xQQ9rNuk/8VxoIqIo8Z8jo8NIFgg3WRXabSEjn8gOy2TEuUximroKyxjVda9kFF/4eedKVD7fxn/cHYPxlvQ3MW2VvMalFRxOXf/aasQSBGVPlbjLQlaDg39rQPcfe9PnhIE1pwWtcNbEuCWmtwXSS+uBV1LGeR3MdjUByexZN53VeYLIiNAIdewuJanTj/UMl0/92NQOSXlGr4X9JQgugyjLwDnaKwyZOiWUsZyLj2WZSz0I5EiUXHDzPEDTT/dq2eIs5/4+GeZ7zitJE6H/3hYcmRft1AJznaZ9MZIyoB7exgF24Pyxl0Usq3+IsnbLeo9VE7mym5q3ThRNmds86XGd1K/bfaKOUPBv4AY2lDRxfaTjRPwJ/
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?WdIzhOPcbDMoPiB3EWixdVBv5ba5OdwTbk48pJsqdHX11IOG5AI8YTF6bJPH?=
 =?us-ascii?Q?+ohVG1Ew4VN7g2WhQ4APyfnoe3QzWtp1mKBNUB+zeoUkC59aVddYySUeHCNJ?=
 =?us-ascii?Q?xb6gWXtm5PQ/2BgI/jLCx7Ev6YcshMTXRZPyt496GorkmbUknSO8rAqOHEz8?=
 =?us-ascii?Q?vRhUKLXqrCEQRyxds2GWVvMaPFAg5zROUm16KsbXKMaltBzF5n6TT1MFjoV8?=
 =?us-ascii?Q?3RpgxBLyqkhq9RuQuItaaOqxYiaa1szknjDwLrabv3Bl50Pp6rX3rqeq25Ns?=
 =?us-ascii?Q?CMi860icXZMiDk/372iGwkT3C21Yg5ZVgkHasM8emFBpMb1uejQelztZNzjh?=
 =?us-ascii?Q?2s5hYKF84L3nQbMI17b6eJ3J/cnx/dRtYK0Y7Zm4LMGurSkYozQwE8emDeuN?=
 =?us-ascii?Q?X4mNHaxOO09s+kQVQfsXp8eZ8xnC2pYY5MKNwqr88+U9NeRf1/5IiwMqpbF7?=
 =?us-ascii?Q?7InzNNTyiL/CjwKlItd8pHJCqHFjhacp113XHqabdnkS26kMoFHu3PrvtPzt?=
 =?us-ascii?Q?5Y3S/xWacUAstXmHADp8nLg14zXLfLwSTsBNF29OL24IfVIZVp/vE1UHb3dd?=
 =?us-ascii?Q?VNXUaQ2rkkcMRSao//OIlmbLhzVUuvSYnX0Hc4FPB/aoJixSKhxj31Q3clq7?=
 =?us-ascii?Q?RdeHtDKH9fOi6o1VJPq/sEHycDf/strBjPlPDnACKXI/PjOHhsWsf7bUctqA?=
 =?us-ascii?Q?ewvUGkBxBiMbbe13tDVZycGl+76BetJtOp9j3QLeQkQwAU7f7BJavqjSQH0T?=
 =?us-ascii?Q?B5ho0lBvJwbnpZr098J/dbjC2yOHlnY1IA4KqV12DeK3TvS9ImxaBQgrPFsT?=
 =?us-ascii?Q?TV3M34p6LZoJ+jLHviMzrOnI+T72r0eXkku1S+yV5Tt7jQgwr0fUzHC4gL3a?=
 =?us-ascii?Q?w3ldzJ/3TvDznQZcKbKuQ2cy02j3LFyOb3imE/qHd8hchCpk0S2GG9tWSElF?=
 =?us-ascii?Q?w6rnIlOzLjgyEXoLx1EefjQlk/zZeN3XfaU54U4tOWmxZfO1wSJUb8WLWw8S?=
 =?us-ascii?Q?/3+/COZaLf1qKC9EJI6hZvl6zdrY7gJyG+1PNB6LRq7TmEE8czgHzwKwM1fh?=
 =?us-ascii?Q?wKTU8hJrOYqceIDeZKY5qRCi5jleOM/4iLIvnlH0XlkcRC2C56wUMP6XwmPM?=
 =?us-ascii?Q?w+AUnJddLWp6NrqISm80F8tBfFWk+k0osdjfncjRcv3KRwhKXPUyMxCZXCGx?=
 =?us-ascii?Q?swavTAXZ7aK6XtbMg+N43r03xegKN64Znu9X5RhvDAmufVDD9WWzc5aWPVk?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 671e3d41-7c2b-47aa-c661-08dbf056fc46
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:19.5463 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM8P193MB0867
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-const-random-macro-0.1.15): New variable.

Change-Id: I8a4759f2b7dc8aba5a9a4a82e4a597f19e390942
---
 gnu/packages/crates-io.scm | 32 +++++++++++++++++++++++++-------
 1 file changed, 25 insertions(+), 7 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index d42ff60a20..9e76aca84f 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -15127,8 +15127,32 @@ (define-public rust-const-random-0.1
 generation.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-const-random-macro-0.1.15
+  (package
+    (name "rust-const-random-macro")
+    (version "0.1.15")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "const-random-macro" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1nqdbkh0zwvh82ypxyzhg82sgq5nvb204pyz22r2sa52qfrnlzcx"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-getrandom" ,rust-getrandom-0.2)
+                       ("rust-once-cell" ,rust-once-cell-1)
+                       ("rust-proc-macro-hack" ,rust-proc-macro-hack-0.5)
+                       ("rust-tiny-keccak" ,rust-tiny-keccak-2))))
+    (home-page "https://github.com/tkaitchuck/constrandom")
+    (synopsis "Procedural macro used by const-random")
+    (description "This package provides the procedural macro used by
+@code{rust-const-random}.")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-const-random-macro-0.1
   (package
+    (inherit rust-const-random-macro-0.1.15)
     (name "rust-const-random-macro")
     (version "0.1.13")
     (source
@@ -15138,18 +15162,12 @@ (define-public rust-const-random-macro-0.1
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
         (base32 "0h7vvskw1pw5x44sbl74gsi8ydvrj5kaixpjqzxvz8h0s0knwpv1"))))
-    (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
        (("rust-getrandom" ,rust-getrandom-0.2)
         ("rust-lazy-static" ,rust-lazy-static-1)
         ("rust-proc-macro-hack" ,rust-proc-macro-hack-0.5)
-        ("rust-tiny-keccak" ,rust-tiny-keccak-2))))
-    (home-page "https://github.com/tkaitchuck/constrandom")
-    (synopsis "Procedural macro used by const-random")
-    (description "This package provides the procedural macro used by
-@code{rust-const-random}.")
-    (license (list license:expat license:asl2.0))))
+        ("rust-tiny-keccak" ,rust-tiny-keccak-2))))))
 
 (define-public rust-const-sha1-0.2
   (package
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:14:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:14:46 2023
Received: from localhost ([127.0.0.1]:47955 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85Pp-0005F0-CR
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:14:46 -0500
Received: from mail-db8eur05olkn2015.outbound.protection.outlook.com
 ([40.92.89.15]:24096 helo=EUR05-DB8-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85Pg-0005B8-RH
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:14:38 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=b11x8CYrabYMu7irVOTrrSvq1uOw0vMkECSCaF++5qRy+8mpQkpA+IqPk0Z4poelQzQWcqsIqA3qyvylW/5/yPKbfF4rlailZwcnTt3o5npgNbDoi0gOf2dbRm39CYCEDV7jhG6KrodLGOfYRuhd1WUTTcs9VdYsRv36MPnvXzGl88zrkhh+gJbbqp29gMDeKIwhxSm+L32+Ga4qMo4NUC/Vvybm68fnTxBpX8AtWJOl7QRhhQ6gb0mPzu+2wWCRnf1kpMwrUQ5mqaJDiBv/Podbl5+F1y98vs7owSBd9CHoO263uyclVBgQSGFm7QawfeH3z5M1l2L0rh3PS2qfGQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=jkiGPGsDzBVoT6kLK/qgnzeu6f/tOWIKrUe978MPp74=;
 b=Nw4Oj1uooWO8n43PFSfQuXQgV5Sb35nMDNe4SwTARxsFxRP9tX7JTimU3A7W4LpxFA1e0wZmu1KbM09UtoSBB56qb7XuQa07uDoJl19HlRZ5vYJr7OZBQtiCf7nQU1a0ZMBghDRrJpgGGz2qDgN7PcxroND+La8D3qMfyZiqyDiXJyugH7Fgkp1e1RrRE8fZHe3L6fxGn4amcin999pwMn/A0nRm1N62f3ThX0bqSs4xQ06xme35xXsmzQVOPhp++BMzXKWsa/PNwTBRsExQpKPaxrsVxE4K/l5sWdsHyL2XWrg90JtEKTciFuzRbGBN7H8jlSb3HtlDtgtQ0utDpg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AM8P193MB0867.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:1ea::9) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.28; Tue, 28 Nov 2023 21:14:12 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:14:12 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 04/91] gnu: Add rust-gio-sys-0.18.
Date: Tue, 28 Nov 2023 22:11:42 +0100
Message-ID: <DU2P193MB21323DC9929099B586773B23F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [B640ZpZM89lJaB0EyPTRyESkfT1YGuja]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <8c09c5a9313e171f028040cb03db8519782aa5a0.1701202944.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AM8P193MB0867:EE_
X-MS-Office365-Filtering-Correlation-Id: 1cec8752-7b35-4e2d-6967-08dbf056f7cc
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: 81ix2+Ic/y6uqJqbHEV0QMaYsSdUqohOqOhk2UfDrQCJN1w7bIrQAzD2wFEqRHIn8hJlzPGY1JfNHp1/mgLvUh6y0CzuEX5g2SgVfkbz8ayhEtCjSe66D3S8lYfRSp4+ZuI6uEpMMCAJiCGE2QFdRjsdZ8YXUKJwA44exOc7CVC4L8mVj0mpW+IeyrXb8PH/g7J5WhlXngMzH47NBFCaILUjtv5ojJpH8MlHXVdOcKMAUcuao8nf30b5qycO6lZScV1eBD9bL+x7awb1W9LZ4BBAcWw6HoTSu1FDjUH6EsuMUKXkmZpHnfaB+IWH4lsY0G8/nPP2cpDWKwuBzW+FgYtHivB5prz5gJ2LLy5kjhvPDFHJWz588E28mYsXCV6jrNDcjSItNS/0qDgjF/siCIpi7mY5yS1VPmd2b/wPN53Y79fu5RwpGYvd/L8gNU1TWNc7AnKw5spxhPKKFk3VieYq4UZG2D8ZXh3uh5Y57eDhQYT4LABXJUSr8MptCLCDnoHW8oKLkl8JVYsKaRrPK6aWAhYpm6mjyzon977gsTYhOOFgR12/1qFdJEdf0TfUDN77/n2SXG0bOFcPzur+jkVWPLwlsUrgiZRhIrXnhLg=
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?TMu+7RQyuVaSQHXW56UT/icZ3jhrLuwmtyjABRnkebbd7I2LcJrEGMrMhNsh?=
 =?us-ascii?Q?SJ0eLb6i4n6B275DGnadaVsg2TSYbTvFsdoOo3bWS3vNgiwubjVOj/DCUkO8?=
 =?us-ascii?Q?QjG/l8TYpOD5EAzi9Uv9HfH9HvaoXkYdUmZ45LnXL6jmewtivpSZ3DK3s+RB?=
 =?us-ascii?Q?VxjwqdQMBWMZq0Yh+xG0GyYq5Ibm7X9xlvnPgikQ68RzOnuvAD93XS3X4rDa?=
 =?us-ascii?Q?g2E+KH+tZnc3s3VRZdlpqEZcW4alb7xuKGgQtLwiaNFRwYLnWXGqzWgIUeRf?=
 =?us-ascii?Q?zVggjXEim//fpb2YLrdE+nEDgAzDqpFknwopcBlOU83OKsR82GUEGHaRzqFV?=
 =?us-ascii?Q?xknC4YHF+1tQ1IMU8uf/EZG2Iw3PWcVYb8E9AmxUndh11pyPXxdVmJkHhizR?=
 =?us-ascii?Q?6rmoP5AsLN+3rm4aQMR854jA+i3W8QEX3Vgwr1KPLfjaOSUNnRQqeoLQziRR?=
 =?us-ascii?Q?WCVsBzAYrTVs4/NHJCSy8Ehg3EapTnGTR3q25IAj3fQe7KeqYPe4VprxrKjM?=
 =?us-ascii?Q?0GTh51eXVpACDW1SH67SzgaADbKsdAGHRNvm5zC42/Y+P7RotKU1KL+TrPAq?=
 =?us-ascii?Q?MWtc9gigzM9OZcAFZowhY0ploCYYXM5lGSr1Pht8EknlxrbKcFACnarOs/jt?=
 =?us-ascii?Q?I+UuGHuvXFMjTM6q7Kh0LGeLAmaP3NGeHw7Hbm3FQMd9wXYWzKzwoglfRv2a?=
 =?us-ascii?Q?1A9W1tY5RNqbcibyk8POC+OxDRbziWYBIuYYCBFF4/bno/w1XvJKPQ5UF9bq?=
 =?us-ascii?Q?basntXJA+wB0KCQ/bCWr/KTKm+/sQnnLQ3PIYv7tCLrTrMWOO3kkQNbTFdMH?=
 =?us-ascii?Q?NzIiUzRs9frizPOLVTSAjGEbTvBCr8DMERcbyHic+kxb+qE7UdW9xzLA3224?=
 =?us-ascii?Q?rNRh48vO9A/79VQrNDMpGjoQ68Pbr8qUwX+odeb1Kpik4xb7ragxRyBfrFh4?=
 =?us-ascii?Q?cgvRqcI9WpEVjcT/ThakXvQngwk3YtEwHcGbjPABv2HSwppxiv2YXNoWqfdq?=
 =?us-ascii?Q?3fY16FNJV0MM9juGR1/Ts3uBqXUCh41bH0esNipwHWeNp+8R8vQRbwCs/2Nz?=
 =?us-ascii?Q?cIUm2heQCcIGvK+Ej5bTzJhmSTr51Iy5ZXPEmDHvsjii+9Wd7DGFizcxCi5l?=
 =?us-ascii?Q?BFi32O5ONQHEbrPNAVkggiJA1aNzHg2bUaMow49m3BBe85dW7LsWfphImN5J?=
 =?us-ascii?Q?VVBpgW37T22kIIcE82ez9hkbiDodlLqX3fkE9fYs+lIfHqsRBKAjAICi8Ko?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 1cec8752-7b35-4e2d-6967-08dbf056f7cc
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:12.1263 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM8P193MB0867
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-gtk.scm (rust-gio-sys-0.18): New variable.

Change-Id: I923a6a4361c1c8e420e2d947714bfcce326cb772
---
 gnu/packages/crates-gtk.scm | 51 +++++++++++++++++++++++++++++--------
 1 file changed, 41 insertions(+), 10 deletions(-)

diff --git a/gnu/packages/crates-gtk.scm b/gnu/packages/crates-gtk.scm
index d8d223aa37..53bb539c80 100644
--- a/gnu/packages/crates-gtk.scm
+++ b/gnu/packages/crates-gtk.scm
@@ -1027,8 +1027,48 @@ (define-public rust-gio-0.8
         ("rust-serial-test" ,rust-serial-test-0.1)
         ("rust-serial-test-derive" ,rust-serial-test-derive-0.1))))))
 
+(define-public rust-gio-sys-0.18
+  (package
+    (name "rust-gio-sys")
+    (version "0.18.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "gio-sys" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1lip8z35iy9d184x2qwjxlbxi64q9cpayy7v1p5y9xdsa3w6smip"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs
+       (("rust-glib-sys" ,rust-glib-sys-0.18)
+        ("rust-gobject-sys" ,rust-gobject-sys-0.18)
+        ("rust-libc" ,rust-libc-0.2)
+        ("rust-system-deps" ,rust-system-deps-6)
+        ("rust-shell-words" ,rust-shell-words-1)
+        ("rust-winapi" ,rust-winapi-0.3))
+       #:cargo-development-inputs
+       (("rust-shell-words" ,rust-shell-words-1)
+        ("rust-tempfile" ,rust-tempfile-3))
+       #:phases (modify-phases %standard-phases
+                  (add-before 'check 'extend-include-path
+                    (lambda* (#:key inputs #:allow-other-keys)
+                      (let ((gio-headers (search-input-directory
+                                          inputs "include/gio-unix-2.0")))
+                        ;; Tests rely on these headers.
+                        (setenv "C_INCLUDE_PATH"
+                                (string-append gio-headers ":"
+                                               (getenv "C_INCLUDE_PATH")))))))))
+    (native-inputs (list pkg-config))
+    (inputs (list glib))
+    (home-page "https://gtk-rs.org/")
+    (synopsis "FFI bindings to libgio-2.0")
+    (description "This package provides FFI bindings to libgio-2.0.")
+    (license license:expat)))
+
 (define-public rust-gio-sys-0.17
   (package
+    (inherit rust-gio-sys-0.18)
     (name "rust-gio-sys")
     (version "0.17.10")
     (source (origin
@@ -1038,7 +1078,6 @@ (define-public rust-gio-sys-0.17
               (sha256
                (base32
                 "1hr84vgpz1hbs9q7wgvpnwhbxwh9kim0z5aqv6v6ki0j1b1qgkqc"))))
-    (build-system cargo-build-system)
     (arguments
      `(;; XXX: Tests are sensitive to the version of glib, even though
        ;; the library supports a wide range.  Skip for now.
@@ -1060,15 +1099,7 @@ (define-public rust-gio-sys-0.17
                         ;; Tests rely on these headers.
                         (setenv "C_INCLUDE_PATH"
                                 (string-append gio-headers ":"
-                                               (getenv "C_INCLUDE_PATH")))))))))
-    (native-inputs
-     (list pkg-config))
-    (inputs
-     (list glib))
-    (home-page "https://gtk-rs.org/")
-    (synopsis "FFI bindings to libgio-2.0")
-    (description "This package provides FFI bindings to libgio-2.0.")
-    (license license:expat)))
+                                               (getenv "C_INCLUDE_PATH")))))))))))
 
 (define-public rust-gio-sys-0.15
   (package
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:14:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:14:45 2023
Received: from localhost ([127.0.0.1]:47951 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85Po-0005Eo-Lq
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:14:45 -0500
Received: from mail-he1eur01olkn2072.outbound.protection.outlook.com
 ([40.92.65.72]:37250 helo=EUR01-HE1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85Ph-0005BE-0H
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:14:38 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=TJHeqhiGD4lUfOMZq0b9bu/8J/3jJWyjholA2puouG7HlBLdABBcDeGiy1jSFI/DhfVBKBvyEnMPZpB2bsuvjDM+qmKFsEZ0fzqROpOHr+blTx1XHS1zohjdQ5FiMzr3CZ444IQpT3vVoacgd9BmAUWXzOAmgw5+NpVzE8M1nXfZ9ktijbRUgVlBu6roD+WfUXH/Jze1/2xA1f573+94kaPyKiR9s034V8UTUDtEuW4qwEh3+L6XhY+LWGKN8PoN4+SKZndzEGR1rTBslapo2MlGy3VDxEaLcymbp8eiI/bKlGl6rhnZZlPDH/nbuwNZITYAyUskSM3lM77bbC+bsQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=x9g7LKhYfkUqMumFf728E8oSCdMgAn+S0i14A/d3jBE=;
 b=G6aIFeFcl99CmUsBmfDNduuR6yi340+jrIgd8P/fWYvRaDRAso1EkEbnB7eL9CwpyjCVjiRDsT0X87dTpVwf1oqOhzjqdVWToi2Z+ZVgPZ8oPqz2mYbOYypKATweCSt/uovm3G6Vg2n2Ta0L/ddPrgIunN8Ca+wrCsJU6vTKVPdd7XA/rH2t8rgakUvtmBFqSGo/lWz0O5pGe6PQx3qEQkkREiSZ3Klw5mq1sslSVsYB0v3dHMwwceQyrefpk52NaaihaKwq0yT+J9IW+Gw/6hwbIo2JpSxwNkcgRbJuBl+W8ShdR0A1+wuTL3msMA16mqcg6nOM7sddT/FAkKy87A==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AM8P193MB0867.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:1ea::9) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.28; Tue, 28 Nov 2023 21:14:19 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:14:19 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 14/91] gnu: Add rust-pango-0.18.
Date: Tue, 28 Nov 2023 22:11:52 +0100
Message-ID: <DU2P193MB213222082DED2E71D250B54EF3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [ZnLgRjoHUxouWidNKgGdbt5FqqLu4Qs4]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <b5f34b8b58ec27594994e2e11e535fe9cfff4664.1701202944.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AM8P193MB0867:EE_
X-MS-Office365-Filtering-Correlation-Id: cf6392dd-e1d8-4402-4663-08dbf056fbdf
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: 202thTGBbZSWpy3q5sTIWMDIe1FvvHF5rxacLA7rvZEJTb6GIXKw7SooqaRfCiCfFtn47IAf/Crs1MkS41ejpAwENu5M4HnKa3MrkE+kCr6v/y1sRbPuYQFW3ouDnOTqBkAeIC7XHoKKpG1IklSUPsLHAtHxLfaK2GwK48wLSLEWJiwfTa/g6ie3xWw+LxED821bF3z8tNR2tDXn3vWR6qpwPdNZuKBV5+QmMrVhuNYWqwGzhIhp5tB8UClzoyo2fb/ungvLqscDed1w/u/Hx0xqYbGbfu/5FQV+Ys1XXDzhZ8JfJGZiEXM6kA82ie0AtP+2VpEwtUDfluaYL5q6KvKlpFLCF+qmnEbFyuc8X4xQ5I5hSpAM4Eg6VMJInEM4mIS0/z1LuZ7X8GTO755LS9O47+Ap4dKVUh8haOxwofJ0ZEnBB5+O8KaNQFaboLoW2XgKOYks/6NuHVbWuOK39imsGoFsvOvUUDjvmJLltUXZQiaCHfJ3AHK8+6CkJ+uOnii9Sklq0KE2TegCKXhz+lkcakS0KJ+WWtiKQVJzhgYVU3alCsy0vSjoXlG6m5rFgqlIyLThJHX2QnfJHpAtn+pwYaCui9aGOUV3UODBgWI=
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?iwEsvjY+zrev8iAoa1Shkl6hxwRkcicz7oQ4OzGSQQoP1rt4V9fYQG18nahF?=
 =?us-ascii?Q?T0fKgZ/oepGtFukJcq8Z1TMwYgtFx1t2SJMUux/HdUPytlgtUoCHxJ6aCwR6?=
 =?us-ascii?Q?TsHdTK6vZPY63sRXqo4MtHSvG3iz8shwcxzx9HwRTLOGI8Higx6JFP08v8Kd?=
 =?us-ascii?Q?eytHc/ZxYxKVIf7RMlnvpznDhVRmRmP3gwSLp7YR/MS7vrR3ig7DdH+QTPgG?=
 =?us-ascii?Q?j3k7kQntGerDO0wxc6YgAB/ZsvoE5Atea9QI2xz1E33KWs/v/H6O57VIYKzN?=
 =?us-ascii?Q?fGqPAQo3bU3qG/yz5aglZHaUSr6edzohDFGL9IbB9WJ7vxxGOiTgqtg6Eohc?=
 =?us-ascii?Q?2C4EloQtUV10f+o9PdqqYBD+01dMFoEGwSugTgAdQ1Snx2qcbeE1g5bDAaiQ?=
 =?us-ascii?Q?xgD5+g7bZAfuAqOL5IRD+xteK+32X/JYfOWLMDBhvivBJG8s4af6rGb33CL4?=
 =?us-ascii?Q?bfxlvgEcdidtJkqvDmN+Z8z1Hsm55BBu2DxxPmfBFNL3ok8nfjtL0HOmA5K7?=
 =?us-ascii?Q?Fl1LHaRrpAVp1zAoA2VX5dZUy51kUZq8I/SrJTrqf2H3KGCjH1yEHk51eGKC?=
 =?us-ascii?Q?2sJz784pXnIFf1Ds3hriLmP2CtbMjxmoLI5WdQ6NFDg0IyZo53FQafVbo8zf?=
 =?us-ascii?Q?BFiAUbaER3oBg1JgN2VMIdwAd1mx20AUM/YyQGfQ76DhrG7CfxTzOJ2pchxZ?=
 =?us-ascii?Q?MdyNnoGDiDqqjKkytKKKgbj1IHrZYbkpNyuRZHKdNU+G3usF4QQM7DSKH8mo?=
 =?us-ascii?Q?xp4AeURutTXykHBEN1CyQ6zlgE3LMJiwH+4egyeEmtbSfDIB3SzJE6xFn1b+?=
 =?us-ascii?Q?m1IglBs8L96Zi+lf8kTsvwqYlUp+OaEct0tnkp3lHup/ocOIFKOUaz1f+GcM?=
 =?us-ascii?Q?x3eT+4o5eh3bJufUxz5GsAXG6mpL3A+FbrR8xL7saF/lbF5ecih+mP7AA0L3?=
 =?us-ascii?Q?6LwVEwlGitMhZArlPqU7Bna9PpRFxUOLjgBCeiyd9mt8hzkk2qiw8s4QxRCj?=
 =?us-ascii?Q?Fgu2Hn7i35QduoIEMB7U3lSAR2w2CIRt2sURCB4qrD/WIPi/5uEd0qOPJLqi?=
 =?us-ascii?Q?oYaORu5N6JK90PcSxixgpAzdEa9jxn+n8qZyIuK0hZv7HQ4Dj7IHvxCjQFGZ?=
 =?us-ascii?Q?a/4+dcX0XFtCP/HW+Ni/e++SjW4a3nX0fn68qPDzR+gDJzEIDcB20n3+NDqf?=
 =?us-ascii?Q?TmJKkdPXVwzlaccjWLfEllwx27wiTX+lyPPBtHipZPZGNYWrmAmY8nqmsNY?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: cf6392dd-e1d8-4402-4663-08dbf056fbdf
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:18.8923 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM8P193MB0867
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-graphics.scm (rust-pango-0.18): New variable.

Change-Id: I586c4d00af804d66583ada712ce34a2a0d92e156
---
 gnu/packages/crates-graphics.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/crates-graphics.scm b/gnu/packages/crates-graphics.scm
index 83ace15b92..258fe2447a 100644
--- a/gnu/packages/crates-graphics.scm
+++ b/gnu/packages/crates-graphics.scm
@@ -1860,6 +1860,31 @@ (define-public rust-osmesa-sys-0.1
     (description "This package provides OSMesa library bindings for Rust.")
     (license license:cc0)))
 
+(define-public rust-pango-0.18
+  (package
+    (name "rust-pango")
+    (version "0.18.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "pango" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1l82j97pg7hyq2qnflg3lzyza307y8jvi5h02q3340qxhd5yba86"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:tests? #f ; `Errors` doesn't implement `std::fmt::Display`
+       #:cargo-inputs (("rust-gio" ,rust-gio-0.18)
+                       ("rust-glib" ,rust-glib-0.18)
+                       ("rust-libc" ,rust-libc-0.2)
+                       ("rust-once-cell" ,rust-once-cell-1)
+                       ("rust-pango-sys" ,rust-pango-sys-0.18))))
+    (native-inputs (list pkg-config pango))
+    (home-page "https://gtk-rs.org/")
+    (synopsis "Rust bindings for the Pango library")
+    (description "Rust bindings for the Pango library")
+    (license license:expat)))
+
 (define-public rust-pango-sys-0.18
   (package
     (name "rust-pango-sys")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:14:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:14:44 2023
Received: from localhost ([127.0.0.1]:47947 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85Pn-0005EV-Gq
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:14:44 -0500
Received: from mail-db8eur05olkn2016.outbound.protection.outlook.com
 ([40.92.89.16]:34845 helo=EUR05-DB8-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85Pg-0005Bb-Ci
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:14:38 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=L4I2LdedwISAbexQ9r5Q/0l5Z9fmH5AfZBn5DZKjE3NThs/Yw4nvOMUJSqLfwdc/qySI7sqMsRgGkBDFuIOtIsx/N/VUkVMcGcpb5Ht01iCFkTac5C4PKrzX1O//92r8vxrt3JmXjag5E661biETbl9IsRr0qEyc+wibFPWoPQs5VZBox9qbWqd09I2f8guLSbWgVarjzYzI0Nkezlwd6IjPvVgk13vUBMokhdyV/uwQj0fKVfNVgZabcq3bkVKXhvgsdmFgwt488fYMq3WOo9C8G5KbMWXgePgl9GiaeuxDQaDvdp0n1orqu+JdfAOLlXpWHF+JK5Ggd36zydyGOg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=A7cdFBDaXRf5Gt61yu0Oae2jqZfj1VPG1ktIEYgBwgI=;
 b=azSRABx3vvIjlXST/XNBHNa7vYef6Btl81IToBbrscJ181wnC72AsS796oyjbLvIfr/B7zlsxh4COpVyL8/yItmJoz4zJwLNRz+fCFcEe2vHdTun85SsW3M86zAMmh8+rfAwUNJT3qWEtzZ77hbc41ZqN0kHoca0OkieKpTXzvt4yYyoswdx/Gh4omqf3en01fM/XT297bZ+5NX/55rFJq2m2PxqH8vJy3qXyF6rQF2G/5KQzszSZVgpZSz8XOwaiPFm17/KnShS/mk3zaKcWUzvlZq6Wl1an5XE4wtCCsLjrG1kQTn4AROvpKkbmYKBt46/fg4AZAFCmtpxhqO4DQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AM8P193MB0867.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:1ea::9) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.28; Tue, 28 Nov 2023 21:14:13 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:14:13 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 06/91] gnu: Add rust-glib-0.18.
Date: Tue, 28 Nov 2023 22:11:44 +0100
Message-ID: <DU2P193MB2132EB9F5C8333FFFF2B082DF3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [97LLq3sDxhwVhpssP/HHr625xk1n6l2L]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <4511204693b1c1162f1112925d2f9e954611bf42.1701202944.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AM8P193MB0867:EE_
X-MS-Office365-Filtering-Correlation-Id: 710a8bdb-db58-492c-24b1-08dbf056f89d
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: RWxJtDCNcnj+MsljUo7R7chS90mioNZfnhJ5TK46BBkXJkIWrrC1h9GZzzJEDuufimPRteiHdSey+G5KtRP/GxMQcotl1gAERVODVH0OiCzmMx6TsE4URFNN5wNvsZ2/Vj6mOjpNK8VIYNekjjtfie0jP54ScFUpfHvksLiqj8yBkmzT1Mk+nAiLJ23IVWNswrmu7in6ja6XerrN181e2FGVOZu6NhuX8L4KRFIUm4wf7S0ODCTiOxW1HD302GdQ7slN97duVUjtfC11EQmH6eGzurapv00vam1fn0r1wMCWLyE1lriJoKzL5f7gI0ahYJR3E5P+tIH5aR2/Wz5rt57n3k6Bw/qDklPQs135mmCildvUQs55P54uWz8yNdmKJiOXQHIYRWoEhw7x/Mibd3pAu5KcsAkxt6D7K43FXKi8fzmoOPkVztp009iR4fuPO6YTRUlSbis/Z8fyooRsmIarFGTatbWsK80+4GV4xmdZv05JP9eQC12nMRHcHNLE8X+tdBST2mePAKmHWN8hbFYODKFUgo7VoAQ4w74jZhznPE0XsEyeBRYKptDn9mxtp19f5SF3TklF6uWUCURf3nyLs4v47y8J1bhSwUEWYVI=
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?tpBBndSjqxBmTxgBcxXOPLcOoMl/UaTrKxAb0Sk1EWOJsFGgEDV2ldSbRNZ7?=
 =?us-ascii?Q?LN+6kMpa9ethax0DdnLr4JNxUJyfJoGVlhwlE/IHZExGM1W3iRFwcgouJ00T?=
 =?us-ascii?Q?GNuU2ZgxiSukXhlpKF5ZuDdzoV93fQBbcV393QyU0K4WX0vzrKy/51I15T7f?=
 =?us-ascii?Q?1i7QRRGr8V97ZV9VoZyXcBHDLUFLc1I/EC1H3nhpxpz3clELaa4EmkAPvV8u?=
 =?us-ascii?Q?mg3SZrmlRkv6GifHa1nP8eOH4kUBAkGAgPw5jMovzD8mgWv/pAIzNcbP0UN4?=
 =?us-ascii?Q?gk16srQG6iN1yq2nQSayKSwtWhQdFuKv/bG8XBPr2gAhuqlfAnIC6rf5lHnw?=
 =?us-ascii?Q?nVFoi78SxVR+OOxs6EFYwb/a4dQFx8pLQ/wlzpyfM0WBR5RxWLPxhKCMI65V?=
 =?us-ascii?Q?sY4rnwfyheUIk9QeH5VzilHwXg7PbQlysr4zZ9zWWILtk1QW2UMEBTpR0oWp?=
 =?us-ascii?Q?5/YjvuCb1dB3X1iozof6pW321VSCFW+zJOY90RnBjcO67yrpdKSGVdiizZjq?=
 =?us-ascii?Q?MfRE+ws4KVqCUMg/57ndNM1gRPdoBx9syAH9WTWkDkD7Pt/yTgGCyCdK6dUH?=
 =?us-ascii?Q?+OMGr5XNnq5ryPYDrDXYTzDwHlLF3+PHufl82s9cqk6iK1m+QMvqg6sXWupe?=
 =?us-ascii?Q?HoQGY0i7N6LZ+cv8fBCnZOojfEDRMC09MByJmaEdkd68EKxhgEy+g0EFyXc6?=
 =?us-ascii?Q?9Dmh8HDvG14PqHyJU8qZI5EMESlDGnD5uIGrijlhb0fpgoSvYUCqKc+SkYeK?=
 =?us-ascii?Q?pgO+txtjkeEFcpDJ4W6Cp4guU7fiHwPvc+AnX/P6sFdAqworGHOcUZZQKnas?=
 =?us-ascii?Q?5zWI2OCdjk5X80glRjX5Yj6auF21S8ITkZG8Izu0ayLlHgqNQQRJNIp381wW?=
 =?us-ascii?Q?nKr226hhZUb6PXHqiqXgnfGRiB86KRQUGLOnDnOCEv3X7YK+tEOHgWtk2EbD?=
 =?us-ascii?Q?kJczssuw4TD1sdvogi5bjKI+pGanHn6Si31oFlSq+2ESVw5NVW3W0Y7Zxt8o?=
 =?us-ascii?Q?mPxiiq04JHf00m6+35/kdVYOSKW2anE54zf6/QaAAn/Ai557UKOX+2RaMoqQ?=
 =?us-ascii?Q?aKnqKLYpACrMJbMgASGfGEfppUX0MgMkrl4KX3Msz6wqOqRd72w6BtW2xYKG?=
 =?us-ascii?Q?FoZbnhHogEG1CJFjrHgUGWAvN1yqg2oGiSuoZ8ExSTg6YyhYHgITgWSuo+Hr?=
 =?us-ascii?Q?eIIDzo9CFGT63QHKxRBc21YG2P1D6WzknLljkdkxy7kkLfdBZIxOLZo9hBU?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 710a8bdb-db58-492c-24b1-08dbf056f89d
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:13.4415 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM8P193MB0867
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-gtk.scm (rust-glib-0.18): New variable.

Change-Id: Id438a37765cc5b00145503401191f37259b3cdc8
---
 gnu/packages/crates-gtk.scm | 55 ++++++++++++++++++++++++++++++-------
 1 file changed, 45 insertions(+), 10 deletions(-)

diff --git a/gnu/packages/crates-gtk.scm b/gnu/packages/crates-gtk.scm
index cab580bca6..9de8de3cba 100644
--- a/gnu/packages/crates-gtk.scm
+++ b/gnu/packages/crates-gtk.scm
@@ -1221,8 +1221,52 @@ (define-public rust-gir-format-check-0.1
     (description "File format checker in Rust.")
     (license license:expat)))
 
+(define-public rust-glib-0.18
+  (package
+    (name "rust-glib")
+    (version "0.18.2")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "glib" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "06dxrhispzz20n33b5k2gg723p27rprc87xbxb2ng06f07xnlc8w"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:tests? #f ; `Errors` doesn't implement `std::fmt::Display`
+       #:cargo-inputs
+       (("rust-bitflags" ,rust-bitflags-2)
+        ("rust-futures-channel" ,rust-futures-channel-0.3)
+        ("rust-futures-core" ,rust-futures-core-0.3)
+        ("rust-futures-executor" ,rust-futures-executor-0.3)
+        ("rust-futures-task" ,rust-futures-task-0.3)
+        ("rust-futures-util" ,rust-futures-util-0.3)
+        ("rust-gio-sys" ,rust-gio-sys-0.18)
+        ("rust-glib-macros" ,rust-glib-macros-0.18)
+        ("rust-glib-sys" ,rust-glib-sys-0.18)
+        ("rust-gobject-sys" ,rust-gobject-sys-0.18)
+        ("rust-libc" ,rust-libc-0.2)
+        ("rust-log" ,rust-log-0.4)
+        ("rust-memchr" ,rust-memchr-2)
+        ("rust-once-cell" ,rust-once-cell-1)
+        ("rust-smallvec" ,rust-smallvec-1)
+        ("rust-thiserror" ,rust-thiserror-1))
+       #:cargo-development-inputs
+       (("rust-criterion" ,rust-criterion-0.4)
+        ("rust-gir-format-check" ,rust-gir-format-check-0.1)
+        ("rust-tempfile" ,rust-tempfile-3)
+        ("rust-trybuild2" ,rust-trybuild2-1))))
+    (native-inputs (list pkg-config))
+    (inputs (list glib))
+    (home-page "https://gtk-rs.org/")
+    (synopsis "Rust bindings for the GLib library")
+    (description "Rust bindings for the GLib library")
+    (license license:expat)))
+
 (define-public rust-glib-0.17
   (package
+    (inherit rust-glib-0.18)
     (name "rust-glib")
     (version "0.17.10")
     (source (origin
@@ -1232,7 +1276,6 @@ (define-public rust-glib-0.17
               (sha256
                (base32
                 "0jqlipn9zixj8fpqlg45v0f06j2ghdz72cml2akcxlnlm1dx9ynk"))))
-    (build-system cargo-build-system)
     (arguments
      `(;; XXX: Tests are sensitive to the version of glib, even though
        ;; the library supports a wide range.  Skip for now.
@@ -1258,15 +1301,7 @@ (define-public rust-glib-0.17
        (("rust-criterion" ,rust-criterion-0.4)
         ("rust-gir-format-check" ,rust-gir-format-check-0.1)
         ("rust-tempfile" ,rust-tempfile-3)
-        ("rust-trybuild2" ,rust-trybuild2-1))))
-    (native-inputs
-     (list pkg-config))
-    (inputs
-     (list glib))
-    (home-page "https://gtk-rs.org/")
-    (synopsis "Rust bindings for the GLib library")
-    (description "Rust bindings for the GLib library")
-    (license license:expat)))
+        ("rust-trybuild2" ,rust-trybuild2-1))))))
 
 (define-public rust-glib-0.15
   (package
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:14:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:14:43 2023
Received: from localhost ([127.0.0.1]:47943 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85Pm-0005ED-MW
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:14:43 -0500
Received: from mail-he1eur01olkn2072.outbound.protection.outlook.com
 ([40.92.65.72]:37250 helo=EUR01-HE1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85Pg-0005BE-4Z
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:14:36 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=QU/MZ9kBnZEbIdbZ7LwdFwEwlPJr6xhk9LjlVzhu3idG/5vdLzM8/lTog4X2Kou46n+K0xoh1vUwOLK+dTjwA69xCqRlFk0E47N/RdiKFm4LFHth42+u4Cbe+YzYA6z61dhTvQumpypoXKMSOLXHuZYW+gQdp9M/ItNXoglQDleK7qACYgOSCwFlgwIQU5rSNDCWjqIi/R093VpPnhuAoO+PczTM7QBx1pc/cfcbT9SXLaKPGxlMzUYENTPxSMxyogjSf82BuO5qgs5xSyAB28iCtxOoGdoRXh9ijKLZKdUUlnJ6Rq96t82OydOCft7pBbXd3adnMmQ/Vbaf8AjLRg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=6HBRk7K7swMJsHeK2urIDSxYcXxPjAwZR/CyQP8PopQ=;
 b=n3zct0+9nPQPkh3ELGynWdd7miouO5Ed3Za194TyvSEMlrj79EqXVQ8tQ3o8HhFaoLX30pVNPGqmoJ48SoA/AQLFGKfqIMl/nFcYzzF1MYYip0kVf1HqKdYDGbjObia0OjxecZL0jaYogsBeSFdncg/fqLE4VfvSxl6djbssdyM1E31SVtVj7brSllG/qPXpc5JSSsrz+DS1PyYrOyIeuPzLy9tmb3RAThRydyEg4NYZna3Gq1zBdBP2UksxPPJs98Q6dqKB1bMDKP3i3nEVg5d+qBAz9iSSGHHCWIMvR2qIRPBFXXRHcrBZR5/2TnDiDGaXFCqeFDgQDnNdNh/7Pg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AM8P193MB0867.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:1ea::9) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.28; Tue, 28 Nov 2023 21:14:16 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:14:17 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 11/91] gnu: Add rust-graphene-rs-0.18.
Date: Tue, 28 Nov 2023 22:11:49 +0100
Message-ID: <DU2P193MB2132C00A69B97BCCD7F3A838F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [ijEl4hjfQhx/iECc5R2RLBREevRJuJVp]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <4f8522d26ca7cea1646852a760fea3a37a40b227.1701202944.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AM8P193MB0867:EE_
X-MS-Office365-Filtering-Correlation-Id: 426a85ab-7da9-46ee-d151-08dbf056faaf
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: l0tAuydbI1FevAN04DUyjtU1yI9ITEe5UTUxfWJIlX65HPj5padyp7BsMmtUtJ+sqfziUMS++vGr6W+1wCfqjlbUQ0V49ZTyI0wJDimw5WFsAULUSo+3VOjkricMH4vymc4Dapx5y87GHMaJPbrAyQDDgZGBYFGMNFlDHioOnWepMxVChIiUT/0hVe4oRMQul1/dkMNpPvQfv6srUA5itqM7k5tZoPy9+6lb+McGJLKjb+hAJ12b7hvS9Pt3nW6VMGwyYaPCND0odpjtmzYnYOS6acvagm59s8Allo5osUjzZjBhR3q/3Jme7ROF99gXI+zwof8+AtKQdWT74kDNDMUsrg+Oq6BxmMiS7AVOlvoFLWJI73m2CqaFQqHE5mQBv7qdmK7J/4gcai+XZyz3qGb0RImXHCse7UVpuEjh8mxSQYtoVR4ZhzB/4mUsLb2GEJ4H0gzcIfvxMx2iW8iio0e27JtbqKZLXDQuzqdj7QSwqPA8OTHsm5+HjAbNjq7FXLXmG4TDIehuQgLYXEH3GoG8Szc0VYdWaejJJYeCbnIAY20Wwhz80FKZuh27fPA1jdIRENKNDb4cNxqbZwSr8Ma4B29+6qOKUdwHklOV9Vg=
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?qC8sgGSemthj/E4qbPS2Q/2649JvRVfpHgoclykFe4DoHyu+Z4No4fpd9Q9c?=
 =?us-ascii?Q?FGTz+vMsAZRZzJvl6zKm9AkGT+weyLlWK4vw2A9j9fDb/w0uYecT0u7ZUL6R?=
 =?us-ascii?Q?UaaEdM6blYAWliPCQQHILk239mj5B0GvLqLFTFsJhp6lPmxSVcDKYpQPKXh5?=
 =?us-ascii?Q?chJFY428dIeTAUKyne+X1dzYPlBtIRouABGB3dQiT5lSih6TOyN4TtcC8wDe?=
 =?us-ascii?Q?TPdADkXJGn4Usaxou98u6r42wFbF37ajRNCdk12YEZZuXTVZk2uRVzSmOWx6?=
 =?us-ascii?Q?l+HhpVB57G3c3O4FHXusEvKqzkRP9tGjfvngVbD81eq4anVU5oXFxavuJN7b?=
 =?us-ascii?Q?JeAYrPoHuivRDpNd9xMcAIwIBlavMse93fYr/waOIChhKkW9A1Qyxmp/zdTu?=
 =?us-ascii?Q?Rn0KfyLEaPkZSghXC/iY8LKq4XWmhNHqTVq2RbhXUrgmMu+bBfhAD3NjVTBX?=
 =?us-ascii?Q?Peok4SIQA52nlTkeR0B+vMbcce55V/3r5KpC+tE99N/8SdB76o72lr9FT5JM?=
 =?us-ascii?Q?XZK93lf7uVYac0a/vQ7oZuJiHgwyQ61dHZ7nE1KOqCy9kiPve5Xioiy6E14w?=
 =?us-ascii?Q?twnG3c6/n5KbRJ4+Z4afTkqmx6qp2m5YJFAUagOkmu0x7BFIKhAWuhdb8RhQ?=
 =?us-ascii?Q?W57yHJc3W91Ls11MUrJGN/4s1bGE8kAxsAFzvQ1AJ/Nvg9OAcgjLSre+M1U5?=
 =?us-ascii?Q?xLgZIev6tdACtEckreIn0ySCwD5/JSRqhpBm+2TFb3Qt438PWC6kmiC2f9i1?=
 =?us-ascii?Q?Z5lqnu3hApicqKQXSAUfNJvdHrPcKFZuOTCm9DWu46c0epDzoW5PW3SYjObP?=
 =?us-ascii?Q?EAUC8MaarRTmmzdeqwyThiW7Y5KMuTu13sBvA3lQ7owg1Pswzd4en6tA064N?=
 =?us-ascii?Q?TELZxme1sDcKC9Y+FDZGF76+MKPmni84Mzr9InMt+uN3PA3tfmSHGxU0gKNp?=
 =?us-ascii?Q?Lw1mBxclifdnHB3zCaY/G4JJ1Eg4c5dZWB8sJVmCUGm6WxgQIGFzCbRf88PB?=
 =?us-ascii?Q?zbo59O4WpVrH+iHWCnTsQRwCdRFBgiaToaXvXQltQko04EOWGXs2OOXRQBoP?=
 =?us-ascii?Q?u+L2hLEI2PvHu65Dj/D6345ob7mKjeEIS+X9BToniYvEM42ZcnLXUG3ltIRx?=
 =?us-ascii?Q?OTJsc+JHX02jqdwS+m4uxaHU3JhEypIhpWTYwOlqCvsP04J78zV1eWMVPC7M?=
 =?us-ascii?Q?9cnBERTD1FIh75SzFOIODT8UBr1r6tNoY5nCGNK3l/3ymPf3AMnHo0/az1o?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 426a85ab-7da9-46ee-d151-08dbf056faaf
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:16.9176 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM8P193MB0867
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-graphics.scm (rust-graphene-rs-0.18): New variable.

Change-Id: I811f6f290a1a789683d024a40222448cd0fa4125
---
 gnu/packages/crates-graphics.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/crates-graphics.scm b/gnu/packages/crates-graphics.scm
index a8c6de995c..d61b85bb80 100644
--- a/gnu/packages/crates-graphics.scm
+++ b/gnu/packages/crates-graphics.scm
@@ -1349,6 +1349,29 @@ (define-public rust-glutin-wgl-sys-0.1
        #:cargo-inputs
        (("rust-gl-generator" ,rust-gl-generator-0.14))))))
 
+(define-public rust-graphene-rs-0.18
+  (package
+    (name "rust-graphene-rs")
+    (version "0.18.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "graphene-rs" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "00f4q1ra4haap5i7lazwhkdgnb49fs8adk2nm6ki6mjhl76jh8iv"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:tests? #f ; `Errors` doesn't implement `std::fmt::Display`
+       #:cargo-inputs (("rust-glib" ,rust-glib-0.18)
+                       ("rust-graphene-sys" ,rust-graphene-sys-0.18)
+                       ("rust-libc" ,rust-libc-0.2))))
+    (native-inputs (list pkg-config glib graphene))
+    (home-page "https://gtk-rs.org/")
+    (synopsis "Rust bindings for the Graphene library")
+    (description "Rust bindings for the Graphene library")
+    (license license:expat)))
+
 (define-public rust-graphene-sys-0.18
   (package
     (name "rust-graphene-sys")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:14:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:14:42 2023
Received: from localhost ([127.0.0.1]:47938 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85Pl-0005Dv-No
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:14:42 -0500
Received: from mail-db8eur05olkn2015.outbound.protection.outlook.com
 ([40.92.89.15]:24096 helo=EUR05-DB8-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85Pg-0005B8-AP
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:14:36 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=evINtsB7BbjkA7cM5NLw5cxJNcisrsI1M1se/UjJHUv3fTdE+IjQGnyH07Cf89qEYxkTs5rmKbIBxEssJjK+we0MMiSy5+WcKXEcFGKHgvrK/VzgrOGH9N9f/OFJ3rGFIq+XfOfCtrDeNZfy000nS94xdr3fbmq9ta/yS5s/ni41zzgicI28nQWCME0sdBY2qbuEOa3gplorjwbvu5zaM1h1KaQNwa5kQpGH9O7aHXIEV5MQ5jjnzD+HloPtVuMWsfFQ+3Nd0gAmqkqi+Dn1L9by9PYqyEOadFIMO8F5gkgqgFBspPQfD8sG9k5xPvRuAZrkFcjY4YEVgiLxYmOnsA==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=+ShY1Yvq7g/letIX/eepfyyDvQ1I81jGbVlIJ0dLvy8=;
 b=JuLD98b8UaddW+7XG3+dXEfSj9drP4h5C8+FF7ZObDPa1hUuWhlZP55Fb5H7RJJ2lGDT8EsxigqlC1KfPqcH5qIw4lMa321JsFVEJEekgEQkE9A6gXh5RLSCosksz0tvEGtOfZIGbh5uDtP9Y3qMlf8ZGxD2ifM3ras2EB3iHkxl89t6BPhwyHetz7nPvxOxiO7Ibi/1mlt0Xr7fWx+Z0gPzdOj5xP/yKL8wLwfrBNi7JKJu5sg/Xb439+MKqIa4uE6NNzwZLLewXchdxjf8luirVZjS7kIk2g7Lvjy1bDx5lFQ9RuIPGihFYi7AKmPmKufJhU7OKi4HwVKHjJMcpw==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AM8P193MB0867.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:1ea::9) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.28; Tue, 28 Nov 2023 21:14:17 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:14:17 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 12/91] gnu: Add rust-gl-loader-0.1.
Date: Tue, 28 Nov 2023 22:11:50 +0100
Message-ID: <DU2P193MB213297201CC435F7BE8DEEF1F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [5XNvdtaxSvrvdj7gSMU5kBwuOib8F04L]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <25577a4bc6af895f67c9ac32e53549d73e24ca92.1701202944.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AM8P193MB0867:EE_
X-MS-Office365-Filtering-Correlation-Id: 2eebc542-bdce-43c1-e9c6-08dbf056fb16
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: G3EMABDQUbzZp6NitQxznpZiAI51MMtVYG3cF4b1UomDEkJRxFNOOiQSVUdcs5qnLDUbWIzde5tVTUxY+fM+KbybRS1LsVDaosclk8SbrX08kvrDrjRQ3A6Ca+JX9xnpKE2w/4if1YgOFiIxvAbkFyVOlE5vJnDYubbcon6ELt9KRBiVJ33dA/Mef9hMHkloFhcFN65jHj0xoNqTp2ANomKKk3suQUSByIjPDJWf+UaFpm/M2OQ36d+VvhXRlGphU38VjmyhLCnrYszFyNs4f06RwG+n3U/lC7i/USLkkk9JHRZ4QA7Ji7wBGV49gGOTcvj8ylscqWREfuadf9sdPc39L60QuBSj4SLQpRanXUCY2o0CYT7zoN6zzl3uPCNE4yqA2Dnt7TKDWJrW/Ixh7qhigZynq1mWdg9JUtOWRV0oIeW5NfNNZCu89e8bJ7lMTG5B79lIturCBKPdph/mUkeQSmqZKps0J7DgatvQbbKG5XUjUCJI23NyWhlVzKEremvMhnTp9Ku5ZYse6uUeK5RvKlfbO31YImH87yYqAM+2AbbfjYtdrwCDgPTWPq5RP87gJvznVR+Qz/x2g/oOjhc0QTlS7xMwz0pfDio2uVVpzcoKIil0xnX/G4mvNacB
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?wYnm+blNMjXVECoesJnyN8ip0yM0OERM3wTrsJ7plYNQ+AHwNZpTLf5Vj69q?=
 =?us-ascii?Q?1cSW/JiLaQJi0Ypd8BN5Hgs+2CBrP+TAsgPObi+YcH/2C+RGd9TVlQOEt2m5?=
 =?us-ascii?Q?6QKl9Tr9iJ+COJxvi12nD7ky0/t0vg84lNiseNqD/CTMTObZWGqYAJl1ZUyB?=
 =?us-ascii?Q?YU4pt3WtT+2xvf4Gadcvab0u123hvuOMxX1GPinhDZk1/gAq7TXNoxbnthKl?=
 =?us-ascii?Q?6dE/fzKNvQHbZel+ahN9Nv5NNSk4PnGkkaNsHBtE5J7PZT+Va6fOX9xlgHVb?=
 =?us-ascii?Q?K5Li+kyRwQY+vloHRDLTIHWcJirzpq1a7lFeUOz4sm2B85c8e3GXVL6Ysio0?=
 =?us-ascii?Q?dTO3E9JoE+SEJqtTFrt62F+/wPb6mVIm/q9Xoow0PApQndBvGW9HPUvml2xj?=
 =?us-ascii?Q?eepBsQ2juvP/lGFfQsFvXN4D77F5xUyOXdMLqhiRc8a+goLT2gtFn0jX/kJV?=
 =?us-ascii?Q?Qnfdv66UCDe3GjQt3uMbZNlheRc/M2Z2G9e1kih9AcoiiqKr96fp5W7q6wSK?=
 =?us-ascii?Q?PPNs6tjUBBWz8tFqkBG/fdp6DTqYWtz8mzNVQz3HpDk9Bw0l1OnI3uxG0ezK?=
 =?us-ascii?Q?Ibl+fHwdKTUJRwRtB6MAP0sN8hVs6/j+4KGmxvV19E6EcpD+RIODpbdFFJNj?=
 =?us-ascii?Q?XLHrLIqg5cePjVIhU9G4BThyONFKjoF3tdpwHNARGBQ6hY2DCUOilPI1ty3E?=
 =?us-ascii?Q?0FLkMGjl9AmqjC7RdAtrRmY+iGWwoR+zYeLX1tLZm94JgkAlAo56VndWLpmc?=
 =?us-ascii?Q?jY2RnAOrJs0ZTxZp/WgmLuoMGsqgBXJUFgt9Hjl0c4e0RcjvDPL5g5TYb49O?=
 =?us-ascii?Q?dElHU3hx2Mf+5gLv8F/N3LC64MphjJ3x7W0V2YfRZi18NekW1vSKLJhWXk5U?=
 =?us-ascii?Q?Mtn47y5TN1wNwToSNPLWEtsEbB08zWqttZj5fwbAZ2i64q5JS77rqbXwOkHO?=
 =?us-ascii?Q?5tbcknk/TmDTXZTfH+ZvNCrmDFZHZ0h0Jn4Ji5bO3XjRjkSxwGEOITIdk6Ni?=
 =?us-ascii?Q?SNlIMbLQgRA3YcOusTZk60VqtPhPqYKlQsCCvoaoJJFc/y4/WVzD6x4S6OE1?=
 =?us-ascii?Q?0JKHhfq0XWbnoZ4HWGfgNA7+Th8+EzDwwLUDnfqXcmrUarndVH5R4zaf2wP0?=
 =?us-ascii?Q?iIpqOyIHyYE7jKbVjRvTEO/fNzlh7plILHXKV9wt8XzPG81HhOr93Kg+TtAr?=
 =?us-ascii?Q?NKnM7zonzhVS4OUOIjaMyhKwbBgQuurNuYjROp/Md+I+NKtEv+keBbZcLRI?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 2eebc542-bdce-43c1-e9c6-08dbf056fb16
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:17.5998 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM8P193MB0867
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-graphics.scm (rust-gl-loader-0.1): New variable.

Change-Id: I646847c502e8a7fef18496697b4dd2a97b97b0dd
---
 gnu/packages/crates-graphics.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/crates-graphics.scm b/gnu/packages/crates-graphics.scm
index d61b85bb80..822e69fb07 100644
--- a/gnu/packages/crates-graphics.scm
+++ b/gnu/packages/crates-graphics.scm
@@ -995,6 +995,28 @@ (define-public rust-gl-generator-0.11
        (base32
         "1gdchvay0k0g931b2ki33mkfixcw4radk5b8sqsm29rahxg3v8ir"))))))
 
+(define-public rust-gl-loader-0.1
+  (package
+    (name "rust-gl-loader")
+    (version "0.1.2")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "gl_loader" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1lwr1gd7hrb2nk67zw4pc04vl4h868r5a7846zjr0548bzfrcbg3"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:tests? #f ; missing `gl` crate
+       #:cargo-inputs (("rust-cc" ,rust-cc-1)
+                       ("rust-libc" ,rust-libc-0.2))))
+    (home-page "https://github.com/maeln/gl_loader")
+    (synopsis "Simple OpenGL function pointer loader based on Glad.")
+    (description
+     "Simple @code{OpenGL} function pointer loader based on Glad.")
+    (license license:cecill)))
+
 (define-public rust-gleam-0.6
   (package
     (name "rust-gleam")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:14:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:14:41 2023
Received: from localhost ([127.0.0.1]:47934 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85Pk-0005De-UV
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:14:41 -0500
Received: from mail-db8eur05olkn2015.outbound.protection.outlook.com
 ([40.92.89.15]:24096 helo=EUR05-DB8-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85Pf-0005B8-KV
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:14:36 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=ikRrdbsBxrOZNQhhNjQYDuyKHDk6B97FCFIEsM/ALvfay2GCrXMAerlM8H0m33NNiZxwbtcp8yGqnDi7tPUBUeIVKV00IIpIQ2d0nDcUZgf3e97iVUg8f4+DRQZctwcNbVrDTeEYp4rwro/06z4MculHqADyCR8ruJISNWOijz5NXUUcgAXvH/77rG2OU9kF+bj2nEAnMlE0bSnF+wITy03vzNlPS5hu4UwH/iVZ4qOUtcL2TvFML34k8Li676RD9E/J5JavXhHgFYtDXKH1n3xYIXA8HghW22IDFzD16+Z4XfoI/kAEhtZLXqWFDbVx3zQwvG/O30mlGsdMRyTAhw==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=017P66cpkj49X2N6kNyc+GmP+esWaeSMtxlwXWY6ECc=;
 b=VMjfz7Pf0Vf3fUhnKk2GEIAqYEykbIRyXEiMwqLrwgIIAKVdSmgdSqAwv8gKQIkTmICa4K7rS/RgF0XYFd3mLE2QvAn+vHibX5vjMFsA/AB5TdTm4etFzyP9kBhEYO6QrNq6YiTlHPzUmtB3ItNSgBU+hkxMZyMvssBcOKvYzpQO5cgFPATdvH3asxccMCFvGs90NgPEREHVPaUFz3+cdVIKYEuT0qciHkBiU6oTgtpVH9gkyOey2bBm9Rb73OFwB7n7LrEJ7afPSLCgrNe2IQmj+1COXhypZfTiBN9W1zMzbmxV7Cfxw5UhX55OdhAmzZDbZC77BTk/KCop2wOwCA==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AM8P193MB0867.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:1ea::9) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.28; Tue, 28 Nov 2023 21:14:16 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:14:16 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 10/91] gnu: Add rust-graphene-sys-0.18.
Date: Tue, 28 Nov 2023 22:11:48 +0100
Message-ID: <DU2P193MB2132D8C51CAEF54564AFB81DF3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [kwIzYNy2iE/7DVZQNJksCqh8l5fk/Ra7]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <b96ede5aee740d17d62b1069aa2418b4c9fe0395.1701202944.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AM8P193MB0867:EE_
X-MS-Office365-Filtering-Correlation-Id: 80276272-e814-484d-2e37-08dbf056fa40
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: k7sW4XmStEd8tuTBsyRo394fv3LL8Inb9FtZpcQDALkRdFJHuHL2KBrMyp2aDeftu6ifYpRSFJxPldHZfapWuNCIcQoAl5aXflY8qnW2G2zFU39h1+mJnmcApFK9uwuSrmPu8H+02WQreydZxlovrZb9iID0O5XqYzZoYSbxyHTDTrk5rdrkpANZypPrzvtj3gPH4ANEtDBS9Cg69CQtrcqS2kO4QTeQJSrcqC51UnNi3pX0AFFlc37JYBsPfVpQlx0whTK6VMOI+AUtebcyKj7Da75iJL7AdPqQaI3rSm/C0vgb0zV/38ZLXHL7WG0hYrxGaoleuQ7dbEXEKKSL9YxsObvy7SsljqlPHAouDVc/1cs7U54ylUcop+aMrtt4YZLVkNQGYALKqsIzaqd9nFuQJEs13yTHth7bWxjXwfjB3QUJdwDVZCxGr9u+5VBg7B0++0n9Zhy/UPqz944xXynfbsq+8yr4xafz/FpQmkC5wdOf+gmjCU1+zoJhVjBmN7cFqBYzAmfyYdmcGPUjgOrcr/wNGbaikuXSuN5iYyYym8LuPyRG7g+3tUB5CJj1KfE1sTHuejyiUTcDmdtFLaKYm14sPg0cSIK7gcJ5jjI=
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?YC+HnU008EW2iiXWFS24WzHAb7uRUj9dK7GlV5UcuNo3He0MGT6gX3NhyNt8?=
 =?us-ascii?Q?abtnqZis//p5dKRpFhXre5MsjCOxlOsgdhlEI3qn2rXcQ+3tEX1MWBCMJwop?=
 =?us-ascii?Q?gwRsOJ/m4Dgr60Nw71qTnlYHzPfWpE8Lqpm+IvgOv31JtnItvyHluGGzaAn7?=
 =?us-ascii?Q?mm2Hqy/q7a4Bujkx+CqkhUY2vYlx1JuNz+5HrcmA2ClVdZxWRIiVEylBJsFx?=
 =?us-ascii?Q?B/RJnD9ZLN4vMI2v9pZfNSPaAJG0DpTypEZrYjbFqdVvdwXEEDatRDv1UYYu?=
 =?us-ascii?Q?fkNvDagC8Sot6hd5E49Oh/ntplS/30GS2fg4B0Gn4dnDZVzChqjai6u0Y6O7?=
 =?us-ascii?Q?BginlQ58u0e7K952c0Iixa5LLAStq4+qUo/N7Yg/tMh/GScwpMUQYF8IvtnD?=
 =?us-ascii?Q?XPWogoq2JlYTJVv3Ek1FCKCcwZIVRczqOmYPnbxNYZTWRGt1DtBh/6c66XuQ?=
 =?us-ascii?Q?cMAAixmF07ueyLpatwiczpwFDlcRNhLAv7z678pDB0SSKkHjM3qGT6MohlDM?=
 =?us-ascii?Q?sEKKW0dAAoQXKAsFxD5cih4Olq0E/jh35f8+tLWSaOO48Y4DRJ9gBhoVfRB2?=
 =?us-ascii?Q?aO2prqXHWOugfbME/kGlAM5txEd1KaCLZNOy/51UmqtpA6WcwddP0ZvuVt1x?=
 =?us-ascii?Q?2tmiGTLwt9m+Hyv0Q1zrPqqdNsKJZzMs7IDxdk7ExTn35NT7OYxHpjL8yaH1?=
 =?us-ascii?Q?meECvJpGxZDi1gyBscbWv+/j091Tsx6WC0wGDFHu/ZqFY48J4djzfSDR6cG7?=
 =?us-ascii?Q?Tpp8X7VOG+zSGuvE9oJoL8sV3aI4y+rgHa+Gp2OIZp0/mVkzt5v6MTZEPXD0?=
 =?us-ascii?Q?8kQe9yC2d+nw87I9qrO9TiiqznLXYEzqM/A71HtpVoJPQrwOHtN1Eft3cd3g?=
 =?us-ascii?Q?x+M6prpla8eg8Lvb1Nbinf510Fv3+fsabYvfrqdtxN4JGj1kvnRl3orI+HdA?=
 =?us-ascii?Q?ucERYGYBdkAkEbdvB8fSThGrRvfiOHQ7ILmgR2oesQn6uBwtv2vD2srbSA2c?=
 =?us-ascii?Q?Gfc3QFG6CnNV7KNCKu5yXEecyCI7PW5oC9ztDn2AB5i+EKbC/BdCfxwh5rG4?=
 =?us-ascii?Q?J9Yum7NRcXkfbenwFB1UDgmvM3CRrIBCuki4yEG0+WIi2Eo+8UChJyLT/xlv?=
 =?us-ascii?Q?aNmvwLAQcLVJuNdn/w6KWSSU6h3EHe0dwuxIZsG0x9vlSP3gnoctajGgtwBG?=
 =?us-ascii?Q?hYMn3Uv/YaiOv8nQzEOBXagsT5fWZKR4YODR8pD6C6vjifMU6VqauPCt59U?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 80276272-e814-484d-2e37-08dbf056fa40
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:16.1834 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM8P193MB0867
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-graphics.scm (rust-graphene-sys-0.18): New variable.

Change-Id: I90fd74b62dc291454b47a606129bfd75508ff994
---
 gnu/packages/crates-graphics.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/crates-graphics.scm b/gnu/packages/crates-graphics.scm
index 22b77121e9..a8c6de995c 100644
--- a/gnu/packages/crates-graphics.scm
+++ b/gnu/packages/crates-graphics.scm
@@ -38,8 +38,11 @@ (define-module (gnu packages crates-graphics)
   #:use-module (gnu packages assembly)
   #:use-module (gnu packages compression)
   #:use-module (gnu packages crates-io)
+  #:use-module (gnu packages crates-gtk)
   #:use-module (gnu packages freedesktop)
   #:use-module (gnu packages gl)
+  #:use-module (gnu packages glib)
+  #:use-module (gnu packages gtk)
   #:use-module (gnu packages llvm)
   #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages python)
@@ -1346,6 +1349,29 @@ (define-public rust-glutin-wgl-sys-0.1
        #:cargo-inputs
        (("rust-gl-generator" ,rust-gl-generator-0.14))))))
 
+(define-public rust-graphene-sys-0.18
+  (package
+    (name "rust-graphene-sys")
+    (version "0.18.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "graphene-sys" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0n8zlg7z26lwpnvlqp1hjlgrs671skqwagdpm7r8i1zwx3748hfc"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-glib-sys" ,rust-glib-sys-0.18)
+                       ("rust-libc" ,rust-libc-0.2)
+                       ("rust-pkg-config" ,rust-pkg-config-0.3)
+                       ("rust-system-deps" ,rust-system-deps-6))))
+    (native-inputs (list pkg-config glib graphene))
+    (home-page "https://gtk-rs.org/")
+    (synopsis "FFI bindings to libgraphene-1.0")
+    (description "FFI bindings to libgraphene-1.0")
+    (license license:expat)))
+
 (define-public rust-ical-0.7
   (package
     (name "rust-ical")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:14:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:14:40 2023
Received: from localhost ([127.0.0.1]:47930 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85Pk-0005DR-2V
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:14:40 -0500
Received: from mail-he1eur01olkn2072.outbound.protection.outlook.com
 ([40.92.65.72]:37250 helo=EUR01-HE1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85Pf-0005BE-BV
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:14:35 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=DaaGfkb7voTjtVmxyPAu2tC9GqmokUP21wBrSHkTXhggAjWH5xhwHTLjdFYqSxEebkRWPbn8zO3wXkkKo9gi12XZXFI01Gqpm/mfRyEmgG2g3E9ej/XWNvhLwmhVbo1626eqaFAgAa5knMbs76RgoSC0HdLqTUghae0Xg9IjBWHn5TM7v36xHkPsyauWKxjiz7vTzCC3QA4l3XX3QM9WRN+yePmXosWaYkLB/MkxHTaAIXRD6Vj5/jJUNCEdvOC1dcyWk48DfIBGSJS8lKJDtUEpiDd9QO6Xty8EpaYDn+DJQzv9Bsu5ycJuB1c8sb0RWO86RvK9bEew3yKGO6skTw==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=VUiUQT1wFDaV5WrZL9ao1pfKIo58KAMt/UsWI7g/KNw=;
 b=mAWquxZy6KJcK46zFSZK2OlVbNHMlcARUdC5A8x4e6+A0BYUHrefc7cKD48Y6sMtd/F5rvZZX/6Deu9qPQdQq8BphXoQdf0w/LSR+aE0UMgYA/i5leSECteNtCge2I7QV7bJEZe2ox4fqjO6gT4Fe9Hyk5UFMUhsRim8ZOYLiMzcIYrQW0JYBV0ZOG332TybKB/HAn+5gOudtd44aRn8JNKVaBBaSGnUn7cF1eYZHlaK67ZBqcTiB4DomvUigK4EPYtKxRaSjlSSQFV8/VQCOQ7IB30/vT+ylxzG3J3wJUm4gsE+xRECjctfl/jBqSNlQrHYeuSDm/lkb0PFPQguqg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AM8P193MB0867.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:1ea::9) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.28; Tue, 28 Nov 2023 21:14:15 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:14:15 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 09/91] gnu: Add rust-gdk-pixbuf-0.18.
Date: Tue, 28 Nov 2023 22:11:47 +0100
Message-ID: <DU2P193MB21328EAF0DD850AF71202DB2F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [f1JJT6EsihIgpSo90AEvJnAu6xf+no98]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <52e98fa215228f3fccee434a5bcc18de8dc86357.1701202944.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AM8P193MB0867:EE_
X-MS-Office365-Filtering-Correlation-Id: 95ab620e-3b79-4ba1-c2c5-08dbf056f9d4
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: U7u/SI49v0ZRo4s3eNM0BDlRKdvuqYwgw/BIOtPzVoPgo7n6gjLcJ6z8vlc2UKSIvinGHztkXDtK+1mOD756Y/Mp+J/8HgglIjTYWXbNifvEBANpVzgF3vaDWO48xktIzhLxv6/pUkq7ozqU/kk5XW+zKr6RohOMyufh94FIz2QC/6Z+lXG70a/l+oMGnp9lbBsJWR3GoqGhehENzYOK6iyVE6AndsiYxaPu8VmL5DXi+nBH82d8D9qbecLS4XrVUz1gxREcZbe7gjeo9dIIftnmhYvCVaY2EK24i4AlHGKQsnaC7pLDRLW0R6jleYehZfdmStV/QXTBXM7FU5GGkxznPAKGaWdxzGqPqLGn82Ux0IEbYaZWL7a9P+KdbXPYW5wO1sI9DehQ386bcw+r0KbZFVi3/xaBAMs6mQ1MQVk9cWb9H3+MnJYlmysNlbDPpFFHJcBvJSAijD4w/P/toaU9X8NV7ki4ZVrsBo9amSpuVhwM1uzmfaTxRTZJ9uwp6v/GYSX1Ka58DywLI5jHZwXEwuV1K57+6jblid3v3I1fDA+5BcyJog6bi6VBd0oQKuAGmbjIWrXRHSAWIwkaBu74+I+s/0K+xBC6mo+wXRs=
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?iDHl+Ar/+rycxqZTKpZzasibfCVrOdntaoJyqEFoYN1h1O7G/lFLV3n+I320?=
 =?us-ascii?Q?1Xcln3ibAvNrBMa/QgDzwAAJke+bTrBt17tZQAn0aDzuQ38zQP84FTylw3eP?=
 =?us-ascii?Q?CCu3UJy8XyPqudlBolbK48+WQgbPAo7A+5IjOTcKw+Yfn3XceDXn6DruVRcH?=
 =?us-ascii?Q?x2sVZ1k/vny+055afl6R96NlqHy0b9E0E400nILr9SiauUzNLF53wvP3hnOi?=
 =?us-ascii?Q?Tu9jPUMHyjVVygRiNBL+TSvoYxq+AAziwE1eNNHaIH3R08Riqa2bZfq2eWrS?=
 =?us-ascii?Q?w/U3I+lk+5R7naQom/jw8LK1VHVS3VQq2ByCu0idYD03VMDfOqjytyudaad9?=
 =?us-ascii?Q?aHxIf2vnYcNeOZ1JrMQEZRshizsx6Bd0Qkqf1X3iPbJHJty86ytC0vrQ2lGx?=
 =?us-ascii?Q?zNByHCC8bYGVI9uUU2Ve3fscHvXQkX2+x/v1f2K34rp7xVPXy1FmyvIHWK9C?=
 =?us-ascii?Q?PP2RM31NMr5vGyTQRLO72j4m1xlmWzpW94PEIzSN5OG8lhaBi906vWMZbW/p?=
 =?us-ascii?Q?7ovjUq4559uMA0RMol50dSYhtHHuxHyvYjqwtY34/i2xMswcTH/vXVQ7IABP?=
 =?us-ascii?Q?On1H5y23xZKg+Nn+Q9uywbWukfeZR0ZbLo6biMcwSfahmAHdbdp9IvaN/6oO?=
 =?us-ascii?Q?ZyaXgz6bE2VZXnUzHqcYNZp47jJNuWf0emjsebM3lx81fZEeShI2V9D2Y1a1?=
 =?us-ascii?Q?e0MOoUauL0cEU/rkmx9AmswoTJmgnBvK8SVDBjMz+rRlLdrps8GcAdrzwj+R?=
 =?us-ascii?Q?to0Zf+OxyrNp1RHWc19kchMlWw5E9PJ1K7jrVtvkDuK9BRyf1qshT1SKQrfG?=
 =?us-ascii?Q?iy5w9K97aXsAeLYOZk/wJQRimYAA5wk6RE4lsgGb649ENoxAlOHwCIGrkN9d?=
 =?us-ascii?Q?SPPW7tE1vBmWbqAoTegLfWXc3nyWMmWVWdaRP8aaKbHytbHV5IdklaFiV/uy?=
 =?us-ascii?Q?4Gh+TRQyU4/FwjCfb+t713eGHfNWzBR1czZ7Gpa0EFIqZjW/u7OyebM++TFR?=
 =?us-ascii?Q?s+q84aoLG2GHpeUUQmBuTnhQqfUD9jRFinxAV+QscKq61HUSQskfTF2nWqP1?=
 =?us-ascii?Q?UaZ9l1cceiCdUFFAO+p+tN+Z5QJHJB79EYWImAxU01ApqB+PQCHJHnN3SPqh?=
 =?us-ascii?Q?m2008xRuccA9usBEs04qsE+9a+5kcYSpuDq2MN4VPbc00sVfs6p7e+XpAyP9?=
 =?us-ascii?Q?zUJFu0i3Zrk+ykJ58hsWjj069ysn9R+WTwvpNuARLdyFtn4R6PjVHQ/v7Oo?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 95ab620e-3b79-4ba1-c2c5-08dbf056f9d4
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:15.5282 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM8P193MB0867
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-gtk.scm (rust-gdk-pixbuf-0.18): New variable.

Change-Id: I33e260ac3e11af9d37b951c0aded8c49b4a07116
---
 gnu/packages/crates-gtk.scm | 40 ++++++++++++++++++++++++++++---------
 1 file changed, 31 insertions(+), 9 deletions(-)

diff --git a/gnu/packages/crates-gtk.scm b/gnu/packages/crates-gtk.scm
index 4f844ed6a6..2be6c9e60d 100644
--- a/gnu/packages/crates-gtk.scm
+++ b/gnu/packages/crates-gtk.scm
@@ -510,8 +510,38 @@ (define-public rust-gdk-0.12
        #:cargo-development-inputs
        (("rust-gir-format-check" ,rust-gir-format-check-0.1))))))
 
+(define-public rust-gdk-pixbuf-0.18
+  (package
+    (name "rust-gdk-pixbuf")
+    (version "0.18.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "gdk-pixbuf" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1wy68zaxd1914qayjz4jn6k0i2759sx7k26hcmmma7d8fgnw5jdv"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:tests? #f ; `Errors` doesn't implement `std::fmt::Display`
+       #:cargo-inputs
+       (("rust-gdk-pixbuf-sys" ,rust-gdk-pixbuf-sys-0.18)
+        ("rust-gio" ,rust-gio-0.18)
+        ("rust-glib" ,rust-glib-0.18)
+        ("rust-libc" ,rust-libc-0.2)
+        ("rust-once-cell" ,rust-once-cell-1))
+       #:cargo-development-inputs
+       (("rust-gir-format-check" ,rust-gir-format-check-0.1))))
+    (native-inputs (list pkg-config))
+    (inputs (list glib gdk-pixbuf))
+    (home-page "https://gtk-rs.org/")
+    (synopsis "Rust bindings for the GdkPixbuf library")
+    (description "Rust bindings for the @code{GdkPixbuf} library")
+    (license license:expat)))
+
 (define-public rust-gdk-pixbuf-0.17
   (package
+    (inherit rust-gdk-pixbuf-0.18)
     (name "rust-gdk-pixbuf")
     (version "0.17.10")
     (source
@@ -521,7 +551,6 @@ (define-public rust-gdk-pixbuf-0.17
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
         (base32 "05q7ajsp2z8xi355h26k7lvq7n3lj9xm61vhn045g3238v46npb9"))))
-    (build-system cargo-build-system)
     (arguments
      `(#:tests? #f      ; `Errors` doesn't implement `std::fmt::Display`
        #:cargo-inputs
@@ -533,14 +562,7 @@ (define-public rust-gdk-pixbuf-0.17
         ("rust-once-cell" ,rust-once-cell-1))
        #:cargo-development-inputs
        (("rust-gir-format-check" ,rust-gir-format-check-0.1))))
-    (native-inputs
-     (list pkg-config))
-    (inputs
-     (list gdk-pixbuf))
-    (home-page "https://gtk-rs.org/")
-    (synopsis "Rust bindings for the GdkPixbuf library")
-    (description "Rust bindings for the @code{GdkPixbuf} library")
-    (license license:expat)))
+    (inputs (list gdk-pixbuf))))
 
 (define-public rust-gdk-pixbuf-0.15
   (package
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:14:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:14:40 2023
Received: from localhost ([127.0.0.1]:47926 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85Pj-0005D3-2e
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:14:40 -0500
Received: from mail-db8eur05olkn2015.outbound.protection.outlook.com
 ([40.92.89.15]:24096 helo=EUR05-DB8-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85Pf-0005B8-3U
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:14:35 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=TfEB/d5Z4irxWNEl5i6x57VUH3t7Fd87BstLFHRQzpeyageYmByVKt6GgkKU/v9zdmv6hC1c/NGn6k4b6CrJyreztCs1lk3DEctmW+2OI9w6KC5oHWLXNgLaOjn9W1DsEu4laIcG8OyOpz5UWZ2JbYGvmjZ8EOxF1OIecB96G0Ws7YdNkag+TuL6GcbkBIX8IdPuwoS+aH6TmPiMvSnV3lqsHiFeYdSH5iFeAtE107kzGpCK5XpL9J7z1l9LJLhAF2rI8CTRTwKtCXdhMfgNOb7Ud6A1aNVyir8zbwrKQck+ApWjTLsvXZH607kxM+5eYLrciUT33iv3rActtJTDTg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=bJNxD1TjxM+Y3Q45q5/W3NvdYaQaZVpW9xw5wl7AMLU=;
 b=YpkuzwJ55aVetLd9iC3xQH0O3vafNhxy+D/1efqE9DEGob3rI45bugcARoeIAC9IJlypNLSiPEmc6JNBS/DvJc2y72BPmbvPEgLu3zr0NnjtajbNwcMCI5lVLHHcPdzszOVljC/S1pCwXEUqDFIxyrX9JJCr+hzjBsTQeE6bsHAg+GpyFBYaXarHU14g/Ye3R9AHamGAm9XomARsO1nXsIskQODq8s/8rUvbIsCAJxFpHWnz5b+6V6Kd+NXA5xfT+abCl/Vpp3JuE43PeOijt5/NT8cGBOZhQPV3qWfCYmeQxx2UMXMikTdJbmvqAL9R5n+GfG2JpdP0kS9jZN4p+g==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AM8P193MB0867.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:1ea::9) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.28; Tue, 28 Nov 2023 21:14:14 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:14:14 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 08/91] gnu: Add rust-gdk-pixbuf-sys-0.18.
Date: Tue, 28 Nov 2023 22:11:46 +0100
Message-ID: <DU2P193MB21323B0D49A2A965B6CA53A8F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [iHdPM9Xbk4ZPBi4NKt7+TNXA/3q4VpNN]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <e4aa4b7ae6e59c1d502d632c6384afc163b3663e.1701202944.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AM8P193MB0867:EE_
X-MS-Office365-Filtering-Correlation-Id: 2c1a44ee-7c12-4d8b-a276-08dbf056f969
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: qSQOFXvzQ1OT2bh64L+t3Jyer6F4GGATsx+DN0L0RvHG54UusJoZ0RrFow2zZ5vOiU6NRQyIbNt00DzXytOxu2UMUHh7xRngAhWCD/h2nN0oTd9KiMlw0yenTTOpe28Pp/6Na76SHy5YKomSRjHnYr0qlaPczpNzetrshcF941b+2/Xz6TTCrTVcYawmywKCTCWodyPAL5PjTzz1bztH1MFh82Xoh4J9/POT4TM2b/0gfJEqu+i9nai0zzMRapkeKfveGMafGu9kiV41Q6Whkae9P1b0/ptOnjjiMqf4zvL8a9AMH+C+u3fJMTl5meqg7GVt+/n82zxafWaA9P7tTWUBSUVgG+/HY9MTHB0uExbjTVJ9KWbS+klVe69sHv7LRdOS8PYLC7wkEr3vvGXConCuRrMXavZ130sL8gfkV+rqhWE5L+TOPTxqBtgFiHZgHnw/25p2Pt3PxLoRjJsSBwvMTJ1cDBojtioOEVCZsFZlTCVymSXQQgkq/ncLQYqMR9zL6UTO9soW1+IrSTo8w/MhPBWCTwqZzZvMbADJecrSj11lxTIXaqbxBDk+qV/6gj1NsmCGnaIBvKGrhIh6af/7Z0QjDX6wrR5R1d0j98w=
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?slqw7zBmnmmj+MZmF+eY0rB9hCy3nPyiuPrT7pY4GagaOhyixMGJYDNA0Cao?=
 =?us-ascii?Q?DCwQc5oMeezOXCC/KPmoCtzUW2/NAHc/lljQXy0Ss0bCM7yTTYMbKWJkqEGr?=
 =?us-ascii?Q?nHsHQhGkwGywSl3iSz4Jnn6f9bV1ROlHzARc9jDyFGuv6uj9x94Js1wKrKbW?=
 =?us-ascii?Q?rk6rg38mBtUGu3C6Gn7cTM+8mSy4TEIMpQ5qE+zvfY7ecLFWY1qZ2dupULUk?=
 =?us-ascii?Q?2bflviZvVPbMUynp2XmkOkX67ZKMe+HScn3EZbLUSKOHBRKudjf2wftZRHY+?=
 =?us-ascii?Q?eM+c4k/w4Sf+A0nOE/TUtJNCojOAk+E9chUgPy9RaFeIoklPCL9dESxoD4vE?=
 =?us-ascii?Q?6FKLEHaQo+CWrsb60EIMrBMrCHaHjsW7jrHCP2xGwZwIwqHtDdBEjfmIrjd1?=
 =?us-ascii?Q?rw+IxT2bbgmqzVGNFC+XiWNn0WjCziXtDwo3ltUCHnc/NNT4j8ykE0w0/L6M?=
 =?us-ascii?Q?7iXJCrvK+ZXe+PtfKCGgWQewK3oc6xrSyy/rRXvwkqwZP4SX+6qQ+2x90/yT?=
 =?us-ascii?Q?Y+U2YRhGf7yYrp+uD6vHowJB6Swhbep+8QH6eL5BDHKwwNlG1739iADso7La?=
 =?us-ascii?Q?W7+NsvAKV2fdekRsOTNREDwnn0Z0TyiAOLfJKF+UwILxjvQgYQz2cbyhdK1j?=
 =?us-ascii?Q?XG2zDLzBbAE8fyHQ77Oj9U4TsyhHc4Xbc4UuVfs3tb/t8v/iYPlBSNJeRnP5?=
 =?us-ascii?Q?TfjQDnF2hAKgnd78+Bv5nwTwxzDABfyIutXRkyYZ9lFYiANEKJHYcvlgo7cW?=
 =?us-ascii?Q?v2uTFbIssJWW1DDjebqegDqU30F5RVP8FgGUkp6OZr8+Bt67FeHEU4f5vPw4?=
 =?us-ascii?Q?T4LgQur7SpYB/wnDN00z51rsu00OmNquqncFj/twSV6sdhVHEtezaBvJ2bqN?=
 =?us-ascii?Q?/rCgwjext4UD9v2rGy1/H7zZOihQSj4tVRXNcXlV4xcloEz9DgHuBiD4Qqzt?=
 =?us-ascii?Q?hpP+ONFNwTqV1PibqKMUARDboABYLNITKgLSJ6PyLfPxGasFCXaNnFhQWBb9?=
 =?us-ascii?Q?yfiF8DrssOlqjBz2nwNoZQY99cf6jATm/7DM0K9kOOHqlKHx16sRVVl+r6Xz?=
 =?us-ascii?Q?fFroGlJ9jTgPoTgoQ2iBGyeQND0gE76ly14NibroSrOagGpqsFTtx90YXiTP?=
 =?us-ascii?Q?aWKnzlNSJ+9DtWtXb1hQ2lKtwEwUxp3v3pAcSFy0LHihC4x5VHeGFEGaYt3M?=
 =?us-ascii?Q?S3cB15mdCK2xY/6/rEf3lFSYfYRU1vMawwhMdsUP5XAJRERAiH9nWydwt9Y?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 2c1a44ee-7c12-4d8b-a276-08dbf056f969
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:14.8175 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM8P193MB0867
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-gtk.scm (rust-gdk-pixbuf-sys-0.18): New variable.

Change-Id: I0311b1ccffdb5efa408e2ab6c34ab2220827db35
---
 gnu/packages/crates-gtk.scm | 39 +++++++++++++++++++++++++++++--------
 1 file changed, 31 insertions(+), 8 deletions(-)

diff --git a/gnu/packages/crates-gtk.scm b/gnu/packages/crates-gtk.scm
index 87006b65e1..4f844ed6a6 100644
--- a/gnu/packages/crates-gtk.scm
+++ b/gnu/packages/crates-gtk.scm
@@ -641,8 +641,38 @@ (define-public rust-gdk-pixbuf-0.8
        #:cargo-development-inputs
        (("rust-gir-format-check" ,rust-gir-format-check-0.1))))))
 
+(define-public rust-gdk-pixbuf-sys-0.18
+  (package
+    (name "rust-gdk-pixbuf-sys")
+    (version "0.18.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "gdk-pixbuf-sys" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1xya543c4ffd2n7aiwwrdxsyc9casdbasafi6ixcknafckm3k61z"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs
+       (("rust-gio-sys" ,rust-gio-sys-0.18)
+        ("rust-glib-sys" ,rust-glib-sys-0.18)
+        ("rust-gobject-sys" ,rust-gobject-sys-0.18)
+        ("rust-libc" ,rust-libc-0.2)
+        ("rust-system-deps" ,rust-system-deps-6))
+       #:cargo-development-inputs
+       (("rust-shell-words" ,rust-shell-words-1)
+        ("rust-tempfile" ,rust-tempfile-3))))
+    (native-inputs (list pkg-config))
+    (inputs (list gdk-pixbuf gtk+))
+    (home-page "https://gtk-rs.org/")
+    (synopsis "FFI bindings to libgdk_pixbuf-2.0")
+    (description "This package provides FFI bindings to @code{libgdk_pixbuf-2.0}.")
+    (license license:expat)))
+
 (define-public rust-gdk-pixbuf-sys-0.17
   (package
+    (inherit rust-gdk-pixbuf-sys-0.18)
     (name "rust-gdk-pixbuf-sys")
     (version "0.17.10")
     (source
@@ -652,7 +682,6 @@ (define-public rust-gdk-pixbuf-sys-0.17
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
         (base32 "1jvh91lzanr1a8c5h6ya8i4jzx7ifs8mjxjnmg8dfriw24yfr1cj"))))
-    (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
        (("rust-gio-sys" ,rust-gio-sys-0.17)
@@ -663,14 +692,8 @@ (define-public rust-gdk-pixbuf-sys-0.17
        #:cargo-development-inputs
        (("rust-shell-words" ,rust-shell-words-1)
         ("rust-tempfile" ,rust-tempfile-3))))
-    (native-inputs
-     (list pkg-config))
     (inputs
-     (list gdk-pixbuf))
-    (home-page "https://gtk-rs.org/")
-    (synopsis "FFI bindings to libgdk_pixbuf-2.0")
-    (description "This package provides FFI bindings to @code{libgdk_pixbuf-2.0}.")
-    (license license:expat)))
+     (list gdk-pixbuf))))
 
 (define-public rust-gdk-pixbuf-sys-0.15
   (package
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:14:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:14:39 2023
Received: from localhost ([127.0.0.1]:47922 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85Pi-0005Cf-00
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:14:39 -0500
Received: from mail-he1eur01olkn2072.outbound.protection.outlook.com
 ([40.92.65.72]:37250 helo=EUR01-HE1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85Pb-0005BE-Vv
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:14:35 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=l40bobFcjyg9is/XYkxBAgwakKO1fmZH7nnaWUPfZOkQXaY1oixmetU8n++eGswmFT8DnLNybVd/57xTKDYLLaPxvEbZK1IXjPulu/5ZFq+CRMueDEwEATlbNnt658fXoTlRbY2uz6uu80DLeomDVaEwMk/A8taTWXGkkViSd+77oN3Nxmn7Xi7yB/gw9u9qkCPtPSmLH+rSXVnbS/e86YWYoyGWyXeINx5j/Su2cJe72i75aq2n0MmZxby/j656g/eCinagBOAlRn7Fxw1zZAueOmcl4kn1SFekEx+0fmZCf2DD4J+4N+zMGXObhbTFpVoSSdtU2SrhLBIoxP8YTg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=+/KArMgyoLV1JgvG3E7Wpue2TZmwWCmSWiR/uwI4oWg=;
 b=M9SoZ+8nUJrYaDWPxrWqKTrh8zRSVjxwO22Lj8hdV+7tb8PVc9plXaSOiNY4vb2r4ayVF5N8ouwn2UYD1ge5uhqYZ3JyQUmMui4AR5MKSeo6/vXO7Ha1jbitXnco5SCaczezv9QLw9qljr3t6sR3c0m/8mKJplNkh2YqScT2R2OwIi+1eSHtmlrlRY7O7Nu8k9UIBHHhcpy+PyQNiqak5Usfvz7OtI/yzWmZ3XofYyYPrTmzWZJT2cdPup7I+Wek+l1NsCx9+R53nwh7IHktyBIVQXP6rh2gw1+A+4G3Tu9G2CBi1aN75ZxlvLTLPCIeteYdmt2xuigghh7TD57EnQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AM8P193MB0867.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:1ea::9) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.28; Tue, 28 Nov 2023 21:14:12 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:14:12 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 05/91] gnu: Add rust-glib-macros-0.18.
Date: Tue, 28 Nov 2023 22:11:43 +0100
Message-ID: <DU2P193MB213234AE4C5BFDBE0FABF421F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [urzWq5GFt2/PuM5iDUeIsDb0nKE11y9Y]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <7352976667efdf01fc974dc0f74bc4192ac970eb.1701202944.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AM8P193MB0867:EE_
X-MS-Office365-Filtering-Correlation-Id: 1cec1b6e-726d-4ddb-8b00-08dbf056f838
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: Ok++nIbO2fWN/SUkbHJwwqdqvTQKaBgSZSYzmKis3u133wrOdcgxeD65EX/CHLzAUJNAG3H2mIgXCDgMD1p44NOW8KuHiXCfs5P8nosYgFSLxFYT3v4hcVs/HjsY2XUvWtPciFLGZ+oILkQk3bj0gJEX3NA3onlb8HmZiaUVZnfS2r/ZZ+JpgwOqW3XHTlFuENM43Aw6Cr5U53ftgY3JZVOrVEMbojHMNjTswhzNO+oVurGqV7wauZmY1q8Tdmw1wgrMq9E46gfKGkf+cXjtzMl8ADdLjsVGyiJfr9/mVMaKOQuOKdLyHJXTofzmKR0NJXaVOua/i74q8MN6F612Vbsm95I1/RKeGRvHxpPy1sTLGrm0eDv4MnjgAjWfuG0xaHU9Vk6vEWltRU6E/dSSp0vrs3mwgjfYJ3/EfEaVQcdLHbLncBKOrHDHvNOXVIhr+yT7uXuKAtQloIctAsMKIVAXPv7hzA3jSCrFXjEFVykj0up/g3+Xj+12k1IIkvUiZimmN5m47f2cs4sSL2TNrQfio12R/4MyjVg+JntXKbXcUL9lZ7agHugaYO66FLyQkD4jsZ/PlRDJpN3fiIg+0rsBLhi2aaWL/aXpjWbXeHg=
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?Rp5GXwGEllXorgPKWYFv3mHv4X9t5uZmvU4hEdtVpoplIyNh1Qd8ul6V9NQ0?=
 =?us-ascii?Q?yM1WBPqqYRoCJEXQqmJRr8MnApeIOh3xdb4Lxtjtu+1bG5hdMnNJe0mLIZGd?=
 =?us-ascii?Q?k8Q4nTdhGKJBe/wZBWd2Qevq9v1IkkTGz34QsGVERZCyBCyuXq4zNaTKe9o9?=
 =?us-ascii?Q?/k8vuEzPZuIQID2+VtcFFiYYFvjSDyo6r8/5C7u1QOcQNZjXhUpmXH+JD8eD?=
 =?us-ascii?Q?ouxPvQBWr3tF1o2zpKonM55rbiEP+6lfcbHcaKNd7iUcbI+Xyi3GIuFOs5k0?=
 =?us-ascii?Q?Gi2wjh2P5DyIDKDmOCwNjR6yo1cWwplTDucHWTrzlPq5nBC381MSnmBdwG11?=
 =?us-ascii?Q?bKLTxg2p4GdooKoPPapm3eyFMCeZLoT4s1jJaYgSDDW+AIDeDrJHcTLhBWx7?=
 =?us-ascii?Q?uMIH85LFTrnYBCtx4oxbwwzMQDiev/zPCYQW0VGvOq8VeJw+1aBsW5HMLVDv?=
 =?us-ascii?Q?XLackrVc77sigcnVCMNjYX0KXE19ngWvxUhvUIyLLgrEroq4kJTi4mfHZ69+?=
 =?us-ascii?Q?8btDcjSpfKDwnVmnRnG65Uz4tnFJ0a0+yd59KRQBkNU5R1QYbmyiyy6EV4iP?=
 =?us-ascii?Q?FrVuleYaTBr9xqdfBc27t6ECAqib4+ZhlyUiUwSKoAdDBNChG4NCPuAxfP6S?=
 =?us-ascii?Q?uDF+4scrGTUnwcIZdcj7o41D5Mz5B5KrAUPfg1mS4I6wII5RhN2HkjIwKmei?=
 =?us-ascii?Q?BGkM1HAEAplVY8vpn2yA2DaF+G/B4N5NFc5xrzR+2Po8Ksv9QaN/lRuiwRyJ?=
 =?us-ascii?Q?YCIsg9LTLW3dWbXJb2PX4muQIHM0Mc5hxIKiaKty+adm9BV21+wGaxiz4FqK?=
 =?us-ascii?Q?kJ0NpX9I6L99ZMe8Dbu57S9xs7RGDL2JpaOFhJ/7tuu0Lqq9IZTtCQ5ahjeB?=
 =?us-ascii?Q?AOYIPT0/A/PyhrWc2JYhoL+8fUNlwiNKqY6JGYPNyWWcCkyyduPvrCFFrT48?=
 =?us-ascii?Q?b8DIsID682/84Zeof/9xoLFlcSeM13Lw/pFXTZc4ryklzkuDg9GY7oLV3nUq?=
 =?us-ascii?Q?7RmemYZjPMhwXyPbKWEbVMhWAunHXNwqoV7ABS1onqD3daTEYlB3CHRIuCI0?=
 =?us-ascii?Q?W8C2pqU7ArjQkgvkhCMBA6cB451j9x/5KAwzh++4bGfaCnb5GFBbsfhAg1Hr?=
 =?us-ascii?Q?i0Al22vD+PDhMf93GMcO3hiRHeICDqUZE9tAAFGJqXgIsWM5PicaDugRjLUv?=
 =?us-ascii?Q?dM56rwFqq4WBHrTZzW81Q/lVc2++3fOOVmjPl20dnqcFxS4sLHP7xUgETxc?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 1cec1b6e-726d-4ddb-8b00-08dbf056f838
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:12.7669 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM8P193MB0867
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-gtk.scm (rust-glib-macros-0.18): New variable.

Change-Id: I3c2db0ae70ccd67b1b09ad6dbb0b62ca00634a2e
---
 gnu/packages/crates-gtk.scm | 43 ++++++++++++++++++++++++++++---------
 1 file changed, 33 insertions(+), 10 deletions(-)

diff --git a/gnu/packages/crates-gtk.scm b/gnu/packages/crates-gtk.scm
index 53bb539c80..cab580bca6 100644
--- a/gnu/packages/crates-gtk.scm
+++ b/gnu/packages/crates-gtk.scm
@@ -1390,8 +1390,40 @@ (define-public rust-glib-0.9
        #:cargo-development-inputs
        (("rust-tempfile" ,rust-tempfile-3))))))
 
+(define-public rust-glib-macros-0.18
+  (package
+    (name "rust-glib-macros")
+    (version "0.18.2")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "glib-macros" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0iqyzyarmgvm2jlfglrpqkpmsialy7y571jic0ix8dmi48w91npq"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs
+       (("rust-heck" ,rust-heck-0.4)
+        ("rust-proc-macro-crate" ,rust-proc-macro-crate-1)
+        ("rust-proc-macro-error" ,rust-proc-macro-error-1)
+        ("rust-proc-macro2" ,rust-proc-macro2-1)
+        ("rust-quote" ,rust-quote-1)
+        ("rust-syn" ,rust-syn-2))
+       #:cargo-development-inputs
+       (("rust-glib" ,rust-glib-0.18)
+        ("rust-once-cell" ,rust-once-cell-1)
+        ("rust-trybuild2" ,rust-trybuild2-1))))
+    (native-inputs (list pkg-config))
+    (inputs (list glib))
+    (home-page "https://gtk-rs.org/")
+    (synopsis "Rust bindings for the GLib library, proc macros crate")
+    (description "Rust bindings for the GLib library, proc macros crate.")
+    (license license:expat)))
+
 (define-public rust-glib-macros-0.17
   (package
+    (inherit rust-glib-macros-0.18)
     (name "rust-glib-macros")
     (version "0.17.10")
     (source (origin
@@ -1401,7 +1433,6 @@ (define-public rust-glib-macros-0.17
               (sha256
                (base32
                 "09nyh22nryip4i22mdrixzl4q0r5h5lxcn40mgqr30rk6y9wg9gc"))))
-    (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
        (("rust-anyhow" ,rust-anyhow-1)
@@ -1414,15 +1445,7 @@ (define-public rust-glib-macros-0.17
        #:cargo-development-inputs
        (("rust-glib" ,rust-glib-0.17)
         ("rust-once-cell" ,rust-once-cell-1)
-        ("rust-trybuild2" ,rust-trybuild2-1))))
-    (native-inputs
-     (list pkg-config))
-    (inputs
-     (list glib))
-    (home-page "https://gtk-rs.org/")
-    (synopsis "Rust bindings for the GLib library, proc macros crate")
-    (description "Rust bindings for the GLib library, proc macros crate.")
-    (license license:expat)))
+        ("rust-trybuild2" ,rust-trybuild2-1))))))
 
 (define-public rust-glib-macros-0.15
   (package
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:14:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:14:38 2023
Received: from localhost ([127.0.0.1]:47918 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85Pg-0005CQ-R0
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:14:37 -0500
Received: from mail-db8eur05olkn2015.outbound.protection.outlook.com
 ([40.92.89.15]:24096 helo=EUR05-DB8-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85Pe-0005B8-Hr
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:14:34 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=UQRnwz+f6aHi+33WmyrHdTmL1xANq1CfOKYWVTZVWZawz4mNoWKGMMSDQr3ufqmAnrR5GiiiHspmAchxYknjw3em4p6/xlgzkpsxCldQVLu/0baxkHVQqg2eltvhiO2yzyr3H6WKC6+ce/ZKvETKKR2qflSi52pnNePmDT3oU513VJ6RzfM6oNnBiiyTw+o0irtx2AV+T6XDJUe5FpH2US+Wx+1IlcBONkeZ3uGi9Q6uRJpeJ2DtMptTGLNsEVJrOtGruBQooJtkmyMDCuN/p1o0FLTy2BpliqkTtr6edpx2tcste/gbNVG2J9ymM61XfFccvg050eqGFrZ5JebtyQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=nR52sqaEySduA+CKle7JMAcNClIoKXzdXpMeiduLovs=;
 b=kMvtad3Q7KsTUcFtn8M9xQAFCWiPc6W0htggEOobPOki1pRqwYGwbLyyVz0e1c1bTkKIh2n6OXQtmMbnwFFh4XB8XuCQtBgMRkFqMPOKPIMvhXZb24ljZuwfxcvjMqDAylAarElgaakzPYeu6iHtE3sn3fJ1TzdLVbFtb+gmTgfiUAsUbBiwgc/bt93pqaK3c0EhvGG8m4ruzKSdXCQEgXQVORofLm2TEl2W5PmWEGF0AjnNaDQmhgw6LEvh5pwHzPK07oUBsYUp+t1Rbs8GmaatM+HMScAXoI4dH2aV/vgIHn3FI4fDRIjmple1Qg1fA7zj9ACc5YEBwpEXpr3Zag==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AM8P193MB0867.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:1ea::9) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.28; Tue, 28 Nov 2023 21:14:14 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:14:14 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 07/91] gnu: Add rust-gio-0.18.
Date: Tue, 28 Nov 2023 22:11:45 +0100
Message-ID: <DU2P193MB2132D4740A957EA13A783C65F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [kwUEGUhjQdtU/UXSGb2JXR4QNB2HM0g2]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <07db918cbc96659043fe8034d2e74aae5559bf45.1701202944.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AM8P193MB0867:EE_
X-MS-Office365-Filtering-Correlation-Id: 03239609-24fe-4494-afbc-08dbf056f905
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: quaZGBBGlOM55JL7bSOkHx0SwrBsvz4YaBK88Lzqu0VEb9QRgVQ7XwLa4pQ/5fUPhXdt1s5cQHeAI80Vt/Df+mGwAkNz3g4+AueN28/XB5OwrmriIWSdbpymD19uUAOPohWuuIOyifcWQALAv/jehSVdX3OZ5darOh3TaBQQs46Xb08PuXYafODcH4nmdkARUYAz8tu7OAnX4JIyZf5I+NR2iGnBMD/cd1ustf+NG+Sh1fvfVAEHHkUuV/sQ3UI7sDmbJJx+/D30t7BoqSY0LDKO7s2Srd/y0JWAr1Q3psz19hTACNpjNpJiKsESA3MgqTIu7L3GPsxT4pTtrvm9//rXl++G1zBkPQLHvbTres/+Z2SSte4jVKEbVguHolYMMKXiW0WnXjSlWTEGpDk2xlBiQi6iVsB7WH5iXA514IEiHJc3UkCYlbwhhspRtQRgMnAlUdhO8MGP3qMKcq7fZ6+72iDIN/01ROzuOexrFBHIAp/89/Tpa3zqoRQsa7S79RFo2DmRdImWvnbfluCO/IYBVU66I/T1i6HyMk1yy9li0sI+8dXx4Tt3QiL73AbMrEWuaDd4+silOaul7ictTDunJXi/KVTtHPaHR3W73ak=
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?Q+PAI7U/NPF7IHnmD6S9zM1sDONKrpdVw1cKa5eKuzNVH9Gz123xFCe0G3Py?=
 =?us-ascii?Q?YpasQk4NEwLBp+nRprFZm4N0Da7UPE2hdkz019fiQgvR0VHh1z4YnIeMwC2k?=
 =?us-ascii?Q?Zt8OHE6ND5twwubPXwiG8A9gunuqFzJwY13NmUG3MzvISD1fD+EJe6vCNbE5?=
 =?us-ascii?Q?Cbm+Q1KaEHNfNnhTyvvnRlvVRK7Fsv0E833y9ucXP3xo0DdsQZde5NyTwI7Z?=
 =?us-ascii?Q?oRmAqObNBinQX+GKtKwhUcFk0lAeTzzLKqRF6W3jA7yo7maPmQG2HJMwhgfV?=
 =?us-ascii?Q?A9mseY4vZUYNLevSswg3uj5W51s66DgUkABTBX6kE8Kkp1tbhIdUCs8hmqs5?=
 =?us-ascii?Q?fU/ZG8LHGaSJcVVNGrCYcd6hipQ1SN3su99kVKd1UC9fZRuiXNCeYm0FjPyE?=
 =?us-ascii?Q?cr454GZDpwljKv8ePsv8/pLouqmKSMBwKj4mYPkBRhNfojRZwyfqmN7W/DaM?=
 =?us-ascii?Q?zk33G+18obKUekOiKP2c/0IaDrfpJcDq0GtZCRSRGBdWav2vGejHnV4gFzqm?=
 =?us-ascii?Q?ftiV5XTDEvwapyb9l85Zz1mD0qER8muzUPdcZmctao9mcCBFZElouwCqLF+/?=
 =?us-ascii?Q?vl+TE4CzSr05/T1MgnIErTV+2grxcIR6LxeurjxMnin481JyvC7KYhO2YEZs?=
 =?us-ascii?Q?l1WeBTP2Zrn3GKiYTLfb3MYHfrEnPBV8QaoLaYWRstpqbpav6uarGMGxLaBb?=
 =?us-ascii?Q?p3ybr0JvtyaUGrZt3JBNNXcgkiVab3DaeOwtbPOSulf/Y8hElfmNfp5EQEsb?=
 =?us-ascii?Q?F+tYOwE1eqXFlmM9SC/Gg/jzgdqGnZgBsx0zc4Mr+aIEQnoErAoatk7/XvHH?=
 =?us-ascii?Q?12nxjtSKZ6JMSTH7mRBk0/UOgR6I+enLmFozKf6rcMc51VC9Bq/NjVVFgQ1l?=
 =?us-ascii?Q?xtIMCVO+XIKKUdmiUvfhpSqafgjXzGXEZ7T3m8Yd9MnFl1eQEdqYnCO+RnkN?=
 =?us-ascii?Q?w8khSuajid1vz/FEqXEK+GViRUm9vtKqh+Bz5IUwvlj0WorHROkNAPvMpara?=
 =?us-ascii?Q?6etm4OM31JQsMAwO05DgYe/0poKlsZId4fnASAVzhIj4/efk7zYDOf0bIlb8?=
 =?us-ascii?Q?XNIKli+v3fx1H+BXrRtpMsecVXskKYjL5KCrJSX3VXxLo9ZrIdb/ndvBiLv7?=
 =?us-ascii?Q?QtDPiQE4EWuQ6oZlLSf/ruIjf5nPGCC3EfYYfNwvutFZse9vKkOK+OFrWe3n?=
 =?us-ascii?Q?sN23zw5GqT9NZd3i+Xx8vrEQpt0aeIFg+hEF8ZwS72byjLMjsVY/sfmNT44?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 03239609-24fe-4494-afbc-08dbf056f905
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:14.1241 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM8P193MB0867
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-gtk.scm (rust-gio-0.18): New variable.

Change-Id: Iea32a91f484f73dbdcf12d877c45af7944bab398
---
 gnu/packages/crates-gtk.scm | 49 +++++++++++++++++++++++++++++--------
 1 file changed, 39 insertions(+), 10 deletions(-)

diff --git a/gnu/packages/crates-gtk.scm b/gnu/packages/crates-gtk.scm
index 9de8de3cba..87006b65e1 100644
--- a/gnu/packages/crates-gtk.scm
+++ b/gnu/packages/crates-gtk.scm
@@ -860,8 +860,46 @@ (define-public rust-gdk-sys-0.9
        (("rust-shell-words" ,rust-shell-words-0.1)
         ("rust-tempfile" ,rust-tempfile-3))))))
 
+(define-public rust-gio-0.18
+  (package
+    (name "rust-gio")
+    (version "0.18.2")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "gio" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1caryyr1sciqd25np4v4701nkb7h59gqzpwaiqjrp6g5x222y1ap"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:tests? #f ; `Errors` doesn't implement `std::fmt::Display`
+       #:cargo-inputs
+       (("rust-futures-channel" ,rust-futures-channel-0.3)
+        ("rust-futures-core" ,rust-futures-core-0.3)
+        ("rust-futures-io" ,rust-futures-io-0.3)
+        ("rust-futures-util" ,rust-futures-util-0.3)
+        ("rust-gio-sys" ,rust-gio-sys-0.18)
+        ("rust-glib" ,rust-glib-0.18)
+        ("rust-libc" ,rust-libc-0.2)
+        ("rust-once-cell" ,rust-once-cell-1)
+        ("rust-pin-project-lite" ,rust-pin-project-lite-0.2)
+        ("rust-smallvec" ,rust-smallvec-1)
+        ("rust-thiserror" ,rust-thiserror-1))
+       #:cargo-development-inputs
+       (("rust-futures" ,rust-futures-0.3)
+        ("rust-futures-util" ,rust-futures-util-0.3)
+        ("rust-gir-format-check" ,rust-gir-format-check-0.1)
+        ("rust-serial-test" ,rust-serial-test-1))))
+    (native-inputs (list pkg-config glib))
+    (home-page "https://gtk-rs.org/")
+    (synopsis "Rust bindings for the Gio library")
+    (description "Rust bindings for the Gio library")
+    (license license:expat)))
+
 (define-public rust-gio-0.17
   (package
+    (inherit rust-gio-0.18)
     (name "rust-gio")
     (version "0.17.10")
     (source
@@ -871,7 +909,6 @@ (define-public rust-gio-0.17
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
         (base32 "02nkqpq1a6ikzhv5x4nyfvzx8zk5dkjsjm50ns4qdybwjf93x5x6"))))
-    (build-system cargo-build-system)
     (arguments
      `(#:tests? #f      ; `Errors` doesn't implement `std::fmt::Display`
        #:cargo-inputs
@@ -891,15 +928,7 @@ (define-public rust-gio-0.17
        (("rust-futures" ,rust-futures-0.3)
         ("rust-futures-util" ,rust-futures-util-0.3)
         ("rust-gir-format-check" ,rust-gir-format-check-0.1)
-        ("rust-serial-test" ,rust-serial-test-1))))
-    (native-inputs
-     (list pkg-config))
-    (inputs
-     (list glib))
-    (home-page "https://gtk-rs.org/")
-    (synopsis "Rust bindings for the Gio library")
-    (description "Rust bindings for the Gio library")
-    (license license:expat)))
+        ("rust-serial-test" ,rust-serial-test-1))))))
 
 (define-public rust-gio-0.15
   (package
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:14:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:14:36 2023
Received: from localhost ([127.0.0.1]:47913 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85Pf-0005C6-V0
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:14:36 -0500
Received: from mail-db8eur05olkn2015.outbound.protection.outlook.com
 ([40.92.89.15]:24096 helo=EUR05-DB8-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85Pb-0005B8-KE
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:14:34 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=ek5u0dFklWCv13suOy9Hz42IN8016HRrEtw7s9xBcMGD6e9T7XdppcGu6/D5KU3NhWw948h5iaoabafAvUSNPUuX4JH+TmIZiMXC/TQHJqWoebSydwY+mDY6oR7+6Iwq+/Q+ktW5KHQCOHKf2L7eBWsS/YMueUcFDucn62Ex8E26sCtPg087z1EKaT3a3ReYsU2yzGzN0caeb0RuQsoisZ39F7h8IF+LaGOjVNjSiMcVPnJazdO3TgOX9df7eO/ctnQ4KvDqrXVFJVCRaAEu1QenQ/yPlXB8yyJ6opKSjoaDmm1b8jjQV+fgpafgpSxD1Cpgux+WG8MlSBsQ7Qr5OA==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=ipRXFWeohHaP++f+m5KZahknz0wgkKdJb3Yetc+Wx3E=;
 b=bpcejFj/05amKM7STxefhoK3Z4jmASOtO+OYhZ0Nd3qbrh668dHpnaXjuX8YGZBroXUhFAtKbt6Csy9/A8AzjQDNPXXVFwLCf6K/udbSpEgTczzUgWh1Cnp8XbolOVP2JHeF1DTqKZfg3XsIy09J8XjgOPj1Fjb1GDA4CQ9e7TgXfWKvFLh6SBv/uHi/vrpGG3JwVh75oH6+H2vWoeLP1ORK+QVwzHg3f4Bu1+H6nBEwVTknqxmrPvnCrFrYQwDNn8kG3ntw5ALxwoIla1CLDLD76J4ZdkgiZKnjz38MRZJKKRQbapXvoad6PGDdeumvA/9l4lQrZ0bfUJfqXS7Row==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AM8P193MB0867.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:1ea::9) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.28; Tue, 28 Nov 2023 21:14:11 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:14:11 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 03/91] gnu: Add rust-gobject-sys-0.18.
Date: Tue, 28 Nov 2023 22:11:41 +0100
Message-ID: <DU2P193MB2132D4106B7675986B9CE1FAF3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [itL8pw617uQzprhVZolMMBzk3QRosCaV]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <a82345331869e07075b5cac2b2bae73b72342c0b.1701202944.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AM8P193MB0867:EE_
X-MS-Office365-Filtering-Correlation-Id: 96144584-65ad-46cb-48f0-08dbf056f766
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: 5X/m/BcUwa0uPSpW5CmwlANNO2mS2AiWnMBzDgE+VOFnUED6nFbIIe219ZLEt6bpPtH7LnATKiVHvdx04snC3RUmBbfX66YCPhuSk6tyZu9XoxwbEoPMj13JTBINTGT4n9Ty4QRiP2rRH3HLX8lkkn3a4sVU+TdodHuB0f9zTvNpmTCDySZ/xgY6BEQPy36nKcYUb4mVFctqtJZ3bzPJdKu0LOAKgz1LszcEiq1BwqtOsfg4kLDB5bIcY8Qednyr0mmH6u78oI3c99Dlj9kKha2epJp3i5AmNJFcBcWCwxMqNcuhBb1HmcKEfC0ap4g8bLfa0GIHUVShu0uyCzSUpjFq8M8BYYFNk0FsuwDIQWdSSoXPWJ9ZSamBBiBHakgaUwJlYDuKL1p2RwiElojpfZOTwZnLT51Pqyvfd7/BaDJgmMY2pIzubvrPkcrQ7KQbxC2nU9YJOtF1nDbUQ25BpfWnsX7AIXNc6N6aWaqtBvrZQ/z9gcV5g/HrFOq/LXrL0kiIR3hfoE5lz8qdhXqd+aZYJ+JpcI9z77QB+QRQQ0CKtKX1u2VIONF0OP+e5Az0wjF85ttfcpPYC16VyJWTu4ZyrYxtKVWAE/43DKU1bvI=
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?8PTAWFKdg6NrNSxh+ZKyX33cp5t1yGHeZKY4WpKtsjFfHRmbz8Sl00PIM35z?=
 =?us-ascii?Q?D9mmK/0f/mgQF2UBkm1jP5a2yVnf5qafJtWahJFT6bA/s2uZslOkj811sBnd?=
 =?us-ascii?Q?yJEzrsxrSveneSjL9CJFXYRMdUx1Ec5opT7yyF3qVXCieoZ8w8yaWOoeCEwi?=
 =?us-ascii?Q?plTEdvFPUoujOx83DSg464oLFgVd3P4fH+lF9cZlTvdntREQrcMHvbnpvJIe?=
 =?us-ascii?Q?E2kqXhRTt8kqoaGpRiPzV3mwYyso8nUwnSxPdvzecmnz7yq+hd2Ru0oNVcvE?=
 =?us-ascii?Q?GO49QXengsHUPNEsOxvb2d0Wi0taw8cfdoblayuc9gL3hNPd40xWSDHYuptg?=
 =?us-ascii?Q?hSoqrxSuJEeVXKt2a5HZX6V4C/8r2YPtpr8vaxS+sCbkuaH9VvE172sha7vy?=
 =?us-ascii?Q?HlA3+nYL+Xp3xJBluaKejnND0KgqEGpCJzezMmlW125qIlt8CiRRyFZi0qtI?=
 =?us-ascii?Q?K7vG6dQFdAYEcrMu547a25RxaI4so8ByK9oZPkyXtPcmBuBWHSyzAzs1zEhG?=
 =?us-ascii?Q?Qep4kdTFYtuZ8TwDu3SSlWI1B6FRBBl95xUCG9ctqUZSnsl5M+ucykkRK8Rd?=
 =?us-ascii?Q?HSIJr39s7kGDRstlG3U8e39l20vPdUvTFvtUabj+OQo+2pEdilyNSKrw4UvS?=
 =?us-ascii?Q?OqL/BGgSX3YSbdSD6dRm54DCWNEZAqrbtmzKFc4p3Mc0H0pufIvPrTNJM4D+?=
 =?us-ascii?Q?p9JFgN1xiHEB3sht1Ql9E4vOCey/nA4rN4NNdhJpNQDAGMympq3Q3MNUZh6G?=
 =?us-ascii?Q?473tCO682Nz9OUG/icVuKhaySV1sjp3BumTj7ams5aFvhvjIZ87ZUHgvAHWX?=
 =?us-ascii?Q?2hvcb0qlHgUo5Y7uK8IyvfO7HzG49glaMYQ3HaEuHfb4ofxhzwNM4U0V4S8T?=
 =?us-ascii?Q?67H1f/iQKDTBY+4IrvVIEajCe/3+Ih9u1+JllWoDS4MFg/jYR5zZym79YRf+?=
 =?us-ascii?Q?SToNkUbTJIIa094MGe6kilk53LrQaSJbSIEtnEEQfCW4AK7npivbXbwKRE+9?=
 =?us-ascii?Q?BwCb8gQnPHrwBL+XZ/aQbkARZsv9WAxqDX1ouMzH2b7gpWcvw+lX5ZAbqn2C?=
 =?us-ascii?Q?9Xtr3ldHwBQsU9Oh8ubEOHvh/JmJCeue/vfRrM+fIpRd39l3DtbaRgNR8L8L?=
 =?us-ascii?Q?nd/OVY29YSJrIwT0ye4198HybbtnD14efqWcLIviq72yOIqNpG9Jx3KNucue?=
 =?us-ascii?Q?vniuM6GqBvFvv8zf26IsSBV0RvGsAh49xSXhXNjqUqdeQvKQYqv2VXiYjrk?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 96144584-65ad-46cb-48f0-08dbf056f766
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:11.4107 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM8P193MB0867
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-gtk.scm (rust-gobject-sys-0.18): New variable.

Change-Id: Id5ba73cfa2071c712d4e6a3f8b5f464ce6ed243f
---
 gnu/packages/crates-gtk.scm | 40 +++++++++++++++++++++++++++----------
 1 file changed, 30 insertions(+), 10 deletions(-)

diff --git a/gnu/packages/crates-gtk.scm b/gnu/packages/crates-gtk.scm
index 0449902a2a..d8d223aa37 100644
--- a/gnu/packages/crates-gtk.scm
+++ b/gnu/packages/crates-gtk.scm
@@ -1598,8 +1598,37 @@ (define-public rust-glib-sys-0.9
        (("rust-shell-words" ,rust-shell-words-0.1)
         ("rust-tempfile" ,rust-tempfile-3))))))
 
+(define-public rust-gobject-sys-0.18
+  (package
+    (name "rust-gobject-sys")
+    (version "0.18.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "gobject-sys" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0i6fhp3m6vs3wkzyc22rk2cqj68qvgddxmpaai34l72da5xi4l08"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:tests? #f ; `G_TYPE_FUNDAMENTAL_MAX` constant mismatch with gcc
+       #:cargo-inputs
+       (("rust-glib-sys" ,rust-glib-sys-0.18)
+        ("rust-libc" ,rust-libc-0.2)
+        ("rust-system-deps" ,rust-system-deps-6))
+       #:cargo-development-inputs
+       (("rust-shell-words" ,rust-shell-words-1)
+        ("rust-tempfile" ,rust-tempfile-3))))
+    (native-inputs (list pkg-config))
+    (inputs (list glib))
+    (home-page "https://gtk-rs.org/")
+    (synopsis "FFI bindings to libgobject-2.0")
+    (description "This package provides FFI bindings to libgobject-2.0.")
+    (license license:expat)))
+
 (define-public rust-gobject-sys-0.17
   (package
+    (inherit rust-gobject-sys-0.18)
     (name "rust-gobject-sys")
     (version "0.17.10")
     (source (origin
@@ -1609,7 +1638,6 @@ (define-public rust-gobject-sys-0.17
               (sha256
                (base32
                 "0ql0pcab6dxjapiglxcjaavbbh1sznyc2wj5q273b9j0fwqw6d6d"))))
-    (build-system cargo-build-system)
     (arguments
      `(;; XXX: Tests are sensitive to the version of glib, even though
        ;; the library supports a wide range.  Skip for now.
@@ -1620,15 +1648,7 @@ (define-public rust-gobject-sys-0.17
         ("rust-system-deps" ,rust-system-deps-6))
        #:cargo-development-inputs
        (("rust-shell-words" ,rust-shell-words-1)
-        ("rust-tempfile" ,rust-tempfile-3))))
-    (native-inputs
-     (list pkg-config))
-    (inputs
-     (list glib))
-    (home-page "https://gtk-rs.org/")
-    (synopsis "FFI bindings to libgobject-2.0")
-    (description "This package provides FFI bindings to libgobject-2.0.")
-    (license license:expat)))
+        ("rust-tempfile" ,rust-tempfile-3))))))
 
 (define-public rust-gobject-sys-0.15
   (package
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:14:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:14:27 2023
Received: from localhost ([127.0.0.1]:47905 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85PX-0005BI-Dr
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:14:27 -0500
Received: from mail-he1eur01olkn2056.outbound.protection.outlook.com
 ([40.92.65.56]:39748 helo=EUR01-HE1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85PV-0005At-EO
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:14:25 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=IyuSAH0x8cNqNuPPArjfxmxV1m7Gy3ajYjSj2/4G7M2taMc0QvlpGQcI3UbD9I3MOxjIvKWwMMXdp6HNGazezxaWpHfjV8LTmAeO5UUtUqNykYlr7etHsOrwdH9LscRxmBOXr+PAGXw7XoxHfPb+Of5J8ATo9chFnorhQD1PwjKGnZlKGJYdwj00qo2rdgx+0QR9iABkJMq33bhLti0I/1i3ARw+z2958qOSjG+wAW9AHeFmFviRWPcgUEymEfnBfh4uWxm1mYnBMIt6VNM7fdIVAgNA12pAXgKV8XWMipKE1fSDrvmSmiS3B/tBEbrwZasUsTUlkTJED6g1Jwr1pg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=ihYhIkCDSaamV/mH0vKueI1oNZqr18FrLhYJ9Qdthb4=;
 b=epld9RnCDA4ctqVJadz/mR9vTEHiPErgxb8nNss5utIp+dwaRgDvuqvVe6txK0c7iCj2CeuGjHvH5ni7vZJK7Eaw9tbgo1XhdgW1tmEaLI80eolDsm6lxSAtZ0A8a0sZa/ORKafLEPAcuv8ySPUZypi2uN1JumDTF9htHK3qfRRGR8Cb3Us3qNiYhJ0clTC+zHRWz4bvd6eA2Qrct5Cc5Fu2USeAD3uNp/adlMeq5FaE+D0x2i4emY24jmHRe718/GLbJZbTMGev5Wk5mM24xpPeB2oeMCuBhBozpj6L5pXMuqmRUKGIdVGWqi0uVRVdyns4IwsnytrvhQyF/dAdVg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AM8P193MB0867.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:1ea::9) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.28; Tue, 28 Nov 2023 21:14:10 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:14:10 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 02/91] gnu: Add rust-glib-sys-0.18.
Date: Tue, 28 Nov 2023 22:11:40 +0100
Message-ID: <DU2P193MB213263083F6FA20072B76353F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [nJjENgvSckwafPBNjtDQDF0xwMPxKr5O]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <106e9c64e3ac57dd1545d6beb7551b29e992e844.1701202944.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AM8P193MB0867:EE_
X-MS-Office365-Filtering-Correlation-Id: ca3250f9-6919-4c54-3c47-08dbf056f6fa
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: YDNItYt5nF4TXfEa06xiwByVQ7bOGZ9o0crKxloaeC7NLO7Ic55OMODuHhYkJm/dUKHBPn/JyfOi9i8GPtBHV/wLEWu3yuXpgxdPnaHiIcP4gPLWF4lfolFFuqjfu5oCK8NN1miCuMnzApcaW6cKKIenGeDz1Ft58+tON2jV1rDY5wWwpGlkbiPc/FJAcLusmFZhts4ymXpJE9iT3mH0yVssxN8hXBV9JLFLhuqKxlnH/joUU+kj6gIVwQZmc9dYmAYhneYnaGOY4gf7mXTrOvjjomq4sXSrm+HGtRVE1kBquPC5n+p9Z7OpESrXNVbgup/o2SZLKOpzwHurwvwdK9c5fPM/4Q52gS4en90nQffLClBTTGI8eQ8t074nWBbcrW2o/LMqxCbBQNDNCJgMDAs4cX80e/BYsJEW1HIUqtyRj59al4SITdra8FRbBAw37JRbY8IQrxIGuD1wprrLGfTq5XS9Qs0fkhZTQ1FfRo42BFsQUrRtykkYARDsfsXFRfKsvcySMY3l1ibN+V/37l47MM6HU6woE/D+ThExwC6VBVuvpEeXZ4txxA4yMDRw0yQ9WZ3YNk3dxL7ZsIRZnQDNdHagNsYQHXVjzHeHy3g=
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?1J2UkrhgyNFUTHE+Sv5vtbaIlw+hwJNZYJqM5lbvu7KeU+5bcstdJTMNvbxD?=
 =?us-ascii?Q?Dl4wN5jrM/xw2waEdvycPxLvlXZieYIcOkyNXbIYoCit9+G7pby/xJMqti8v?=
 =?us-ascii?Q?Xu6awnOrfHINXAR6aoXTzxm12zRnMQMch5nH6OnvwVugqljmPPYZNqkwbujO?=
 =?us-ascii?Q?+piYOnUGyZkQ9Agh8gSN7adYTJPZXi1ILMjJPu7tgkpAVnI8HUF52bQ4uq3U?=
 =?us-ascii?Q?rfxIpMVNbbFuOFPJwor893VwFncBwu8Oi7ekv/Q7xlwVEKKyijYCN/eIEEer?=
 =?us-ascii?Q?0LM9WwPQ3g+otNe+bvCjttdx1/yMAhXScBYyY7oG108oegEQzN8xS9cQN0B4?=
 =?us-ascii?Q?KMHyrIfa2FDGoX1+o7cD5/naiQz77KV4bPrh2htF+b60wpgmlaYdbItpt5zQ?=
 =?us-ascii?Q?AwR9I+MiwU34xQUgX7gwc9yCEr4lXcQ+9EoZgYchjqyt7h+wrj9+TaEDsPpP?=
 =?us-ascii?Q?pOX5aoduY2+DHckB/8YaE7yxFR9qWmwDP2joSbKiViVHqIiL79DJ+m8zO47+?=
 =?us-ascii?Q?ZWagWBjJut+DNMP78WORVDtmj38eEaOx8a7cJxHtqfK9cayJ1H2+gyNwlDoB?=
 =?us-ascii?Q?LrJZ+l6Ga8pqn485oE32EENzxh1IHwVNRRfYpxLyKgUWVR3lOpno3sYirPnI?=
 =?us-ascii?Q?zgtExikFYdhs6t4PMF8pwOspY+NdELPLPs5FAWRhE9ToYeiDd2Z106HR24Ac?=
 =?us-ascii?Q?HiMDi6Tm2SMqRBVPu6ve/nRsKGlgLPWz6Qrc9F7QNU92bnklRx6+ceK5L1RO?=
 =?us-ascii?Q?xEB9Dr/YjO1Rsk2xaMf1mr9SUaDYkgNoMKaVXzdhX7BYA9/74ezpVU7QLGtZ?=
 =?us-ascii?Q?X36Hk3i3m0dZBqrgaZPBj5F8a/QnIK9W46q70/kMehacuxsbQHLRgKvE+SnV?=
 =?us-ascii?Q?mdOZ87msQn0DXhR/aEgLMPZkeXV44FtPH67O2aGyIonPmbk9SljJnoXylEke?=
 =?us-ascii?Q?MdGT4QKczl0N7967jLsCZDpTVfci1ZJ5ItsehKu9gBlKmH5Iewc+e/oLhAKK?=
 =?us-ascii?Q?XgrW3oTMu1GWt+g5KmXhUycbee9QIXOkaRayncKkbhWnNxie0JfjmN53DbLM?=
 =?us-ascii?Q?Xi9r/9uWUBVM8wbQusZygxxBmE5FJGgWAy2fizFHH8byewkogLCVlyHMyX9Y?=
 =?us-ascii?Q?5MjAU0EnVmjZ0gkamGOUK7BLrRZQXJ8dx7EAfxTABZ9qfevn8/HBqoM1CogH?=
 =?us-ascii?Q?hghnNnwG3nkFw3Nec0vY8OkhyUpWXBPjcKlTNCsXKIDsC1XwT+BtlQCBPO0?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: ca3250f9-6919-4c54-3c47-08dbf056f6fa
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:10.7226 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM8P193MB0867
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-gtk.scm (rust-glib-sys-0.18): New variable.

Change-Id: Idd194b6771e5e5f953c3537c5672945b6c9e6fcc
---
 gnu/packages/crates-gtk.scm | 37 ++++++++++++++++++++++++-------------
 1 file changed, 24 insertions(+), 13 deletions(-)

diff --git a/gnu/packages/crates-gtk.scm b/gnu/packages/crates-gtk.scm
index 266a513dc2..0449902a2a 100644
--- a/gnu/packages/crates-gtk.scm
+++ b/gnu/packages/crates-gtk.scm
@@ -1466,17 +1466,17 @@ (define-public rust-glib-macros-0.10
         ("rust-quote" ,rust-quote-1)
         ("rust-syn" ,rust-syn-1))))))
 
-(define-public rust-glib-sys-0.17
+(define-public rust-glib-sys-0.18
   (package
     (name "rust-glib-sys")
-    (version "0.17.10")
-    (source (origin
-              (method url-fetch)
-              (uri (crate-uri "glib-sys" version))
-              (file-name (string-append name "-" version ".tar.gz"))
-              (sha256
-               (base32
-                "1w64ppa12s9ky6gfdaqhq9w30ad6hskll812jb3sl2xsggmac2nq"))))
+    (version "0.18.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "glib-sys" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "164qhsfmlzd5mhyxs8123jzbdfldwxbikfpq5cysj3lddbmy4g06"))))
     (build-system cargo-build-system)
     (arguments
      `(;; XXX: Tests are sensitive to the version of glib, even though
@@ -1488,15 +1488,26 @@ (define-public rust-glib-sys-0.17
        #:cargo-development-inputs
        (("rust-shell-words" ,rust-shell-words-1)
         ("rust-tempfile" ,rust-tempfile-3))))
-    (native-inputs
-     (list pkg-config))
-    (inputs
-     (list glib))
+    (native-inputs (list pkg-config glib))
+    (inputs (list glib))
     (home-page "https://gtk-rs.org/")
     (synopsis "FFI bindings to libglib-2.0")
     (description "This package provides FFI bindings to libglib-2.0.")
     (license license:expat)))
 
+(define-public rust-glib-sys-0.17
+  (package
+    (inherit rust-glib-sys-0.18)
+    (name "rust-glib-sys")
+    (version "0.17.10")
+    (source (origin
+              (method url-fetch)
+              (uri (crate-uri "glib-sys" version))
+              (file-name (string-append name "-" version ".tar.gz"))
+              (sha256
+               (base32
+                "1w64ppa12s9ky6gfdaqhq9w30ad6hskll812jb3sl2xsggmac2nq"))))))
+
 (define-public rust-glib-sys-0.15
   (package
     (inherit rust-glib-sys-0.17)
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at 67515 <at> debbugs.gnu.org:


Received: (at 67515) by debbugs.gnu.org; 28 Nov 2023 21:14:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 16:14:27 2023
Received: from localhost ([127.0.0.1]:47903 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85PX-0005BG-2s
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:14:27 -0500
Received: from mail-he1eur01olkn2056.outbound.protection.outlook.com
 ([40.92.65.56]:39748 helo=EUR01-HE1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85PU-0005At-6k
 for 67515 <at> debbugs.gnu.org; Tue, 28 Nov 2023 16:14:25 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=EZxH+XT+tRjR3wuMudW+pyVZPGZ5Z/rM8Xqlbt66ooWGB9GPB5RbNWuaOKwnapnXPSwCZ4vYFFgqWDk8TnWTb8hbB2WAewNcvLzrnNUyk1p5JRdHqJM8IkpiKkuz0TT3TyYUaSiLgeiVEeY5FihveOQGhjBL1Ut9Q5XZalrfLMDlhRE4d5Np7YBh4g4F8W+6i/NoBCFd+e2bZVTdB6ojvK10Cxa7umHoyLUA0nQ1xoU5Bb52SRxrtoAOn5T2e0dNc+K3lbJuFT4GTUXWL0yKO1wkwMZdKN1O01l4ZqRzFMc9/tQ7e6ynkncPZVVAi/mWYT8XsdcFHHWaOlXaD/dfZA==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=SsZNM7Bf40IpsioFMAemqvuab4xaKj9xMKO4Wo+MHds=;
 b=GVKZ661LvnXv193DeNIxm3gwTY55WZc1xAsCoEQTy2sSyu0AH0PQeO8z9j5tewulO9kfZ+qgoKmN23mXp2DKxwUJRHlo2+6gV0G3huIjunyITbDPlwCKbVMkHBMUP8q5uzwGKeFGOzQGBKSvuBhoMZ3IN2hkC3ICPFUTMYEGAbSdc1TSIoPugQ7i2wlWKCiqlmwV/yniD7Eq3mvyCfClbb7KXQ9+SgZwj8QbfAjXXXJqRVQznRvgQDSZDolPkNVsjz3woao68CdBmS9zzR3DSzrJMdltaxv/DMeTRLRcvLLDwr29moFN0b+AYDLJjQFlaAA8IiGn5wLibM97aGxukA==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AM8P193MB0867.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:1ea::9) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.28; Tue, 28 Nov 2023 21:14:10 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 21:14:10 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 67515 <at> debbugs.gnu.org
Subject: [PATCH 01/91] gnu: Add blueprint-compiler-next.
Date: Tue, 28 Nov 2023 22:11:39 +0100
Message-ID: <DU2P193MB21327F5E8657DB360816CECAF3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
References: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
X-Debbugs-Cc: Liliana Marie Prikler <liliana.prikler@HIDDEN>,
 Maxim Cournoyer <maxim.cournoyer@HIDDEN>,
 Raghav Gururajan <rg@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [QgPcMG3bLSiyyjKrdTXgzx1SiBqNK9jK]
X-ClientProxiedBy: MR2P264CA0080.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:32::20) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <4589b982ac68b706f709e65492eb0511ae825d5a.1701202944.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AM8P193MB0867:EE_
X-MS-Office365-Filtering-Correlation-Id: b408c4f5-67bd-49c8-eefa-08dbf056f67c
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: 2WU6MNLjvsFZDKPMFEhr7knxox4cz09cRlXcqUG7IRmkQ0JhOiYDSDuNqtu1CD0Ihz9/SDuuurfbxvVXE7uJkEOQPz41vZTvxOg1dM3mSUJ5xNCtO7JHpiJ4MuHTVujj2Xx2Vl9Gg6ypVJfkcTcg9VIgbEGDtpQwMkNSsnG4wFPJOuQIH7NjbuJiRbznvQxA2hSjH0YwfEcVrMGhRIBzVlFGHyr/LxGQzZ9NRRMIiANLi4lAH3x6wGQf+V6yTByFjlMN5/7sWHqQXu3NF5LQRvlWmu8z/8pAr5rwsFUbIybgqs8G78kZHcQSEcBu7NyZzToQwlNAEXwJEhD24ptsK9qSyzh/QPxAfR1/JuqbkR+eOoGfcpFw6DJGtgkV70ga07ZK9I9GtZyX1VKF7WMSHFi8s+b3ytx4AXXlk7Oa7PmFJ+T8R00gihnrVqXjRx8NC6wT2v9IS+GKKUdwenPE3y4rV+HIEibFgdb9vUe+9NjZ46WoawrWJ3t9KlMpYfLzXQWFhBCk94os2/oDAMPfQKbwjgS1QsQnubYAmNMEX6+Y1K28pFqerchb95ZfAWrJUzWRTQH6PCIdKhVoWzFn3K3Uxs/16HCnxLWnqeSQhhC7eHDV9ymuCZkgHLYdqpMt
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?cfWk5QQqxYE/U3jjK6WNyvCkHEkLqmMd0KwFFj2V2CeCKqsbPAtCSKfIvfv7?=
 =?us-ascii?Q?twq3slx1e3K0gfPHUWTsuqW7ycKIshyktwdI4ABGWDwKatuxzzXlOmlnDvG3?=
 =?us-ascii?Q?GuhsPJVEG6Zn98SXAW0s+tuK6pG4WlCAzHKpTkDie0Gqr81xmoZfJxBiYIZ7?=
 =?us-ascii?Q?Ao4Sy5xSH5xO/XI0jEGM3rvoC0IV2aTuQ+X1T/sitwfN4pv/+KK5IhQzLvSy?=
 =?us-ascii?Q?rnnwtiiJhSMxkAg2xAs6fZWhYGRtzHKa6PlpVMoHT3nfWwimXihbOtMZjebB?=
 =?us-ascii?Q?ILv6/2YBkzDKoiRNRuFGgF8eWiZyAiaAlniTRAR9n4B+M+bvcvM5I/+s+OHc?=
 =?us-ascii?Q?RVCNLOEZcteHpS/OWKfARSQ4QasbUoPdSm31/FtwQDI+vzjswTum0AijTLnv?=
 =?us-ascii?Q?7pzwyx0RrMSmq7FBxzMitVrVuAekATp3G+6UtJEen+/7GnKQxT2KaRHqPdfa?=
 =?us-ascii?Q?HLwalU7koZ7wnVXiv8fP6fMpC2Uzw2P5/5wVyzWg65uHd025aNljiIuP7/ZS?=
 =?us-ascii?Q?rXhNNeDETm1rUaBUflbwwCjeJ3D98p+VUNPvHlup9rtCdwiKvgjzWGcP44gI?=
 =?us-ascii?Q?KBA/CsLTCAp46Kl0m0jsCUMfN0K+n4F+kWx6qVKJKECD2YB0oEOqul2UK1Sk?=
 =?us-ascii?Q?OhgY31S8AUEzf55g13CAM0bdp9P2/hijLq0funZ4cH9yfeBaROQhYY8A6CTZ?=
 =?us-ascii?Q?CXxvS+TxU2bL6Oz2qPwpLxBVhlGYj8whDrOe7aTeqNEjV69/Cqle2gol8Mvq?=
 =?us-ascii?Q?enMXpW7io9dxyjDQW+th5KSuAnf3XLsgBxDgyXfszDFnEW/ksM8Idfcyb7Aw?=
 =?us-ascii?Q?+eEsnO2EUumQ11KUXPHuyfMPhTAoIT3Dy7FTA8zfId7xk0ce41iL+Y7sqh8B?=
 =?us-ascii?Q?AOSDRNjH6y0j+vwTkPfw5JTFi9onCOQ4YEJpriJrpWvKnAwRzw5N38Oo9dA8?=
 =?us-ascii?Q?1jekPc5XiP0Ks0zSz7Hi1d33N4a6J6up+iPw7Qz/KoiJBah3jRKV8vVQYc8B?=
 =?us-ascii?Q?X6rTod9fNXaU9zPDl8/G6RQ5jAlze+3Jll9wRkZhE+sGZpqSWW5dQQIRspgW?=
 =?us-ascii?Q?MvNfMglYQgjkgI0bnr8I4NUZ1kxxn/u5Bhlwiy/KHdNMBclmUX6QjA6T7gaP?=
 =?us-ascii?Q?utNEBbPVKEmpoItCKnWbD9VmmFodMYb6xbKuJBrU6HEt5icvpQdE3v3is8U2?=
 =?us-ascii?Q?zPxKSxlv/KRFL0AuhczCG+A+yVKHtn+wM27L3veKPTiwc4M4l0UzYIR1Ca8?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: b408c4f5-67bd-49c8-eefa-08dbf056f67c
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 21:14:10.0171 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM8P193MB0867
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67515
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/gnome.scm (blueprint-compiler-next): New variable.

Change-Id: I6f2e69c33ac99b0bab4e38b6f4d1a9c068127d2e
---
 gnu/packages/gnome.scm | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index d354327497..bbae946ec6 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -3282,6 +3282,25 @@ (define-public blueprint-compiler
     (home-page "https://gitlab.gnome.org/jwestman/blueprint-compiler")
     (license license:lgpl3+)))
 
+(define-public blueprint-compiler-next
+  (package
+    (inherit blueprint-compiler)
+    (name "blueprint-compiler")
+    (version "0.10.0")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url
+                     "https://gitlab.gnome.org/jwestman/blueprint-compiler")
+                    (commit (string-append "v" version))))
+              (file-name (string-append name "-" version "-checkout"))
+              (sha256
+               (base32
+                "0g3rk9rkl92phhjam3b17pw8l0r482jh7zs8wxz87wq3c9rx1ym4"))))
+    (arguments (cons*
+                #:tests? #f
+                (package-arguments blueprint-compiler)))))
+
 (define-public cambalache
   (package
     (name "cambalache")
-- 
2.41.0





Information forwarded to liliana.prikler@HIDDEN, maxim.cournoyer@HIDDEN, rg@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Nov 2023 20:59:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 28 15:59:32 2023
Received: from localhost ([127.0.0.1]:47874 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r85B5-0004jY-Bl
	for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 15:59:31 -0500
Received: from lists.gnu.org ([2001:470:142::17]:53422)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1r85B0-0004j5-PC
 for submit <at> debbugs.gnu.org; Tue, 28 Nov 2023 15:59:30 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <sergio.pastorperez@HIDDEN>)
 id 1r85Ao-0007b0-7x
 for guix-patches@HIDDEN; Tue, 28 Nov 2023 15:59:14 -0500
Received: from mail-db5eur02olkn20830.outbound.protection.outlook.com
 ([2a01:111:f400:fe12::830]
 helo=EUR02-DB5-obe.outbound.protection.outlook.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <sergio.pastorperez@HIDDEN>)
 id 1r85Am-000187-Am
 for guix-patches@HIDDEN; Tue, 28 Nov 2023 15:59:14 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=XFGjGLRGi9yAaDHXKGr/ePxtpmk9S8REJ6M3BrAqoIGSMTbl1zE5Puf92bF0Ml+ilW+yLBONbDw7oJuZIYrcEtJFDdysTwVHN9g3x9A6m6Hl0tG5G8vJdOssNI86geisQV9RkP6DghEB+WiQoJjJFRzk/H1FQQJX46ekkF+Oj4THfj2JzEmO+5BkiQBYZQ8xSw6BS3M/9jxaOCCIPG7Ljuft4jja5Kcm2bi3R5ldIdtvFH0SWcoOf4DYS+olIp8tuOSSAMXeg1UByelEpqJk+EwfcnZy8XiIWmPHA0o2+Msw929Z1WFCkE9NKZWvkTy3KS5iSlDauMkDZ2HNCe1Hag==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=li+79EeFwu4Jy6ZdJCD5GdBRqvtNh+YNNx0lWLpCNs4=;
 b=ogV6vluCFl2nJS8bhLFK0L4vExsP1c27OBIgOmvl50tjNDg9fqeeAwKyC+8J3eX6/Hl5XIMUQRqc7CHz6tUjFsH9CGxAMhg3WnpeXQVwi/uyGDHjGLvE1qjQYsSVQKA4XP3gEYAzHYoPrd5n/k2XBYFaY9qTOKi1+hvr9gPJqc1EemwfxiJMhkQ35DPZfDotmG6wqZk25XkAsvkEcfFRHa3S3CnKRn8Of/uQaVTe5cwMypiEkFGDpKvp1QDMoEfuCpiNjPNTcHU5G71OvayUBlCxIBJdDa+2xywM9EDtPh4l8duAnf8nx1nFRH7hatG17nlciJHCWpqcQKMPwGAjTA==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 DBAP193MB0828.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:1cc::20) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.7025.29; Tue, 28 Nov 2023 20:54:08 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::b769:d56e:2eaa:ffd8%4]) with mapi id 15.20.7046.015; Tue, 28 Nov 2023
 20:54:08 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 00/91] Add Mission Center and its dependencies
Date: Tue, 28 Nov 2023 21:23:30 +0100
Message-ID: <DU2P193MB2132E7C90FD1F7CD473E8D62F3BCA@HIDDEN>
X-Mailer: git-send-email 2.41.0
Content-Type: text/plain; charset=UTF-8
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-TMN: [D3zHa1uORp2KU2PULvJPnq3/s18Nz/sJ]
X-ClientProxiedBy: MR2P264CA0034.FRAP264.PROD.OUTLOOK.COM (2603:10a6:500::22)
 To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <cover.1701202944.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|DBAP193MB0828:EE_
X-MS-Office365-Filtering-Correlation-Id: 8bff8c3e-6c2c-4dd4-bddd-08dbf05429e7
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: YAheNtW3qoIap1HTnHNMLK+3SX+wWrjopekUx02tbf+tAHKIUc5A9kx2yaDxy7gwDLgAx2ZrEA4yP5Ti8QarRZzCIJUh6SPqWLsNz2WJ2sHIaThq8it7ZqrWmDBPZ/xNOw4L+eFHYZ3Qo125ghDtYQbmlXukGAri/vKYe6Be5lvdiCpnRqEhPTQKW89Lakv1UaoGKNIp6WSoJ6eFD3D8vBQSER4+JRf9juxtTY43MO0dNLTOqWtO0gqH9hokWHlJSmXkgC2Nz7UdQwhCQCZ7pa9GTEjIz0LXtwogmm3+c0RMULlnSg8ocWfKmk17GOdMKxnF+63wejtdEETZ6iFzjTmMrE0epEWi3n6btaqB7+k7CfCif/6EmGVV4ZqCO3BXxMLEms1qjDKMNgmsyQhDc+QhbenL6hef9Hjqg/d1avgp+RFkDLWCU1pmKlSerfy6GgiLDwJ/2vByXdPgc+znlSlJti7N4egINMWknZXlNwngiJbZ+zKbx2p5tQnvqmVheBbcxT9Klz0aXnJ52FbLr4lOenKekulhHWs/zluQLiKhPaM+6SoxTCksKmtNx2l4xYUUFdDCcepaOvB5sjcf7BXpeUWQtQdArHi+5xAXX7CXdLT/bIdnLZ4nyDndq95H
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?utf-8?B?Q1E3S0kxZkpoc1hWOE9IbnF0Sm1lY0ZNc3FYL2E3clU2ellzeUxwQTA1WHFV?=
 =?utf-8?B?WDNaYVQ1ZmJod3o5UThYS3hWSDdxTlhpK2FoV05XL0hqdXQwTnE5alVrbTEr?=
 =?utf-8?B?QS90Q1NZV29kZWtnWFdhUnZLY3JZQ1BISWdQRTkweFBuckdXMkpmKzg5SmJP?=
 =?utf-8?B?YUJKa0ZaWHpURkhDSFY0ZkJZamlqdWNPNk8wTTVLZFpteVl0SmNkSTZ4aDdW?=
 =?utf-8?B?VUpBOXVBV1VReE9yN2pTYnNSZXlsMEtieWRIOHdFbjJWbWV6ZzljalN6T282?=
 =?utf-8?B?aFQxZlQ3KzdsWXVYVEQ4VjVDNVJ1ZnJoU1B6dmlnblZYNTRRc01sMUVjYWpE?=
 =?utf-8?B?WFpUMEExUWZGcm1lencvVWVTdUpNVVlwTlJRZHo5YmlYR3NkdHEwK21vUUMr?=
 =?utf-8?B?YVM5TG9vU0xRRXYzTG4yalNLNG1Zczk2RGJGaTUvKzZxZVgyRHlZUzlJaVRJ?=
 =?utf-8?B?R2ZTbm5rZFdPZFZ4RVJVZFdyVVhjTjJWVlhTeC9rRzhzaWZ3cWV6bFRuVzZI?=
 =?utf-8?B?aHUxQ0RGdnR6b2YwQU9IMHBDMWtDR1pwd3BXU2cvNzkxMForU2FFWmxhWVBt?=
 =?utf-8?B?a01KOVVLS0x0R2xsYXIwd3JjT3ZIT2NycFFjNURlUnZkTzJRaE5WRXJMOEcw?=
 =?utf-8?B?b09xSFN3UFNDeHRhQzFjbm5WRnhKK2l5QWg0SUZuZzNzQjFlb3Q4SkNHeFk1?=
 =?utf-8?B?ZzZscE9wNS9JcEhUMkI5TVMyWkdGc3dNRGpQTXFudlVaZm12NXdHOUwrU0xo?=
 =?utf-8?B?LzNaSndDaGZnZ1JxaVhycGtONlpYWFlrcStZV1llQU5tTkhyeTdQYWlwdXBa?=
 =?utf-8?B?OUJ6SjliRDR0MHpPc2RESjlraWpvTVdFbWdBUUM2bmVSMTVPeXhiSWNiUlZj?=
 =?utf-8?B?VGpRU1hoMXJHc1F0Wm5GRnFVYW41cW5nUkhBcUUwaStoZW84RzV3YXplUzIx?=
 =?utf-8?B?TlNDRWNpUHdZT29aWGtKMVdKK0dmSzJvTmowbWJ4NzNDMHUyYVZ1STBVMmZD?=
 =?utf-8?B?MWVDV3N1aCswZEJPanpkYytwTDkxNTBqVXp6MmNzMlZaZHB2S1ZFdWpTQmNO?=
 =?utf-8?B?UjlXSWwrRU1rcGRycThhclRGNkRuV3hTeWtwcjAyVFBPQ2l3bkNpRnNIemhj?=
 =?utf-8?B?NlFuUFl3dUJGVHluQjEwdGkxaytVRVg4Nnc1bitlQm5PZVFWci9ZVnJoc1BC?=
 =?utf-8?B?QUloMHE5M09PRnl0aW83OUwzZVFGRlZwbnRjb2FBSXFHNWJXY0dJV1V1OGpp?=
 =?utf-8?B?TjdPaFpCQmh3SVRrd2hzQUJVbk9NaU9xQUU5NG1zMklkVXUwQXoxa2MzSysw?=
 =?utf-8?B?ZGtsdlkyYXkzZEVFZlh6a3BpU0l1UEZybVdLMHpKL1pOZi9IWXhlN3VFbUJX?=
 =?utf-8?B?ZU5yUzBteGNwMXdVRDJUcmFBNEFNSVNXZHg3Sk5iZEVOMUExaCs4SFNlTUJn?=
 =?utf-8?B?NkRrM1FJWitDaWFCdzc0NXR6SUxDU2JVWEtZRktTNUxyaHVRK0NrUXVoMS9k?=
 =?utf-8?B?MVNleW5ZS1YrclIveTNTRTN0TUxKL0puZzFkeCtST3Y0REFRSTBOM3lCb0xw?=
 =?utf-8?B?Y2llMTJmYTBFMHVseUxZUjlTOW5HNXMwblM1bWl0SHJiV29vbTVjSW5XMGkw?=
 =?utf-8?Q?2nI7/soJIuB6DpZfDU93iZPeps/Y5yzxj7wqJhORdoj4=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 8bff8c3e-6c2c-4dd4-bddd-08dbf05429e7
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Nov 2023 20:54:07.8495 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DBAP193MB0828
Received-SPF: pass client-ip=2a01:111:f400:fe12::830;
 envelope-from=sergio.pastorperez@HIDDEN;
 helo=EUR02-DB5-obe.outbound.protection.outlook.com
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, FREEMAIL_FROM=0.001,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: submit
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Good evening!

After some time I've managed to package Mission Center[1] and its
dependencies. The dependency tree turned out to be massive *cries on rust*.

I've decided to package this as an example on how to build a rust application
which relies on the meson build system, I believe as of the time of writing we
don't have any.

Most of the dependencies are rust related. In order to alleviate the load on
the rust-team I've tried to avoid, wherever possible, the use of flags such as
`#:skip-build? #t` or `#:tests? #f`. I also ensured that the different
additions updated older versions with the appropriate inherit keyword.

You would notice that in order to package `mission-center`, some ugly hacks
where required. Hacks such as providing the sources of `nvtop-src`. The
application uses some of those source files to build certain internal modules.

Also, I could not find any appropriate way of packaging `pathfinder` with our
current rust build system. This package is problematic since its a
multi-workspace rust repository, where each module is interdependent with each
other.

All quirks aside, I think It would be nice to have Mission Center in Guix
since It's usually distributed as a Flatpack and serves as an example on how
to package a piece of software with such an esoteric build.

Thanks,
Sergio.

[1]: https://gitlab.com/mission-center-devs/mission-center

Sergio Pastor Pérez (91):
  gnu: Add blueprint-compiler-next.
  gnu: Add rust-glib-sys-0.18.
  gnu: Add rust-gobject-sys-0.18.
  gnu: Add rust-gio-sys-0.18.
  gnu: Add rust-glib-macros-0.18.
  gnu: Add rust-glib-0.18.
  gnu: Add rust-gio-0.18.
  gnu: Add rust-gdk-pixbuf-sys-0.18.
  gnu: Add rust-gdk-pixbuf-0.18.
  gnu: Add rust-graphene-sys-0.18.
  gnu: Add rust-graphene-rs-0.18.
  gnu: Add rust-gl-loader-0.1.
  gnu: Add rust-pango-sys-0.18.
  gnu: Add rust-pango-0.18.
  gnu: Add rust-const-random-macro-0.1.15.
  gnu: Add rust-const-random-0.1.15.
  gnu: Add rust-proc-status-0.1.
  gnu: Add rust-ordermap-0.2.
  gnu: Add rust-quick-xml-0.30.
  gnu: Add rust-rstest-macros-0.17.
  gnu: Add rust-spinning-0.1.
  gnu: Add rust-to-method-1.
  gnu: Add rust-rustc-hash-1.0.
  gnu: Add rust-rstest-0.17.
  gnu: Add rust-minimad-0.12.
  gnu: Add rust-minidl-0.1.
  gnu: Add rust-libudev-sys-0.1.
  gnu: Add rust-byte-slice-cast-0.3.
  gnu: Add rust-file-size-1.
  gnu: Add rust-assert2-macros-0.3.
  gnu: Add rust-cli-log-2.
  gnu: Add rust-assert2-0.3.
  gnu: Add rust-coverage-helper-0.1.
  gnu: Add rust-dlv-list-0.5.
  gnu: Add rust-errno-sys-0.1.
  gnu: Add rust-libc-0.1.
  gnu: Add rust-khronos-0.1.
  gnu: Add rust-hashbrown-0.7.
  gnu: Add rust-egl-0.2.
  gnu: Add rust-ordered-multimap-0.6.
  gnu: Add rust-dlib-0.5.1.
  gnu: Add rust-wayland-sys-0.31.
  gnu: Add rust-wayland-backend-0.1.3.
  gnu: Add rust-textdistance-1.
  gnu: Add rust-rust-ini-0.19.
  gnu: Add rust-coolor-0.5.0.
  gnu: Add rust-deser-hjson-1.
  gnu: Add rust-crokey-proc-macros-0.4.
  gnu: Add rust-crokey-0.4.
  gnu: Add rust-xcb-0.10.
  gnu: Add rust-x11-clipboard-0.5.3.
  gnu: Add rust-termux-clipboard-0.1.
  gnu: Add rust-terminal-clipboard-0.3.
  gnu: Add rust-termimad-0.23.
  gnu: Add rust-core-affinity-0.8.
  gnu: Add rust-raw-sync-0.1.
  gnu: Add rust-raw-cpuid-11.
  gnu: Add rust-drm-fourcc-2.
  gnu: Add rust-drm-sys-0.4.
  gnu: Add rust-drm-ffi-0.5.
  gnu: Add rust-drm-0.9.
  gnu: Add rust-intmap-0.7.
  gnu: Add rust-interprocess-1.
  gnu: Add rust-rustbus-derive-0.5.
  gnu: Add rust-rustbus-0.19.
  gnu: Add rust-windows-x86-64-msvc-0.34.
  gnu: Add rust-windows-x86-64-gnu-0.34.
  gnu: Add rust-windows-tokens-0.34.
  gnu: Add rust-windows-interface-0.34.
  gnu: Add rust-windows-implement-0.34.
  gnu: Add rust-windows-i686-msvc-0.34.
  gnu: Add rust-windows-i686-gnu-0.34.
  gnu: Add rust-windows-aarch64-msvc-0.34.
  gnu: Add rust-windows-0.34.
  gnu: Add rust-win-sys-0.3.
  gnu: Add rust-shared-memory-extended-0.13.
  gnu: Add rust-sysinfo-0.29.
  gnu: Add rust-cairo-sys-rs-0.18.
  gnu: Add rust-cairo-rs-0.18.
  gnu: Add rust-gbm-sys-0.2.
  gnu: Add rust-gbm-0.12.
  gnu: Add rust-gdk4-sys-0.7.
  gnu: Add rust-gdk4-0.7.
  gnu: Add rust-gsk4-sys-0.7.
  gnu: Add rust-gsk4-0.7.
  gnu: Add rust-gtk4-sys-0.7.
  gnu: Add rust-gtk4-macros-0.7.
  gnu: Add rust-gtk4-0.7.
  gnu: Add rust-libadwaita-sys-0.5.
  gnu: Add rust-libadwaita-0.5.
  gnu: Add mission-center.

 gnu/packages/crates-graphics.scm              |  419 ++++-
 gnu/packages/crates-gtk.scm                   |  556 ++++++-
 gnu/packages/crates-io.scm                    | 1390 +++++++++++++++--
 gnu/packages/gnome.scm                        |   19 +
 .../patches/mission-center-gatherer.patch     |   21 +
 gnu/packages/rust-apps.scm                    |  173 ++
 6 files changed, 2373 insertions(+), 205 deletions(-)
 create mode 100644 gnu/packages/patches/mission-center-gatherer.patch


base-commit: e21f0cb7b7a87992004193cd56638ad961fe5928
-- 
2.41.0





Acknowledgement sent to Sergio Pastor Pérez <sergio.pastorperez@HIDDEN>:
New bug report received and forwarded. Copy sent to efraim@HIDDEN, guix-patches@HIDDEN. Full text available.
Report forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#67515; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 20 Jan 2024 12:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.